# 科技爱好者周刊：第 101 期

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1148)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面照片

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032702.jpg)

3月5日，米兰一位大学教授对着空教室远程讲课。以后，远程教育可能会成为常态，现场上课反而是少数的情况。（[出处](https://www.theatlantic.com/photo/2020/03/empty-spaces-due-coronavirus-fears/607666/)）

## 本周观点：互联网不再稀缺

疫情期间，很多东西都是稀缺的：缺口罩、缺消毒液、缺呼吸机……但是，有一样东西是不缺的，那就是互联网。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040111.jpg)

互联网相关的东西，好像没有出现过紧缺，随时都可以轻松使用。宽带不缺、流量不缺、App 不缺，云服务也不缺。一些视频会议软件，出现过资源紧张，但是服务器扩容以后，很快就解决了。

仔细观察，你会发现，**稀缺的都是实体商品，虚拟的互联网服务不仅不缺，实际上还很宽裕。** 

这说明了什么？

经过几十年的高速发展和庞大投资，互联网不再是稀缺商品，即使发生危机的情况下也不缺，实际上还处于过剩状态。

我问大家一个问题，4G 通信已经很快了，为什么电信服务商还拼命发展 5G？我认为，原因是常规的电信数据服务（即互联网需求）已经接近饱和了， 4G 拉动不了需求了，服务商不得不用更快的网速去刺激消费，尤其希望高清电视能通过 5G 得到普及。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040112.jpg)

（图片说明：每个人头上的云，现在不是太少了，而是太多了。）

根据经济学原理，稀缺的东西才能卖出高价。如果互联网不再稀缺，这意味着什么？

我认为，今后互联网服务的竞争将非常激烈，因为市场的增长速度已经大大放缓，没有任何一种网络服务是供不应求的。 **线上的虚拟产业，到了最后将都是规模竞争，卖不出高价，真正可以卖出高价的是一些实体的东西。**

## Vue3 快速深入全攻略

本周的课程是京程一灯的《Vue3 快速深入全攻略》。

Vue.js 作为现在的前端主流框架之一，在国内有着广泛的应用，也是面试几乎肯定问到的内容。如果能够看懂它的源码，熟悉它的各种使用技巧，肯定会对你的面试有极大的助益。

市场上的 Vue 教程非常多，基础课程占多数。如果你希望提高 Vue.js 水平，掌握更多的开发技能，可以看一下这个专题课 ——《 Vue3 快速深入全攻略》。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040108.jpg)

它是 Vue 高级教程，从 Vue 2 & Vue 3 核心 API 对比讲起，包括真实业务项目实战、核心源码分析，帮你全面理解 Vue 3 的实现原理，目标是帮助大家通过面试、拿到高薪。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040109.jpg)

本课程由京程一灯的创始人袁志佳主讲。原价98元，微信扫码下面的二维码，加群后领取优惠券， **1元即可报名** ，名额只有100人，感兴趣的同学不要错过。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040110.jpg)

## 资讯

1、[谷歌 3D 动物](https://www.popsugartech.com/google-3d-animals-47354265)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033103.jpg)

动物园在疫情期间纷纷关闭，谷歌就推出了 3D 动物，让你可以在手机上游览动物园，观看 3D 动物。方法是在手机搜索动物名称，中文或英文都可以，目前一共支持[20多种动物](https://9to5google.com/2020/03/28/google-3d-animals-list/)。然后，点击页面上的“View in 3D”，就可以观看动物的 3D 模型了。

这些模型都会动，还可以用手机摄像头叠加在室内实景上，以 AR 显示，仿佛动物出现在你的家里。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033102.jpg)

2、[垂直农业架](https://shop.zipgrow.com/)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033108.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033109.jpg)

加拿大一家创业公司开发了“垂直农业架”，这是一个像书报架一样的装置，可以用来种植农业物。它的供水和养料是由架子本身提供的，用户只要保证光照就可以了，非常适合城市的家庭种植。

网上有不少已经购买的用户在抱怨，现在型号的水泵很容易堵塞，造成植物死亡。不过，这个概念还是很吸引人的，产品值得进一步改进。

3、[地球得到了一个迷你月亮](https://www.newscientist.com/article/2235427-earth-has-acquired-a-brand-new-moon-thats-about-the-size-of-a-car/)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030505.jpg)

2020年2月19日，亚利桑那州天文台的科学家发现了一个昏暗的物体在天空中快速移动（上图的小白点）。接下来的几天，世界各地另外六个天文台的研究人员确认了这个天体，并计算了它的轨道，估计它已经在重力作用下，环绕地球大约三年。

天文学家认为，它不是人造天体，而可能是一颗小行星在经过时被地球重力捕获。它的体积非常小，长度大概在1.9至3.5米之间，跟一辆汽车相当。它每47天围绕地球旋转一周，由于轨道的不规则，天文学家估计，它可能会在今年4月份逃脱地球的引力。

4、[锂电池潜艇](https://mil.sina.cn/gjjq/2020-03-06/detail-iimxxstf6819761.d.html)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030606.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030607.jpg)

日本第一艘锂电池潜艇“凰龙”号，3月5日正式服役。这也是全世界第一艘锂电池的常规潜艇。

常规潜艇在水下都用电池供电，因为柴油发电机耗费氧气。但是，铅酸电池重量大，储电量少，最多坚持几十个小时，就要浮上水面，用发电机充电。锂电池可以减轻重量，体积相同的情况下，储电量是铅酸电池的两倍，不仅使得潜艇可以在水下潜伏更久，也提高了航速，大幅增强作战能力。

5、[植物冶炼](https://www.nytimes.com/2020/02/26/science/metal-plants-farm.html)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030203.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030204.jpg)

马来西亚和印尼的一些岛屿有丰富的镍矿，当地的植物也因此有很高的镍含量。最近，植物学家特地租用了一块土地，每隔6到12个月就收割一次，经过焚烧和净化，可以获得大约500磅的柠檬酸镍，价值数千美元。上图是提取镍含量非常高的树汁。

植物学家认为，植物冶炼可以部分替代传统的采矿业，没有环境污染，节省能源，并能净化有毒土壤。以后，农民可以像生产椰子和咖啡那样生产金属。另外，这也是处理废弃矿山的一种可行方法。

6、**一句话消息**

> - [阿尔茨海默氏病](https://padiracinnovation.org/News/2020/03/the-theory-of-infectious-origin-of-the-alzheimers-disease)（俗称“老年痴呆”）的起因并不确定，有人认为是遗传因素，也有人认为是大脑退化。最近发表的一些观察结果，提出它可能是传染病，起因是未知的细菌或病毒。

> - [可汗学院](https://www.khanacademy.org/donate)是美国最大的免费在线学习网站。疫情期间，该网站的负载是平常的250%，因此向访问者请求捐助。

> - [彭博社](https://www.bloomberg.com/news/articles/2020-03-29/the-global-oil-market-is-broken-drowning-in-crude-nobody-needs)报道，全世界的燃料需求急剧下降，导致现有的石油储存装置都已经快满了，新生产的石油将无处储存。目前，各方正在磋商，将超级邮轮作为临时的浮动油罐。

> - [盖洛普公司](https://lithub.com/in-2019-more-americans-went-to-the-library-than-to-the-movies-yes-really/)（Gallup）一项调查表明，美国人去图书馆的次数多于去电影院。2019年，每个美国成年人平均去图书馆10.5次。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012606.jpg)

> - [考古学家](https://www.archaeology-world.com/scientists-find-that-tin-found-in-israel-from-3000-years-ago-comes-from-cornwall/)在以色列发现的3000年前的锡锭，现在确定产自英国。这说明早在古希腊文明之前，英国的产品就能运到中东，这是非常惊人的。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012409.jpg)

## 文章

1、[杨广中教授谈医疗机器人](https://spectrum.ieee.org/automaton/robotics/medical-robots/coronavirus-pandemic-call-to-action-robotics-community)（英文）

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032706.jpg)

杨广中是上海交通大学医疗机器人研究院的院长。他从国外回国，现在隔离在上海的一家旅馆里。过去的一周中，他一直没离开房间，每天唯一的访客是一名酒店员工来测量体温，还有一个小型机器人，可以自动送饭。

IEEE Spectrum 杂志对他进行了远程采访，访问他对医疗机器人行业发展的想法。下图是已经在武汉得到采用的紫外线消毒机器人，自动对病房进行紫外线照射消毒。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032707.jpg)

2、[远程会议的设备建议](https://aaronparecki.com/2020/03/24/4/tips-and-tools-for-remote-meetings-and-presentations)（英文）

家中举行远程会议或者直播，需要做哪些准备工作？作者提供了一些建议，比如可以坐在衣橱中，让周围的衣服吸收回音。同时，他还可以给出了音频和视频设备的推荐，比如为了照亮脸部，可以购置一个 LED 面板灯，下图为效果对比。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032708.jpg)

3、[RSA 的原理与实现](https://cjting.me/2020/03/13/rsa/)（中文）

本文用简单的语言和数学推导，介绍了公钥加密 RSA 的原理。（@[cj1128](https://github.com/ruanyf/weekly/issues/1156) 投稿）

4、[我在硅谷的9年](https://eduardosasso.co/blog/working-in-silicon-valley/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040101.jpg)

2010年，作者从巴西来到美国，为硅谷一家创业公司工作。这家公司最终变成了 Trip.com，并被收购，他就套现离开了。这篇文章回顾了他九年来在美国的工作历程。

5、[写给新软件工程师的一封信](https://www.florio.dev/20200328-letter-to-myself/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040114.jpg)

作者给进入这个行业的新人，提供了几点建议（上图），我觉得说得相当好。新人对这些建议肯定没有很深的体会，但是工作几年以后，再回头看，你会觉得这才是正确的路。

6、[User-Agent 新方案](https://github.com/WICG/ua-client-hints/blob/master/README.md)

浏览器向服务器发请求的时候，都会带有一个`User-Agent`字段，表明客户端的一些软件信息。Chrome 浏览器打算冻结这个字段，本文介绍新方案的细节。

7、[GitHub 的官方 RSS Feed](https://www.ronaldsvilcins.com/2020/03/26/rss-feeds-for-your-github-releases-tags-and-activity/)

GitHub 官方有提供 RSS Feed，但没写在文档里面，这篇文章给出了地址。

8、[WordPress 团队的 PHP 编码标准](https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/)（英文）

WordPress 团队最近更新了他们的编码标准，为全面升级到 PHP 7.x 版本做准备。

9、[如何检测用户是否使用了 adblocker？](https://blog.rampatra.com/how-to-know-whether-a-user-is-using-an-adblocker)（英文）

相当一部分用户安装了浏览器的广告拦截器 adblocker，这篇文章介绍如何检测出这些用户。

10、[如何使用线性代数进行几何变形](https://www.monades.dev/notes-on-linear-transformations/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022514.jpg)

作者在网页上给出直观的、可以互动的演示，展示几何变形与线性代数之间的关系。

## 工具

1、[GoMailer](https://github.com/DuanJiaNing/GoMailer)

一个轻量的电子邮件推送开源工具，可以与网站的用户反馈、留言等功能进行集成，将数据填入模板，投递到指定的邮箱。（@[DuanJiaNing](https://github.com/ruanyf/weekly/issues/1146) 投稿）

2、[Zarm](https://zarm.design)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033001.jpg)

一个 React 组件库，众安科技出品。特点是依赖少体积小（压缩后 60KB），扩展性好，样式命名采用了 BEM 规范。（@[edison-hm](https://github.com/ruanyf/weekly/issues/1149) 投稿）

3、[KafkaCenter](https://github.com/xaecbd/KafkaCenter)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033002.jpg)

一站式的 Kafka 集群管理和维护平台，代码开源，完善的权限设计，使用方便，无需精通 Kafka 就能管理集群。（@[TrumanDu](https://github.com/ruanyf/weekly/issues/1150) 投稿）

4、[XAudioPro](http://www.xaudiopro.com/)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033003.jpg)

在线音频实时剪辑转码网站。我个人本身是做音频开发出生的，对音频算法底层很熟悉，所以就诞生了创建这个网站的想法。

专业的 Audition 软件主要面对很多专业人士，里面的操作比较复杂，对于普通的人来说要想完成一个简单的功能操作比较繁锁，所以这个网站兼顾了准专业性和傻瓜式的操作。（@[luolongzhi](https://github.com/ruanyf/weekly/issues/1153) 投稿）

5、[办公室噪音生成器](https://mynoise.net/NoiseMachines/openOfficeNoiseGenerator.php)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040119.jpg)

在家远程办公的时候，你会不会想起办公室嘈杂的工作环境，说话声、电话铃声、敲击键盘声、喝水声…… 这里有一个办公室噪音生成器，可以无限播放。

6、[HugeGraph](https://github.com/hugegraph/hugegraph)

百度安全团队研发的一款易用、高效、通用的开源图数据库系统， 具备完善的工具链组件，助力用户轻松构建基于图数据库之上的应用和产品。

典型应用场景包括深度关系探索、关联分析、路径搜索、特征抽取、数据聚类、社区检测、 知识图谱等。（@[Emmano2](https://github.com/ruanyf/weekly/issues/1158) 投稿）

7、[SimpleCTO  screenshot](https://github.com/simplecto/screenshots)

一个在线生成网站截图的工具，用户提交 URL，就能下载网页截图，代码开源。

8、 [Swift Playgrounds](https://apps.apple.com/us/app/swift-playgrounds/id1496833156?mt=12)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021403.jpg)

苹果公司官方的免费 Mac 桌面软件，通过游戏学习 Swift 语言。

9、[time.gov](https://www.time.gov/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020911.jpg)

美国政府显示国内各时区的时间的网站。

10、[progressive-image-element](https://github.com/andreruffert/progressive-image-element)

一个 HTML 的自定义元素（custom element），可以懒加载网页图片。这个元素的代码非常简单，可以作为学习自定义元素的写法范例。

## 资源

1、[隔离故事](https://quarantinestories.today/)

该网站让居家隔离的人们上传照片，展示他们从窗外看到了什么。下图是一个意大利米兰的用户上传的照片。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032703.jpg)

2、[Unity 官方教程](https://learn.unity.com/)

Unity 是一个游戏开发引擎，它的官方教程现在免费开放3个月，从零教你写一个 3D 游戏，教程质量相当高。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032704.jpg)

3、[D3.js 教程](https://observablehq.com/@d3/learn-d3)

D3.js 是功能强大、使用最广泛的 JavaScript 可视化图形库，这组九篇的系列文章是最新的入门教程。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020032705.jpg)

4、[Colorables](https://www.colorabl.es/all)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033110.jpg)

这个网站可以下载各种填色图片，打印以后让小朋友用蜡笔填色。

5、[舒压歌单](https://open.spotify.com/user/1286544262/playlist/71mRGOhRHXZRSbQzouuFw7?si=wK9hoXHFQTm3RZELenxxOA)

这是一个10首音乐的 Spotify 歌单，长度为一个小时，根据[这篇文章](https://www.inc.com/melanie-curtin/neuroscience-says-listening-to-this-one-song-reduces-anxiety-by-up-to-65-percent.html)的说法，可以舒缓压力、减轻焦虑。如果时间不够，可以只听《Weightless》这一首。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040102.jpg)

## 图片

1、[喜力砖](https://inhabitat.com/heineken-wobo-the-brick-that-holds-beer/)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033104.jpg)

1963年，两位设计师看到啤酒瓶到处丢弃，引起环境问题，就提出能不能把酒瓶做成砖头的形状，喝完以后还能用于建筑。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033105.jpg)

喜力公司采纳了这个建议，设计生产了一批砖头形状的啤酒瓶，被称为“喜力砖”。这种瓶子一共生产了10万个，再没有继续生产。

目前，荷兰的喜力博物馆有一个用这种瓶子建成的小棚。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033106.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020033107.jpg)

2、[旧金山的街道](https://twitter.com/architecturehub/status/1243474118957305856)

旧金山的很多房子，都是沿着山坡建的。所以，你可以轻易拍出很多奇特的照片。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040116.jpg)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040117.jpg)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040118.jpg)

## 文摘

1、[中国的第一个口罩](http://www.chinaqw.com/hqhr/2017/11-06/167300.shtml)

1879年，祖籍广州的伍连德出生于马来西亚北部的一个小岛。他年幼聪明，17岁获得了女皇奖学金，赴英国剑桥大学就读细菌学。1903年，24岁获得博士学位。

1907年，伍连德受直隶总督袁世凯聘请，担任天津陆军军医学堂副监督（即副校长）。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040106.jpg)

1910年，哈尔滨爆发了鼠疫。伍连德临危受命，担任了“东三省防疫全权总医官”。这个头衔听上去很大，实际上他手下只有两个人。

抵达的第三天，为弄清疫情来源，伍连德决定冒险解剖尸体，进行了中国医生的第一例人体解剖。他最终判断疫情为“肺鼠疫”，是比普通鼠疫更严重的一种烈性传染病，通过人际呼吸飞沫传播。

他开始组织疫区进行严格隔离。在他的隔离建议下，东北多条铁路、公路被切断，他还费了极大精力说服当时的人们同意焚烧尸体。

为阻挡鼠疫的飞沫传播，他发明了一种用两层纱布制作的口罩，被称之为“伍氏口罩”。这种口罩制造简单，材料易获得，成本很低。这是口罩首次在中国出现，被报纸广泛报道。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040104.jpg)

（图片说明：中国的第一批口罩“伍式口罩”。）

在伍连德的努力下，不到4个月哈尔滨疫情就迅速被控制，死亡人数下降为0。接下来1919年东北霍乱、1932年上海霍乱防疫战中，伍连德也发挥了极其重要的领导作用。由于在鼠疫研究特别是发现旱獭在鼠疫传播中的作用，伍连德在1935年被诺贝尔医学奖提名为候选人。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040105.jpg)

伍连德还专注于中国医学教育和发展。在伍连德主持下建成的北京中央医院，成为中国人建立的第一所现代医院，也就是今天的北京大学人民医院。1924年，伍连德在沈阳建成了东北陆军医院，这是当时中国规模最大、设备最好的医院。1926年，他创办了哈尔滨医学专科学校，为当地培养医学人才，这个学校就是哈尔滨医科大学的前身。他前前后后在中国主持兴办了20多所医院和医学院校，为中国培养了众多医学人才。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040103.jpg)

（图片说明：哈尔滨伍连德纪念馆雕像）

1937年，抗日战争爆发。伍连德在上海的房子被日军炸毁，他决定返回马来西亚居住。1960年，他在马来西亚逝世，享年82岁。

2、[H5N1 的风险](https://blog.samaltman.com/h5n1)

（说明：作者为风险投资家，本文写于2013年。）

我对生物技术的未来，感到非常担忧。这种技术具有令人难以置信的潜力，可以改善我们的生活，甚至可能比计算机更重要，但也有很多不利的方面。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040107.jpg) 

2011年，一些研究人员想出了如何重新设计 H5N1（禽流感病毒），使其同时发生五个突变。这五个突变共同使该病毒既易于传播又具有致命性。这五个突变都可能自然发生，但不太可能同时发生，除非人工干预。
 
现在，我们有了在实验室中创建病毒的工具。当某人制造出一种极易传播，死亡率超过50％，潜伏期为几周的病毒时，会发生什么？

这样的事情会由一个坏蛋干出来，而世界却没有时间做准备，可能在几个月内消灭一半以上的人口。被操纵的生物技术可能会有效地终结世界。
 
世界各国非常不愿意采取协调行动。原子弹只在一个地点造成严重后果，但病毒不同，只需要释放出来一个，就可能对全球造成严重后果，而给我们的时间却很少。浓缩铀需要巨大的政府投入的资源，而生物技术的开发已经可以由私人公司完成。

我们应该高度重视，在主动防御生物攻击方面投入大量精力。 
 
当我们首次能够在车库中创建软件程序时，它改变了世界。当我们开始能够在车库中进行生物工程时，可能会比计算机革命更快地引发变化。 

## 言论与数字

1、

去年成功套现/卖掉的创业公司，都值得祝贺。

-- [Twitter 用户](https://twitter.com/hunterwalk/status/1242573287734951936)

2、

战争时，你要坚定不移；失败时，你要绝不屈服；胜利时，你要宽容大度；和平时，你要满怀善意。（In war, resolution; in defeat, defiance; in victory, magnanimity; in peace, goodwill.）

-- [邱吉尔《第二次世界大战回忆录》](https://www.goodreads.com/quotes/261261-in-war-resolution-in-defeat-defiance-in-victory-magnanimity-in)

3、

一个人的人际关系，能有多大？

英国人类学家鲁宾·邓巴提出，一个人能够记住其他人是谁、并且能保持与那些人之间的关系，这样的人数在100～250之间，通常使用的值是150。这被称为邓巴数。

-- [维基百科](https://en.wikipedia.org/wiki/Dunbar%27s_number)

4、

浅水是喧哗的，深水是沉默的。（Shallow water is roaring, deep water is silent.）

-- 雪莱

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020040113.jpg)

5、

呼吸机的制造难度在于，要保持一个狭窄的压力范围。压力不能太小，必须可以让氧气进入肺泡，但又不能太大而使肺破裂。

-- [HN 读者](https://news.ycombinator.com/item?id=22721871)

6、

如果你为一家公司打工，要做的就是准时上班，尽力满足公司对你最低的期望，8小时工作下班后，回家与家人共度美好时光。这样的话，当公司解雇你的时候，你就没有什么可哭的了。你总能找到一份工作，但无法找回为实现别人的梦想而付出的你的时间。

-- [HN 读者](https://news.ycombinator.com/item?id=22746433)

## 回顾

去年的本周：[《周刊第 50 期》](http://www.ruanyifeng.com/blog/2019/04/weekly-issue-50.html)

![](https://cdn.beekka.com/blogimg/asset/201904/bg2019040501.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
