# 科技爱好者周刊：第 106 期

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1206)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042905.jpg)

最近乘坐飞机的人急剧减少，航空公司的飞机无处停放。南加州一个机场跑道上停满了飞机。（[出处](https://www.thedrive.com/the-war-zone/33141/these-aerial-and-satellite-photos-of-an-airport-absolutely-stuffed-with-airliners-are-nuts)）

## 本期话题：数字游民

今天，谈谈一个新的英语词汇 ["digital nomad"](https://en.wikipedia.org/wiki/Digital_nomad)，中文意思是"数字游民"。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050303.jpg)

它指的是以数字技术为生，没有固定住所的人。这样的人靠互联网赚钱，只要能上网，住在哪里都可以。

他们通常会搬到风景优美、气候温和、物价便宜的地方。国外有一个叫做 [Nomad List](https://nomadlist.com/) 的网站，评选最适合"数字游民"居住的地方，前两名是布达佩斯和巴厘岛。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050304.jpg)

一开始，我看到这个词汇，心想这就是新时代的嬉皮士吧，不用太关注。但是现在，我的想法不一样了，这是一个很重要的词汇，描述了人们在互联网的生活方式。

我不是说，人们都会搬到巴厘岛，而是说，互联网的行为模式就是"游民"。

**没人在网上有固定住所，网上也没有故乡。我们在互联网上都是游牧民族，** 这个月出没在 A 网站，下个月出没在 B 网站。只要有一个更强大、更便宜的工具发布，多年的老用户第二天就会跳船离去。这种行为模式不是"数字游民"，那是什么？

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050305.jpg)

对于那些在网上赚钱的人，"数字游民"的方式就更明显了。哪个平台容易赚钱，就去哪个平台，就像古代的游牧民族一样，哪里有丰美的水草，就去哪里。而且，互联网允许你多个平台一起经营，那他们对平台就更没有忠诚度了。[《连线》杂志](https://www.wired.co.uk/article/dropshipping-instagram-ads)有一篇文章，描写"数字游民"如何在网上赚钱。

> 他们在阿里速卖通（AliExpress）上找产品，使用 Shopify 搭建网站，发布 Facebook 广告促销，在 Instagram 上吸引粉丝，在 Wayfair 发展下一级经销商。

未来，越来越多的人的谋生方式，会与互联网相关。那时，"数字游民"就将不仅是互联网的行为模式，而会影响到现实生活。我们真的会像游牧民族一样，不用每天去公司上班，而是去自己想去的地方，一边"数字游牧"，一边工作。

##  Gitee 的轻量级 PR

下面是本周的国产软件介绍，今天的主角是 [Gitee](https://gitee.com/)。

对于不知道的朋友，我简单介绍一下。Gitee 是国内数一数二的代码托管平台，用于管理软件代码，功能完全不输国外同类网站，而且有很多针对国内用户的本地化设计（比如文件级别的只读权限）。它的突出优势就是访问速度极快，各种操作基本都可以瞬间完成，没有卡顿。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042110.png)

我问了一下他们的销售，目前用户已经超过 500 万名，托管的代码仓库 1000 余万个，企业版的客户也超过了 10 万家。

最近，他们推出了一个新功能——[轻量级 PR](https://blog.gitee.com/2020/03/15/prlite/)，非常好用，很值得大家来了解一下。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042109.jpg)

程序员都知道，多人合作的软件项目离不开 PR（pull request 的缩写），如果你想修改别人的代码，或者想让自己的代码合并进入主分支，就需要提一个 PR。但是，它是一个很重的操作，哪怕你只修改一个字符，也必须克隆整个代码库，然后才能提交请求。

轻量级 PR 就是为了解决这个痛点而设计的。对于少量内容的修改（比如文档的错别字），可以直接在网页上完成，省去了克隆代码仓库的步骤。先进入文件源码页面，点击右上角的“编辑”按钮，进入编辑框，修改后提交就会产生一个 PR，十分方便。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042107.jpg)

如果需要修改多个文件，点击旁边的“ Web IDE”按钮，会进入一个网页的集成开发环境，修改多个文件后一起提交就可以了。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050405.jpg)

如果你还没有用过 Gitee，欢迎[注册](https://gitee.com/login)试一下轻量级 PR 功能。即使暂时没有托管代码的需求，也可以看看它上面的[众多优秀开源项目](https://gitee.com/explore)，一起来为国内开源生态贡献一份力量。

## 资讯

1、[地球上（曾经）最危险的地方](https://www.sciencealert.com/palaeontologists-say-ancient-sahara-was-most-dangerous-place-in-earth-s-history)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043001.jpg)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043002.jpg)

一组研究人员最近整理了，北非摩洛哥一个叫做 Kem Kem beds 地方的化石，确认存在很多古生物残骸碎片。因此认为一亿年前，那里是一个大型食肉动物聚居的湖泊，堪称地球上最危险的地方。

已知最大型的10种食肉恐龙之中，有四种的化石出现在这个地方。另外，此地还有很多巨大的淡水鱼类，其中有一个巨型的淡水鲨鱼 Onchopristis，具有像匕首一样锋利的牙齿。来到这个地方的无数生物，被撕成碎片，成为今天的化石。

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043003.jpg)

2、[儿童手机系统](https://techless.com/news-posts/kid-safe-smartphone-launch)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043004.jpg)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043005.jpg)

美国一家创业公司推出儿童的手机操作系统 KidOS，只能用来打电话、发短信和拍照，不能上网和看视频，其他还包括一些小工具，比如时钟和计算器。 

它基于安卓系统，可以在现有的安卓手机上安装。界面相当简洁，连图标都没有，看上去让人感到很清爽。

3、[英特尔第10代酷睿 CPU](https://www.intel.com/content/www/us/en/products/docs/processors/core/10th-gen-processors.html)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020043006.jpg)

4月30日，英特尔发布第10代酷睿桌面级 CPU，旗舰 i9-10900K 有10核，基本频率为 3.7GHz，最高可到 5.3GHz。它比上一代 i9-9900K 拥有更多的内核和性能，但是售价没有提高，官方定价都是488美元。这主要是为了应对 AMD 的猛烈进攻。

不过，第10代的制程还是14纳米，因此不像是新一代产品，更像是上一代的性能加强版，多塞了两个核心，拉高了主频。代价就是功耗比上一代大幅上升， i9-10900K 是125W，i9-9900K 是95W，足足高了30瓦，必须使用更强的散热器。

4、[流感的传播周期](https://www.cbsnews.com/news/coronavirus-pandemic-two-years-70-percent-immunity/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050301.jpg)

明尼苏达大学传染病研究中心，最近研究了18世纪至今的八次流感大流行。科学家发现其中有七次，在第一次高峰过去后的六个月出现了第二次传染高峰。1918年的大流行，第一轮高峰在夏季到来时过去，但是到了秋末出现了第二轮高峰，比第一轮死的人还要多。

大流行平均需要18个月到24个月才能平息，因为那时全体人群的70％个体已经具有免疫力。 因此，美国科学家认为新冠病毒完全平息，可能也需要这么长的时间。

5、[让二氧化碳变成矿物](https://eos.org/articles/basalts-turn-carbon-into-stone-for-permanent-storage)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042105.jpg)

目前，世界各国都在研究二氧化碳捕获技术，以减少大气里面的二氧化碳含量。上图是冰岛 Hellisheiði 地热发电厂，它是世界第三大地热发电站，那里正在开展将二氧化碳变成矿物的实验。

这个发电厂位于富含玄武岩的火山岩之上，玄武岩含有高浓度的钙和镁离子，可以与二氧化碳发生化学反应，生成方解石、白云石和菱镁矿。科学家先将二氧化碳溶解于水，然后注入几百米的地下，让它被玄武岩吸收、变成碳酸化矿物，从而让地下的岩石来吸收二氧化碳。

6、**一句话消息**

> - [Facebook](https://venturebeat.com/2020/04/29/facebook-open-sources-blender-a-chatbot-that-people-say-feels-more-human/) 开源了聊天机器人框架 Blender，这个据说是世界上现在最强大的聊天机器人，使用多达94亿个参数，比以前的系统多3.6倍。

> - [OpenAI](https://openai.com/blog/jukebox/) 发布了一个歌曲生成器 Jukebox，可以自动生成某个歌手唱的歌曲。你听着有歌词，其实没有，只是模拟歌手的嗓音拼在一起。听听下面这首机器生成的 Tori Amos 的歌，效果很惊人，[这个链接](https://jukebox.openai.com/?song=802871497)有更多歌曲。

<iframe width="100%" height="166px" scrolling="no" frameborder="no" id="soundcloud" src="https://w.soundcloud.com/player/?url=https://api.soundcloud.com/tracks/802871497?secret_token=s-5bu1A48An4g&amp;amp;auto_play=false&amp;amp;show_artwork=false&amp;amp;color=06459d"></iframe>

> - [法国政府](https://www.cyclingweekly.com/news/latest-news/france-offers-each-cyclist-e50-for-bike-repairs-once-lockdown-ends-455140)宣布，每个骑自行车的法国人都可以得到50欧元维修基金，不能提现，只能抵扣自行车修理费用。这是为了改善空气质量，鼓励多骑车。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050201.jpg)

> - [四川省](http://scnews.newssc.org/system/20200429/001063516.html)展示打捞1646年“张献忠江口沉银”的水下考古成果，发现了一枚重约16斤、含金量达95%的金印，上面刻着“蜀世子宝”，应该属于明代蜀王（一共十三任）儿子的印，是张献忠抢来的。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050209.jpg)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050210.jpg)

> - [一个日本工程师](https://www.kocpc.com.tw/archives/319919)在远程视频会议时，为了不让别人看到杂乱的房间，发明了一个“穿戴式”的瓦楞纸板背景。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050211.jpg)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050212.jpg)

> - [印度政府](https://www.reuters.com/article/us-health-coronavirus-india-app-idUSKBN22E07K)要求全国所有员工，都要安装一个叫做 Aarogya Setu（健康桥）的手机 App，用于追踪生活中接触过的人。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050302.jpg)

## 文章

1、[我如何建立自己的 Kubernetes 集群](https://blog.quickbird.uk/domesticating-kubernetes-d49c178ebc41)（英文）

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050104.jpg)

作者先介绍了 Kubernetes 的概念（分布式基础设施之上的虚拟系统层），然后介绍如何家用老电脑（上图）组建一个集群。

2、[如何用 SQLite 建立全文搜索？](https://24ways.org/2018/fast-autocomplete-search-for-your-website/)（英文）

对于中小型网站，使用 SQLite 搭建全文搜索，完全可以满足需求。虽然功能不如 Elasticsearch，但是成本和复杂度要低好多。

3、[为什么 Serverless 很重要？](https://www.vladimircicovic.com/2019/07/why-is-serverless-important)（英文）

一篇 Serverless 概念解释，非常简单明了，适合初学者了解它是什么。

4、[我如何缩小 Docker 镜像文件的体积](https://hampton.pw/posts/shrinking-this-sites-docker-image/)（英文）

作者介绍自己如何修改 Dockerfile 文件，使得一个 Node.js 项目的镜像文件体积，从 419MB 变成 39MB。他的方法很有通用价值，简单实用。

5、[欧美主要城市的软件工程师薪水比较](https://javednissar.ca/comparing-software-engineer-salaries-across-cities/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050401.jpg)

作者将薪水、税收、生活成本都考虑在内，比较哪个城市软件工程师的净收入最大。

6、[改装一辆1953年老卡车](https://www.cool3c.com/article/153364)（中文）

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050402.jpg)

一篇图片报道，介绍一个美国工程师如何将一辆1953年卡车（上图），改造成油电混合动力。

7、[EOF 不是字符](https://ruslanspivak.com/eofnotchar/)（英文）

C 语言通过判断 EOF 标志，找到文件的串结尾。但是，EOF 标志本身不是字符，文件的最后一个字符也不是它。

8、[测试一块中国产的 x86 CPU](https://www.anandtech.com/show/15493/hygon-dhyana-reviewed-chinese-x86-cpus-amd)（英文）

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031003.jpg)

2016年，AMD 公司将第一代 Zen x86 CPU 的设计许可销售给中国，并成立了合资公司。本文是国外机构对这块国产 x86 CPU 的测试。

## 工具

1、[Tara](https://tara.ai/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050101.jpg)

项目管理软件 Jira 的一个免费仿制品。

2、[Insomnia](https://insomnia.rest/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050103.jpg)

一个开源的桌面软件，用于简化 API 的设计和开发。

3、[pipedream](https://rss.pipedream.com/)

一个开源处理服务，用来处理 RSS 内容。比如，一旦收到新内容，就发一封邮件，或者发到推特、Slack 或其他 Web 服务。

4、[Sitesauce](https://sitesauce.app/)

一个很有意思的收费服务（以前的 ZEIT），将动态网站（比如 Wordpress）自动转成静态网站，保持内容同步。

5、[uPlot](https://github.com/leeoniya/uPlot)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050206.jpg)

一个 JS 的网页小型图表库，用于快速渲染超大型数据集，系统资源占用少。

6、[CodePen 支持 Flutter 框架了](https://medium.com/flutter/announcing-codepen-support-for-flutter-bb346406fe50)

CodePen 现在可以在网页上运行 Flutter 代码，这里有一个 Flutter 框架写的 [Nike 商城的 demo](https://codepen.io/joshuadeguzman/pen/jObrzJB)，可以在线编辑并且预览。想体验一下 Flutter 的同学 再也不用先在本地搭建环境了。（@[jwenjian](https://github.com/ruanyf/weekly/issues/1211) 投稿）

7、[Coderlane 线上面试平台](https://coderlane.net/)

用户可以在浏览器中 5 秒内创建一个在线的面试邀请，支持在线协同编程，多用户同步。（@[monsterooo](https://github.com/ruanyf/weekly/issues/1213) 投稿）

8、[liandi](https://github.com/88250/liandi)

一款国产的桌面 Markdown 笔记软件。（@[YLongo](https://github.com/ruanyf/weekly/issues/1218) 投稿）

9、[PicPlus](https://www.coolapk.com/apk/name.gudong.pic)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050208.jpg)

一款安卓应用，支持上传手机照片到图床（七牛云、阿里云、又拍云、GitHub、码云等）。（@[maoruibin](https://github.com/ruanyf/weekly/issues/1216) 投稿）

10、[makeJs](https://github.com/zuluoaaa/makeJs)

一个示例项目，用 JS 写的 JS 解释器，可以用来学习用编译原理。（@[zuluoaaa](https://github.com/ruanyf/weekly/issues/1222) 投稿）

## 资源

1、[大英博物馆免费图片](https://www.britishmuseum.org/collection)

![](https://cdn.beekka.com/blogimg/asset/202004/bg2020042907.jpg)

大英博物馆最近更新了它的网站，目前免费向公众提供190万张它的藏品的图片。

2、[吉卜力壁纸](http://www.ghibli.jp/info/013251/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050102.jpg)

宫崎骏的吉卜力工作室放出一批动画片图片，供免费下载，用来当作疫情期间的远程会议壁纸。上图是电影《龙猫》的壁纸。

3、[拉美西斯六世陵墓的 3D 模拟](https://my.matterport.com/show/?m=NeiMEZa9d93&mls=1)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050205.jpg)

这个网站是古埃及拉美西斯六世（约公元前1145年—约公元前1137年在位）陵墓的 3D 实景模拟，效果非常好，细节放大后都很清晰，手机也可以浏览。

4、[普通人的正则表示式教程](https://refrf.shreyasminocha.me/)

一本免费的英文教程，向初学者介绍正则表达式，实例较多。

5、[深入浅出现代 Web 编程](https://fullstackopen.com/zh/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050207.jpg)

一个芬兰的全栈公开课的中文版。（@[RichardStark](https://github.com/ruanyf/weekly/issues/1214) 投稿）

6、[Android OpenGL ES 极简教程](https://github.com/githubhaohao/NDK_OpenGLES_3_0)

为了方便 Android 开发者快速上手 OpenGL ES （三维图形接口）开发，作者做了一个中文的极简教程，包含了理论基础知识和实践应用。（@[githubhaohao](https://github.com/ruanyf/weekly/issues/1215) 投稿）

7、[Pragmatic Programmer 中译](https://github.com/caicaishmily/pragmatic-programmer-zh)

翻译者历时两个月将 《Pragmatic Programmer》翻译成中文。（@[caicaishmily](https://github.com/ruanyf/weekly/issues/1220) 投稿）

## 图片

1、[南极难抵极](https://en.wikipedia.org/wiki/Pole_of_inaccessibility#Southern_pole_of_inaccessibility)

“难抵极”指的是最难到达的地点。“南极难抵极”是南极大陆上距离海洋最远的地点（下图的红点），距离地理的南极极点大约878公里。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022003.jpg)

1958年12月14日，苏联第3次南极探险队的一个由18人组成的小队，到达了该地点。探险小队使用拖拉机，携带了一个供四人使用的小屋，一个无线电棚和一个电气小屋，打算在那里建立一个永久考察站。

12月26日，探险小队放弃建立考察站，全员撤离，因为那里距离其他考察站太远，难以永久驻守，只能短期访问。撤离之前，他们在考察站上方树立了一尊列宁的半身雕像。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022005.jpg)

多年以后，探险家重访该站，发现整个考察站都已经被大雪埋没了，根本看不到，列宁像只剩下半截，树立在雪地上。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022006.jpg)

## 文摘

1、[为什么读大学？](https://amgreatness.com/2020/04/29/the-long-decline-of-american-higher-education-has-begun/)

美国经济学家布莱恩·卡普兰（Bryan Caplan）写过一本书，研究人们为什么想读大学。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050202.jpg)

他发现，读大学出于三个动机。

1）想学习一些东西，无论是培养自己的世界观还是发展实践技能。

2）想结识聪明人，与他们成为朋友。

3）想向雇主表明自己足够聪明，有能力完成工作。

这也可以说是大学的三个功能，很难完全分开：大学无法只提供其中一种，不提供剩下两种。即使你只想获取其中一种好处，也必须完整地读完大学。

这三种动机之中，最强的动机其实是第三种，因为它的效果最明显。第一种动机的困难在于，你多学习一倍的新技能（比如获得第二学位），也无法获得多一倍的工资。事实上，多修大学课程带来的工资增长，到了一定程度后就不明显了。

所以，为了促进招生，大学应该想方设法加强第三种动机，使得优秀学生更容易被雇主识别。

举例来说，百分制的考试评分就比 ABCD 的四等级评分更好，因为更容易突出优秀学生。另外，提高毕业难度，使得一部分学生无法拿到学位，其实也有利于多招生。

2、[布朗常数与 CPU Bug](https://buzzorange.com/techorange/2019/11/08/intel-pentium-bug/)

古希腊时代，欧几里得证明了质数有无限多个。后代的数学家发现，从1开始算，数字愈大，质数分布得愈稀疏；但奇特的是，尽管分布得再稀疏，但只要出现一个质数，就可以在它附近找到另一个质数，例如41和43、101和103、10007和10009，它们之间都相差2 。

数学家将相差2的连续质数称为“孪生质数”。

1919 年，挪威数学家布朗（Viggo Brun）证明，所有孪生质数的倒数之和会收敛于一个常数。这个数称为布朗常数（Brun's constant）。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050203.jpg)

但是，数学家无法证明布朗常数是不是无理数，即无法证明孪生质数的数量是有限的还是无限的。这个问题困扰了数学家上千年，被称为“孪生质数猜想”，是数学界的经典难题。

电脑出现之后，数学家尝试采用暴力法，用电脑硬算布朗常数，试图解决孪生质数猜想难题，只不过到现在也还是没有解决。

1994 年，英特尔推出了 Pentium 处理器，这是当时最先进的处理器之一。美国的数学教授 Thomas Nicely 就用它计算布朗常数。

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050204.jpg)

为了降低算错的风险，Nicely 同时使用两种方法计算布朗常数。实际计算之后，他发现两种方式算出来的值相差很多。

检查之后，Nicely 发现问题出在电脑把两个数字：824,633,702,441 和824,633,702,443 这对孪生质数的倒数的小数点后第10 位算错了。

为了确认这个问题是出在硬件还是软件，Nicely 用英特尔的旧版 486 CPU 计算，发现 486 算出来的数字是对的。于是，确认问题出在 Pentium 处理器。

Nicely 联系英特尔，告知 Pentium 处理器的问题，却遭到了冷淡的对待。他就写信将这件事告诉了朋友，接着被 CNN 等各大媒体报导，英特尔不得不将市场上的 Pentium 处理器召回。当时已经销售超过100 万台装有Pentium 处理器的电脑，因为召回，英特尔损失了4.75 亿美金。

后来英特尔承认，生产 Pentium 的时候就已经发现问题了，但英特尔认为90 亿个用户只会有1 个受影响，所以没有召回。这个问题后来被称为 Pentium FDIV bug。

## 言论

1、

你用哪种语言记忆电话号码，那种语言就是你的母语。

-- 推特用户

2、

遇到非常复杂的逻辑时，我喜欢把每个步骤写成一个变量，使它读起来像英语。

-- [Hacker News 用户](https://news.ycombinator.com/item?id=23051063)

3、

印尼很幸运，有如此多的岛屿（一共17508个），限制了人们的旅行，所以感染病毒的人不算多。

-- [一个印尼传染病学家](https://www.nytimes.com/2020/05/03/world/asia/coronavirus-spread-where-why.html)

4、

人们不想要低价，他们想要便宜货。

-- [《低价不等于便宜货》](https://creativesamba.substack.com/p/the-low-prices-vs-bargains-dilemma-20-01-27)

5、

科学要求可复制性，其他人可以复制你的结果。业务不行，要求不可复制性，其他人最好不能复制你的业务。

-- [《商业与科学相结合的艺术》](https://www.younglingfeynman.com/essays/artofbusiness)

6、

第二只袜子综合症指的是，编织第一只袜子通常很快。但是第二个就拖延了，从来没有完成，也没有把它放在任务的第一位。

-- [《第二只袜子综合症》](https://sheepamongwolves.net/2018/09/second-sock-syndrome-what-it-is-and-how-to-fight-it/)

## 回顾

- 2019年的本周：[第 55 期](http://www.ruanyifeng.com/blog/2019/05/weekly-issue-55.html)
- 2018年的本周：[第 3 期](http://www.ruanyifeng.com/blog/2018/05/weekly-issue-3.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
