# 科技爱好者周刊（第 111 期）：智能电视的误区

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1206)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020052902.jpg)

板齿犀（Elasmotherium）是一类已经灭绝的大型犀牛，高2米，长5米，前额上有长达2米的角，约1600万年前灭绝。（[出处](https://twitter.com/robertnyman/status/1265626735032381446)）

## 本周话题：智能电视的误区

国内的智能电视机，现在都自带系统，一打开就是各种菜单，有直播、影视、游戏、应用等等。

我不赞成这样的设计，也不愿意购买这样的电视机。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061009.jpg)

这是因为电视机的使用年限很长，可能达到10年。内置的操作系统不可能跟着更新这么久，事实上很多电视机自从出厂，就再也不更新系统了。以后，你一打开电视，就会看到过时的系统。

而且，为了压低成本，智能电视使用的 CPU、内存和储存，都是很差的配置，不可能有好的性能和体验。只要一两年，系统就会变得很卡，动不动就提醒你没有剩余空间了。

正确的做法应该是，电视机和系统是分开的两个硬件，不集成在一起。电视机最好就是一个单纯的显示设备，操作系统由机顶盒来承担。

但是，这在国内恐怕很难做到。因为国内电视机的操作系统，很大的目的是播放开机广告，他们舍不得这一块的利益。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061010.jpg)

同理，自带操作系统的智能家电，我都建议不要购买，比如可以上网的互联网冰箱。

## 数据分析全套讲解

随着数据量的增加，越来越多的场景需要分析数据。这已经不仅是对工程师的要求，几乎成为每个岗位的必备技能。产品经理和市场运营，如果会用工具分析数据，对业务成长和个人发展都能带来巨大的好处。

正是因为上面的原因，企业越来越看重数据分析这项技能，招聘市场也出现了巨大的数据人才需求。学好数据分析，会为你增加求职机会，提高求职成功率。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061007.jpg)

但是，数据分析的知识点很散，涉及不同领域的基础知识和多种工具，很多学习者觉得无从下手，抓不住重点，学习起来常常毫无头绪。

别急，这有一份由开课吧提供赞助，并由廖雪峰老师历时3个月精心打磨的 **《数据分析全套讲解》** 学习视频。本资料是最新升级版，包含了基础和进阶两大部分内容，从下面的内容介绍可以看出，覆盖的知识点是非常全面的。

> **一、基础篇-数据分析必备技能**  
> 44个知识点纯干货内容，每天2小时，5天掌握数据分析必备技能。  
>  
> 学习内容：Excel 数据可视化，Python 数据可视化，SQL 数据操作，K-means聚类分析，数据挖掘逻辑回归。
> 
> **二、进阶篇-常用数据分析方法论**  
> 介绍了验证分析与建模预测，理论与实战结合。
>
> 学习内容：数据集中趋势 ，假设检验，多元线性回归程序与可视化，逻辑回归模型，分类模型评估指标，AQI 分析与预测。

这套全新的数据分析资料原价值1980元，现在有168个免费名额。需要的朋友请扫码下面的二维码，添加微信就可以免费领取。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061008.jpg)

开课吧另有 **《大数据分析全栈工程师》** 课程，适合数据分析工程师岗位，具体情况也可以扫描上面二维码了解。

## 资讯

1、[英国两个月不使用煤炭](https://www.bbc.com/news/science-environment-52973089)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061004.jpg)

由于疫情期间用电需求下降，到6月10日为止，英国已经连续60天没有燃烧任何煤炭了。这是工业革命后从没有过的。英国现在只剩下四个燃煤电厂，4月10日英国国家电网让最后一台燃煤发电机停机，直到现在。

十年前，英国约40％的电力来自煤炭。而现在，英国拥有世界上最大的海上风能产业，以及世界最大的风电场。这个风电厂位于约克郡，发电量占英国全国电力的5％。

2、[共享单车的新去处](https://twitter.com/shenzhilong001/status/1270523302138613763)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061005.jpg)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061006.jpg)

缅甸教育部向中国收购了36.5万辆废弃的共享单车。这些车在仰光维修完毕后，免费发放给有需要的贫困的缅甸学生。

长久以来，大批共享单车在中国遭人为损坏或丢弃。缅甸政府想到了国内数十万贫困学生缺乏交通工具，于去年底以每辆35元人民币的价格向中国收购了这些车。

3、[模仿特朗普的实验](https://www.businessinsider.com/twitter-donald-trump-suspendthepres-experiment-policies-suspension-glorifying-violence-2020-6)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060505.jpg)

一个推特用户做了一个实验，注册了一个帐号，特拉普发什么推特，他就发一样的内容，不是转发，而是原文复制，除此以外不发其他内容。

结果，推特官方三天就注意到了他，关闭帐号12小时，要求他在这段时间内删除违规言论。同样的话，特朗普可以说，你说就不行。媒体报道这件事以后，推特恢复了这个账号，并说关闭帐号是一个“失误”。

4、[桔子皮的功能](https://www.princeton.edu/news/2017/08/22/orange-new-green-how-orange-peels-revived-costa-rican-forest)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060801.jpg)

美国生态学家16年前做了一个实验，说服哥斯达黎加国家公园，允许一家果汁公司将12000吨桔子皮，倾倒在一块贫瘠的土地上，卡车整整运送了1000次。

16年后，他们重新访问这块土地，发现那里已经是一片郁郁葱葱的森林了，跟旁边的土地形成巨大的对比（上图），地面生物量（以树木的木材量计算）增加了176％。生态学家认为，这对如何回收食品工业的生产残余物，有很大的启示意义。

5、[最老的游戏 Youtuber](https://www.theguardian.com/games/2020/jun/07/japans-video-gaming-grandma-90-plays-her-way-into-record-books)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060803.jpg)

日本90岁的森滨子（Hamako Mori）老人，公认是世界年龄最大的游戏 Youtuber。她每天都会花至少3个小时打游戏，还在 Youtube 上面维护一个自己的频道。接受采访时，她说消灭游戏里面的敌人是一种绝佳的压力缓解剂。

她从40年前的1981年开始玩游戏，已经玩过200多个游戏。她最喜欢的游戏包括侠盗猎车手（Grand Theft Auto）和奇幻角色扮演游戏《上古卷轴5：天际》。2014年，她的孙子为她建了一个 YouTube 频道"Gamer Grandma"，每月上传三四个视频，目前有30万订户。她谈到频道时说：“这件事很有趣，很多人关注你，你就不是一个人玩了。”现在，她正热切期待着 PlayStation 5 发布。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061201.jpg)

6、**一句话新闻**

> - [谷歌](https://www.theverge.com/2020/6/4/21280115/google-search-engine-yellow-highlight-featured-snippet-anchor-text)开始尝试在用户点击跳出搜索结果页后，直接在外部网页上，高亮显示搜索文本，并且浏览器将自动向下滚动至相关部分。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060501.jpg)

> - [Stack Overflow 的《2020年开发者调查》](https://insights.dice.com/2020/06/04/24-programming-languages-pay-top-salaries-scala/)显示，美国平均工资最高的程序员依次是Scala、Go 和 Objective-C。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060502.jpg)

> - [StackOverflow 的《2020年开发者调查》](https://stackoverflow.blog/2020/06/05/why-the-developers-who-use-rust-love-it-so-much/)还显示，Rust 语言连续五年排名程序员最喜欢的编程语言。

> - [加密通信软件 Signal](https://signal.org/blog/blur-tools/) 开始提供”一键模糊脸部“的功能，防止在分享的照片中泄露周围人的脸部信息。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061202.jpg)

> - [中国科学家](https://syncedreview.com/2020/06/04/deepfacedrawing-generates-photorealistic-portraits-from-freehand-sketches/)发表了一项研究成果，可以从草图直接生成逼真的人像。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060506.jpg)

> - [德国政府](https://www.reuters.com/article/us-health-coronavirus-germany-autos/germany-forces-all-petrol-stations-to-provide-electric-car-charging-idUSKBN23B1WU)要求所有加油站，都必须提供电动汽车的充电服务。

> - [美国国防部](https://www.thedrive.com/the-war-zone/33866/manned-fighter-to-face-an-autonomous-drone-next-year-in-a-sci-fi-movie-like-showdown)明年开始实验，无人驾驶的战斗机与真人战斗机之间的对抗。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060802.jpg)

## 文章

1、[如何备份 IMAP 电子邮件到本地](https://smalldata.tech/blog/2020/04/07/imap-email-backup)（英文）

有些电子邮件服务使用 IMAP 协议（比如 GMail），本文介绍如何使用一个 Python 脚本，将邮件从服务器备份到本地。

2、[Node.js 缓冲区介绍](https://livecodestream.dev/post/2020-06-06-a-complete-introduction-to-node-buffers/)（英文）

本文介绍 Buffer（缓冲区）在 Node.js 里面是什么东西，以及这个内置类的简单用法。

3、[如何简单实现 CSS 主题的切换](https://uglyduck.ca/quick-dirty-theme-switcher/)（英文）

本文介绍一个简单的方法，为网页指定多个 CSS 主题，允许用户手动切换主题。

4、[Bookmarklets 简介](https://www.ph-uhl.com/0010-Bookmarklets/)（英文）

本文介绍 JavaScript 的书签工具 Bookmarklets 是什么，以及作者常用的一些 Bookmarklets。

5、[根证书到期引发的问题](https://scotthelme.co.uk/impending-doom-root-ca-expiring-legacy-clients/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060901.jpg)

HTTPS 协议加密的基础是证书，但是证书都有时间期限。根证书是其他所有证书可信性的保证，如果它过期了怎么办？

6、[使用 Cloudflare worker 实现 Todo 清单](https://codeforgeek.com/build-a-todo-app-using-cloudflare-workers-and-kv/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061001.jpg)

Cloudflare worker 是一种 Serverless 服务，使用 JavaScript 语言，相对比较简单。本文教大家怎么用它实现一个 Todo 清单，自己不需要架设服务器，还能在后端储存数据。

7、[使用 Graphviz 生成示意图](https://ncona.com/2020/06/create-diagrams-with-code-using-graphviz/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061012.jpg)

本文介绍命令行下如何使用 Graphviz，编写脚本生成示意图。

8、[Linux 系统云备份解决方案：Borg + Vorta](https://simon-frey.com/blog/borgvorta-is-finally-a-usable-backup-solution-for-linux-desktop/)（英文）

家庭电脑的数据，如何定时备份到云端？本文介绍使用开源工具 Borg，快速将增量数据上传云端，可以自己架设储存服务器，也可以使用现成的云服务。

9、[如何架设 VS Code 服务器](https://hackernoon.com/how-you-can-set-up-remote-development-workflow-with-vs-code-in-your-browser-3y3q3wu9)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061013.jpg)

VS Code 是流行的代码编辑器，它不仅是一个本地软件，也是一个云端服务，可以自己在服务器上架设，然后就能在任何地方通过浏览器使用了。

10、[如何用 C 语言写一个简单的 CHIP-8 模拟器](https://cjting.me/2020/06/07/chip8-emulator/)（中文）

CHIP-8 是一个很简单的虚拟机，有16个8位寄存器和35个指令，可以使用 4K 内存。作者在它上面实现俄罗斯方块，为将来写 GBA 模拟器做准备。（[@cj1128](https://github.com/ruanyf/weekly/issues/1286) 投稿）

## 工具

1、[Grid.js](https://gridjs.io/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060504.jpg)

一个网页表格库，可以用作各种前端框架的插件。

2、[换脸视频生成服务](https://myvoiceyourface.com/)

一个在线服务，用户可以上传一张照片和一段视频，网站会将照片里的人脸，替换视频里面的人脸。

3、[Docker-OSX](https://github.com/sickcodes/Docker-OSX)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060507.jpg)

一个包含 macOS 系统的 Docker 镜像，可以运行在 Linux 系统。也就是说，你能在 Linux 上运行 Mac 系统了。

4、[pending-dns](https://github.com/postalsys/pending-dns)

一个 Node.js 写的 DNS 服务器，可以通过 API 修改设置。

5、[WebTorrent](https://webtorrent.io/)

一个在浏览器进行 BT 下载的 JS 库，可以[网页 BT 下载](https://instant.io/)，也有[桌面客户端](https://webtorrent.io/desktop/)。

6、[shan-shui-inf](https://github.com/LingDong-/shan-shui-inf)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061002.jpg)

一个自动生成中国山水画的 JS 实现。

7、[network-plus](https://github.com/ClearStudio/network-plus)

一款浏览器插件，可以修改浏览器发出的网络请求，相当于简易版的 Postman。（[@tangkaichuan](https://github.com/ruanyf/weekly/issues/1277) 投稿）

8、[stretchly](https://hovancik.net/stretchly/downloads/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061107.jpg)

一个开源桌面软件，隔一段时间（默认25分钟）就跳出一个提示，提醒你离开电脑运动一下。（[@ketra21](https://github.com/ruanyf/weekly/issues/1276) 投稿）

9、[chil](https://zhuanlan.zhihu.com/p/144169144)

一个远程调试网页的工具，只要在网页里面加载这个库，就可以远程打开 Chrome 开发者工具，主要用于调试手机端网页。（[@surunzi](https://github.com/ruanyf/weekly/issues/1281) 投稿）

10、[hyperbuild](https://github.com/wilsonzlin/hyperbuild)

HTML 代码的最小化工具，可以精简网页源码的体积。Rust 语言写的，有 Node.js、Python、Java、Ruby 的移植。

## 资源

1、[JavaScript 的前20年](https://zenodo.org/record/3707008)

一本免费的英文电子书，回顾和介绍 JavaScript 是怎么发展起来的，从诞生直到 ES2015 标准的通过。

2、 [C 语言内部原理](http://www.avabodh.com/cin/cin.html)

一本英文的小教材，介绍 C 语言如何转换成汇编语言，从汇编的角度深入理解 C 语言的语法规则。

3、[数据科学在线课程](https://davidadrian.cc/top-courses-data-science/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060701.jpg)

数据科学在线课程那么多，哪些课应该优先考虑？这篇文章列了一个推荐名单。

4、[设计工具收集](https://nodesign.dev/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060902.jpg)

该网站收集各种设计工具和设计资源，没有设计师的时候，可以使用它们。

5、[PHP 大事记](https://www.jetbrains.com/lp/php-25/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061011.jpg)

今年是 PHP 语言诞生25周年，Jetbrains 公司制作了一个网页，列出这25年中 PHP 的各种大事，网页制作得非常精致。

## 图片

1、[报纸的广告收入](https://stratechery.com/2020/never-ending-niches/)

下图是第二次世界大战以后，美国报纸业的广告收入变化。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061003.jpg)

互联网出现以后，报纸的广告收入就自由落体般下跌，目前已经低于70年前的水平。

2、[苏联时代的太空插图](https://www.atlasobscura.com/articles/soviet-space-graphics)

冷战期间，随着太空技术的发展，苏联出现了大量的太空知识杂志和大众科学杂志，最多时全国有200种。这些杂志上有大量关于太空的幻想插图。

这些图显示了当时苏联科幻文学的发达，以及民众对太空探索的好奇。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031908.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031909.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031910.jpg)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031911.jpg)

## 文摘

1、[地球的15个临界点](https://www.resilience.org/stories/2020-06-08/collapse-of-civilisation-is-the-most-likely-outcome-top-climate-scientists/)

澳大利亚国立大学教授威尔·斯特芬（Will Steffen）提出：“气候变化已经不可逆了，人类文明的崩溃将是最可能的结果。”

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061101.jpg)

无论人类是否减少二氧化碳排放，都已经为时过晚，因为15个已知的全球气候临界点，已经有9个激活了。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061103.jpg)

- [✓] 北极海冰开始融化
- [✓] 格陵兰冰盖开始融化
- [✓] 南极西部冰盖开始崩解
- [✓] 南极东部冰盖开始崩解
- [✓] 西伯利亚冻土层开始融化
- 海底甲烷开始释放
- [✓] 大西洋“热盐循环”洋流开始减速
- 厄尔尼诺现象加剧
- 大气喷射流减速或停滞
- 印度洋夏季季风出现波动
- 西非季风转变
- 北美西南部开始干旱
- [✓] 亚马逊雨林开始消失
- [✓] 高纬度森林开始消失
- [✓] 澳大利亚大堡礁开始消失
- 海洋不再大量吸收碳元素

上面15个变化，只要有一个成为现实，都将对气候造成巨大影响，严重威胁人类。

目前已经有9个成为了现实。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061102.jpg)

2、[Xbox 里面的父亲](https://www.facebook.com/Coyoter.Huang/posts/10216945532563571)

一篇2014年的感人故事，儿子在Xbox里面发现了过世父亲的身影，故事发生在国外：

Well, when i was 4, my dad bought a trusty XBox.  
我4岁的时候，父亲买了一台Xbox

you know, the first, ruggedy, blocky one from 2001.  
你知道的，是那台坚硬、结实，2001年推出的Xbox

we had tons and tons and tons of fun playing all kinds of games together  
我们一起玩了许多游戏，而且玩得非常开心....

until he died, when i was just 6.  
...直到他去世为止，那年我才6岁

i couldnt touch that console for 10 years.  
在往后十年，我没有办法碰那台游戏机

but once i did, i noticed something.  
直到有一次我打开它，我发现了一件事情

we used to play a racing game, Rally Sports Challenge.  
过去我曾与父亲玩过一款叫做《越野挑战赛》的赛车游戏

actually pretty awesome for the time it came.  
实际上在当年，它真的很好玩

and once i started meddling around... i found a GHOST.literaly.  
而当我开始在这款游戏中四处浏览时，我遇到了货真价实的“幽灵”。

you know, when a time race happens,  
在这款赛车游戏的计时赛中

that the fastest lap so far gets recorded as a ghost driver?  
最佳纪录保持者的记录将会以幽灵车手状态出来与你一同赛车

yep, you guessed it  
是的，你猜到了！

his ghost still rolls around the track today.  
父亲的灵魂至今仍在赛车场上奔驰着

and so i played and played,and played,   
于是我一遍又一遍的挑战

untill i was almost able to beat the ghost.  
我慢慢的可以追上这位幽灵车手

until one day i got ahead of it,i surpassed it, and...  
终于有一天，我成功了！我超越祂了！然后...

i stopped right in front of the finish line,  
我在终点线前停下来

just to ensure i wouldnt delete it.  
确保我不会就这样删除“父亲的记录”。

## 言论

1、

我的皮肤黑，冬天在美国呆了两个多月后，缺乏日照，就感到很糟糕，身心崩溃了，感冒，偏头痛，关节痛。直到后来被诊断出患有急性维生素 D 缺乏症。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=23415568)

2、

在美国，我很难与外界脱节。只有回古巴探亲，才会脱离互联网。那些都是美好的日子，前三天感觉很奇怪，但是随后你就忘记了互联网的存在，开始与人们聊天、跳舞、游泳，沉浸在交谈中。这是一件非常有意义的事情，让我觉得我们与自己的本性非常脱节。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=23419868)讨论《你有没有过脱离互联网/电话》

3、

印度很大一部分人口（约50％）年龄低于24岁，这为印度提供了数十年的庞大劳动力。

-- [《印度为什么不是超级大国》](https://outsideplatoscave.substack.com/p/outside-platos-cave-5)

4、

转移学习（TL）是机器学习的一个研究领域，指的是如何将解决一个问题时获得的知识，应用于另一个相关的问题。有些人也具有这种能力，在感兴趣的每个领域都非常出色，擅长创新。

-- [《应该成为通才还是技术专家？》](https://adityarohilla.com/2020/06/11/who-should-you-be-technology-generalist-or-specialist/)

5、

跟一般的看法相反，路上骑自行车的人越多，他们就越安全。

-- [《冠状病毒引发纽约的自行车热潮》](https://grist.org/climate/coronavirus-has-caused-a-bicycling-boom-in-new-york-city/)

6、

阿波罗8号宇宙飞船有560万个零件，以及150万个系统和组件。即使它们每一个都有99.9％的可靠性，预期也会产生560个故障。

-- 宇航员[迈克尔·柯林斯](https://en.wikipedia.org/wiki/Michael_Collins_%28astronaut%29)（Michael Collins）

## 回顾

2019年的本周（第 60 期）：[中国人的起源](http://www.ruanyifeng.com/blog/2019/06/weekly-issue-60.html)

![](https://cdn.beekka.com/blogimg/asset/201906/bg2019061401.jpg)

2018年的本周（第 8 期）：[日本的低生育率](http://www.ruanyifeng.com/blog/2018/06/weekly-issue-8.html)

![](https://cdn.beekka.com/blogimg/asset/201806/bg2018060801.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
