# 科技爱好者周刊（第 112 期）：如何培养领导力

这里记录每周值得分享的科技内容，周五发布。（通知：下周是端午节假期，周刊提前到6月24日周三发布。）

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1206)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020060512.jpg)

喷气式客机“空中客车”在法国图卢兹组装，零件来自世界各地。有些零件太大，只能海运，上图是 Airbus 专用零件船。（[出处](https://edition.cnn.com/travel/article/airbus-a380-parts-together/index.html)）

## 本周话题：如何培养领导力

你在一家公司工作几年以后，如果负责的业务发展顺利，有招聘名额，你一般都有机会带一个团队。

但是，有些程序员写代码可以胜任，带团队就带不好，无法带领大家一起完成任务。只有业务能力，没有领导能力，这是走不远的。俗话说得好：“一个人走得快，一群人走得远”。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061716.jpg)

上周，我读到一篇文章[《领导力的四个阶段》](https://medium.com/@benmappen/the-culture-of-leadership-eb424b0726ef)，美国一个创业者总结了如何培养领导力，我觉得说得很好。按照下面的四个阶段，就能让自己成为一个优秀的领导者。

**第一阶段：熟悉自己的业务，知道问题在哪里，怎样可以解决。**

领导者是给大家指方向的，你必须先知道要走哪个方向，才能带领别人，这是领导力的基础。

**第二阶段：培养说服能力，能说服他人，问题可以按照你说的方式解决。**

领导力的表现是，他人愿意服从你。这不能都靠制度压服，而要让他人真心觉得你是对的。如果你可以让他人相信你，你就可以领导。

**第三阶段：激发他人的热情，让他们产生解决问题的热情。**

说服他人的更高境界，是让他们真正投身进来，自觉发挥自己的潜力，全力以赴解决需要解决的问题。好的领导和差的领导，区别就在于能否激励下级，让每个人都知道自己的职责，努力工作。

**第四阶段：你培养其他人的领导能力。**

如果你离开，团队也能正常运作下去，说明一切已经制度化了，你的领导已经成功了。这时，你可以让其他人接管团队，自己去实现下一个目标。

## 前端开发进阶手册

本周的课程资料是 **开课吧前端团队** 最新出炉的《前端开发进阶手册》，帮助大家更好掌握面试技巧和热门知识点。

它针对这样几类同学而特别编写：（1）面试表现不佳，通过率低；（2）只学会了一些零散的知识点，缺乏体系化，不知道怎么串起来； （3）对于前沿的新框架和新语法很茫然，不知道有什么用，能解决什么问题。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061703.jpg)

这份资料分成三大部分。

> *《01. 前端高薪的面试技巧》*  
> 1、面试题注意事项  
> 2、不同等级的面试表现，以文件上传为例  
> 3、常见的前端面试知识点
> 
>  _《02. 前端必备算法和数据结构》_  
> 1、前端学算法的意义  
> 2、算法思想的分类学习：递归、回溯、贪心、动态规划等
>
> *《03. TS + Vue 项目最佳实践》*  
> 1、Vue + TS 开发环境准备  
> 2、TS 语言特性、组件编写  
> 3、项目技巧：路由声明、全局状态管理、数据请求、第三方模块

周刊读者只要扫描下面的二维码，添加微信，就可以免费领取这份资料。有效期五天，免费名额 199 名。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061702.jpg)

## 资讯

1、[灯泡窃听](https://arstechnica.com/information-technology/2020/06/spies-can-eavesdrop-by-watching-a-light-bulbs-variations/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061404.jpg)

以色列科学家展示了一种新的窃听技术，只要屋子里有一个能在窗外看到的灯泡，就能实现窃听。

屋里人说话时，声波会让灯泡有微小的振动（约为几百微米），在几米以外用望远镜对准灯泡，再用高精度的光电传感器去捕捉灯泡振动，就能还原出屋内原始的声音。但是，这种方法可能没有实用性，白天不开灯泡或者屋内拉上窗帘，就无法窃听了。

2、[鳄鱼的脚印](https://edition.cnn.com/2020/06/11/world/footprints-ancient-two-legged-crocodile-scn/index.html)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061409.jpg)

韩国最近发现了一块化石，上面是古代动物的脚印，长为18厘米到24厘米，表明这只动物的体长最大为3米。起初，科学家认为这是翼龙的脚印，但是现在的观点是它为古代鳄鱼的脚印。

但是，鳄鱼不应该有脚印，因为它是贴着地面爬行，脚并不承重。这表明，这只史前鳄鱼可能主要以两条腿走路，但也有可能以4条腿走路。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061410.jpg)

3、[液氮冻鱼](https://www.wsj.com/articles/coronavirus-lockdown-fish-farms-big-fish-11592153926)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061514.jpg)

纽约市由于疫情，餐馆的生意大减，提供活鱼的养殖场因此陷入困境。因为餐馆只要盘子大小的活鱼，鱼现在越长越大，即使疫情结束，恐怕也卖不出去了。

为了减缓鱼生长的速度，有些养殖场减少了给鱼喂食。另一些养殖场则选择了液氮冷冻鱼，因为这样可以最大程度保鲜，并且至少可以存放两年。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061515.jpg)

4、[球形太阳能板](https://spectrum.ieee.org/energywise/energy/renewables/spherical-solar-cells-soak-up-scattered-sunlight)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061522.jpg)

沙特阿拉伯的研究人员，发明了球形太阳能板。传统的太阳能板必须正对太阳，球形板就没有这个问题，而且比同样面积的太阳能板平铺时，功率输出高15%～100%。

沙特政府对太阳能产业大量投资，一方面因为担心石油储备耗尽，另一方面该国有大量的沙漠（硅的来源）和充足日照，非常适合发展太阳能。

5、[海龟回家](https://www.abc.net.au/news/2020-03-07/yoshi-turtle-journey-tracked-37000km-from-cape-town-to-australia/12024088)

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030803.jpg)

两年前，南非一家水族馆放生了一只180公斤的大海龟，它已经在水族馆生活了20年。科学家在海龟身上安装了卫星追踪装置，看它去了哪里。

它先去了非洲西部，然后调头横渡印度洋，用了两年时间游到了澳大利亚。总行程37000公里，平均每天前进50公里，这是相当快的速度，应该借助了洋流。科学家认为，这只海龟是想回到她出生的地方，进行繁殖和筑巢。在被关了20年之后，她依然记得回家的路。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030804.jpg)

6、**一句话消息**

> - [宜家公司](https://twitter.com/mkobach/status/1133798525739970560)利用热门电视剧的场景装潢，展示他们的家具产品。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061105.jpg)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061106.jpg)

> - [阿根廷国家气象局](https://earthobservatory.nasa.gov/images/146322/antarctica-melts-under-its-hottest-days-on-record)报告，2020年2月6日在南极半岛北端测到了18.4°C，这是有记录以来的南极最高温，超过了2015年3月24日的17.5°C的纪录。这个温度使得该地附近的冰川大量融化。

> - [一项研究](https://papers.ssrn.com/sol3/papers.cfm?abstract_id=3531171)发现，自从美国星巴克允许不购买任何商品就能坐在店里，这些星巴克的生意平均比附近咖啡店减少了7.3％。

## 文章

1、[何时写注释？](https://testing.googleblog.com/2017/07/code-health-to-comment-or-not-to-comment.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061306.jpg)

谷歌的厕所里面贴的是各种编程知识，这篇就是谷歌的“厕所文”之一，谈什么时候应该写注释，并提供海报下载。

2、[恐龙灭绝的那一天](http://www.bbc.com/earth/story/20160415-what-really-happened-when-the-dino-killer-asteroid-struck)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061401.jpg)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061402.jpg)

BBC 的英语长文，根据小行星撞击地球假说，详细猜测那一天的情景。图文并茂，写得很生动。

3、[我从旧金山搬到纽约的感受](https://paulstamatiou.com/new-york/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061417.jpg)

作者是推特公司的设计师，从旧金山搬到纽约住，谈了自己的所见所闻。本文有大量图片，可以了解纽约的生活。

4、[git tag 命令简单教程](https://mohitkhare.me/blog/git-tags-explained/)（英文）

`git tag`命令用来给仓库打标签，本文简单介绍这个命令的用法。

5、[Node.js 内存泄漏指南](https://www.arbazsiddiqui.me/a-practical-guide-to-memory-leaks-in-nodejs/)（英文）

本文通俗地讲解什么是内存泄漏，然后通过一个例子分析 Node.js 的内存泄漏是怎么形成的，以及如何使用分析工具找出泄漏的代码。

6、[为什么 Facebook 不做公有云？](https://interconnected.blog/why-is-facebook-not-in-the-cloud-business/#chinese-version-below)（中文）

几乎每一家大型互联网公司，都在做公有云：谷歌、亚马逊、微软、阿里巴巴…… Facebook 却始终没有做公有云，这是为什么？

## 工具

1、[xrdp](https://github.com/neutrinolabs/xrdp)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061204.jpg)

微软远程桌面协议 RDP 的开源客户端，支持多个平台，可以远程登录其他计算机的桌面环境。

2、[Dexplot](https://www.dexplo.org/dexplot/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061305.jpg)

一个 Python 数据可视化库，可以生成各种图表。

3、[youdaonote-pull](https://github.com/DeppWang/youdaonote-pull)

有道云笔记不能导出笔记，迁移笔记很麻烦。此脚本可将所有笔记下载到本地。（[@DeppWang](https://github.com/ruanyf/weekly/issues/1292) 投稿）

4、[VSCodium](https://github.com/VSCodium/vscodium)

VS Code 代码编辑器的重新打包，去掉了所有微软相关的东西（品牌、用户追踪、非开源的代码）等，以实现一个纯的自由软件。

5、 [Photoshop Camera](https://www.adobe.com/products/photoshop-camera.html)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061307.jpg)

Adobe 公司推出的手机拍照软件，只要按下快门，就可以拍出具有艺术风格的照片。它的艺术风格不是来自滤镜，而且来自其他人拍的艺术照或明星照，通过 AI 套用在当前场景。

6、[Chakra UI](https://chakra-ui.com/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061414.jpg)

一个 React 组件库，UI 很优雅。

7、[Web Camera Pro](http://free-video-surveillance.com/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061420.jpg)

一个免费的视频监控软件，允许从多个摄像头捕获、存储和回放影像，并可以远程查看。

8、[Briefing](https://brie.fi/ng)

一个基于浏览器的视频聊天室，它会给出一个一次性链接，只要分享这个链接，其他人就可以跟你视频聊天。

9、[sjcl](https://github.com/bitwiseshiftleft/sjcl/)

斯坦福大学推出的 JavaScript 加密库，只有 6KB，API 也很简单，但可以提供最佳的安全性。

10、[Mind elixir](https://github.com/ssshooter/mind-elixir-core/blob/master/readme.cn.md)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061814.jpg)

一个浏览器的思维导图 JS 内核。（[@ssshooter](https://github.com/ruanyf/weekly/issues/1293) 投稿）

## 资源

1、[Artvee](https://artvee.com/)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061203.jpg)

该网站收集古典艺术品的照片和海报，都可以免费下载使用。

2、[Super SIM](https://www.twilio.com/docs/iot/supersim)

Twilio 推出的 SIM 卡，可以在全球自动连接无线网，真正的全球通卡。流量费非常贵，适合小流量的场景。

3、[Mathematical Symbols](https://mathvault.ca/hub/higher-math/math-symbols)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061415.jpg)

这个网页列出各种数学符号的含义。

4、[NumPy 互动教程](https://github.com/vthommeret/mathtocode)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061416.jpg)

一个在线教程，通过一步步编码的小例子，让你学会如何使用 Python 的数学计算库 NumPy。

5、[LogoSear.ch](https://logosear.ch/search.html)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061516.jpg)

一个 Logo 图片的搜索引擎，可以下载 SVG 格式。

## 图片

1、 [Windows 资源管理器](https://gekk.info/articles/explorer.html)

这个网站收集了历年来 Windows 资源管理器 UI 的变化，下面是其中几张。

Windows 3.0

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061301.jpg)

Windows 95

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061302.jpg)

Windows XP

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061303.jpg)

Windows 10

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061304.jpg)

2、[20世纪10大实验性住宅](https://www.bbc.com/culture/article/20190521-10-dream-homes-from-the-past-century)

一本英国的新书《房屋：非凡的生活》，列出了20世纪最有创造力的10大住宅。这些房子都是真实的建筑，而且都有人居住。

美国的沙漠之家。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061405.jpg)

日本茨城县的单层倾斜木屋。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061406.jpg)

英国的海边住宅。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061407.jpg)

瑞典的森林小屋。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061408.jpg)

3、[爱因斯坦与黑人学生](https://capitalandgrowth.org/answers/Article/3274940/Einstein-Would-Have-Supported-Black-Lives-Matter)

1946年9月，爱因斯坦（Albert Einstein）访问宾夕法尼亚州林肯大学，这是西方最古老的黑人大学。他公开说种族主义为美国“最严重的疾病”。

他很少接受名誉博士学位，为了表示对黑人的支持，他特意接受这所小型的黑人大学的荣誉学位，并给学生讲课。但是，新闻界故意不报道这一事件。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061419.jpg)

## 文摘

1、[麦克风插孔的作用](https://twitter.com/JerryCap/status/1266730812294168581)

2011年，支付结算公司 Square 想为 iPhone 提供刷实体银行卡的功能。

银行卡的读卡器连到 iPhone 需要苹果公司的批准。苹果公司只允许使用指定的扩展坞，连接外部设备，整个审查过程非常漫长。而且，这个连接设备即使做出来，也将非常昂贵，因为必须使用特殊芯片组，每个设备都要支付专利许可费。

另一方面，市场上的每部手机（不仅仅是 iPhone）都有用于接收音频信号的麦克风插孔（跟耳机孔集成在一起）。Square 工程师想到，如果可以把信用卡上的数据，通过麦克风输入到 iPhone，就不需要苹果公司的批准。音频软件工具包是标准 iPhone 库，这意味着直接编写代码，就能立刻在 iPhone 上运行。他们一周内就做出了可用的原型。

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061104.jpg)

2、[宇宙飞船的计算机如何保证计算正确？](https://space.stackexchange.com/questions/9243/what-computer-and-software-is-used-by-the-falcon-9/9446#9446)

![](https://cdn.beekka.com/blogimg/asset/202006/bg2020061815.jpg)

为了保证不出错，SpaceX 为火箭和宇宙飞船的计算机提供三重冗余。

宇宙飞船的计算机系统，CPU 一共有三个，每个都是双核的 x86 处理器，每个核都运行一个独立的 linux 实例，一共运行6个实例。

软件系统是用 C / C++ 编写的，每个计算都会比较同一个 CPU 的两个核的结果。如果不一致，就表明计算有问题，将不发送任何命令。只有两个内核返回相同的结果，命令才会发送到火箭的各种微控制器。

运行在 PowerPC 处理器上的微控制器，从三个双核 CPU 接收到三个命令字符串。如果所有三个字符串都一致，微控制器才会执行命令。

## 言论

1、

美国大学的学生成绩一直在贬值。

1940年，14.9％的学生获得A，35％的学生获得C。

2013年，45％的学生获得A，14％的学生获得C。

-- [《American Affairs 杂志》](https://americanaffairsjournal.org/2020/05/losing-the-narrative-the-genre-fiction-of-the-professional-class/)

2、

20世纪下半叶，犹太人获得了22％的诺贝尔化学奖，32％的医学奖和32％的物理奖，尽管他们不到世界人口的1％。

-- [《美国种族歧视和差异》](https://www.amazon.com/Discrimination-Disparities-Thomas-Sowell/dp/1541645634/)

3、

我知道每个人的车牌，我就在停车场外面看，谁什么时候来公司，以及何时离开。

-- [比尔·盖茨](https://www.cnbc.com/2018/04/25/bill-gates-memorized-microsoft-employees-license-plates-to-track-them.html)谈他早期怎么管理微软公司

4、

面向大众的 Linux 桌面机就像核聚变一样，永远离实现有20年的路程。

-- [《使用树莓派 4 代替 MacBook Pro 的一天》](https://www.jeffgeerling.com/blog/2020/i-replaced-my-macbook-pro-raspberry-pi-4-8gb-day)

5、

航天飞机的软件必须极其可靠。每次发射时，软件控制着价值40亿美元的设备、宇航员的生命，以及国家的梦想。即使最小的误差也可能造成巨大的后果，航天飞机的速度是每小时17,500英里，0.6秒的计时错误会使得航天飞机偏离航道三英里。

-- [《美国宇航局怎么写软件》](https://www.fastcompany.com/28121/they-write-right-stuff)

6、

2018年初发布的Bootstrap 4 即将被 Bootstrap 5 取代，今年底就不再维护。这意味着即使是 Bootstrap 的大版本，预期寿命也不到三年。

你还会用它来开发长期维护的产品，等着每隔几年进行一次重大改写吗？

-- [Hacker News 读者](https://news.ycombinator.com/item?id=23546121)

## 回顾

2019年的本周（第 61 期）：[文科生转行程序员，越来越难](http://www.ruanyifeng.com/blog/2019/06/weekly-issue-61.html)

![](https://cdn.beekka.com/blogimg/asset/201906/bg2019062101.jpg)

2018年的本周（第 9 期）：[隔空充电，电子设备植入人体](http://www.ruanyifeng.com/blog/2018/06/weekly-issue-9.html)

![](https://cdn.beekka.com/blogimg/asset/201806/bg2018061401.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
