# 科技爱好者周刊（第 116 期）：世界的未来是一个火药桶

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1315)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 刊首图

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071304.jpg)

7月12日凌晨，哈尔滨医生、天文摄影爱好者姜雪鹏拍到了 C/2020F3 彗星。他表示这颗彗星特别明亮，北半球已经好多年没有见到这么亮的彗星了。该彗星大约在北京时间凌晨4点出现北半球东北方仰角15度的方向，持续5到10分钟。

## 本周话题：世界的未来是一个火药桶

卡森·布洛克（Carson Block）是一个美国人，今年43岁。

2007年，他搬到上海，发现很多中国公司财务造假。他就开了一家咨询公司，根据成语“浑水摸鱼”起名为“浑水投资”，专门做空财务造假的中国公司。瑞幸咖啡就是他揭露的。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071503.jpg)

最近，他接受[采访](https://finance.sina.com.cn/stock/usstock/clues/hg/2020-07-08/doc-iirczymm0128209.shtml)，说现在的美国经济就像“一个巨大的、打破历史记录的火药桶”。

他的意思是，美国无限制地发行货币来挽救经济，结果钱都流入了股市，股市创出新高，好像疫情根本不存在。未来一定会出现大幅度的货币贬值，造成可怕的后果。

我心想中国不也是这样吗。国内 A 股大涨，原因也是资金太宽松。没有实体经济的支持，股市房市这样上涨，就不担心出现货币贬值吗。

有一个朋友总在说，你最应该做的事情就是买房，而且是贷款买房，最近他又开始说了。理由是现在一个月还贷一万元，好像很多钱的样子；但过了20年，你还是每月还贷一万元，那时由于货币贬值，这点钱已经不足挂齿了。只要货币一直在贬值，而房子不贬值（通常如此），那么银行贷款就是对你的补助。

每当这种时候，我就觉得，经济学毫无用处。有了那么多经济学家，经济危机照样发生；明知货币贬值会严重伤害那些依靠养老金生活的人，货币贬值照样发生。

实体经济遭遇严重困难，金融资产价格高高在上，货币贬值不可避免。世界的未来会怎样？卡森·布洛克说了，一个火药桶。

## 数据分析学习资料

现在是互联网时代，业务产生的数据越来越多。数据分析正成为日常工作必备的技能，相关的招聘岗位不断增加，企业日益重视。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071425.jpg)

数据分析可以分成两个层次。（1）基础层：发现数据包含的趋势，对产品经理和业务人员比较有用。（2）进阶层：运用数据去构造模型，再用来处理新的数据，对算法人员和开发者比较有用。

这两个层次都有一些需要掌握的基本技能。

- Python 语言：数据处理的基本语法。
- 科学计算库：pandas、matplotlib、scikit-learn 等，提供封装好的各种数学工具。
- SQL 和 Mysql：数据查询语法和储存引擎。
- Hive：海量数据分析工具，可以进行分布式数据处理。

上面的每种技能，都包括许多内容，初学者学习其中任何一种，都需要付出巨大的投入。

开课吧为周刊读者提供了一份详细的 **《数据分析知识速查表》**，使用高清图表的形式，列出上面四种技能的学习路径、详细知识点和知识脉络，便于理解和融会贯通。

同时，还会赠送数字版的《数据科学技能树》海报，适合打印出来张贴。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071423.jpg)

只要扫描下面的二维码，添加助理老师，就可以免费领取。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071424.jpg)

## 资讯

1、[视频会议的画面布局](https://lvv2.com/t/2453409/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070701.jpg)

视频会议软件 Zoom 的画面布局，是所有人平均分配屏幕空间。日本很多用户感到不习惯，纷纷向 Zoom 反馈，上下级的头像一样大，搞不清楚谁是领导，不好区分地位级别，希望能更改界面。日本网友就画出了下面的屏幕布局，这才是日本企业想要的界面吧。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070702.jpg)

2、[锂电池的环境威胁](https://www.greencarcongress.com/2020/07/20200704-un.html)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070501.jpg)

电动汽车正在淘汰燃油车，造成了锂电池的巨大需求。联合国贸发会议（UNCTAD）最近呼吁全社会关注，锂电池原料的开采对环境破坏巨大，需要寻找替代品。

锂电池原料高度集中在少数几个国家。锂主要来自智利的一个干旱沙漠地区，开采消耗了当地65%的水，造成环境退化、景观破坏、土壤污染，地下水枯竭，迫使农户和牧民放弃祖传定居点迁移。钴元素主要来自刚果民主共和国（DRC），那里都是手工采矿的小作坊，效率低下，破坏环境，多达4万名童工在地下危险的矿井中工作。

3、[MEMS 扬声器](https://www.anandtech.com/show/15894/xmems-announces-worlds-first-monolithic-mems-speaker)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071003.jpg)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071004.jpg)

美国一家创业公司宣布，已经造出了世界首个 MEMS 扬声器成品，预计明年春季可以量产。MEMS 扬声器采用全新的发声原理，可能会颠覆扬声器市场。

传统的扬声器采用电磁原理，电流变化引起线圈振动发声。MEMS 扬声器采用硅材料做成的压电薄膜，通过电压变化，引起薄膜的形变，扰动周围空气，由此产生声波。这种扬声器可以做成 4mm x 4mm 的大小，能够集成到耳机、耳戴式设备和助听器中。

4、[保加利亚的悲惨现状](https://balkaninsight.com/2020/07/09/bulgaria-writes-new-chapter-in-long-story-of-demographic-decline/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071008.jpg)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071007.jpg)

1988年，保加利亚人口达到890万的顶峰，现在只剩下690万人。不到三十年，人口下降了惊人的22.5％，是世界人口萎缩最多的国家。根据预测，该国人口还会持续减少，2050年将只剩下500多万人。

人口减少的主要原因是移民。2007年保加利亚加入欧盟，公民可以在欧洲自由迁移，每年都有好几万人移居国外，过去十年的外流人口接近人口总数的10%。保加利亚的社会状况也非常糟糕，人均寿命（74.9岁）是欧盟最低的，婴儿死亡率跟罗马尼亚并列欧洲最高，年轻人不愿意生孩子。

5、[快舟十一号火箭发射失利](https://m.k.sohu.com/d/465541200)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071409.jpg)

7月10日，中国固体运载火箭快舟十一号首次发射失利。这是中国2020年第16次火箭发射，也是今年的第三次发射失败。该火箭上面携带了哔哩哔哩网站的遥感科普卫星，也同时报销。

该火箭的最大亮点，就是使用固体燃料，而不是传统的液体燃料。由于固体燃料稳定性高，可以长期保存，所以发射机动性高，不需要发射架，可以在移动车辆上发射，因此，大幅降低了发射成本。另一方面，它跟导弹车的发射技术是一样的。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071411.jpg)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071410.jpg)

它的每公斤发射费用降到7万人民币左右，每次发射费用约7000万人民币，只是液态燃料火箭的几分之一。中国航天科工集团开发这款火箭，就是作为低成本商业发射的解决方案。

6、**一句话消息**

> - [荷兰政府](https://tech.sina.com.cn/roll/2020-07-06/doc-iirczymm0708279.shtml)宣布，公民身份证将不再注明性别，因为性别属于“非必要信息”。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070604.jpg)

> - [Nvidia](https://www.techspot.com/news/85932-nvidia-passes-intel-most-valuable-us-chipmaker.html) 已经超过英特尔，成为美国市值最高的芯片公司。它没有自己的工厂，只是一家芯片设计公司，生产外包给台积电。英特尔有自己的工厂，但工艺不如台积电，业绩受到拖累。台积电不生产自己的芯片，只实现别人的设计，现在是世界市值最大半导体公司。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070904.jpg)

> - [芝加哥市](https://www.chicagoreporter.com/chicago-police-department-arrest-api-shutdown-is-its-own-kind-of-cover-up/)在从7月4日开始的独立日周末，一共发生了80多起枪击案，17人死亡。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071002.jpg)

> - [科学家](https://scitechdaily.com/microbiologists-discover-bacteria-that-feed-on-metal-ending-a-century-long-search/)发现第一种食用金属的细菌。该细菌利用金属锰将二氧化碳转化为有机物，产生热量。

## 文章

1、[6个最常见的网页可访问性问题](https://blog.scottlogic.com/2020/07/02/6-most-common-accessibility-problems.html#empty-links-and-empty-buttons)（英文）

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070803.jpg)

可访问性（accessibility）指的是，网页对生理缺陷的用户是否友好。本文总结了6个最常见的可访问性问题及其解决方法，比如上图是文字对比度不够，导致弱视用户阅读困难。

2、[Shell 脚本如何输出帮助信息？](https://samizdat.dev/help-message-for-shell-scripts/)（英文）

作者展示了一个技巧，将帮助信息写在 Bash 脚本脚本的头部，然后只要执行“脚本名 + help”，就能输出这段帮助信息。

3、[GitHub 的个人描述页怎么实现？](https://rushter.com/blog/github-profile-markdown/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070905.jpg)

GitHub 最近改版以后，允许个人页面使用 Git 代码库定制，而且还允许插入外部图片，这意味着会出现很多有趣的玩法。这篇文章就教你怎么用外部图片，反映个人动态。

[还有人](https://simonwillison.net/2020/Jul/10/self-updating-profile-readme/)用 GitHub Actions 每天自动跑代码，生成个人描述文件，让主页自动更新。这个更酷，也很实用。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071211.jpg)

4、[如何使用 S3 + CloudFront 托管静态资源](https://www.sankalpjonna.com/posts/hosting-your-entire-web-application-using-s3-cloudfront)（英文）

网页加载时，只要不是服务器动态生成的内容，都属于静态资源。由于静态资源不用动态生成，所以可以发到 CDN 加快网页加载。本文介绍如何通过亚马逊网络服务的 S3 + CloudFront 实现一个自己的 CDN，分发静态资源。

5、[伪随机数生成器](https://github.com/bryc/code/blob/master/jshash/PRNGs.md
)（英文）

伪随机数指的是通过一种算法，由种子值得到的随机数。本文介绍了几种简单的伪随机数算法。

6、[自动生成 JSX 代码的 AI 模型](https://twitter.com/i/status/1282676454690451457)（英文）

有人在推特演示了一个不可思议的 AI 模型，你只要用文字描述页面布局，模型就会自动生成 React 的 JSX 代码。

7、[75行代码入门 WebGL](https://avikdas.com/2020/07/08/barebones-webgl-in-75-lines-of-code.html)（英文）

WebGL 是浏览器对 OpenGL API 的调用接口，可以在浏览器里面实现 3D 动画。本文用一个简短的例子，介绍了这个 API。这只是一篇简介，另有[完整的 WebGL 教程](https://www.toptal.com/javascript/3d-graphics-a-webgl-tutorial)。

8、[为什么我停止使用 Redux](https://dev.to/g_abud/why-i-quit-redux-1knl)（英文）

作者认为，Redux 被赋予了太多的使命，变成了一个全面的解决方案，导致越来越复杂和难用。他介绍了两个简单的替代库。

## 工具

1、[Brython](https://brython.info/)

一个使用 Python 写网页脚本的库，让你直接用 Python 操作网页 DOM，不需要用到 JavaScript。

2、[icdiff](https://www.jefftk.com/icdiff)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070606.jpg)

一个命令行的彩色 diff 工具。

3、[EasyOCR](https://github.com/JaidedAI/EasyOCR)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070801.jpg)

一个开源的 OCR 软件，支持识别40种语言，包括中日韩文字。

4、[RediSearch](https://oss.redislabs.com/redisearch/)

以 Redis 作为后端的全文搜索引擎，支持中文。

5、[XP-Paint](https://chowderman.github.io/xp-paint.html)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071005.jpg)

Windows 画板程序的浏览器实现。

6、[MonitorControl](https://github.com/MonitorControl/MonitorControl)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071006.jpg)

Mac 电脑小工具，可以在系统菜单栏显示亮度、对比度、音量滑块。

7、[Rome](https://romefrontend.dev/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071202.jpg)

Babel 和 Yarn 作者推出的新工具，目标是将所有 JavaScript 开发工具集中在一个软件包里面，取代 ESLint、Babel、Webpack、Prettier 等。整个软件包没有任何依赖，即每一个功能都完全从零实现。

8、[WhereMyLife](https://wheremylife.cn/)

一个 Kindle 订阅 RSS 的推送服务，所有功能完全免费。（[@Bin-Huang](https://github.com/ruanyf/weekly/issues/1340) 投稿）

9、[hugo-leetcode-dashboard](https://github.com/lryong/hugo-leetcode-dashboard)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071702.jpg)

一个将个人的 LeetCode 答题记录汇总的工具，展示题号、题目、你的解答、 题目通过率等，然后一键生成一个 Hugo 网站。（[@lryong](https://github.com/ruanyf/weekly/issues/1341) 投稿）

10、[钉钉的非官方 Linux 版](https://github.com/nashaofu/dingtalk)

钉钉官方没有提供 Linux 版，作者用 Electron 和钉钉网页版打包了一个。（[@nashaofu](https://github.com/ruanyf/weekly/issues/1342) 投稿）

## 资源

1、[Project Audio for GitHub](https://github.audio/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070504.jpg)

一个将 GitHub 事件（提交、PR、issue）转成声音的网站，让你可以听到 GitHub 的动态。

2、[OneLook Thesaurus](https://www.onelook.com/thesaurus/)

英语的同义词词典，可以查询同义词，也可以根据描述返回对应的词（比如 [large bird](https://www.onelook.com/thesaurus/?s=large%20birds&loc=revfp) 对应哪些词），加载速度很快。

3、[CRDT.tech](https://crdt.tech/)

CRDT 是一种数据结构，用于分布式网络的数据同步，最典型的例子就是多人同时编辑文档。该网站收集了 CRDT 的相关资料。

4、[Progressive App Store](https://progressiveapp.store/home)

一个渐进式 App 的在线商店，收集各种 Progessive App，是网友搭建的。

5、[网页设计博物馆](https://www.webdesignmuseum.org/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070503.jpg)

该网站收集了1600多个经过精心挑选和分类的网页，展示了1991年至2006年之间的网站设计趋势。

6、[窗口交换](https://window-swap.com/)

该网站让世界各地的人上传他们窗外的镜像，一段5到10分钟的视频。其他用户就可以在网站上随机看到别人的窗外。

## 图片：幸存者公寓

原文网址：[cnet.com](https://www.cnet.com/pictures/inside-the-kansas-survival-condo-designed-to-save-you-from-nuclear-winter/)

1、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070703.jpg)

美国堪萨斯州中部，巨大的旷野之中，有一个不起眼的大门，通往一座豪华的地下公寓，称为幸存者公寓（Survival Condo），专门为富豪躲避核战争之类的世界末日而建。

2、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070704.jpg)

公寓四周有铁丝网，提供24小时的保安，防止外来者闯入。

3、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070705.jpg)

公寓大门每扇重达8吨，一共是16吨的钢板。

4、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070706.jpg)

这个地方的前身是1960年代建造的核导弹发射井，属于美国核武库的一部分。导弹井深达地下60多米，钢筋混凝土墙厚达2米多。

5、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070707.jpg)

导弹井退役以后，卖给了一家房地产开发公司，改建成了今天的幸存者公寓，一共有15层，地上只有一个圆顶，远远看上去就是一个隆出地面的小山丘。

6、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070708.jpg)

上图是改造时从上往下看的电梯井。

7、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070721.jpg)

这是当年的防爆门，通向导弹的控制室，门外就是核导弹。这些门能够承受核导弹发射时的高温高压。 

8、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070722.jpg)

防爆门后面是一段通往控制室的走廊。

9、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070723.jpg)

当年绝密的核导弹发射控制室，可以容纳6人，24小时永远有人值班。

10、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070709.jpg)

改建以后，导弹井变成了一栋公寓楼，分成多套公寓，对外出售。每套公寓都有自己的停车位，方便外出。

11、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070710.jpg)

公寓设有应急物资供应室，提供各种紧急情况下所需的物质，包括迷彩装备、头盔等。

12、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070711.jpg)

公寓还设置了枪械室，提供功能齐全的枪支，供居民用来防身。

13、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070712.jpg)

医疗区可以进行简单的手术，并且配备了足够七年使用的药品。  

14、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070713.jpg)

食品室提供各种各样的食品，从冷冻黑莓到炒鸡蛋，所有食品的保存时间长达35年。 

15、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070714.jpg)

最令人吃惊的是，公寓还设置了全尺寸游泳池，可以自动补充水并对其进行消毒，甚至还配备水滑梯。

16、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070719.jpg)

电影院可以播放2,000部精选电影。

17、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070720.jpg)

公寓最底层是图书馆和教室。 

18、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070715.jpg)

公寓内部提供了现代住宅的所有便利，厨房配备了全新的电器，以及触摸屏控制的灯光和暖气。

19、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070716.jpg)

房间墙上有电视屏幕，可以通过摄像头看到外面的世界。

20、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070717.jpg)

每套公寓都有宽敞的客厅。

21、

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070718.jpg)

房间的窗口都是电视屏幕。

## 文摘

1、[座椅面料的秘密科学](http://www.bbc.com/autos/story/20160804-why-are-trains-seats-so-hideous)

乘坐公共交通工具（地铁、公共汽车、电车、火车）时，人们通常不会对座椅面料留下印象，那只是一块不好看、也不十分干净的纺织品而已。

但是，座椅面料其实大有学问。

首先，它必须经久耐用，因为每个座椅每天都有很多人坐。它必须用上几年，而不会有大的磨损。

其次，它必须易于清洁，能够抵抗或掩盖各种污渍。而且，它也必须看上去不十分脏，让人们坐得下去。

最后，可能是最重要的一点。它必须安全，不能着火、冒烟和闷烧，这些可能都会造成致命后果，尤其是在通风不良的地下几十米的地铁。

幸运的是，人们真的找到了这样一种材料。大多数欧美国家的公共交通工具都采用一种叫做 Moquette（法语为“地毯”的意思）的面料。这是一种羊毛和短绒棉的混合织物。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071203.jpg)

羊毛是天然的阻燃剂，绒毛织物的特殊织法（下图）又比平织布具有更高的耐用性。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071204.jpg)

由于这种面料没有平坦的表面，所以可以抵抗污渍，也可以隐藏掉其中的小颗粒。它的表面还可以加上各种涂层，确保符合安全标准，并且可以定期进行大力清洗。另外，它还具有柔软的质感和触感，并可以织出复杂的图案。

2、[工作狂与拖延症](https://www.jamalx31.com/post/between-workaholism-procrastination)

2015年，我在耶路撒冷的一家创业公司工作。每天6点起床，9点到公司上班，下午5点下班。

那年9月，我第一次出国旅行，去了意大利，为期2周。我从此迷上了旅行，每天想的就是下一次旅行，几乎每个月都出行。

有一天，我看到一篇数字游民和远程工作的博客文章。我对自己说：“这就是我想要的！”几个月后，我在网上找了第一份远程工作，然后申请了为期3个月的东南亚签证。

2016年9月，在第一次旅行的一年后，我去了泰国，远程工作，享受海滩，喝新鲜的椰子水。“努力工作，努力玩乐”，这是数字游民的口号。每天没有固定的日程，可以灵活安排。

2017年2月，我回到了耶路撒冷看望我的家人，并计划下一步行动。

突然之间，没有了热带海滩、聚会，陌生朋友，我有了很多空闲时间，不知道该怎么办。我就和一个朋友创建了一个外包 Web 开发公司，将所有时间用来创业，每周工作7天，每天工作14小时，成为了工作狂。

我希望通过创建一个成功的企业，有办法离开这个城市，搬到其他地方继续过天堂般的生活。

经过筋疲力尽的3个月，我意识到工作狂的生活不是我想要的，不喜欢现在的生活方式。我问自己，为了未来的快乐，是否今天就值得整日工作，过着悲惨的生活？ 

这使我想到了另一个更本质的问题：  **如果我不喜欢实现梦想和目标的这个过程，那么追求梦想和目标的结果是否有意义？**

我对这个问题没有明确的答案，然后，我就慢慢产生了拖延症。一方面，我仍然想要实现我的目标，另一方面，实现目标的过程让我感觉不到快乐，我就拖拖拉拉，没有努力工作。

## 言论与数字

1、

如果你花钱买，你就是客户，如果你免费获得，你就是产品。

-- [《创业公司尝试搜索引擎的订阅模式》](https://www.wired.com/story/a-startup-is-testing-the-subscription-model-for-search-engines/)

2、

40年前算法很重要，大部分程序员都需要懂，因为硬件差，必须靠算法保证性能。

但是今天只剩下不到1%的程序员直接跟算法打交道，其他人都使用现成的软件包，或从大公司购买算法，算法已成为一种商品，普通程序员不再需要自己生产了，也不需要有很深入的了解。

-- [《算法现在是商品》](http://shape-of-code.coding-guidelines.com/2020/07/05/algorithms-are-now-commodities/)

3、

本站100%无 JavaScript。

-- [swiftbysundell.com](https://www.swiftbysundell.com/special/javascript-free/)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020070906.jpg)

4、

73%的受访者认为，一周最有效率的工作日是周二。所有受访者都认为，最没有效率的工作日是周五。

-- [一项对美国人事经理的调查](https://www.watercoolertrivia.com/blog/insights)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071001.jpg)

5、

我希望 JavaScript 程序员、Java 程序员、PHP 程序员、Perl 程序员、Python 程序员、C 程序员、C ++ 程序员、以及其他重要语言的程序员，大家聚在一起开个会，一劳永逸地提出一个大家都遵守的解决方案，我们应该如何处理时间和日期。我厌倦了每个语言都有自己一套处理时间和日期的方法。

-- [《JavaScript 语言准备提出新的时间和日期 API》](https://news.ycombinator.com/item?id=23781819)

6、

许多 AI 研究人员追求的目标是开发与人类智能原理相同的人工智能，但是这永远不可能实现，因为人的思维基本上没有算法。

--[《为什么将无法实现通用人工智能》](https://www.nature.com/articles/s41599-020-0494-4)

## 回顾

2019年的本周（第 65 期）：[周刊开设“谁在招人”的招聘服务](http://www.ruanyifeng.com/blog/2019/07/weekly-issue-65.html)

![](https://cdn.beekka.com/blogimg/asset/201907/bg2019071806.jpg)

2018年的本周（第 13 期）：[周刊为什么只谈技术？](http://www.ruanyifeng.com/blog/2018/07/weekly-issue-13.html)

![](https://cdn.beekka.com/blogimg/asset/201807/bg2018071301.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
