# 科技爱好者周刊（第 121 期）：为什么人类没有越来越闲？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1315)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081305.jpg)

8月12日是“世界大象日”，西双版纳野象谷景区为大象准备了美食。（[via](http://big5.xinhuanet.com/gate/big5/www.xinhuanet.com/photo/2020-08/12/c_1126359736.htm)）

## 本周话题：为什么人类没有越来越闲？

很多人相信，随着科技的发展，未来的人们会有很多空闲时间，因为机器会干活。

这种观点是不对的。即使有高度智能的机器，未来的工人也不会空闲，可能还会更忙，至少资本主义制度是如此。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081908.jpg)

将近100年前的1930年，经济学家凯恩斯[预言](https://www.newstatesman.com/2020/08/why-bertrand-russells-argument-idleness-more-relevant-ever)，在一个世纪之内，生产力的提高将使发达国家的居民每周工作15个小时，还能保持体面的生活水平。

他的预测完全错误。今天，没有一个国家实现每周工作15小时，连接近的都没有，反而出现了996这样的工作制。我相信，再过100年，也不会有每周15小时工作制。

让我们想象一个假设的情景。一家工厂以前每天生产100个产品，随着技术进步，现在每天可以生产200个。如果能够全卖出去，那么工人的劳动时间并不会减少。

如果市场还是原来那样，只能卖出去100个，那么工厂就有50%的产能空出来了。这时，管理层有两个选择。

选择一：工人只工作半天，保持工资不变。

选择二：保留一半的工人，解雇其余的人。

现实中，一定是第二种选择，因为这样有利于增加利润。所以，  **技术进步带来的收益，不会变为工人的空闲时间，而是变为一些工人更忙碌，另一些工人失业** ，真正的赢家就是资本家，增加的利润都归他们。

这就是当今世界正在发生的事情，空闲的工人最终会被解雇。IT 行业最明显，因为技术进步对这个行业影响最大。

资本主义追求利润最大化，一旦销售不能同步扩张，技术进步就必然导致裁员，那些失业的人如果不能及时找到工作，就会越来越穷。那些还在工作岗位的人则由于负担更多的生产力，而变得越来越忙。

## Webpack 免费教程

现在的前端开发，打包工具都会选择 Webpack，它将不同的模块合并成一个脚本。

用过的人都知道，Webpack 是一个没有易用性的软件，新人上手和理解很不容易。而且，它还在不断发新版本，添加新功能。

Webpack 5.0 版已经开发了近两年，现在发到了beta 27，离正式发布依然很遥远。为什么5.0这么难产？原因就是它引入了两个新概念“微前端”（micro front-end）和“模块联合”（module federation），[官方文档](https://webpack.js.org/concepts/module-federation/)写得非常抽象。它们出来以后，学习者的难度恐怕又会上升了。

今天谈到 Webpack 的原因是，本周的课程资料是来自开课吧的《Webpack 教程》。刚刚出来的新教程，不收费，讲解构建和打包原理，这是理解Webpack 的基础，并教大家实现一个简易的 Webpack。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082101.jpg)

这个教程吸取其他教程的优点，尽量简单地讲解原理，感兴趣的同学可以听听看。

点击[这里](https://wx.kaikeba.com/vip_course/oruqbzt28r/74wti6v05e?tenant=wx5046bc7413796142)或者扫描下面的二维码，就可以领取。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082003.jpg)

## 资讯

1、[鸟类的眼泪与人类相同](https://phys.org/news/2020-08-bird-reptile-human.html)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081307.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081308.jpg)

巴西科学家为了研究眼泪的进化，检查了7种鸟类和爬行动物的眼泪，包括鹦鹉、老鹰、猫头鹰、乌龟、鳄鱼等。上图是从老鹰和鳄鱼收集眼泪。

结果发现，鸟类和爬行类动物的眼泪，与人类的很相似，均包含相似数量的电解质（钠和氯化物），不过猫头鹰和海龟的眼泪包含较高的尿素和蛋白质。这说明，眼泪基本上没有进化。

2、[装入树莓派的笔记本电脑](https://www.tomshardware.com/news/raspberry-pi-zero-replaces-broken-laptop-optical-drive)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080801.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080802.jpg)

老式笔记本电脑往往带有光驱，现在已经用处不大了。一位电脑爱好者就把光驱拆了下来，改装上了树莓派（Zerow 型号），使用的托盘也是自己 3D 打印的。

这就相当于这个笔记本里面包含两台电脑。树莓派从笔记本电脑获取电源，笔记本一开机，树莓派就会运行。笔记本电脑的屏幕，光标和键盘可用于控制树莓派。要访问树莓派，可以使用 VNC 协议远程进入系统。

3、[透明 OLED 屏幕](https://oled.com/oleds/transparent-oleds-toleds/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081403.jpg)

小米本周发布了透明电视机（上图），没有开机时就是一块透明的玻璃，开机以后变成显示屏。它的原理很简单，就是两片玻璃之间夹了一块 OLED 面板，发光二极管采用已经成熟的透明电极技术，就能实现透明屏幕，但透明度肯定不及玻璃。

这种技术最大的应用，就是可以装在车窗上（下图）。北京地铁的车窗通过投影，也有透明显示屏的效果，非常炫酷，请看[下面视频](https://v.qq.com/x/page/r3135dmqctc.html)。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081404.jpg)

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=r3135dmqctc" allowFullScreen="true" width="600px" height="400px"></iframe>

4、[红砖电池](https://arstechnica.com/science/2020/08/how-to-turn-regular-bricks-into-electricity-storying-supercapacitors/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081501.jpg)

美国华盛顿大学的研究团队，尝试了一项很有创意的发明。他们根据电容储能的原理，将普通红砖变成了电池。这是因为红砖含有铁元素，而且内部是多孔的，有巨大的表面积，在内部小孔里面加上特殊涂层以后，涂层与铁元素之间相互作用，就能像超级电容那样储能。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081502.jpg)

一块砖头可以在15秒内充满电，然后供 LED 二极管亮大约11分钟。不过，它的电量偏小，每平方米的墙壁大约可以储能1.6瓦时，这意味着三米乘六米的一堵墙壁可以储能约20瓦时，还不具有实用价值。

5、[地表最高温度](https://bnonews.com/index.php/2020/08/temperature-at-californias-death-valley-reaches-130f/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081801.jpg)

8月16日，美国加利福尼亚死亡谷的温度达到54.4摄氏度，是地表有记录以来的第三位最高温度。

100多年前的1913年7月10日，也是在这个地方，记录到地表最高温56.7°C，迄今没有被打破。为什么这个地方温度会成为全球之最，真是很奇怪的事情。死亡谷的纬度是北纬36.5度，跟山东省济南市在同一个纬度，也不算内陆地区，离海边只有200多公里。

6、**一句话消息**

> - [美国法院](https://techcrunch.com/2020/08/07/goodbye-paramount-consent-decrees/)废除一项已经实施70年的禁令，允许电影制片公司拥有电影院。原因是 Netflix 等流媒体公司的兴起，使得该规定毫无意义。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080805.jpg)

> - [苹果公司](https://www.iphoneincanada.ca/news/apple-legal-action-pear-logo/)对一个家庭购物 App 提起诉讼，要求对方更改 Logo，理由是跟苹果公司的 Logo 太接近。但是根据下图，完全不像啊。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080901.jpg)

> - [国际暗空协会](https://www.atlasobscura.com/articles/dark-sky-photographs)每年会举办摄影比赛，要求全球爱好者提交照片，展示银河系的美妙，或者人类光源对天空的污染。今年的获奖作品中，有一张中国长城的照片，显示了光污染的严重。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081104.jpg)

> - [上海环境博览会](https://www.instagram.com/p/CD8MbPuhpbn/?igshid=y7htfs2hn65)上，厂商展出了无人清洁车，该车会自动捡起地上的水瓶、纸张和烟头。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081803.jpg)

> - [天文学家](https://phys.org/news/2020-08-fastest-star.html)发现宇宙中最快的恒星，运动速度达到光速的8%。

> - [微软公司](https://www.theverge.com/2020/8/17/21372487/microsoft-internet-explorer-11-support-end-365-legacy-edge)宣布，明年将终止对 IE 11 和旧版 Edge 浏览器的支持。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081903.jpg)

## 文章

1、[CSS 生成艺术](https://generative-art-with-css.commons.host/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081203.jpg)

作者介绍如何用 CSS 生成各种形状的图形。

2、[如何使用 Rust 开发单页应用 SPA](http://www.sheshbabu.com/posts/rust-wasm-yew-single-page-application/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081204.jpg)

单页应用（SPA）都是使用 JavaScript 开发，但是有了 WebAssembly 以后，其他语言也可以编译成 JavaScript。本文就完全使用 Rust 语言开发上图的 SPA，后端开发者现在也可以写前端了。

3、[Manjaro 与 Arch Linux 的区别](https://itsfoss.com/manjaro-vs-arch-linux/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081401.jpg)

Manjaro 与 Arch 都是流行的 Linux 发行版，Manjaro 基于 Arch，但是有自己显著的特点。

4、[单个创始人的表现更好](https://www.growthclub.online/post/research-says-solo-founders-perform-better-here-is-why)（英文）

常规的建议是，你必须先组建团队，然后才能创业。但是，统计显示，单个创始人的公司更可能盈利，本文分析原因。

5、[熵的羊群解释](https://aatishb.com/entropy/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081504.jpg)

本文用羊群作为例子，通过图片较为通俗地解释了，物理学的熵（entropy）是概率导致的。

6、[CRDT 算法是否适合多人实时编辑？](https://blog.kevinjahns.de/are-crdts-suitable-for-shared-editing/)（英文）

CRDT 算法用于分布式服务实现数据同步，比如同一篇文档的多人实时编辑。[Yjs](https://github.com/yjs/yjs) 是 CRDT 的一个实现，本文是它的作者对这个算法的解释，内容有一定深度。

7、[TypeScript 简明介绍](https://www.warambil.com/typescript-why-is-so-important)（英文）

一篇针对初学者的 TypeScript 介绍，写得相当简洁。

8、[HTML smuggling 解释](https://outflank.nl/blog/2018/08/14/html-smuggling-explained/)（英文）

很多人不知道，JavaScript 可以脚本生成 exe 文件，让用户下载。本文介绍如何在网页里面嵌入一个恶意的可执行文件。

9、[广告短信的退订内幕](https://daily.zhihu.com/story/9726870)（中文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081909.jpg)

很多促销广告短信都说回复 T 退订，但是回复了 T 之后会发生什么？（[@9527q](https://github.com/ruanyf/weekly/issues/1378) 投稿）

10、[微信小商店初体验](https://juemuren4449.com/archives/wechat-minishop)（中文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081910.jpg)

7 月 14 日，微信开放了微信小商店的内测，这是官方的开店功能，跟微店等第三方平台是不一样的。这篇文章介绍了申请流程以及使用体验。目前，微信小商店已经允许个人申请了，可用于个人开店。（[@juemuren4449](https://github.com/ruanyf/weekly/issues/1380) 投稿）

## 工具

1、[QRpicture](https://www.qrpicture.com/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081503.jpg)

一个在线工具，把图片变成可以扫描的二维码。

2、[isoflow](https://isoflow.io/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081601.jpg)

一个绘制示意图的在线工具。

3、[ScreenplaySubs](https://screenplaysubs.com/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081702.jpg)

浏览器插件，播放 Netflix 视频的时候，同步显示剧本内容。

4、[Quarantines Sites](https://quarantines.site/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081704.jpg)

一个在线工具，可以通过它来访问其他网站，避免被追踪。

5、[umami](https://umami.is/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081901.jpg)

一个开源的网站访问统计服务。

6、[ts-migrate](https://github.com/airbnb/ts-migrate)

Airbnb 公司新的开源项目，可以将 JavaScript 代码转成 TypeScript 代码。

7、[js.cool](https://github.com/js-cool/js.cool)

为开源项目提供免费的`js.cool`的子域名，类似`js.org`，支持 CNAME 绑定。（[@willin](https://github.com/ruanyf/weekly/issues/1379) 投稿）

8、[Screen Share Party](https://ba.net/screen-share-party)

该网站通过 WebRTC 协议把你的桌面分享给其他人。它生成一个 URL，其他人访问这个 URL，就能看到你的桌面。

9、[maza](https://github.com/tanrax/maza-ad-blocking)

一个本地的广告拦截器，通过封锁 DNS 达到拦截广告的目的。它的特点就是非常简单，就是一个 Bash 脚本，可以作为学习脚本编程的范例。

## 资源

1、[统计学习导论](http://faculty.marshall.usc.edu/gareth-james/ISL/)（An Introduction to Statistical Learning）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080508.jpg)

免费英文电子书，可以作为非数学专业学生的统计学教材，侧重机器学习的统计基础，提供 R 语言的例子。

2、[rms.sexy](https://rms.sexy/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081001.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081002.jpg)

该网站专门收集理查德·斯托曼使用笔记本电脑的照片。

3、[1940年纽约历史地图](https://1940s.nyc/map/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081402.jpg)

这个网站提供1940年代的纽约在线地图，并且还可以查看各个地点的历史照片。

4、[AI 还原古罗马皇帝](https://voshart.com/ROMAN-EMPEROR-PROJECT)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081602.jpg)

这个项目使用 AI 模型，将古罗马皇帝的塑像还原成高清晰度人像照片。

5、[物理学书单](https://www.susanjfowler.com/blog/2016/8/13/so-you-want-to-learn-physics)

作者列了一个英文书单，对于想自学物理学、达到本科以及研究生水平的读者，应该阅读哪些教材。

6、[COVID-19 舆论新闻可视化](https://pearmini.gitee.io/ncovis-2020/#/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081911.jpg)

山东大学 VisLab 的一个可视化项目，分析疫情对舆论和新闻的影响。（[@pearmini](https://github.com/ruanyf/weekly/issues/1382) 投稿）

## 图片

1、[NeXT 徽标](https://www.logodesignlove.com/next-logo-paul-rand)

1986年，乔布斯向著名的平面设计师保罗·兰德（Paul Rand）支付了10万美元，要求为自己的 NeXT 计算机公司设计徽标。

下面就是最后的成品。1986年的10万美元，要比今天的100万美元更值钱。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081606.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081605.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081604.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081603.jpg)

## 文摘

1、[姆潘巴现象](https://en.wikipedia.org/wiki/Mpemba_effect)

1963年，坦桑尼亚的一个高中上烹饪课，学生们做冰淇淋。

一个叫做姆潘巴（Erasto Mpemba）的学生，发现了一个奇怪的现象。两个装有相同体积水的容器，一个是35°C，另一个是100°C，同时放进冰箱，竟然是100°C的水首先开始结冰。也就是说，温度高的水会更快结冰，这是为什么？

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081507.jpg)

物理老师也不知道这是怎么回事，就把这个结果发表出来。这引起物理学界的争论，科学家也无法解释，就把它称为“姆潘巴现象”。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081506.jpg)

2012年，英国皇家化学学会举行了一场竞赛，征集论文，对姆潘巴现象进行解释。共有22,000人参加，获胜者提出了两种解释。

（1）过冷（Supercooling）。低温液体会在一定时间内存在过冷现象，低于凝固点仍维持液体。

（2）对流。温度高的液体有更高的对流，有利于散热。

2、[为什么咨询业不适合我？](https://medium.com/@karti/why-consulting-is-not-for-me-ffdbe09bb3c1)

6个月前，我开了一家 IT 咨询公司。现在，我得出了结论，咨询业不是令人满意的职业，并不适合我。

作为顾问，我只了解客户业务和问题的一小部分，没法接触到全局的战略性工作。我想制造汽车，但是客户只要求我制造方向盘。

客户只把我视为服务提供商，而不是合作伙伴。在工作中，我希望与合作者建立深厚的关系，但实际上只会与许多人建立肤浅的关系。

咨询业会接触到各种各样的业务，需要花费大量时间了解每一个客户的业务场景。随着时间的流逝，我的注意力都被各种琐碎的业务问题分散了，我在工程和管理上的核心技能正在逐渐消失，就像肌肉因使用不当而萎缩一样。

每一个新业务，我都需要一遍遍重复同样的流程，与每个客户从头开始讨论项目目标、付款安排，运行安排、时间节点等等。我开始意识到，我不想重复地完成短期项目，而是希望参与长期项目，随着时间的推移不断加深对项目的理解，并可以在前期的基础上不断开发。

最后，我希望有一种目标感，大家聚在一起，创造一些了不起的东西。咨询业无法提供这种目标感。

我最终决定不干咨询了。

## 言论

1、

Web 和浏览器已经发展到令人恐怖的技术规模。微软完全放弃了，Mozilla 在死亡线上挣扎，Safari 根本无足轻重，只剩下 Google 一个玩家。

我呼吁谷歌立即无限期地中止向 Web 和浏览器添加新 API。浏览器实际上应该开始考虑缩小 API 并削减功能，更关注性能、效率、可靠性和安全性。

-- [《Web 需要停下来》](https://drewdevault.com/2020/08/13/Web-browsers-need-to-stop.html)

2、

谷歌一直希望降低地址栏的重要性，因为它的目标是推广 AMP 技术，将内容都放在自家的服务器上面。没有了地址栏，用户就看不出来这是谷歌的网站，而不是原始网站。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24157380)，讨论 Chrome 86 浏览器将不再显示完整的网页地址

3、

无知的一阶效应包括做出错误的决定，二阶效应包括不了解决定为何错误。

-- [unintended consequences](https://unintendedconsequenc.es/tiktok-ban-openness-trap/)

4、

在美国，大家都在谈 TikTok，为什么没有人谈 AirDroid？

它也来自中国，下载量超过1亿，拥有对大量 Android 设备的完全访问权限。与 TikTok 相比，它拥有的数据量更多。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24173789)

5、

去年，苹果应用商店的销售额为5190亿美元（包括硬件），而亚马逊网站为3280亿美元。所以，前者才是美国最大的在线零售商。

-- [《亚马逊并不是最大的在线零售商》](https://www.forbes.com/sites/danrunkevicius/2020/08/17/apple-not-amazon-is-the-largest-online-retail-force/#43ce5d8764cb)  

6、

只是因为让游戏 Fortnite 在应用商店上架，苹果在过去三年就获得3.6亿美元纯利润（因为可以提成30%的销售额）。

-- [《苹果从 Fortnite 获利3.6亿美元》](https://www.businessinsider.com/apple-made-360-million-from-fortnite-in-app-purchases-2020-8) 

## 回顾

2019年的本周（第 70 期）：[世界进入负利率时代，这意味什么](http://www.ruanyifeng.com/blog/2019/08/weekly-issue-70.html)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082201.jpg)

2018年的本周（第 18 期）：[无人机攻击，难以防范](http://www.ruanyifeng.com/blog/2018/08/weekly-issue-18.html)

![](https://cdn.beekka.com/blogimg/asset/201808/bg2018081701.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
