# 科技爱好者周刊（第 122 期）：谈谈互联网公司的高估值

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1392)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081802.jpg)

新加坡南洋理工大学的学习中心大楼，有56间智能教室，可以让学生们进行小组活动。这栋楼的垂直绿化与阶梯式阳台，让它像一个花园，同时也减少了太阳光照带来的热量。（[via](https://www.instagram.com/p/CCa2SrYnZR0/)）

## 本周话题：谈谈互联网公司的高估值

上周，[贝壳找房](https://finance.sina.com.cn/stock/s/2020-08-24/doc-iivhvpwy2782408.shtml)在美国上市，第一天的市值就超过了中国最大的房地产公司万科。

虽然两家公司不太一样（贝壳找房是二手房交易平台，万科是开发商），但这种估值还是挺让人震惊的。贝壳找房还在亏损，而万科每年有500多亿人民币的利润，但市场依然认为前者更值钱。

这已经是一种趋势了，头部互联网公司的估值都非常高。即将上市的支付宝，市值也几乎肯定超过中国工商银行，后者是世界最大银行。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082601.jpg)

这里不讨论这种现象的原因，以及它是否合理。我只想谈谈这样的现实意味着什么。

**（1）公司层面上，高估值意味着超大的业务规模。**

市场给了你这么高的估值，要求的回报就是超高的市场占有率，来支撑这种估值。如果你不能把业务做大，无法独霸市场，把其他人打趴下，那么价格就会掉下来。

贝壳找房的高估值，就是市场认为，它会成为中国房地产市场的淘宝。所以，它的压力也挺大的，接下来几年，必须把竞争者都搞死或者收购，因为只有一家公司能成为市场老大。当年跟亚马逊一起做云服务的，有很多家公司，现在只有亚马逊一家的股价高高在天上，其他那些公司在哪里呢？

**（2）个人层面上，高估值意味着一夜暴富。**

互联网公司的高估值，对投资者和员工来说，意味着超高的回报。你投入几年时间，就能赚到别人一辈子可能都赚不到的财富。所以找工作的话，如果能去那些可以上市的创业公司，并且拿到股票的话，收入会远远高于传统的被视为“金饭碗”的银行、大型国企和外企，更不要提政府机关了。

正是因为这个原因，我才一直觉得，应该去创业或者加入创业公司。尽管创业公司有风险，但是同样的劳动，估值却天差地别，为传统企业打工，一样累死，收入只有一点点，想想就觉得很不值。

## 前端面试攻略

现在的前端面试，难度越来越大，跟五六年前已经完全不能比了。尤其是大厂，进入的门槛非常高。

只有专家级的程序员，或者有知名代表作的程序员，才有把握通过面试。普通程序员并不容易通过，必须多投一些公司，增加面试机会，来提高求职成功率。

求职时，大多数前端程序员都会遇到以下三大问题。

1. 简历写得不好，无法给别人留下深刻印象。
2. 面试前，不知道如何梳理知识点，无法系统地展示自己的能力。
3. 面试时，把握不了面试官想要考察的知识点，失败了都不知道为什么。

本周的课程资料，就是京程一灯为周刊读者提供的 **《前端面试攻略》**，帮助大家做好面试准备。

课程中，前端专家会剖析大厂面试流程，建立知识体系，梳理关键知识点，让你更高效更全面地进行面试准备，顺利拿到 offer。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082608.jpg)

只需扫描下图二维码，进群领取优惠券，0.02元即可报名该课程。前100位进群的同学，再送价值98元的《面试高频考点专题课》。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082607.jpg)

## 资讯

1、[透明厕所](https://www.theguardian.com/world/2020/aug/18/loo-with-a-view-transparent-public-toilets-installed-in-tokyo-parks)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081904.jpg)

日本东京涩谷区的公园内，最近安装了第一批五个透明厕所。这是由普利兹获奖建筑师设计的，它采用有色的“智能玻璃”，没人时是透明的，当被占用时（门锁上后），它们会变得不透明。

设计师说，透明厕所可以让人们一眼看到内部是否干净，以及有没有人在里面。另外，晚上这些厕所像美丽的灯笼一样照亮公园。根据计划，明年春季之前还会在涩谷的17个地点安装这种厕所。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081905.jpg)

2、[空气压缩储能电站](https://www.cbc.ca/news/canada/london/goderich-ontario-compressed-air-energy-storage-1.5369478)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081906.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081907.jpg)

加拿大一座废弃的盐矿，最近改造成了世界第一个零排放的空气压缩储能电站。夜间，多余的电能将空气压缩在地下的矿井；白天，当电网需要电力时，再打开阀门让压缩空气跑出来，推动涡轮机发电。

这个储能电站可以储存一万度的电力，供2,000个家庭使用五个小时。压缩空气的过程，会损失约三分之一的能量，但还是比其他储能设施成本降低了一半，而且使用寿命长达50年。

3、[冷管降温](https://newatlas.com/energy/cold-tube-cooling-air-conditioner/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082204.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082205.jpg)

全球天气越来越热，空调正成为必不可少的日用品。但是，空调的耗能非常大，科学家一直在寻找其他降温方案，加拿大不列颠哥伦比亚大学最近就开发了一种“冷管”系统（Cold Cube）。

他们发明了一种膜，里面包含了水的管道，可以贴在墙壁和天花板上，进行不断的冷水循环。这层“冷管”通过吸收人体辐射的热量，从而让人感到凉快。由于不通过冷却空气来降温，因此可以节省大量能源。另一个好处是，它们可以开窗使用，依然能让人感到凉快。 

4、[最勤奋的回答者](https://meta.stackoverflow.com/questions/400506/congratulations-for-reaching-a-million-gordon-linoff)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082403.jpg)

StackOverflow 是全世界的最大程序员问答网站，每回答一个问题，都可以获得积分。本月，该网站出现了第一个突破100万积分的会员。这个叫做 Gordon Linoff（用户名 Jon Skeet）的人，给出了惊人的71,903个答案。

他是2012年注册的，平均每天回答22.8 次。根据问题的标签，他主要回答 C＃、.NET 和 Java 的问题。这是否也意味着，这几个领域的问题特别多？

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082402.jpg)

5、[墨尔本的奇怪摩天大楼](https://www.gizmodo.com.au/2020/08/we-tracked-down-the-person-responsible-for-the-flight-simulator-melbourne-monolith/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082610.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082314.jpg)

微软公司的飞行模拟软件《Microsoft Flight Simulator》最近上市，很多用户惊奇地发现，在这个软件中，澳大利亚城市墨尔本郊区的田野之中，居然耸立着一座212层的摩天大楼（上图）！

这个软件完全是实景模拟，所以大家都很奇怪，这座不存在的摩天大楼从何而来？调查以后才发现，软件数据来自微软的 Bing 地图，而 Bing 地图又复制了开源地图 OpenStreetMap 的数据。在 OpenStreetMap 中，志愿者提交数据时，不小心将这栋两层楼的建筑输错为212层（下图）。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082313.jpg)

6、**一句话消息**

> - [智利科学家](https://phys.org/news/2020-08-genome-comparison-insight-penguin-evolution.html)经过收集全世界各地企鹅的基因，确认企鹅起源于澳大利亚和新西兰凉爽的沿海地区，而不是寒冷的南极洲。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082001.jpg)

> - [英国科学家](https://www.theguardian.com/environment/2020/aug/05/throng-of-new-penguin-colonies-in-antarctica-spotted-from-space?CMP=oth_b-aplnews_d-1)通过卫星照片，使用人工智能算法，新发现了13个南极帝企鹅的居住地。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081303.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081304.jpg)

> - [德国环境部](https://www.msn.com/en-us/news/technology/germany-plans-to-dim-lights-at-night-to-save-insects/ar-BB17BlkR)计划通过一部新法律，降低全国的灯光，禁止探照灯和空中聚光灯，目的是提供夜间黑暗的环境，保护昆虫，应对昆虫数量的急剧减少。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020080702.jpg)

> - [加勒比海岛国巴巴多斯](https://www.insider.com/work-remote-live-caribbean-barbados-new-visa-2020-7)推出了远程工作签证，只要2000美元申请费，没有其他条件，就可以到那里远程办公一年。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082404.jpg)

> - [美国政府](https://www.theverge.com/2020/8/26/21402274/white-house-ai-quantum-computing-research-hubs-investment-1-billion)宣布，提供10亿美元资助人工智能和量子计算的研究。

## 文章

1、[网络安全工程师的修炼途径](https://danielmiessler.com/blog/build-successful-infosec-career/)（英文）

作者在网络安全方面有20年的从业经验。他在本文中介绍网络安全工程所需的技能和培养途径。他提出，学习者一定要有自己的实验室，熟练使用虚拟机测试各种系统。

2、[如何用神经网络玩超级马里奥兄弟](https://chrispresso.github.io/AI_Learns_To_Play_SMB_Using_GA_And_NN)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082201.jpg)

作者展示了如何用 Python 写一个神经网络模型，自动玩超级马里奥兄弟，可以很清晰地看懂他的算法，就是将游戏画面转化成一帧帧的像素网格（注意下图两侧画面的对比），根据网格的变化，程序自动做出反应。

3、[深入了解 Python的官方 Docker 映像](https://pythonspeed.com/articles/official-python-docker-image/)（英文）

本文是一篇 Docker 教程，一步步介绍 Python 官方的 Docker 镜像是怎么制作的，详细解读 Dockefile 文件。

4、[理解 Python 哈希表](http://thepythoncorner.com/dev/hash-tables-understanding-dictionaries/)（英文）

本文详细讲解 Python 哈希函数的用法，然后用它实现一个简单的哈希表。

5、[如何在谷歌云安装 Pi-Hole](https://medium.com/@devinjaystokes/how-to-set-up-a-pi-hole-ad-blocking-vpn-server-on-google-clouds-always-free-usage-tier-ff1d8a8c407e)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082308.jpg)

一篇非常详细的教程，一步步教你在谷歌云上安装 Pi-Hole，自己搭建一个 DNS 服务器，能够屏蔽广告。

6、[凭借中国一国之力能搞出光刻机吗？](https://news.sina.cn/gn/2020-08-21/detail-iivhvpwy2190590.d.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082310.jpg)

芯片生产的核心设备是光刻机，目前只有荷兰 ASML 能生产，中国自己能搞出来吗？

7、[如何使用 Firebase 开发一个自己的评论系统](https://www.smashingmagazine.com/2020/08/comment-system-firebase/)（英文）

Firebase 是谷歌的实时数据库服务，本文是一个详细教程，通过网页截图，教你一步步使用它来储存前端数据。

8、[使用 Safari Web Share API 窃取本地文件](https://blog.redteam.pl/2020/08/stealing-local-files-using-safari-web.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082603.jpg)

本文介绍如何在苹果设备上，利用 Safari 浏览器的 Web Share API 在用户不知情的情况下，将本地文件分享出去。

## 工具

1、[Ventoy](https://www.ventoy.net/cn/index.html)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082301.jpg)

一个制作可启动U盘的开源工具。

2、[Songwhip](https://songwhip.com/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082401.jpg)

一个音乐搜索引擎，特点是搜索歌曲可以返回各大影音平台的链接，支持中文歌曲搜索。

3、[solid](https://github.com/ryansolid/solid)

一个借鉴 React 思想和用法的前端框架，但是不使用虚拟 DOM，也没有那些复杂的 API，用起来比较轻盈。

4、[运维外挂脚本](https://github.com/eryajf/magic-of-sysuse-scripts)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082406.jpg)

一个服务器运维脚本，把重复性较多的一些工作都集成在里面，方便使用。（[@eryajf](https://github.com/ruanyf/weekly/issues/1384) 投稿）

5、[Ciphey](https://github.com/Ciphey/Ciphey)

有时，我们有一段加密文本，但是不知道它使用什么加密方法。这个命令行工具，会根据人工智能算法，自动判断加密方法，能不能解密。

6、[shift-ctrl-f](https://github.com/model-zoo/shift-ctrl-f)

一个 Chrome 浏览器插件，使用语义而不是精确匹配来搜索网页。用户输入问题，它返回网页上最相关的段落。目前只支持英文。

7、[ztext.js](https://bennettfeely.com/ztext/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082701.jpg)

这个 JS 库可以将任何字体变成 3D 效果，支持中文。

8、[script-httpd](https://github.com/beefsack/script-httpd/)

这个程序可以将任何的命令行程序，变成网络服务。它提供一个网络接口，收到 HTTP 请求后，启动容器环境执行命令行程序，然后返回结果。

## 资源

1、[CSS 渐变魔法](https://www.gradientmagic.com/)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081701.jpg)

该网站收集各种 CSS 渐变图像，可以复制到自己的项目。

2、[labuladong 的算法小抄](https://labuladong.gitbook.io/algo/)

100 多道 LeetCode 算法题目的中文解释。

3、[不可能的几何形状](https://im-possible.info/english/library/index.html)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081902.jpg)

该网站收集各种不可能的几何形状图片，目前已经有两千多张了。

4、[Puppeteer & Playwright 学习教程](https://theheadless.dev/)

一份英语教程，介绍无头浏览器操作库 Puppeteer 和 Playwright 的用法。

5、[macOS 的安全和隐私指南](https://github.com/drduh/macOS-Security-and-Privacy-Guide/blob/master/README-cn.md)

这本指南帮助读者提高 macOS 系统的安全性，保护个人隐私，内容为中文。

6、[讲解开源项目](https://github.com/HelloGitHub-Team/Article)

一组中文的系列文章，介绍各种开源项目和用法。（[@521xueweihan](https://github.com/ruanyf/weekly/issues/1385) 投稿）

## 图片

1、[富士山公路](https://www.atlasobscura.com/articles/snow-canyon-japan)

日本富山县有一条高速公路。冬天下雪时，积雪有时厚达几米。扫除路上的积雪以后，就形成了公路两边有雪墙的奇特景象。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082510.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082511.jpg)

为了保证道路通畅，每逢大雪，数百名除雪车司机的团队就会通宵工作。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082512.jpg)

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082513.jpg)

近年来，气候变暖。以后日本大雪的冬季，可能就会比较少见。

## 文摘

1、[大公司如何合法避税](https://www.reddit.com/r/coolguides/comments/ifz1no/how_to_not_pay_taxes/)

有一家世界著名的大型互联网公司，姑且称它为 X 公司，每年有500亿美元的收入。这家公司希望能够合法少缴税。

它就先在开曼群岛，注册了一家 Y 公司。开曼群岛不对公司收税，只收取注册费。然后，它把所有的知识产权，比如商标和特许技术都转移到 Y 公司。

X 公司每年需要向 Y 公司支付很大一笔知识产权许可费用，导致它的利润为零，所以就不用缴税了。而 Y 公司由于注册在开曼群岛，即使有很大一笔利润，也不用缴税。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082509.jpg)

2、[肉鸡的由来](https://www.theguardian.com/environment/2020/aug/17/from-farm-to-factory-the-unstoppable-rise-of-american-chicken)

一个世纪以前的美国，肉类是一种昂贵的食品。穷人经常吃肉是一种奢望。

那时，肉类主要是牛肉、猪肉和羊肉。鸡主要是用来产蛋的，而不是加工鸡肉。因为鸡的加工比较麻烦，需要拔毛，而且肉量太少，成本也不低。

第二次世界大战期间，肉类定量配给，这迫使美国人多食用家禽和鱼类，而把牛肉、猪肉和羊肉留给军队。就是在那个时候，吃鸡在美国变得越来越普遍。家禽公司开始饲养专门的肉鸡品种。

战争结束后，美国的玉米和谷物产量快速增长，饲料公司向农民提供贷款，要求大量使用玉米养鸡，从而构成了美国现代的肉鸡产业。

于是，肉制品公司就开始寻找适合玉米饲料的肉鸡品种。地球上大概有500多种鸡。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082202.jpg)

但是，今天的美国消费者吃的每一块鸡肉，很可能都来自同一种鸡，那是一种 Cornish 鸡和 white rock 鸡的杂交品种。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020082203.jpg)

1940年代，美国农业部举办了一个“明日之鸡”竞赛。一种叫做 Vantress的鸡获得了第一名，随后被大量推广，成为标准的肉鸡品种。这种鸡有一些显著优点：大块的鸡胸肉、生长速度快、白色羽毛、个体大小一致、性格温和。

它的推广，导致了今天美国发达的鸡肉产业。1920年，普通肉鸡的平均大小约为1.13千克，今天达到了2.7千克，而且可以在47天内从出生达到这一重量。

它的各种特点，使得它成为最适合的品种。（1）这种鸡不是很爱运动，能够保证用最小数量的饲料，生出最多的肉。（2）白色羽毛有利于卖出好价格，其他颜色的鸡，消费者会觉得不那么“干净”。（3）一致的大小可以保证鸡肉加工厂的流水线以较高的速度平稳运行。（4）温和的性格也是必须的，因为鸡天生具有攻击性，特别是在狭窄的空间饲养大量的鸡，一旦发生争斗就会影响产量。只有性格温和的鸡才能大量养在一起，使得饲养场有利可图。

全球最大家禽公司的育种师和遗传学家，继续完善杂交肉鸡品种，使得它能在恶劣的环境或劣质饲料下快速生长。“现在，基因公司监控几十个参数，根据鸡的解剖结构、健康状况、以及进入动物体内的所有物质，不断调整参数，以期获得最大的个体大小和最快的生长速度，让它成为效率更高、适应性更好的现代肉鸡。”

经过几十年的努力，肉鸡的饲料转化率达到了非常高的水平，2019年的数据是1.8公斤的玉米饲料，可以产出1公斤的鸡，而且生产周期只需要6周。只有某些品种的鱼的饲料转化率更高，相比之下，产出1公斤的牛肉需要10公斤的饲料。穷人吃得起肉的目标，就这样通过肉鸡实现了。

## 言论

1、

物理学家狄拉克（Dirac）沉默寡言，回答别人时经常只用一个单词。他顽皮的同事们引入了一种新的度量单位，测量人类的语速，就叫做Dirac，每小时只说一个词即为一个 Dirac。

-- [《狄拉克的恋爱》](https://theconversation.com/the-life-changing-love-of-one-of-the-20th-centurys-greatest-physicists-51229)

2、

制作一加仑糖浆需要50加仑的果汁，表达也是这样，你要把想法以压缩后的形式展示出来。

-- [《表达就是压缩》](https://www.perell.com/blog/expression-is-compression)

3、

我真的很厌倦现在的工作，每天就是将 AWS 服务拼接在一起，其余时间都在调试和灭火。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24230431)

4、

我们公司是一家历史悠久的 IT 公司。人力资源部门的反馈表明，我们很难挽留年轻员工，因为他们不想使用旧系统。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24230266)

5、

跟随马斯克12年的助理玛莉，要求大幅调薪。马斯克对她说：“你先放两个礼拜的假吧！让我想想。”

过了两个礼拜，马斯克发现没有玛莉，他一个人也能稳妥地完成工作，就拒绝了调薪要求。

--[《年资高，工作量大是谈加薪最大筹码？》](https://buzzorange.com/techorange/2019/07/12/does-your-boss-really-need-you/)

## 回顾

2019年的本周（第 71 期）：[名校毕业，不容易创业](http://www.ruanyifeng.com/blog/2019/08/weekly-issue-71.html)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082601.jpg)

2018年的本周（第 19 期）：[电影《头号玩家》描绘未来的虚拟世界](http://www.ruanyifeng.com/blog/2018/08/weekly-issue-19.html)

![](https://cdn.beekka.com/blogimg/asset/201808/bg2018082401.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
