# 科技爱好者周刊（第 125 期）：数字人民币要取代谁

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1392)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091705.jpg)

西班牙加纳利岛的人们，在火山灰上挖坑种葡萄。火山灰排水快，种出来的葡萄更适合酿酒。（[via](https://www.instagram.com/p/CFMtHr3jOtR/)）

## 本周话题：数字人民币要取代谁

数字人民币，已经传了很久了，但它到底是什么东西，媒体却不提。

本周，人民银行的副行长写了[一篇文章](https://www.financialnews.com.cn/ll/gdsj/202009/t20200914_200849.html)，第一段就回答了这个问题。

> “数字人民币主要定位于流通中现金。……国家有必要利用新技术对现金进行数字化，为数字经济发展提供通用性的基础货币。”

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091414.jpg)

现在清楚了，数字人民币根本不是加密货币，而是人民币现金的数字形式，主要用于网上支付。

但是，网上支付早不是问题了，支付宝和微信支付用得好好的，为什么央行还要推行数字人民币呢？上面那篇文章，同样解释了数字人民币的运作模式。

>  **“中央银行在数字人民币体系中居于中心地位，负责向指定商业银行批发数字人民币并进行全生命周期管理，商业银行等机构负责面向社会公众提供数字人民币兑换流通服务。”**

看到了吗，中央银行主管数字人民币，只有指定的商业银行才能对公众提供服务。也就是说，以后网上支付的时候，你不会只用微信支付和支付宝，还可以用商业银行的客户端。这就是说， **数字人民币就是商业银行的网上支付服务。**

前一段时间，建行的数字人民币客户端泄漏。顶部的四个主要功能按钮是付款、收款、扫一扫和转款，正好验证了央行的说法。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091413.jpg)

我想，这就是中央银行想要推广数字人民币的主要原因。现在的局面是，两家互联网巨头，掌握了全国的数字支付，它们还都是私人公司。国有商业银行和银联的云闪付，根本拿不到市场份额。中央银行应该是比较担心这个，不愿数字支付被腾讯和阿里垄断，希望商业银行能挤进去。

这对消费者是有利的。两大巨头现在各占山头，阿里系不支持微信支付，腾讯系不支持支付宝。数字人民币出来以后，所有平台都必须支持（它是法定货币）。我猜想，将来应该只有一个统一的二维码，不管是用微信、支付宝还是商业银行的 App 扫描，都能支付。不像现在，商家都要贴两个二维码，蓝的一个、绿的一个。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091703.jpg)

但是，数字支付业务其实是无利可图的。它不像信用卡支付，提供方不仅赚不到手续费，还要往里面贴钱。维护硬件和开发软件都需要巨大的投入，而且对可靠性的要求特别高，服务不能中断，更不能出错。微信和支付宝其实都把扫码支付当作流量入口，而不是利润来源。

我很好奇，数字人民币的服务器，将来由谁维护？是不是中央银行以后也会有一个专门的 DevOps 部门？但是，这种赚不到钱、技术难度大、工程师薪水又极高的业务，国有单位能搞好吗？

## 大数据分析实战课

如今，全球早已步入数据时代，数据行业高速发展，相关岗位缺口已超150万，薪资超过传统岗位。据估计，未来十年，数据相关岗位将扩张5倍，人才缺口明显。

很多人希望进入数据分析行业，却经常遇到以下问题：

- Excel、SQL、Python……一大堆数据分析工具，不知道该学哪个。
- 只学了理论却没有实战经验，得不到企业的青睐。
- 一想到面试就紧张，应聘时不知道怎么应对提问。

本周的课程资料是开课吧提供的 **《大数据分析实战课》** ，4大实战项目，带你实际操作真实业务场景下的数据分析，以案例为导向，快速积累数据分析的实战经验。

- 项目一：利用 Python 实现办公自动化。
- 项目二：海量数据图形可视化。
- 项目三：电商数据分析及可视化展示。
- 项目四：玩转高精文本分析。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020081102.jpg)

本课程由资深大数据专家潘海超老师亲授，让你在短时间内 Get 数据分析实战技能，迅速掌握 BAT、TMB 等互联网大厂主流工具，快速积累数据分析的实战经验。

《大数据分析实战课》现在限时优惠，原价599元， **现仅需  0 元。** 名额有限，先到先得，微信扫描下面二维码立即报名。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091604.jpg)

## 资讯

1、[电子风飞机](https://buzzorange.com/techorange/2018/11/23/plane-with-no-moving-parts/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090408.jpg)

飞机一般使用螺旋桨或涡轮作为动力，最近麻省理工学院研发出利用电极产生离子风作为动力的飞机。早在上个世纪60年代，人们就已经发现电流会在薄电极和厚电极之间产生离子风（下图）。这是首次将这种现象用于飞机，让离子风成为推动飞机的气流。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090409.jpg)

它的好处是，由于动力来自电流，不需要机械动力，所以整个飞机可以没有会动的部件，从而降低噪音（飞机发动机的噪音非常大），缩减保养成本，以及减少污染。缺点是动力有限，目前只能让不到 10 公斤的小飞机起飞，还无法载人。

2、[内装试纸的电子妊娠测试笔](https://threadreaderapp.com/thread/1301708467925741568.html)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090503.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090504.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090505.jpg)

一位推特用户最近购买了电子妊娠测试笔，瑞士精密诊断有限公司的产品。他将电子笔拆开以后，震惊地发现，里面居然装了试纸。真正起测试作用的是这张试纸，而不是电子设备。

电路的核心是几个光传感器，用来识别试纸显示的条纹，转成电信号，将测试结果显示在液晶屏幕上。这样做虽然使得测试结果更容易解读，但是复杂性增加了好多倍，价格整整贵了25倍。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090506.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090507.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090508.jpg)

3、[纸张键盘](https://www.smithsonianmag.com/smart-news/your-next-digital-tablet-could-be-made-paper-180975727/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090603.jpg)

普渡大学的工程师发明了一种新技术，可以将任何纸张（旧报纸或打印纸）变成计算机键盘。具体做法是，先在纸张上涂一层特殊油墨，然后在油墨上设置电路。电路之间通过摩擦会产生电，而每次按钮都会造成摩擦，因此就为“键盘”提供了电。

所以，纸质键盘不需要电源，完全是自供电，再通过蓝牙连接到计算机或手机，从而变成输入设备。根据发明团队的设想，这种技术可以用在商品包装上，用来检验是否真品，或者查看食品保质期。

4、[城市森林花园](https://sichuan.scol.com.cn/cddt/202007/57855226.html)


![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091706.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091707.jpg)

成都有一个8栋楼居民小区，每栋楼30层，每一家住户都有40平米～100平米室外庭院，可以种花种菜，看上去像城市森林一样。

庭院的填土层有60厘米厚，在靠墙的地方还可以做一个向上50厘米的树池，这样在靠墙的地方便有1米多深的覆土，可以栽种4到5米高的树，并将树干固定在墙上，以防大风将树刮倒或使其摇晃，在其它不靠墙的地方才栽种1~2米的低矮植物、果树或灌木。物业还为每家安装了自动喷琳系统。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091708.jpg)

5、[世界最大数码相机](https://www.bbc.com/news/science-environment-54066586)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091103.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091105.jpg)

智利维拉鲁宾天文台安装了一台世界最大的数码相机，高达32亿像素，用来拍摄整个天空的数十亿颗恒星和星系的位置，而且还会捕捉任何移动或闪烁的东西。

这台相机的光传感器由189个单独的 CCD 组成，正在加利福尼亚的实验室进行测试，已经组成完成。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091104.jpg)

为了测试它的性能，工程师们用它拍摄西兰花。如果一切顺利，它将在2022年下半年投入工作。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091102.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091106.jpg)

6、**一句话消息**

> - [网友](https://twitter.com/vidister/status/1304542559210024962)将网线的一根铜绞线剪断，两端插入苹果。信号照样传输，网速非常好。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091201.jpg)

> - [美国空军](https://www.cnn.com/2020/09/09/us/robot-dogs-us-air-force-test-intl-hnk-scli-scn/index.html)开始试验，机器狗与士兵一起巡逻。机器狗的正式产品名叫做“自动无人地面车辆”。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091403.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091404.jpg)

> - [香港](https://edition.cnn.com/style/article/diamond-auction-hong-kong/index.html)下月将拍卖一颗102.39克拉的钻石，这是有史以来第八颗被拍卖的超过100克拉的钻石。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091306.jpg)

> - [埃及政府](http://world.people.com.cn/n1/2020/0907/c1002-31852279.html)9月6日宣布，出土了13具2500年前的木棺，自从下葬后就没有打开过。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091307.jpg)

> - [英国石油公司](https://www.theguardian.com/business/2020/sep/14/global-oil-demand-may-have-passed-peak-says-bp-energy-report)发表研究报告，认为世界石油消费量疫情前已经到达顶峰，此后可能会不断下降。

## 文章

1、[核电池可以用于太空旅行](https://www.generationatomic.org/skim/the-nuclear-heartbeat-of-space-exploration)（英文）

本文介绍了核电池的原理（利用放射性元素衰变产生的能量），以及用于太空旅行的可能性。

2、[使用蒙特卡洛算法玩2048](https://xtrp.io/blog/2020/09/12/using-the-monte-carlo-tree-search-algorithm-in-an-ai-to-beat-2048-and-other-games/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091303.jpg)

2048 是一个4x4的方块游戏，只要两个相同数字相邻，就可以合并为一个数字。本文讲解了如何用蒙特卡洛算法进行简单模拟，让计算机自己解决2048游戏。

3、[微前端“容器”—— microcosmos 实现](https://juejin.im/post/6864381092061773831)（中文）

本文讨论了微前端的概念和实现，可以用来了解“微前端”这种新的做法。（[@chuifengji](https://github.com/ruanyf/weekly/issues/1407) 投稿）

4、[如何将 Android 平板电脑用作第二台显示器](https://blog.8bitbuddhism.com/2019/12/01/how-to-use-your-android-tablet-as-second-monitor/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091601.jpg)

作者介绍如何将一块旧的安卓平板，当作电脑的副屏，使用 VNC 协议显示远程桌面。

5、[for await ... of 语句解释](https://www.mikealche.com/software-development/a-simple-explanation-of-the-for-await-of-statement-in-node-js)（英文）

ES6 引入了 for await ... of 新语法，用来遍历异步迭代器，很多人还不熟悉。本文是对它的简单解释。

6、[使用 React 钩子而不是类的6个理由](https://blog.bitsrc.io/6-reasons-to-use-react-hooks-instead-of-classes-7e3ee745fe04)（英文）

本文总结 React 钩子比类更有优势的6个方面，比如不再有 this 问题，也不用再绑定方法了。

7、[AVIF 格式初探](https://jakearchibald.com/2020/avif-has-landed/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091711.jpg)

AVIF 是一种开源图片格式，源自 AV1 视频格式。各个平台基本上都会支持，这篇文章对比了它与 JPEG 和 WebP 格式，结果很不错。

8、[Node.js 如何下载流传输文件](https://philna.sh/blog/2020/08/06/how-to-stream-file-downloads-in-Node-js-with-got/)（英文）

本文介绍如何使用 Got 这个库，以流传输的形式（stream）下载文件。

9、[从 Apple Photos 找出（机器认定的）最美照片](https://simonwillison.net/2020/May/21/dogsheep-photos/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020052402.jpg)

苹果的 Apple Photos 会对用户拍摄的每一张照片，运行机器学习模型来识别照片的内容，然后得出一个叫做“ZBEHAVIORALSCORE”的“总体美学评分”，保存在本地的 SQLite 数据库里面。

作者对这个数据库使用 SQL 查询，找出计算机认为的某个主题（比如“鸟类”）的最佳照片。

## 工具

1、[Diffchecker](https://www.diffchecker.com/)

一个在线工具，可以检查文本、图片、PDF 之间的差异。

2、[youtube-dlc](https://github.com/blackjack4494/youtube-dlc)

一个命令行工具，youtube-dl 的分叉，用来下载 Youtube 和其他视频网站的视频。分叉的主要原因是，youtube-dl 目前有点陷入停滞，很多 issue 没有回应，因此有人就另起炉灶，这个版本的开发现在非常活跃。

3、[fastmac](https://github.com/fastai/fastmac/)

有时候，你需要 Mac 电脑的环境，但是手边又没有 mac 电脑。这个工具利用 GitHub Actions 提供的资源，让你可以免费使用 Mac 的命令行环境，不过只能使用一小会。

4、[Screely](https://www.screely.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091323.jpg)

一个在线工具，可以生成网页展示效果的示意图。

5、[Poolside FM](https://poolside.fm/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091503.jpg)

一个在线的复古风格音乐电台。（[@freezsun](https://github.com/ruanyf/weekly/issues/1406) 投稿）

6、[Mimestream](https://mimestream.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091504.jpg)

前苹果邮件客户端工程师 Neil Jhaveri 推出的 Gmail macOS 原生客户端，外观简洁大方，十分契合原生风格，参考[介绍文章](https://www.cnbeta.com/articles/tech/1027397.htm)。（[@dushi792](https://github.com/ruanyf/weekly/issues/1408) 投稿）

7、[real-live](https://github.com/parzulpan/real-live)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091505.jpg)

一个开源的直播聚合收看平台。采用 Qt 作为前端框架，后端用到 Requests、MySQL、Redis技术等，目前支持在该平台收看 36 个视频直播、59 个高清电视频道和 74 个广播电台。（[@parzulpan](https://github.com/ruanyf/weekly/issues/1409) 投稿）

8、[kibana-eye](https://github.com/CasterWx/kibana-eye)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091507.jpg)

ELK 平台（Elasticsearch，Logstash，Kibana）的定时任务管理工具，可以聚合处理日志，生成报表信息，通过邮件/钉钉等方式发送通知。（[@CasterWx](https://github.com/ruanyf/weekly/issues/1413) 投稿）

9、[LofiMusic](https://lofimusic.app)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091509.jpg)

一个开源的背景音乐播放网站。

10、[BeeWare](https://beeware.org/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091701.jpg)

一个 Python 工具，让你的 Python 代码可以打包成跨平台图形界面应用，尤其是可以打包成手机 App，支持 iOS、Android、Windows、macOS、Linux、Web 等平台。

## 资源

1、[Aggregated Awesome](https://aggregatedawesome.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091702.jpg)

GitHub 上面有很多 awesome 的仓库，收集某个主题的所有有用的内容。这个网页整理了一个 awesome 仓库的清单。

2、[Fuel Collection](https://app.ignitionrobotics.org/GoogleResearch/fuel/collections/Google%20Scanned%20Objects)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091101.jpg)

谷歌对大量日常物品进行了 3D 扫描，将数据放在网上，提供公开下载。

3、[Prime Curios!](https://primes.utm.edu/curios/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091301.jpg)

这个网站收集各种与质数相关的数字，比如 561 的平方加2和减2会得到两个连续的质数。

4、[顶级域名列表](http://data.iana.org/TLD/tlds-alpha-by-domain.txt)

互联网号码分配局（IANA）官方的目前所有顶级域名（TLD）的列表，共有1508个。如果排除国家和地区的 TLD，则为1260个。

5、[如何写一个简单的 C 语言解释器](https://github.com/lotabout/write-a-C-interpreter/tree/master/tutorial/en)

一个英语教程，通过写一个简单的 C 语言解释器，理解编译原理。

6、[WebRTC 示例仓库](https://webrtc.github.io/samples/)

WebRTC 是浏览器点对点通信的 API，这个仓库给出了各种使用示例，覆盖了主要的使用场景。

## 图片

1、[黑河-腾冲线](https://zh.wikipedia.org/wiki/%E9%BB%91%E6%B2%B3-%E8%85%BE%E5%86%B2%E7%BA%BF)

中国地图上，从黑河到腾冲画一条线，这条线以东住着全国94%的人口。这是1935年由地理学家胡焕庸首次提出。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020090907.jpg)

2、[太阳系最高的火山](https://designyoutrust.com/2020/09/olympus-mons-the-largest-volcano-in-the-solar-system/)

火星上面的奥林匹斯山（Olympus Mons）高达21公里，是珠穆朗玛峰的两倍半。它是目前已知太阳系最大的火山，也是最高的山峰之一。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091001.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091002.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091003.jpg)

## 文摘

1、[塑料垃圾星球](https://www.nationalgeographic.com/news/2017/07/plastic-produced-recycling-waste-ocean-trash-debris-environment/)

随着石化工业的发展，塑料大规模进入人类生活，迄今不过只有60年的历史。但是，60年来，人类已经创造了83亿吨的塑料，其中大部分是一次性产品，最终都变成了垃圾。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091606.jpg)

83亿吨塑料之中，9%被回收，12%被焚化，剩下的79%就都成了塑料垃圾。这些垃圾有些堆积在垃圾填埋场中，还有一些就散落大自然中，其中相当一部分进入了海洋。

更可怕的是，塑料的增长速度大约是每15年翻一番，超过了其他所有人造材料。而且，塑料的使用周期特别短。钢材有一半用于建筑业，使用寿命长达数十年，而塑料生产出来，不到一年就有一半变成了垃圾，其中很大部分只用于包装。

塑料需要400多年的时间才能降解。据估计，每年有800万吨塑料流入海洋。到2050年，海洋中的塑料废物总重量，将多于鱼类的重量。与此同时，陆地上的垃圾填埋场那时必须填埋120亿吨塑料。人类将生活在一个遍布塑料垃圾的星球，其实现在已经是这样了。

2、[固氮玉米](https://www.smithsonianmag.com/science-nature/corn-future-hundreds-years-old-and-makes-its-own-mucus-180969972/)

空气的最大成分（78%）是氮气，但是很奇怪，植物却普遍缺少氮元素。农作物必须施加氮肥，才能提高产量、改善品质。因为大多数植物无法直接通过氮气吸收氮元素。

只有少数植物不需要氮肥，主要是豆科类植物，自身就具有将空气中的氮气合成氮肥的能力。植物学家一直梦想将这种“固氮能力”移植到其他植物。全球种植面积最大的农作物是玉米，它就成为移植“固氮能力”的首选目标。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091107.jpg)

1980年代，一个美国农业科学家在墨西哥南部，发现了一些奇怪的玉米。这种玉米高达5、6米，比普通玉米高得多，但是需要6～8个月才成熟，比普通玉米的3个月长得多。最惊人的是，它不需要施加氮肥，就可以在贫瘠土地上长得很好。也就是说，这是全世界独一无二的具有“固氮能力”的玉米！

进一步研究，科学家发现这种玉米有气根，一部分根系暴露在空气中，这也是全世界唯一有气根的玉米。这些绿色和玫瑰色的气根，上面有透明的糖浆状粘液。科学家怀疑，这就是它们毋需施肥的秘密——这些粘液能固氮。换言之，玉米气根中有固氮菌；玉米利用固氮菌为自己施肥。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091108.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091109.jpg)

当年没有 DNA 工具来研究玉米如何固氮的细节，这一发现被搁置了20年。直到2005年，才用尖端技术，确认粘液中的细菌正在从空气中吸收氮，将其转化为玉米可以吸收的形式。

如今，经过十多年的基因分析，科学家发表了最新的研究成果，这种固氮特性可以移植到常规玉米中，这很可能会导致农业革命，取代一部分氮肥。

氮气合成为氮肥，可能是20世纪的最大成就之一。合成氮技术一共获得过三个诺贝尔奖。这是当之无愧的，据估计，从1908年至2008年间，农作物的单产增加了一倍以上，其中的一大原因就是人类会制造氮肥了。没有氮肥，为了生产同样数量的粮食，我们需要的耕地数量会比现在多四倍，世界人口也就不可能在20世纪大幅增长。

但是，氮肥生产需要消耗世界1％至2％的能源，并排放大量温室气体。合成氮通常会从田野冲入水道，导致大量藻类大量繁殖，从而吸收所有氧气，杀死鱼类和其他生物。如此多的氮进入河流和溪流，以至于世界河流的河口形成了大面积的死区。

## 言论

1、

2002年，我在中关村一间不算豪华的酒店里专访 NVIDIA CEO 黄仁勋的时候，他小声对我说，英特尔有 CPU，我们有 GPU。

他说得那么不自信。我也只是微笑着容忍他将 NVIDIA 和 Intel 相提并论。18年过去，NVIDIA 市值超过 Intel。

-- 刘韧

2、

2005年，我的毕业论文的《参考书目》部分包含了152个 URL。为了纪念毕业十五周年，我重新检查了这些 URL，其中82个不再起作用。我因此假定，互联网链接的腐烂率是57%。

--[《测量链接腐烂率》](https://www.lightbluetouchpaper.org/2020/09/03/a-measurement-of-link-rot-57/)

3、

李光耀在新加坡的成功，不仅是因为他的专制主义，而且还因为新加坡决策精英阶层的纯粹实用主义。他们没有固定不变的意识形态，而是选择合适的意识形态。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24382427)

4、

互联网软件行业的开发模式，已经从漫长的开发周期和专门的质量保证（QA）阶段，转移到了快节奏的连续集成/连续交付（CI / CD）管道，这样做极大地提高了迭代速度。

-- [《黑暗金丝雀模式的生产模式》](https://engineering.linkedin.com/blog/2020/production-testing-with-dark-canaries)

5、

你能在下面的一副扑克牌中，快速找到三个方块的那张牌吗？这就是用户面对大型菜单进行导航时的感受。

-- [《大菜单导航的解决方案》](https://uxmovement.com/navigation/solving-the-megaton-problem-with-mega-menus/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091401.jpg)

6、

三年前，我们搬到伦敦教书，一直租房住，现在可以买房了。

-- [英国马丁·海尔教授](https://www.imperial.ac.uk/news/203853/imperial-mathematician-scoops-3m-breakthrough-prize/)（Martin Hairer）的获奖感言。他获得了今年的数学突破奖，奖金为300万美元，这是目前奖金最高的科学奖项。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091308.jpg)

7、

它还没有死，但确实已经写完了。

-- [Moment.js](https://momentjs.com/docs/#/-project-status/) 宣布停止开发，进入维护状态。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091508.jpg)

## 回顾

2019年的本周（第 74 期）：[信息的商业模式为什么不是收费](http://www.ruanyifeng.com/blog/2019/09/weekly-issue-74.html)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091910.jpg)

2018年的本周（第 22 期）：[猴子自拍，版权归谁](http://www.ruanyifeng.com/blog/2018/09/weekly-issue-22.html)

![](https://cdn.beekka.com/blogimg/asset/201809/bg2018091401.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
