# 科技爱好者周刊（第 126 期）：内卷化是什么？

这里记录每周值得分享的科技内容，周五发布。（ **通知：下周是十一假期，周刊将提前到9月30日周三发布。** ）

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1392)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091402.jpg)

美国加州的伊万帕太阳能发电站，有三座137米的高塔，塔顶装有水箱，当水被反射的阳光煮沸，就会产生蒸汽来发电。（[维基百科](https://zh.wikipedia.org/wiki/%E4%BC%8A%E4%B8%87%E5%B8%95%E5%A4%AA%E9%98%B3%E8%83%BD%E5%8F%91%E7%94%B5%E8%AE%BE%E6%96%BD)）

## 本周话题：内卷化是什么？

最近，我经常看到“内卷化”这个词，不理解什么意思。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092315.jpg)

网上找到的解释：

> “内卷化，指一种社会或文化模式在某一发展阶段达到一种确定的形式后，便停滞不前或无法转化为另一种高级模式的现象。”（[百度百科](https://baike.baidu.com/item/%E5%86%85%E5%8D%B7%E5%8C%96)）

看了这个定义，我还是不太明白。为什么发展停滞就叫“内卷化”呢，而不叫别的名字，比如“内生化”或“内积化”？

网上说，这个词是美国人首先提出的，英语单词是 involution，出自1960年的一本著作《农业内卷化——印度尼西亚的生态变化过程》（Agricultural Involution）。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091904.jpg)

Involution 是一个很罕见的英语单词，平时用得很少，小型词典都不收，维基百科甚至都没有加入“发展停滞”这个涵义，反而是中国人比较多用“内卷化”这个概念。

虽然不熟悉 involution，但是我想起另外两个常用词：evolution（进化）和 revolution（革命）。它们共同的词根`volute`，拉丁语原意是“滚动”。

有了“滚动”这个词根，这些词的含义就比较清楚了。`evolution`的前缀是`ex-`（“向外的”），向外滚动就是进化；`revolution`的前缀是`re-`（“再次的”），再次滚动、颠覆现状就是革命；`involution`的前缀是`in-`（“向内的”），向内滚动当然就是内卷了。

我现在对“内卷化”的理解是， **当一个组织不能或不愿向外发展时，成员的精力就只好用到组织内部，这时就会出现“内卷化”，也就是内部的过度发展。** 举例来说，海上的一艘船，外卷化就是大家齐心协力划向对岸，内卷化就是大家心思不在划船，而放在内部的互相牵扯（组织建设、规章制度、人事安排等等）。

一旦出现“内卷化”，对外的扩张和发展就停滞了。希望我们国家继续“外卷化”，不要出现“内卷化”。

## 小白财务理财课

本周的课程资料是孙明展老师的《5天小白理财课》。

孙明展老师在我这里，已经发起过好几次活动了。他有30年的金融从业经验，现在开了财务咨询公司，帮助普通家庭进行理财。在推广业务的过程中，他发现，很多人缺少基本的理财知识，对金融的理解都不正确，所以决定办一个免费的理财课，从根本上帮助大家增加理财知识。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091804.jpg)

课程没有套话，也没有专业术语，让理财零基础的朋友也能听懂。最重要的是， **不推荐任何产品，只纠正错误的理财思维，传授实用的知识、技能、工具。**

一共5天的音频干货分享，每天仅需15～20分钟。还有学习社区，专人负责答疑。每天早上6点解锁课程，可以无限次重听。

> - 第一天：什么是正确的理财理念？
> - 第二天：保险能降低风险吗？
> - 第三天：被动收入与风险识别
> - 第四天：指数基金与定投
> - 第五天：财务保障全攻略

微信扫描下面的二维码，即可免费听课。仅限前300名，先到先得。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091802.jpg)

此外，前100名还将免费加赠一份《家庭财务宝典》，浓缩了家庭保障、理财的干货知识，用藏宝图的形式分享给大家。

## 资讯

1、[甘地 Bug](https://game.udn.com/game/story/10453/4850104)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091304.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091305.jpg)

著名电子游戏《文明》的设计师席德·迈耶（Sid Meier）最近发表了回忆录，披露1991年该游戏第一版所谓的“甘地 Bug”其实并不存在。

甘地是“非暴力不合作”运动的倡始人，在游戏中拥有着最低的“侵略指数”，数值为1。然而，当玩家在印度实行了民主制度之后，就会让甘地的侵略指数再往下减去2 点，变成-1，从而出现 Bug，导致甘地的“侵略指数”变成最高的上限，成为了游戏中侵略欲望最强的人，不停地发动战争。

根据席德梅尔的说法，这一切都只是玩家的想像，实际并不存在着这样的 Bug。但是，开发团队觉得这种说法很好玩，也有利于游戏的宣传，所以没有出来纠正。

2、[特斯拉电池日](https://www.forbes.com/sites/bradtempleton/2020/09/22/tesla-battery-day-promises-56-reduction-in-battery-cost-and-much-more/#fa1f6346253f)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092301.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092302.jpg)

9月22日，特斯拉公司举办“电池日”，宣传该公司取得的技术突破和发展愿景。如果能够实现的话，都是重大的技术突破，将对人类社会产生重大影响。

- 锂电池成本降低56%，电动车里程增加54%。
- 粘土提取锂的新工艺，仅内华达州的锂矿就能满足全美国电动车的需要。
- 三年内，整车售价降到25000美元。
- 整个汽车尾部将是单个零件。
- 最终年产量2000万辆。

3、[板书的直播方法](https://mothership.sg/2020/09/cd-zoom-hack-camera-teacher/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091405.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091406.jpg)

疫情期间，老师们都通过网络直播进行教学。但是，摄像头都是拍人脸，直播板书非常困难。美国一个老师想出了简单的解决方法，她在笔记本盖子上，用胶纸绑了一支铅笔，然后以铅笔作为支柱，放了一张 CD 碟片，当作反光的镜子。

她把本子放在键盘上做笔记，内容就会通过 CD 碟片反射到摄像头，从而直播出去。（[@YanBC](https://github.com/ruanyf/weekly/issues/1417) 投稿）

4、[海底机房](https://www.bbc.com/news/technology-54146718)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091502.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091501.jpg)

2018年5月，微软公司做了一个实验，将机房放到了海底。这样有很多好处（比如有利于散热），微软还申请了利用潮汐能供电的专利，使得机房变得更绿色。两年过去了，微软将机房打捞起来，进行评估。

两年里面，海底的855台服务器中有八台发生故障，大大好于传统机房。微软认为这是由于没有工作人员，机房里面充了氮气，而不是氧气，从而降低了故障率。在对结果进行评估以后，微软计划扩大实验规模，在海底放置更多的机房。

5、[第一台 RISC-V 个人电脑](https://www.cnx-software.com/2020/09/15/sifive-to-debut-risc-v-pc-for-developers-based-on-freedom-u740-next-gen-soc/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091901.jpg)

美国一家创业公司宣布，10月底将发布世界上第一台 RISC-V 个人电脑。RISC-V 是一种开源的 CPU 指令集，没有版权问题，任何人都可以免费使用。不像 ARM 和 x86 指令集，都必须获得授权才能使用。

RISC-V 目前有一些 CPU 的设计实现，比如阿里巴巴旗下半导体公司平头哥2019年发布了它的首款 RISC-V 处理器玄铁 910（XuanTie910），号称是目前性能最强的 RISC-V 处理器。但是到目前为止，还没有实际运行这个指令集的计算机，更不要谈商业产品了。

6、**一句话消息**

> - [IntelliJ IDEA 的最新调查](https://blog.jetbrains.com/idea/2020/09/a-picture-of-java-in-2020/)发现，中国有51%的程序员使用 Java 语言，这个比例全球最高。由于 Java 主要是大中型企业在用，这是不是说明，中国的个人开发者和小企业程序员其实比例很小？

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092209.jpg)

> - [葡萄牙艺术家](http://how01.itislooker.com/post05057291116508?fbclid=IwAR07bhEIw01QVAD72kFQ4JB8_uGQRe6QXaAGUhMDN_KIyvIR26TtUZjFHnY)将一个废弃的巨大水泥块，画成了 3D 透视的公共汽车。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091309.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091310.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091311.jpg)

> -  [Twitch 直播](https://www.wired.com/story/vtube-streaming-twitch-pokimane/)现在流行使用动漫人物直播。观众看到的不是真人，而是真人的动漫化身在直播。直播主使用运动捕捉软件，将自己的动作和表情转化到动漫人物身上。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091704.jpg)

> - [上海某公司](http://sh.sina.cn/news/2020-09-13/detail-iivhuipp4049934.d.html)推出可以负载100公斤的载货无人机，长6米，高1米，翼展9米，续航1000公里，主要用于山区和海岛的物流。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091709.jpg)

> - [泰国国家公园](https://www.washingtonpost.com/travel/2020/09/18/tourist-trash-mail/)一旦发现乱丢垃圾的游客，就会把垃圾寄回给他们。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092001.jpg)

> - [麻省理工学院](https://news.mit.edu/2020/flat-fisheye-lens-0918)开发出了完全平面的、而不是球面的“鱼眼镜头”，可以拍出180度的画面。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092005.jpg)

> - [美国怀俄明州](https://blog.kraken.com/post/6241/kraken-wyoming-first-digital-asset-bank/)批准了第一家加密货币银行，该银行提供加密货币的储蓄、支付和转账服务。

## 文章

1、[VSCode 如何调试可视化数据结构](https://addyosmani.com/blog/visualize-data-structures-vscode/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091902.jpg)

VSCode 有一个插件，可以用可视化的方式调试代码。本文介绍这个插件的用法。

2、[CS107e: 树莓派，ARM 和操作系统](https://cjting.me/2020/09/11/cs107e-review/)（中文）

CS107e 是斯坦福大学的一门计算机课程，内容关于硬件、底层和 C 语言 。这篇文章是作者的学习感受。（[@cj1128](https://github.com/ruanyf/weekly/issues/1416) 投稿）

3、[我如何使用 Netlify 的 Serverless 功能](https://ttntm.me/blog/serverless-recipes-app-faunadb-vuejs/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092003.jpg)

作者介绍他如何开发一个没有后端服务器、只有前端静态网页的 Web 数据库应用。

4、[谷歌搜索的10个小技巧](https://medium.com/@shalithasuranga/10-hidden-features-in-google-search-83b347b48157)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092004.jpg)

谷歌搜索有很多小功能，比如搜索`stopwatch`会出现一个倒计时器（上图）。

5、[中国大周期](https://finance.sina.com.cn/china/gncj/2020-09-21/doc-iivhvpwy8038347.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092213.jpg)

桥水基金创始人瑞·达利欧（Ray Dalio）的长文，以一个美国人的角度，谈了他对中国历史和经济政策的理解。这里是中文摘译版，也有[英文原版](https://www.principles.com/the-changing-world-order/#chapter5)。

6、[GitHub 仓库的默认分支不叫“master”了](https://www.jiqizhixin.com/articles/2020-09-21-10)（中文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092214.jpg)

从 2020 年 10 月 1 日开始，GitHub 所有新库的默认分支都将用中性词“main”命名，取代原来的“master”。

7、[JavaScript 原生的日期和时间格式化](https://elijahmanor.com/blog/format-js-dates-and-times)（英文）

通常使用外部库处理 JavaScript 的时间格式，但是原生的`Date.prototype.toLocale*`方法其实也能满足需求。

8、[如何使用 Canvas 模拟对象碰撞](https://joshbradley.me/object-collisions-with-canvas/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092402.jpg)

本文从头教你在网页上，用 Canvas 做出对象不断碰撞的动画效果。

## 工具

1、[instant.page](https://instant.page/)

一个 JavaScript 库，用户鼠标悬停在某个链接上方时，就自动加载该链接，从而加快页面跳转的速度。

2、[Toonify](https://toonify.justinpinkney.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091710.jpg)

一个在线工具，可以将真人头像变成卡通头像。

3、[Advanced Rest Client](https://install.advancedrestclient.com/install)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091801.jpg)

一个 Rest API 测试工具，基于 Electron 的跨平台桌面软件。

4、[kb](https://github.com/gnebbia/kb)

一个极简的命令行笔记管理软件。

5、[Aggie.io](https://aggie.io/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091805.jpg)

一个在线绘图工具，特点是可以多人实时协作绘制一幅作品。

6、[Kivy](https://github.com/kivy/kivy)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091903.jpg)

一个 Python 的 UI 框架，可以打包成 Windows、Linux、macOS、 Android 和 iOS 应用，特别为多点触摸设备而设计。（[@qinhanlei](https://github.com/ruanyf/weekly/issues/1418) 投稿）

7、[OpenGLCamera2](https://github.com/githubhaohao/OpenGLCamera2)

一个安卓相机 App 的源码，使用 OpenGL ES 3.0 实现 30 种相机滤镜。（[@githubhaohao](https://github.com/ruanyf/weekly/issues/1415) 投稿）

8、[keenwrite](https://github.com/DaveJarvis/keenwrite)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092007.jpg)

一个跨平台的 Markdown 桌面编辑器，基于 Java。最大特点是支持自定义语法。

9、[Twister OS](https://twisteros.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092008.jpg)

一个树莓派的操作系统，可以让桌面变得像 macOS 或 Windows。

10、[Visual Mind AI](https://myraah.io/visualmind)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092215.jpg)

一个在线工具，可以对网站的 UI 进行美学打分，告诉你百分之多少的人可能会喜欢你的网站。

## 资源

1、[Things come apart](https://www.toddmclellan.com/thingscomeapart)

一个艺术项目，将各种东西拆开，零件放在一起，做成一张海报。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091602.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091603.jpg)

2、[一页 Python](http://damiantgordon.com/PythonMonday/)

一个英文的 Python 初学者教程，特点是每一讲的讲义都只有一页 A4 纸。

3、[Abuse IP DB](https://www.abuseipdb.com/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092208.jpg)

这个网站收集用于恶意用途的 IP 地址，可以检查某个 IP 地址是否在名单中。

4、[吉布力动画图片](http://www.ghibli.jp/info/013344/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092212.jpg)

吉布力工作室在官网上放出了8部影片的动画图片下载，一共400张。

## 图片

1、[笔画印章](https://buzzorange.com/2017/09/18/traditional-chinese-characters-stamps/?fbclid=IwAR07bhEIw01QVAD72kFQ4JB8_uGQRe6QXaAGUhMDN_KIyvIR26TtUZjFHnY)

两个台湾女生设计出6个“笔画印章”，可以组合印出所有的中文字。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091312.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091313.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091314.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091315.jpg)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091316.jpg)

2、[暴力破解密码所需的时间](https://digg.com/2020/password-difficulty-hacking)

下表列出了暴力破解各种密码所需的时间。标题行的各栏依次为，纯数字密码、小写字母密码、字母密码、数字字母密码、数字字母符号密码。

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091322.jpg)

3、[第一个魔方](https://www.nytimes.com/2020/09/16/books/erno-rubik-rubiks-cube-inventor-cubed.html)

1974年，匈牙利建筑学教授 Erno Rubik，发明了魔方，当时他30岁。

下图就是他的第一个魔方，是用木头做的。为了识别，有的方块缺了一个圆圈，有的方块贴了白纸，有的方块缺了一个角……

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020091712.jpg)

## 文摘

1、[五只猴子的故事](https://blog.ploeh.dk/2020/09/14/we-need-young-programmers-we-need-old-programmers/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020092207.jpg)

科学家在笼子里放了五只猴子。笼子中间有一架梯子，梯子上面放着香蕉。

每当一只猴子爬上梯子，科学家就用冷水泼洒其余的猴子。过了一阵子，只要一只猴子爬上梯子，其他猴子就会殴打它。一段时间后，所有猴子都不敢爬上梯子。

然后，科学家用一只新猴子，替换了原来的一只猴子，并且停止用冷水泼洒猴子。这只新猴子立即爬楼梯去拿香蕉，但随即遭到其他猴子的殴打。经过几次殴打，新猴子学会了不爬梯子，即使它从来不知道为什么。

接着，替换了第二只猴子，也发生了同样的事情。刚才放进笼子的那只猴子，同样殴打了新来的猴子。替换了第三只猴子，也是如此。就这样，第四只、第五只猴子也接连被替换了。

最终，笼子里面的五只猴子，尽管从未被泼冷水，仍然继续殴打任何试图爬上梯子的猴子。如果可以问猴子，为什么要殴打所有试图爬上梯子的成员，答案可能是：

“这就是我们在这里做事的方式。”

这个故事告诉我们，如果前人觉得某件事情不能做，阻力就会流传下来，阻止后来的人去做。

但是，大多数人没有意识到，有时候情况会改变。二十年前不可能的事情今天也许并非不可能。比如，电动汽车以前是不可能的，现在随着电池技术的进步，才有可能。

年轻人不知道为什么某事不能做，如果他们不怕阻力，就会去尝试那些不能做的事情。这就是为什么重大创新往往是年轻人做出来的原因。

老年人通常看不到新的机会，因为他们相信有些事情是不可能的。年轻人在无知和热情推动下，愿意尝试那些不可能的事情。大多数年轻人会失败，但少数会成功。

## 言论

1、

技术的快速进步，尽管带来了不可预测的后果，但是它让人类站到了更高的地方。

--[《时代变化中的技术隐喻》](https://hawaiigentech.com/post/commentary/frogs-wont-let-themselves-be-cooked/)

2、

你会在20个方向上走一步，还是在一个方向上走20步？

-- 匿名

3、

我创造不出来的东西，我都无法理解。（What I cannot create, I do not understand.）

-- 理查德·费曼

4、

Java 语言的真正问题是，它对编程思想的分享和贡献，已经垂死很久了。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24463488)

5、

GPT-3 模型就像一个聪明的学生，他没有读完书，试图胡说八道，将一些众所周知的事实、一些真相、一些直率的谎言，编织在一种流畅的叙述中。

-- [一个教授](https://syncedreview.com/2020/09伊万帕/09/new-multitask-benchmark-suggests-even-the-best-language-models-dont-have-a-clue-what-theyre-doing/)评论 GPT-3 模型可以自动生成人类可读的文本

6、

网站需要3种技术，但是由于用到各种工具和框架，最终使我接触了约20种不同的技术，有时还不得不研究第 n 级依赖项的源代码。

这就是我不喜欢现代 Web 开发的地方，你想使用三个工具，但是必须知道如何使用二十个工具。

-- [《编织在一起的 Web》](https://css-tricks.com/weaved-webs/)

## 回顾

2019年的本周（第 75 期）：[电子取代机械，对就业有何影响？](http://www.ruanyifeng.com/blog/2019/09/weekly-issue-75.html)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019092604.jpg)

2018年的本周（第 23 期）：[统计学上的人生最大决定因素](http://www.ruanyifeng.com/blog/2018/09/weekly-issue-23.html)

![](https://cdn.beekka.com/blogimg/asset/201809/bg2018092101.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
