# 科技爱好者周刊（第 130 期）：低龄化的互联网

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1392)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

##  封面图

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100715.jpg)

成都高新区的五岔子步行桥，形状既像一个莫比乌斯环，又像数学里面的无限符号“∞”。（[via](https://www.instagram.com/p/CFVqUVOn1jI/)）

## 本周话题：低龄化的互联网

现在，很多人拍视频为生。每天拍若干条，上传到门户网站，靠网站分红和商业合作赚钱。

对他们来说，视频的播放量就是一切，直接决定了收入的多少。他们最关心的一个问题：什么题材会有大量的观众？

我最近好像知道答案了。 **我发现，亲子类的视频，也就是跟儿童相关的内容（包括玩具和儿歌），流量都非常好。** 随便举几个例子，百度的视频搜索“亲子”。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100906.jpg)

Youtube 搜“儿童玩具”。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100908.jpg)

搜“儿歌”的话，播放量更惊人。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100909.jpg)

我看了好几个视频网站，觉得这是普遍现象，亲子类视频的播放量非常高。一个很普通的帐号，非常简单的内容，往往有几十万的播放量，极个别甚至高达千万。

当然我不是说，你拍亲子内容，就一定有很多人看。我的意思是，它获得高流量的机会大于其他视频。

如果确实存在这种现象，那么这是为什么？到底什么人在看这些儿童视频呢？

**唯一的解释似乎是，互联网用户里面，儿童以及相关人群的比例非常高，高得超乎想象。**

我猜想，很多小朋友、家长、婆婆妈妈其实都在网上，构成了互联网很大一部分（超过一半？）的用户，所以儿童视频的流量才会那么高。这些观众平时不太发声，大家听不到他们的声音，但他们是最大的流量来源。这大概也是《爸爸去哪儿》这一类亲子类电视节目，风靡一时的原因。

亲子类视频的流行，其实只是互联网低龄化的一个表现。我有一种感觉，18岁以下的用户，正在主导互联网。不止是视频网站，整个互联网都变得低龄化。青少年用户（甚至少儿用户）的喜好和观点，主导了互联网的生态和潮流。

不要再错误地认为，互联网是社会精英和知识分子主导的园地。恰恰相反，互联网其实是一个低龄化的地方，网上的主流永远反映的是青少年用户的口味。这反过来又决定了互联网产品的形态：你要开发一个面向大众的互联网产品，就别无选择，只能面向青少年用户群体来开发。

## 前端开发进阶手册

本周的课程资料是开课吧前端团队精心打造的 **《前端开发进阶手册》**。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102202.jpg)

它是一份前端求职的免费辅导材料，针对国内的前端招聘状况而编写，包括三个方面的内容，能够帮助大家更好掌握面试技巧和热门知识点：

**01. 高薪前端开发必备-面试技巧**

这部分内容通过例子，教大家回答面试问题时有哪些注意点。列举不同薪资等级的前端开发在面对同一问题时的不同回答，进行点评，并提供参考答案，来帮助大家快速排坑，掌握套路。

**02. 大厂面试必考-算法与数据结构**

这部分重点讲述如何进行算法的分类学习，提到的所有数据结构和算法类别都是大厂面试题中出现频率最高的。

**03. 热门知识点巩固-实战**

这部分重点讲解目前最热门的 TypeScript 语言，如何在项目里用上 TS？如何保证代码的兼容性，以及如何进行调试。并且教大家动手做一个 TypeScript + Vue 的实际案例。

以上这套《Web 前端开发进阶手册》原价 399元，现在可以 **免费领取**，有兴趣的同学请扫描下面的二维码。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102201.jpg)

## 资讯

1、[月球望远镜](https://www.smithsonianmag.com/science-nature/why-astronomers-want-build-seti-observatory-moon-180975966/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100401.jpg)

美国科学家最近发表论文，建议在月球上架设射电望远镜，主要原因是地球上的无线电干扰（军用雷达，电视塔，手机和卫星）实在太大了，越来越不可能接收到宇宙中传来的无线电信号。而且，地球有浓厚的大气层，阻挡了大部分宇宙中的无线电。

月球不存在无线电干扰，也没有大气层，可以完全避免这些问题。而且，月球的自转周期是27天，夜晚可以持续两周之久，这段时间内可以避免太阳发出的无线电干扰。另外，月球背面还收不到地球发出的无线电。正如一个天文学家所说：“月球背面的远端是宇宙中最安静的地方。”

2、[普济路桥改建](http://www.landscape.cn/landscape/11218.html)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100103.jpg)

普济路桥是上海市区的一座人行和非机动车桥，长423.3米，宽7米。下图就是桥的现状。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100102.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100101.jpg)

最近，上海的一家建筑事务所提出一个改建方案，将这座桥改建成多功能高架公园，灰色的沥青被大胆活泼的颜色替代，通过颜色勾勒出不同的动线。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100104.jpg)

青色直线车道是自行车和摩托车的快速车道，紫红色的蜿蜒小径是行人道。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100105.jpg)

在青蓝色的背景色之上，对比鲜明的黄色节点星罗棋布，设置了观景台、野餐广场、休息室、迷你圆形剧场和售货点。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100106.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100107.jpg)

3、[掌纹付款](https://techcrunch.com/2020/09/29/amazon-introduces-the-amazon-one-a-way-to-pay-with-your-palm-when-entering-stores/)

![](https://cdn.beekka.com/blogimg/asset/202009/bg2020093006.jpg)

亚马逊推出掌纹付款。第一次使用时，用户在扫描仪中插入信用卡，然后将手掌镜头上方，就能将自己的掌纹与信用卡相关联。以后，只要将手掌放在 Amazon One 设备上方约一秒钟，就可以完成信用卡扣款。

西雅图的两家商店已经在试用该技术。它可以减少疫情期间人们的直接接触，这也是该技术得到推广的一大原因。它还可以用在其他需要身份验证的场合，比如门禁系统。

4、[新冠病例与 Excel](https://finance.sina.com.cn/tech/2020-10-10/doc-iivhuipp8887724.shtml)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101002.jpg) 

英国的新冠肺炎确诊病例数量，最近一天内暴增 16000 例。原因并非是这一天患病的人特别多，而是英国的病例统计报表使用了 Excel 的 xls 文件格式，导致前几天的统计遗漏了。

xls 格式的表最多只能有 65,536 行，多于该行数的数据源会被省略。操作人员将数据从 CSV 文件导入 Excel 时，没有发现多余的行被省略了，导致少统计了病例。

最简单的解决方法，就是将文件格式升级为 xlsx， 它的上限是 1,048,576 行。这件事告诉我们，如果你的数据集比较大，就不应该使用 Excel。

5、[不拍打翅膀的安第斯秃鹰](https://www.theguardian.com/environment/2020/jul/13/andean-condor-fly-without-flapping-wings-flight-bird)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071422.jpg)

南美洲的安第斯秃鹰重达15公斤，翼展为3米，是能够在高空飞翔的最重的鸟类。最近，科学家将摄像头绑在八只秃鹰身上，震惊地发现这些鸟在飞行时，竟然只用1％的时间挥动翅膀。

其中，有一只鸟飞了五个多小时，距离160公里，整个过程没有拍打过一次翅膀，也就是说，在5个小时的飞行过程中，它的翅膀是不动的。这意味着，这种鸟类一定具有识别气流的本领，靠着上升气流滑翔，以便节省能量。就好比人类极限运动中的翼装飞行，也是不能挥动翅膀的。

6、**一句话消息**

> - [美国科学家](https://www.quantamagazine.org/physicists-discover-first-room-temperature-superconductor-20201014/)发现了室温超导材料，可以在15摄氏度的条件下实现零电阻。该材料的最大问题是它需要极高的压力才能工作，大约是地球内核压力的75%。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101508.jpg)

> - [德国科学家](https://www.goethe-university-frankfurt.de/93203693/Zeptoseconds__New_world_record_in_short_time_measurement?locale=en)发现迄今为止最短的时间：光穿过一个氢分子耗时为10<sup>-21</sup>秒。

> - [英国科学家](https://phys.org/news/2020-10-scientists-upper-limit.html)发现声音传播的已知最高速度，每秒36公里，这是在固体原子氢中实现的。正常情况下，声音的空气传播速度是每秒340米。

## 文章

1、[Service Worker 模拟单页应用 SPA](https://itnext.io/your-single-page-app-is-now-a-polyfill-7881fb01694e)（英文）

单页应用（SPA）现在很流行，好处是可以快速响应用户操作，节省流量，坏处是大大提高了页面的复杂性。本文介绍一种思路，使用 Service Worker 拦截用户请求，通过`fetch()`请求后端网页，再更新前端应用，从而使用户有 SPA 的体验，同时又降低了复杂性。

2、[去抖和节流的示例解释](https://css-tricks.com/debouncing-throttling-explained-examples/)（英文）

去抖（debounce）和节流（throttle）是网页脚本经常用到的方法，本文通过示例解释它们的差异，不涉及实现。举例来说，用户下拉到网页底部，触发无限加载，就不应该使用`debounce()`，而要使用`throttle()`。

3、[Dockerfile 安全最佳实践](https://cloudberry.engineering/article/dockerfile-security-best-practices/)（英文）

本文介绍编写 Dockerfile 文件时，有哪些安全注意点。

4、[TiDB 的架构演进哲学](https://www.infoq.cn/article/Qw_8ubZFgtQlcZmZHBlA)（中文）

PingCAP CEO 的分享，介绍他们怎么设计 TiDB 这个数据库产品。（[@yanqi321](https://github.com/ruanyf/weekly/issues/1458) 投稿）

5、[分屏器能用于线上考试作弊吗？](https://zhuanlan.zhihu.com/p/155819108)（中文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101604.jpg)

线上考试时，学校使用摄像头进行云监考，有人就想到使用分屏器作弊。（[@Gorvey](https://github.com/ruanyf/weekly/issues/1442) 投稿）

6、[人类探索金星的历史](https://cn.nytimes.com/science/20201010/venus-spacecraft-life/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101708.jpg)

《纽约时报中文版》的文章，回顾了人类飞行器探索金星的历史。金星表面的大气压是地球的96倍，因此很难登陆，飞船可能会被瞬间压扁。上图是1982年苏联金星14号着陆器拍摄的金星表面照片。

7、[我们不小心删除了生产数据库](https://keepthescore.co/blog/posts/deleting_the_production_database/)（英文）

作者一不小心将开发环境的 SQL 语句用于生产环境，导致自己公司的生产数据库被删除。

8、[哪些编程语言最省电？](https://thenewstack.io/which-programming-languages-use-the-least-electricity/)（英文）

一个葡萄牙团队比较了27种编程语言的耗电情况。

9、[Svelte 和 React 的比较](https://www.swyx.io/svelte-sites-react-apps/)（英文）

作者对 Svelte 和 React 这两个前端框架都非常喜欢，谈了它们不同的特点和适用场景。

10、[熔岩灯如何帮助加密？](https://www.cloudflare.com/zh-cn/learning/ssl/lava-lamp-encryption/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101903.jpg)

Cloudflare 介绍如何通过公司墙上 100 盏熔岩灯的形状，创建随机密钥。（[@hite](https://www.cloudflare.com/zh-cn/learning/ssl/lava-lamp-encryption/) 投稿）

## 工具

1、[tiptap](https://github.com/ueberdosis/tiptap)

一个轻量级的富文本编辑器。

2、[FreePN](https://www.freepn.org/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101703.jpg)

一个点对点的 VPN 网络，通过用户共享带宽实现加密访问。

3、[RabiAPI](https://github.com/RabiAPI/RabiAPI-Support)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101706.jpg)

一个 macOS App，可以直接把 Java 源码转换为markdown/asciidoc 格式的 API 接口文档，免去繁琐的手写过程。（[@WhiteCosmos](https://github.com/ruanyf/weekly/issues/1445) 投稿）

4、[SciterJS](https://github.com/c-smile/sciter-js-sdk)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101704.jpg)

使用 HTML/CSS/JS 技术构建跨平台的桌面应用，类似于 Electron 的作用，但是它自己实现内核，比 Eletron 更简单，打包出来的程序也更小。详细介绍看[这里](https://www.kickstarter.com/projects/c-smile/open-source-sciter-engine)。

5、[KakaCSS](https://renzhezhilu.gitee.io/kakacss/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101707.jpg)

在任意网站复制内容，粘贴到这个网站，会给出所复制内容的 CSS 样式代码。（[@renzhezhilu](https://github.com/ruanyf/weekly/issues/1441) 投稿）

6、[Telegram 订阅](https://articlius.com/home/SubscribeToTelegramChannelNewsletter)

邮件订阅 Telegram 频道。

7、[AnyTXT Searcher](https://anytxt.net/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101808.jpg)

Windows 桌面软件，提供文本文件的全文搜索。

8、[hub-mirror-action](https://github.com/Yikun/hub-mirror-action)

一个 GitHub Action，用于在 GitHub 和 Gitee 之间同步代码。（[@Yikun](https://github.com/ruanyf/weekly/issues/1452) 投稿）

9、[ChineseBQB](https://www.v2fy.com/asset/0i/ChineseBQB/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101901.jpg)

开源表情包搜索工具。（[@zhaoolee](https://github.com/ruanyf/weekly/issues/1439) 投稿）

10、[rdrview](https://github.com/eafer/rdrview)

一个命令行工具，可以提取网页的内容部分，是 Firefox Reader View 功能的 C 语言实现。

## 资源

1、[A List of Post-mortems](https://github.com/danluu/post-mortems)

这个仓库收集各大互联网公司网络事故的事后分析报告。

2、[Coded Mails](https://codedmails.com/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101302.jpg)

电子邮件的 HTML 模版很难写，因为客户端有着各种限制。该网站提供各种主题的响应式电子邮件模版下载。

3、[Musicnet](https://homes.cs.washington.edu/~thickstn/musicnet.html)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101601.jpg)

一个古典音乐的数据集，包括超过一百万个标签，指明每首曲子的每个音符出现的准确时间和位置，以及演奏该音符的乐器，主要用于 AI 的数据训练。

4、[数据工程师学习资料](https://awesomedataengineering.com/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101701.jpg)

一个英文网站，按照学习次序，列出各种主题最推荐的学习资料。

5、[Unix 分时操作系统](https://chsasank.github.io/classic_papers/unix-time-sharing-system.html)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101702.jpg)
 
这是丹尼斯·里奇和汤普森1974年向世界介绍 Unix 操作系统的经典论文，至今仍然是了解 Unix 的最佳入门材料。

6、[WikiMap](https://wikimap.wiki/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102203.jpg)

在地图上显示维基百科的条目，非常酷。

## 图片

1、[尼康显微摄影比赛](https://www.nikonsmallworld.com/galleries/photomicrography-competition)

尼康显微摄影比赛始于1975年，参赛作品必须是显微镜下拍摄的照片，目前是世界显微摄影的主要展示平台。

该网站收集了历年的获奖作品。下图是2020年的第一名：一条鱼苗的骨骼和鳞片。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101802.jpg)

2019年的第一名：乌龟胚胎的荧光染色照片。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101803.jpg)

2、[圆形耕地](https://www.atlasobscura.com/articles/why-do-farms-look-like-circles-from-planes)

美国内布拉斯加州是沙漠地带，农作物必须通过人工灌溉才能活下来。

当地农民采用旋转喷头进行浇水，结果意外造成圆形耕地的景观。下面内布拉斯加州农场的航拍照片。

![](https://cdn.beekka.com/blogimg/asset/202008/bg2020083101.jpg)

## 文摘

1、[你不一定需要一个老板](http://paulgraham.com/boss.html)

作者：保罗·格拉汉姆（Paul Graham）

去年我在非洲，看到了很多野生动物，以前我只在动物园里见过它们。那里的所有动物都很不一样，尤其是狮子。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101301.jpg)

野外的狮子比动物园的狮子似乎更有活力十倍，它们就像不同的动物。

我怀疑，野外的狮子会更喜欢它的生活。动物园的生活固然更轻松，但这不是大自然为狮子安排的生活。

人类也是如此，在大公司工作就像关进了动物园。人类其实并不适应在庞大的群体中工作。团队越大，效率越低，这几乎成了定律。公司知道庞大的团队行不通，就把内部划分成足够小的团队来一起工作。为了协调这些小团队，他们必须为每个人设置一个老板。  
  
大公司即使分成小团队，其实也是一种假象，终究不可能像真正的小团队。它缺少一样东西：个人的主动性。大公司的员工就像动物园里面的狮子，很少可能有完全的主动性，你的老板就是施加给你的约束。  

创业公司的创始人和早期员工，则像野外的狮子，可以按照本性自然的生活。  

大公司的局限性对程序员特别明显，因为编程的本质是构建新事物。但是，你拥有的自由与公司组织结构的大小成反比。组织越大，你做新的事情时，面临阻力也越大。 
  
不要误解我，在小公司工作并不能确保自由。我想要表达的是，大公司为自由设置了上限，而不是下限。

大公司限制主动性的一个后果，就是无论公司如何努力保持创业精神，都会不可避免地放慢脚步。

我们已经资助了许多不同类型的创始人，得到了足够的数据。据我观察，已经工作了几年的创业者，似乎比刚离开大学的创业者确实要好一些，但这不是因为他们工作了几年，而是因为他们年纪大了。  
  
大公司出来找我们的人似乎有些保守，很多人患得患失。三个月后，他们发生了变化，开始有了信心，似乎重新进入了生长期。听起来也许很奇怪，他们的状态就是既开心又担忧。我也会这样描述野外的狮子。  

## 言论

1、

现在，世界人口的年增长率约为1.1％，科学家的年增长率超过4％，科学研究（论文、书籍、数据集等）的年增长率约为8-9％。

这就是说，科学知识的增长速度，几乎比人口增长高一个数量级。

-- [《再次提高科学生产力》](https://lelon.io/blog/boosting-scientific-productivity-again)

2、

暗模式（dark mode）会导致不易阅读的问题。黑暗背景中高亮度的文字，使得老年人和眼睛散光的人，觉得文字周围有光晕。所以，暗模式不适合文字阅读。纸张是白的，墨水是黑的，因为这样的搭配最容易阅读。

-- [《色盲的科学解释》](https://commandcenter.blogspot.com/2020/09/color-blindness-is-inaccurate-term.html)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100403.jpg)

3、

有的人翻译文章，就像哈希函数。经过他的翻译，就认不出原文了。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24696385)

4、

根据研究，一个 JavaScript 项目平均有377个依赖关系，而 Java 项目有43个，Python 项目只有16个。你使用的依赖项越多，就隐含着必须信任的外部开发者也越多。

-- [《NPM 的信任网》](https://www.btao.org/2020/10/02/npm-trust.html)

5、

太阳能取代传统的化石能源发电的最大问题是，现在的电网并不是为屋顶太阳能发电设计的，它是为集中式的发电厂设计的。如果燃煤发电厂消失，就需要将电网改造成分布式，每户家庭都有自己的电池储能系统。

-- [《纽约时报：煤炭大国澳大利亚如何推动屋顶太阳能》](https://www.nytimes.com/2020/09/29/business/energy-environment/australia-rooftop-solar-coal.html)

6、

为什么成年人学习外语，不如儿童快？一个主要原因是，如果小孩犯了语法错误，随时会得到纠正；成年人犯了语法错误，别人会不好意思指出，如果当面指出，很可能得罪人。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24712573)

## 回顾

2019年的本周（第 79 期）：[我们的生活越来越依赖机器](http://www.ruanyifeng.com/blog/2019/10/weekly-issue-79.html)

![](https://cdn.beekka.com/blogimg/asset/201910/bg2019102417.jpg)

2018年的本周（第 27 期）：[乔布斯的“热情假设”对不对？](http://www.ruanyifeng.com/blog/2018/10/weekly-issue-27.html)

![](https://cdn.beekka.com/blogimg/asset/201810/bg2018101901.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
