# 科技爱好者周刊（第 131 期）：你的头脑是二值逻辑，还是三值逻辑？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1473)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102809.jpg)

浙江省舟山群岛的舟岱大桥，包含一个海上立交桥。该桥9月主桥合拢，预计明年通车。（via: [Instagram](https://www.instagram.com/p/CG4FnfNgIQG/)）

## 微信小程序入门教程

本周，我发布了[《微信小程序入门教程》](http://www.ruanyifeng.com/blog/2020/10/wechat-miniprogram-tutorial-part-one.html)，分成四次连载，帮助初学者学会写微信小程序。

这是免费教程，不收任何费用，有兴趣的同学可以看看，相信比其他教程更简单清晰。

## 本周话题：你的头脑是二值逻辑，还是三值逻辑？

最近，我学到了一点逻辑学知识，很有启发。跟大家分享一下。不夸张地说，也许会让你看待世界的方式发生一点变化。

我们知道，扔硬币只有两种结果：正面或反面。 **这种只有两种结果的判断系统，称为[二值逻辑](https://baike.baidu.com/item/%E4%BA%8C%E5%80%BC%E9%80%BB%E8%BE%91)。**

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102808.jpg)

很多人的思维模式就是二值逻辑。他们看任何问题，都是两分法，只有两种结果，非黑即白。一个物品要么有用，要么没用；一个命题要么真，要么伪；一个人物要么是好人，要么是坏人。

但是，逻辑学还存在另一种[三值逻辑](https://baike.baidu.com/item/%E4%B8%89%E5%80%BC%E9%80%BB%E8%BE%91%E5%85%B3%E7%B3%BB)， **认为任何一个判断有三种可能，除了真伪，还有一种中间状态，即非真非伪。** 

如果你采用三值逻辑的思维模式，看待世界的心态会完全不一样。遇到陌生人的时候，二值逻辑只有好人和坏人两种结果，这必然导致“党同伐异”（结交同类，反对异类的意思）。但是，三值逻辑认为可能有第三种结果，对方算不是好人，但也不是坏人，可以中性对待。所以，三值逻辑就会导致一种比较温和包容的世界观。

一个哲学家说过，中国哲学与西方哲学的最大区别，就在于西方哲学是二值逻辑，追求事物的真伪，一定要搞清楚真理和谬误； **中国哲学是三值逻辑，不追求真理和谬误，而提倡恪守中间道路，也就是中庸。**

我现在的看法是，这可以区分一个人的世界观是否成熟深刻。有些年轻朋友就是二值逻辑的头脑，一看到不赞成、不理解、不喜欢的言论，就认定对方是错误的，完全否定，这其实是思想不成熟的表现。世界太复杂，很难用两分法来判断，三值逻辑会让你的心态好很多，而且有利于个人的进步：正确和错误之间，存在一个广阔的中间地带，任何一种言论都可能有正确的成分，要学会从中间地带去看待事物，吸收对自己有用的部分，摒弃无用的部分。

三值逻辑的缺点是不利于追求真相，也没有明确的立场。顺便提一下，逻辑学还有多值逻辑（一个判断存在 n 种结果）和模糊逻辑（分不清结果）。如果是那样的世界观，就更无所谓对错了，一切都是模模糊糊的，学着接受就可以了。

## Web 前端大学生就业项目

自从互联网诞生，前端一直是招聘的热门。不管什么项目，只要需要用户界面（UI），就需要前端工程师。

前端的领域也在不断拓展。一方面，云开发和 Node.js 使得前端具备了后端能力，全栈工程师一个人就能承担完整项目。另一方面，手机 App 兴起以后，前端承担了 App 开发。

这样的背景下，市场对前端工程师的需求越来越大，薪资也水涨船高。而且，前端的门槛比后端低，外行相对容易进入，所以每年都有很多同学选择前端就业。

本周向大家介绍一个开课吧的培训项目 **《Web 前端大学生就业项目课》**，专门帮助想要进入前端行业的 **应届生或者初入职场的大学生** 。

缺少商业项目经验，几乎是所有大学生的就业难题，即使有实习经历，往往也无法真正接触项目核心， 实际的项目能力和经验非常有限！但是找工作时，公司看重的恰恰就是你的实战经验。

这个培训课的目标，就是让初出茅庐的同学能够快速上手前端业务，并且能够有实际的项目代码产出！

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102901.jpg)

主讲的孔德健老师，毕业于西安电子科技大学，有10年互联网产品开发经验，主持编撰了《微信小程序开发实战》等教材。他曾在京东和国内著名游戏公司任职，有千万级并发的商业项目经验。

孔老师会详细讲解 JS 和 CSS 难点，通过一个真实项目 “视频实时弹幕”，带你学习和实践 BiliBili 视频弹幕的技术实现，亲身感受商业项目开发流程和开发难点，提升开发能力。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102804.jpg)

这个课程原价 399 元，开课吧现在为周刊读者提供了100 个 **0 元学习名额**，访问[这个网址](https://wx.kaikeba.com/vip_course/3crtn3yge0/lvvfp5ipn9?tenant=wx5046bc7413796142)，或者扫描下面的二维码就能获得！  

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102806.jpg)

## 资讯

1、[最长的脚印足迹化石](https://theconversation.com/fossil-footprints-the-fascinating-story-behind-the-longest-known-prehistoric-journey-147520)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101506.jpg)

美国新墨西哥州白沙国家公园的一个湖泊干涸以后，考古学家在湖床发现了已知最长的脚印足迹化石。这些足迹形成在一万多年前，长达1.5公里。

这个人的行走速度很快，大约每秒1.7米以上（舒适的行走速度约为每秒1.2至1.5米）。脚印比较小，很可能是女性或少年男性的脚印。这个人走到目的地后，又走了回来，在折返点还出现了一些两三岁婴儿的脚印。目前的推测是，可能是一个母亲抱着婴儿在奔跑（被野兽追逐？），到了目的地，让婴儿下地走了一会，然后又抱着返回，或者将婴儿交过当地的某个人。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101507.jpg)

2、[公交车尾的红绿灯提示](https://finance.sina.com.cn/tech/2020-10-16/doc-iiznctkc5897927.shtml)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102706.jpg)

由于公交车的车身比较高大，跟在后面的小汽车往往看不见前方的红绿灯。为了解决这个问题，湖南长沙的公交315线会在车尾显示前方路口的红绿灯，方便后方的司机了解路况。

它的原理是，公交车经过路口时，会通过物联网连网，将路口红绿灯的信息同步到公交车上。除了红绿灯状态，还能同步读秒信息，显示多少秒后红绿灯改变状态。据介绍，长沙目前已有2000余辆公交车完成了改造。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102705.jpg)

3、[农作物的用户协议](https://www.vice.com/en/article/m7jm4y/proprietary-grapes-come-with-draconian-end-user-license-agreement)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101705.jpg)

一位美国消费者从超市买了一包葡萄，回家后惊讶地发现，包装袋子上竟然印着一段《用户使用协议》。

> “本包装中的农产品的使用者同意不繁殖或复制该农产品的任何部分，包括但不限于种子、茎、组织和果实。”

原来，这种葡萄属于改良过的新品种。根据美国法律，农产品的新品种可以享有专利，未经许可不得复制。但是，这也带来一个问题：如果昆虫、鸟类和人类意外地自然种植这种农作物（比如将吃完的葡萄丢在荒地里），生长出新的植物株，是否也受到专利的限制？

4、[遥控叉车](https://www.bbc.com/news/business-54431056)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102102.jpg)

疫情期间，美国很多工人不能上班，一家创业公司就发明了“远程叉车系统”，让工人可以在家里操作叉车搬运货物。据称，已经有十几家公司购买了这套系统。

该系统配备摄像头和麦克风，让操作员可以看到和听到仓库的情况。操作员通过操纵杆或方向盘和地板上的踏板，来操作叉车。

理论上，该系统可以用于所有需要现场操作的工作，比如远程驾驶汽车。但是，最大的问题是它需要很好的无线网络条件，万一汽车开到忙碌的大街上，突然断网，后果不堪设想。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102103.jpg)

5、[星链计划的火星协议](https://www.reddit.com/r/Starlink/comments/jjc270/found_a_gem_in_the_starlink_tos_the_parties/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102803.jpg)

10月26日晚上，SpaceX 公司向参加星链计划（Starlink）的用户发邮件，宣布 Beta 测试开始，意味着这个卫星上网项目已经可以正式提供服务了。用户必须以499美元购买接收器，然后每月的上网费是99美元。

但是，最轰动的是，它的用户协议里面有这样一段不寻常的话。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102802.jpg)

> “对于地球或月球服务引起的纠纷，适用美国加利福尼亚州的法律管辖。对于我们在火星上提供的服务，或在飞往火星的星际飞船上提供的服务，当事方均承认火星为自由星球，没有任何一个地球政府对火星拥有管辖权或主权。因此，争端将通过火星定居者之间订立的自治原则来解决。”

这就是说，SpaceX 公司或星链计划，已经在法律上做好了开展火星业务的准备。

6、**一句话消息**

> - [一个西方研究团队](https://www.statista.com/chart/19256/the-most-surveilled-cities-in-the-world/)列出了2020年世界上摄像头密度最高的城市排名，排名前10的城市有9个在中国。他们没有说数据从何而来，所以未必可靠。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102702.jpg)

> - [德国科学家](https://www.bbc.com/news/science-environment-54721921)发表论文，认为城市夜晚的照明（广告、建筑物、停车场、体育场等）大部分都浪费了，因为很大一部分灯光都向上发射到太空，形成光污染，而没有集中照亮路标、街道或建筑物。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102902.jpg)

> - [摩根士丹利分析师](https://finance.sina.com.cn/stock/usstock/c/2020-10-29/doc-iiznctkc8235190.shtml)提出，郑州10月份的空气质量突然下降，表明iPhone 12 正在加紧生产。富士康的郑州工厂是苹果手机的主要生产地之一。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102903.jpg)

> - [杭州](https://finance.sina.com.cn/tech/2020-10-29/doc-iiznctkc8321299.shtml)拟立法，禁止居民小区强制采集住户的生物信息，“不得强制业主通过指纹、人脸识别等生物信息方式使用共用设施设备。”

> - [美国宇航局](https://www.upi.com/Science_News/2020/10/15/NASA-funds-Nokia-plan-to-provide-cellular-service-on-moon/2001602710195/)资助诺基亚公司3.7亿美元，在月球上建立一个 4G 通信网。目标是2028年宇航员能在月球表面进行无线通信。

## 文章

1、[为什么高铁手机上网速度很快？](https://finance.sina.com.cn/tech/2020-10-29/doc-iiznctkc8268819.shtml)（中文）

现在高铁列车越来越快，途经的隧道越来越多，手机的 4G、5G 信号却还是满格。那么这是怎么做到的呢？

2、[Python 的 `eval()` 函数很危险](https://nedbatchelder.com/blog/201206/eval_really_is_dangerous.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102506.jpg)

本文解释为什么 Python 语言的 `eval()`函数是一个危险的操作，不能用于不信任的数据。

3、[React Ref 详解](https://www.robinwieruch.de/react-ref)（英文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102505.jpg)

一篇写得很好的 React 教程，解释了`useRef()`钩子和`ref`属性的用法。 

4、[向上捅破天，向下扎到根](https://finance.sina.com.cn/tech/2020-10-28/doc-iiznctkc8066762.shtml)（中文）

任正非9月14-18日访问北京大学、清华大学、中国科学院的最新讲话，讲得很好，有战略高度。

4、[图片加载失败后CSS样式处理最佳实践](https://www.zhangxinxu.com/wordpress/2020/10/css-style-image-load-fail/)（中文）

网页图片如果没有下载成功，怎样将错误信息显示在网页效果最好？

5、[为什么 Lisp 语法非常合理？](https://stopa.io/post/265)（英文）

作者为了解释 Lisp 语法的有效性，举了一个例子，使用 JavaScript 语言进行远程函数调用，结果最合理高效的方式就是让数据采用 Lisp 的语法。这篇文章有点深度，但是值得一读。

6、[生产环境使用 ES 模块的感受](https://www.bryanbraun.com/2020/10/23/es-modules-in-production-my-experience-so-far/)（英文）

作者在网页上直接使用 ES 模块，不经过任何打包工具，谈了自己的使用感受。最大的好处就是，用户运行的代码跟原始代码是一致的，省去了编译步骤，使得调试非常容易。

7、[如何用 JavaScript 抓取并解析网页](https://qoob.cc/web-scraping/)（英文）

本文演示了使用 JavaScript 抓取网页、并提取数据的整个过程。

8、[信息安全职业生涯规划](https://zhuanlan.zhihu.com/p/250905301)（中文）

作者从事信息安全将近 20 年，经常被问到“我要怎么做才能入门信息安全领域？”。这篇万字长文就是他对这个问题的回答，涉及方方面面。（[@StrokMitream](https://github.com/ruanyf/weekly/issues/1471) 投稿）

## 工具

1、[ConsoleChat.io](https://www.consolechat.io/)

一个在浏览器控制台进行聊天的工具库。

2、[SVG Favicon Maker](https://formito.com/tools/favicon)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102101.jpg)

一个在线工具，制作 SVG 格式的 Favicon。

3、[Microsoft Edge 的 Linux 版本](https://blogs.windows.com/msedgedev/2020/10/20/microsoft-edge-dev-linux/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102205.jpg)

微软正式发布 Edge 浏览器的 Linux 版本。

4、[react-chrono](https://github.com/prabhuignoto/react-chrono)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102401.jpg)

React 的时间轴组件。

5、[Masonry](https://masonry.desandro.com/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102402.jpg)

网页瀑布流的布局库。

6、[Glow](https://github.com/charmbracelet/glow)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102507.jpg)

一个命令行的 Markdown 阅读工具。

7、[vdx](https://github.com/yuanqing/vdx)

一个命令行的视频处理工具，属于 FFmpeg 的包装库，提供简单易用的语法格式。

8、[Diode](https://support.diode.io/article/ss32engxlq)

Diode 可以将本机（localhost）的网站公开到互联网上，提供一个二级域名，使得外部用户可以访问。

9、[HIPA](https://hipacloud.com/)（黑帕云）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102707.jpg)

国产的在线表格数据库，类似国外的 Airtable，提供了强大电子表格功能，比如多表关联、一对多的自动聚合运算、看板视图、多人实时协作、行级数据权限等等。（[@mechiland](https://github.com/ruanyf/weekly/issues/1468) 投稿）

10、[Running page](https://github.com/yihong0618/running_page)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102708.jpg)

国产的跑步数据管理软件，可以备份 Nike、Runtastic（Adidas Run）、佳明的 gpx 跑步数据，生成个人的跑步主页。（[@yihong0618](https://github.com/ruanyf/weekly/issues/1469) 投稿）

## 资源

1、 [The Old Net](http://theoldnet.com/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101801.jpg)

这个网站复原了2000年以前的网站访问体验。

2、[《人工智能编程的 LISP 范例》](https://github.com/norvig/paip-lisp)（Paradigms of Artificial Intelligence Programming）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101805.jpg)

一本很好的英文教科书，解释人工智能编程原理。作者是谷歌公司著名的科学家 Peter Norvig。

3、[Sharkle](https://sharkle.com/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101806.jpg)

点击网页上的按钮，它会随机打开一个有趣的网站。

4、[Deepwork.fm](https://deepwork.fm/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101807.jpg)

一个在线电台，播放适合工作时收听的音乐，提供几个不同风格的频道，比如平静的音乐或有节奏感的音乐。

5、[HelloDjango](https://www.zmrenwu.com/courses/django-rest-framework-tutorial/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101902.jpg)

Django REST framework 中文教程。（[@521xueweihan](https://github.com/ruanyf/weekly/issues/1456) 投稿）

6、[数据保护指南](https://ssd.eff.org/en)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102501.jpg)

这个英文网站提供了一个计算机数据保护的指南，有各种工具的详细用法介绍，比如[如何在 Windows 删除数据](https://ssd.eff.org/en/module/how-delete-your-data-securely-windows)，[如何使用密码管理器](https://ssd.eff.org/en/module/how-use-keepassxc)等等。

## 图片

1、[俄罗斯的充气部队](https://www.odditycentral.com/news/russias-inflatable-army-a-tool-of-deception.html)

西方媒体揭露，俄罗斯经常使用充气道具冒充部队。这不仅可以欺骗敌人的侦查兵，而且对付卫星照片极为有效。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102403.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102404.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102405.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102406.jpg)

2、[最早的错觉图片](https://en.wikipedia.org/wiki/Rabbit%E2%80%93duck_illusion)

已知历史上最早的视觉错觉图片，发表在1892年10月23日的一本德国幽默杂志上，要求读者分辨下面的图片更像鸭子，还是更像兔子。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102502.jpg)

3、[Doggerland](https://en.wikipedia.org/wiki/Doggerland)

英国现在是一个海岛，但以前与欧洲大陆是相连的，相连的部分被称为 Doggerland。

公元前6000年海平面上升，这个地区开始沉入海底，使得英国脱离了欧洲大陆。下图的红色圆圈部分就是 Doggerland 的位置，在英格兰东海岸与荷兰之间。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102703.jpg)

## 文摘

1、[给印度年轻人的一封公开信](https://timesofindia.indiatimes.com/blogs/The-underage-optimist/the-4gotten-generation-an-open-letter-to-indias-youth-get-off-that-smartphone-it-can-destroy-you/)

印度年轻人的失业率极高，约30％。与此同时，这些年轻人在 Facebook 和 Instagram 上花费了大量时间，印度人在 Facebook 和 Instagram 花费的时间在所有国家/地区排名第一。印度互联网广告业的收入却极低，广告主根本找不到对这些人有价值的广告，他们没有购买力。

最近，印度最著名的作家之一的[切坦·巴加特](https://en.wikipedia.org/wiki/Chetan_Bhagat)（Chetan Bhagat）在《印度时报》上发表了这封公开信，呼吁印度年轻人不要沉溺于手机。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102503.jpg)

亲爱的年轻朋友们，

这封公开信尽管在大报纸上发表，但是我不知道你是否会看到它。你们中的许多人都忙于使用手机，观看视频，玩视频游戏，与朋友聊天，在社交媒体上发表评论，或者只是滚动浏览名人新闻。你们顾不上阅读文章。

但是，如果你碰巧遇到了这篇文章，请完整读完它。这很重要，这关系到你的生活。你正在手机上浪费生命。

你们是印度历史上第一代可以使用智能手机和廉价数据流量的人。你们每天在手机上花费大量时间，对于年轻人来说，每天平均达到5到7个小时。

五小时是你每天清醒时间的三分之一。就像香烟或其他毒品一样，这种手机成瘾正在吞噬你生命的一部分，损害你的职业前景，并弄乱你的大脑。如果这样下去，整个一代印度年轻人将成为被 4G 毁掉的一代人，这一代人全都沉迷于 4G，他们的生活毫无目标，对国家一无所知。

首先，手机成瘾绝对浪费时间，这些时间本可以用于生活中更具生产力的事物。想象一下，每天从手机上节省三个小时，花在任何其他事情上，比如健身，学习技能，找工作，开办企业。如果你始终如一地这样做，它将带你到何处。

第二，手机成瘾会使大脑变钝。当你观看垃圾时，大脑会放松并且运转较少，你很快将变得缺乏逻辑思考、推理或争论的能力。你将不再看到不同的观点，不再能处理不同的问题、评估利弊或做出正确的决定。

由于大脑麻木，你会变得被情绪主导，出现两极分化的情绪，对名人或政客强烈狂热或强烈仇恨。一代人都变得情绪化，失去理性。

最后，连续三个小时以上玩手机，消磨你的动力和精力。生活中的成功来自于设定目标，保持动力并为实现目标而努力。但是，看着手机屏幕会让你失去动力，每天划着屏幕消磨时间。

年轻人将决定印度的未来。想象一下，让印度独立的那一代年轻人，他们关心国家问题，为解放印度而战。今天，年轻人真的在乎影响国家命运的事情吗？还是更在乎轰动的新闻，忙于对娱乐性事件或疯狂性事情做出情绪性反应？

当务之急是使印度的经济再次增长。中国比我们富裕五倍。请在互联网上搜一下中国城市的照片。为了让印度也这样发展，我们必须做很多事情。我们应该集中精力发展经济，还是继续对那些宗教广告表达愤怒？你应该专注于自己的职业，还是应该将时间浪费在永无止境的印度教－穆斯林的历史问题上？你想过上幸福的生活，还是希望搞清楚宝莱坞明星的各种混乱新闻？

你，今天的年轻人，将决定这些问题的答案。没有其他人会为你做这件事，你必须对自己和这个国家的命运负责。印度的贫穷和强烈的民族情绪并不值得自豪，你们的目标应该是让印度和你自己变得富有而谦虚。放下你的手机，将你的思想投入到那些富有成效和创造力的事情中，为自己的生活和国家做出改变。

你们应该使用 4G 成为印度领先的一代人，而不要最终成为被 4G 毁掉的一代人。

爱你们的，

切坦·巴加特

## 言论

1、

如果你拿到5万月薪时，并没有比5千月薪时更快乐，那就说明你是一个利己主义者，而不是利他主义者。

-- 一个 Facebook 用户

2、

生产一吨大豆需要约1500吨水，所以中国的大豆可能永远都会生产不足。

-- [《大西洋杂志》](https://www.theatlantic.com/international/archive/2020/02/china-brazil-amazon-environment-pork/606601/)

3、

伊朗人无法访问 GitLab、GitHub、Docker、NPM、Google Developer、Android、AWS、Go、Kubernetes。根据美国政府的要求，那些网站全部屏蔽了伊朗的 IP 地址。

-- [《GitLab 阻止了伊朗人的访问》](https://ahmadhaghighi.com/blog/2020/gitlab/)

4、

日本的垃圾分类手册长达37页，而且每天回收的垃圾不一样，这导致我一周大约有6个小时要用来处理垃圾。

-- [一个美国人](https://twitter.com/searls/status/1320411053910609921)在日本生活的感想

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102601.jpg)

5、

信用卡已经过时了，收费太高。在美国，商家和消费者每笔交易要交纳2％的手续费，简直就是信用卡在对美国经济收税。这也是支付宝和微信支付在中国流行的原因，你可以向任何人付款，而且是小额付款，几乎没有任何费用。

-- [李开复](https://www.ncuscr.org/media/podcast/uschinainsights/kai-fu-lee-future-ai-united-states-china)

## 回顾

2019年的本周（第 80 期）：[企业软件创业，为什么在中国不容易成功？](http://www.ruanyifeng.com/blog/2019/11/weekly-issue-80.html)

![](https://cdn.beekka.com/blogimg/asset/201910/bg2019103101.jpg)

2018年的本周（第 28 期）：[软件开发是真正的知识吗？](http://www.ruanyifeng.com/blog/2018/10/weekly-issue-28.html)

![](https://cdn.beekka.com/blogimg/asset/201810/bg2018102601.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）

