# 科技爱好者周刊（第 132 期）：快能力和慢能力

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1473)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110415.jpg)

郑州新区污水处理厂曾获2019年国家优质工程奖，一个个污水处理池被绿化围绕。（via [instagram](https://www.instagram.com/p/CHKdcpTLzNk/)）

## 本周话题：快能力和慢能力

美国著名投资家芒格（Charles Munger）是巴菲特的合伙人，以投资思想丰富而著称。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110416.jpg)

我想分享[他的一段话](https://models.substack.com/p/circle-of-competence)，普通人应该怎么找到自己的竞争力。

> 如果你想成为一流的网球运动员，你很快就会发现，这是没有希望的。
> 
> 但是，如果你想成为一流的水暖工，那么大部分人都可以做到。只要具有意志，坚持下去了解这个行业，精通手艺，假以时日，这是可以实现的目标。
>
> 你无法成为网球明星，但是在其他领域，你可以慢慢发展自己的竞争力。这种竞争力，一部分来自你的内在因素（兴趣、学习能力、毅力、纪律性等等），另一部分来自通过工作的缓慢积累。

芒格的意思是，普通人当不了职业的网球运动员，主要原因是体育竞争力无法慢慢积累，你必须在很短的时间内（三四年？），就达到一个很高的竞技水平，这种模式更像冲刺。

但是，水暖工不需要冲刺，你只要持之以恒，水平自然就会提升。20年以后，你肯定是一个优秀的水暖工。

**换句话说，体育竞争力是一种“快能力”，强调快速形成；水暖工是一种“慢能力”，有可能通过积累而获得。**

“快能力”更多地取决于天赋或外部条件，所以普通人不容易成功；“慢能力”则是取决于后天的努力，可以用时间来换。芒格建议，如果没有天赋，就尽量选择“慢能力”的行业，这样你才有机会通过日复一日的积累做到优秀。

我就想到了一个问题：程序员属于“快能力”，还是“慢能力”？

别的不敢说，前端开发大概是属于“快能力”。因为这个行业要求你快速形成生产力，根本没有时间积累，而且积累的效果不明显，因为开发工具变得太快。相比之下，C / C++ 语言应该属于“慢能力”，坚持写20年，会越写越好，但是前端不是这样，几年就换一套技术栈，代码的生命周期非常短。

所以，想要进入前端的同学，要有清醒的认识。优秀的前端程序员，其实比的是“冲刺能力”，你想一直在这个行业，就要一直在冲刺。“快能力”的行业都是如此，一段时间出不了成绩，就会被淘汰。如果你不适应这种生活，可能就需要做一些准备，想想能不能换到“慢能力”的行业。

## 极客时间 VIP 卡免费送

[极客时间](https://time.geekbang.org/)是国内知名的 IT 技术知识学习平台，用户已经超过120万，中国程序员总数也不过几百万吧。很多技术人都通过它，学习新知识。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110405.jpg)

极客时间成立 3 周年之际，他们希望通过周刊，给我的读者送一些福利。

他们赠送的是一批 VIP 月卡，平台的近千门技术课程，可以免费看一个月。这张卡是以团队名义发送的，只需要一个人申请，就可以获得一个权益包，团队的所有成员可以共同使用。这也解决了课太多，一个人看不过来的问题。下面就是权益包的内容。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110404.jpg)

领取方法是，你注册一下团队学习账号。后面会有工作人员联系你，发放上图中所有权益。

下面是极客时间的平台介绍，提到的内容 VIP 卡都可以免费看。

> 1. 课程内容均出自 BAT、Google、Facebook、Intel 等国内外一线技术企业。
> 2. 技术领域涵盖全面，包含前端、后端、架构、移动、运维、人工智能、测试等，并提供完整的学习路径。
> 3. QCon+ 案例研习社也包括在内，包括阿里、腾讯、bilibili、小红书、大疆创新等优秀企业的技术案例分享，以及直播和社群讨论。

现在只要扫描下方二维码 👇，注册团队帐号，就可以不花钱看上面这些收费内容了。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110402.jpg)

## 资讯

1、[电动汽车底盘创业公司](https://newatlas.com/automotive/ree-video-platform-demonstration-skateboard-chassis/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100805.jpg)

一家美国创业公司开发了扁平化的电动汽车底盘，这种底盘本身就可以行驶，电动机、转向，变速箱、制动功能都集成在里面。而且，所有功能都通过电子方式控制，底盘上方无论是通过方向盘和踏板操作，还是通过触摸屏操作，底盘接收到的命令都是一样的。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100806.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100807.jpg)

它的最大好处就是让电动汽车变成了模块化，其他汽车公司采购了这个底盘以后，上面怎么改装都可以，汽车、货车、卡车、公共汽车、越野车都可以用它。维修、更换组件和回收，会变得从未有过的容易。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100808.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020100809.jpg)

2、[足球直播的故障](https://www.iflscience.com/technology/ai-camera-ruins-soccar-game-for-fans-after-mistaking-referees-bald-head-for-ball/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103102.jpg)

10月25日，苏格兰足球联赛出现了一个令人啼笑皆非的直播事故。赛前，俱乐部宣布，本场比赛将采用 AI 摄像头替代人工摄像师，摄像头会自动识别足球，始终追踪球的运动。

意想不到的是，本场比赛的边裁是一个光头裁判，AI 摄像头分不清光头与足球，很多时候将光头误认为是足球，镜头跟着边裁。观众们纷纷抱怨错过了进球，只看见边判跑来跑去，要求俱乐部赶快为边裁提供一个假发或帽子。

下面的视频（[Youtube](https://www.youtube.com/watch?v=9zoJP2FkpgU)，[腾讯视频](https://v.qq.com/x/page/b3165ovrpnb.html)）就是该场比赛的直播剪辑。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=b3165ovrpnb" allowFullScreen="true" width="600px" height="400px"></iframe>

3、[谷歌 App 的新图标](https://twitter.com/danidonovan/status/1322356167063031814)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110101.jpg)

谷歌最近将旗下 App 的图标，全部改成统一的色彩风格。很多用户抱怨，新图标的配色完全一样，简直是一场灾难，根本分不清谁是谁（上图）。强烈的颜色压倒了其他信息。

原来的图标明明更易辨识，更有个性（下图是对比），结果上层一拍脑袋，一夜之间就都消失了。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110102.jpg)

现在一堆图标里面找一个 App，成了一件有难度的事情。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110103.jpg)

4、[树莓派 PC](https://www.raspberrypi.org/products/raspberry-pi-400/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110202.jpg)

树莓派官方发布桌面 PC，代号为 Raspberry Pi 400。最大特色就是，整台电脑集成在键盘里面，按键下面就是一块树莓派4代的专用板，出门只要带这个键盘就够了。电源可以用手机充电器，硬盘是 SD 卡，内存是 4GB，有无线网卡，支持 HDMI 输出和 4K 视频播放。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110203.jpg)

这个主机售价是70美元，套件售价是100美元。我感觉这个设备会改变 PC 市场的生态，上网、办公、视频会议，它完全够用，尤其适合教育用途。对于大众市场来说，唯一的麻烦是它的 CPU 是 ARM 架构，只能使用 Linux 系统，装不了 Windows。不过，也许以后 macOS 可以装在上面。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110204.jpg)

5、[Ubuntu Touch 九周年](https://itsfoss.com/ubuntu-touch/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110104.jpg)

九年前的2011年10月31日，Ubuntu 宣布专用于手机的 Linux 系统 ，叫做 Ubuntu Touch。这个系统的实际发布是在2013年，然后2017年官方宣布放弃该项目。只有两家厂商发售过两款该系统的手机，其中一款就是魅族的 Meizu Pro 5（Ubuntu Touch 版，上图），但是这个版本只针对海外市场，国内没有销售。

由于手机硬件基本上专用的，不是兼容的，而且硬件厂商不开源驱动，这导致 Linux 手机很难成功，性能和功能都无法跟专有系统竞争。目前还活着的 Linux 手机项目，主要有两个：PinePhone 和 Purism Librem 5。

6、**一句话消息**

> - [华盛顿大学](https://www.bbc.com/news/technology-53445772)开发了一个250微克的微型摄像机，可以放在甲壳虫背上。不过，它的分辨率很低，只有160 x 120像素，每秒拍摄5帧，通过蓝牙传输，续航为6小时。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071801.jpg)

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020071802.jpg)

> - [马斯克](https://www.msn.com/en-us/news/technology/elon-musk-worries-spacex-won-e2-80-99t-get-to-mars-before-he-dies/ar-BB10XMVm)表示，他不确定自己的火箭公司 SpaceX 能否在他去世之前，完成到达火星的目标。马斯克生于1971年，今年49岁。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020031001.jpg)

> - [气候科学家](https://phys.org/news/2020-03-accurate-climate-reveals-bleaker-outlook.html)预测，2030年全球气温可能会上升1.5 C。不考虑其他因素的情况下，用电量将增加12％，用水增加4％。如果气温上升2.0 C，用电量增加20％，用水增加6％。这意味着，十年后许多城市的用水用电，都会变得非常紧张。

![](https://cdn.beekka.com/blogimg/asset/202003/bg2020030903.jpg)

> - [美国宇航局](https://rocketrundown.com/nasa-reconnects-with-voyager-2-over-18-billion-kilometers-from-earth/)重新联系上“旅行者二号”飞行器，此前澳大利亚的无线电天线维修7个月，无法通信。“旅行者二号”发射于1977年，已经飞出了太阳系，距离地球187亿公里，地球信号需要18个小时才能到达它。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110501.jpg)

## 文章

1、[使用 Scriptable App 开发 iPhone 小组件](https://github.com/dreamapplehappy/blog/tree/master/2020/10/24)（中文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103104.jpg)

iOS 14 升级了小组件功能，有一个 Scriptable App 可以使用 JavaScript语言为 iPhone 创建各种小组件。（[@dreamapplehappy](https://github.com/ruanyf/weekly/issues/1475) 投稿）

2、[公司用 Java 重写 Ruby on Rails 应用的感想](https://ruby-china.org/topics/40526)（中文）

原代码库目测大约 5-6 个 Ruby 程序员的 code base，打算使用 Java 改写。阿里的“大中台，小前台”概念火了以后，于是分成前台团队做业务，中台团队提供 crud，再来个前端团队，约 80 人。

3、[我怎么做鸡排外卖](https://www.zhihu.com/question/267003361)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110509.jpg)

知乎的一个长帖，作者讲述自己怎么将鸡排外卖做成全国连锁，可以了解外卖商家是怎么运作的。

4、[蚂蚁上市的游戏规则变了](https://finance.sina.com.cn/chanjing/gsnews/2020-11-04/doc-iiznezxr9784627.shtml)（中文）

这篇不是科技类文章，但是我觉得，它说出了蚂蚁暂缓上市的根本原因：网络小额贷款的监管规则突然变了。

5、[gRPC API 是什么？](https://www.programmableweb.com/news/what-grpc-api-and-how-does-it-work/analysis/2020/10/08)（英文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020101602.jpg)

gRPC 是远程调用计算机服务的一种方式，所有数据以二进制传送，所以效率极高。

6、[奇妙的 1/89](http://www2.math.ou.edu/~dmccullough/teaching/miscellanea/miner.html) （英文）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103103.jpg)

这篇文章介绍 1/89 这个分数（.01123595505...）与斐波那契数列的奇妙关系。

7、[如何在 Markdown 文档显示 diff 效果](https://blog.alispit.tel/create-a-git-diff-in-markdown/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110301.jpg)

很多人不知道的一个小技巧，Markdown 表示 diff 效果的语法（上图）。

8、[C 代码里面的网址](https://susam.in/blog/urls-in-c/)（英文）

C 代码里面加一行，直接写一个网址，并不会报错，代码还是能够运行。这篇文章解释了为什么。

9、[三个可以替代 npm 的软件](https://blog.bitsrc.io/npm-clients-that-are-better-than-the-original-cd54ed0f5fe7)（英文）

npm 是 Node.js 的包管理工具，存在一些令人诟病的地方，主要是 node_modules 目录太庞大。本文介绍三个可以替代 npm 的工具软件。

## 工具

1、[Dendron](https://www.dendron.so/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102701.jpg)

一个 VS Code 编辑器的插件，使其变成一个笔记软件。

2、[youtube](https://github.com/kkdai/youtube)

一个 Go 语言写的 Youtube 视频下载工具，youtube-dl 的替代品。

3、[hoppscotch](https://github.com/hoppscotch/hoppscotch)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102801.jpg)

一个开源的 Postman 替代品，调试 HTTP 请求的在线工具。

4、[Draw On PDF](https://www.goodannotations.com/tools/draw-on-pdf)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102807.jpg)

一个在 PDF 文件上作图的在线工具。

5、[Vega-Lite](https://github.com/vega/vega-lite)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103002.jpg)

一个制作互动式图表的 JS 库。

6、[volute](https://github.com/webfansplz/volute)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103105.jpg)

一个语音工具的集成软件，文档教你如何在树莓派上使用 Node.js，搭建自己的语音助手，可以识别语音，也可以将文本转为语音。（[@webfansplz](https://github.com/ruanyf/weekly/issues/1476) 投稿）

7、[H5-Dooring](https://github.com/MrXujiang/h5-Dooring)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103111.jpg)

一个可视化制作 H5 页面的在线工具。（[@MrXujiang](https://github.com/ruanyf/weekly/issues/1479) 投稿）

8、[winXP](https://github.com/ShizukuIchi/winXP)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110110.jpg)

该项目使用 React 做了一个跟 Windows XP 一模一样的网站。上图其实是一个网页。

9、[Profile Pic Maker](https://pfpmaker.com/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110112.jpg)

一个在线工具，上传人像照片，可以自动提取头像，生成大头照图片。

10、[Gitako](https://github.com/EnixCoda/Gitako)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110113.jpg)

一个浏览器插件（支持 Chrome、Edge、Firefox），浏览 GitHub 时可以在网页上显示文件树。

## 资源

1、[周刊小程序](https://github.com/xuedingmiaojun/weekly-mp)

非官方的、读者开发的周刊小程序。（[@xuedingmiaojun](https://github.com/ruanyf/weekly/issues/1474) 投稿）

2、[中文技术文档写作风格指南](https://zh-style-guide.readthedocs.io/zh_CN/latest/index.html)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103106.jpg)

作者综合了在互联网上能找到的各家中文文案风格指南、国外大厂成熟的文档规范、以及国标建议的出版要求，编写了这份超过 30 页的开源文档。（[@yikeke](https://github.com/ruanyf/weekly/issues/1477) 投稿）

3、[Coding for Crosswords](https://www.youtube.com/playlist?list=PLg4AoophFZWZ7Llifowo-1WGMVICq-mfw)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102301.jpg)

Youtube 上面的一个 C++ 语言的英文视频教程，教初学者使用 C++ 写一个填词游戏。

4、[计算机科学的数学基础](https://courses.csail.mit.edu/6.042/spring17/mcs.pdf)（Mathematics for Computer Science）

麻省理工学院的初等数学教材。

5、[编写解释器](http://craftinginterpreters.com/contents.html)（Crafting interpreters）

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102704.jpg)

一本如何开发编程语言的解释器的英文开源教材，相当于教你怎么发明一种自己的编程语言。

## 图片

1、[实验动物雕塑](https://weibo.com/2037249691/zEjq7i3GR)

俄罗斯新西伯利亚市有一个雕塑，专门纪念在实验室用于 DNA 实验的啮齿类动物。 ​​​​

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103001.jpg)

2、[拉斐尔·蒙蒂的雕塑](https://www.pinterest.com.au/annieOdyne/chiffon/)

拉斐尔·蒙蒂（Rafaelle Monti）是19世纪的意大利雕塑家。他有一个很惊人的本领，就是能把大理石雕塑出透明的面纱效果。

下面的面纱全部都是大理石雕塑。

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103107.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103108.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103109.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103110.jpg)

3、[华氏度与摄氏度的简单估算](https://dyno-might.github.io/2020/10/30/temperature-conversion-for-the-lazy-and-simple-minded/)

华氏度与摄氏度的转换，有一个简单的估算方法。有三个华氏度，颠倒个位数和十位数，约等于对应的摄氏度。

- 40 华氏度 ≈ 04 摄氏度
- 61 华氏度 ≈ 16 摄氏度
- 82 华氏度 ≈ 28 摄氏度

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103112.jpg)

因此，记住这三个数字（40、61、82），就可以简单估算。比如，71 华氏度介于 61°F 和 82°F 之间，所以对应的摄氏度大约介于16°C和28°C之间。

## 文摘

1、[2分钟规则](https://hoanhan.co/2-minute-rule)

每当你发现很难开始执行某项任务时，可以试试将其缩减成2分钟的版本。

- 看一本书 → 看一页书
- 写一篇文章 → 写一句话
- 跑10公里 → 穿上跑鞋
- 做100次俯卧撑 → 做1次俯卧撑
- 多吃蔬菜水果 → 吃一个水果
- 编写一个程序 → 编写一个函数 → 编写一行代码

这样做的目的是使上手变得超级容易，让你先上手再说。一旦开始做了（这可能是最艰难的一步），你就会开始有动力，可能会继续做下去。

- 阅读一页 → 阅读10页 → 读完第一章
- 写一个句子 → 写文章的开头 → 写出正文
- 穿上跑鞋 → 步行5分钟 → 跑步5分钟

一旦开始，继续做下去就会容易得多。有时，你甚至会发现，自己在不知不觉间已经完成了任务。

2、[地球工程是什么？](https://www.technologyreview.com/2019/08/09/615/what-is-geoengineering-and-why-should-you-care-climate-change-harvard/)

原刊于《MIT 技术评论》杂志

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102504.jpg)

地球变暖看来无法避免，越来越多的科学家正在研究，什么样的工程方法可以让地球降温。这就叫做地球工程（geoengineering）。

地球工程包含两个截然不同的方向：（1）在空气中吸收二氧化碳，避免温室效应；（2）拦截一部分射向地面的阳光，从而减少地面热量。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110507.jpg)

目前，第二个方向有更大吸引力。最著名的一个方案设计，就是将微粒喷洒到平流层，也称为“平流层注入”或“平流层气溶胶散射”。这个方案之所以出名，部分原因是大自然已经证明了它的有效性。

1991年夏天，皮纳图博（Pinatubo）火山爆发，喷出了约2000万吨的二氧化硫。这些微粒散布在大气层里面，将太阳光反射回太空，使得此后两年内全球温度降低了约0.5°C。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110508.jpg)

真正进行的地球工程实验，目前非常少。但是，确实有人正在尝试向大气层散布微粒。2009年，俄罗斯科学家做了据信是第一个户外的地球工程实验。他们在直升机里面，向上喷射了高达200米的颗粒。科学家声称该实验减少了到达地面的阳光量。

这样做是否有效，依然具有很大争议。不少科学家认为，小范围的工程项目，根本无法改变全球温度。另一方面，就算“平流层注入”可以降低地球温度，它也不能解决其他气候危险，比如海水酸化。

最终来说，人类只有改变生活方式，减少能源消耗，才能真正遏制地球变暖和危险的极端气候。

## 言论

1、

如果你喜欢“建造”，但是对“产品”无动于衷，那么你似乎适合在谷歌工作。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=24941452)评论谷歌经常杀死自己的产品

2、

丰田公司的一个决策原则是，做决定的不是等级最高的人，而是最接近正在发生的事情的人。丰田公司认为，决策时掌握的实践知识越多，决策就会越好。

-- 《丰田之道》

3、

一切都是关联的，但是距离近的东西比远处的东西对你更相关。

-- [托伯勒地理第一定律](https://en.wikipedia.org/wiki/Tobler%27s_first_law_of_geography)

4、

你在科技业追求的是什么？当然是在最赚钱公司的最赚钱部门，卡到一个位置嘛。

-- Joeman（台湾 Youtuber）谈别人不理解，自己辞掉产品经理去拍视频。

5、

Starlink（星联计划）将永远改变游戏规则。

-- [一位蒙大拿州的农村居民](https://www.businessinsider.com/starlink-internet-satellite-public-beta-speed-spacex-mbps-elon-musk-2020-11)。由于地处偏远，当地一直没有铺设宽带。他试用了 Starlink 的卫星宽度，下载速度达到 174 Mbps，快于美国95%的地区。

## 回顾

2019年的本周（第 81 期）：[子辈能大幅超越父辈吗？](http://www.ruanyifeng.com/blog/2019/11/weekly-issue-81.html)

![](https://cdn.beekka.com/blogimg/asset/201911/bg2019110707.jpg)

2018年的本周（第 29 期）：[公司的组织架构，决定了软件的复杂性](http://www.ruanyifeng.com/blog/2018/11/weekly-issue-29.html)

![](https://cdn.beekka.com/blogimg/asset/201811/bg2018110201.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）

