# 科技爱好者周刊（第 133 期）：贵州变瑞士，有没有可能？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1473)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111123.jpg)

11月1日，2020中国科幻大会在北京举行，会场外有占地面积近1000平方米的科幻艺术展区。（via：[Instagram](https://www.instagram.com/p/CHUjgysF5OC/)）

## 本周话题：贵州变瑞士，有没有可能？

上个月，我第一次去贵州，玩了一周。这次旅行让我想起一篇大学里读过的文章。

浙江大学的一位老师访问瑞士后，发现瑞士的地理条件与贵州省很像：平地很少，全境都是高山，没有出海口，不合适发展工业和农业。但是， **瑞士属于世界最富的国家，贵州却是中国最穷的省份之一，以前号称“天无三日晴，地无三里平，人无三两银”。这是为什么？**

他认为，原因是瑞士有合适的产业。它最强的精密制造业（比如钟表和制药）和高端服务业（比如银行、旅游、会展），都不要求大块的土地，但是附加值高，很赚钱。贵州没有这些产业，也不具备发展它们的条件，所以才会贫穷。

我来了贵州，亲眼看了以后，觉得情况发生了很大变化。贵州比想象的好得多，过去限制发展的最大瓶颈，已经没了，具备了经济起飞的条件，前景很看好。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111121.jpg)

（图片说明：铜仁市三江公园）

首先，交通已经变得比较方便了。主要城市之间都有高铁和高速公路直达，一路上都是高架和隧道，已经没有盘山公路了。其次，全省都在大建设，更新基础设施，我到过的黔东南每个城市（铜仁、凯里、都匀、独山、荔波）都遍布工地，城市面貌都非常新，道路整齐，高楼林立，生活没有任何不方便，跟沿海省份差不多。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111122.jpg)

（图片说明：荔波小七孔景区的上己定湖）

贵州的旅游业，尤其具有优势。当地最不缺的就是峡谷、溪流和瀑布，由于喀斯特地质，奇特的地貌很多，加上植被茂盛，山水瑰丽，拥有许多世界级的旅游资源，未来肯定是旅游大省。

贵州正在大力发展大数据产业。这是很正确的方向，互联网产业对地理限制最不敏感。 **我推荐，程序员可以考虑去贵州远程开发。** 有这样几条理由：（1）网络条件很好，无线信号全覆盖；（2）优质的环境和空气，玩的地方多；（3）地处云贵高原，夏天气温不高，没有酷暑；（4）生活成本低，房价非常便宜。

## Vue 服务器渲染（SSR）视频教程

单页应用的前端框架，都有一个痛点，就是搜索引擎不友好，SEO 效果差。因为网页内容是前端脚本生成的，搜索引擎不容易拿到。

为了解决这个问题，“服务器端渲染”（Server-side rendering，简称 SSR）就诞生了。它的原理是，服务器执行前端脚本，将渲染结果直接发给浏览器，从而提升 SEO 效果、加快网页显示。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111005.jpg)

Vue 作为国内主流的前端框架， 有自己的一套 SSR 解决方案。但由于同时涉及到前端和后端，很多刚刚入门的同学反映不容易上手，不理解原理，看文档一知半解。到了真正写代码时，只能拷贝示例，自己修改和定制很困难。

本周，开课吧提供给周刊读者的 **《手把手教你打造 Vue SSR》** 视频教程，就会教大家 Vue 服务端渲染的基本原理，从零开始带你打造一个Vue SSR 环境，让使用者知其然，更知其所以然。主讲老师是前高伟达高级软件工程师杨老师。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111006.jpg)

这个视频教程有如下特点。

> - 条理清晰，简洁易懂。
> - 从 SSR 原理到整个构建流程及代码，逐一呈现，容易理解。
> - 主讲的杨老师同时兼具前后端开发经验，教技术的同时，还教技术提升的逻辑。
> - 附带源码，便于练习。

《手把手教你打造Vue SSR》视频教程长达120分钟，内容都是实用干货， **原价399元，现在限时 0 元** 。

手机扫描下面二维码，就可以立即领取，不需要其他条件，不用转发，不用分享。仅限200名！

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111004.jpg)

## 资讯

1、[日本的氢能源计划](https://techxplore.com/news/2020-11-ambitious-controversial-japan-hydrogen.html)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110304.jpg)

日本是一个海岛，自身没有石油和煤炭资源，都依靠进口。为了保证能源供应和保护环境，日本政府正在研究一个氢能源计划，尝试使用氢气作为国家的常规能源。

具体安排是，明年在澳大利亚，使用当地的褐煤提取液态氢气，然后装船运往日本，再在日本燃烧发电。澳大利亚有丰富的褐煤储量，而褐煤的品位和含热量都较低，不值得长途运输，所以合适在产地直接处理。

这个计划如果能够成功，对全世界都有重大意义。氢是宇宙最丰富的元素，而氢气又非常清洁。这件事的最大难点在于液态氢气的运输和储存，温度必须保持在零下253摄氏度。

2、[中国载人潜水器](https://www.cnfeol.com/taicai/n_145035315085.aspx)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111112.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111113.jpg)

北京时间11月10日，中国“奋斗者”号载人潜水器成功到达地球最深处——水下10909米的马里亚那海沟底部。当天凌晨4时，潜水器开始入水；8时12分，在马里亚纳海沟成功坐底（海底着陆）后，3位潜航员在海底进行了约6个小时的采样工作；17时左右，潜水器浮出水面，被回收至母船。

单论下潜深度，这一次奋斗者号的下潜深度排名世界第三，仅次于蒂利亚斯特号10916米和2019年DSV Limiting Factor报出的10928米。但是考虑到误差，三者的下潜深度没有本质差别。

另外，奋斗者号搭载3人，创下世界记录，其他万米级的潜水舱只能搭载1人或2人。

3、[气球宽带](https://interestingengineering.com/alphabets-loon-balloon-breaks-record-by-spending-312-days-in-the-stratosphere)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103004.jpg)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103003.jpg)

为了让边远地区的人们可以上网，SpaceX 公司的方案是卫星宽度（StarLink 计划），谷歌公司则另辟蹊径，提供气球宽带的方案，项目叫做 Loon。最近，这个项目取得了重大进展，有一只气球在空中停留312天，打破了世界记录。

这只气球在美国加州放飞，然后飞到南美洲，接着飞过了大西洋，然后又飞过太平洋，最后在墨西哥降落。下图是它的飞行路线。 

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020103005.jpg)

这种大型气球停留在距地面18公里～25公里的平流层，那里几乎没有垂直的气流，所以气球可以保持在固定高度，为下方80公里的区域提供稳定的互联网服务。遇到水平方向的大风时，气球会自动上升或下降，避开大风。气球的动力完全来自太阳能。

4、[粉红菠萝](https://www.foodandwine.com/news/pink-pineapples-buy-online)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110706.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110707.jpg)

一家美国水果公司经过15年的研究，终于培育出了粉红色的菠萝。除了果肉的颜色不一样，这种菠萝与普通菠萝并无差异。

它的售价高达49美元一个，这使它注定只能用来当作装饰品，比如高级宴会或者网红拍照。水果公司解释说，这种水果在哥斯达黎加生产，每年只能生产一批，所以价格如此之高。

5、[超级高铁](https://www.theverge.com/2020/11/8/21553014/virgin-hyperloop-first-human-test-speed-pod-tube)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111101.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111102.jpg)

上周日，英国维珍公司在美国内华达沙漠，完成了该公司的超级高铁 Hyperloop 的第一次载人试验。这种高铁是在直径3.3米的真空管道里面运行，没有空气阻力，采用磁悬浮动力，设计时速高达1000公里/小时。但是，由于试验轨道只有500米，所以试验速度只有171公里/小时。

本次试验只有两名乘客，维珍公司的目标是2030年商业运行。但是，这个目标不太现实。它的造价大大高于普通高铁，巨额资金和所需土地现在还没有落实。由于超级高铁的转弯很困难，最好是直线行驶，所以线路设计受限大。另外，还有一些技术问题没有解决，比如，这么长距离的管道如何保持真空。最后，就算能够造出来，票价恐怕非常昂贵，会有多少乘客都是疑问。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111103.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111104.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111105.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111106.jpg)

6、**一句话消息**

> - [美国](https://www.cbsnews.com/news/debt-collectors-unlimited-text-email-messages-consumer-financial-protection-bureau/)通过新法律，讨债人每周最多只能给同一个债务人打7个电话，但可以发无限的电子邮件和即时消息。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110604.jpg)

> - [科学家](https://www.goodnewsnetwork.org/rare-chameleon-rediscovered-in-hotel-garden/)在马达加斯加岛发现了一种消失了106年的变色龙，上一次见到这个物种还是在1913年。这种变色龙安静时是绿色的，但是在生气或交配时，就会呈现白、黑、靛蓝的条纹色，并出现三个红色斑点。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110413.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110414.jpg)

> - [美国政府](https://arstechnica.com/tech-policy/2020/11/feds-seize-1-billion-in-bitcoin-from-silk-road-drug-marketplace/)充公了犯罪组织“丝绸之路”的69,369个比特币，价值10亿美元，一次性将它们从“丝绸之路”的钱包转移到了政府控制的钱包。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110606.jpg)

> - [欧盟](https://fm4.orf.at/stories/3008930/)准备立法禁止即时通信软件的端对端加密，除非软件留有后门。这是奥地利的恐怖袭击发生以后，欧盟的应对措施之一。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110904.jpg)

## 文章

1、[国产运动鞋的鞋底暗战](http://www.lanxiongsports.com/posts/view/id/19913.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110704.jpg)

一双运动鞋外在看不到的部分——中底，往往决定了这双鞋的品质。所谓中底，通俗讲是鞋垫和大底中间的部分，其作用是吸收运动中产生的冲击力，提供稳定性，好的中底往往会提供出色的回弹和减震效果。

2、[Photoshop 的 AI 滤镜](https://www.jiqizhixin.com/articles/2020-10-23-8)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110705.jpg)

Photoshop 22.0 版推出了一个新的滤镜包——Neural Filters，实现了很多 AI 论文的研究成果，包括老照片上色、换表情、修改年龄、提升画质、普通图像一键变梵高风格等。

3、[100美元的 iPhone X](https://www.vice.com/en/article/qvmkdd/counterfeit-iphone-x-review-and-teardown)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110902.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110901.jpg)

2018年的文章。一个美国记者在深圳买到100美元的 iPhone X，实际是一台装了 iPhone 皮肤的低端安卓机，但真的很像苹果手机，尤其是有 Lightning 充电口。经过拆解，除了一些可以想到的问题（比如预装了恶意软件），作者对它的评价不完全是负面，而是 interesting（有趣）。

4、[北上广深无人出租车体验报告](https://chedongxi.com/p/238676.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110903.jpg)

作者在今年8月到10月份分别体验了北上广深四个一线城市的无人出租车服务，总计乘坐超过11次，并与背后运营公司文远知行、小马智行、AutoX等玩家的高管进行了深入交流。

5、[苹果公司的 M1 芯片](https://daringfireball.net/2020/11/one_more_thing_the_m1_macs)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111203.jpg)

本周，苹果公司首次发布搭载 ARM 架构 CPU 的 Mac 电脑。本文是著名评论家 John Gruber 对这块 M1 芯片的评论，写得很不错，可以了解苹果公司对桌面电脑向 ARM 架构转移的安排。

6、[浏览器的人脸检测能力](https://ckeditor.com/blog/How-to-detect-human-faces-and-other-shapes-in-JavaScript/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110601.jpg)

Chrome 浏览器已经支持 Shape Detection API，直接调用这个 API，不用加载任何外部库，就可以通过浏览器识别人脸和二维码。

7、[从头写一个 Deno 的 BitTorrent 下载器](https://cjting.me/2020/10/31/tinytorrent-a-deno-bt-downloader/)（中文）

介绍 BT 下载的实现细节，有 JavaScript 代码的下载客户端示例。（[@ cj1128](https://github.com/ruanyf/weekly/issues/1486) 投稿）

8、[对象的方法可以理解为发消息](https://softwareengineering.stackexchange.com/questions/417896/what-benefit-do-we-get-by-thinking-of-objects-as-sending-messages-to-each-other)（英文）

StackOverflow 的问答。面向对象编程（OOP）的一种理解，将对象的方法视为向对象发消息，我觉得很有启发。比如，`car1.stop()`可以理解成向对象`car1`发送消息`stop`。

9、[Pandoc 电子书生成教程](https://learnbyexample.github.io/customizing-pandoc/)（英文）

Pandoc 是一个文档格式转换工具，本文介绍如何使用它将 Markdown 文档转成 Epub 和 PDF 电子书。

10、[Git 的作者（Auhtor）与提交者（Commmitter）的差异](https://blog.darkthread.net/blog/git-author-n-committer/)（中文）

一个 Git 的小细节。Git 提交的元信息里面，有“作者”（author）字段和“提交者”（committer）两个字段，它们有什么区别？

## 工具

1、[presenta](https://github.com/presenta-software/presenta-lib)

一个 JS 的网页幻灯片库，特色是可定制的选项多。

2、[Snake Classic](https://codeguppy.com/code.html?ad/snk_adrian)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110303.jpg)

一个 JS 代码演示，网页版小游戏《贪吃蛇》。

3、[ox](https://github.com/curlpipe/ox)

一个命令行的代码编辑器，具有部分 IDE 功能，使用 Rust 语言编写。

4、[Bucket Brigade Singing](https://www.jefftk.com/p/bucket-brigade-singing)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110406.jpg)

一个实验性的在线工具，让大家远程一起唱歌，解决疫情期间无法唱卡拉 OK 的问题。

5、[ffmpeg.wasm](https://ffmpegwasm.github.io/)

ffmpeg 库的 wasm 移植，使得 Node.js 可以用这个库编辑视频。

6、[Vue Hooks Form](https://github.com/beizhedenglong/vue-hooks-form)

Vue 3 的一个 Hook，用来制作表单。（[@beizhedenglong](https://github.com/ruanyf/weekly/issues/1484) 投稿）

7、[SvgPathEditor](https://github.com/Yqnn/svg-path-editor)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110602.jpg)

一个开源的 SVG 图形路径编辑的在线工具。

8、[PageSpeed Insights](https://developers.google.com/speed/pagespeed/insights/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110603.jpg)

谷歌官方的网页性能的在线评分工具。

9、[ibis](https://github.com/themsaid/ibis)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111209.jpg)

一个使用 PHP 写的命令行工具，可以把 Markdown 源文件转成 PDF 格式的电子书。

10、[Friendly Challenge](https://github.com/FriendlyCaptcha/friendly-challenge)

一个实验性的 Captcha （人类用户识别）开源实现。

传统的人类用户识别，一般都是图像识别。这个工具另辟蹊径，在用户计算机上执行一个计算难题，考验机器的计算能力，脚本机器人一般都不会有真实客户端的计算能力。它的好处是根本不需要用户参与。

## 资源

1、[线性代数](https://hefferon.net/linearalgebra/)

![](https://cdn.beekka.com/blogimg/asset/202010/bg2020102709.jpg)

《线性代数》的英文免费教材，针对初学者。

2、[ProtoSchool](https://proto.school/tutorials)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110605.jpg)

该网站有各种原创的分布式互联网协议教程。

3、[2020美国总统选举可视化](https://www.anychart.com/blog/2020/11/06/election-maps-us-vote-live-results/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110702.jpg)

这个网页收集了美国各大媒体的2020总统选举的可视化设计。

4、[世界海底光缆](https://www.submarinecablemap.com/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110801.jpg)

该网站是世界海底光缆的互动式地图。

5、[机器学习书单](http://matpalm.com/blog/cool_machine_learning_books/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111001.jpg)

作者列出的机器学习入门的书单，一共20本左右。

## 文摘

1、[《金融时报》：华为的芯片工厂计划](https://archive.vn/SE6ZJ#selection-1817.0-1817.16)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110111.jpg)

华为正在上海，筹备建设一家不使用美国技术的芯片工厂。

由于华为此前并没有制造芯片的经验，该工厂将由上海市政府支持的上海集成电路研发中心有限公司（ICRD）运营。

第一步，该工厂将制造低端的45纳米芯片，相当于15年前的芯片制造水平。

第二步，华为希望在2021年底之前，可以生产更先进的28纳米芯片。这种芯片已经可以用于华为的智能电视和其他物联网设备。尽管移动网络基站使用14纳米或14纳米以下的芯片更理想，但28纳米也能用。

第三步，华为计划在2022年下半年生产20纳米芯片。这种级别的芯片可用于大部分的 5G 电信设备。

根据这个规划，华为现在囤积的芯片，可以满足未来两年的需要。

但是，这个芯片工厂即使能够达到目标，也无法对华为的智能手机业务提供帮助。因为手机芯片的制程更高级，短期内无法达到。

2、[国际空间站二十周年](https://www.popsci.com/story/space/biggest-findings-twenty-20-years-of-the-international-space-station-iss/)

刚刚过去的11月2日，是国际空间站启用20周年纪念日。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110502.jpg)

上个世纪80年代，美国宇航局决定建造永久空间站，但是一时拿不出那么多经费。没过几年发生了苏联解体，俄罗斯政府愿意获取美国的资助，美国也不想苏联太空专家被其他国家抢走，因此双方同意共同建设一个空间站。

加拿大、日本、欧洲空间局稍后加入了这个计划，所以项目就称为国际空间站。

1998年，空间站开始组装，直到2011年才最终完成。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110804.jpg)

2000年11月2日，三个宇航员首次进入国际空间站。此后20年，空间站一直有人驻守，从没有空过一天。截止到现在，共有19个国家的241名宇航员到过国际空间站。

国际空间站长约109米，包括6个休息区、两个厕所和一个健身房。生活空间大约相当于一所拥有六间卧室的大房子。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110806.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110807.jpg)

国际空间站的速度是每秒8公里，每90分钟可以绕地球一次，这使宇航员每天可以观看16个日出和日落。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110808.jpg)

国际空间站的建造费用超过1000亿美元，每年的维护和补给费用约40亿美元，其中大部分由美国支付。

有的科学家认为，不值得花这么多钱建造国际空间站，它的科学价值很有限，更多的是新闻价值。空间站的大部分实验其实都不需要宇航员参与，如果使用无人航天器将实验设备送入轨道，成本会低得多。

但是，更多的科学家认为，国际空间站的真正意义，大概在于积累经验：如何在太空组装巨大结构，如何在太空中长时间生活，如何处理各种各样的突发事件。这些经验将对人类前往其他星球有巨大价值。

另外，科学家现在还知道了，长时间的零重力环境会对人体产生影响，宇航员会出现肌肉衰退、骨密度降低、视力和味觉障碍等。科学家发现，宇航员在太空生活4到5个月后，回到地球需要数年时间才能恢复骨密度。
联网协议教程。
![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110809.jpg)

国际空间站的顶部是一个观察舱（cupola），直径约2米，高1.5米，设有6个边窗和1个天窗，能提供360度的视野，使宇航员能够观察机械臂的操作和外部情况。

英国宇航员蒂姆·皮克（Tim Peake）说，当他在那里第一次看到地球时，就意识到地球是多么脆弱。“你可以看到地球的大气层，只有16公里厚。人类能在地球上生存，都赖以这薄薄一层的气体。你会突然意识到，我们大量排放二氧化碳，会有极其巨大的影响。”

## 图片

1、[国际空间站的照片](https://www.dailymail.co.uk/sciencetech/article-8918425/Amazing-photos-capture-moment-ISS-passes-moon-sun.html)

加利福尼亚的摄影师安德鲁·麦卡锡（Andrew McCarthy），使用天文望远镜拍摄了很多国际空间站的惊人照片。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110810.jpg)

国际空间站掠过太阳。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110812.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110811.jpg)

国际空间站掠过月球。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110813.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110814.jpg)

2、[世界最大的潜艇](https://ru-submarine.livejournal.com/17486.html)

前苏联的941型核潜艇（北约称为台风级核潜艇）是世界最大的潜艇，长175米。

它比排名第二的潜艇大出一倍，可以容纳160人在海底潜伏几个月。潜艇里面甚至还有游泳池。由于建造和维护费用太高，俄罗斯早在2012年就已经宣布，不再建造也不再更新这种核潜艇了。

标题网址提供了这种潜艇的大量照片。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110109.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110105.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110106.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110108.jpg)

## 言论

1、

阿里为什么在杭州城西？

因为城西是文教区，马云在那里念的大学，在那里教的英语，在那里买了一套约 150 平米的房子，在新房的客厅创立了阿里。

-- [刘德科](https://finance.sina.com.cn/jjxw/2020-10-30/doc-iiznctkc8457027.shtml)

2、

发送简历时，请说明你解决的一些最困难的问题，以及你如何解决这些问题。

-- [马斯克（Elon Musk）](https://twitter.com/elonmusk/status/1324736076800577537)谈他希望看到的简历。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020110701.jpg)

3、

我购买一台了 iPad，使用 SSH 连接到办公室工作站，结果发现了一件尴尬的事情。iPad 的硬件很棒，但是键盘上没有 ESC 键，不得不用其他键模拟。iPad 还是不适合当作编程设备。

-- [Hacker news 读者](https://news.ycombinator.com/item?id=25028458)

4、

标准普尔500指数包括500支股票。过去5年，脸书、亚马逊(Amazon)、苹果、微软、谷歌这五家公司的市值增长了2.5倍，而剩下的495支股票的市值，加在一起几乎没有变化。

-- [央视财经](https://finance.sina.com.cn/wm/2020-10-21/doc-iiznctkc6884203.shtml)

5、

自动驾驶比人们想象的困难得多。即使到今天，谷歌的自动驾驶汽车依然只能在美国南部的凤凰城进行实验，因为那里少雨、道路宽阔、街道都是直线的，这些因素大大简化了计算机视觉系统的工程难度。

-- [《鹦鹉螺》杂志](http://nautil.us/issue/92/frontiers/the-self_driving-car-is-a-red-herring)

6、

程序员追求开源软件，但是开源软件压低了软件价格，软件价格过低又降低了程序员的价值，并因此使得许多程序员失去工作，也减少了投资者对软件行业的投资，因为投资者追逐利润丰厚的地方来投资。

-- [《开源软件对软件商品化的挑战》](https://www.zdnet.com/article/the-commoditization-of-software/)

## 回顾

2019年的本周（第 82 期）：[就业要选发展最快的行业](http://www.ruanyifeng.com/blog/2019/11/weekly-issue-82.html)

![](https://cdn.beekka.com/blogimg/asset/201911/bg2019110813.jpg)

2018年的本周（第 30 期）：[为什么谷歌做不好社交软件？](http://www.ruanyifeng.com/blog/2018/11/weekly-issue-30.html)

![](https://cdn.beekka.com/blogimg/asset/201811/bg2018110901.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）

