# 科技爱好者周刊（第 135 期）：什么行业适合创业？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1520)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112601.jpg)

重庆北碚区新建的彩色停车场，地面采用红、黄、蓝三色陶瓷颗粒罩面。这样除了增加视觉美感，还能更好地保护道路基面，增加了路面摩擦力，提高了停车安全系数。（[新华网](http://www.cq.xinhuanet.com/2020-11/25/c_1126780141.htm)）

## 本周话题：什么行业适合创业？

[一个美国风险投资家](https://acrowdedspace.com/post/116567620957/vertical-or-horizontal)解释他如何选择风投项目，我觉得很新奇。

他画了一个坐标系，然后把项目的行业放在里面。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111409.jpg)

上图的坐标系，竖轴是交易规模，位置越向上，表示交易金额越高；横轴是交易频率，位置越向右，表示交易次数越多。

根据这两个坐标轴，所有行业可以分成四类。

> - 交易价格高、交易频率低的行业（汽车、房地产、婚纱摄影、高端体检）
> - 交易价格低、交易频率低的行业（水管工、锁匠、体育用品、服饰）
> - 交易价格低、交易频率高的行业（出租车、餐饮）
> - 交易价格高、交易频率高的行业（……有这样的行业吗？）

举例来说，房地产的价格很贵，普通人多年才能购买一套，所以位置在坐标系的左上角；小餐馆的价格比较低，你经常会去，所以位置在坐标系的右下角。

**那位风险投资家说，投资项目要么在左上角（高价低频行业），要么在右下角（低价高频行业），不要去碰左下角（低价低频行业）。** 理由很简单：如果一个行业的交易行为是“低价低频”，怎么赚大钱呢？

比如，出租车的网络平台可以成功，开锁的网络平台不可能成功，原因是打车是“低价高频”行为，开锁是“低价低频”行为。

他进一步说，“高价低频行业”适合使用垂直网站，因为单价高，可以把上下游产业整合进去，提升获利； “低价高频行业”适合使用水平网站，因为单价低，需要覆盖较广的市场。

我觉得，说得很有道理，分享给大家。国内成功的电子商务公司，确实都是如此。淘宝、滴滴打车、美团这样的水平网站，确实都是服务“低价高频行业”；贝壳找房、汽车之家这样的垂直网站，则是服务“高价低频行业”。

## 《前端与图形学》公开课

图形学大概是最专业的前端方向，所要求的知识技能与其他方向截然不同，属于独立的前端技术岗位。

它正变得越来越重要，许多内容、数据、用户交互只有通过图形展示，才能取得满意的效果。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112518.jpg)

一般情况下，我们使用的都是封装好的图形库，很少关注底层的图形技术，更不要说搞懂背后的理论了。

但是，随着定制需求、性能、UI 的现代感和设计感……这些要求越来越高，图形学终究是优秀前端工程师绕不开的领域。 **前端工程师里面，最抢手的人才就是图形工程师，所有大厂都非常稀缺。**

市场上的图形课程并不多，高质量的更是凤毛麟角。本周向大家介绍的，就是开课吧出品的 **《大牛必备：前端与图形学》公开课** 。前阿里 P8（高级技术专家）Winter 主讲，原价199元，推广期间可以0元领取！

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112517.jpg)

这个课程时长为120分钟，全部都是图形学内容，将帮助大家：

> 1. 深刻理解前端与图形学的关系，图形工程师发展前景。
> 2. 学习如何将图形学知识应用到前端，为业务创造价值。
> 3. 学习对图形学基础设施的建设，为技术进阶做铺垫。

微信扫描下面二维码，现在就可以 **0 元领取** 《前端与图形学》公开课。不设条件 （没有转发和分享要求），仅限 200 名，送完即止！

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112516.jpg)

## 资讯

1、[家用办公室](https://www.oriliving.com/products/pocket-office)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111508.jpg)

疫情期间，很多人在家办公，但是家里环境可能不适合办公。为了解决这个问题，一家美国创业公司推出了家用办公室。

平时，这套家具就是靠在一起的两个柜子（上图）。办公时，将这两个柜子拉开，就会得到一个专业的办公环境（下图），这样就比较节省空间。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111509.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111510.jpg)

2、[如意桥](https://www.twoeggz.com/info/845009.html)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111820.jpg)

今年9月25日，浙江省台州市神仙居景区的如意桥对外开放，至今已经吸引了20万人次的游客。该桥全长100米，垂直高度140多米，由两个交错起伏的曲面构成，部分桥面为全透明玻璃设计。

从上空俯瞰，它宛如一柄悬在空中的玉如意。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111818.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111821.jpg)

从侧面远眺，它又像一条飘逸的彩带。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111822.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111819.jpg)

桥两端设计成圆盘形状了，主要是为了给一棵从悬崖底长上来的甜槠树留着生长空间，它已经长到十多米高了。

3、[中国人脸识别第一案](http://www.xinhuanet.com/2020-11/21/c_1126767913.htm)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112207.jpg)

2019年，杭州野生动物世界升级动物园年卡，从指纹识别改为人脸识别，要求所有年卡持有人提供自己的人脸数据，否则年卡将失效。一位消费者不愿提供自己的人脸数据，协商无效后，将动物园告上了法庭。

最近，杭州市富阳人民法院一审判决，动物园败诉。但是，法院并没有裁定动物园不得强制收集人脸数据（相反是认可这种行为的），而是裁定动物园不得单方面变更已经达成的合约，这让人相当失望。

4、[阿雷西博望远镜将拆除](https://www.sciencemag.org/news/2020/11/famed-arecibo-telescope-brink-collapse-will-be-dismantled)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112001.jpg)

美国国家科学基金会（NSF）今天宣布，由于过于老旧，维修有危险，阿雷西博望远镜（Arecibo）将拆除。该望远镜位于波多黎各，1963年落成，在2016年中国天眼建成前，一直是世界最大的射电望远镜。

阿雷西博望远镜的主体是一堆重达900吨的仪器，悬挂在305米宽的碟盘上方的137米处。波多黎各是一个加勒比海岛，有频繁的飓风和地震，导致悬挂仪器的12根钢缆损坏严重，有一根已经断了，三个支撑塔也破败不堪，有坍塌的可能。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112002.jpg)

接下来几周，工程公司将制定拆除计划，可能采用爆炸，一次性将悬挂的仪器炸到地面。

5、[干冰紧缺](https://edition.cnn.com/2020/11/21/world/coronavirus-vaccine-dry-ice-intl/index.html)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112104.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112105.jpg)

辉瑞公司的 Covid-19 疫苗即将上市，全世界有巨大的需求。问题是，它需要零下70度储存和运输。最简单和成本最低的冷藏方法，就是使用干冰，它可以让温度保持在零下78.5度。

美国各州现在都在紧急采购干冰，导致供应紧缺。干冰是乙醇生产的副产品，正常情况下，美国和加拿大每天可以供应3万吨，而疫苗的储存估计只需要用到其中5％。但是疫情期间，乙醇生产急剧减少，使得干冰生产也不足。

6、**一句话消息**

> - [美国陆军](https://www.bbc.com/news/technology-54465361)为军犬配备了实验性的 AR 眼镜。行动过程中，指令会显示在眼镜上，远程指挥军犬的行动。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111908.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111909.jpg)

> - [上海张江](https://www.soyacincau.com/2020/11/18/kfc-autonomous-5g-restaurant-on-wheels-china/)出现了无人餐车，扫码开门，取餐后会自动扣款，拿多少扣多少。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111903.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111904.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111901.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111902.jpg)

> - [美国宇航局](https://www.cnbc.com/2020/11/15/why-nasa-wants-to-put-a-nuclear-power-plant-on-the-moon.html)计划2026年开始在月球上建设一座核电站。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112101.jpg)

> - [瑞典沃尔沃汽车公司](https://www.media.volvocars.com/global/en-gb/media/pressreleases/274379/watch-how-volvo-cars-drops-new-cars-from-30-metres-to-help-rescue-services-save-lives)使用起重机，将10辆汽车从30米高空自由下落，车头直接着地，测试极端情况下车辆的安全状况。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112006.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112007.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112008.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112009.jpg)

## 文章

1、[我开发 SaaS 的工具和服务](https://jake.nyc/words/tools-and-services-i-use-to-run-my-saas/)（英文）

作者列出了自己开发 SaaS 服务用到的各种工具和服务，包括前端工具和后端工具。

2、[开源项目维护者的九个阶段](https://nibblestew.blogspot.com/2020/11/the-nine-phases-of-open-source-project.html)（英文）

一个成功的开源项目，它的维护者可能需要经历九个阶段，第一个阶段是发明家，最后一个阶段是光荣退休。

3、[学校芯片工艺实验室参观记](https://www.coolapk.com/feed/22961813?shareKey=ZmFlODJiZmI1YzRhNWZjMmZhNGU)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112510.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112511.jpg)

一个大一新生参观学院芯片工艺实验室的记录。

4、[北京四合院改造成幼儿园](https://www.gooood.cn/le-cheng-kindergarten-completed-mad.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112512.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112513.jpg)

北京 MAD 建筑事务所将一个四合院，改建成了可容纳390位儿童的幼儿园。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112514.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112515.jpg)

5、[如何写出容易维护的 Makefile](https://www.thapaliya.com/en/writings/well-documented-makefiles/)（英文）

本文通过一个简单的例子，介绍 Makefile 的基本知识和最佳实践。

6、[Java 8 之后的语法增强](https://advancedweb.hu/new-language-features-since-java-8-to-15/)（英文）

本文介绍了从 Java 9 到 Java 15 的主要新增语法。

7、[如何在安卓手机检查屏幕截图？](https://proandroiddev.com/detect-screenshots-in-android-7bc4343ddce1)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111606.jpg)

有些安卓 App 不允许用户截图，实现方法很简单，就是检查 Screenshots 文件夹是否添加了新图像。

8、[如何用 Podman 替代 Docker](https://developers.redhat.com/blog/2020/11/19/transitioning-from-docker-to-podman/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112102.jpg)

Podman 是 RedHat 公司开发的容器引擎，用来替代 Docker。本文是一篇简单的上手指南。

9、[用 JS 写一个 JS 解释器](https://juejin.cn/post/6898093501376905230)（中文）

本文解释了 JS 解释器如何将源代码转换成 AST（抽象语法树），并给出了一个简单的、便于理解的解释器实现。（[@webfansplz](https://github.com/ruanyf/weekly/issues/1516) 投稿）

## 工具

1、 [Your First GitHub Commit](https://www.amitmerchant.com/your-first-commit-ever/)

这个网站可以找出你的第一个 GitHub 提交。

2、[Perfect Dark Mode](https://perfect-dark-mode.netlify.app/)

一个 JS 库，一键切换网页的亮模式和暗模式。

3、[rector](https://github.com/rectorphp/rector/)

一个 PHP 代码的编译器，可以将 8.x 版本代码编译成 7.x 版本，类似于 JavaScript 语言的 Babel 工具，这里还有一篇[介绍文章](https://blog.logrocket.com/transpiling-php-code-from-8-0-to-7-x-via-rector/)。

4、[gping](https://github.com/orf/gping)

ping 命令的替代品，带有图形界面。

5、[Edit CSV Online](https://www.editcsvonline.com/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111403.jpg)

一个编辑 CSV 文件的在线工具。

6、[Logseq](https://github.com/logseq/logseq)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111407.jpg)

一个开源的在线笔记工具，具有强大的知识整理功能。特点是所有数据都储存在你的 GitHub 仓库里面，网站本身不保存用户数据。

7、[Drumbit](https://drumbit.app/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111601.jpg)

一个在线的鼓点模拟器。

8、[GitHub Pages URL Shortener](https://github.com/nelsontky/gh-pages-url-shortener)

使用 GitHub Pages 托管你自己的短网址服务，不需要后端和数据库，非常有创意的小工具。

9、[SVGOMG](https://jakearchibald.github.io/svgomg/)

一个在线工具，用来压缩 SVG 图像文件。

10、[Code with me](https://plugins.jetbrains.com/plugin/14896-code-with-me)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112501.jpg)

IntelliJ IDEA 的官方插件，允许多人在 IDE 里面实时协同编程。（[@dengshenkk 投稿](https://github.com/ruanyf/weekly/issues/1508)）

## 资源

1、[Docker 指南](https://www.robertcooper.me/docker-guide)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111301.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111302.jpg)

一篇英文的 Docker 教程，解释最重要的一些概念，帮助读者学会使用 Docker 进行应用程序开发。

2、[废弃媒体博物馆](https://obsoletemedia.org/identify/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111402.jpg)

这个网站介绍各种已经淘汰的数据储存媒介，比如纸带、录像带、VCD、磁盘等等。

3、[Play with Go](https://play-with-go.dev/guides.html)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111404.jpg)

Go 语言教程网站，提供一系列互动式入门教程。

4、[互联网围棋数据库](http://iwdb.cn/)

![](https://cdn.beekka.com/blogimg/asset/202005/bg2020050404.jpg)

可以搜索棋手姓名，查找棋谱，进行下载或在线打谱。（@[yujiff](https://github.com/ruanyf/weekly/issues/1223) 投稿）

5、[Linux 命令大全](https://www.yuque.com/books/share/742ca8f6-34f3-41ef-b239-be00aaf0df31)

一个中文文档库，收集了 Linux 的各种命令，收集了命令的解释和配置项示例。（[@1228857713](https://github.com/ruanyf/weekly/issues/1225) 投稿）

6、[《编程之道》中英双语版](https://github.com/yikeke/tao-of-programming)

美国资深程序员 Geoffrey James 在1987年写了《编程之道》（The Tao of Programming），曾一度成为美国程序员圈的文化热点，书中的佳句和故事被大家津津乐道。（[@yikeke](https://github.com/ruanyf/weekly/issues/1513) 投稿）

## 图片

1、**2020年度照片**

2020年即将结束，各种年度照片的评选也纷纷揭晓。

[年度特写摄影比赛](https://www.theatlantic.com/photo/2020/11/winners-close-up-photographer-year/617070/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111303.jpg)

冬日的清晨，蘑菇的菌盖上结满了霜。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111304.jpg)

一只黑蚂蚁正在搬运飞蛾的卵。

[天气摄影比赛](https://www.rmets.org/wpoty-2020-shortlist)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111305.jpg)

孟加拉国的严重干旱。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111306.jpg)

贝加尔湖的冰面在阳光下，反射宝石般的颜色。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111308.jpg)

克罗地亚城市上方锅子倒扣般的云。

2、[NBA 2K14 与 NBA 2K21 的变化](https://twitter.com/BleacherReport/status/1327119782815129601/)

七年过去了，游戏 NBA 2014 与 NBA 2021 里面的球员对比。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111602.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111603.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111604.jpg)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020111605.jpg)

3、[世界生育率变化](https://www.reddit.com/r/dataisbeautiful/comments/gl6f35/oc_falling_fertility_around_the_world_100_years/fqvir2k/)

下面是1900年～2016年世界各国生育率的变化情况，中间的那条横线是平衡生育率（2.05），只要低于这条线，总人口就将萎缩。

可以看到，过去100年全世界的生育率都在下降。所以，未来的世界总人口可能根本不会出现膨胀。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=e3205e1zppv" allowFullScreen="true" width="600" height="400"></iframe>

1900年的生育率。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112003.jpg)

2016年的生育率。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112004.jpg)

## 文摘

1、**瘦素与青春期**

作者：比尔·布赖森（摘自《人体简史》一书）

人类的进化过程中，一直是饮食匮乏，历史上从没出现过饮食无忧。所以，人类没有进化出任何机制，告诉你什么时候应该停止进食。

这就是为什么我们经常一吃东西就停不下来，因为我们的身体没有防止过量进食的功能。

1995年，科学家发现了一种新的激素，叫做瘦素，它可以让人体启动消耗脂肪的过程。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112502.jpg)

具体来说，它的用途主要是告诉大脑，身体已经有足够的能量储备，可以应对相对苛刻的挑战，比如怀孕或开始进入青春期。如果瘦素匮乏，此类过程就不会启动。这就是为什么患有厌食症的年轻人，青春期大多来得很迟。

古代的人们要到十六七岁才进入青春期。现在不一样了，青春期开始得比历史上任何时期都早，往往11岁就进入青春期。原因几乎可以肯定是因为营养得到了改善，人体内的瘦素分泌大大提前，大脑很早就得到通知，可以开始青春期了。

2、[苹果商店的30%提成](https://www.johnluxford.com/blog/apples-15-percent-deflection-tactic/)

自从计算机诞生，开发者一直有分发软件的自由，可以自主地将软件交付给用户。从来没有一个机构，决定哪个软件能分发，哪个不能；更没有一个机构，要求开发者将很大一部分收入上交。

视频游戏机是一个例外。游戏机制造商决定了什么游戏可以上架，但游戏机是专用设备，因此是封闭的生态系统。个人计算机不一样，一直是开放生态，这大大推动了创新。

后来，iPhone 应用商店出现了，一切都变了。只有得到苹果公司的批准，软件才能上架，并且苹果要对软件的收入提成，费用是每年99美元 + 总收入的30％。相比之下，美国的信用卡费用是每笔交易的 2.9％ + 0.30美元。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112304.jpg)

30％这个提成比例，是效仿视频游戏机制造商的提成比例。苹果公司声称，iPhone 是封闭的生态系统，因为电话属于专用设备，主要功能是拨打电话，必须保护其免受恶意软件的侵害。所以，30％的费用是合理的，用来支付应用商店审核应用的成本。

此后，谷歌对安卓应用商店也实施了类似的收费比例，因此问题变得越来越严重，从 Steam 到三星手机，几乎每家应用商店都在效仿这种提成模式。

现在，Windows 和 macOS 也已经有了应用商店，未来也有可能控制哪些软件可以在 PC 上分发，侵蚀开发者的自由。尤其是 Mac 电脑，安装未经苹果批准的第三方软件时，默认会跳出警告，阻止你安装。

我们必须停止这种趋势，防止大公司控制软件的分发。

智能电话的主要功能已经不是电话了，而是便携式计算机。计算机是一般性计算设备，不是封闭的生态系统，将它们封闭起来，并不会让用户受益。

2019年，iOS 应用商店创造了约500亿美元的销售额，苹果从中获利约150亿美元。我们不禁要问，维护应用商店真的需要这么高的成本吗？这到底是合理的利润，还是苹果在对用户收税？

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112305.jpg)

如果苹果或其他公司，真的要通过收费来弥补应用商店的成本，则应收取固定金额的费用，而不是按比例提成。

我们需要强有力的政府监管，保护市场免受大型企业的垄断和反竞争行为的侵害。解决方案很简单：法律应该明确智能手机和 PC 是通用计算平台，具有开放性，开发者有在这些设备分发软件的自由，前提是软件不会损害用户（恶意软件，间谍软件等）。

## 言论

1、

中国模式的经济起飞，实际上就是美国模式。日本和亚洲四小龙都以此模式来发展经济，然后中国模仿了它们。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=25107986)

2、

浏览器起初只是一个简单的远程文档查看器，后来被迫成为一个应用程序平台。由于浏览器一开始没设计为这个用途，后来互联网的诸多问题都是这个事实造成的。

-- [ThoughtWorks 技术雷达（2020年10月）](https://www.thoughtworks.com/insights/blog/macro-trends-tech-industry-oct-2020)

3、

我完成日常工作后，每晚还要花四五个小时在 Bootstrap 上工作。下班后，我不能和别人约晚饭，因为我觉得这会让用户失望：我不应该出去玩耍，我应该在Bootstrap上工作！

-- [桑顿](https://www.wired.com/story/open-source-coders-few-tired/)（Jacob Thornton），开源 CSS 框架 Bootstrap 的创造者之一，他已经在该项目上工作了九年。

4、

我们的 Covid-19 疫苗研究，没有要政府的钱。因为那些钱是附带条件的，你必须不断报告进展。

政府想听报告，而我根本不想做任何报告。我让科学家放手去做，专注于生产疫苗而不是提供进度报告，只担心科学挑战，而不必担心其他任何事情。

-- 辉瑞公司 CEO

5、

近处观看时，如果要让人眼察觉不到显示屏的颗粒感 ，显示屏的像素密度需要超过人眼的分辨率，必须高于每英寸285像素的像素密度。4K 显示器都达不到这个门槛，27英寸 4K 显示器的像素密度约为163 PPI，更大显示屏的像素密度就更低了。

实际上，市场上只有一种大型显示器能够接近这种密度，那就是27英寸 iMac 的 5K 显示器，分辨率 5120 x 2800，像素密度220 PPI。

-- [《如何自制高像素画框》](https://www.claybavor.com/blog/a-canvas-made-of-pixels)

6、

太多的人把辩论看作是战斗，要分出胜负。其实，辩论应该是一种合作，两个人合作发现真理。

-- [《建设性辩论的初学者指南》](http://www.liamrosen.com/arguments.html)

## 回顾

2019年的本周（第 84 期）：[一次性工作招聘，用完你就丢](http://www.ruanyifeng.com/blog/2019/11/weekly-issue-84.html)

![](https://cdn.beekka.com/blogimg/asset/201911/bg2019111702.jpg)

2018年的本周（第 32 期）：[砌砖头的三种角度](http://www.ruanyifeng.com/blog/2018/11/weekly-issue-32.html)

![](https://cdn.beekka.com/blogimg/asset/201811/bg2018112301.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
