# 科技爱好者周刊（第 138 期）：失业难以避免，重构人生规划

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1520)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121503.jpg)

波士顿动力公司的机器狗生产车间，很像科幻电影的机器人军团。该公司最近以11亿美元的价格，卖给了韩国现代汽车集团。（[via](https://bdtechtalks.com/2020/12/15/boston-dynamics-hyundai-acquisition/)）

## 本周话题：失业难以避免，重构人生规划

最近读到了[一段话](https://rishad.substack.com/p/the-future-of-work)，引起了我的思考。

> "工作对于人生至关重要。它提供了收入，身份和意义，失业的创伤仅次于亲人的死亡。"

我完全同意这段话。因为我父母的人生就是这样，上了一辈子的班，如果把工作的部分去掉，就没有其他值得一说的东西了。

对于许多人来说，人生就是围绕着工作。上学是为了找工作，毕业是为了上班，等到退休不上班，就已经是晚年了。万一失业，生活顿时就崩溃了，就像上面的引言说的，收入、身份、意义瞬间都没了。

我今天想说的是，这种“工作型人生”已经过时了。要是现在你还把上班当作人生的主轴，是一件很危险的事情，因为失业的风险越来越大。 **时代变了，稳定的工作越来越少，失业会是家常便饭，人生已经没法依附在某一份具体的工作上了。**

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121704.jpg)

由于经济全球化和技术进步，行业的兴衰正变得越来越快。往往几年时间，新事物就彻底取代了旧事物，比如网络淘汰了报纸杂志，电动车淘汰汽油车，自动驾驶以后会淘汰司机。新行业瞬间崛起，又瞬间衰落，共享单车、P2P 网贷、长租公寓等等都是如此。

这些变化都是预想不到的，根本没法提前准备。上学的时候，我们学习内燃机，怎么可能想到有生之年这个东西会过时，汽车会不用汽油。在技术浪潮的面前，很多行业一转眼都没了，从业人员都得下岗再就业，当代社会的失业可能性比以前大得多。

所以，已经没法围绕工作而规划人生了，因为工作靠不住了，人生不能押宝在某一份具体的工作上面，风险太大。现在是互联网 + 智能手机 + 云计算 + 5G，未来会变成什么样，没人知道。

**我的意思是，我们对人生的预设应该是，一生中会多次改变工作，服务过多家公司，干过各种事情，中间很可能有失业期。** 不能像以前那种，以某一份具体的工作或职业作为预设来规划人生。

人生是一次旅行，不同的工作或公司只是我们沿途投宿过的村庄。它们不是人生的主轴，你不要误以为那是可以定居的地方，大多数人没有这种幸运。 **不要再关注能不能找一个好工作/好公司（让你定居），人生的主轴应该是关注能不能实现下面三个目标。**

- 目的：你的人生想做到什么。
- 成长：怎么保证自己的技能不断在成长。
- 人脉关系：你能联系和动员的社会网络有多大。

## 数据分析手册

现在有一种热门的招聘岗位，叫做“数据分析师”，很多企业都在招。不夸张地说，优秀的数据分析技能，对求职和个人发展都大有好处。

那么，怎么才能入门，提升自己的数据分析技能呢？其实不难，只要掌握三大工具—— Excel、SQL、Python ——再加上一点统计学知识，你就比大多数人强了。

本周的课程资料就是来自 “开课吧” 的视频课程 **《数据分析手册》** ，由廖雪峰老师研发打造的系统化培训内容。它从最简单的讲起，帮你入门这三种数据分析工具，同时学会数据分析的逻辑与思路。视频中的所有案例，可以直接拿来解决工作中遇到的真实问题。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121510.jpg)

课程讲师都是来自大型互联网企业的数据分析师，既有大量的实战经验，也是企业的面试官，可以让大家了解主流企业的技术方案、方法论和面试技巧。

已经有20000多人学习过这个课程，原价1299元，现在免费提供给周刊读者。

访问[这个链接](https://wx.kaikeba.com/vip_course/ico0coegcs/necmksogn7?tenant=wx5046bc7413796142)，或者微信扫描下面的二维码，**前 200名 读者** 可以免费领取。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121511.jpg)

## 资讯

1、[木制集装箱船](https://www.bbc.com/future/article/20201117-clean-shipping-the-carbon-negative-cargo-boats-made-of-wood)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120104.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120106.jpg)

一个哥斯达黎加环保组织正在做实验，建造一艘木制的远洋集装箱货轮，船体全部由木材构成，不使用任何化石燃料，动力来自风帆与太阳能，通过电动机穿越海洋。

他们的目的是向全世界证明，可以有更环保的方式运输集装箱。现在的远洋集装箱船燃烧化石燃料，排放大量二氧化碳，对全球变暖有重要影响。

这艘木制集装箱船的螺旋桨，同时还是水下涡轮机，通过水流带动来发电。由于动力的限制，它只能携带9个集装箱。建造团队希望它能在2021年底之前下水，2022年投入运营，在哥斯达黎加和加拿大之间运输货物。

2、[3D 打印住宅](https://www.chinapress.com.my/20201203/%E6%AC%A7%E6%B4%B2%E6%9C%80%E5%A4%A73d%E5%88%97%E5%8D%B0%E4%BD%8F%E5%AE%85-2%E4%BA%BA25%E5%B0%8F%E6%97%B6%E7%9B%96%E5%A5%BD%E4%B8%80%E6%A5%BC/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120912.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120914.jpg)

德国巴伐利亚的一家开发商，正在使用丹麦公司 COBOD 制造的大型 3D 打印机，打印全欧洲最大的 3D 打印住宅。开发商希望这样可以省时省力，为建筑业带来新模式。

这个住宅楼一共有三层，分为5间公寓。3D 打印机挤出混和好的水泥，一层层堆叠建成房屋，同时留出安装天然气、水电、污水管道的空间。打印第一层楼只用了两个工人，花了25小时，以往需要5个工人投入5天时间。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120911.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120913.jpg)

3、[Airbnb 原始股](https://www.npr.org/2020/12/12/945871818/they-ignored-or-deleted-the-email-from-airbnb-it-was-a-15-000-mistake)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121509.jpg)

在线订房平台 Airbnb 公司最近股票上市，涨势相当好。上市之前，它做出了一个与众不同的安排，决定向长期在它上面出租房屋的成千上万个房东，提供购买200股原始股的机会。

这个计划是通过电子邮件发送给房东的，也没有向媒体透露，没人知道有这么回事。有的邮件直接进了垃圾邮件夹，还有的邮件被忽略了，甚至不少人把它当作诈骗邮件，那些房东都错过了这个“天上掉钱”的机会。如果以68美元买200股原始股，上市第一天以144美元的价格抛掉，就可以赚将近15,000美元。

4、[法拉第笼](https://www.theverge.com/tldr/22150497/wi-fi-router-faraday-cage-electromagnetic-radiation-conspiracy-theory-scam)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121001.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121002.jpg)

社会上一直有一种说法，无线网络信号有害健康。一家厂商就利用公众的这种心理，在美国亚马逊网络商店出售“法拉第笼”，号称专为家用路由器器设计。只要把路由器放在里面，就可有效遮蔽电磁波、辐射等带来的伤害，让你获得健康生活。它的价格为190 美元。

法拉第笼的原理很简单，就是一个金属笼子，由于金属的导电性，可以屏蔽无线信号，这就是电梯里面手机信号不好的原因。路由器放在里面，发出的无线信号自然就无法传出来。它在屏蔽电磁波的同时，会使得用户根本无法使用路由器。

还真的有不少人上当购买，网页的商品评价部分有大量的一星评价。购买者纷纷抱怨，路由器放进去以后，信号就变差了。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121003.jpg)

5、[《赛博朋克2077》](https://games.yahoo.com.tw/55tbps-034533156.html)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121709.jpg)

近来最受瞩目的游戏一定是《赛博朋克2077》，它创下了游戏史的诸多纪录。12 月 10 日发售当天，它在 Steam 游戏平台的下载流量峰值达到了 51 Tbps，大大超过了2017年 PUBG 创下的 22 Tbps 下载纪录。

它还创下了 Steam 平台同时游戏人数最高的单机游戏记录，达到 1,003,262 人同时在玩的纪录，超过《辐射 4》在 2015 年创下的 472,962 人纪录。这还不包括其他平台（PS4、Xbox 等等）的游戏人数。不过，它是单机游戏，比网络游戏的同时在线人数还是要少一点，PUBG 全盛时期曾达到过300多万人同时在线。

6、**一句话消息**

> - [一家美国创业公司](https://www.businessinsider.com/aevum-unveils-largest-drone-world-ravn-x-rocket-launching-uav-2020-12)建造了世界最大的无人机，机长25米，翼展18米，起飞重量25吨。它用来将卫星送上太空，先飞到高空，然后发射二级火箭，将卫星送入轨道。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120420.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120421.jpg)

> - [英国空军](https://www.bbc.com/news/science-environment-55196220)在南大西洋拍到了世界上最大冰山的照片。这座冰山于2017年7月从南极洲的冰架上脱离，当时面积接近6,000平方公里，经过3年多，现在面积为4,200平方公里。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120507.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120508.jpg)

> - [宜家](https://www.fastcompany.com/90583227/after-70-years-ikea-will-stop-making-its-beloved-catalog)宣布停止制作产品目录，因为消费者越来越多通过网站来寻找产品，目录的作用越来越小。该目录已经有70年历史，译成32种语言，在50多个国家发行。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120802.jpg)

> - [特斯拉](https://www.reuters.com/article/idUSKBN28I0T2)正在筹备柏林工厂，需要砍伐一大片树林。市政府担心惊醒树林里面冬眠的蛇，特斯拉迟迟拿不到动工许可证。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120907.jpg)

> - [亚马逊旗下子公司](https://www.forbes.com/sites/bradtempleton/2020/12/14/amazon-owned-self-driving-taxi-zoox-reveals-its-secret-vehicle/?sh=147b60abc916)发布电动汽车 Zoox，计划在几年后提供无人驾驶的出租车服务。该车没有驾驶员座位，只有四个乘客座位。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121507.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121508.jpg)

## 文章

1、[我造了一个海上居住平台](https://mp.weixin.qq.com/s/oYWaosf_lth0h07LODNRRA?)（中文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121301.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121302.jpg)

屋主在福建东山岛的海面上建造一栋海上房屋，今年作为酒店开放了。它距离海岸直线距离400米，水电都是通过管道从岸上供应的，总造价400万人民币。

2、[25号宇宙试验](https://zhuanlan.zhihu.com/p/28837526)（中文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121407.jpg)

1968年，一位美国教授做了一个实验。他让8只老鼠生活在一个没有天敌、有足够粮食和空间，可以自由繁殖的环境，看看会发生什么。

根据计算，只有当老鼠数量超过3840只时，生活空间才会出现短缺；6144只老鼠时，水源会不足；9500只老鼠时，粮食会不足。但是实际上，老鼠达到2200只以后，数量就开始下降，最终在1780天后灭亡了。

3、[《自然》杂志：2020年十佳科学照片](https://www.nature.com/immersive/d41586-020-03436-5/index.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121502.jpg)

《自然》杂志评选出的2020年十佳科学照片。上图是沙特阿拉伯的科学家发明的太阳能电池，又轻又薄，可以放在肥皂泡上。

4、[2020美国程序员薪资报告](https://www.levels.fyi/2020/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121601.jpg)

levels.fyi 又公布了一年一度的美国程序员薪资报告，有很多数据，感兴趣的朋友可以看看。上图是初级工程师/程序员薪资最高的公司，真是很高的报酬。

5、[剖析最简单的 C 语言 Hello World](https://cjting.me/2020/12/10/tiny-x64-helloworld/)（中文）

作者讲解一个最简单 C 语言 Hello World 程序，底层到底发生了什么。这个程序 gcc 编译后是 16KB，作者设法把它简化到170字节。（[@cj1128](https://github.com/ruanyf/weekly/issues/1540) 投稿）

6、[保护你的 .env 文件](https://tatooine-sunset.botond.online/2020-12-06-protect-your-dotenv/)（英文）

互联网黑客行为非常猖獗。作者上线了一个小网站，10个小时内就收到了许多可疑请求，其中就有人在尝试读取环境变量 .env 文件。

7、[如何优雅地从总统竞选中套利？](http://morefreeze.github.io/2020/12/president-arbitrage.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121702.jpg)

周刊136期英语文章《赔率是怎么回事？ 》的中文解读，利用两个不同网站对美国总统大选的赔率差异，进行套利。（[@morefreeze](https://github.com/ruanyf/weekly/issues/1557) 投稿）

8、[使用 GitHub Issues 的数据生成静态网站](https://shazow.net/posts/github-issues-as-a-hugo-frontend/)（英文）

作者介绍如何将 GitHub Issues 用做编辑器和数据储存，通过 GitHub Actions 和 Netlify 生成一个静态网站。

9、[如何自动生成社交媒体的网页题图](https://www.ryanfiller.com/blog/automatic-social-share-images/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120504.jpg)

很多社交媒体会对网址生成预览卡，作者讲述如何定制这种预览效果，并且为每个网址自动生成一张题图。

10、[我与 Python](https://neopythonic.blogspot.com/2016/04/kings-day-speech.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120505.jpg)

这是 Python 语言创始人 Guido van Rossum 2016年的一次演讲，讲述自己的经历，以及如何创造出 Python 这种语言。

> “我是一个书呆子，一个怪人，很可能患有自闭症。我成熟得很晚，26岁大学毕业，45岁结婚，60岁时有一个14岁的儿子。35岁时，我创建了一种程序设计语言，因此受到了一些关注。”

## 工具

1、[TinyCheck](https://github.com/KasperskyLab/TinyCheck)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120411.jpg)

卡巴斯基实验室的产品，一个移动通信网关，用来中介智能手机与外界的网络通信，看看手机到底发出什么请求。

2、[Hieroglyph](https://hierogly.ph/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120418.jpg)

一个在线工具，用来下载 Youtube 视频的字幕文件，前提是该视频存在单独的字幕文件。

3、[Antipodes Map](https://www.antipodesmap.com/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120506.jpg)

这个地图工具可以显示任意地点在地球另一边的对应地点，比如在上海打一个洞穿越地心，就会来到阿根廷的恩特雷里奥斯省。

4、[Espial](https://github.com/jonschoning/espial) 

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120522.jpg)

一个自己架设的 Web 书签服务，支持多账户使用，底层使用 Sqlite3 数据库。

5、[electron-playground](https://github.com/tal-tech/electron-playground)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121604.jpg)

一个 Electron 的学习工具，内置了各种可演示的示例，并且提供了演练场，几乎所有的代码都可以即时运行查看效果。（[@Gstring-w](https://github.com/ruanyf/weekly/issues/1541) 投稿）

6、[npm-unpkg](https://github.com/uiwjs/npm-unpkg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121606.jpg)

一个在线工具，可以查看 JS 软件包里面包含哪些文件，每个文件的源码。（[@jaywcjlove](https://github.com/ruanyf/weekly/issues/1554) 投稿）

7、[Depix](https://github.com/beurtschipper/Depix)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120701.jpg)

发布图片时，很多人喜欢使用马赛克隐去敏感信息，这个工具可以将打马赛克的文字还原。所以，隐藏信息尽量不要使用马赛克，最好是覆盖掉。

8、[Watermark Video](https://shotstack.io/demo/watermarker/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120915.jpg)

一个开源的在线工具，可以为小视频加上水印图片。

9、[pronounce](https://github.com/filipeisho/pronounce)

一个开源的浏览器插件，只要双击网页上的单词，就能听到这个词的发音，支持各种语言。

10、[Substack Reader](https://reader.substack.com)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121701.jpg)

Substack 刚刚发布的在线 RSS 阅读器。

## 资源

1、[mugle.io](https://mugle.io/)

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112908.jpg)

该网站提供 Youtube 上面没有版权保护的背景音乐下载，可以用于你自己的视频。

2、[RegExLib](https://regexlib.com/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120107.jpg)

该网站收集各种常用的正则表达式，比如搜索“email”，会返回961个正则表达式。

3、[AI 事故数据库](https://incidentdatabase.ai/summaries/incidents)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121605.jpg)

该网站收集各种人工智能 AI 产生的各种事故。（[@TheDHL](https://github.com/ruanyf/weekly/issues/1545) 投稿）

4、[Covid-19 插图](https://www.pixeltrue.com/frontliner-heroes)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120419.jpg)

该网站提供24幅原创的 Covid-19 相关的插图，允许自由使用。

5、[命令行界面设计指南](https://clig.dev/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120501.jpg)

这份文档总结了一些设计规范，帮助你写出体验良好的命令行程序。

6、[梅森素数搜索项目](https://www.mersenne.org/various/history.php)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120502.jpg)

梅森素数是可以表示成 2<sup>n</sup> - 1 的素数，目前已知有51个。从1997年开始，所有新的梅森素数都是由“互联网梅森素数大搜索”（GIMPS）项目进行分布式计算发现的。任何人都可以参与这个项目，将自己计算机的多余计算能力贡献出来。

## 图片

1、[法罗群岛的海底隧道](https://www.estunlar.fo/en/about-the-tunnels/the-eysturoy-tunnel/)

周刊[第 136 期](http://www.ruanyifeng.com/blog/2020/12/weekly-issue-136.html)的封面图，介绍了丹麦法罗群岛的海底隧道。

它在大西洋海底建了世界第一个海底环岛，三个路口连向三个岛屿。随着它的通车，网上现在有更多的图片。

下图是隧道示意图，环岛的位置就在中间的三叉点。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120412.jpg)

隧道的入口。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120413.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120414.jpg)

海底环岛的实景图。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120417.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120415.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120416.jpg)

2、[世界最大的腰果树](https://en.wikipedia.org/wiki/Cashew_of_Pirangi)

巴西有世界最大的腰果树，看上去就像一片树林，其实只是一棵树。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120510.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120511.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120512.jpg)

这棵树的树枝碰到地面以后，就扎根了，最终变成了一片8000平方米的树林。

3、[伊尔-76的驾驶舱](https://www.thedrive.com/the-war-zone/38140/this-navigator-aboard-a-russian-il-76-looks-like-a-tie-fighter-pilot-from-star-wars)

俄罗斯国防部最近发布了一张照片，是在运输机伊尔-76的驾驶舱拍摄的，看上去跟《星球大战》的剧照很像。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121505.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121504.jpg)

下图是《星球大战》的剧照。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121506.jpg)

## 文摘

1、[泰瑟枪](https://99percentinvisible.org/episode/tom-swift-electric-rifle/)

1960年代，美国社会动荡，经常有暴乱事件。警方希望找到一种武器，可以有效地制服犯罪人，同时不会造成严重的杀伤。

同一时期，美国宇航局的核物理学博士杰克·科弗（Jack Higson Cover，1920-2009）看到电视充斥着抗议和警察暴力的新闻，产生了一个设想，制造一个手持的放电装置，让警察对犯罪人进行短时间的高压电击。这可以让目标对象非常痛苦，无法移动，但不会有生命危险。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120403.jpg)

经过几年的研究，他最终发明了这种电击枪，并根据一本他喜欢的科幻小说《汤姆·斯威夫特和他的电动步枪》（Tom Swift and His Electric Rifle）书名的首字母，将它命名为泰瑟枪（Taser）。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120404.jpg)

扣动扳机后，泰瑟枪会发射两支金属飞镖，它们通过细电线连接在枪上。飞镖的速度为每秒60米，最远命中距离7米。飞镖击中目标后，就构成了一个电回路，然后可以隔着5厘米的衣服进行放电，电压为50,000伏，持续时间百万分之一秒，5秒内会多次放电。这将导致目标对象浑身肌肉痉挛，缩成一团，瞬间就无法移动。

曾经有人接受了自愿测试，持续了大约2到3秒钟，就立刻发信号要求停止，并说这是他经历过的最强烈的痛苦。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120405.jpg)

1974年，发明者杰克·科弗为泰瑟枪申请了专利，然后联系警察部门，推销这个发明。起初，警察不感兴趣，军队或航空公司也没有兴趣。

1979年，杰克·科弗听说洛杉矶警察局正在寻找合适的武器。他们已经研究了许多可能的非致命武器（化学喷雾剂、橡胶子弹，镇定剂飞镖等等），没有一个是可用的，愿意尝试一下泰瑟枪。

经过测试，洛杉矶警察局确定该武器有效，订购了数百支。其他警察局很快就跟进。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120406.jpg)

如今，泰瑟公司是一家庞大的企业，美国80%以上的执法部门配备了它生产的电击枪。一些航空公司也为飞行员和航空警察配备了这种武器。

为了防止警察滥用枪支，随便开火，泰瑟枪在设计时还增加了记录功能。用户扣动扳机后，枪膛后面会弹出许多小纸屑，上面印有枪的序列号，调查人员可通过它们轻而易举地查到枪的主人，此外枪内还有一个微型芯片，专门记录每次射击的日期和时间。

## 言论

1、

时尚服饰的变化越来越快，而且新衣服正变得与二手衣服一样便宜，这导致同一件服装的穿着次数急剧下降。世界范围内，这个数值平均下降了36％，在中国则是下降了70％。

-- [《没人想要你的旧衣服》](https://www.bloomberg.com/opinion/articles/2018-01-15/no-one-wants-your-used-clothes-anymore)

2、

代码注释是一种道歉，为未选择更清晰的名称或更合理的参数而道歉，为代码无法维护而道歉，为不使用知名算法而道歉，为编写“聪明”代码而道歉，为没有良好的版本控制系统而道歉，为未完成代码编写工作而道歉，为留下漏洞或代码中的缺陷而道歉。

-- [Uncle Bob](https://critter.blog/2020/09/15/dont-comment-your-code-refactor-it/)

3、

未来的银行网点将像休息室，划分成一个个休闲区，没有柜员机，行员指导客户在自己的设备上完成在线操作，并进行深入的一对一对话。

-- [《银行的变化》](https://internationalbanker.com/banking/banking-post-covid-19-five-things-that-will-and-wont-change/)

4、

19世纪以前，人类一直不知道，鸟类冬季去了哪里。1882年，一个德国猎人射杀了一只白鹳，发现它的脖子上有一个2.5英尺长的铁矛尖。鉴定表明，这个矛尖产自非洲，研究人员才意识到这只鹳去过非洲。

--[《鸟类冬季到哪里去了？》](https://thereader.mitpress.mit.edu/when-birds-migrated-to-the-moon/)

5、

人工智能 AI 迄今所有令人印象深刻的成就，都不过是曲线拟合，并不是真正的智能。 

-- [Judea Pearl](https://mindmatters.ai/2020/12/ai-still-just-curve-fitting-not-finding-a-theory-of-everything/)（图灵奖获得者）

6、

如果我只有一个小时来拯救世界，那么我将花费55分钟来定义问题，而仅花5分钟来找到解决方案。

-- 据说出自[爱因斯坦](https://quoteinvestigator.com/2014/05/22/solve/)

## 回顾

2019年的本周（第 87 期）：[新人要为团队写文档](http://www.ruanyifeng.com/blog/2019/12/weekly-issue-87.html)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121703.jpg)

2018年的本周（第 35 期）：[“一人份”的服务越来越多](http://www.ruanyifeng.com/blog/2018/12/weekly-issue-35.html)

![](https://cdn.beekka.com/blogimg/asset/201812/bg2018121401.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
