# 科技爱好者周刊（第 139 期）：生物学的可怕进展

这里记录每周值得分享的科技内容，周五发布。（ **[通知] 下周五是元旦假期，周刊提前到12月31日周四发布。** ）

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1520)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122303.jpg)

芬兰的极光营地，游客住在雪地营房里面，观赏夜晚的极光。（via [Instagram](https://www.instagram.com/p/CJENLJPK0A9/)）

## 本周话题：生物学的可怕进展

上周，一家美国网站发表了一篇 mRNA 疫苗的[文章](https://www.aier.org/article/the-fdas-deadly-caution/)，我看了大吃一惊。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122105.jpg)

mRNA 是一种全新的技术，第一次用来研发疫苗。大家猜猜看，研发时间花了多久？ 

答案令人跌破眼镜。**Moderna 公司的 mRNA 疫苗是2020年1月11日开始研发，两天后的1月13日就完成了。**

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122301.jpg)

这个日期不仅早于武汉封城（1月23日），也早于美国第一例 COVID-19 病例（1月20日）。也就是说，Moderna 公司没有看到病例，对这种疾病基本上一无所知的情况下，就做出了疫苗，这也太惊人了。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122106.jpg)

事情是这样的，2020年1月11日，复旦大学张永振教授的团队将新冠病毒的 DNA 序列公布在网上。当天下午，Moderna 注意到了，实验室分析了这个序列，认为可以制作疫苗，一个周末就完成了。由于1月11日是周六，合理的猜想是，如果加班赶工，可能一天内就能做出来。

后面的日程表是这样的：

> - 1月13日，完成研发。
> - 2月7日，完成第一批次临床生产。
> - 3月4日，FDA 批准进行第1期临床试验。
> - 3月16日，第一个人类受试者接受疫苗。
> - 3月23日，Moderna 开始扩大规模生产。
> - 4月27日，FDA 批准进行第2期临床试验。
> - 7月27日，开始进行第3期临床试验。
> - 11月16日，第3期结果显示，该疫苗有效预防感染，达到94.5％。
> - 12月11日，FDA 颁发紧急使用授权。

大家可以看到，后面的一整年都花在临床试验和报批。疫苗本身没有变过，就是当初两天研究出来的成果，最后证明有效率是95%。

为什么 mRNA 疫苗可以开发得这么快，而且不需要活体的病毒样本？

根据[美国疾控中心](https://www.cdc.gov/coronavirus/2019-ncov/vaccines/different-vaccines/mrna.html)的网站，mRNA 本质上是一种通知技术，把病毒特征通知免疫细胞。所以，只要知道 DNA 序列，找出病毒的特征，理论上很快就能做出疫苗，跟解数学题差不多。

这件事情的意义在于，如果这一次，mRNA 疫苗证明有效，那么以后的疫苗开发可能都会很快。而且，临床试验和审批流程可能也不再需要这么久，因为生效机制是相同的，只需要验证免疫细胞确实能认出病毒即可。

我们普通人都没有意识到，当代生物科技已经这么先进了，DNA 的精密分析和组装，变成了小菜一碟。如果疫苗有了快速的解决方案，这是不是意味着，新冠肺炎很可能就是人类最后一次病毒大流行。

## Web Component 组件开发资料

组件化是 Web 开发的方向，这是大家公认的。但是，浏览器一直没有原生的组件支持，这才导致 React 和 Vue 这样的组件框架的出现。

谷歌公司（主要是 Chrome 团队）提出的 Web Component 技术，就是希望解决这个问题，让浏览器原生支持组件。这项技术已经成为[国际标准](https://developer.mozilla.org/en-US/docs/Web/Web_Components)，而且由于是 Chrome 在推，前景非常看好，Youtube 网站就是用它开发的。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122404.jpg)

Web Component 的最大特点就是轻量化，代码量小，不需要加载任何外部库，就能支持组件。

本周的课程资料就是 **《Web Component 组件化开发》** ，一个90分钟的视频讲座，由开课吧提供。想要了解和学习这项技术的同学，可以看看。

课程内容包括：

> - 组件化开发的思想到底是什么？
> - Web Component 技术的构成
>   1. 自定义元素
>   2. template 标签
>   3. 拓展原有组件
> - 如何用上面三项技术写一个组件？

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122405.jpg)

除了讲课内容以外，还提供配套代码下载。

微信扫描下面的二维码，就可以免费领取这份90分钟的学习资料。原价 399 元，限时 **0 元领取** ，没有任何条件，不用转发和分享，仅限 200 名。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122403.jpg)

## 资讯

1、[智能水表](https://finance.sina.com.cn/tech/2020-12-13/doc-iiznctke6317394.shtml)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121408.jpg)

上海市长宁区江苏路街道，为辖区内的6户独居老人安装了智能水表。一旦12小时内，智能水表的读数（用水量）低于0.01立方米，居委会便会立即收到信号，及时派专人上门查看。

同时，街道还安装了智能门磁装置，只要这些老人的门24小时没有打开过，也会发出预警信息。

2、[360度 VR 旅行](https://www.vpark.io/travel)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120916.jpg)

旧金山一家创业公司推出360度 VR 旅行服务，用户选择一个旧金山的风景点，在指定时间导游会带你去参观。整个过程都是网络进行。

导游使用360摄像机拍摄实时画面，通过 Youtube360 进行直播，用户在家里戴上 VR 眼镜收看直播。整个过程中，导游会提供实时解说，你还可以跟导游对话。这个服务的价格是，每小时39美元到59美元。

3、[空心光纤](https://www.wsj.com/articles/high-frequency-traders-push-closer-to-light-speed-with-cutting-edge-cables-11608028200)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121602.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121603.jpg)

美国华尔街的高频交易公司，正在部署空心光纤，使得他们的网络交易命令可以传得比别人更快。空心光纤是下一代光纤，每根光纤的玻璃芯内部是空心的，比人的头发还要窄。因为光在空气中的传播速度比玻璃快50％，所以空心光纤的传输速度要大大高过标准光纤。

空心光纤代替标准光纤，可能会使交易命令的传输时间减少数百纳秒（一纳秒等于十亿分之一秒）。历史上，高频交易公司一直在追求更快的网络速度。十年前，有一家证券公司花费3亿美元，铺设芝加哥到纽约的直线光纤电缆，实现两地之间的最短距离。仅仅过了几年，他们又用微波网络取代了这条3亿美元的线路，只因为传输时间可以少4毫秒。

4、[保存时间最长的人类胚胎](https://www.bbc.com/news/world-us-canada-55164607)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120407.jpg)

2020年10月，一个名叫莫莉·吉布森（Molly Gibson）的女婴在美国华盛顿州出生，但是科学意义上，这时她已经27岁了。因为她来自一枚27年前冷冻的胚胎。她现在的父母有不孕症，选择接受这枚没有遗传关系的、1992年10月冷冻的胚胎植入母亲的子宫，进行生育。这创下了胚胎冷冻时间最长、然后生育的世界记录。

美国国家胚胎捐赠中心（NEDC）保存有捐赠的冷冻胚胎，允许不孕症的家庭领养一个未使用的胚胎。目前，美国大约有100万个冷冻的人类胚胎。冷冻胚胎技术是1984年在澳大利亚出现的，由于冷冻胚胎的保质期是无限的，所以未来可能还会有冷冻时间更长的胚胎诞生。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120408.jpg)

5、[电动车无法普及](http://www.nbd.com.cn/articles/2020-12-23/1579335.html)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122307.jpg)

日前，丰田汽车的社长丰田章男公开表示，电动车是过度炒作，各国政府提出放弃汽油车，全面转向电动车是不现实的，只是一种作秀。原因是电动车会导致巨大的电力需求，全面转型成本巨大，并会将污染转移到发电环节。

他以日本为例，日本的大部分电力都来自于煤炭和天然气，如果全面转向电动车，那么到了夏季尖峰用电时段，日本将面临“无电可用”的窘境，而建立全国的充电网络更是天价的花费。

他的警告并非没有根据。特斯拉的超级充电桩，最大功率是 250kW，即每小时耗电250度。目前，中国国内功率最小的充电桩，也要达到 3.5kW，高于空调的耗电。如果居民晚上下班回家，同时在小区里为自己的电动车充电，电网确实可能无法负荷。

6、**一句话消息**

> - [小米公司](https://www.guancha.cn/economy/2020_12_23_575586.shtml)的小米手机 11 发布会邀请函，内嵌一颗高通骁龙888芯片实物，堪称制作成本最贵的邀请函。这块目前最顶级的手机芯片，售价估计在200美元左右。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122406.jpg)

> - [哈萨克斯坦政府](https://www.engadget.com/tech-giants-browsers-block-kazakhstan-web-surveillance-080031499.html)要求国民，在计算机上安装政府提供的根证书，然后才能访问互联网。苹果、谷歌、微软、Mozilla 进行合作，只要发现该证书，就会提示访问不安全。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121801.jpg)

> - [法国](https://fr.reuters.com/article/idUSKBN28K0NA)对谷歌和亚马逊分别罚款1亿欧元和3500万欧元，理由是它们的网站事先未征求访问者的同意，就设置 Cookie。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121101.jpg)

> - [美国](http://www.ngchina.com.cn/science/space/9935.html)宣布“阿尔忒弥斯（Artemis）计划”18名宇航员的大名单，将在他们之中产生下一次月球登陆的候选人。美国宇航局承诺，一定会让一位女性登上月球，创造历史。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121406.jpg)

> - [美国国会](https://www.axios.com/broadband-access-covid-relief-bill-7-billion-5be48439-c1a4-4927-a0c4-515312a1d281.html)通过新一轮9000亿美元的 Covid-19 救助法案，其中包括70亿美元的宽带补助，保证民众可以用上宽带，低收入家庭每月可以获得50美元的宽带费。

## 文章

1、[颗粒积木的妙用](https://www.coolapk.com/feed/23451115?shareKey=ZDY5ODdkNGVmOTg2NWZkNTU2MzI~)（中文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121303.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121304.jpg)

作者介绍自己使用颗粒积木搭出了手机支架、笔筒等等。

2、[《自然》评选 2020 年度十大科学发现](https://mp.weixin.qq.com/s/CVzJjOq87FTYjwRSno04yQ)（中文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121705.jpg)

Nature 杂志评出的2020年度10大科学发现，包括压力使得头发变白的机制、首次观察到宇宙中的快速无线电爆发、大气层的臭氧空洞有修复迹象等等。

3、[2020年设计师工具调查报告](https://uxtools.co/survey-2020/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121706.jpg)

UXtools 对设计师的年度调查，各种工具的使用情况，上图是使用最多的 UI 设计软件，前五名依次是 Figma、Sketch、Adobe XD、Illustrator、Photoshop。

4、[如何找出 CDN 背后的主机真实 IP 地址](https://soatok.blog/2020/05/09/how-to-de-anonymize-scam-knock-off-sites-hiding-behind-cloudflare/)（英文）

网站启用了 CDN 以后，外部用户就看不到源站的真实 IP 地址了。本文介绍了一个小技巧，某些情况下可能有用。

5、[链接的 noopener，noreferrer 和 nofollow 设置](https://blog.bhanuteja.dev/noopener-noreferrer-and-nofollow-when-to-use-them-how-can-these-prevent-phishing-attacks)（英文）

为了安全性，网页链接最好设置`rel="noopener noreferrer nofollow"`，本文介绍这三个值的作用。

6、[开源软件商业模式的死亡](https://joemorrison.medium.com/death-of-an-open-source-business-model-62bc227a7e9b)（英文）

开源软件常见的商业模式是“软件开源 + 服务收费”，但是云服务商正在杀死这种模式。

> 如果你免费提供软件，并且这种软件足够受欢迎，云服务商将不可避免地使用你的代码提供竞争性服务。他们会毫不留情地用自己的方法痛击你，在你的前院倾倒垃圾。而你的律师则站在你耳边低语，“什么也做不了。”

7、[`<details>`标签的一个作用](https://shkspr.mobi/blog/2020/12/a-terrible-way-to-do-footnotes-in-html/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121102.jpg)

作者提出，可以使用`<details>`标签在网页里面添加脚注（上图）。

8、[完善的 Bash 脚本的最简单形式](https://betterdev.blog/minimal-safe-bash-script-template/)（英文）

本文通过一个模板，介绍 Bash 脚本的基本知识，如何写出安全的、基本功能完善的脚本。

9、[如何使用 GitHub Actions 发布到 GitHub Pages](https://itsopensource.com/publish-github-pages-with-github-actions/)（英文）

一个简单的教程，教你通过 GitHub Actions 构建一个静态博客，自动发布到 GitHub Pages。

10、[Navigator 对象的实验性属性](https://umaar.com/dev-tips/242-considerate-javascript/)（英文）

本文介绍浏览器的 Navigator 对象的几个实验性属性，比如获取本机的内存、CPU 核心和网络连接类型。

## 工具

1、[imgdiff](https://github.com/n7olkachev/imgdiff)

比较两张图片差异的命令行工具。

2、[BrowserTime](https://github.com/seanmiller802/BrowserTime)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121707.jpg)

Chrome 浏览器的插件，显示一个仪表盘，分析你的浏览历史，显示你在哪些网站花费最多时间。

3、[AI Picture Restorer](https://hotpot.ai/restore-picture) 

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121802.jpg)

一个在线工具，去除老照片的破损和折痕。

4、[Cloudflare Pages](https://blog.cloudflare.com/cloudflare-pages/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121901.jpg)

Cloudflare 推出的静态网站构建和托管服务，目前正在 beta 测试，可以申请参加。（[@Wazons](https://github.com/ruanyf/weekly/issues/1559) 投稿）

5、[Geometrize](https://www.geometrize.co.uk/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122001.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122002.jpg)

一个在线工具，将照片转成基于几何形状的水彩画。

6、[OwnCast](https://github.com/owncast/owncast)

一个可以自己搭建的开源流媒体服务，用作视频的在线播放。

7、[tetris](https://github.com/k-vernooy/tetris)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122104.jpg)

命令行的俄罗斯方块游戏。

8、[Holiday Card Maker](https://photoroom.com/holiday-card-maker/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122302.jpg)

一个在线工具，上传肖像照，软件会自动去除背景，生成各种节日照片。

## 资源

1、[恐龙的声音](https://www.google.com/search?q=what%20sound%20does%20a%20dinosaur%20make)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122003.jpg)

谷歌搜索 “what sound does a dinosaur make”（恐龙的声音是什么），网页就会显示一系列可以播放的动物叫声。

2、[ElixirSchool 博客的中文翻译](https://github.com/caicaishmily/elixirschool_blogs)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121703.jpg)

Elixir School 这个英语博客，是学习 Elixir 这门编程语言的首选。笔者抽出了一些时间翻译了这些博客。（[@caicaishmily 投稿](https://github.com/ruanyf/weekly/issues/1558)）

3、[SRE 学校](https://linkedin.github.io/school-of-sre/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120902.jpg)

Linkedin 工程团队专门写给新人的 SRE （站点可靠性工程）教程，介绍了一个 DevOps 工程师需要掌握的各种基础知识。

4、[计算机安全培训材料](https://opensecuritytraining.info/Training.html)

该网站提供计算机安全方面完整的英文培训材料，共包含29节课。

5、[免费的 Python 英文书籍](https://www.pythonkitchen.com/legally-free-python-books-list/)

本文整理了一张免费书籍清单，都是网上合法的 Python 学习资源，书目相当多。

## 图片

1、[瑞士的军事掩体](https://www.amusingplanet.com/2015/07/the-camouflaged-military-bunkers-of.html)

瑞士是一个中立国，但拥有强大的军事力量。阿尔卑斯山上遍布军事设施，并精心制作了掩体，以便融入周围的景观。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120811.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120812.jpg)

其中一些伪装成巨大的岩石，另一些伪装成安静的别墅或谷仓，它们在紧急情况下会打开，露出加农炮和重型机枪。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120813.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120814.jpg)

瑞士全国有将近30万个掩体和5,100个公共避难所，这些掩体可容纳整个瑞士人口。按人均计算，瑞士拥有世界最大的军队之一，有20万在职人员和360万后备人员。每个34岁以下（有时50岁以下）的男性公民都是预备役士兵。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120815.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020120816.jpg)

## 文摘

1、[世界末日时钟](https://en.wikipedia.org/wiki/Doomsday_Clock)

1945年，美国在日本投放了两颗原子弹，这引发了核战争引发世界末日的担忧。

1947年，一些参与曼哈顿计划的核物理学家，在芝加哥大学出版了一本杂志《原子科学家公报》。封面上画了一个时钟，表示人类离世界末日正在倒计时。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112902.jpg)

午夜零点表示世界末日，时钟的时间离零点还有7分钟。这个时钟因此称为“世界末日时钟”（Doomsday Clock）。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112904.jpg)

后来，杂志的每一期都是这个封面，但是距离世界末日的时间一直在调整，迄今为止一共调整了22次。

1949年，苏联试验原子弹，末日时钟调为3分钟。

1953年，美国和苏联开始测试氢弹，调为2分钟。

1963年，美苏签订《部分禁止核试验条约》，调为12分钟。

1981年，苏联入侵阿富汗，美苏军备竞赛升级，里根政府提出“星球大战”计划，调为4分钟。

1991年，柏林墙倒塌，东欧巨变，美苏签署《第一阶段削减战略武器条约》，调为17分钟。

2007年，气候变暖，核电站不断增加，调为5分钟。

2017年，特朗普当选美国总统，否认气候变化，调为150秒。

2018年，朝鲜试验核武器，调为120秒。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112903.jpg)

2020年1月23日，由于全球气候变暖无法避免，调为100秒。也就是说，科学家认为，现在是距离世界末日最近的时刻。

![](https://cdn.beekka.com/blogimg/asset/202011/bg2020112905.jpg)

2、[世界科学技术工程学院](https://en.wikipedia.org/wiki/World_Academy_of_Science,_Engineering_and_Technology)

上个世纪，土耳其人塞马尔·阿尔迪（Cemal Ardil）注册成立了一家“世界科学技术工程学院”（World Academy of Science, Engineering and Technology，简称 WASET）。这是一家营利性机构，专门安排各种各样虚假的学术会议，人为提高演讲者和论文提交者的学术履历。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121403.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121404.jpg)

它每年组织成千上万次科学会议，会议的名称与真正的科学团体组织的真实会议很相似。2018年，世界科学技术工程学院共发布了49,844个会议广告，其中许多会议名称雷同，而且安排在同一天的同一地点。比如2016年2月，里约热内卢的一家酒店同一时间安排了116场科学会议。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121405.jpg)

这些会议的质量很差，任何人只要支付注册费就可以提交论文。很多科学家在不知情的情况下，被列入组委会名单。

2013年发生了一件丑闻，一个英国科学家在世界科学技术工程学院主办的期刊《国际医学，药学，生物和生命科学杂志》上，发表了一篇假论文，数据都是伪造的。然后，他自己引用这篇论文，将成果提交给了《科学》杂志。

外界计算，世界科学技术工程学院2017年的收入大约为4,495,219美元。

##  言论

1、

不要被贪婪的公司动机所吸引，不要投入全部的时间和精力，这绝对会导致您毫无正当理由地失去自己的一生。

-- [Jonathan Carter](https://jonathancarter.org/2020/12/10/centos-stream-or-debian/)，Debian 项目负责人

2、

优秀的人讨论思想，普通的人讨论事件，狭隘的人讨论人。

-- 埃莉诺·罗斯福，罗斯福总统夫人

3、

达尔文发现，澳大利亚附近的很多小岛上，昆虫不会飞。他猜测这是因为岛屿的风较大，会飞的昆虫很可能被吹到海里，这导致这些昆虫的后代完全丧失了飞行的能力。

-- [《为什么昆虫丧失飞行能力？》](https://www.sohu.com/a/437697806_354961)

4、

一个人在生物学上，每天的生存需要消耗 90W 的能量，相当于单个电灯泡所需的能量。但是考虑到人类使用各种设备（家用电器、交通工具等等），每人每天平均消耗 3,000W 的能量。如果你是美国人，这个数字会上升到接近 11,000W，这相当于一头蓝鲸（地球上最大的哺乳动物）的能量需求。

-- [物理学家杰弗里·韦斯特](https://linkedstarsblog.com/2018/12/17/scaling-considerations-in-complex-systems-and-organizations-implications/)（Geoffrey West）

5、

阅读各种资料、书籍、文章，只是让你懂得更多，并不会让你提高技能。只有通过练习（practice）才能提高技能。如果你想变得更好，那就去动手做。

-- [Jason Fried](https://twitter.com/jasonfried/status/1338626702264582146)（Basecamp 的创始人）

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020121501.jpg)

6、

如果我与某人在办公室合作一年，我会知道他的孩子的名字，以及他在周末要做的事情。但如果我们是远程合作，我就什么都不会知道，因为远程会让工作变得直接，没有人与人之间的了解。

-- David Perell

## 回顾

2019年的本周（第 88 期）：[如果你遇到一条蛇](http://www.ruanyifeng.com/blog/2019/12/weekly-issue-88.html)

![](https://cdn.beekka.com/blogimg/asset/201911/bg2019113002.jpg)

2018年的本周（第 36 期）：[程序员将来会不会过剩？](http://www.ruanyifeng.com/blog/2018/12/weekly-issue-36.html)

![](https://cdn.beekka.com/blogimg/asset/201812/bg2018122129.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）

