# 科技爱好者周刊（第 142 期）：2020年才是21世纪元年

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1580)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123102.jpg)

2022年北京冬奥正在新建的国家跳台滑雪中心，位于张家口。（[via](https://mp.weixin.qq.com/s/hHXEWrmDFFg1BqTkZygvbw)）

## 本周话题：2020年才是21世纪元年

刚刚过去的2020年，无疑是人类历史上糟糕的一年。

但是，从技术角度看，2020年却是辉煌的一年。人类社会可能在2020年以后，进入一个完全不一样的阶段。

风险投资家、《从零到一》的作者 [Peter Thiel](https://www.forbes.com/sites/alanohnsman/2020/12/03/peter-thiel-says-covid-marks-21st-centurys-true-start-spac-boom-surging-ev-stocks-are-a-sign/) 说， **2020年才是21世纪的第一年。新经济、新技术、新趋势在这一年确立了。**

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011001.jpg)

我列举一些2020年技术领域的大事。

mRNA 疫苗技术取得突破，从研发到大规模接种，只用了一年时间，很可能会永远改变流行病的预防技术。它的背后是生物科技的突飞猛进。

新能源技术（太阳能、风能、氢能和电池）一日千里，化石能源和汽油车明确将被淘汰。

无人驾驶开始大规模路试，并向公众开放，已经接近可用状态。[马斯克](https://finance.sina.com.cn/tech/2020-12-03/doc-iiznezxs4956682.shtml)甚至说，特斯拉公司2021年会发布真正的无人驾驶。

人类的生活方式加速转移到线上，远程办公、视频会议、在线教育……需要十年走完的路，一年就走完了

SpaceX 公司的火箭技术获得成功，开始载人飞行。三个国家（阿联酋、中国、美国）几乎同时发射火星探测器，预定今年二月到达火星，中国和美国的探测器将在火星登陆。

“人造肉”出现，并在沃尔玛上架，也做成了汉堡。如果植物蛋白可以替代动物蛋白，农业会发生巨大革命。

5G 开始普及，无线通信的带宽变得更大。星链计划的卫星宽度证实可行，地球的每个角落都能随时随地在线，即将成为现实。

8K 分辨率的视频开始商业化，家用播放设备和拍摄设备都上市了。这可能是电子屏幕的尽头了，因为接近人眼分辨率了。

苹果 M1 芯片成功，桌面电脑开始转向 ARM 架构，跟手机使用同一个架构，App 将可以通用。桌面电脑以后会进一步小型化、轻量化，而移动设备将变得功能更强大，更接近桌面电脑。

总之，2020年虽然结束了，但是它确实更像一个起点，人类正在进入新经济的下一个阶段。

## TypeScript 学习资料

TypeScript 作为 JavaScript 的类型增强工具，可以大大增强项目的可维护性，便于在开发和编译阶段发现错误，对于大型项目尤其有用，正在业界得到越来越广泛的应用。

根据2020年12月的[统计](https://insights.dice.com/2020/12/03/10-most-popular-programming-languages-on-github/)，TypeScript 已经是 GitHub 排名第四的语言，比上一年突飞猛进了三位。

但是，TypeScript 的中文教程并不多，而且相当一部分都是从官网文档复制粘贴的，对于初学者很难有额外的帮助，更不要说为面试和工作加分了。

本周的课程资料，就是一个针对国内学习者的 TypeScript 的专题培训，完整清晰地讲解高级技巧、最佳实践，以及 TypeScript 实现 Recoil 的原理，带领学习者把TypeScript 真正应用到框架和项目中，提高开发实力，增加大厂面试筹码。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011209.jpg)

该课程由腾讯课堂“双认证”机构——京程一灯制作，经过了两轮授课，目前已经是第三季迭代了。

课程原价98元，周刊读者只需象征性付费 0.02元。微信扫描下面的二维码，加入课程群，就可以报名。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011301.jpg)

前50位报名的同学，还会有额外福利，赠送第二季的 TypeScript 基础学习教程。

## 资讯

1、[Echo 眼镜](https://www.amazon.com/dp/B083C58VDP/)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123104.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123106.jpg)

亚马逊公司发售新一代 Echo 眼镜。它的两只镜脚做进了蓝牙耳机，镜片和镜框都没有特别之处。戴上眼镜以后，用户可以接打电话，也可以发出语音指令，通过手机 App 听新闻、播客、控制智能家居等等。

这副眼镜的技术难点是，内置了4个微型扬声器，将声音对准你的耳朵，同时最大程度地减少传出去的声量，防止周围的人听到。亚马逊官网有现货出售，定价250美元。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123105.jpg)

2、[大竞技场加装地板](https://www.smithsonianmag.com/smart-news/italy-plans-install-floors-colosseum-1-180976635/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010404.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010405.jpg)

罗马大竞技场是世界著名的古建筑，建于公元1世纪。古罗马贵族在里面欣赏奴隶与狮子、熊、豹子等野兽的搏斗。大竞技场的下方有迷宫一样的隧道（上图），用来将装野兽的笼子运送到随机的位置，升上地面，然后放出笼。

长期以来，大竞技场的地板早已荡然无存，地下隧道直接暴露在游客面前。意大利政府最近宣布，将为大竞技场加装可以升缩的地板。一方面，还原古罗马时代的活板门、升降机等机械元件；另一方面，也可以在新地板上举办音乐会和表演戏剧作品。政府官员表示，希望2023年之前完成该项目。

3、[中国十大丑陋建筑](https://vct.news/news/7e1e562f-1269-40a2-a85a-912a190956da)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010406.jpg)

建筑畅言网评选的2020年第十一届中国十大丑陋建筑，日前公布。该评选先在网络上向大众征集丑陋建筑，然后经过网络投票，最终在12月中旬由多位专家评选出来。

第一名广州融创大剧院（上图），上榜理由为创意牵强附会，胡乱拼贴中国元素，形态怪诞，伤害城市形象。下图是第二名吉林延边长白天地度假酒店、第三名重庆武隆飞天之吻。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010407.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010408.jpg)

4、[AirPods Max 耳机](https://www.forbes.com/sites/gordonkelly/2021/01/02/apples-airpods-max-condensation-problem-upgrade-new-airpods-pro-iphone-headphones/?sh=246d3c6a32c7)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010615.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010616.jpg)

很多用户反映，苹果公司的 AirPods Max 耳机，如果连续戴几个小时，耳机内圈会因为冷凝问题出现积水。

这完全因为这个耳机的外壳是全铝的，铝是热的良导体，耳朵上戴久了会发生结露现象，使得耳罩内的空气凝结出水。这就是为什么，市场上几乎所有其他耳机的内圈都是塑料的原因。AirPods Max 偏偏又不防水，很难相信苹果这么大的公司，居然没有测试到这个问题。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010617.jpg)

5、[Nike 跑鞋](https://running.biji.co/index.php?q=news&act=info&id=105052)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010618.jpg)

2021年元旦，日本一年一度最重要、最受关注的长跑比赛箱根驿传照常举行。媒体统计选手的跑鞋，今年的结果令人震惊：210 位选手中有203位穿 Nike 跑鞋，比例高达96.6%，其次为adidas 4 双、Mizuno 2 双、New Balance 1双。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010619.jpg)

Nike 公司的 Vaporfly 跑鞋由于采用了专利鞋底材料，可以提高长跑成绩，已经成为长跑选手的标准配置。但是，体育比赛不应该比谁的装备好，国际泳联已经禁止正式比赛穿“鲨鱼皮”游泳服，所以 Nike 跑鞋将来会否被禁用也受到关注。

6、**一句话消息**

> - [西伯利亚](https://siberiantimes.com/other/others/news/a-well-preserved-woolly-rhino-with-its-last-meal-still-intact-found-in-the-extreme-north-of-yakutia/)冻土融化，出现了一具几万年的长毛犀牛，保存完好。图二是它的复原模型。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010304.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010305.jpg)

> - [青海省](https://finance.sina.cn/7x24/2021-01-08/detail-iiznezxt1177820.d.html)的光伏超过水电，成为省内第一大电源，也成为中国第一个太阳能发电成为主要能源的省份。下图为青海省共和县光伏产业园。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010801.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011208.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011207.jpg)

> - [美国科学家](https://www.scientificamerican.com/article/color-changing-ink-turns-clothes-into-giant-chemical-sensors/)根据酚酞试纸原理，制造了一件会变色的汗衫。它会根据汗液的酸碱度，显示不同的颜色，提示你的健康状况。

![](https://cdn.beekka.com/blogimg/asset/202007/bg2020072006.jpg)

## 文章

1、[300名科学家为什么要在北极待上一年？](https://mp.weixin.qq.com/s/tPyLof_sz2wMlNT0BZR0Lw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011401.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011402.jpg)

2019年9月，德国的科考破冰船“极星号”深入到北纬85°的海冰深处，然后关机抛锚，在北冰洋随着浮冰漂流一年，了解冬季的北极中心地带的状态。总共有17个不同国家的600名专家参与了这个项目，其中常驻人员有300人，其中也包括中国科学家。

2、[一个老程序员的自述](https://www.toutiao.com/i6912037372054028804/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010311.jpg)

作者1977年生于湖南，作为软件系统工程师，赶上了中国互联网崛起的浪潮。本文是他回顾自己程序员生涯的自述。

> “在上海工作十八年，我每天拼命学技术、开研讨会、最多一年出差飞行近百次。这些努力让我收获了世界五百强公司技术专家的名头、上海内环的房子、几十万的年薪，但也累出了一身病，长期日夜颠倒，神经紧绷。”

3、[Starlink 卫星上网开箱实测](https://www.kocpc.com.tw/archives/363791)（中文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010411.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010412.jpg)

一个国外用户的 Starlink 卫星宽带上网开箱实测。

4、[Excalidraw 的一年](https://blog.excalidraw.com/one-year-of-excalidraw/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010312.jpg)

Excalidraw 是手绘风格的一个在线作图工具，2020年1月发布。本文讲述这个项目一年来的惊人发展。

5、[如何不使用插件在网页嵌入 Flash SWF 文件](https://developers.ibexa.co/blog/embed-flash-swf-content-without-adobe-plugin)（英文）

Adobe 和 Windows 都已经正式停止支持 Flash。本文介绍在没有插件支持的情况下，如何在网页运行 Flash 的三种方法。

6、[兆芯开先 x86 CPU 测试](https://www.tomshardware.com/features/zhaoxin-kx-u6780a-x86-cpu-tested)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010313.jpg)

上海兆芯集成电路有限公司购买了台湾威盛电子（VIA）的 x86 指令集的授权，可以生产 x86 芯片。国外媒体测试了他们生产的 KX-6000 芯片，结论是总体上落后于英特尔的第七代 i5 芯片，但是如果价格比较便宜，依然可以在中国国内占据一定的市场。

7、[一年活动的数据可视化](https://samplesize.one/blog/posts/my_year_in_data/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010401.jpg)

作者以15分钟为单位，记录了过去一年中每一天的时间安排。年底的时候，汇总统计了这一年的时间都用在哪里了。上图中，深灰色方块表示睡眠，深蓝色表示工作，粉红色表示浏览社交媒体。

8、[URL 短链接服务设置 Cookie](https://ylukem.com/blog/url-shorteners-set-ad-tracking-cookies)（英文）

作者发现很多流行的 URL 短链接服务，比如 TinyURL、t.co、bit.ly 都在用户的计算机上设置 Cookie，用来广告追踪。

9、[使用 Cloudflare Worker 提供短链接服务](https://lucjan.medium.com/free-url-shortener-with-cloudflare-workers-125eaf87b1ec)（英文）

Cloudflare Worker 是一个 Serverless 服务，可以使用很简单的代码，通过它自制一个简单的短链接服务。

10、[简陋的广告，不一定效果不好](https://www.gkogan.co/blog/looks-vs-results/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010403.jpg)

广告不一定要设计得非常精美，简单粗糙的广告也可能有不错的效果。作者同时在 LinkedIn 投放了上面两个广告，结果发现右边广告的转化率更高。

## 工具

1、[locust](https://locust.io/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010620.jpg)

一个开源的负载压测工具。

2、[Thonny](https://thonny.org/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010802.jpg)

一个面向初学者的 Python IDE。

3、[HTML Editor](https://no-gravity.github.io/html_editor/)

一个最简易的 HTML 在线编辑器，可以实时自动预览效果。[源码](https://github.com/no-gravity/html_editor/blob/main/index.html)非常简单，有学习价值。

4、[Piccolo](https://piccolo-orm.com/)

一个简单快速的异步 Python ORM 库。

5、[I2P](https://geti2p.net/en/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011201.jpg)

一个隐形互联网项目，构建在互联网的上方，主要用于网内用户的互相通信，不鼓励用户通过它来访问互联网。主要特点是用户看不到服务器，服务器也看不到用户。

6、[quicssh](https://github.com/moul/quicssh)

这个工具将 SSH 的通信协议改成了 QUIC，重新包装了 SSH 的服务器和客户端。

7、[Statically](https://statically.io/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011210.jpg)

该服务可以免费将GitHub 和 GitLab 的源码文件放上 CDN，供外部调用。

8、[Thumbnail.AI](https://thumbnail.ai/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011211.jpg)

这个在线服务可以为任意 URL，自动生成标题图片，便于在社交媒体引用文章时，提供缩略图。

9、[cdecl](https://cdecl.org/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011302.jpg)

这个在线工具可以将 C 语言难懂的类型声明（比如`int (*(*foo)(void ))[3]`），转成浅显的英语。（[@fish-404](https://github.com/ruanyf/weekly/issues/1587) 投稿）

## 资源

1、[后端开发学习路线图](https://roadmap.sh/backend)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010301.jpg)

该网站给出了后端开发的知识路线图。

2、[半小时学习 Rust 语言](https://fasterthanli.me/articles/a-half-hour-to-learn-rust)

一篇英语长文，详细介绍 Rust 语言的基本知识点。

3、[Python 软件工程](https://merely-useful.github.io/py-rse/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010306.jpg)

一本英文的免费书籍，介绍使用 Python 来做实际的软件项目时，需要了解的各种 Linux 知识，比如命令行、Git、Make 等等。

4、[TechRewind](https://techrewind.co/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010402.jpg)

该网站收集了过去40年流行的技术产品，每10年为一个周期，用户可以查看每个周期的流行产品。比如，上图是上个世纪90年的流行。

5、[学校还是监狱？](https://www.schoolprison.com/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010409.jpg)

该网站每次刷新都会出现一张图片，让用户猜这是学校还是监狱？比如，上图是监狱。

6、[极客阅读](https://jikeyuedu.cn/hot)

一站式的技术阅读网站，汇集中文技术博客、YouTube 视频、开源产品动态、公众号文章等。（[@wxyudl](https://github.com/ruanyf/weekly/issues/1590) 投稿）

## 图片

1、[巴基斯坦的卡车装饰文化](https://mymodernmet.com/pakistan-truck-art/)

巴基斯坦，以及邻近的阿富汗和印度，有一种奇特的卡车文化。他们喜欢把卡车装饰得非常华丽。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010701.jpg)

1920年代，卡车进入巴基斯坦的时候，当地人在卡车顶部装上了木冠。后来，卡车开始长途运送货物时，每家卡车公司都设计了徽标，以使不识字的人能够了解卡车的所有者。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010702.jpg)

随着时间的流逝，这些徽标变得越来越华丽。大家觉得，设计越夸张，生意就越好。仅在最大城市卡拉奇，就有50,000人在专门从事卡车装饰。卡车司机愿意花2500美元，确保自己的卡车比其他卡车更好，这是他们两年的薪水。而且通常，卡车每隔几年就会回来进行上色，以保持新鲜感。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010703.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021010704.jpg)

2、[蚊子与注射器](https://www.scientificamerican.com/gallery/mosquitoes-stab-animals-with-a-syringelike-proboscis/)

蚊子的嘴可以刺穿皮肤吸血。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011203.jpg)

显微镜下，它与注射器的针头很相似。下图的注射器针头上是血液的红细胞。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011204.jpg)

## 文摘

1、[团队主管应该写代码吗？](https://nngorok.com/managers-should-code-but-not-at-work)

技术团队的主管应该写代码吗？

这个问题似乎没有明确的答案，支持者和反对者都有各自的立场。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011205.jpg)

我主管工程团队已经两年了，在这期间我停止写代码。主要原因是，团队主管写代码会妨碍团队管理，你会没有足够的时间来召开所有团队会议，以及一对一的谈话。另一方面，退出编码也表明我信任团队。

但是，随着时间的流逝，我逐渐感到与团队脱节。开始忘记构建系统和产品的实际感觉。我发现很难跟上的某些技术决策。从长远来看，最坏的情况下，由于缺乏代码信誉，这可能导致你在团队失去尊重。

这种矛盾，从本质上讲，是管理者与开发者的角色冲突。管理者的日程安排是一个接一个的会议，而开发者要求要大量连续时间，保证投入到关键任务上。管理者和开发者的时间表是不一样的。

我真的很想念编码，想念从构建事物、定位和修复 Bug 中获得的成就感。我还意识到，我参与编码，就会与团队产生更多的联系。

但我也明白，一旦参与编码，我就很难切换注意力，我的关注点无法在编码和会议之间及时切换。我的结论是，管理者与程序员的角色无法合一，解决方法可能是你在业余时间坚持编码，工作时间专心管理。

2、[故事的形状](https://avoidboringpeople.substack.com/p/a-story-is-a-lie-and-a-story-is-true)

美国小说家库尔特·冯内古特 （Kurt Vonnegut）在一次演讲中提到，小说的故事是有形状的。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011206.jpg)

他画了一个坐标系，竖轴是主人公的境遇，横轴是时间轴，表示故事的进展。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122809.jpg)

在 《教父》中，主人公开始时过得很好，但后来陷入困境，被迫离开家族。他最终夺回了权力，并杀死了大部分反对派，成为新的教父。这个故事的形状就是一个大坑，先下跌，然后上升，并且过得比以前更好。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122810.jpg)

很多爱情小说，主人公先坠入爱河，感到非常幸福，后来由于各种原因，发生了挫折，最后再次找到对方。它的形状则是先上升，再下降，然后再次上升。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122811.jpg)

有些个人奋斗的故事，是从逆境不断上升，取得一定成就以后，遇到了重大打击，最后克服了困难。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122812.jpg)

卡夫卡的小说《变形记》，则是主人公本来就过得很遭，一天早上醒来，发现自己变成了蟑螂，从此越过越糟糕。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020122813.jpg)

## 言论

1、

大公司想尽办法引诱人们多消费，真正的解决方案通常恰恰相反：你应该少消费。

大多数情况下，我们的问题主要是由过度消费引起的。如果你超重，不是要购买健身鞋和蛋白质粉，而是要少吃东西。如果你头痛和感到巨大压力，不是要购买头痛药和抗抑郁药，而要更多地睡觉和走路，并且不在深夜浏览社交媒体。

--[《少消费，多创造》](https://telegra.ph/Consume-Less-Create-More-Its-More-Fun-12-04)

2、

投资于研发可以促进经济增长。但是，研究发现，促进经济增长的主要是公司投资的研发，而不是政府投资的研发。

-- [《学术研究会导致经济增长吗？》](https://lemire.me/blog/2013/02/26/does-academic-research-cause-economic-growth/)

3、

很难表达 DJI Mini 无人机有多棒。400美元的价格，你可以买到一台像样的数码相机，它还可以飞行。这让我想起了，第一次在沃尔玛超市看到售价为29美元的 DVD 播放机。这种产品成为可能，必须发生一些不可思议的事情，而所有人几乎都没有注意到。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=25575721)

4、

21世纪，我们被各种各样的数字强盗所困扰，从身份窃贼到跟踪者，再到公司和政府间谍，再到骚扰者。我们没有办法保护自己。

为了安全起见，你必须与军阀结盟。苹果、谷歌、Facebook、微软和其他一些军阀已经建立了防御要塞的庞大堡垒，金钱可以买到的最凶猛的网络雇佣兵时刻都在攻击他们的堡垒。他们将为你防御所有攻击者，但是如果他们想获取你的信息，你将毫无防备。

-- [《数字安全的封建时代》](https://locusmag.com/2021/01/cory-doctorow-neofeudalism-and-the-digital-manor/)

5、

喜马拉雅山脉造就了巨大的河网，在整个亚洲广阔的土地上留下了惊人的丰富土壤。山脉的两边是世界上人口最多的两个国家，这绝非偶然。如果算上巴基斯坦、孟加拉国和尼泊尔，所有这些国家也都严重依赖喜马拉雅山脉发源的河流，那么地球上将近一半的人类与这个山脉有关。

-- [《喜马拉雅山脉：人类历史》](https://www.nytimes.com/2021/01/05/books/review/himalaya-a-human-history-ed-douglas.html)

## 回顾

2020年的本周（第 91 期）：[印度孟买的房价，为什么跟北京一样高？](http://www.ruanyifeng.com/blog/2020/01/weekly-issue-91.html)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019120910.jpg)

2019年的本周（第 39 期）：[苹果公司的两封公开信](http://www.ruanyifeng.com/blog/2019/01/weekly-issue-39.html)

![](https://cdn.beekka.com/blogimg/asset/201901/bg2019011101.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
