# 科技爱好者周刊（第 146 期）：网课应该怎么上？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1629)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021403.jpg)

秘鲁的金矿区有无数探矿坑，雨后积水，空中看下去矿脉闪闪发光，就像一条条“金河”。虽然很漂亮，但这是砍伐森林而形成的，造成了巨大的环境破坏。（[via](https://petapixel.com/2021/02/12/photo-from-space-reveals-gold-rivers-slicing-through-the-amazon/)）

## 本周话题：网课应该怎么上？

2020年，在线教育行业大爆发，许多公司都获得了[巨额投资](https://finance.sina.com.cn/tech/2021-02-04/doc-ikftpnny4120146.shtml)。

按理说，一个行业发展得这么快，它的产品应该有很多优势。但是在我看来，网课现在没优势，效果不如课堂教学，完全没有发挥出应有的长处。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021301.jpg)

**现在的网课，基本上就是简单复制了课堂教学。** 老师在课堂怎么讲课，就一模一样录制成视频，在互联网播放，这就是网课。也就是说，在线教育现阶段其实只是一个课堂视频的传播平台，本质上跟课堂教学没什么两样。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021302.jpg)

课堂教学的效果取决于老师讲课是否生动，老师讲得很沉闷，教学效果就很差。录制成视频以后，由于没了现场感，效果还会打折扣。很多网课都是这样，学生听了几分钟，新鲜感过去了，就不想听了。

如果网课只是重播课堂教学的视频，是不会有太大前途的。我就遇见过，学生宁愿多花钱，选择线下辅导班，而不是网课。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021303.jpg)

我觉得， **在线教育的前途在于个性化教育。** 因为课堂教学属于制式化教育，做不到个性化，所有人都用同样的课纲、课本、教学计划，千人一面。学校的目的是以最小的成本、大规模批量化生产能够达到平均水平的学生。

互联网的优势恰恰就在个性化，可以自由灵活地对教学的每个环节进行定制。举例来说，根据每个学生的答题表现和兴趣，软件自动为他定制教育方案，对于某些部分给予重点讲解。比外，互动和多媒体也是互联网的优势，但是现在的网课都用得很少。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021304.jpg)

**目前的状况是，在线教育只是课堂教学的一个低成本替代，** 因为不能现场教学，只好看视频上课。这导致在线教育的效果，无法超过课堂教学，所以做不到真正地迅猛发展，只能作为课堂教学的补充手段。

作为学生，应该有一个清醒的认识。不管课堂教学还是在线教育，现阶段都属于制式化教育，不能对效果抱太大期望。如果想学到真本事，一定要发挥主动性，自已努力去想、去找、去实践，主动学习新东西。

## 数据分析的技能秘籍

前不久有人[发现](https://www.sohu.com/a/428637346_682852)，字节跳动开始招收“人力数据分析师”，也就是专门通过数据评价员工的 HR ，给出的月薪非常高。

现在，数据分析师的招聘行情看涨，越来越多的企业需要具有数据分析技能的员工。理由很简单，发掘数据包含的信息，能够帮助企业成功。

普通的 HR 做出的 Excel 数据表是下面这样。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021706.jpg)

数据分析师拿出的数据分析表格却是这样的。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021707.jpg)

成为一个合格的数据分析师，难度不小。因为技能树实在太庞大，你掌握的高级技能越多，薪资就越高。本周的课程资料就是一份免费且全面的数据分析教学资料—— **《数据分析秘籍：面试 + 技能提升》** ，希望有助于大家进大厂拿高薪。

这套价值899元数据分析资料包，由廖雪峰老师精心打磨，内容涉及Excel、MySQL、Python 及数据挖掘算法等核心技能，都是一些很实用的内容，帮大家迅速提升数据分析能力，并能产出驱动业务增长的数据分析报告。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020503.jpg)

微信扫描下面的二维码，前200名就可以免费领取，仅限5天。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020504.jpg)

## 科技动态

1、[人形机器人 Sophia](https://www.ign.com/articles/sophia-the-robot-creators-announce-plan-to-mass-produce-robots-this-year)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012703.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012704.jpg)

总部位于香港的汉森机器人公司（Hanson Robotics）宣布，今年上半年将大批量生产 Sophia 等四款人形机器人。

Sophia 于2015年开发，具有与人类相似外观，内部带有人工智能系统、视觉数据处理和面部识别功能，可以与人类进行会话，并且辅以一些手势和面部表情。“她”曾经公开表演唱歌、演讲和接受采访。

她的用途目前还很有限，大概只能用于陪伴老人，或者充当问询台接待员，表演价值多于实用价值。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012705.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012706.jpg)

2、[海上火箭平台](https://www.nasaspaceflight.com/2021/01/spacex-rigs-starship-spaceports/)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012007.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012008.jpg)

马斯克的 SpaceX 火箭公司已经收购了两个海上石油平台，正在进行改造，用作海上太空港，供火箭发射和降落。

由于火箭发射有危险物质，而且噪音巨大，所以必须远离人口稠密的区域。但是，如果找太偏僻的地点，维护费用将非常高，而且运送物资也不方便。SpaceX 很早就提出了，在海上建立火箭发射平台的设想，这样不仅保证安全，而且可以接近主要的大城市。

马斯克举过一个假想的例子，在纽约和上海的30公里外海处，各建立一个海上太空港，旅客乘坐飞船进行长途飞行，单程只需要39分钟。

3、[智能坐垫](https://www.19lou.com/forum-269-thread-88071608531317062-1-1.html)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021103.jpg)

杭州本地论坛19楼有网友发帖，讲述公司给每个员工配了一个智能坐垫，“说是高科技的智能办公设备。坐在垫子上面会感应人体的很多数据，心跳、呼吸、坐姿正不正确之类的，连到自己手机上就可以看。”

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021104.jpg)

但是，她没有想到，所有数据都上传到后台。有一天，公司的 HR 跟她说：“你为什么每天上午10点到10点半都不在工位上啊？带薪拉屎去了吗，小心老板扣你奖金哦！” 她顿时有一种上班被监控，像坐牢一样的感觉。

4、[机器鱼](https://www.sohu.com/a/446120398_120493035)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020310.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020311.jpg)

哈佛大学的科学家设计了一种微型的机器鱼，取名为 Bluebots，可以像真正的鱼群一样协同运动，且不需要任何外部控制。每条机器鱼都配备有摄像头和蓝色 LED 灯，可以感知其他机器鱼的方向和距离，进行同步运动，从而形成鱼群。

机器鱼的摄像头最远可以检测到5米以外的信号。每条鱼的 3 个 LED 灯作为信号灯，用于相互识别；4 个独立可控鳍片进行 3D 空间游动。这项研究成果被遴选为 2021 年 1 月份《科学机器人》杂志的封面。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020312.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020313.jpg)

5、[人工鸟喙](https://udn.com/news/story/7470/5159192)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020314.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020315.jpg)

巴西有一只鹦鹉，鸟喙受到严重伤害而脱落。动物保护组织使用聚甲基丙烯酸甲酯，为它专门制作了一个人工鸟喙，其坚硬程度甚至要用电锯才可能锯断。

装上新鸟喙后，鹦鹉已完全康复，但也无法再放回自然了，因为鸟喙使用频率非常高，工作人员担心总有一天会掉落。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020316.jpg)

6、**一句话消息**

> - [爱沙尼亚](https://interestingengineering.com/new-tree-loving-robots-could-plant-entire-forest-of-seeds-daily)开发了割草机器人和播种机器人，都采用激光雷达实现无人驾驶。两台机器可以串联工作，一台负责清理场地，一台负责种树，每天可以种几千棵树。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020201.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020202.jpg)

> - [日本京都醍醐寺](https://technews.tw/2021/02/02/terra-space/)宣布，2023 年将发射卫星，在距离地表约500 公里处设立一座太空寺庙。卫星里面有一尊佛像和曼荼罗画等法器，以及摄影镜头、IoT 装置等，可传回太空拍摄的影像。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020401.jpg)

> - [美军](https://www.popsci.com/story/technology/defiant-x-helicopter-could-replace-black-hawk/)正在建造一种新型的黑鹰直升飞机，有两层螺旋浆。据说，这种设计解决了空气动力学的难题，使得直升飞机可以快速飞行。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012902.jpg)

> - [Spotify](https://www.thesanfranciscotelegraph.com/technology/3678/in-spotify-music-listens-to-you-streaming-platform-wins-patent-to-surveil-users-emotions-to-recommend-music/) 申请了一项专利，通过麦克风监听用户的语音甚至背景噪音，从而评估用户的情绪状态，然后选择合适的音乐播放。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020101.jpg)

> - [一支德国科考队](https://www.bbc.com/news/world-africa-55945948)在马达加斯加，发现了两只小蜥蜴，长度只有13.5mm，确认是世界已知最小的爬行动物。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020801.jpg)

## 文章

1、[五大车载软件系统横评](https://sspai.com/post/64599)（中文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021013108.jpg)

本文评比了五款目前主要的车载软件系统的功能和体验，包括特斯拉、CarPlay、Android Auto 等。

2、[《国家重点保护野生动物名录》调整](https://mp.weixin.qq.com/s/SgkpIFZDepdLg3xL-Mjy6w)（中文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020701.jpg)

今年初，国家重点保护野生动物名单发布了新版，一共有988种动物，新增了517种，比原来的数量翻了一倍还多，野生的狼现在也是国家保护动物了。

3、[影响因子最大的中国本土期刊](https://mp.weixin.qq.com/s/7fGwSKfFmbWMqyfBaqjnVg)（中文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020711.jpg)

2020年6月，《细胞研究》（Cell Research）的影响因子达到了20.507，成为国内史上首本影响因子破20的原创学术期刊。本文介绍这本期刊。

4、[数字时代的中国支付体系现代化](https://www.chaindd.com/3498726.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021703.jpg)

中国人民银行的原行长周小川的公开演讲，谈中国数字支付的发展方向，里面有相当多的技术内容。

5、[华为的 HarmonyOS 是什么？](https://arstechnica.com/gadgets/2021/02/harmonyos-hands-on-huaweis-android-killer-is-just-android/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020319.jpg)

一个老外安装了 HarmonyOS 进行体验，为了得到源码，华为甚至要他提供护照照片。他研究以后，认为 HarmonyOS （上图）其实只是 Android 10 的一个分支。

6、[Chrome 浏览器的二维码生成功能](https://www.androidpolice.com/2021/02/04/chrome-84-brings-new-dino-themed-qr-codes-to-android-and-desktops/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020501.jpg)

新版本的 Chrome 88 浏览器，原生支持生成页面的二维码。桌面版是在右键菜单里面，手机版在分享菜单项里面。

7、[为什么 Haskell 是我们的首选](https://www.foxhound.systems/blog/why-haskell-for-production/)（英文）

作者使用 Haskell 作为主要的开发语言，本文解释了原因，读了才知道 Haskell 原来这么强。文章里面有一些代码的小例子，但是总体上以文字说明为主。

8、[如何成为数据工程师](https://khashtamov.com/en/how-to-become-a-data-engineer/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021011202.jpg)

这篇文章总结了数据工程师的需要掌握的技能和工具。

9、[关闭旧 API 的正确方法](https://httptoolkit.tech/blog/how-to-turn-off-your-old-apis/)（英文）

如果 API 需要变更或关闭，并不是给用户发一个通知那么简单，本文教你应该怎么做。

10、[如何制作一个简单的文字 Logo？](https://www.dinosaas.com/articles/design-a-simple-text-logo-with-google-fonts-and-figma)（英文）

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012701.jpg)

本文教你如何在没有设计师的情况下，利用网上的免费资源，自己动手花15分钟，制作一个简单的文字 Logo，比如上图。

## 工具

1、[Coding Fonts](https://coding-fonts.css-tricks.com/)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020320.jpg)

代码编辑器使用什么字体？ CSS Tricks 推出的这个在线工具，可以浏览各种不同字体的渲染效果。帮助大家选择代码字体。

2、[Notify](https://github.com/nikoksr/notify)

一个 Go 语言的库，用来通过各种渠道向用户发通知，支持 Discord、Email、Microsoft Teams、Slack、Telegram 等。

3、[Supercookie](https://github.com/jonasstrehle/supercookie)

越来越多的浏览器限制使用 Cookie，这个库演示了如何使用网页图标 Favicon 来追踪用户，效果惊人。

4、[EPUB.to](https://epub.to/)

这个网站可以将 EPUB 格式的电子书转为其他格式，也可以将其他格式转为 EPUB。

5、[Remark42](https://github.com/umputun/remark42)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020710.jpg)

一个开源的、可以自己搭建的网站留言服务。

6、[Violentmonkey](https://violentmonkey.github.io/)

一个浏览器  userscript  的管理器，可以看作是使用最新 WebExtension  API 的 Greasemonkey 升级版。

7、[react-darkreader](https://github.com/Turkyden/react-darkreader)

一个 React 组件，允许网站在暗模式和亮模式之间切换。（[@Turkyden](https://github.com/ruanyf/weekly/issues/1643) 投稿）

8、[Qwerty Learner](https://github.com/Kaiyiwing/qwerty-learner)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021410.jpg)

一个通过单词的打字输入加强记忆的在线工具，可以选择词库。（[@dllen](https://github.com/ruanyf/weekly/issues/1642) 投稿）

9、[345Tool.com](https://www.345tool.com/zh-hans)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021411.jpg)

该网站收集一些可以提高编程效率的在线小工具。（[@MarkoCen](https://github.com/ruanyf/weekly/issues/1640) 投稿）

## 资源

1、[Build your own x](https://github.com/danistefanovic/build-your-own-x)

这个仓库专门收集各种教程，教你如何自己实现各种软件，比如 Web 服务器、BT 下载客户端、Git、数据库等等。

2、[How Music Taste Evolved](https://pudding.cool/2017/03/music-history/index.html)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021013105.jpg)

这个网站提供 1958 - 2016 每年美国最流行的五首歌曲，可以在线试听片段，了解美国大众音乐口味的变化。

3、[应用程序启动画面库](http://splashscreens.sourceforge.net/word.php)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020104.jpg)

这个仓库收集各种程序各个版本的开机画面。上图是 Word95 的启动画面。

4、[《计算机图形学从零讲起》](https://gabrielgambetta.com/computer-graphics-from-scratch/)（Computer Graphics from Scratch）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020403.jpg)

免费阅读的英文书籍，计算机图形学的概述。

5、[AIArtists.org](https://aiartists.org/ai-generated-art-tools)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020601.jpg)

这个网站收集所有可以生成艺术品的 AI 工具，比如 AI 画像、AI 音乐等等。

## 图片

1、[Habitat 67](https://www.theguardian.com/cities/2015/may/13/habitat-67-montreal-expo-moshe-safdie-history-cities-50-buildings-day-35)

1967年，加拿大为了庆祝建国100周年，在蒙特利尔举办了一次“世界博览会”。当时还是麦吉尔大学建筑系硕士研究生的萨夫迪（Moshe Safdie），为这届博览会提交了一个建筑公寓的设计，命名为 Habitat 67。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012906.jpg)

这个公寓由各种预制的混凝土单元连接而成，这样可以降低建造成本。同时，这些单元以不规则的方式组合成一间间公寓，每间公寓都带有阳台和花园，可以与自然接触。萨夫迪希望这为未来的城市住宅，提供一个解决方案。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012907.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012908.jpg)

这栋公寓楼建成后，保留至今，但是并没有达成设计师的目标。首先，它一点都不便宜，政府一开始设置了昂贵的租金，后来变为私人所有的公寓楼，目前的市价也很贵，并不是面向大众的住宅。

其次，由于建造过程非常匆忙，造成建筑质量不好，混凝土有渗水现象，霉菌也渗入了通风系统。但是，这种种问题不影响它成为蒙特利尔市一个壮观的风景。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012911.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012909.jpg)

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012910.jpg)

2、[台积电南京厂](https://www.guancha.cn/ChanJing/2019_11_24_526255.shtml)

台积电一共有6座12吋晶圆厂，南京厂是其中唯一不在台湾的工厂，投资30亿美元，2016年动工建设，2018年投产，以12纳米及16纳米制程为主，目前月产能为2万片。

南京厂打破了台积电多项纪录，不仅建厂最快、上线最快，也是最美的厂区。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020306.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020307.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020308.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020309.jpg)

## 文摘

1、[为什么电动车很难快速充电？](https://news.ycombinator.com/item?id=25867130)

2021年1月，日本丰田公司宣布，即将推出全新的固态电池电动汽车。这种电动车一次充电可行驶500公里，而且只用10分钟就能从零开始充满电。

![](https://cdn.beekka.com/blogimg/asset/202101/bg2021012211.jpg)

10分钟充满电的轿车，也许是有可能的。但是，让我们计算一下，需要多粗的电缆，才能在这一点时间内移动这么多的能量，同时又不会过热或太重。

假设电动车的电池容量是 100 度电（即 100KWh），相比之下，特斯拉 Model 3 的电池容量是 82KWh。10分钟充满100度电，那么充电功率至少需要 600KW。

目前，最高电压的充电桩是600伏特，要达到 600KW 的功率，就需要 1000A 电流。美国最粗的0000号电线的额定电流为 302A，那么供电端（VCC）需要四根这样的线，接地端（GND）也需要四根，因此总共8根电线。

每根0000号电线的直径为1.17厘米，8根线绑在一起，整根充电线将会非常粗重。

如果我们继续计算下去，铜的密度为 8.96g/cm^3，那么长度为1.5米的充电线，重量会达到11.7公斤（不包含外部的绝缘材料）。

此外，0000 号铜电线的电阻是0.046欧姆/1000英尺，这意味着仅仅是传导这些功率，这根充电线就将散发出 24W 的热量，用户会觉得很烫手。

考虑到这根线会有数千次的插拔，接口处的铜容易断裂，因此你还需要其他一些弯曲性好的导体，这意味着导电性会变差，充电线将会更粗更重。

替代方案是使用具有主动冷却功能和更高能量损耗的较轻电缆，除了成本高，这也会带来其他问题，比如一旦冷却失败可能会着火，冷却液也可能会泄漏等等。

我的结论是，在实验室中，小型电池确实可以在10分钟内充满，但是在家用环境中，十分钟安全转移 100KWh 的能量，具有很大的工程困难。

你或许会问，为什么不使用更高的电压，这样就可以降低电流，减少发热量？家用环境使用高电压会有成本和安全问题，比如电弧放电、绝缘材料的限制、电线破裂等等。

## 言论

1、

公司发给我的笔记本，配置并不好，并且装有很多监控软件。幸运的是，我上班时只需要 SSH 连接到服务器，在服务器上做开发。

后来来了一个实习生，公司发给他的是我见过的最差的笔记本电脑，功能与 Chromebook 差不多，并且运行与我相同的监控软件，难怪他什么也做不了。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=25866031)

2、

一个年轻人的净资产如果只有四位数，那么他去赌期权似乎是很合理的，因为房地产泡沫已经切断了劳动者财富增长的最后途径。一旦股票市场出现泡沫，年轻人就会意识到这是他们最好的甚至唯一的机会，因此股票投机将成为新常态，因为我们的经济并不能提供5万美元以下的更好的投资机会。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=25979958)

3、

一项美国的调查发现，如果你拥有研究生学位且年收入超过10万美元，过去一年的疫情其实改善了你的财富、工作保障、个人生活以及身心健康。

-- [《一个新的拐点：两极分化的公众》](https://morningconsult.com/2021/01/19/an-inaugural-inflection-point-ushering-in-a-new-era-of-marketing-amid-a-polarized-public/)

4、

怎么证明聊天软件 Signal 是安全的？

证据就是我每天使用它，到现在还没死。

-- [斯诺登](https://twitter.com/Snowden/status/1347217810368442368)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020705.jpg)

5、

德国统一后，原东德那些经济衰退、人口外流的地区，主动拆除2万多个空置公寓并以绿地代替。这样做不会使人们回来，但可能有助于阻止现有居民离开。

-- [《如何实现可持续发展》](https://thinkthinkthink.substack.com/p/exponential-growth-paradigm)

6、

Twitter 的“浏览”选项卡是世界上最重要的报纸。

-- [David Perell](https://perell.com/note/the-paradox-of-abundance/)

## 回顾

2020年的本周（第 95 期）：[远程办公暴露冗余岗位](http://www.ruanyifeng.com/blog/2020/02/weekly-issue-95.html)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122902.jpg)

2019年的本周（第 43 期）：[一篇好玩的论文](http://www.ruanyifeng.com/blog/2019/02/weekly-issue-43.html)

![](https://cdn.beekka.com/blogimg/asset/201902/bg2019021501.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完） 
