# 科技爱好者周刊（第 149 期）：新能源汽车，谁会是赢家？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1652)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030804.jpg)

重庆某个即将开业的游乐园，安装了世界最高的70米双螺旋过山车。（[via](https://www.instagram.com/p/CMI1x48r1yQ/)）

## 本周话题：新能源汽车，谁会是赢家？

过去的一年，新能源汽车突然成了明星，电动车公司的股价都上涨了许多倍。

我对这件事一直有怀疑，不那么看好那些电动车公司。这两周，他们的股价开始跌了，所以我想赶紧把自己的想法写出来，不要再拖了。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030806.jpg)

关于电动车，最基本的一点就是，它属于电子产品。**汽车一旦变成电动，就从机械产品变成了电子产品，** 电机替代了内燃机，电路替代了齿轮，软件替代了仪表。因此，电动车遵循的是电子产品的规律。

最像电动车的电子产品，就是手机。各家厂商生产的，明明都是差不多的产品，但是大家拼命做出差异，以求获得消费者的青睐。 **手机竞争的招数，都已经出现了电动车上了** ，下面我来列举四点。

**第一招，堆砌硬件。** 你的硬件好，我的硬件比你更好，而且更多！蔚来的新车 ET7 有23个扬声器、11个高清摄像头和5个毫米波雷达。请看下图，车顶的三个突起分别是两个摄像头和一个雷达，甚至车门上都装了摄像头。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030501.jpg)

**第二招，追求极限。** 消费者喜欢哪点，就把这一点做到极限。特斯拉有一块17英寸的触摸屏，大家觉得很酷，理想 One 就一口气放了四块，整个控制台是一整条超过一米的触摸屏。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030502.jpg)

**第三招，打价格战，强调性价比。** 2021年第一季度的[全球电动车销量冠军](https://company.cnstock.com/company/scp_gsxw/202103/4666715.htm)，不是特斯拉，而是五菱宏光 Mini EV，它的入门版价格不到3万元，相当于特斯拉的十分之一。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030503.jpg)

**第四招，外包。** 我只出整车方案，代工厂负责把车造出来，这样的话，效率更高，成本更低。事实上，富士康已经成立了电动车代工厂，从今以后不仅代工手机，还代工汽车。造车门槛将会越来越低，新品牌像雨后春笋那样冒出来。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030807.jpg)

通过上面这些例子，我只想说明，汽车一旦变成电子产品，竞争就会像手机那样极度激烈。这还没有提到软件的竞争，电动车的操作系统其实才是决定性因素，IT 巨头们迟早都会推出自己的整车。

现在那些电动车公司会赢到最后吗？我的预言是，就像手机厂商一样，大部分都会死掉，甚至特斯拉也很危险。这就好比，手机是摩托罗拉发明的，整个市场曾经都是它的，但是它最终也没有活下来。

反正，我对投资电动车股票很保守。更何况，新能源汽车还包括氢燃料汽车，它有很多优势，如果解决了氢气的运输和储存问题，电动车市场顿时就会大大萎缩。

## 前端工程训练营

如果你经常看周刊，就会知道我与培训机构合作，每一期都会发布课程介绍。这样一方面可以解决周刊的资金问题，另一方面也是为大家提供实用的培训信息。

因为我比较熟悉前端开发，所以大部分介绍的都是前端课程，尤其是面向初学者的前端框架开发，比如 React 和 Vue 的课程。

但是实际上，**任何一个团队都需要两种前端程序员** ：一种负责开发，一种负责项目的构建和发布，后者一般称为“前端工程”。

两者所需的知识技能不太一样，前端工程除了熟悉前端业务，还必须熟悉代码管理和网站管理，所以一般都由资深程序员来承担。大厂对前端工程岗位的招聘需求，要比开发岗更迫切，起薪也更高。如果懂一点前端工程，都是面试的加分项。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031101.jpg)

本周的课程就是国内著名培训机构“开课吧”提供的 **《前端工程化实战训练营》** ，适合那些在学会框架后想更进一步提升的同学。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031103.jpg)

讲课老师会带你构建一个前端组件库，重点讲解工程化的四个主要方面：测试、静态检查、代码打包发布、工作流程自动化。此外，还会介绍目前最受关注的工程工具 Docker、GitHub Actions 和 Vite。除了课程本身，还配有专属社群，资深助教定时解答作业和群内问题。

这个课程原价399元， **周刊读者有福利价，仅需 0.99元。** 前100个报名的同学还会额外获赠 《从0到1用 Node 完成一个 CLI 工具》视频课程。微信扫描下方二维码即可报名！

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031104.jpg)

## 科技动态

1、[人工智能 NPC](https://uploadvr.com/modbox-gpt3-ai-npc-demo/)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022102.jpg)

网络游戏 [Modbox](https://uploadvr.com/modbox-gpt3-ai-npc-demo/) 最近公开了 2.0 测试版，最大的特色就是出现了人工智能 NPC（虚拟角色）。玩家跟 NPC 之间的对话没有脚本，而是采用目前最强大的 AI 模型 GPT-3 实时生成的，甚至两个 NPC 之间的对话也是如此，效果非常好，请看下面的视频（[Youtube](https://www.youtube.com/watch?v=jH-6-ZIgmKY)，[腾讯视频](https://v.qq.com/x/page/e3229tw4ddp.html)）。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=e3229tw4ddp" allowFullScreen="true" width="600" height="400"></iframe>

游戏会调用 Windows 的语音识别功能，将玩家的语音转成文字，然后由 GPT-3 模型给出回答。这种方式的最大问题是 GPT-3 是云服务，对话会出现延迟，具体的时滞取决于用户与机房的距离。

2、[美国实验室猴子不足](https://cn.nytimes.com/business/20210224/covid-vaccine-monkeys/)

![](https://cdn.beekka.com/blogimg/asset/202102/bg202102512.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg202102513.jpg)

疫情期间，各种药物和疫苗的效果，需要在猴子身上实验，因为猴子和人类的 DNA 很相近。全世界的实验室猴子，主要由中国供应，每只价格超过1万美元。但是，中国本身也需要大量猴子进行实验，造成美国供应紧张。

《纽约时报》报道，许多生物公司得不到猴子，严重影响药物开发的进度，被迫只能在老鼠身上实验，他们纷纷呼吁美国政府要建立战略性猴子储备，辟出一个区域，专门来养实验室猴子。2019年，美国进口了33818只灵长类动物中，60％以上来自中国。

3、[单人办公亭](https://www.allnow.com/post/6035dc10615e445d0f2f4e15)

![](https://cdn.beekka.com/blogimg/asset/202102/bg202102510.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg202102511.jpg)

日本厂商开发的“单人办公亭”，疫情期间开始在日本变得流行。它长一米、宽一米、高两米，配有书桌、座椅、个人电脑和电源插座，提供了一个安静的办公环境，可以放置在商场、车站、甚至公司内部等嘈杂的场所。

它需要使用手机 APP 预订时段，每15分钟的价格是250日元（约合人民币15.31元）。据称，截至2020年9月，已经有大约4万2千人注册了该项服务，某些地点的办公亭已经供不应求。

4、[模拟器驾校](https://mp.weixin.qq.com/s/lmQdqBl_LT_AhowTJjT1jA)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021917.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021918.jpg)

一家深圳的驾校开始使用模拟器，培训学员学习驾驶。大曲面屏幕上逼真地 3D 模拟道路情况，包括交通灯、人行横道、树木和建筑物，可以模拟不同路线和不同天气条件下的驾驶。一个学员说：“我觉得它和真车一模一样，没有区别，离合器，油门，脚刹，手刹，一切都是一样的。”

学员先通过模拟器，熟悉基本的驾驶知识，然后再去练习场，开始驾驶真车。这些模拟器都位于市中心，方便学员上课，练习场则在郊区。比起全部在练习场上课，这样安排可以节约学员的时间，降低学习成本。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021919.jpg)

每台模拟器的成本约为3万元至4万元，相比之下，教练车成本约为12万元，还不包括燃油成本。而且，十几台模拟器仅需配备两到三名员工，而传统驾校则需要配备与车辆数量匹配的教练。

5、**一句话消息**

> - [中科院昆明植物研究所](https://new.qq.com/omn/20210225/20210225A05K6V00.html)发布首批毒蘑菇测试剂盒，该试剂能够快速检验含有鹅膏环肽毒素的剧毒蘑菇，这种毒素造成了80%-90%的蘑菇中毒死亡案例。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022706.jpg)

> - [OVH 主机公司](https://www.ovh.ie/news/press/cpl1786.fire-our-strasbourg-site)的一个法国机房3月10日发生严重火灾，所有服务器都被烧毁。这件事情的启示是，如果你的数据和数据备份在同一个机房，那么一旦机房没了，你的数据将彻底丢失。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031008.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031007.jpg)

> - [美国音乐行业](https://cn.engadget.com/riaa-music-revenue-report-2020-080016710.html)由于没有了演唱会，2020年的收入83%来自互联网音乐服务，创了历史新高，主要收入来源是 Spotify 和 Apple Music。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030306.jpg)

> - [一家荷兰公司](https://www.news24.com/ride24/news/variable-tyre-pressure-wheelset-is-a-mountain-biking-breakthrough-20210125)推出自动调节胎压的自行车轮胎，它从车轮滚动获取能量，根据路面情况自动充气或放气，平整的路面加大胎压，碎石路面减小胎压。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021908.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021909.jpg)

> - [德国](https://world.huanqiu.com/article/424HZbqxq5d)最快可能会在今年实施高速公路限速每小时130公里，这是为了减少温室气体排放。德国是目前西方国家中唯一高速公路不限速的国家。

## 文章

1、[联发科如何超车高通？](https://www.bnext.com.tw/article/61492/mediatek-mtk-5g-qualcomm-dimensity-1200)（中文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg202102509.jpg)

2020年，联发科 5G 芯片的发货量世界第一，超过了高通。本文介绍这是怎么回事，以及两大巨头的 5G 布局。

2、[中国的 RISC-V 计划和夜莺](https://interconnected.blog/riscv-china-nightingales/#chinese-version)（中文）

一篇评论文章，介绍中国国产芯片的动态，同时有英文版和中文版。

3、[无线充电为什么会限制功率？](https://www.ifanr.com/1401923)（中文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022309.jpg)

工信部公开了《无线充电管理暂行规定（征求意见稿）》，里面提到手机的无线充电不能超过50w。本文讨论了无线充电的功率问题。

4、[Len Sassaman 的故事](https://leung-btc.medium.com/len-sassaman-and-satoshi-e483c85c2b10)（英文）

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022301.jpg)

伦纳德·萨萨曼（Leonard  Sassaman）是一个传奇程序员，在区块链的发明过程中发挥了重大作用，但是由于忧郁症在2011年自杀身亡。本文介绍了伦纳德的一生，以及他的贡献。

比特币发明人中本聪的最后一次留言，就发生在伦纳德自杀前的两个月，“我已经转移到其他事情上，将来可能不会出现。” 伦纳德是否有可能就是中本聪？

5、[免费增值是产品启动的有效方式](https://www.chrisfrantz.com/how-to-kill-a-unicorn/)（英文）

本文以设计工具市场为例，研究了免费增值策略如何帮助小公司击败大公司，占领市场。早期，设计师都用付费的 Adobe 工具，后来免费软件 Canva、Sketch、Figma 相继出现，迅速成为市场的主流。

6、[`/dev/null`介绍](https://www.putorius.net/introduction-to-dev-null.html)（英文）

`/dev/null`在 Linux 系统代表了一个空设备，它会丢弃写入的任何内容，返回一个 EOF 字符。本文介绍它的一些重要应用。

7、[CSS Transition 详解](https://www.joshwcomeau.com/animation/css-transitions/)（英文）

`transition`是 CSS 动画的重要组成，本文详细解释了这个属性的详细用法，并给出大量的演示实例。

8、[如何使用 Nginx 改写图片请求](https://appfleet.com/blog/optimize-ghost-blog-performance-including-rewriting-image-domains-to-a-cdn/)（英文）

本文介绍一个小技巧，通过 Nginx 改写网页代码，将图片请求导向 CDN。

## 工具

1、[TabFloater](https://www.tabfloater.io/)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022103.jpg)

浏览器插件，将一个 Tab 以悬浮窗口的形式，显示在另一个 Tab 之上，类似视频网站的“画中画”效果。

2、[ytmdl-web](https://github.com/deepjyoti30/ytmdl-web-v2)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022707.jpg)

这个 Web 应用为从 Youtube 下载的歌曲音频文件，写入 iTunes、LastFM 等网站上的歌曲元数据。

3、[uidea.tools](http://uidea.tools/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030308.jpg)

一个在线 UI 设计工具，可以用来制作 H5 网页原型。（[@5A59](https://github.com/ruanyf/weekly/issues/1660) 投稿）

4、[fun-comment](https://github.com/5A59/fun-comment)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030309.jpg)

VS Code 插件，可以在源码文件里插入 ASCII 图像。（[@5A59](https://github.com/ruanyf/weekly/issues/1661) 投稿）

5、[Prisma](https://github.com/prisma/prisma)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030101.jpg)

Node.js 和 TypeScript 的 ORM 库，还提供了单独的查看数据库的 GUI 程序（上图）。

6、[Snyk](https://github.com/snyk/snyk)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030102.jpg)

一个开源程序，可以在本地检查 node.js 项目外部依赖模块的安全漏洞。

7、[Cloudflare Pages](https://pages.cloudflare.com/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030707.jpg)

Cloudflare Pages 开始了 beta 测试，可以自动构建 GitHub 仓库，发布为静态网站，跟部署到 Netlify 流程基本相同。（[@jwenjian](https://github.com/ruanyf/weekly/issues/1668) 投稿）

8、[FlameDisk](https://engineerdraft.com/flamedisk/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030705.jpg)

macOS 应用，通过火焰图，进行磁盘可视化分析和清理。([@yujinqiu](https://github.com/ruanyf/weekly/issues/1665) 投稿)

9、[Encode Mighty Things](https://projects.noahliebman.net/encodemightythings/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031004.jpg)

一个在线工具，让你把单词编码成毅力号火星探测车的降落伞条纹（参见上一期周刊）。

## 资源

1、[What the f*ck Python!](https://github.com/leisurelicht/wtfpython-cn)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021408.jpg)

这个仓库是原始英文版的中文翻译，收集 Python 语言的各种怪异的语法点，以及鲜为人知的功能特性，并尝试讨论这些语法现象背后真正的原理。

2、[Buzzing](https://www.buzzing.cc/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030706.jpg)

该网站汇集了国外社交媒体里的热门讨论，并且标题都自动翻译成了中文。（[@theowenyoung](https://github.com/ruanyf/weekly/issues/1667) 投稿）

3、[How they SRE](https://github.com/upgundecha/howtheysre)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021701.jpg)

各个仓库收集各大互联网公司的站点可靠性工程（SRE）最佳实践。

4、[面向工程师和科学家的 Python 教程](https://pythonnumericalmethods.berkeley.edu/notebooks/Index.html)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021708.jpg)

免费的英文书籍，向初学者介绍 Python 如何用于科学计算。

5、[I Miss My Bar](http://imissmybar.com/)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021906.jpg)

这个网站提供酒吧的环境音，可以选择加入什么声音：倒酒声、谈话声、街道声、雨声、背景音乐等。

## 图片 

1、[iPhone 与超级计算机](https://www.tnhh.net/posts/phone-power.html)

iPhone 12 的 A14 芯片，运算速度是 11 TFlOPS（每秒11万亿次）。

下图是它跟历年世界500强超级计算机的比较。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021021102.jpg)

上图中，绿色的水平线就是 A14 芯片的运算速度，黄线是超级计算机的入围门槛，红线是最强性能的计算机。

可以看到，如果放在2009年，它可以入围世界500强超级计算机。如果放在2001年，它比世界最快的计算机还要快。

这就是说，你手里的这台小小的手机，拥有十几年前世界最顶级计算机的性能。

2、[奇特的人行天桥](https://www.strongtowns.org/journal/2020/9/9/the-myth-of-pedestrian-infrastructure-in-a-world-of-cars)

美国佐治亚州有一座人行天桥，要通过四车道的高速公路。由于公路两侧的空地很小，导致它具有非常奇特的引桥。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021022302.jpg)

## 文摘

1、[在英国乡村长大的大猩猩](https://medium.com/history-of-yesterday/the-gorilla-who-was-brought-up-as-a-boy-in-an-english-village-6e3cdac33c63)

下面是一个不可思议的真实故事。

1917年，法国士兵在非洲的加蓬，射死了一对大猩猩，然后将幸存的一个大猩猩宝宝卖给了英国商人。

那个英国商人将这只大猩猩宝宝，带回了英国出售，被 Rupert Penny 上校买走，价格是300英镑，约合今天的25,000英镑。上校将其命名为约翰·丹尼尔（John Daniel）。

上校太忙，没时间照顾它。1918年，他将这只大猩猩送给了姐姐 Alyce Cunningham 夫人，后者住在一个叫做 Uley 的小村庄里。

Alyce 夫人和其他村民都不知道如何照顾大猩猩，因此他们决定将它当作一个特别多毛的孩子，进行抚养。

从此，约翰·丹尼尔有了自己的家。他有自己的卧室，学会使用电灯开关和自己铺床，甚至知道如何去洗手间。与大多数幼儿不同，他还喜欢喝苹果酒。

他会定期与 Uley 中学的孩子们玩耍和散步，还会跟着Alyce 夫人，坐在的敞篷汽车中旅行。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020902.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020904.jpg)

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020903.jpg)

从1918年到1921年，这只大猩猩在英国乡下度过了幸福的三年，可惜可悲的命运降临到它身上。

1921年，约翰·丹尼尔已经从32磅（14.5公斤）的可爱宝宝，现在变成了210磅（95公斤）的庞然大物，并且还在继续成长。

Alyce 夫人意识到，不太可能再把他养在家里了，但再把他送回非洲森林里生活也不太可能，她需要为他找到一个更合适的抚养人。后来，她遇到了一个热爱动物的美国人，答应带他去佛罗里达。

但是，那个美国人食言了，约翰·丹尼尔运到美国后，没有过上受到照顾的生活，反而被卖给了马戏团。

最终，约翰·丹尼尔被送到纽约的麦迪逊广场花园动物园，他不久就病了，健康状况迅速恶化。动物园饲养员认为他是因为思念自己的“母亲”而得病，就联系了 Alyce 夫人。

Alyce 夫人得到消息后，立即出发前往美国。可悲的是，约翰·丹尼尔在她到达之前已经死于肺炎。

他的遗体被捐赠给美国自然历史博物馆，在那里保存至今。Uley 的村民们则请来艺术家，为他制作了雕塑，进行永久纪念。

![](https://cdn.beekka.com/blogimg/asset/202102/bg2021020905.jpg)

2、[软件质量问题的根源](https://threadreaderapp.com/thread/1344616521537085441.html)

我有一个在 Ubisoft 工作七年的程序员朋友。他说过一句话：

“所有软件的质量问题和延迟问题，基本上都有同一个来源：产品经理不断变更需求。” 

“当你不断要求修改软件的方方面面，却又不更改里程碑的日期时，代码就会变得不正常，因为你不得不快速地更改和修复，这会导致许多软件 Bug，并且很难修复。” 

 “需求管理是软件开发的最薄弱环节。他们不断变化需求，会浪费大量时间，是软件质量问题的最大来源。” 
 
解决这个问题的一种方法是，增加原型开发阶段的时间，在原型阶段尝试解决所有可能出现的问题，此后就尽量不再变更。

## 言论

1、

特斯拉公司解雇了媒体关系部门的所用员工，正式表明它不想再跟媒体和记者打交道了，而是直接通过社交媒体跟公众对话。以后越来越多的公司会采用这种方式。

-- [《华盛顿邮报》](https://www.cjr.org/public_editor/washington-post-tesla-trump-power.php)

2、

很多路由器使用非常旧的 Linux 版本，研究人员收集了2020年在售的127种家用路由器，其中三分之一使用的 Linux 内核版本为 2.6.36。它是2010年10月发布的，至少有233个已知的安全漏洞。很难一一打补丁，而且很可能厂商根本没发布补丁。与其更新它，不如扔掉它，再买一个全新的路由器。

-- [《路由器安全性》](https://www.schneier.com/blog/archives/2021/02/router-security.html)

3、

鸟站在雪地里，脚为什么不冷？

如果你嚼过鸡爪，就会发现它没有太多肉，几乎都是肌腱和骨头，因此鸟脚的细胞中只有很少的液体。这意味着它很难冻结，没有冻结的液体就不会形成冰晶，避免了组织损伤和冻伤。   

-- [《为什么鸟的脚不冷？》](https://medium.com/i-wanna-know/why-birds-dont-get-cold-feet-515487d50ed5)

4、

中国文化的特点是尊重权力，表现为在家尊重父母，在学校里尊重老师，在单位里尊重领导。尊重权力强调的是服从领导者的意志，在这种背景下，公司管理的进步相对来说比较难，因为权力太好用了。

--[《与五位学者对谈互联网加班文化》](https://mp.weixin.qq.com/s/4kN65Eu_mYKmC-GLig082g)

5、

我年轻时有个梦想，希望能在大学任教，传授自己学习与创业上的心得，但后来我某位在大学任教的朋友聊到，现在学生都很混，包括研究生。

我心想，这不是我要的啊！跟一群没有兴趣听你课的人讲述你的人生经验，这无异是对牛弹琴呢！这不是分享，而是痛苦，从此我打消了到大学任教的念头。

--[《在个人网站写文章，我更自在》](https://mapleduh.pixnet.net/blog/post/49595249)

## 历史上的本周

- 2020年（第 98 期）：[怎样清晰地表达自己的观点？](http://www.ruanyifeng.com/blog/2020/03/weekly-issue-98.html)
- 2019年（第 46 期）：[推荐算法的副作用](http://www.ruanyifeng.com/blog/2019/03/weekly-issue-46.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
