# 科技爱好者周刊（第 152 期）：从北大到技校

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1709652)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021033008.jpg)

自贡灯会正在举办，上图是“环游星系”组灯。（[via](https://mp.weixin.qq.com/s/M3-gLp1ccOKhuWHYxhfbqw)）

## 本周话题：从北大到技校

最近，我看到一条[新闻](https://mp.weixin.qq.com/s/5ocKYYfHr1r4SC55ajkIWA)。十年前，有一个学生申请从北京大学转学去技校。十年过去了，他现在怎么样，媒体报道他的现状。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040109.jpg)

这个学生名叫周浩，从青海考入北大生命科学学院。大家知道，生命科学是学术性很强的一个专业，要学物理、化学、医学、生物化学等许多理论课程。周浩更喜欢动手，对那么多理论没有兴趣，入学第一年就跟不上课程了。

他想转专业去工科，但没有成功。他对继续读下去，丧失了信心，大一结束后，就申请休学一年，去深圳寻找出路。社会的闯荡让他意识到，没有一技之长很难立足。一年后，他回到北大，原以为会重新爱上学习，结果还是不适应。

这时他听说，德国的高中毕业生只有一半人读大学，还有一半人选择读职业学校，出路依然很好，这也是德国工业强大的一个原因。这给了他启发。2011年冬天，他从北大退学，进入北京工业技师学院，从一名北大学生变成了数控机床的技工。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040110.jpg)

机床更符合他的兴趣，他如鱼得水，从零基础成长为数控机床的熟练工。2014年第六届全国数控技能大赛的数控机床项目中，他获得了高技组全国第一名。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032010.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040111.jpg)

技校毕业以后，北京市化学工业集团把他作为高技能人才引进，解决了北京户口。现在，他在北京工业技师学院任教，是一名数控机床的青年教师。

那篇新闻报道的结尾处，赞扬了他选择合适自己的道路，但没有鼓励大家也走这条路。毕竟这是一个很冒险的举动，中国是一个看重文凭的社会，名校的光环对普通人有巨大的帮助，贸然放弃的损失很大。另外，你转学去技校，亲戚朋友和老师同学会怎么议论，别人会怎么看你，这是很大的心理压力。

在我看来，有一个最关键的点，报道里面没强调，那就是他最后选择的专业是数控机床，这大大减小了退学风险。中国制造业急缺数控机床人才，中国要成为“世界工厂”，离不开一大批机床专家。与其做一个平庸的北大毕业生，数控机床工程师有更好的前途和回报，更不用提幸福感的提升和个人兴趣的满足了。

**但是，这个故事真正打动我的地方，不是他选择哪一条道路，而是他敢于去选择，不跟现状妥协。** 那一种自己把握命运的主动性和勇气，我不能这样过下去，这不是我要的路，我必须改变人生的方向，然后毅然决然付诸行动。

太多的人缺乏这种勇气，让生活推着自己往前走，随波逐流。一个青年高中毕业，对自己、对社会都不太了解，选择大学专业都是听父母的，等到发现没有兴趣的时候，不知道该怎么办，往往选择先拿到文凭再说，得过且过。没有那种对命运负责的勇气和壮士断腕、破釜沉舟的行动力。

在中国，想要违逆命运安排好的道路，难度是极大的。周浩的退学是一个罕见的真实例子，拒绝命运的安排，听从自己的内心，做一个人生的逆行者。希望这个故事，能让更多的青年有做自己命运主人的勇气。

## 算法面试必考100题

这一段时间以来，互联网公司的招聘量特别大。具体可以看[《谁在招人？》](https://mp.weixin.qq.com/s/7TKIVjY1VRN8GzitvICeUQ)月刊，这个月的招聘岗位是三年来最多的。

原因大概是，疫情推动了在线服务，互联网公司有很好的利润和业务成长，现在加大投入，补充新人了。不过，一体两面的是，今年的应聘难度也是空前的：（1）高校毕业生创了新高；（2）很多本来会出国或在国外就业的人，现在选择国内就业；（3）实体行业不景气，更多的人涌向互联网公司。

如何拿到面试机会，成了很多同学最关心的问题。对于开发岗位来说，技术能力是决定性因素，校招的笔试和初面当中，通常都会包含算法题，考察你的编码解题能力。 **有针对性地准备一些算法题，是面试的有效准备方法。**

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040101.jpg)

这些年，LeetCode 刷题很流行。这确实是提高算法基本功的好方法，但是它也有自己的问题。一是题库越来越大，现在官网已经有1800多题了，根本做不完，新人往往不知从何下手；二是它主要收集美国的题目，跟国内的情况不完全一样。

本周的课程资料就是一份 **《算法面试必考100题》（含详细解答）** ，有针对性地帮助大家准备算法面试。它是“极客时间”从国内大厂的面试真题里面，选出来的频率最高、知识点最有普遍性的100道题目，涉及到了基本概念、数据结构、常见技巧等各个方面。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040102.jpg)

资料内容主要针对 Java 面试，也包括 C++ 和 Go 语言的题目，不过很多知识点是通用的，各种语言（甚至伪代码）都能用来解答。做一遍这100道题目，不失为短时间内准备算法面试的一种有效方法。

微信扫描下方二维码，添加小助理以后，回复“面试题”，即可 **免费领取** 《算法面试必考100题》。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040103.jpg)

## 科技动态

1、[推特入侵者](https://www.smithsonian9to5magc.com/innovation/can-new-technologies-eliminate-grim-practice-of-chick-culling-180977263/2021/03/16/apple-twitter-hacker-three-years-prison/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031809.jpg)

2020年7月16日，推特的多个认证账号遭到入侵，包括 Apple、Uber、比尔盖茨、拜登、马斯克等。所有账号都发出同一条信息（见上图），大意是我们正在回报社区，只要你向下面的钱包转入比特币，我们将在30分钟内加倍返还给你。

虽然这些假推文在5分钟内就被删除，但还是有价值10万美元的比特币转入了指定钱包。事后，警方发现这是佛罗里达州的一个17岁少年所为，他骗取了推特公司的一个员工的信任，访问了内部系统，发出这些假推文。

今年3月16日，佛罗里达法院宣判该少年三年有期徒刑，缓行三年。

2、[冰岛火山喷发](https://petapixel.com/2021/03/26/this-is-what-happens-when-you-fly-a-drone-into-a-volcano/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032902.jpg)

冰岛的吉尔丁达卢尔火山，最近爆发了。由于喷发规模不是很大，只是慢慢涌出岩浆，地势也容易接近，导致大量游客蜂拥而至。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032903.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032904.jpg)

有人将无人机飞到了火山口上方，拍到了罕见的正在喷发的火山口视频（[Instagram](https://www.instagram.com/reel/CMzW24JHaCF/)，[腾讯视频](https://v.qq.com/x/page/r3236uz470t.html)）。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=r3236uz470t" width="400" height="600" allowFullScreen="true"></iframe>

火山口的高温烧坏了无人机底部的镜头，好在控制系统没有烧坏，还能够飞回来。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032905.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032906.jpg)

3、[FaceApp 变脸术](https://mothership.sg/2021/03/japanese-biker-actually-man/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032003.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032002.jpg)

Twitter 帐户 azusagakuyuki 有超过16,000个关注者，看上去是一个年轻的日本女子经常发布自己骑摩托车的照片。

有人发现，某张照片的摩托车后视镜里面，似乎是另一个人的脸。电视台的综艺节目就派人调查，结果发现骑手居然是一个50岁的男子。

他使用 FaceApp 变脸自己的照片后发布。他说没人愿意看一个大叔的自拍，变成年轻女子以后，关注的人就多了。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032004.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032005.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032007.jpg)

4、[3D 打印书屋](http://sh.sina.com.cn/news/m/2021-03-20/detail-ikkntiam5747824.shtml)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032512.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032513.jpg)


全国首个混凝土 3D 打印书屋在上海宝山区落成，面积不到30平米，可容纳15人。该建筑从上往下看是一个“逗号”的样式，里面会放一个书桌。

该书屋是将预先设计好的模型文件，现场导入机械臂，然后一层层用混凝土打印出来。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032514.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032515.jpg)

5、**一句话消息**

[国内公司](https://m.thepaper.cn/newsDetail_forward_11930609)推出了高空抛物智能监控系统，能够做到精确定位监控，发现哪个窗口往外扔东西，还实现了社区和派出所联网。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021033009.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021033010.jpg)

[问答社区 StackOverflow](https://stackoverflow.blog/2021/03/31/the-key-copy-paste/) 的愚人节玩笑：一个专用的复制/粘贴小键盘。你可以一键把示例代码，复制到自己的项目。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040105.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040104.jpg)

[英国](https://www.bbc.com/news/business-56503741)新版的50英镑钞票，背面人物是计算机科学家艾伦·图灵（Alan Turing）。该钞票将于6月23日进入流通，那天是图灵的生日。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032518.jpg)

[毅力号漫游车](https://edition.cnn.com/2021/03/24/world/ingenuity-mars-helicopter-wright-brothers-scn-trnd/index.html)在火星上释放了一个飞行器，传回的照片简直就像太空西部片。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032510.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032511.jpg)

[iPhone13](https://www.wired.co.uk/article/iphone-13-rumours) 有谣传会取消所有对外暴露的接口，即取消充电口，完全依靠无线充电。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032108.jpg)

[一项研究](https://blog.rize.io/blog/phones-and-apps-reduce-your-ability-to-focus-even-when-they-dont-distract-you)发现，哪怕手机只是放在一旁，都会分散你的注意力。研究人员建议，对于要求专注的工作，最好将手机放到另一间房间。

## 文章

1、[2020年竣工的中国十大摩天楼](https://mp.weixin.qq.com/s/KNxrRPbIGLO0MeDcEJQCvw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032009.jpg)

2020年全球有106座高度200米以上的建筑竣工，中国有56座，本文介绍其中最高的10座。上图是去年国内竣工的最高建筑，403米的广西南宁华润大厦。

2、[OKR 考核替代 KPI 考核的问题](https://www.allnow.com/post/605713147dd7084b3527781e)（中文）

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032309.jpg)

很多互联网公司开始采用 OKR 考核替代 KPI 考核。前者是注重目标和阶段性结果，后者是单纯的结果考核。这篇新闻分析讨论了这种替代产生的一些问题。

3、[暗网取证研究](https://mp.weixin.qq.com/s/_kObp0peUyajqnDACJDlqg)（中文）

暗网（Dark Web）具有匿名性及不可追溯性，只能通过特定软件才能登录访问。本文讨论执法部门如何对暗网的取证。

4、[Adobe 公司的 Super Resolution 功能](https://blog.adobe.com/en/publish/2021/03/10/from-the-acr-team-super-resolution.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031902.jpg)

Adobe 公司新发布了一项革命性的图像功能：Super Resolution。它可以将图像的解析度放大4倍，同时不丢失细节。这篇文章是软件作者介绍该功能。

5、[ts 命令的用法](https://www.putorius.net/ts-command-add-convert-timestamps-linux.html)（英文）

Linux 命令行有一个 ts 命令，可以为输出加上时间戳。本文介绍它的各种用法。

6、[浏览器的 HTTP Referrer 标头政策变化](https://blog.mozilla.org/security/2021/03/22/firefox-87-trims-http-referrers-by-default-to-protect-user-privacy/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032310.jpg)

Firefox 浏览器宣布跟随 [Chrome 的做法](https://developers.google.com/web/updates/2020/07/referrer-policy-new-chrome-default)，修改 HTTP Referrer 标头政策。修改后的做法是，从 HTTPS 跳转到 HTTP，不发送`referer`标头；从 HTTPS 跳到 HTTPS，只要有跨域，`referer`标头就只包含域名，不包含路径。

7、[Makefile 可以取代 package.json 脚本](https://spin.atomicobject.com/2021/03/22/makefiles-vs-package-json-scripts/)（英文）

package.json 文件可以自定义 npm 脚本命令，比如`npm test`。这篇文章提出 Makefile 可以替代这些脚本命令，具有更好的可维护性和更强大的功能。

8、[SSH 如何搭建简易 VPN？](https://blog.gwlab.page/vpn-over-ssh-the-socks-proxy-8a8d7bdc7028)（英文）

本文介绍 SSH 如何搭建一个简单的 VPN 网络。

## 工具

1、[Wombo](https://www.wombo.ai/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031603.jpg)

一个手机 App，上传一张脸部照片和一首歌曲，它就会自动生成照片人物对口型唱歌的视频。

2、[Zoom Escaper](https://zoomescaper.com/)

一个恶作剧软件，让用户在进行 Zoom 视频会议时，麦克风会产生噪音，从而避免发言甚至参与会议。

3、[wormhole-gui](https://github.com/Jacalz/wormhole-gui)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031602.jpg)

一个桌面应用程序，可以在同一个局域网的各个机器之间，互相发送文件。

4、[Baserow](https://gitlab.com/bramw/baserow)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031403.jpg)

一个开源的网页表格，目标是成为低代码的数据库，作为 Excel 和 Airtable 的替代品。可以使用托管的版本，也可以自己架设服务。

5、[Ryujinx](https://github.com/Ryujinx/Ryujinx)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031402.jpg)

一个任天堂 Switch 游戏机模拟器，可以在 Windows 上玩 Switch 游戏。

6、[Slog](https://slog.page/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031401.jpg)

这个网站可以把 Slack 上面的聊天，输出为一个博客网站。你只要把照片和想法发到 Slack，就能变成一篇博客文章。

7、[moovie.js](https://github.com/BMSVieira/moovie.js)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031303.jpg)

一个 JavaScript 写的 HTML5 视频播放器，可以在网页上播放视频。特点是功能较全，支持外挂字幕文件。

8、[Papercups](https://github.com/papercups-io/papercups)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040201.jpg)

一个可以自己架设的开源服务，在网页上插入聊天窗口，并可以集成 Slack，即在 Slack 上与网站访问者对话。

9、[Fraidycat](https://fraidyc.at/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031108.jpg)

一个另类的 RSS 阅读器，作为浏览器扩展安装，可以订阅 RSS 和社交媒体动态。UI 有点像推特的时间线，可以高效地展示信息。

## 资源

1、[Apple Privacy](https://www.apple.com/privacy/labels/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031201.jpg)

苹果官网的这个页面，列出了所有自家软件获取哪些用户信息。

2、[Duolingo 外语学习材料](https://duome.eu/tips/en)

多邻国（Duolingo）的外语教程笔记，一共有30多个语种，用英语讲解如何快速入门某一种外语。

3、[深度学习动手学](https://dataflowr.github.io/website/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032201.jpg)

深度学习的英语教程，可以免费在线阅读，针对初学者，注重动手练习。

4、[LaTex 教程](https://www.learnlatex.org/en/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031803.jpg)

LaTex 是学术文档的排版系统，这是一个免费的英语教程。

5、[Android FFmpeg 音视频开发教程](https://github.com/githubhaohao/LearnFFmpeg#android-ffmpeg-%E9%9F%B3%E8%A7%86%E9%A2%91%E5%BC%80%E5%8F%91%E7%B3%BB%E5%88%97%E8%BF%9E%E8%BD%BD)

一个中文教程，介绍如何将 FFmpeg 集成进入安卓 App，带有示例工程源码。（[@githubhaohao](https://github.com/ruanyf/weekly/issues/1691) 投稿）

## 图片

1、[人马马拉松](https://en.wikipedia.org/wiki/Man_versus_Horse_Marathon)

英国每年会举办一场奇特的马拉松，人与马同场竞技，线路全长35公里，都是崎岖的山地小道，看谁跑得快。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031005.jpg)

这场赛事起源于1980年，英国人 Gordon Green 偶然在酒吧听到别人聊天，其中一个人说，在乡间小路那种环境，马并不比人快。他听了以后，不禁冒出一个念头，为什么不组织一场这种比赛呢。

从1980年到2019年，比赛一共举办40次，马赢了38次，人赢了2次。

2、[无人机90秒穿越保龄球馆](https://www.abc.net.au/news/2021-03-12/hollywood-drone-video-minnesota-bowling-alley/13241718)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031302.jpg)

一个美国工作室发布了视频，无人机90秒穿越保龄球馆，一口气拍摄，没有中断，甚至没有任何后期制作（除了加上声音），效果非常惊人。

下面就是这段视频（[Youtube](https://www.youtube.com/watch?v=VgS54fqKxf0)，[腾讯视频](https://v.qq.com/x/page/p3233m9uy3y.html)）。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=p3233m9uy3y" allowFullScreen="true" width="600" height="400"></iframe>

据透露，一共拍摄十几次才成功。他们使用的不是普通的无人机，而是穿越机，把 Gopro 绑在上面拍摄，完全依靠手动操作。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031301.jpg)

## 文摘

1、[海因莱因的五条写作规则](https://www.sfwriter.com/ow05.htm)

著名的美国科幻小说作家罗伯特·海因莱因（Robert A. Heinlein），给有志于写作的年轻人，传授过五条写作规则，帮助他们入门。

我觉得这些规则，不仅适用于作家，也同样适用于程序员。

**规则一：你必须动手写**

听起来很明显，是吗？但是，很多人只是想想而已，并没有真的动手写任何东西。成为作家的唯一途径是将自己放在键盘前，开始工作。

**规则二：完成草稿**

你开始写的前几页，可能很糟糕，你可能会想将它们扔掉。不要这样做，继续下去把草稿写完。一旦有了初稿，包括开头、中间和结尾，你会惊讶地发现，哪些是有用的部分，哪些是没用的部分。

**规则三：不要无休止地修改**

你应该不断修改你的草稿，但是一旦发现，修改后的效果没有比原来有太大的提升，就应该结束修改了。有句老话说，故事永远不会结束，只会被放弃。你要学习到了某个点，不再对这个作品投入时间。

**规则四：你必须将作品推向市场**

写完之后，放在书桌上是没有用的。即使你对自己没有信心，也应该把作品发布出去，看看外界的反应。不要胆怯，没有发表过的作品，等于没有写。

**规则五：你必须努力推广作品，直到售出为止**

一个事实是，你的作品几乎肯定会被拒绝，最大的可能是根本没有反响。不要为这种事情烦恼，很多伟大的作家都收过很多拒稿信。如果那些拒绝当中包含你认为不错的建议，请修改你的作品，然后再次发布。如果得不到什么建议，那就转向其他市场发布。你要坚持让更多的人看到你的作品。

最后，不管上一部作品得到什么样的成绩，你开始准备下一部作品。 

## 言论

1、

旅行是非常棒的经历，但是你不能寄希望于旅行会让你的生活真正发生变革。我曾经环球旅行，现在差不多过去了十年，感觉就像对我的生活没有发生过影响。随着现在的生活越来越安定，旅行的记忆正在迅速消失。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=26408486)

2、

美国旧金山的金门大桥建于1930年代，用了三年半。如今，加州的基础建设严重滞后，建造一条通往金门大桥的道路，要花费七年的时间，实际成本比桥还贵。

--[《增长是如何停滞的》](https://eriktorenberg.substack.com/p/the-world-according-to-peter-thiel)

3、

终身学习的首要问题是，你一定要尝试找到乐趣，以及可持续的长期动力。

-- [《学习而不感到厌倦》](https://junglecoder.com/blog/learning-without-burnout)

4、

有时，魔术只是有人在台下付出了你想象不到的时间。

-- [美国著名魔术师泰勒](https://cs-syd.eu/quotes/2016-04-24-sometimes-magic-is-just-someone-spending-more-time-on-something-than-anyone-else-might-reasonably-expect---raymond-joseph-teller)（Raymond Joseph Teller）

5、

眼镜蛇效应（Cobra effect）指的是解决某个问题的方案，反而使得该问题恶化。

它来自于殖民时期的印度，政府颁布法令说每打死一条眼镜蛇都可以领取赏金。结果，民众为了赏金开始养殖眼镜蛇，政府不得不取消赏金，养殖蛇的人就把蛇都放了，放出去的蛇继而繁殖，反而使得眼镜蛇数量大增。

-- [维基百科](https://zh.wikipedia.org/wiki/%E7%9C%BC%E9%95%9C%E8%9B%87%E6%95%88%E5%BA%94)

## 历史上的本周

2020年（第 101 期）：[互联网不再稀缺](http://www.ruanyifeng.com/blog/2020/04/weekly-issue-101.html)

2019年（第 49 期）：[学会有所不为](http://www.ruanyifeng.com/blog/2019/03/weekly-issue-49.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
