# 科技爱好者周刊（第 154 期）：1982年的信息社会预言

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1709)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041108.jpg)

法国葡萄酒产区四月份遭遇了罕见的零下低温，为了避免葡萄苗被冻死，酒农们入夜后在地里点满了蜡烛，让葡萄取暖。（[via](https://www.allnow.com/post/60700f58274e4e5c71f11eac)）

## 本周话题：1982年的信息社会预言

美国未来学家约翰·奈斯比特（John Naisbitt）上周[去世](https://www.jiemian.com/article/5935782.html)了，享年92岁。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041115.jpg)

1982年，他出版了一本预测未来的书，叫做《大趋势》（Megatrends），非常畅销，全球累计销量超过1400万册。

该书1984年引进国内，中文版也是轰动一时，是当时国内的热门读物，他后来多次受邀访华。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041116.jpg)

1982年还没有互联网和手机，个人电脑也才刚刚诞生（第一台 IBM PC 发布于1981年暑假）。那个时候他就预言，人类社会很快就将从工业社会进入信息社会。

2007年，我读了这本书，很受震动，做了许多[摘录](http://www.ruanyifeng.com/blog/2007/03/megatrends_by_john_naisbitt_part_i.html)。现在翻出来看看，依然觉得他当年的描述，直到今天都有启发意义。下面就是他的一些观点。

**（1） 信息的地位**

工业社会的战略资源是资本，信息社会的战略资源是信息。

信息是知识社会的驱动力。权力的来源不再是金钱，而是信息和知识。

以前，我们大量生产工业品；未来大量生产信息。

**（2）信息社会要求的技能**

信息社会，我们比以往更需要具备读写技能。“读”用来吸收信息，“写”用来创造信息。

未来要想取得成功，你必须懂三种语言：流利的母语，一门外国语，一门电脑语言。

如果一个人的知识面太过专业化，一段时间后，他可能发现自己的专业已经陈旧了。如果一个人的知识面很广，在终身教育的配合下，他的专业可以随着时代的变化而改变。

**（3）始终关注未来**

信息和知识有一个重要特点，那就是它们不适用于守恒定律，会越用越多。而且，它们会合作增强，也就是说整体的价值大于部分之和。

如何过滤和处理信息，将成为关键的问题。

农业社会，人们习惯向过去看，依赖过去的经验；工业社会，人们更注重现在；信息社会，我们必须关注将来。

长期预测的技能将受到越来越大的重视。

## 数据分析培训

本周赠送的课程资料是就业技能培训，帮助大家学习数据分析工具，既有实用性，也能提高就业竞争力。

现在几乎每一家公司都离不开数据处理，需要用数据做精细化运营，驱动业务增长。很多业务岗位都有数据技能要求，大中型公司还有专门的“数据分析师”岗位。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041406.jpg)

开课吧特别向周刊读者赠送一门受到好评的课程 **《数据分析就业班》**，由 Python 布道师廖雪峰、数据分析专家杨国俊、《零基础玩转 Python》畅销书作者常江三位老师亲自研发授课。

课程内容包括：

> （1）学会使用 Python 处理数据，配置一个爬虫，抓取网上数据。
> 
> （2）使用 Excel 和 SQL 完成数据分析报告，做出漂亮的数据可视化图表。
> 
> （3）讲解常用的统计模型，比如线性回归、决策树、K-means 算法等。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041410.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041407.jpg)

讲课过程注重实用性，全程配合实战项目，力求让大家在动手中学习。课程面向初学者，也适合 0 基础的或者运营、产品、财会等非技术岗的同学。课程安排包括 6天 7 节课 + 数据分析专家直播＋3 个实战练习 + 社群服务 + 班主任作业督学答疑。

微信扫描下方二维码，添加助理老师，就能获取课程，只需象征性支付0.99元。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041409.jpg)

由于助理老师人力有限，一般会在24小时内通过申请。前100位报名者，还能免费领取价值99元的 **《Python 数据分析手册》** 。

## 科技动态

1、[真菌材料](https://www.cbc.ca/news/technology/what-on-earth-mycelium-fungi-building-1.5963938)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032701.jpg)

加拿大科学家尝试使用真菌，替代泡沫塑料，作为绝缘的填充材料。真菌可以低成本地大量繁殖，只要使用木屑、秸秆、果壳等生物废料就可以种植，种植和使用过程都是低能耗、无污染，废弃后会自然降解。

它还可以长成特定的形状，就像浇铸混凝土一样。目前，已经有公司在销售真菌做成的地砖、隔音墙板、保温板。

 ![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032702.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032703.jpg)

2、[自动驾驶公交车](http://cq.gov.cn/zwxx/jrcq/202104/t20210413_9155376.html)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041404.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041401.jpg)

重庆市首个自动驾驶公交车开通运行，这是全国第一条投入运营的自动驾驶公交线路。线路全程8.8公里，单次乘车费用为2元。

该车拥有4个激光雷达、2个毫米波雷达和7个单目相机，可以感知周边两三百米范围内的车辆和行人。每个路口还设有边缘计算单元，对路口各方向来车、来人进行计算，并与车辆自身感知进行融合，实现车路协同，从而防止出现感知失误。每辆自动驾驶公交车上会有一名安全员，可随时转换为人工驾驶。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041402.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041403.jpg)

3、[脑机接口的猴子试验](https://www.jiqizhixin.com/articles/2021-04-09-4)（中文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040905.jpg)

Neuralink 是马斯克投资的专门研究脑机接口的公司。它最近发布了一个爆炸性的视频，一只安装了脑机接口的猕猴，熟练地在玩打乒乓的电子游戏。

研究人员先在猴子的大脑皮层里面，植入了一个芯片。然后，训练猴子使用手柄操作游戏，一旦操作正确，猴子可以从吸管里面喝到奶昔，帮助它建立神经反射。这时，仪器会记录猴子的大脑电信号，以判断什么信号对应什么操作。等到猴子熟练了手柄操作以后，就移除手柄，仅仅通过大脑电信号来操作游戏。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041001.gif)

上面 GIF 动画中可以看到，猴子很熟悉地在玩乒乓球游戏，但是它没有使用手柄，完全是通过大脑意念在操作。它知道只要操作正确，就可以从吸管里面喝到奶昔。

马斯克说，该技术将用在瘫痪病人身上，“可能会让瘫痪病人对智能手机的操作速度，比普通人用手来操作还要快。”

4、[线性城市](https://www.archdaily.cn/cn/955185/sha-te-a-la-bo-gong-bu-100ying-li-xian-xing-cheng-shi-gui-hua)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031710.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031712.jpg)

沙特政府宣布，将建设一个“未来城市” Neom。该市是长达170公里的线性布局，只有一条主干道，分为三层。地面是步行层，有各种建筑物和绿化带；地下一层是服务层，提供各种基础设置；地下二层是交通层，提供轨道交通。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031711.jpg)

初看之下，这个设计十分奇特，但是仔细想想，其实非常合理。由于只有一条主干道，所以可以充分利用公共交通，而且只有一条路线，运输效率非常高。另外，各种公用事业管道也只需要建设一根主管道，向两旁拉出分支即可。

5、**一句话消息**

[Nvidia 公司](https://finance.sina.com.cn/tech/2021-04-13/doc-ikmxzfmk6469862.shtml) CEO 黄仁勋（下图）宣布推出首款服务器 CPU，跟 Intel 公司正面竞争。该 CPU 为 ARM 架构，产品名 Grace，号称训练超大 AI 模型有10倍的性能提升。它将用来在瑞士国家超级计算中心建造下一代超级计算机。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041414.jpg)

[亚马逊](https://aws.amazon.com/cn/blogs/opensource/introducing-opensearch/)正式发布了 OpenSearch，这是对 Elasticsearch 官方版本的反击，后者最近修改许可证，禁止作为云服务进行销售。两者的关系有点像 MariaDB 和 MySQL，双方势均力敌，大概过一两年，才能看出来谁会赢。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041301.jpg)

[哈勃望远镜](https://robbreport.com/lifestyle/news/rare-psyche-asteroid-worth-way-more-than-the-global-economy-1234577976/)在火星和木星之间，发现了一颗稀有的小行星，上面包含的铁镍合金，按照现在的价格，价值1000亿亿美元，比全球 GDP 总和高出70000倍，分给全球75亿人，每人可以分到13亿美元。太空采矿也许会大发展了。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032907.jpg)

[湖南科技大学](http://www.xinhuanet.com/2021-04/08/c_1127306762.htm)研发的“海牛Ⅱ号”海底钻机系统，在南海超过2000米的海底成功下钻231米，刷新世界深海海底钻机钻探深度。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040803.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040804.jpg)

## 文章

1、[我如何走上研究恐龙的道路](https://mp.weixin.qq.com/s/wysaCR9cnsaVbMP5NxFXJw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040107.jpg)

中国科学院古脊椎动物研究所汪筱林老师的演讲，他是怎么会研究恐龙的，以及如何在哈密地区发现了世界分布面积最大的翼龙化石群，足足有几千万条恐龙的化石。

2、[GitHub Actions 被滥用挖矿](https://www.qbitai.com/2021/04/22837.html)（中文）

最近，有人向各种 GitHub 仓库疯狂提交 Pull Request，只为了触发 GitHub Actions 跑他的挖矿脚本。本文详细介绍这个事件。

3、[我如何做出一个病毒式传播的网站](https://notfunatparties.substack.com/p/inside-a-viral-website)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040108.jpg)

苏伊士运河的堵塞事件，启发作者做了一个 [istheshipstillstuck.com](https://istheshipstillstuck.com/) 网站，可以查看事件的最新进展。该网站变得极其流行，5天内有5000万的访问量。作者介绍了背后一些有趣的事情。

4、[什么是字符串哈希？](https://jorgechavez.dev/2020/11/12/string-hashing/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032802.jpg)

本文通过一个简单的例子，讲解字符串的哈希值的原理，它是怎么算出来的。

5、[SQLite 命令行数据处理示例](https://antonz.org/sqlite-is-not-a-toy-database/)（英文）

SQLite 是一个很强大的工具，很多人只把它当作数据库使用，却不知道它可以用在命令行，处理各种数据文件。

6、[为什么面向对象编程很糟糕？](http://harmful.cat-v.org/software/OO_programming/why_oo_sucks)（英文）

一篇很老的经典文章，作者是 Erlang 语言的创始人乔·阿姆斯特朗（Joe Armstrong），他总结了面向对象编程的四个重大缺点。

7、[如何不使用 Rails 开发一个 Ruby 的 Web 应用](https://shopify.engineering/building-web-app-ruby-rails)（英文）

Rails 是 Ruby 语言的标准 Web 框架，但是不用它也能开发 Web 应用。本文是一篇长篇教程，详细讲解不使用框架时，Ruby 语言如何开发 Web 应用。

8、[如何清理 Docker？](https://dockerwebdev.com/tutorials/clean-up-docker/)（英文）

如果你大量使用 Docker，它会占用很多硬盘空间。本文教你如何彻底清理 Docker，包括清理容器文件、镜像文件、网络数据、虚拟磁盘等等。

## 工具

1、[FicusJS](https://docs.ficusjs.org/index.html)

一个 Web Component 组件开发框架，看上去挺简单。

2、[Lite YouTube Embed](https://github.com/paulirish/lite-youtube-embed)

一个 Web Component 组件，用来快速加载 Youtube 视频，可以从它的源码学习 Web Component 组件的写法。

3、[PDFReal](https://pdfreal.com/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032908.jpg)

该网站提供了一系列在线工具，用于 PDF 文件的各种处理。

4、[Explorer ++](https://explorerplusplus.com/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032901.jpg)

一个 Windows 轻量级文件管理器，有 Tab 窗口，支持为文件打书签，界面可以自定义。

5、[UltraWeather](https://github.com/Leftium/ultra-weather)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032704.jpg)

一个开源的 Web 应用，可以自己架设服务，查看全世界主要城市的天气，并且有 API。

6、[wkhtmltopdf](https://wkhtmltopdf.org/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032609.jpg)

一个命令行工具，将 HTML 源码文件转成渲染好的 PDF 文件。

7、[MDTU](https://devtool.tech/markdown)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041101.jpg)

 Markdown 文档的微信公众号编辑器，支持微信外链转脚注（或二维码）、从 URL 采集 Markdown 等功能。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/1719) 投稿）

8、[VS Code 主题生成器](https://themes.vscode.one/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032603.jpg)

一个在线工具，用来创建自己的 VS Code 主题。

9、[Aerial](https://github.com/OrangeJedi/Aerial)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032602.jpg)

Windows 屏幕保护程序，在屏保时自动播放 Apple TV 的屏保视频，非常漂亮。

10、[DeaDBeeF](https://deadbeef.sourceforge.io/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032520.jpg)

桌面音频播放器，支持几乎所有的音频格式，并且可以互相转换。Linux 和 macOS 可用。

## 资源

1、[permission.site](https://github.com/chromium/permission.site)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032608.jpg)

该网站收集 Chrome 浏览器各种需要用户许可的场景（比如读取剪贴板、读取地理位置等），每个场景都提供可运行的示例。

2、[程序员的 IT 英语教材](https://englishplusplus.jcj.uj.edu.pl/index.html)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032519.jpg)

这是波兰某个大学的计算机专业英语教材，收集了一些 IT 方面的经典英语文章，用来提高非英语国家程序员的英语水平。

3、[在线匿名者指南](https://anonymousplanet.org/guide.html)

一本免费阅读的英文书籍，教你如何在网上不留下痕迹地进行访问，分为各种使用场景，内容比较深。

4、[Beej 的 C 语言教程](http://beej.us/guide/bgc/html/index-wide.html)（Beej's Guide to C Programming）

C 语言的详细教程（英文的），免费在线阅读。

5、[高教书苑](https://ebook.hep.com.cn/ebooks/index.html#/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040602.jpg)

高等教育出版社的在线平台，可以查阅该社出版的3000多本书籍的信息，还可以免费阅读全文或部分章节。

## 图片

1、[木卫二](https://phys.org/news/2021-03-ocean-currents-enceladus.html)

木卫二是太阳系少数有液态水的行星。它的表面是厚厚的一层冰，下面是巨大的液态海洋。

请看下面这张清晰的照片，冰外壳上到处都是洋流的痕迹。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032604.jpg)

它非常小，直径只有500公里，相当于月球的七分之一。冰层厚达20公里，下面的海洋有30公里深，含水量是地球海洋的好几倍（地球海洋的平均深度为3.6公里）。由于底部的海洋没冻，因此它一定有一个热核。

## 文摘

1、[巨型集装箱船](https://www.bloomberg.com/opinion/articles/2021-03-29/despite-the-ever-given-getting-stuck-in-the-suez-canal-ships-will-get-bigger)

上个月，巨型集装箱船“长赐轮”堵塞了苏伊士运河。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021033101.jpg)

这艘巨轮2018年下水，可以装20,000个标准集装箱（20,124TEU），是世界上最大的轮船之一。它长400米，比辽宁号航空母舰（长300米）长出三分之一。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021033102.jpg)

这么大的船，以前人们认为不可能造出来。二十多年前的1999年，世界最大集装箱船的容量仅仅为 8,000TEU。当时很多人觉得，这样的船已经足够大了。

可是，现在超过 20,000TEU 的集装箱船，全世界已经有将近100艘（包括建成的和正在建的）。而且，集装箱船还在变得更大。中国的沪东中华造船集团已经完成了一艘 25,000 TEU 集装箱船的设计。可以预计，到十年后的2030年，30,000 TEU 的庞然大物也将变得司​​空见惯。

如此巨大的船体，可能引发很多问题。目前，世界最大的集装箱必须等到涨潮，才能确保有足够水深，可以进入荷兰鹿特丹港。如果没有进一步疏通航道，更大的集装箱船很快就将无法在上海、釜山和香港停泊。

陆地上的港口基础设施，也存在类似的问题。虽然现代港口的卸货效率惊人，可以在几天之内卸完满载的20,000 TEU 集装箱船，可是大船等待泊位所花费的时间会大大减少整个航运业的利润，因此可能不得不建造更长的码头，以容纳更大的船舶，还要建造可以跨越更宽甲板的起重机和容纳成千上万个集装箱的更大的装货场，以及配套的铁路和公路枢纽的扩容。

另一个困难是，当前主要的海运路线可能无法容纳更大的船了。长赐轮已经大到无法通过巴拿马运河了，因为巴拿马运河使用船闸，将船提升到更高的水位，那个船闸容纳不了大船。苏伊士运河、马六甲海峡、新加坡海峡都是深24米，地质条件使得这个深度无法改变。

长赐轮的吃水深度是15.7米，所以可以通过苏伊士运河。但是，为了保证安全，船底与水底必须最少有3.5米的间隔，因此一旦更大的集装箱船吃水深度超过20米，就将不能进入苏伊士运河了。

超大型集装箱船的好处是，船舶越大，规模经济也越大，效率比小型船只高得多，从而可以在一次航行中获得更高的利润。那些利润也许能支持这些巨轮选择好望角航线，绕过非洲到达欧洲。那条航线的航行成本更高，但是水深足够。

从环境方面考虑，超大型集装箱船也有必要。航运业也是一个排放大量二氧化碳的行业，为了减少燃油消耗和排放，最佳方法可能就是将船造得更大，提高能源使用效率。

过去20年，我们已经看到，集装箱船从10,000 TEU跃升至24,000 TEU。那么到了2050年，如果出现50,000 TEU 的船只，请不要感到震惊。

## 言论

1、

Linux 服务器经常发生磁盘已满的错误，我的解决方法是，在所有的服务器硬盘上，都预先放置一个8GB的空文件，除了占用空间，它没有其他作用。

一旦磁盘已满，就删了这个文件，顿时就有了多余空间，也有了解决问题的缓冲时间。

--[《为什么我所有的服务器都有 8GB 的空文件》](https://brianschrader.com/archive/why-all-my-servers-have-an-8gb-empty-file/)

2、

很多人认为他们需要使用面向对象编程，实际上他们只需要模块化。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=26588045)

3、

所有统计模型都是错的，但有些模型有用。

-- [乔治·博克斯](https://en.wikipedia.org/wiki/All_models_are_wrong)（George Box），英国统计学家

4、

自从网约车平台出现，出租车司机就成为了大数据算法下的平台工具人。

--[《出租车司机的餐饮地图》](https://www.huxiu.com/article/417359.html)

5、

目前，W3C 规范有1,217个，总字数超过1亿。这意味着，已经不可能从头开发一个全新的网络浏览器，因为网络已经变得如此复杂，创建新的网络浏览器的工作量可与阿波罗登月或曼哈顿计划相媲美。

-- [《网络浏览器的无限范围》](https://drewdevault.com/2020/03/18/Reckless-limitless-scope.html)

## 历史上的本周

2020年（第 103 期）：[信息的半衰期](http://www.ruanyifeng.com/blog/2020/04/weekly-issue-103.html)

2019年（第 51 期）：[为什么过去10年，笔记本硬件发展缓慢？](http://www.ruanyifeng.com/blog/2019/04/weekly-issue-51.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
