# 科技爱好者周刊（第 155 期）：数字货币是打破美元霸权的武器吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1709)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041107.jpg)

四川省都江堰市的巨型“自拍熊猫”雕塑，最近亮相。该作品由荷兰艺术家创作，长26.5米、高12米，熊猫躺在草地上，拿着手机自拍。（[via](https://www.instagram.com/p/CNZQYe5Hqao/)）

## 本周话题：数字货币是打破美元霸权的武器吗？

前些天，硅谷风险投资家[彼得·泰尔](https://www.bloomberg.com/news/articles/2021-04-07/peter-thiel-calls-bitcoin-a-chinese-financial-weapon-at-virtual-roundtable)（Peter Thiel）公开说，美国应该限制比特币。因为比特币是中国的金融武器，用来削弱美元。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040906.jpg)

他说，中国故意把比特币的价格炒高，吸引资金，使得比特币的影响越来越大。这就破坏了美元的地位。

我想讨论一下这种说法。比特币的价格上涨，跟政府有没有关系，我不知道。但是，比特币会破坏美元，倒是真的。

简单说，**比特币的接受程度越高，美元就伤越重。** 因为美元是实际上的世界货币，每家银行都有美元业务，美国因此可以管到全世界所有银行，进而控制世界金融体系。这就是美国的实力，除了实体武器，它还有两大无形的武器，一个是互联网，另一个是美元，都由它控制。

但是，比特币的交易和结算完全不通过银行，而是通过矿工网络。因为不涉及银行，美国就控制不了比特币，这意味着，美国的金融制裁在比特币面前是没用的。从这个角度看，为了防止美国制裁，囤积一点比特币，甚至国家出面搞一个矿场，都是可行的方法。

**进一步说，任何不通过银行体系的交易方法，都是对美元霸权的破坏。**  国内正在推行的数字人民币，也有这个作用。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040907.jpg)

数字人民币的交易和结算，需要通过机房。理论上讲，所有结算都可以放到中央银行的机房，跳过商业银行，等于是一个不受美国影响的独立结算体系。数字人民币的交易规模越大，传统金融体系的结算规模就会越小。

《华尔街日报》最近有一篇[文章](https://www.wsj.com/articles/china-creates-its-own-digital-currency-a-first-for-major-economy-11617634118)提到，美国应该担心，那些贫穷的小国开始使用数字人民币做国际汇兑。以前，国际汇兑目前只能通过银行，所以受到美国的控制。一旦有国家愿意接受数字人民币，就有了另一个选择，他们可以用数字人民币做国际汇款。因为汇款不通过商业银行，是在中国中央银行的机房完成的，美国就管不到了。数字人民币的国际市场份额越大，美元的影响力就越小。

最后顺便提一下，《华尔街日报》的文章还提到一个场景。数字人民币是记名的，谁的名下有多少钱，中央银行都知道，因此政府可以将财产与个人直接匹配。下面的场景是完全可能的：大街上的摄像头发现有人乱穿马路，通过人脸识别，认出这个人是你，系统直接扣除你的数字人民币，作为罚款。不像现在，操作起来很麻烦，还要确认你的账户在哪一个银行，里面有没有钱。

## 家庭保险规划

读者问到周刊的合作问题，我说一下。每周有一个栏位，介绍课程或产品，合作方主要是培训机构和 IT 公司。

非 IT 类的合作机构，目前只有一家，那就是广东的谱蓝公司。因为很早以前，他们就支持我，每年搞活动都会找我发布消息，一直合作到现在。他们的春季免费活动**家庭保险规划**又要开始了，大家有理财或保险问题，可以考虑参加。

谱蓝是拥有合规牌照的保险咨询公司，创始人孙明展老师从世界500强保险公司离职后创办，专门为用户提供保险咨询和理财规划。他们开发了一个人工智能系统，通过算法与金融产品数据库，给出最合适的财务建议。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041612.jpg)

这个系统已经运作多年，受到用户的好评。大家可以搜索一下“谱蓝”，有很多关于他们的报道，孙老师的公号“孙明展”也值得看，都是理财科普文章。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041613.jpg)

现在的经济形势很复杂，利率这么低，房市和股市居高不下，经济增长速度又在放慢，个人财务的压力可想而知。怎样才能保证财务安全，实现保值和增值，减轻意外事件的冲击，给自己和家庭多一点保障？

这次的“家庭保险规划”活动，就是由专业的理财师为大家一对一提供咨询，根据实际情况，分析家庭财务，给出保障建议和具体方案，打好家庭财务的安全垫。活动内容包括但不限于下面几项：

> - 家庭成员保障责任综合评估
> - 保险产品的性价比分析比较
> - 基于家庭状况和需求，构建综合保障规划

大家有什么问题，都可以问理财师。他们保证不为任何一家保险公司和基金公司做广告，只提供定制方案和咨询服务。

微信扫描下方二维码，就能 **免费领取** 这份价值800元的家庭保障规划服务。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041615.jpg)

## 资讯

1、[变色缝合线](https://www.smithsonianmag.com/innovation/high-schooler-invented-color-changing-sutures-detect-infection-180977345/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032909.jpg)

一个美国17岁黑人女中学生，根据甜菜汁遇到碱性物体，会从鲜红色变为深紫色的原理，发明了一种变色缝合线，可以检查手术伤口是否发生感染。

健康的人类皮肤是酸性的，pH值约为5。一旦伤口被感染，pH值会升至大约9，含有甜菜汁的缝合线就会变成深紫色（下图）。这可以快速发现是否发生术后感染，对于一些缺乏医疗设备的发展中国家，可能有很大的实用价值。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032910.jpg)

2、[智轨电车](http://hunan.voc.com.cn/article/202103/20210331074331810.html)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041102.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041103.jpg)

3月31日，智轨电车开始在湖南省株洲市载客试运营。这种电车外观上像有轨电车，但是不需要铺设轨道。它采用的是虚拟轨道，道路上需要预先放置识别标志，然后车载传感器通过感知这些标志，确定行驶路线。在专用道路上，可以做到自动行驶。

这种电车采用三节编组，最小转弯半径15米。理论上，可以像火车一样，挂载更多车厢。它的优点是造价低，仅是有轨电车的五分之一，工期也短；缺点是需要独立路权，才能发挥出优势， 如果遇到混行的道路，还不如传统公交。

3、[鸡蛋的性别](https://www.smithsonianmag.com/innovation/can-new-technologies-eliminate-grim-practice-of-chick-culling-180977263/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032202.jpg)

养鸡行业通常会在雄性小鸡出生后，将它们杀死，因为公鸡不会生蛋，而且脂肪增加速度太慢，不适合作为肉鸡。

这种做法即浪费又不人道，美国的粮食与农业研究基金会（FFAR）发起了“鸡蛋技术奖” ，需求最佳的解决方案，能够识别鸡蛋里面受精卵的性别。一旦发现某个鸡蛋会孵化出公鸡，就不再进行孵化，转而上市或者供应食品业。目前，已经有6种技术进入第二阶段测试，每个方案可以获得200万美元资金，完成进一步研发。

4、[水冷服务器](https://news.microsoft.com/innovation-stories/datacenter-liquid-cooling/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041109.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041110.jpg)

计算机芯片的功耗不断提升，发热量也水涨船高，服务器的散热成了机房最大的难题。空气冷却越来越不够用了，微软公司开始尝试水冷，因为液体的传热效率比空气高几个数量级。

他们将服务器主板都浸泡在液体之中，用的是专门的绝缘导热液，吸热只要达到50摄氏度就会沸腾，看上去就像浸在沸水中一样。导热液的蒸汽，遇到机柜上方的冷凝器，又会自动液化，落回服务器中，从而形成一个循环冷却系统。由于不需要额外的能量让液体流动，这个冷却系统本身是不耗能的，大幅降低了冷却成本。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041111.jpg)

5、**一句话消息**

[苹果](https://www.apple.com/newsroom/2021/04/apple-introduces-airtag/)发布蓝牙标签 AirTag，贴在各种物品上面，然后手机可以查看该物品的位置。最特别的是，它的蓝牙信号可以被附近的所有苹果设备读取，这意味着不管被带到哪里，都可能追踪到它的位置。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042106.jpg)

[GitHub](https://github.blog/2021-04-19-open-source-goes-to-mars/) 新增了一个徽章系统，只要你拿到了某项成就，个人页面上就会显示相应的徽章。目前主要有三种徽章：火星徽章（ NASA 火星探测用到了你的仓库）、北极徽章（你的仓库被放入北极保存）、赞助徽章（你资助了他人的开源项目）。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042102.jpg)

[美国宇航局 NASA](https://www.nasa.gov/directorates/spacetech/niac/2021_Phase_I/FLOAT/) 宣布，准备在月球上搭建货运轨道，使用磁悬浮小车运送月球基地内部的物品和建筑材料。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032705.jpg)

[中国科学家](https://mp.weixin.qq.com/s/VCV9VzwmvAiVrptl8XqSag)发现了游隼的5条迁徙路线（下图），每年9-10月份游隼都会从北极地区飞向亚欧大陆的各个角落，次年4-5月再飞回北极。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040113.jpg)

[专家](https://finance.sina.cn/7x24/2021-04-11/detail-ikmxzfmk6186199.d.html)表示，中国现在人均月流量为9GB，10年以后的2030年，人均流量或许达到100GB/月。如果你现在每月消费网络流量大于9GB，就超过一半中国人了。

## 文章

1、[国产的短视频编辑软件们](https://mp.weixin.qq.com/s/SQh6XDKVXyG7gKOO8ofrqw?)（中文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041601.jpg)

国内短视频大厂纷纷推出配套的视频剪辑软件，相比国外的老牌工具，并不落下风，本文介绍国产视频编辑软件的现状和策略。

2、[如何饲养一头衰老的马来熊](https://mp.weixin.qq.com/s/5EV33PrdQYya0aNzNG3vfQ?)（中文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041604.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041605.jpg)

南京市红山动物园有一头32岁的马来熊。野生马来熊的寿命在20-30岁之间，32岁就相当于人的90岁。饲养员彭培拉说：“经过了评估，我们认为这个动物已经没有任何攻击性，那我们应当有自由度去给动物幸福。”从此，人们每天都能看到这一人一熊缓缓走在通道上。

3、[火星放飞无人机](https://xw.qq.com/tech/20210419009211/TEC2021041900921100)（中文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042003.jpg)

美国宇航局成功在火星表面，放飞一架名为“机智”号（Ingenuity）的小型无人直升机。本文介绍这个项目的细节。

4、[Chrome 90 的 4 大新功能](https://sspai.com/post/66156)（中文）

本文介绍 Chrome 90 的四个新功能，对于普通用户还是挺有感的。

5、[如何制作一个纯 CSS 的密码生成器](https://dev.to/inhuofficial/a-pure-css-password-generator-they-said-it-can-t-be-done-4pla)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041305.jpg)

写法很简单，但是做出来的效果真不错。

6、[深入了解 CORS](https://ieftimov.com/post/deep-dive-cors-history-how-it-works-best-practices/)（英文）

本文详细介绍浏览器跨域请求的概念、原理和最佳实践。

7、[浏览器 Fullscreen API 使用指南](https://css-tricks.com/how-to-leverage-the-fullscreen-api-and-style-it/)（英文）

FullScreen API 可以让你完全控制，将整个页面或某个页面元素全屏显示，并且提供 CSS 伪类`:fullscreen`控制样式。

8、[Web MiniDisc 应用程序](https://stefano.brilli.me/blog/web-minidisc/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040903.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040904.jpg)

上个世纪90年代，索尼公司发布过 MiniDisc 播放器（上图一），有些型号带有 USB 接口。作者尝试写一个 Web 应用（上图二），使用 WebUSB 从浏览器连接播放器，然后使用 ffmepg.js 解码音频，从而将电脑上的音乐发送到它上 MiniDisc 播放器。

9、[如何创建一个 Node.js 的命令行应用](https://blog.logrocket.com/online-radio-server-pure-node-js/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040902.jpg)

作者一步步详细讲解，如何使用 Node.js 写一个命令行窗口应用，播放 MP3 歌曲。

## 工具

1、[xip.io](http://xip.io/)

一个 DNS 工具，可以为 IP 地址生成任意子域名。比如，IP 地址是`127.0.0.1`，那么`foo.127.0.0.1.xip.io`就会指向`127.0.0.1`。

2、[darkhttpd](https://github.com/emikulic/darkhttpd)

C 语言编写的单文件 Web 服务器，无需安装，只要编译一下就能使用，可以替代`python -m http.server`。 

3、[Music Time](https://github.com/swdotcom/swdc-vscode-musictime)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040301.jpg)

VS Code 的插件，可以根据编写代码的风格和速度，自动播放从 Spotify 选择的最能促进生产率的歌曲。

4、[Mail Studio](https://mailstudio.app/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040202.jpg)

一个桌面软件，通过可视化界面，创建响应式邮件。

5、[dnspeep](https://jvns.ca/blog/2021/03/31/dnspeep-tool/)

一个命令行工具，查看本机发出的所有 DNS 请求和获得的回应。

6、[CORS Anywhere](https://github.com/Rob--W/cors-anywhere)

脚本的跨域请求，需要对方服务器支持 CORS，否则就很麻烦。这个工具是一个 CORS 代理，需要自己架设，然后轻松将任何跨域请求变成同域请求。

7、[HTTP Toolkit](https://httptoolkit.tech)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040114.jpg)

一个桌面程序，用来拦截和调试各种应用的 HTTP 通信，包括浏览器、安卓应用、命令行应用、Electron 应用等等。

8、[DBeaver](https://dbeaver.io/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041201.jpg)

数据库管理的桌面软件，支持各种主流数据库。

9、[dahliaOS](https://web.dahliaos.io/#/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041710.jpg)

这个网站是用 Flutter Web 框架开发的，使用 Dart 语言编写，然后编译成 JS，相当流畅。以后，开发网站时，除了 React 和 Vue，还可以考虑用 Flutter。

## 资源

1、[通过 Go 语言学习测试驱动开发](https://studygolang.gitbook.io/learn-go-with-tests/)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031205.jpg)

中文电子书，通过编写测试用例学习 Go 语言，为测试驱动开发打下基础。

2、[VR compare](https://vr-compare.com/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040112.jpg)

这个网站收集各种 VR 头盔的详细信息，并有对比表格。

3、[kunstderfuge.com](http://www.kunstderfuge.com/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041304.jpg)

该网站可以按照古典音乐家的人名查询，免费下载他们作品的 MIDI 文件，各类作品接近20000个。

4、[Google Earth Timelapse](https://earthengine.google.com/timelapse/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041801.jpg)

Google Earth 提供的卫星照片时间线功能，可以查看同一个地点从1984年至2020年的变化，目前官方提供了十几个地点。（[@LanternD](https://github.com/ruanyf/weekly/issues/1723) 投稿）

5、[文本生成图表的在线工具](https://xosh.org/text-to-diagram/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041302.jpg)

这个网页收集各种从文本生成图表（text-to-diagram）的在线工具，一共有40多种。

## 图片

1、[背景图片的差异](https://capitalandgrowth.org/answers/Article/2987224/How-to-Use-Pre-Suasion-to-Sell-More-Products)

一家销售沙发的电子商务网站，需要为沙发页面配上背景图片。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040203.jpg)

他们选择了两张图片，进行了 A / B 测试。

A 组配上了蓝天白云。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040204.jpg)

结果：最柔软、带有靠垫的那一款沙发，销量最好，可能是因为顾客认为那款沙发更舒适。

B 组配上了一分钱硬币。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021040205.jpg)

结果：最便宜的那款沙发，销量最好。

## 文摘

1、[张忠谋最新演讲](https://udn.com/news/story/7240/5403906)

4月21日，台积电创始人张忠谋发表公开演讲，谈谈他对半导体产业的看法。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042208.jpg)

**半导体的历史**

半导体的导电性介于导体（如金属）及绝缘体之间，因此称为半导体。一直到1948年，大家才关注这个东西，因为当年有一件大事发生，美国 ATT Bell Labs 的 Shockley、Bardeen、Brattain 发明了基于半导体的晶体管，ATT 开始实验生产晶体管。

1952年，ATT 授权晶体管给其它公司，包括 IBM、TI（德州仪器）。电脑与半导体开始平行发展。

1958年，Jack Kilby（德州仪器公司）及 Robert Noyce（仙童公司）发明集成电路，也是基于晶体管及半导体。

我是1955年从 MIT（麻省理工学院）硕士毕业，加入半导体事业。1958年到德州仪器，认识了大我8岁的同事 Jack Kilby，后来也认识了 Robert Noyce。

我和这些知名半导体人士在华盛顿的半导体会议一起开会，晚上一起去喝啤酒。那时大家觉得自己很幸运，身处在前途无量的半导体行业，喝完酒在雪花飘摇中走回旅馆。

**Intel 公司**

1985年，我回台湾创办台积电，需要募资。Intel 那时是霸主，认为台积电做不大。我与 Intel 高层熟识，一开始找他们投资。但是，Intel 不想投，我询问理由是时机不对吗，Intel 回应“是景气不好”。台积电成立以后，他们才帮了一点忙。

台积电在2020年市值曾达6,000亿美元，成为全球市值最大的半导体公司，反观曾居半导体霸主地位的 Intel，去年同时期的市值仅2,000亿美元，连台积电的一半都不到。Intel 从没想到芯片代工模式会变得这么重要。现在他们宣布也要做芯片代工，真是相当讽刺。

**台湾的优势**

美国在芯片制造占有土地与水电优势，台湾半导体则有人才优势。最关键的是台湾有大量敬业、优秀的工程师、技工、作业员愿意加入制造业。

美国人的敬业程度绝对不如台湾，至少工程师如此。我现在要的是又优秀又敬业的工程师、技工、作业员，而且要他们愿意投入制造业。美国制造业不红了，几十年前就不红了，工程师不投入制造业，包括金融、市场行销等都比制造业吃香。

台湾高铁及高速公路交通方便，适合大规模制造业人员调动。台积电三个制造中心新竹、台中、台南，成千工程师不必搬家调动，就可以到另一个工厂上班。台积电有宿舍，他们平时住宿舍，周末回家、不必搬家，assignment（工作分派）常常是一年，这个如果在亚利桑那（Arizona）你要怎么做。

美国虽然有胡萝卜又有棒子，但是单位成本显著较台湾高，就算美国联邦与州政府祭出津贴，但是短期的津贴不能弥补长期的竞争劣势。

**大陆和韩国**

经过20年几百亿美元补贴之后，中国大陆的半导体制造落后台积电5年以上。芯片设计落后美国、台湾一两年，大陆现在还不是对手。

在芯片制造领域，三星电子是台积电强劲竞争对手。因为韩国的优势与台湾相似，都拥有人员调动的便利性。

## 言论

1、

世界上每个程序员一觉醒来，都会有“我应该开发一个 Todo 清单程序的想法”，人们喜欢开发生产力工具。所以，你应该尽量避免将生产力工具作为创业项目，那类软件根本没有护城河。 

--[《我如何因为创业损失1000万美元的故事》](https://threadreaderapp.com/thread/1376985869542887425.html)

2、

RedHat 公司现在由 IBM 拥有，他们的企业发行版附带了许多非自由软件，并且积极地告诉客户如何获得更多收益。他们没有采取任何措施来推广自由软件，而只是将其视为他们可以随意使用的东西。他们最近还杀死了社区支持的 CentOS。这看起来像一家在乎自由软件的公司吗？

-- [Leah Rowe](https://libreboot.org/news/rms.html)，评论 RedHat 因为斯托曼重新进入自由软件基金会（FSF）的董事会，而停止向 FSF 捐款。

3、

全世界正在加大芯片的生产，金属资源的供应会进一步紧张，人类很可能会用尽地球上的某些金属。这意味着，我们需要回收旧芯片，并且应该把芯片拆分成更小、更利于回收的组件，这样才可能把电子产品重新变回原始金属。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=26656023)

4、

做正确的事情比长时间工作重要得多。大多数人将大部分时间浪费在无关紧要的事情上。

一旦确定了目标，就必须迅速完成少数优先级最高的任务，这是第一位重要的。我还没有遇到过一个非常成功但行动缓慢的人。

-- [Sam Altman](https://blog.samaltman.com/how-to-be-successful)，OpenAI 的CEO 和 YC 前总裁

5、

我认为，对人工智能的恐惧，大多数情况下，就是对资本主义的恐惧。我们担心资本主义将如何通过技术来利用我们。

现在，技术与资本主义息息相关，已经很难区分两者了。

-- [Ted Chiang](https://kottke.org/21/04/ted-chiang-fears-of-technology-are-fears-of-capitalism)，美国科幻小说作家

## 历史上的本周

2020年（第 104 期）：[语音合成的用途](http://www.ruanyifeng.com/blog/2020/04/weekly-issue-104.html)

2019年（第 52 期）：[人脸识别与课堂监控](http://www.ruanyifeng.com/blog/2019/04/weekly-issue-52.html)

2018年（第 1 期）：[创刊号](http://www.ruanyifeng.com/blog/2018/04/weekly-issue-1.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
