# 科技爱好者周刊（第 157 期）：KK 给年轻人的建议

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1747)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041105.jpg)

上图为美国第一个海上风力发电场，位于罗德岛海域，2016年完工，是美国仅有的三个海上风电场之一。拜登政府最近宣布，计划到2030年，将美国的海上风电能力提升1000倍。（[via](https://www.instagram.com/p/CNCxCChDfa8/)）

## 本周话题：KK 给年轻人的建议

凯文·凯利（Kevin Kelly，网名 KK）是著名的科技评论家，曾经担任《连线》（Wired）杂志的第一任主编，他的著作《失控》在国内外都非常有名。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050403.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050404.jpg)

去年4月28日，是他68岁的生日。老爷子在个人网站上，发表了一篇[《给年轻人的68条建议》](https://kk.org/thetechnium/68-bits-of-unsolicited-advice/)，谈自己的人生体会。文章很受欢迎，浏览量非常大，译成了十几种外语。

今年4月28日，69岁生日时，他又续写了一篇[《给年轻人的99 条建议》](https://kk.org/thetechnium/99-additional-bits-of-unsolicited-advice/)。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050405.jpg)

这些建议，读起来很有意思。我觉得，他年纪大了以后，对传统的观点越来越不屑一顾了，更强调叛逆和逆向思维。大家看这一条。

> （1）”智者看到一样东西，疑问要比答案多。“

言下之意，所谓有智慧的人，不是因为他知道答案，而恰恰因为他不知道，比别人有更多的疑问。那么，按照这种说法，那些言之凿凿、说起话来不容置疑、告诉你答案的人，在 KK 看来并不是那么可信。

有意思的地方是，KK 本人是一个评论家，平日的工作就是写文章，分析科技趋势。这是不是他在对大家说，我的那些文章也不必当真，其实我内心的疑问比你们更多。

> （2）“小时候，让你与其它同学格格不入的东西，长大后会帮助你成功，如果你不失去它的话。”

这句话是说，一个人能够成功，不是因为你跟别人一样，而是因为你从小就跟别人不一样，并且保持了下来。这就是鼓励大家走不一样的路，别人告诉你做人要怎样怎样，听听就好。

> （3）"金钱的作用被高估了。真正的创新很少需要大量资金，否则大公司将垄断创新。相反，几乎所有的突破都是由那些缺乏钱的人实现的，正是因为他们资源有限，才被迫进行创新，依靠自己的热情、毅力和独创性来寻找新的方法。资源不足是创新的优势。”

创业公司最大的苦恼就是没有资源，但是 KK 认为这恰恰是一种优势。一个公司能够创新，不是因为有钱，更大的原因是没钱，不得不发明新方法。

从上面三条引语可以看到，KK 年近古稀以后，观点更具有叛逆性了。别人眼里的劣势——没答案、不从众、没资源——在 KK 看来，都是优势。也许这是因为他深信，科技行业的突破都来自于颠覆现状，如果都跟主流一样，就没法颠覆现状了。

最后，再贴几条他的建议，我觉得说的很好。

>（4）成功的秘诀：少承诺，多交付。

>（5）实现一个目标，拿到什么结果是次要的，更重要的是，它让你改变了多少。

>（6）唯一可以接受的债务，是购买价值极有可能增加的东西。大多数商品一旦购买，价值就会减少或消失，不要借钱进行这类消费。

## 数据分析职业能力特训营

目前，就业市场的数据分析岗位非常多，从开发岗到业务岗，都招数据分析人员。它们要求的技能层次是不一样的，下图是不同岗位的技能图，供大家参考。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042803.jpg)

上图中，Python、Excel、SQL 这三项技能，处在开发岗和业务岗的临界点。它们都不需要复杂的编程知识，普通人能够在短时间内入门，快速上手数据分析。Python 的计算、SQL 的查询、Excel 的数据透视表，不管你是不是程序员，学会它们都对你的职业和财富，有立杠见影的好处。

本周介绍的课程 **《数据分析就业班-6天春招特训营》** ，就是把这三种技能放在一起，带大家通过做项目快速入门。

这门课由开课吧开发，Python 布道师廖雪峰，数据分析专家杨国俊，《零基础玩转Python》畅销书作者常江三位大咖亲自研发授课，前期上线后收获了很多好评，能够帮助大家迅速建立数据分析能力。具体的讲课内容如下。

> - 先导课：Python 带你走进数据分析
> - 实操课 1：数据分析工具选择
> - 实操课 2：数据分析技能拆解（Python + Excel + SQL）
> - 实操课 3：抖音、快手业务数据对比分析
> - 实操课 4：Python 数据爬虫实操（以爬取论文为例）
> - 直播课：数据大牛详解数字化人才职业优势
> - 进阶课：数据可视化指南
> - 就业课：4招搞定大厂高薪数据岗

讲课内容完全是就业导向，与实战相结合，还会详细讲解一些经典的大厂面试题，希望有助于大家早日获到大厂 Offer。整门课一共是 6 天 7 节课，还有数据分析专家直播，以及 3 个实战练习 + 6 天社群服务 + 班主任督学答疑。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042806.jpg)

微信扫描下方二维码，添加助教老师，就可以领取该课程，仅需象征性支付 0.99 元报名费。由于报名人数较多，需要手工添加，助教老师会在24小时内联系大家。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042805.jpg)

前100位报名的同学，还会获赠价值99元的《Python数据分析手册》。

## 科技动态

[小鹏汽车](https://www.sohu.com/a/462090019_114760)发布电动载人飞行器：旅航者 X1，与普通汽车大小一样，可在车位上垂直起降。最大载重 200 公斤，续航 18-25 分钟，飞行高度 1000 米以下，抗风等级 5~6 级，速度 120 公里/小时。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042205.jpg)

[Telegram](https://telegram.org/blog/payments-2-0-scheduled-voice-chats) 真是一家很不一样的公司。它原来有一个 Web 客户端，最近一口气又发布了另外两个。现在，三个全功能的官方 Web 端同时运行（客户端[1](https://web.telegram.org)、[2](https://webk.telegram.org)、[3](https://webz.telegram.org)），这是内部的前端程序员太多的意思吗。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042701.jpg)

[亚马逊](https://www.aboutamazon.com/news/retail/amazon-one-continues-expansion-now-available-as-a-contactless-payment-option-at-initial-whole-foods-market-store-in-seattle)在西雅图的超市，继续推广它的掌纹付款。只要升出你的手掌，就能付款。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042202.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042201.jpg)

[一项研究](https://runrepeat.com/refereeing-analysis-post-covid-soccer)发现，自从欧洲足球联赛禁止观众入场以后，裁判给客队的黄牌明显下降，客队跟主队的被罚次数基本一致。研究人员认为，由于没有现场观众的压力，主队的主场优势就消失了。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042403.jpg)

[挪威](https://edition.cnn.com/travel/article/norway-ship-tunnel/index.html)将开工建设世界第一条船用隧道，长度为1.6公里，从山体里面穿过一个半岛，避免岬角巨大的风浪。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032302.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032303.jpg)

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021032304.jpg)

[iOS 14.5](https://www.imore.com/facebook-and-instagram-threaten-charge-access-ios-145-unless-you-give-it-your-data?hm=r) 开始，只有用户同意，App 才能追踪用户的活动。Facebook 在这个版本的手机上，会跳出警告，声称如果用户不同意被追踪，可能无法免费提供服务。（[@jwenjian](https://github.com/ruanyf/weekly/issues/1746) 投稿）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050407.jpg)

[国家卫健委](https://finance.sina.cn/7x24/2021-04-10/detail-ikmxzfmk5974459.d.html)规定，抗生素滥用将纳入医院考核，防止抗生素过分使用，让细菌产生耐药性。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050601.jpg)

## [谷歌的新办公室设计](https://www.nytimes.com/2021/04/30/technology/google-back-to-office-workers.html)

谷歌公司已经要求雇员，在今年9月份回到办公室，结束远程工作。为了配合这个决定，谷歌专门成立了一支团队，对办公室进行重新设计。

（1）工位上方增加风管，用来通风和供暖。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050208.jpg)

（2）需要私密性时，工位之间会自动升起半透明的玻璃纸气球壁，充气膨胀，以防窥视。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050209.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050210.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050211.jpg)

（3）对于不需要固定工位的人，设立流动办公桌。高度可以升降，既可以坐着办公，也可以站着办公。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050212.jpg)

（4）设立“团队仓”（Team Pod）。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050213.jpg)

这个空间可以自由组合，椅子、桌子、白板都可以快速重新布置，既可以分割成一间间独立办公室，也可以布置成开放式空间。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050606.jpg)

（5）创建新的会议室，方便办公室人员和远程人员一起开会。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050205.jpg)

所有与会者围成一圈，远程人员的位置上摆放大型显示屏，显示脸部，创造面对面交谈的体验。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050604.jpg)

（6）建立户外工作区，防止室内可能的病毒传播。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050206.jpg)

工作区有草皮和木围栏，遍布 Wi-Fi 信号。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050207.jpg)

室外也有搭建在帐篷里面的视频会议室。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050605.jpg)

## 文章

1、[你家的智能电视可能正在监视你](https://user.guancha.cn/main/content?id=505352)（中文）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021050102.jpg)

网友在 V2ex 论坛上发帖说，自家的电视机正在监视所有联网设备。他发现一个叫做“勾正数据服务”的应用，每隔 10 分钟会扫一遍所有联网设备，然后打包将你的内网信息上传。

2、[切尔诺贝利核电站的内部现状](https://petapixel.com/2021/04/24/exclusive-photos-inside-the-chernobyl-nuclear-power-plant/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042610.jpg)

切尔诺贝利核电站由于核泄漏而被废弃，但是它里面其实现在有工作人员，监控整个遗址的安全指标。一个波兰摄影师获得同意，进入核电站大楼，拍摄内部状况。本文就是他的记录，以及大量的照片。

上图背后的圆形建筑是一个保护壳，里面就是著名的石棺，封存了发生核事故的反应堆。

3、[台积电南京厂扩产28纳米生产线的影响](https://www.tmtpost.com/5257771.html)（中文）

台积电宣布，扩大南京厂28纳米生产线。本文分析这对国内芯片业的影响。

4、[TypeScript 项目的基本操作](https://www.metachris.com/2021/04/starting-a-typescript-project-in-2021/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042203.jpg)

本文面向初学者，介绍了 TypeScript 项目会用到的各种基本操作，帮助你启动一个 TypeScript 项目。

5、[CSS 技巧](https://markodenic.com/css-tips/)（英文）

本文介绍一些较新的 CSS 技巧，可以不使用 JavaScript，就达到复杂的交互效果。

6、[Tailwind CSS 使用入门](https://allround.io/articles/introduction-to-tailwind-css-and-utility-classes)（英文）

Tailwind CSS 是一个很有特点的 CSS 框架，本文介绍它的基本用法。

7、[如何用自然语言处理（NLP）推送广告？](https://netlabe.com/real-time-context-targeting-using-nlp-baceb4324fc4)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042402.jpg)

本文演示了将网页文章的内容，推送给 NLP 的云服务，自动进行自然语言分析，返回文章主题。然后，页面脚本根据网页的不同主题，在网页上加载最相关的广告。

8、[AVIF 图像格式指南](https://darekkay.com/blog/avif-images/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042401.jpg)

AVIF 是一种新的图像格式，跟 JPG 和 PNG 类似，但可以压缩得更小。现在浏览器的支持已经比较好了，本文介绍这种格式的用法。

9、[软件测试的虚荣性指标](https://markmayo.medium.com/its-a-trap-avoid-focusing-on-vanity-metrics-in-software-testing-7a627c7848)（英文）

作者提出，开发者要避免追求那些虚荣性的指标，比如测试覆盖率越高越好、测试案例越多越好。

## 工具

1、[Puppeteer Console](pptrconsole.com)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041811.jpg)

这个网站提供一个虚拟浏览器的控制台，可以在线输入 Puppeteer 脚本，然后就会在网页上可视化打开浏览器，看到运行结果。

2、[React Flow](https://github.com/wbkd/react-flow)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041905.jpg)

一个基于 React 的库，用来制作功能强大的、可交互、可编辑的节点图工具。

3、[Pexels 视频制作器](https://shotstack.io/demo/pexels-slideshow/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042101.jpg)

这个在线工具根据关键字，从图库里面找出相关图片，自动生成一段40秒的视频。

4、[Cusdis](https://github.com/djyde/cusdis)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042104.jpg)

一个可以自己搭建的网页评论系统，类似于 Disqus。

5、[nushell](https://github.com/nushell/nushell)

一个命令行 Shell，语法更加合理，通过管道功能可以更加便捷地管理系统。

6、[Netdata](https://github.com/netdata/netdata)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042204.jpg)

Linux 服务器的一个开源的监控服务，功能非常强大。

7、[Triangula](https://github.com/RH12503/Triangula)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021042301.jpg)

这个开源软件可以将照片转为三角形图案。

8、[tarojs-router-next](https://github.com/lblblong/tarojs-router-next)

小程序框架 Taro 的一个好用的路由库。（[@lblblong](https://github.com/ruanyf/weekly/issues/1741) 投稿）

9、[Golang-iDevice](https://github.com/electricbubble/gidevice)

一个 Go 语言开发的工具，用来与 iOS 设备通信，可以作为库使用，也可以在命令行独立使用。（[@electricbubble](https://github.com/ruanyf/weekly/issues/1740) 投稿）

## 资源

1、[这是越位吗？](https://offsideornot.com/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041603.jpg)

该网站使用真实足球比赛的截图，让你一张张判断，是否存在越位。

2、[Skyline Webcams](https://www.skylinewebcams.com/)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041702.jpg)

该网站提供世界五大洲的直播摄像头，可以看到世界各个地点的实况。

3、[新兴技术列表](https://en.wikipedia.org/wiki/List_of_emerging_technologies)

这是维基百科的一个页面，列出了目前最前沿的技术领域，将近有100个。

4、[OpenCVE](https://www.opencve.io/cve)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041303.jpg)

该网站可以查询各种 CVE 编号的安全漏洞，并且可以根据操作系统和应用程序进行过滤。它的[源码](https://github.com/opencve/opencve)是开源的，你也可以自己架设。

5、[一天学习一个 npm 轮子](https://github.com/Haixiang6123/one-day-one-npm-lib)

一个教程库，作者选了十几个常用的前端 JS 库，演示如何自己从头实现这些库。（[@Haixiang6123](https://github.com/ruanyf/weekly/issues/1742) 投稿）

## 图片

1、[灰绿色分界线](https://www.geographyrealm.com/gray-green-urban-divide-wealth-poverty-visible-space/)

卫星照片上，很多城市都有“灰绿色分界线”，可以用来区分高收入社区和低收入社区。

灰色是水泥道路和屋顶的主要颜色，而高收入社区往往有更多的树木和植被，呈现出绿色。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041602.jpg)

2、[吊运非洲犀牛](https://mp.weixin.qq.com/s/fiWK8SUpFOCUaur9tpUkGg?)

1960年，非洲有超过10万头黑犀牛。但到了90年代，仅仅剩下了2354头。为了保护它们免遭盗猎者杀害，政府和动物保护组织使用直升机，将它们空运到人迹罕至的安全地区。

经过研究，空运犀牛的最佳姿势，就是将它们麻醉后，四肢捆住，面罩遮盖眼睛，倒吊于直升机的下方。很多时候，只需半小时，犀牛就能成功抵达新家。得益于眼罩的遮蔽，犀牛下机之后，甚至都不知道自己上过天。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041606.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041607.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041608.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041609.jpg)

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041611.jpg)

## 文摘

1、[土豆电池](https://www.smithsonianmag.com/innovation/a-potato-battery-can-light-up-a-room-for-over-a-month-180948260/)

中学的物理课上，你可能做过一个实验，把土豆做成电池，点亮电珠。

切下一小块土豆，在上面插入一个铜片，作为阴极，再插入一个锌片，作为阳极。然后，使用电线，将一个小电珠连在阴极和阳极之间。这时，电珠就会发光。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041809.jpg)

以色列科学家发现，煮过的土豆有更长的通电时间。煮八分钟的土豆做成的电池，接上 LED 小灯泡，通电时间是没有煮过的土豆的十倍。

实际上，这种土豆电池可以让 LED 小灯泡亮40天，成本仅仅是普通 AA 电池的十分之一。这对于没有电网的贫困地区、偏远地区，以及发生灾害的紧急时刻，有实用价值。

需要明确的是，土豆本身并不是一种能源。它之所以能够充当电池，是因为含有电解质，能够导电。真正发电的是两个金属做成的电极。由于阴极的锌比铜活泼，容易失去电子，电子由锌片流向铜片。

土豆只不过充当电极之间的桥梁，用来传导电流，从而产生电能。一段时间以后，电极因为氧化反应全部消耗了，电池就失去了作用，这时必须更换电极，才能继续发电。

土豆电池套件包括两个金属电极和鳄鱼夹，很容易组装，部件也可以廉价更换。

许多富含电解质的水果，例如香蕉和草莓，也可以形成这种化学反应，用作电池。土豆的优势在于它是世界第四大粮食作物，在全球各个地区都有供应。而且，土豆由坚固的淀粉组织组成，可以保存数月，不会像草莓那样容易腐烂和吸引昆虫。

煮过的土豆之所以有更长的导电时间，因为土豆的内在电阻被破坏了，从而使电子可以更自由地流动，大大提高了整体的电能输出。研究人员发现，将土豆切成四，五块，效率更高。

根据同样的原理，只要是电解质液体，就能插入电极充当电池。因此，盐水也可以当作电池。事实上，盐水电池已经是一种成熟的商品，用来作为紧急情况下的应急照明。

![](https://cdn.beekka.com/blogimg/asset/202104/bg2021041810.jpg)

## 言论

1、

1980年，加利福尼亚的一名商人创办了一个精子库，只存储诺贝尔奖获得者和其他杰出知识权威的精子，承诺为女性提供科学界最佳精子，帮助她们生下天才婴儿。

在该精子库的努力之下，大约有200名儿童出生，但还没有一人成为杰出天才，甚至连成就斐然的工程师都没有。

--《人体简史》，作者为比尔·布莱森

2、

上个世纪60年代到80年代，你写好程序，需要提交给大型机运行，然后等待它返回结果。

现在2020年代，大型机又回来了！它们只是被改称为“云”。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=26857859)

3、

我总是努力写零外部依赖的代码，多年以后依然可以运行。这是人类对抗熵的战争中， 我所做出的一点贡献。

-- [乔·阿姆斯特朗](https://www.humio.com/whats-new/blog/why-we-chose-elm-for-humio-s-web-ui)（Joe Armstrong），Erlang 语言的发明发明者

4、

接受一份你不完全了解的工作，跟结婚有一点像。你可能会长期不开心，但是待在里面的时间会超过你的预期。

因为你会变得习惯于日常生活，逐步了解周围的人。等到你真正知道这个地方的一切时，你已经投入其中了，离开将变得很困难。许多人永远没有离开（这家公司）。

-- [《雇佣我，只要你给我有趣的工作》](https://truzzi.me/hire-me-pay-what-you-want-interesting-work/)

5、

年轻时，你希望成为大明星。随着年龄的增长，你的目标降低了一些，希望打动别人，在这个世界上留下印记。后来，你就会想，只要熬过去了，有几个人记得你的名字，就已经在这个世界上留下了印记。你没必要去影响整个世界，还是好好享受生活为好。

--[《死亡和疫情教会我的事情》](https://cn.nytimes.com/opinion/20210420/life-adulthood-death/)

## 历史上的本周

2020年（第 106 期）：[数字游民](http://www.ruanyifeng.com/blog/2020/05/weekly-issue-106.html)

2019年（第 54 期）：[可扩展性最好的活动](http://www.ruanyifeng.com/blog/2019/05/weekly-issue-54.html)

2018年（第 3 期）：[周刊的风格](http://www.ruanyifeng.com/blog/2018/05/weekly-issue-3.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
