# 科技爱好者周刊（第 163 期）：你的城市有多少张病床？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1784)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061101.jpg)

美国自然历史博物馆（位于纽约）的“宝石与矿物展厅”，6月12日重新对外开放。一进门，就是世界最大的紫水晶石，高达3.6米。（[via](https://gothamist.com/arts-entertainment/inside-new-halls-gems-minerals-amnh)）

## 本周话题：你的城市有多少张病床？

上周，我在知乎看到一个帖子。作者有一句话，令人印象深刻，这周再去看，已经找不到了。

作者说，年轻人纷纷涌进去大城市，奋斗拼搏，但是有一个指标，可以看出来，那些城市没有条件让大家都留下来。

**什么指标呢？ 就是每千人医院床位数。**

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061607.jpg)

以深圳为例，那么先进的大城市，2019年全市每千人医院床位数 [3.83 张](http://wjw.sz.gov.cn/xxgk/tjsj/zxtjxx/content/post_7786068.html)，而当年的全国平均水平是 [6.30 张](http://www.nhc.gov.cn/guihuaxxs/s10748/202006/ebfe31f24cc145b198dd730603ec4442.shtml)。这就是说，如果1000个人里面有4个人需要住院，第4个人就会面临床位紧张，住不进医院，需要排队等着。由于大医院还要收治外地病人，所以大医院的床位就更“一床难求”了。

这个指标越低，就意味着医疗资源越紧张。年轻人不常去医院，可能没感觉，但如果在一个城市长期居住，甚至落户，医疗资源紧张就会对你产生影响。随着年龄增长，影响会越来越大。

中国的电商这么发达，城市之间的差别已经很小了。别的东西都可以网上购买，快递过来，但是医疗不行，尤其是住院。你在哪里生病了，最好就在当地治疗，换个城市，各种不便，可能还会耽误病情。

**可以这样说，宜居的、适合长久居住的城市，医疗资源应该相对宽松，该指标应该高于全国平均水平。**

我就去查了，哪些城市高于全国平均水平。结果发现，国内的一线大城市，医疗资源都非常紧张，这个指标普遍不高，果然是“长安居大不易”。

[一本杂志](http://www.szkweekly.com/index.php?m=content&c=index&a=show&catid=39&id=19967)做过全国城市医疗资源的排名，下面是2019年每千人医院床位数排名最高的30个城市。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061301.jpg)

结论就是，目前阶段，一线大城市适合奋斗赚钱，上面这些城市可能更适合长久居住和养老。

## 数据分析实战

现在，数据相关的招聘岗位越来越多了，比如数据运营、数据产品、数据分析、数据开发、数据挖掘、商业分析等等……

这反映了一个现实，不管是企业的哪一个部门（产品、管理、运营、销售、财务、技术），数据的分析和处理，都变得越来越重要了。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061608.jpg)

（图片说明：BOSS 直聘上的数据分析师的招聘信息）  

大家要知道， **初级和中级的数据分析师，核心技能不是理论能力，而是工具能力。** 对于求职者来说，只要学会主流工具，掌握常用操作，就可以进入这个领域，具备了应聘资格。但这偏偏是很多人的弱项，因为大家都是通过看书和视频，学习模型和工具，遇到实际问题，并不清楚应该怎么使用，毫无头绪。

本周介绍的课程，开课吧最新打造的 **《三天玩转数据分析实战》训练营**，就是要帮大家解决这个问题， **通过项目实战，学会数据分析。**

该课精心挑选了《共享单车需求分析》项目，在三天的教学中，手把手让你学会通过使用 Python、Numpy、Pandas、Matplotlib、Seaborn 等基础工具，对项目数据进行处理和分析，最终形成一份可视化报告。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061612.jpg)

这个实战课程非常适合初学者，特别注重动手实践，需要学员手敲代码。项目非常完整，常见操作都有涉及，而且有一定复杂度，完全可以写进到简历作为加分项。

主讲老师讲解通俗易懂，深入浅出，即使是新人也能听懂。没有编程基础的同学也不用担心，直播课之前，针对这部分同学特别安排了 Python 先导课，通过在线环境，帮你掌握基本的 Python 知识。  

除了以上内容，老师还会给讲解大厂P6 + 数据分析师的学习路线，指导大家进一步进修。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061610.jpg)

微信扫描下方二维码，或者打开[报名链接](https://wx.kaikeba.com/vip_course/obl9y9siao/e9uw8twoty?tenant=wx5046bc7413796142)，周刊读者仅需象征性支付报名费 **0.99 元**，就可以获取《三天玩转数据分析实战》课程，包含 3天直播干货+ 7天社群学习 + 专业助教在线答疑 + 社群干货分享。

注意，后台是助教老师手动添加报名者，会在48小时内通过。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061611.jpg)

上课时间为 6月18日-6月20日，请大家提前预留好时间，准时参加学习。课程完成后，还可以获赠数据分析学习资料和名企面试题等。

## 科技动态

1、

[美国的火星飞船](https://www.nature.com/articles/d41586-021-01588-6)，6月6日拍到了中国的祝融火星车。

火星车距离中国的火星着陆器，距离大约22米。由于火星车是5月22日释放到地面的，所以在这两周中，前进速度大约是每天1.5米。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061504.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061505.jpg)

2、

[Windows 11](https://www.theverge.com/2021/6/15/22535123/microsoft-windows-11-leak-screenshots-start-menu) 截图泄露，任务栏和开始菜单有很大的变化，应用程序图标变成居中放置，与 macOS 类似。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061601.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061602.jpg)

你也可以将开始菜单移到左侧。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061603.jpg)

另外，微软宣布，Windows 10 将在2025年停止支持。

3、[鸟窝砖](https://www.theguardian.com/environment/2021/may/18/securing-their-swift-return-how-a-simple-brick-can-help-migratory-birds-aoe)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052001.jpg)

每年夏天，很多候鸟返回英国，但是现代建筑采用钢筋水泥，可供它们筑巢的地方越来越少。英国鸟类学会开发了一种“鸟窝砖”，替换老建筑破损的砖块，可以让鸟儿在里面筑巢。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052002.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052003.jpg)

去年夏天的一项调查发现，628块鸟窝砖中，近一半（294块）有使用迹象，里面有64个麻雀巢、31个燕子巢和22个椋鸟巢。

4、

[特斯拉](https://electrek.co/2021/06/01/tesla-files-trademark-restaurant-services/)申请了 Tesla 餐厅商标，媒体推测可能要在超级充电站里开餐厅，因为马斯克以前提过这个设想。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060201.jpg)

由于电动汽车充电时，车主无事可干，充电站旁边建设商场和餐厅，是很好的主意。

5、

[英国警方](https://www.bbc.com/news/uk-england-birmingham-57280115)接到举报，某个乡下的废弃工业区有许多陌生人出没。警方派出无人机侦查，通过红外线影像，发现该地点大量释放热量，怀疑是地下毒品工厂。

突袭之后，发现实际是一个加密货币的矿场，正在偷电挖矿。在英国，挖矿是允许的，偷电是非法的。警方已经将100台矿机全部没收。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052809.jpg)

6、

[印度](https://www.wired.com/story/whatsapp-india-traceability-encryption/)最近通过法律，要求通信软件可以追踪"消息的第一个发布者”。这实际上等于宣布端对端加密是违法的，因为这种加密方式无法追踪。

WhatsApp 和 Signal 受影响最大，它们默认就是端对端加密。根据法律，它们将必须在服务器上保留所有聊天记录。上周，WhatsApp 向印度法院上诉，要求重新审查该条法律。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052902.jpg)

7、

[爱因斯坦](https://www.dw.com/en/letter-handwritten-by-einstein-sells-for-12-million/a-57629576)的一封亲笔信，最近以120万美元的高价拍卖成交。原因是这封信有爱因斯坦亲笔写的质能公式 E=mc<sup>2</sup>（下图），目前已知这样的信仅存世四件。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052802.jpg)

8、

[美国国家地理学会](https://finance.sina.com.cn/tech/2021-06-11/doc-ikqcfnca0369148.shtml)宣布，从2021年开始，该学会出版的所有世界地图，都将标注世界上有五大洋，而不是传统的四大洋（太平洋、大西洋、印度洋、北冰洋）。

南极洲周围海域将被认定为一个独立的大洋，称为南大洋（southern ocean）。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061103.jpg)

## 文章

1、[亚洲象的十三个分布国](https://mp.weixin.qq.com/s/5ivZspl08dOoqnREjl9meg)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061105.jpg)

亚洲象一共分布在亚洲13个国家，本文依次介绍每个国家的亚洲象生存现状，内容很有意思。

中国其实是人象冲突最少的国家之一，跟印度相比，后者由于人口稠密，而且拥有全世界约60%的亚洲象，人象冲突要严重得多（上图）。

2、[南疆暴雨，传递出什么气候信号？](https://mp.weixin.qq.com/s/Yf579ydxaJYY6wJXNVDByg)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061606.jpg)

6月15日，向来少雨干旱的南疆盆地，出现一场强降水，和田地区3小时雨量达52.9毫米，超过了平时一年的降水量。这场暴雨，很可能是有正式气象记载以来，南疆最大的一场雨。

3、[软件生成的论文也能发表](http://news.sciencenet.cn/htmlnews/2021/6/459117.shtm)（中文）

2005年，麻省理工学院3位计算机博士生搞了一个恶作剧，写了一款叫作 SCIgen 的软件，能够生成学术论文，然后向杂志投稿，居然发表了。他们将这款软件开源，放在网上。

最近，一个法国科学家很好奇，会不会有人真的用这款软件写“论文”，然后去投稿。他检测了数百万篇已经发表的论文，发现了243篇是 SCIgen 生成的。

4、[Linus 谈 mRNA 疫苗](https://lkml.org/lkml/2021/6/10/957)（英文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061204.jpg)

有人在 Linux 内核开发的邮件列表上，造谣说 mRNA 疫苗会改变人类遗传物质。Linus 忍不住写了一个很长的回信，解释 mRNA 疫苗是怎么回事。

他最后写道：“如果你坚持相信这些疯狂的阴谋论，那么至少在这里，你给我闭嘴。”

5、[AI 识别字体](https://ai.facebook.com/blog/ai-can-now-emulate-text-style-in-images-in-one-shot-using-just-a-single-word/)（英文） 

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061205.jpg)

Facebook 公开了最新的研究成果，自动识别文字字体，然后替换成同字体的其它文字。上图左侧是原始图片，右侧是 AI 替换文字后的图片。这个软件最大的应用是，可以仿造他人的字迹。

6、[热重载 C](https://cjting.me/hot-reload-c/) （中文）

热重载指的是，在不重启的情况下更新应用。脚本语言都能支持这个功能，本文通俗地讲解，如何让 C 语言这样的编译语言，也支持热重载。（[@cj1128](https://github.com/ruanyf/weekly/issues/1796) 投稿）

7、[HTML 技巧](https://markodenic.com/html-tips/)（英文）

本文总结了一些不为人熟知的 HTML 特性。

8、[列数据库的兴起](https://www.holistics.io/blog/the-rise-and-fall-of-the-olap-cube/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021051105.jpg)

主流的关系型数据都以行为单位，储存数据。但是，对于大型数据集，以列为单位储存数据有巨大的优势。实际上，数据仓库基本都是列数据库。

本文解释为什么会这样，写得很通俗，但是读起来需要一点耐心。

9、[如何将 SHA-256 哈希可视化？](https://francoisbest.com/posts/2021/hashvatars)（英文）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052810.jpg)

作者一步步示范如何使用 JavaScript，将一个哈希值转成 SVG 图形（上图）。也就是说，可以为任意字符串生成一一对应的图案。

## 工具

1、[n8n](https://n8n.io/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060107.jpg)

一个开源的工作流自动化工具，可以通过图形界面，选择200多种服务，组成一个工作流。

2、[Termpair](https://github.com/cs01/termpair)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053104.jpg)

一个远程终端控制工具。用户在一个终端窗口中，启动这个工具，它会返回一个链接，使用这个链接就能在其它计算机的浏览器里面，控制原始的终端窗口。

3、[Synthesia](https://www.synthesia.io/)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053006.jpg)

这是一个收费的视频合成服务，很有意思。用户选择一个视频模板，然后提供一段文本，该网站就会自动让视频里面的人物，说出你的文本，适合用来生成产品介绍视频。它支持中文，可以免费试用一个视频。

4、[GoTTY](https://github.com/sorenisanerd/gotty)

一个 Go 应用，将命令行程序在 Web 端输出。比如，通过它在命令行执行`top`命令，就可以在网页上实时看到`top`的命令行输出。

5、[Material for MkDocs](https://github.com/squidfunk/mkdocs-material)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052807.jpg)

这个工具是 MkDocs 网站生成器的 Material Design 站点主题。

6、[NocoDB](https://github.com/nocodb/nocodb)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052804.jpg)

这个 Web 软件可以将各种数据库，转为易于操作的智能电子表格，类似于 Airtable。

7、[葫芦笔记](https://www.hulunote.com/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061613.jpg)

国产的笔记软件，支持多种客户端，自动云端同步。笔记功能非常强大，提供大纲界面、双向链接视图、图谱化搜索等。（[@pimgeek](https://github.com/ruanyf/weekly/issues/1792) 投稿）

8、[Text2image](https://text2image.jaychen.fun/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061614.jpg)

一个将文字或代码转换成图片的网页工具，可定制项多，主题、水印、阴影特效等都能自定义。（[@chenjiayao](https://github.com/ruanyf/weekly/issues/1798) 投稿）

9、[Keptab](https://keptab.com/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061616.jpg)

浏览器插件，只需一次点击，就可将所有标签页转换成一个列表保存起来，以后可以单独或全部恢复。（[@mywaiting](https://github.com/ruanyf/weekly/issues/1802) 投稿）

10、[Redis Pro](https://github.com/cmushroom/redis-pro)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061615.jpg)

一个用 SwiftUI 写的 Redis 轻量级客户端管理工具。（[@chengpan168](https://github.com/ruanyf/weekly/issues/1800) 投稿）

## 资源

1、[2021 苹果设计奖](https://www.apple.com.cn/newsroom/2021/06/apple-announces-winners-of-the-2021-apple-design-awards/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061201.jpg)

苹果一年一度的优秀 App 评选（Apple Design Awards） ，6大类12个获奖者，可以视为官方的 App 推荐。

2、[rfc.fyi](https://rfc.fyi/)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053105.jpg)

一个 RFC（计算机协议标准）的分类引擎，根据关键字搜索，返回所有相关的 RFC 标准。

3、[Awesome Privacy](https://github.com/pluja/awesome-privacy)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052701.jpg)

该仓库收集各种注重用户隐私保护的软件工具和服务。

4、[通过示例学习 R 语言](https://gexijin.github.io/learnR)（Learn R through examples）

一本免费阅读的英文教材，通过各种示例，讲解 R 语言。

## 图片

1、[天宫空间站](https://axmpaperspacescalemodels.com/index.php/chinese-space-station-model/)

一个厄瓜多尔的航模爱好者，制作出了中国天宫空间站的纸模型。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052404.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052405.jpg)

可以在他的网站下载 [PDF 文件](https://axmpaperspacescalemodels.com/wp-content/uploads/upcp-product-file-uploads/AXM_Tianhe_Core_Module.pdf)，打印以后自己来折。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052406.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052407.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052408.jpg)

2、[低分率小狗](https://twitter.com/SwiftOnSecurity/status/1397955706154856451)

一个网友在推特发了照片，文字介绍是“这就是小狗在低分辨率下的样子”。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060313.jpg)

## 文摘

1、[如何改造火星](https://nautil.us/issue/100/outsiders/should-we-terraform-mars-lets-recap)

SpaceX 公司和特斯拉公司的 CEO 马斯克一直宣称，他的目的是让人类移民火星。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061707.jpg)

这是否可以做到呢？让我们从科学上分析一下。

火星是距离地球最近的行星之一。它的表面曾经有过海洋和河流，但是现在都干涸了。不过，火星的地下依然有冰块和湖泊。

火星表面的温度是零下133度到零上27摄氏度，跟地球的表面温度（零下89.2度到零上58.6摄氏度）相差不远。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061708.jpg)

火星最大的问题是，它的大气层非常稀薄，导致火星的气压极低。地球海平面是1个标准大气压，火星表面则是0.006个大气压，也就是说，火星的大气层浓度只有地球的0.6%。

这对人类非常危险，不仅意味着宇宙的辐射可以直接到达火星表面，还意味着水的沸点极低。一个标准大气压下，水的沸点是100度；随着大气压的降低，沸点会不断下降。如果气压低于0.063个大气压，沸点就会低于人的体温37度。这时，人的体液就会沸腾，氧气和二氧化碳会从血液里面跑出来，人会很快死亡。这称为 Armstrong 极限。

火星大气压太低，所以人类只有在加压条件下，才能生活在火星，一旦失压就会有生命危险。如果我们可以将火星大气压提高到珠穆朗玛峰峰顶的水平（0.337个大气压）之上，那么我们就可以穿着地球上的服装，只使用呼吸面罩，在火星表面行走，无需使用加压太空服。不过，这个大气压还是不足以让植物生长。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061709.jpg)

所以，移民火星的关键问题是如何提升火星大气压。马斯克的设想是，火星土壤里面储存了大量二氧化碳，我们只要设法加热火星，让土壤里面的二氧化碳跑出来，就能快速形成火星大气，提升大气压。他甚至建议，在火星两极引爆几颗核弹，释放地下二氧化碳。

他的另一个方案是，在火星轨道上建造数千个充当太阳反射器的人造卫星，人为将太阳光反射到火星表面，对火星进行加热。

很多科学家不同意马斯克的想法，首先一点，火星地下土壤到底有没有大量二氧化碳，现在并不能确定，还需要进一步勘探。考虑到火星表面的气体很早以前就已经消失在太空了，因此火星地下很可能并没有大量气体。也就是说，人类可能无法重塑火星大气层。如果要移民火星，就必须永远生活在加压环境。 

## 言论

1、

我将 Twitter、Facebook、Instagram 看成是当今最大的游戏，30亿人在积极玩它们。

只要用户打开它们，就会进入游戏空间，沉浸其中，感受到乐趣。它们本质上有点像老虎机，你投入一个硬币，不知道会跳出什么。

-- 风险投资家[约什·巴克利](https://www.notboring.co/p/the-great-online-game)（Josh Buckley）

2、

我遇到很多初级工程师，发现了一件奇怪的事情，他们为自己能写出逻辑高度复杂的代码而自豪，并且没有任何文档。

他们以为这样就能展示自己的能力，但实际上，这是展示能力的最糟糕的方式。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27333947)

3、

我买了带有 LTE 网络的苹果手表，没想到会这么喜欢它。它不能浏览网页，但是电话、短消息、支付、音乐、地图等功能都支持。如果它有摄像头，外出时，我就会把手机留在家里。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27321739)

4、

上海有一条网红道路“武康路”，路宽15.2米，沿街建筑的高度以8-16米为主，街道的高宽比接近1:1。

按照土地规划专家的说法，这样高宽比的道路最容易给人天然的亲切感和安全感。

--[《网红道路武康路》](https://mp.weixin.qq.com/s/cJsjdqYJNfmsnsPo9gPeXw)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052808.jpg)

## 历史上的本周

2020年（第 112 期）：[如何培养领导力](http://www.ruanyifeng.com/blog/2020/06/weekly-issue-112.html)

2019年（第 60 期）：[一本介绍人类起源的学术自传](http://www.ruanyifeng.com/blog/2019/06/weekly-issue-60.html)

2018年（第 9 期）：[身份证可以植入人体](http://www.ruanyifeng.com/blog/2018/06/weekly-issue-9.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

