# 科技爱好者周刊（第 164 期）：培训班 vs 大学，求职成功率比较

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1784)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062409.jpg)

埃及正在荒地上建设新首都。中央商务区的标志塔大厦，高达385米，是非洲最高建筑，6月17日结构封顶，由中国的建筑公司承建。（[via](http://www.xinhuanet.com/2021-06/18/c_1127576365.htm)）

## 本周话题：培训班 vs 大学，求职成功率比较

进入互联网大厂工作，是很多同学的愿望。

十年前，实现这个愿望的唯一可靠途径，就是拿到大学的计算机专业学位。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062212.jpg)

过去十年中，出现了另一条途径：编程培训班。它面向社会招生，谁都可以报名，通过短期培训，让你学会软件开发，再去互联网公司求职。

很多人看不上培训班。它没有入学门槛，不够专业和系统，教学质量良莠不齐，上课时间也很短，通常在半年之内就能毕业。但是不可否认的是，它为那些非专业出身的人，提供了机会，让他们可以进入技术行业，改变了很多人的人生，对中国互联网业提供了巨大的人力支持。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062213.jpg)

很多同学就非常关心一个问题： **从求职成功率来看，培训班是不是有很大的劣势？或者说，互联网大厂对于大学计算机专业的毕业生，是否依然特别青睐？**

我最近看到一个美国人力资源专家的[统计](https://www.switchup.org/blog/coding-bootcamps-vs-college-for-prestigious-tech-jobs)，分析美国大学计算机系和编程培训班各自的求职成功率，结果出人意料。我跟大家分享一下他的发现。

美国的职场社交网站 LinkedIn，可以查看各公司的雇员，以及每个人的教育背景。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062401.jpg)

那个专家选择了五家互联网巨头（亚马逊、Facebook、谷歌、苹果和微软），查到他们每年招收的程序员，哪些是计算机系毕业，哪些是培训班出身。

最后，分别选出十所员工来源最多的大学和培训机构，除以毕业生总数，统计各自的求职成功率。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062101.jpg)

**他发现，大学计算机系的求职成功率是6.60%，培训班是6.03%。** 两者没有显著差异，都是100个同学里面有6个，能够进入互联网大厂。计算机系稍占优势，求职成功率高出约10%。

虽然这是美国的数据，但是我觉得，中国的情况也差不多。根据我的观察，真正科班毕业的大厂程序员，其实并不多，大部分的人都是半路出家。

我想，这个统计结果告诉我们两件事情。

首先，大厂是认可培训班的，愿意招收培训班学员，只要你能完成工作，入职机会并不比计算机专业的学生少很多。所以，培训班的同学可以放心了。而且可以预期，随着培训班进一步正规化，提高教学质量，以后的求职成功率恐怕还会更高。

其次，计算机系的培养方向，需要更加明确。如果只是培养应用程序开发者，那在编程培训班面前毫无优势，人家完全是就业导向，什么容易找工作，就培训什么，学生投入的时间和费用都要少一个数量级。大学应该培养更专业的能力，比如编译器、操作系统、网络协议等等。 

## Vite.js 项目工程和原理剖析

今年以来，前端圈子里议论最多的新工具，就是 [Vite.js](https://vitejs.dev/)。它是 Vue 官方开发工具，备受瞩目。

Vite 的作用是为前端框架提供一个快速、易用的开发环境，进行构建和打包，类似于 Webpack，但是只限于 ES6 模块专用。

它的最大特点就是快， **启动快，打包快，开发环境修改代码，瞬间就能看到结果。** Vite 这个名字，就是法语“闪电”的意思。它的良好开发体验，加上与 Vue3 的无缝结合，所以2月17日发了2.0版，功能和架构稳定以后，声势就一直看涨。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062402.jpg)

目前，采用 Vite.js 的项目正在快速增加，面试时也开始被问到。但是由于这个工具太新，网上靠谱的教程并且不多，照着官方文档操作，遇到问题时，也不容易搜到答案。

本周的课程资料就是一份资料包 **《Vite 2 项目工程化和原理剖析》**，帮大家从实战和原理层面掌握 Vite.js 2.0，由开课吧制作。

这份资料在内容上兼顾了各层次用户的需求。初级的前端开发者，可以掌握 Vite 的概念和基本用法； 中高级的前端开发者，则可以了解 Vite 加速构建的原理的，以及如何进行 Vite 工程化，与现有的大型项目进行结合。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062403.jpg)

开课吧与周刊合作，读者现在可以 **0 元领取**  这份课程资料。微信扫描下方二维码，添加助理老师的微信即可。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062404.jpg)

由于助理老师是手工操作，如果人多的话，请不要着急，48小时内都会添加你的。

## 科技动态

1、

[Oculus 公司](https://www.oculus.com/blog/testing-in-headset-vr-ads/)宣布，将在他们的 VR 眼镜里面测试广告。

用户进入系统以后，会在虚拟世界的墙壁上看见广告。虚拟世界变得跟真实世界越来越像了。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061701.jpg)

2、

[叙利亚政府](https://blog.cloudflare.com/syria-exam-related-internet-shutdowns/)为了防止6月的高中毕业考试作弊，在考试时关闭全国的互联网。该国的网络流量顿时降为0。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061801.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061802.jpg)

3、

[微软](https://www.yystv.cn/p/8006)更新了 Edge 浏览器的内置小游戏“让我们网上冲浪吧”，加入了更多的障碍物。只要在 Edge的地址栏键入“Edge://surf/”，就可以打开这个游戏。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061706.jpg)

4、[老鼠排雷](https://www.npr.org/2021/06/04/1003258540/after-years-of-detecting-land-mines-a-heroic-rat-is-hanging-up-his-sniffer)

柬埔寨正在使用非洲大囊鼠排雷。老鼠的体重很轻，不会触发地雷。经过训练后，可以嗅出 TNT 炸药的气味，然后就会前爪挖地，通知人类。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060508.jpg)

过去四年中，这只叫做 Magawa 的老鼠，清理了超过 22 万平方米的土地，找到了 71 颗地雷和 38 件其它爆炸物。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060909.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060910.jpg)

5、

[美国海军](https://www.businessinsider.com/navy-detonated-40000-pound-explosive-to-test-new-supercarrier-2021-6) 6 月 18 日在大西洋上，进行了一次爆炸实验。40000磅（18吨）炸药在航空母舰杰拉尔德·福特号的不远处引爆，目的是测试航空母舰能否承受附近出现的大爆炸，船上的设备会不会失灵。

这是多年以来，世界最大威力的海上爆炸，场面非常壮观。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062202.jpg)

6、

[伦敦市长](https://tfl.gov.uk/info-for/media/press-releases/2021/june/mayor-fulfils-commitment-and-confirms-high-speed-mobile-coverage-across-tube-network)宣布，伦敦地铁将在三年内，实现全线可以用手机上网。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062211.jpg)

伦敦地铁修建于100多年前，隧道很小，安装通信设备难度很大。直到去年，才实现了 J​​ubilee 线的东段可以车厢内上网，其它地铁线还不行。

7、

[一项研究](https://www.scientificamerican.com/article/pupil-size-is-a-marker-of-intelligence/)称，瞳孔大小与智力相关。瞳孔大的人，认知能力较高。

原因据说是，瞳孔与大脑的蓝斑区相关，瞳孔大，接收的光量就多，蓝斑区因此可以刺激大脑的神经活动。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060314.jpg)

8、

[GitHub](https://github.com/features/issues) 大幅改版 issue 功能，由原来的讨论区，转变为项目管理工具，提供了看板视图和表格视图（下图），大大增加了 issue 的任务属性。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062406.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062407.jpg)

历史上，GitHub 的项目管理功能一直很弱，现在终于开始补强了，Jira 应该会瑟瑟发抖吧。

9、[工业运动员](https://www.theverge.com/2021/6/2/22465357/amazon-industrial-athlete-warehouse-worker-wellness-pamphlet)

亚马逊公司的物流仓库，以劳动强度大著称。美国媒体报道，该公司在发给员工的一本小册子里宣传，希望大家把自己看成是“工业运动员”。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060504.jpg)

这本小册子告诉仓库员工，极端情况下，他们可能一整天要步行 21 公里，平均每小时消耗 400 卡路里。它建议员工为此做好准备，改变饮食和睡眠习惯，密切注意尿液的颜色来确保全天不会脱水。它还建议员工”购买宽松的鞋子，以避免紧绷和起水泡 “。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060503.jpg)

## 文章

1、[世界最深的地下实验室](https://mp.weixin.qq.com/s/WZ-1QU3mhnf-ZrhX3DQWjA)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060502.jpg)

四川省凉山地区有一个清华大学的”中国锦屏地下实验室“，位于2400多米的地下，是世界最深的实验室。该实验室主要用来研究暗物质，因为只有在这么深的地下，才能屏蔽掉宇宙射线和地面环境的影响。

2、[三种前端实现 VR 全景看房方案](https://juejin.cn/post/6973865268426571784)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062408.jpg)

某品牌要搭建一个在线 VR 展厅，用户可以在手机上通过陀螺仪或者拖动来360度全景参观展厅，前端有三个方案可以实现。

3、[CSS 与 CSS-in-JS 的性能比较](https://pustelto.com/blog/css-vs-css-in-js-perf/)（英文）

单独加载的 CSS 文件与写在 JS 脚本里面的 CSS，性能相差多少？作者实验证明，差距很大。

4、[跨太平洋海底电缆 PLCN 的影响](https://blog.telegeography.com/trans-pacific-cables-asian-hubs-plcn-status)（英文）

2017年，跨太平洋海底电缆（PLCN）开始建设，原计划连接洛杉矶和香港（下图一）。但是，2020年由于美国政府的反对，香港节点被取消（下图二）。本文讨论这个事件的影响。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060603.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060604.jpg)

5、[使用 Skynet 和 Filebase 实现分布式文件储存](https://filebase.com/blog/drag-and-drop-files-onto-the-decentralized-web-using-skynet-and-filebase/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060507.jpg)

Skynet 是一个开源的分布式内容托管系统，只要把内容接入这个系统，就可以从全世界无数入口，获取这些内容。本文就介绍一种非常方便的方法，通过 Filebase 这个服务，将图片快速接入 Skynet。

6、[我们如何使用 MagSafe 找回 iPhone 12 Pro](https://riedel.wtf/iphone-12-pro-in-canal-magsafe-fishing-rod/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060501.jpg)

作者的 iPhone 12 手机不慎掉入河中，他想到可以用 MagSafe 功能的磁性吸附特点，用磁铁将 iPhone 从水里吸上来。

7、[最简单的 EPUB 电子书](http://len.falken.ink/misc/epub.txt)（英文）

作者演示如何制作一本最简单的 EPUB 电子书，一共需要4个文件。

8、[苹果手机的照片语音描述功能](https://www.loopinsight.com/2021/05/13/apple-support-how-to-hear-image-descriptions-in-the-camera-app/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021051601.jpg)

苹果手机有一个 VoiceOver 功能，让人工智能生成照片的描述，然后使用机器语音读出来。这样的话，不用看照片，就能知道照片的主要内容。本文用一段简单的视频，教你怎么打开这个功能。

## 工具

1、[Astro](https://github.com/snowpackjs/astro)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060911.jpg)

一个前端构建工具，构建出来的页面使用最少 的 JS，尽量是纯的 HTML 和 CSS 代码，大大提高页面的加载速度。实在必需的 JS 脚本，只有用到时才会动态加载。

2、[Althttpd](https://sqlite.org/althttpd/doc/trunk/althttpd.md)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060908.jpg)

SQLite 作者 D.理查德·希普写的 HTTP 服务器，SQLite 网站就是用它架设的，整个软件只有一个 C 文件。

希普这个人真是有性格，用到的所有工具都是自己写的。先写了数据库SQLite，接着写了 Bug 追踪系统 CVSTrac，然后写了版本管理系统Fossil，现在是 Web 服务器。

3、[Lepton](https://github.com/black7375/Firefox-UI-Fix)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060907.jpg)

从 Firefox 89 开始，Firefox 采用了新的 UI 设计 Proton。作者认为，这个 UI 总体上是好的，但是有些地方需要调节，从而写了这个工具，对 Proton 进行微调。

4、[Snowtrack](https://snowtrack.io/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060906.jpg)

一个桌面软件，提供图形文件的版本管理系统，方便管理设计资源。

5、[Akwaba](https://github.com/ousmanedev/akwaba)

一个很有创意的项目，将 Notion 作为网站评论系统的后端，数据都储存在 Notion 表格里面。

6、[Mastershot](https://mastershot.app/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060705.jpg)

免费的网页视频编辑器，用的是 FFmpeg 的 webassembly 版本，可以在网页上进行简单的视频编辑。

7、[Shoelace](https://shoelace.style/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060611.jpg)

一个很不错的 Web Components 库，目前提供30多种网页组件。

8、 [Handsfree.js](https://handsfree.js.org/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060605.jpg)

一个 JavaScript 库，可以识别人体的动作、手势和面部表情。官网上有很酷的演示，通过扭头或手势，控制鼠标移动。

9、[Daytripper](https://github.com/dekuNukem/daytripper)

这个开源项目是一个 USB 接口的激光传感器，能够感知周围物体的运动。作者举了一个很有趣的用例，老板走过来，它能立刻感知到，自动将计算机切换到工作桌面。

## 资源

1、[初等微积分](https://people.math.wisc.edu/~keisler/calc.html)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060403.jpg)

一本大学新生的微积分英文教程《Elementary Calculus: An Infinitesimal Approach》，从无穷小入手，详细解释什么是微积分。

2、[设计比特币](https://bitcoin.design/guide/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060402.jpg)

一个英文的教程网站，介绍比特币的原理和设计方案。

3、[Deep JavaScript](https://exploringjs.com/deep-js/toc.html)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061104.jpg)

一本免费阅读的英文电子书，介绍 JavaScript 语言的底层机制和设计思想。

## 图片

1、[鹦鹉螺音箱](https://www.bowerswilkins.com/net/blog/products/history-of-nautilus)

一家美国创业公司，开发出了鹦鹉螺形状的音箱，通过螺旋式的空腔，发出更理想的声学效果。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060309.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060311.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060310.jpg)

2、[核废料的数量](https://rootsofprogress.org/nuclear-physics)

核电厂的一个缺点，就是会产生核废料。但是，核燃料的能源密度非常高，每度电产生的核废料其实非常少。

美国康涅狄格州的一个核电厂，运行了28年，产生的所有核废料就是下面照片里面的这些水泥罐。在此期间它一共发了1110亿度电。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053102.jpg)

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053103.jpg)

3、[弹射座椅](https://neil.computer/notes/overkill-objects-for-everyday-life/)

一位美国用户，最近从网上买了二手的战斗机弹射座椅，价格是5000美元。这种椅子用来在飞机坠毁时，将驾驶员弹射出机舱。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053101.jpg)

下面是实物照片，这玩意平时不容易看到。买家打算把这个椅子放在家里，作为日常座椅。

## 文摘

1、[乔布斯对竞争对手挖人的反应](https://twitter.com/TechEmails/status/1407016788240576512)

2005 年 5 月 26 日，乔布斯给 Adob​​e 公司首席执行官 Bruce Chizen 发了一封电子邮件。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062207.jpg)

> 布鲁斯，
>
> Adobe 正在从苹果挖人。他们已经挖走了一个，还正在给许多人打电话。我们的招聘政策是，不从 Adobe 挖人。看来你们有不一样的政策。我们之中必须有一方改变政策。请让我知道，你觉得谁应该变。
>
> 斯蒂夫

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062208.jpg)

Bruce Chizen 的回信。

> 我想，我们以前的共识是不互挖高层管理者（在 Adobe，这一级是高级总监 / 副总裁，占所有雇员的2%）。我很肯定，你们的招聘人员大量接触了我们的初级和中级雇员。
>
> 我的建议是保持现状。但是愿意讨论，最好能有共识。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062209.jpg)

乔布斯的回信。

> 好的，我会告诉我们的招聘人员，除了高级总监 / 副总裁，Adobe 的人随便挖。我没理解错你的意思吧？

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062210.jpg)

Bruce Chizen 的回信。

> 我同意双方不主动接触对方的雇员。但如果雇员主动接触对方，这是可接受的。
>
> 如果你也同意，我会告知手下人。

## 言论

1、

写作是你对自己思想的研究和开发。

-- David Perell

2、

我从欧洲搬到美国工作，工资涨到了原来的三倍，但是生活质量明显下降。

美国有很多种税，联邦税加上州税以后，税率并不比欧洲低。但是，欧洲免费提供的社会福利，在美国却要付费购买，比如医疗保健。另外，美国的工作时间要比欧洲长，假期却比欧洲少，所以美国的生活质量无法与欧洲相比。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27443139)

3、

每当我拿到一台新笔记本电脑，第一件事就是在摄像头上贴上一块黑色电工胶布，防止被监控。

-- [《如何解决 WebAuthn+ 认证问题》](https://hackernoon.com/how-to-solve-the-authentication-problem-with-webauthn-m24w35yn)

4、

最容易使用的程序，是那些对用户的新知识要求最少的程序。

-- [《Unix 哲学基础》](http://www.catb.org/~esr/writings/taoup/html/ch01s06.html)

5、

高级工程师的技能之一，就是要帮助其他人晋升。

-- [《高级工程师的技能清单》](https://skamille.medium.com/an-incomplete-list-of-skills-senior-engineers-need-beyond-coding-8ed4a521b29f)

## 历史上的本周

2020年（第 113 期）：[暴力犯罪为什么越来越少？](https://www.ruanyifeng.com/blog/2020/06/weekly-issue-113.html)

2019年（第 61 期）：[转行前端越来越难](https://www.ruanyifeng.com/blog/2019/06/weekly-issue-61.html)

2018年（第 10 期）：[30岁以后谨慎转行前端](https://www.ruanyifeng.com/blog/2018/06/weekly-issue-10.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

