# 科技爱好者周刊（第 166 期）：视频学习胜过读书吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1826)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070816.jpg)

位于临港新城的上海天文馆，将于7月17日启用，普及天文知识，据说是世界最大的天文馆。（[via](https://www.instagram.com/p/CQ932bNHgHH/)）

## 本周话题：视频学习胜过读书吗？

现在，网上的课程视频和讲座视频，越来越多。同样的内容，可以读书学习，也可以视频学习，大家喜欢哪一种？

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070802.jpg)

我比较喜欢读书，实在没耐心视频学习。

书籍只要随手一翻，就知道大概的内容了，哪些章节需要重点阅读。视频行吗？不行，只能从头到尾，看完整个视频。看完才发现，10分钟的视频，只有1分钟是想听的。读书读到精彩之处，可以停下来慢慢琢磨，反复读上几遍。视频行吗？很麻烦，如果要回到10秒前，多拖几次播放轴，保证让你心情烦躁。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070708.jpg)

奇怪的是，我发现， **很多人宁愿看视频，也不想读书。**

举例来说，我遇到过同学跟我说：老师，我想学习 React，你有好的视频教程推荐吗？你可以看文档啊，官方文档写得不错。老师，我觉得视频学起来更快，文档不好懂，看起来太慢了。

我感到很困惑，明明是读书的学习效率比较高，为什么别人不这样想呢？

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070709.jpg)

最近，我读到一篇[文章](https://samoburja.com/the-youtube-revolution-in-knowledge-transfer/)，里面有一句话，让我恍然大悟，明白了为什么人们喜欢视频学习。

文章说， **人类学习效率最高的方式，不是“读书 + 思考”，而是“观察 + 模仿”。** 前者需要较长时间的注意力投入，后者只需要短时间注意力，更符合人类的天性。

我一下子就想通了，有些知识，读书读半天也不一定明白，但是亲眼看别人做一遍，马上就能懂。即使不完全懂，至少知道怎么模仿。所以才会有“百闻（文）不如一见”，人们更容易接受形象的东西，而不是抽象的文字。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070710.jpg)

**大部分领域的入门方式，都是“观察和模仿”，所以视频学习更有效。** 对于深入学习，文字和书籍的效果可能好于视频，因为入门以后再往上走，“理解 + 思考”的作用越来越大，“观察 + 模仿”的作用越来越小。但是，大多数人需要的只是入门，成为专业工作者毕竟是少数。

所以，视频学习才是初学者更好的方式，或者说，视频是大众学习的主流，读书更适用于某个主题的进阶学习。

以前没条件视频学习，现在不一样了。智能手机的普及，使得以前没人拍的知识，现在都有人拍；宽带互联网的普及，又使得人们可以随时随地消费视频。我们已经进了视频学习的时代，视频网站可能是新时代的图书馆和印刷机。

## 前端工程化实战

正在学习前端的同学，有没有听说过 **“前端工程化”** 这个词？近几年，这是一个热门的领域，大厂的招聘往往都有这方面的要求。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021031101.jpg)

那么，到底什么是“前端工程化”呢？ 

简单说，一个前端项目实践“软件工程”的思想和原则，所有相关的事情都可以叫做“前端工程化” ，比如优化开发流程、提高项目可维护性、自动化测试、自动化构建、发布管理等等。

**“软件工程”的做法移植到前端项目，就是前端工程，对于多人参与的大型项目尤其有用。** 这就是大厂都要求前端工程化的一个重要原因，可以大大提升项目可维护性，降低维护成本。但是，大部分的新手程序员，对于前端工程化的概念和实践都非常陌生，这不利于正规化开发和冲击大厂。

本周的课程资料就是一个 《前端工程化实战》资料包。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070804.jpg)

主讲老师通过视频讲课，带大家动手构建一个自己的组件库，在这个过程中学习前端工程化实战，并且穿插讲解一些新的前端技术（ 比如 Vite），帮助你对前端工程化有系统性认识，了解前端进阶中的一些工程化难题。

课程的主要内容如下，由开课吧制作提供。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070803.jpg)

对上面的内容感兴趣，希望掌握“前端工程化”知识的同学，可以听听看这门课程。

微信长按图片，或者扫描下方二维码，**0元就能领取**  这份详细的《前端工程化实战》资料。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070805.jpg)

注意，报名后记得添加助教老师微信领取！数量不多，先到先得。

## 科技动态

1、[癌症疫苗](https://pharmaphorum.com/news/biontech-takes-its-first-cancer-vaccine-bnt111-into-phase-2/)

德国公司 BioNTech 在新冠疫苗的基础上，正在将 mRNA 技术用于癌症疫苗。mRNA 皮肤癌疫苗第一阶段的试验效果非常理想，很多皮肤癌患者得到缓解，已经开始了第二阶段试验。

明年还有两种癌症疫苗，将投入临床试验。未来，疫苗可能会成为一个非常非常大的行业，成年人每年都要注射许多种疫苗。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062201.jpg)

2、

[加拿大和美国](https://www.bbc.com/news/science-environment-57751918)最近出现有记录以来的最高温，许多城市达到40多度。更糟的是，这些地区平时夏季气温不高，所以大部分居民都没装空调。

一项研究称，这种千年一遇的气温，如果不是全球气候变暖，几乎不可能发生。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070815.jpg)

3、

[腾讯游戏](https://finance.sina.com.cn/tech/2021-07-05/doc-ikqcfnca5043156.shtml)推出“零点巡航”功能，防止未成年人沉迷游戏。只要夜间游戏超过一定时长，系统就会要求对你进行人脸识别，看看是否跟身份证上是同一个人。

如果识别失败，表明你是冒用成年人的身份证，就会把你踢下线。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070715.jpg)

4、[离线互联网资源库](http://internet-in-a-box.org/)

美国加州大学的“离线互联网”（Internet in a box）迎来了8周年的纪念。

这个项目收集了互联网主要的免费资源，维基百科、可汗学院课程、OpenStreetMap 地图、电子书……，把它们放进一个移动硬盘，容量可达 1tb。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062105.jpg)

用户只需要使用一个树莓派，就能在没有网络的条件下，浏览和使用这些资源。这些设备赠送给不发达国家的学校，让没有上网条件的学生，也能使用互联网。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062106.jpg)

如果使用树莓派的 Zero W 迷你板，还可以把它封装成一个鼠标大小的主机，便携性就更好了，价格只要30美元。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062107.jpg)

5、

[意大利的美第奇教堂](https://www.nytimes.com/2021/05/30/arts/bacteria-cleaning-michelangelo-medici-restoration.html)聘请科学家，为珍贵的大理石雕塑涂上细菌培养液，让细菌去吃污垢，达到清洁雕塑的目的。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060108.jpg)

6、

[江苏](http://www.wxrb.com/doc/2021/06/19/95434.shtml)建成全国首条“未来高速”，高速公路的两旁设置了许多传感器，使用 5G 与车辆通信，实现车路协同，比如大雾天气时，道路可以为车辆导航。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062902.jpg)

7、

[美国科学家](https://medlifestyle.news/2021/05/29/waking-up-one-hour-earlier-can-lower-a-persons-chance-of-major-depression-by-23-new-research-finds/)发现，提早入睡可以减轻罹患忧郁症的风险。平时半夜1点钟入睡的人，如果提早到11点入睡，忧郁症发病率可以减少40%。

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021053005.jpg)

科学家猜测，原因可能是，早睡早起有助于照到更多的阳光，改变体内荷尔蒙分泌，进而影响情绪变化。

8、

[苹果公司](https://www.macrumors.com/2021/06/29/icloud-data-stored-on-google-cloud-increasing/)据报道将大量iCloud 数据，存储在谷歌云，总量达到 800万 TB，单单今年的费用就是3亿美元，是谷歌云最大客户。

这表明，苹果自己的数据中心可能规模很小，根本存储不了它的所有数据。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070701.jpg)

##  文章

1、[北京航空航天大学的月宫一号](https://buaa.edu.cn/info/1733/4154.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062805.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062806.jpg)

2018年时，北京航空航天大学建了一个全封闭的“月宫一号”实验舱，探索人类在外空环境中，如何自给自足地生存一年。四名志愿者在舱内依赖内部循环的空气和水生存，并种植各种植物。

现在，中国的空间站上天了，宇航员将在太空逗留3个月到半年，以后还会前往火星，我们终于知道了这个实验的目的是什么。

2、[一场欧洲杯转播总共有多少个机位？](https://new.qq.com/omn/20210625/20210625A02WJ800.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062903.jpg)

一场顶级的足球比赛，电视转播需要多少台摄像机？答案是至少36台。

3、[Tensorflow 开发者认证记录](https://nekonull.me/posts/tf-cert-blog/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070812.jpg)

作者作为一名大四学生在暑假学习并通过 Tensorflow 开发者认证的经历。（[@jerrylususu](https://github.com/ruanyf/weekly/issues/1834) 投稿）

4、[Oxygen OS 的兴衰](https://www.androidauthority.com/oneplus-oxygen-os-rise-fall-1234103/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062503.jpg)

Oxygen OS 是一加手机定制的 Android 系统，初期得到广泛好评。但是，随着一加改变产品定位，Oxygen OS 似乎失去了特色，前景变得很不明朗，可能会与 Oppo 的 ColorOS 合并。

5、[ES2021 新语法点](https://h3manth.com/ES2021/)（英文）

ES2021 标准已经正式通过了，本文简要介绍了 JavaScript 今年新加了哪些语法，还好不是很多。

6、[z-index 和堆栈上下文](https://www.joshwcomeau.com/css/stacking-contexts/)（英文）

本文详细介绍 CSS 里面的 z-index 属性，以及它生效所必需的堆栈上下文（stacking context）是怎么形成的。

7、[SQL 查询顺序](https://jvns.ca/blog/2019/10/03/sql-queries-don-t-start-with-select/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202105/bg2021052806.jpg)

SQL 的 select 查询语句有很多组成部分，本文介绍内部执行时数据库引擎的处理顺序（上图）。

8、[如何使用 systemd 架设一个开机启动的网站](https://mgdm.net/weblog/systemd/)（英文）

本文讲解怎么设置 Systemd，将网站做成一个服务，开机启动。

9、[安卓应用的 .aab 格式](https://arstechnica.com/gadgets/2021/07/google-play-dumps-apks-for-the-more-google-controlled-android-app-bundle/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070303.jpg)

谷歌最近宣布，从8月开始，提交到 Play 商店的安卓应用，一律必须是 .aab 的打包格式，而不是传统的 .apk 格式。

以后，谷歌会根据用户的机型，生成专用的 apk 下载包。这样的话，很可能造成 apk 安装包不再通用。

## 工具

1、[kcal](https://github.com/kcal-app/kcal)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060109.jpg)

一个开源的 Web 应用，用户可以记录每天摄入的各种食品的热量，有很好的资料库，只可惜没有中文版。

2、[Flomo](https://flomoapp.com/)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070808.jpg)

一款卡片式笔记软件，界面非常清爽，有跨平台多种客户端，支持多端自动同步。（[@RangeChoi](https://github.com/ruanyf/weekly/issues/1821) 投稿）

3、[Animista](https://animista.net/)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070806.jpg)

一个网页 CSS 动画工具，可自由配置各种动画特效，并生成代码。（[@fish-404](https://github.com/ruanyf/weekly/issues/1824) 投稿）

4、[TorrentNet](https://github.com/lmatteis/torrent-net)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061005.jpg)

这个工具是 BT 下载的种子文件（torrent）的本地搜索引擎。它的最大特点是不用下载整个索引数据库，就可以实现搜索。

5、[Nuitka](https://github.com/Nuitka/Nuitka)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061711.jpg)

一个用 Python 语言写的 Python 编译器，可以取代 CPython。

6、[DenoDB](https://github.com/eveningkid/denodb)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061902.jpg)

一个 Deno 专用的数据库 ORM 库，支持 MySQL、SQLite、MariaDB、PostgreSQL 和 MongoDB。

7、[Fluid Paint](https://david.li/paint/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062206.jpg)

一个网页画板工具，可以定制笔刷，产生刷油漆的流体效果，非常精美，值得一玩。

8、[成都市城市轨道交通线网规划](https://github.com/cmoseses/cmoseses.github.io)（2021版）

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070811.jpg)

成都市2021年7月6日公布了《城市轨道交通线网规划图》，但是不方便缩放操作。作者写了一个静态页面将其和百度地图结合，方便查看未来地铁是否经过了你的家门。（[@cmoseses](https://github.com/ruanyf/weekly/issues/1836) 投稿）

## 资源

1、 [写给 Node.js 程序员的 Rust 教程](https://itnext.io/deep-dive-into-rust-for-node-js-developers-5faace6dc71f)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062104.jpg)

一篇英文的长篇教程，帮助 Node.js 开发者学习 Rust 语言，让你学会怎样写出能在 Node.js 运行的从 Rust 编译的 WebAssembly 代码。

2、[五笔输入法7天速成](https://wubi.yantuz.cn/)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070810.jpg)

作者结合自身学习经历，收集整理了五笔输入法相关知识，按照每天2-3小时的时间，结合[五笔练习](https://wubigame.yantuz.cn/)小游戏，预计一周时间即可掌握五笔输入法。（[@yhf7952](https://github.com/ruanyf/weekly/issues/1830) 投稿）

3、[Zsh 的最佳主题](https://www.slant.co/topics/7553/~theme-for-oh-my-zsh)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070809.jpg)

当前的热门 Zsh 主题的排名，更新及时。（[@PeakJ](https://github.com/ruanyf/weekly/issues/1829) 投稿）

4、[古怪的 JavaScript](https://jsisweird.com/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062807.jpg)

这个网站给出了25道选择题，测试你对 JavaScript 的古怪语法点了解多少。

## 图片

1、[发光轮胎](https://www.odditycentral.com/auto/goodyears-long-forgotten-illuminated-tires.html)

上个世纪60年代初，美国轮胎公司固特异尝试不使用橡胶，而使用一种叫做氨基甲酸乙酯的化合物，来制造轮胎。

这种新材料更易于获得、成本更低、可塑性更好，而且它是半透明的，还可以染成各种颜色。

固特异公司为了推广这种新轮胎，甚至将灯泡放入轮胎使其发光。轮胎内部安装了 18 个小灯泡，驾驶员通过按钮来打开它们。灯泡由汽车电池供电，有一根电线会连入轮胎。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060612.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060613.jpg)

发光轮胎的一大问题是，其它驾驶员会盯着它们看，从而分心，将视线从道路上移开，很容易导致车祸。

但是，更大的问题是，氨基甲酸乙酯这种化合物无法抗高温，到250度就会软化，这意味着不能高速行驶，避免跟地面剧烈摩擦。

最终，固特异决定放弃这种轮胎，不再推向市场了。

2、[伪装大师毛毛虫](https://www.odditycentral.com/animals/this-caterpillars-camouflage-is-on-a-another-level.html)

东南亚有一种叫做 Common Baron Caterpillar 的毛毛虫，堪称伪装大师。

它趴在芒果叶子上，根本看不出来。下面照片中，叶子上都有一条毛毛虫，你能看出来吗。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060608.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060609.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060610.jpg)

## 文摘

1、[Linus 谈美国](https://www.tag1consulting.com/blog/interview-linus-torvalds-open-source-and-beyond-part-2)

Linux 操作系统的创始人 Linus Torvalds，最近在一次访谈里面，谈到了他为什么会移居美国，以及对美国的印象。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021060704.jpg)

**（1）为什么来美国？**

我1997年离开芬兰，搬家到了美国。

那时我还很年轻，有一家创业公司邀请我来美国。该公司从事的就是在 80386 体系上面开发 Linux 系统，这正是我非常熟悉的领域。他们做的事情也非常有趣，所以我就来了。

当时的芬兰非常注重高科技，但以手机技术为主。诺基亚就是芬兰的公司，那时是世界最大的手机公司，也是芬兰最大的公司。

我对手机不感兴趣，那时的手机还没有变成小型计算机，人们只能用它打电话。美国看起来似乎很有趣，我和妻子以及我们当时10 周大的女儿搬到了这里。

当你刚有第一个孩子，就搬家到另一个国家，并且周围没有家人朋友，这可能不太明智。但是，我们那时还年轻，抱着不妨一试的态度，一切就都很顺利。

我还记得那年二月份搬家时的情景，离开时赫尔辛基很冷，大约零下 20°C，当我们达到旧金山机场，天气晴朗温暖宜人，气温是零上20°C。

**（2）美国是怎样的国家？**

美国的生活很有趣，这些年我已经把美国当成自己的家。当然，我还是很想念芬兰的一些地方。美国的问题是，它的教育系统是一场灾难。你必须搬到正确的地区，才能进入好的小学或中学，如果你要上一所好大学，就要支付多到疯狂的钱。这是美国的一种耻辱。美国的医疗系统也有问题。另外，美国的政治已经从“有点奇怪”，变成了彻头彻尾的可怕。芬兰都没有这些问题。

美国也有很多优势，不仅仅是天气。我们后来从加州搬到了俄勒冈州波特兰，这里的天气不像湾区那么好，但还是比芬兰好很多。我们在美国待了这么长时间，我们的孩子不会说芬兰语，我和我妻子都来自芬兰的讲瑞典语的少数民族，所以我们在家里说瑞典语。我们在这里已经有很多朋友和各种社会关系。在美国，只要你有一份好工作，你就可以在很大程度上忽略美国社会的失败。

我们考虑过搬回芬兰吗？有那么几次确实想搬。首先是孩子们小学开学的时候。然后是孩子们开始上中学时，接着是上大学时。你看到里面的规律了吗？、

要是特朗普再次当选美国总统，我大概也会考虑搬走。总的来说，美国的政治让我感到担忧，美国至上论和民族主义的兴起，令人感到悲伤和可怕。尤其是那些拥护者从来没有国外生活经历，根本不知道自己在谈论什么。

美国在很多方面都是一个可爱的国家，也是一个非常多样化的国家，拥有许多不同的文化和人群，以及自然风光。我喜欢这一点。事实上，如果我要搬回芬兰，对我来说最困难的部分可能就是这个。芬兰是一个非常友善、理智和安全的国家，但它也是一个非常小的国家，而且非常单一化。

特朗普当总统时，你经常可以看到挂着美国国旗的巨大卡车，那些没有受过教育的人高喊着“美国第一”、“美国伟大”，这让人很困扰。

有时甚至是受过教育的人，也相信这点。我的家庭医生坚信美国的医疗制度是世界最好的，但他从来没在其他国家生活的，拒绝承认其他国家实际上拥有更好的医疗制度。是的，他是特朗普的支持者。

不要误会我的意思。民族主义无处不在，包括欧洲，甚至包括芬兰，但它的美国版本似乎确实有毒。

老实说，这也是我住在西海岸的原因之一。俄勒冈州基本上非常自由，你肯定不会经常看到那些支持特朗普的旗帜。

**（3）家庭生活**

我的家庭生活相当正常。我有三个女儿，但她们年纪大了，大部分都飞走了。最小的还在上大学，暑假回家。二女儿正在读研究生，暑假不回家。大女儿在东海岸工作。我们仍然尝试全家一起度假，但去年的疫情让这一切没法实现。

所以这些天，家里主要就是我和妻子，还有两只狗和一只猫。我已经接种了第一剂疫苗，离第二次疫苗接种还有几周的时间。再过几个月，我会再次去潜水，期待着恢复稍微正常一点的生活。

## 言论

1、

公司不喜欢员工远程工作，因为觉得员工像在兼职，而公司却支付了全职的薪水。

公司的想法是，既然我支付了全职薪水，那么从早上9点到下午5点，我对你的所有时间、注意力和精力，拥有所有权。这种所有权的体现就是，这段时间你需要到我指定的办公场所，让我看着你在工作。

-- [《远程工作会摧毁老板》](https://ez.substack.com/p/the-work-from-home-future-is-destroying)

2、

为了让毕业生和 Java 程序员对 JavaScript 更满意，标准委员会不断改造这种语言的语法，先添加了类（class），又在那些人的不断要求下，添加了私有属性，因为那些人一旦离开了 OOP（面向对象编程），就不知道怎么编程。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27491353)

3、

欧洲的问题是，人们几乎完全使用美国开发的软件平台，以及中国生产的硬件。

--[《欧洲的软件问题》](https://berthub.eu/articles/posts/europes-software-problem/)

4、

我从第三世界国家搬到欧洲，发现欧洲人都被宠坏了。西欧国家的生活质量非常高，国家提供各种福利，生活轻松到让你丧失抱负。更不要提拖拖拉拉的官僚主义，以及各种要求严格的法规，只会把小公司赶出市场。

一个创新和竞争的社会，需要非常灵活的工作法规、追求高速增长的企业家、不轻松的生活方式，以及具有抱负的劳动者。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27514512)对《欧洲的软件问题》一文的留言

5、

雇用聪明人并告诉他们该做什么是没有意义的；我们雇用聪明的人，因为他们可以告诉我们该做什么。

-- [史蒂夫·乔布斯](https://betterprogramming.pub/10-admirable-attributes-of-a-great-technical-lead-251d13a8843b)

## 历史上的本周

2020年（第 115 期）：[保护你的 DNA，不要泄漏](https://www.ruanyifeng.com/blog/2020/07/weekly-issue-115.html)

2019年（第 63 期）：[互联网市场的集中化趋势](https://www.ruanyifeng.com/blog/2019/07/weekly-issue-63.html)

2018年（第 12 期）：[人口老龄化，养老金不够](https://www.ruanyifeng.com/blog/2018/07/weekly-issue-12.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
