# 科技爱好者周刊（第 172 期）：我们会死于气候灾难吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1870)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080514.jpg)

今年4月，西宁野生动物园成功地人工孵化了一个高山兀鹫的鸟蛋。目前，这只雏鸟已经达到了四月龄，生长得非常良好，成为中国首只人工养活的高山兀鹫雏鸟。（[via](http://slide.news.sina.com.cn/slide_1_86058_519393.html#p=2)）

## 本周话题：我们会死于气候灾难吗？

上周，联合国发布了一份[《气候问题评估报告》](https://www.ipcc.ch/report/sixth-assessment-report-working-group-i/)，供各国政府参考。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081508.jpg)

国内媒体没怎么报道这件事，但在国际上，它都是各国的头版新闻。

一般来说，政府单位的报告都写得四平八稳、滴水不漏。但是，这份报告是罕见的例外，它写得非常明确尖锐，结论就是四个字：“大难临头”。

报告认为，根据各种科学研究和观测结果，可以认定 **气候灾难已经发生了，并将继续加剧。** 人类现在所做的种种减碳努力，并不能避免灾难，只是为了不让最糟糕的结果发生。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081703.jpg)

报告描绘了非常可怕的全球变暖进程，地球的平均气温，目前比工业革命前上升了1.2度，估计未来一两年内就会上升1.5度。如果温室气体排放量继续增加，2050年前将会上升2度，本世纪末之前达到3度。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081704.jpg)

有的朋友可能觉得，两三度不算什么。但这是全球平均气温，包括海洋和陆地，由于海洋的温度波动远远小于陆地，这意味着陆地的温度上升，可能是四五度。

以上海为例，[七月的平均气温](https://www.tianqi.com/qiwen/city_shanghai/)，现在是28度到35度。如果到了2050年上升三度，就变成31度到38度，如果更高，最高气温的平均值就会达到40度。这住起来就太痛苦了。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081705.jpg)

我们会遭遇什么样的灾难？联合国报告是这样描述的：

> “地球将变得干燥许多，整个生态系统被破坏，导致大规模物种灭绝，并使全球的粮食保障面临巨大风险。
> 
> 以下五种灾难现象将会越来越严重：（1）高温，（2）干旱，（3）洪水，（4）飓风，（5）海平面上升。”

气候灾难其实已经发生了，比如上个月郑州“千年一遇”的大暴雨，再比如这个月，欧洲遭遇史上最热的夏天。就在几天前，[意大利](https://finance.sina.com.cn/tech/2021-08-13/doc-ikqciyzm1312604.shtml)报告欧洲有记录以来最高温 48.8 摄氏度，同一时间[西班牙](https://abcnews.go.com/Health/wireStory/europe-heat-wave-brings-concern-older-adults-homeless-79455026)是47.2度，[希腊](https://wap.xinmin.cn/content/32002962.html)是46度。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081706.jpg)

气候灾难不再是一个科学名词，而是日常生活中，真真实实发生在每个人身边。

我们应该有所准备，避免或减轻气候灾难对自己的伤害。对普通人威胁比较大的，主要还是暴雨和高温。

（1）遇到大暴雨，尽量不要进入地下空间或地势低洼处，也不要靠近山地，防止遇到山洪。

（2）居住地的选择要考虑气温，尽量选择气候凉爽的城市。中国东部沿海各省，恐怕以后夏季高温都会破40度。深圳这种北回归线以南的城市，一年可能有半年，全天气温在30度以上。

## Vue 3.0 飞机大战游戏

去年9月，Vue 3.0发布。不到一年时间，它已经成为当前的主流，不仅新项目大面积采用，老项目也纷纷从2.0版升级。

3.0版的生态环境正在逐步完善，各种组件库（比如ant-design-vue、vant、element-plus）都已先后宣布支持 Vue 3.0。

现在如果去面试的话，Vue 3.0会是考察的重点内容。面试官的问题，从偏重于源码和原理层面，正在慢慢向实战层面转移。

掌握 Vue 3.0 的最好方法，无疑就是自已动手从头写一个项目。很多同学都知道这一点，但是不知道有什么项目可以写，也不知道遇到困难到哪里找答案。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123013.jpg)

现在正好有这样一个项目，教你用 Vue 3.0 写一个飞机大战游戏，而且全程有视频讲解，解释为什么这么写，以及介绍新的 API。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123014.jpg)

这个视频课程资料，可以帮你达到三个学习目的。

> - 有一个可写在简历中的 Vue 3.0《飞机大战》成品，面试加分。
> - 从浅到深剖析 Vue 3.0 源码，知其所以然。
> - 通过实战学习业务实践，快速上手 Vue 3.0。

由于讲解得非常细致，整个视频课程分成三大部分，长达450分钟！

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123016.jpg)

具体的讲课大纲和课程细节，可以微信扫码了解。该课程由国内著名的大型培训机构“开课吧”，专门为周刊读者提供。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081904.jpg)

微信扫描上方二维码，就能领取该课程。原价699元，现在有200个免费名额，不用转发不用分享，扫码就能领。

## 科技动态

1、[船屋顶](https://www.fastcompany.com/90660790/this-wildly-experimental-building-has-a-roof-made-of-boats)

大型的世界性活动，比如奥运会和世博会，会新建大量场馆。等到活动结束，场馆就会闲置，非常可惜。

即将开幕的迪拜2020世博会，意大利馆做了一个疯狂的尝试。设计师让三艘长度为40米的船，从意大利航行过来，到达迪拜以后，把船拆开翻转过来，船底当作屋顶，下面用150根钢柱支撑在地面上，变成一栋房子。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080515.jpg)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080516.jpg)

等到活动结束，再把场馆拆掉，屋顶重新变成船，继续航行回意大利。这样既节省了材料，也节省了建筑材料的运输费用。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080517.jpg)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080518.jpg)

2、[国际空间站的钻孔](https://arstechnica.com/science/2021/08/nasa-stands-by-its-astronaut-after-incendiary-russian-claims/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081402.jpg)

2018年8月的一天，宇航员突然发现，国际空间站的舱体上有一个小小的钻孔（上图），导致舱内的氧气逃逸到宇宙空间。虽然宇航员马上用胶水，临时封闭了这个孔，但是，它是从哪里来的呢？

上周，俄罗斯塔斯社发表一篇文章，爆出猛料。文章点名，这个孔是一个美国女宇航员蓄意钻开的，她当时心理状况异常，幻想通过破坏飞船，触发紧急撤离，从而提前返回地球。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081403.jpg)

美国宇航局立刻发表声明，驳斥这是一派胡言，事发之前，美国宇航员根本没有靠近钻孔的位置，“我们认为这些指控没有任何可信度。”但是，美国宇航局也不能回答，这个洞是怎么回事。

3、[音乐消费量下降](https://www.eurekalert.org/news-releases/924367)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080406.jpg)

一项研究发现，自从新冠疫情爆发以后，音乐流媒体的消费量大约下降了10%，使得全球最大音乐网站之一的 Spotify 收入减少。

这很奇怪，人们在隔离期间无事可做，反而减少了听音乐。

原因可能是，音乐并不是独立的娱乐活动，而往往是对其他活动（比如上下班期间）的补充。一旦人们减少了其它活动，音乐消费也随之减少。

4、[酒驾监控系统](https://www.vice.com/en/article/dyvk9z/every-car-made-after-2027-may-have-drunk-driving-monitoring-system)

最近，美国国会通过一项法律，规定2027年后生产的所有汽车都必须配备酒驾监控系统，防止驾驶员酒后驾车。美国每年因为酒后驾车，有超过10000人丧生。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080405.jpg)

但是，麻烦的是目前还没有任何技术，能够主动发现酒后驾车。美国政府正在研究两种有希望的方案。一种是检测车内空气，找出空气里面的酒精成分，这种方法的问题是，无法区分酒精来自驾驶员的呼吸，还是来自乘客的呼吸。

另一种方案是在引擎按钮上，装备一个红外线触摸传感器，通过皮肤检测血液中的酒精含量。

5、[USB 快捷键盘](http://peterhajas.com/blog/streamdeck.html)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080204.jpg)

一家国外的电脑配件厂商，最近推出了一款 USB 快捷键盘，一共有32个键。每个键都可以编程，指定所对应的操作。同时，它的键帽是一个 LCD 小屏幕，可以指定显示的图片。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080210.jpg)

网友发挥创意，为它设计了各种用途。

比如，数字键盘

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080206.jpg)

功能键盘

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080207.jpg)

音控键盘。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080209.jpg)

Emoji 键盘。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080208.jpg)

6、[机械手臂](http://darbelofflab.mit.edu/robotics-research/supernumerary-robotic-limbs-srl/)

麻省理工学院的科学家，正在开发可穿戴机器人，为人类用户提供两个额外的机械手臂。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061404.jpg)

这个机器人的最大难度，还不是产品本身，而是如何让人类灵活地操作它们，以及如何在行走时保证人体的平衡。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021061405.jpg)

如果开发成功，这种机器人会有巨大的实用价值，可以用于制造业、建筑业、老人辅助、行走康复训练等等。

## 文章

1、[碳排放交易是怎么回事](https://www.tmtpost.com/5527751.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081222.jpg)

作者10年前从西安交通大学热能工程系毕业，选择从事碳排放管理员职业。本文用通俗的语言，解释碳排放交易到底是怎么回事，为什么对火力电厂的利润有很大影响。

2、[微软入职大礼包](https://justyy.com/archives/45543)（中文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081802.jpg)

作者入职微软英国，上班第一天拿到入职大礼包，看看里面有什么。（[@DoctorLai](https://github.com/ruanyf/weekly/issues/1889) 投稿）

3、[空气湿度知识](https://sspai.com/post/68027)（中文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080101.jpg)

空气湿度对人体的影响非常大，比如气温为31度时，如果湿度达到78%，人体实际感受到的温度相当于40度。本文介绍什么是湿度，以及如何除湿或加湿。

4、[内燃机原理](https://ciechanow.ski/internal-combustion-engine/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080102.jpg)

一篇令人叹为观止的文章，使用大量互动式的动画，讲解内燃机（也就是汽车发动机）是运作过程。

5、[MDN 如何实现自动补全搜索？](https://hacks.mozilla.org/2021/08/mdns-autocomplete-search/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080410.jpg)

本文介绍 Mozilla 的文档网站如何实现搜索框的自动补全功能。

6、[如何提高 Docker 容器的安全性](https://blog.gitguardian.com/how-to-improve-your-docker-containers-security-cheat-sheet/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080302.jpg)

本文逐点列出提高 Docker 容器安全性的一些措施。

7、[C 语言 Union 结构的妙用](https://utcc.utoronto.ca/~cks/space/blog/programming/CUnionsForNamespaces)（英文）

作者介绍了 Union 结构的一个小技巧，用来隐藏 Struct 结构，实现内部属性的直接访问。

8、[我如何住在海滩上建立自己的软件生意](https://www.expatsoftware.com/Articles/guy-on-the-beach-with-a-laptop.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080211.jpg)

作者是一个国外程序员，一直住在海滩边冲浪，他利用业余时间开发 SaaS 服务，远程赚钱支持自己的冲浪生活。

9、[Git 的两个新命令](https://www.banterly.net/2021/07/31/new-in-git-switch-and-restore/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080201.jpg)

新版本的 Git 加了两个命令：git switch 和 git restore，本文介绍它们的用法。

git switch 用来切换分支，git restore 用来恢复原样，可以取代 git checkout。

## 工具

1、[txiki.js](https://github.com/saghul/txiki.js)

一个极小化的 JavaScript 运行时，跟 Node.js 类似，但只有 1.8MB。

2、[static.wiki](https://github.com/segfall/static-wiki)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021073101.jpg)

维基百科的静态化工具，将维基百科变成一个只读的离线静态网站。

它将所有条目导入一个 SQLite 数据库，然后实现一个前端的查询展示页面。注意，它的查询是 SQLite 的静态化查询，不需要有后端服务。

3、[daisyUI](https://daisyui.com/)

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021073003.jpg)

一个基于 Tailwind 的 CSS 组件库，用法简洁，封装掉了 Tailwind CSS 的复杂性，看上去还不错。

4、[Bibi](https://github.com/satorumurmur/bibi)

网页 Epub 阅读器，可以在网页上展示、阅读 Epub 书籍。

5、[Text-To-Image Art](https://creator.nightcafe.studio/text-to-image-art)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080606.jpg)

一个在线工具，根据用户提供的英文句子，使用人工智能模型，自动生成一幅绘画，比如上图是《夏日微风中的白色建筑》（white architecture in the summer breeze）。

这是一个收费服务，但提供三张图的免费额度。

6、[Postgres.app](https://postgresapp.com/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080701.jpg)

macOS 系统的 PostgreSQL 数据库安装包，并且内置了许多常用插件，号称是在 Mac 上使用 PostgreSQL 的最简单方法。

7、[Calligrapher.ai](https://www.calligrapher.ai/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080703.jpg)

一个 Web 工具，自动生成英文字符串的手写动画，可以定制各种参数。还有[桌面版](https://github.com/GirkovArpa/calligrapher-ai)下载。

8、[Systemizer](https://honzaap.github.io/Systemizer/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080702.jpg)

一个开源的计算机系统示意图的作图工具，可以快速在网页上画出系统结构图。

## 资源

1、[Daryl 的 TCP/IP 入门](https://www.ipprimer.com/)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021062810.jpg)

一份英语教程，向初学者介绍 TCP/IP 协议的子网、寻址和路由知识。

2、[算法（第 4 版）的 Rust 实现](https://github.com/douchuan/algorithm/tree/main/src)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081708.jpg)

作者学习《算法（第 4 版）》时，将书中的算法逐一用 Rust 语言实现，做成了一个仓库。（[@douchuan](https://github.com/ruanyf/weekly/issues/1885) 投稿）

3、[自己动手写编译器](https://github.com/pandolia/tinyc)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081803.jpg)

一本中文电子书，介绍一个非常简单的编译器的实现，通过实例，描述基本的编译原理及过程。（[@pandolia](https://github.com/ruanyf/weekly/issues/1895) 投稿）

4、[Redwoods in the British Isles](http://www.redwoodworld.co.uk/locations.htm)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021080513.jpg)

国外经常有一些奇怪的网站，比如这个网站收集英国每一棵红杉树的位置和照片。

## 图片

1、[海啸墙](https://www.bbc.com/future/article/20210628-concrete-the-material-that-defines-our-age)

2011年，日本遭受了地震引发的巨大海啸，大约2万人死亡。

为了避免以后再发生这样的惨剧，日本政府在沿海地区，修建了长250公里、高12.5米的海啸墙。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063002.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063005.jpg)

政府希望这一片高墙可以阻挡海啸，至少为海边的居民多赢得一些逃生的时间。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063007.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063004.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063003.jpg)

墙上留下一些小窗口，可以看到外面。

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063006.jpg)

![](https://cdn.beekka.com/blogimg/asset/202106/bg2021063008.jpg)

2、[远洋运输船](https://www.marinetraffic.com/blog/renewing-our-respect-for-invisible-essential-workers-of-the-seas/)

大家可能有一种印象，人类都居住在陆地上，大海是没有人居住的。

但是实际上，任何一个时刻，都有几万条船在远洋航行，包括货轮、油轮、渔轮，这意味着大概有几十万人生活在海上。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021070302.jpg)

上图中，每一个绿点是油轮，每一个红点是货轮。要是没有这些船，以及船上的船员，世界贸易就要停顿了。

3、[阿富汗地形图](https://www.visualcapitalist.com/map-explainer-key-facts-about-afghanistan/)

下面是阿富汗的地形图。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081920.jpg)

可以看到，这个国家全境都是高山，只有西南方向有一点点平原。而且，它东部连接帕米尔高原，海拔非常高，最高峰将近7500米，到处是高耸的雪山、深邃的山谷和无人的高原荒漠。

这种地形，再加上没有高等级道路，特别适合游击队出没，不适合正规军作战，大型武器无法发挥威力。这就是前苏联和美国都无法在阿富汗获胜，最终只能铩羽而归的主要外部原因。

## 文摘

1、[为什么人们会肥胖？](https://slimemoldtimemold.com/2021/07/07/a-chemical-hunger-part-i-mysteries/)

现代人很难想象，人类在历史上一直是瘦的，而且是非常瘦。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081914.jpg)

只有工业化时代后，人类才开始变胖，而且变得越来越胖。

一个世纪前，美国成年男子的平均体重是70公斤，今天是88.5公斤。当时约有 1% 的人口有肥胖问题，今天大约是 36%。而且，肥胖率在 2010 年至 2018 年间的增幅，是 2000 年至 2008 年间的两倍多。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081915.jpg)

曾经有一个研究生，对实验室老鼠做过一个实验。他将超市买来的人类食品喂老鼠，包括糖果、蛋糕、油炸食品等等，都是带有大量卡路里的美味食品。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081916.jpg)

老鼠吃了这些人类食品以后，以前所未有的速度增重。研究者又将这些食品，拿给浣熊和猴子吃，结果它们也是会迅速长胖。

他因此得到一个结论： **大量食用当代的人类加工食品，是长胖的最有效方法。**

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081917.jpg)

那些加工食品有一个问题，就是它会引诱你不停地吃，明明已经吃过了，但是没过多久，你又开始想吃了，即使事实上你并不饿。未加工的自然食物，就没有这个问题，吃过适量的食物后，你会停止进食，并保持健康的体重。

今天，非洲和南美洲还有一些原始民族，生活在丛林里面，他们只吃自然获取的食物，几乎没有任何肥胖问题。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081918.jpg)

科学家的另一个关于肥胖症的发现是，搬到高海拔地区的人有时会一下子减轻很多体重。而且，高海拔地区人的平均体重，要比低海拔地区轻。

为什么高海拔地区有助于减肥，至今没有答案。有的学者认为存在“高原厌食症”，但是并没有足够证据。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021081919.jpg)

如果你有肥胖问题，搬到高海拔地区，也许是一个不错的减肥方法。

## 言论

1、

向别人销售东西时，要把它说得很复杂，人们愿意为复杂的东西买单；说服别人时，要把内容说得很简单，越复杂的东西，能说服的听众就越少。

-- [《太聪明的人，为何不容易沟通》](https://www.collaborativefund.com/blog/too-smart/)

2、

科幻小说《三体》提出，宇宙就像一个黑暗森林，外星文明可能充满敌意，所以最好不要暴露自己。

但是在不久的将来，由于核战争、全球变暖、流氓 AI 或其它原因，消灭我们人类的可能不是外星文明，而是我们自己。我们似乎就是那些对人类怀有敌意的外星人。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27855558)

3、

悉尼是一个生活成本六位数的城市，但是你很难找到六位数收入的工作。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=27926743)

4、

频率错觉（Frequency illusion）是一种认知偏差，指的是第一次注意到某事后，往往会更频繁地注意到它，导致认为此事是高频现象。简单说，频率错觉就是“你刚刚发现一个概念或事物，然后突然发现它似乎无处不在”。

-- [维基百科](https://en.wikipedia.org/wiki/Frequency_illusion)

5、

Windows 的游戏优势有多大？根据 Steam 游戏平台 2021 年 6 月的数据，Linux 上玩家比例是 0.89%，macOS 是 2.54%，Windows 是 96.57%。

-- [phoronix.com](https://www.phoronix.com/scan.php?page=news_item&px=Steam-On-Linux-Tap-Dance-0.9)


6、

苹果公司刚成立时，员工编号由第一任 CEO 斯科蒂分配。他喜欢激怒乔布斯，所以给沃兹的员工编号是1号，给乔布斯是2号。

乔布斯恳求变成0号员工，斯科蒂拒绝了。后来，斯科蒂被解雇了，乔布斯就得到了梦寐以求的 0 号。顺便说一句，沃兹从不关心他的编号是什么。

-- [兰迪·威金顿](https://www.quora.com/When-Apple-began-designating-employee-numbers-was-Steve-Jobs-offended-that-Wozniak-received-1-while-he-got-2-and-so-he-believed-he-should-be-second-to-no-one-so-he-took-0-instead/answer/Randy-Wigginton)，苹果公司第一位软件工程师

## 历史上的本周

2020年（第 121 期）：[为什么人类没有越来越闲？](https://www.ruanyifeng.com/blog/2020/08/weekly-issue-121.html)

2019年（第 69 期）：[做得好 vs 做得快](https://www.ruanyifeng.com/blog/2019/08/weekly-issue-69.html)

2018年（第 18 期）：[无人机攻击，难以防范](https://www.ruanyifeng.com/blog/2018/06/weekly-issue-8.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

