# 科技爱好者周刊（第 183 期）：腾讯的员工退休福利

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2032)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110305.jpg)

亚马逊公司在弗吉尼亚州的第二总部“玻璃螺旋塔”，高达22层107米，将于明年动工。它的设计是外部有一圈露天的步道盘旋而上，种满了树木，可以从地面一直走到楼顶。（[via](https://www.currentaffairs.org/2021/04/when-is-the-revolution-in-architecture-coming)）

## 本周话题：腾讯的员工退休福利

本周，有一条程序员的大新闻：腾讯正式推出了[员工退休福利](https://finance.sina.cn/7x24/2021-11-05/detail-iktzqtyu5527461.d.html)。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110503.jpg)

这好像是国内第一家，互联网大厂给退休金。

具体方案是，员工在腾讯就职期间达到法定年龄退休时，可享受三项福利：

> （1）定制纪念品；
> 
> （2）长期服务感谢金，金额为6个月的固定工资；
> 
> （3）退休荣誉金，由员工在“服务年限金”和“50%的未解禁股票期权”两项之中，自由选择其一。

这就是说，你到退休年龄了，腾讯会一次性发一笔钱。所以严格说，这不是退休待遇，因为后面就没了，不是每年都有的年金，跟退休工资是不同的概念。

我觉得，这是一件好事，对于员工来说，多一笔收入。另一方面也显示，公司对员工退休问题是重视的，会给予一定的照顾。

但是，我国的法定退休年龄，男性目前是60岁，可能很快就会调整到65岁。很难想象，程序员可以在腾讯干到这个年龄。我很怀疑，腾讯现在第一线的程序员，有没有达到60岁的，会不会一个都没有。

正当大家以为，腾讯只是画了一个看得见、吃不到的大饼时，它又抛出了第二个更震撼的[安排](https://finance.sina.cn/7x24/2021-11-09/detail-iktzqtyu6241105.d.html)：**员工入职满15年，就可选择提前解锁退休福利。**

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111201.webp)

这就是说，退休福利不需要等到60岁，只要在腾讯干满15年，就可以享受。算一下就会知道，如果大学或研究生毕业，第一份工作就入职腾讯，干满15年也不到40岁，这时公司就允许你退休了。

这意味着两件事。

首先，表示腾讯也认可，员工到了40岁左右，如果再待在第一线，对公司的贡献恐怕也有限了，公司对你也没有太大的期待，不如给你一个诱因，让你主动离开，把岗位留给新人去拼。

其次，这有助于留住人才，降低辞职率。如果你在腾讯干了几年，一个新的外部机会出现了，这时你可能因为想再熬几年拿退休福利，就放弃了跳槽，因为去了其他地方就没有这种待遇了。

其他大厂可能不得不跟进，也出台类似的退休福利，否则就没有足够的吸引力，不利于招徕人才。

## 数据分析师训练营

这个周刊主要为程序员服务，但也有很多非程序员的读者。本周的课程资料，就是一个针对非专业程序员的数据分析师培训。

数据行业是新兴行业，从业人员简称“数据师”（datician）。其中最热门的一个岗位就是**数据分析师，专门搜集、整理、分析行业数据，做出评估和预测。** 现在，大企业几乎都有专门的数据分析师，从互联网大厂到传统国企都在招聘，薪资也很高。

数据分析师的技能点，可以用下面这个闭环表示。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111110.webp)

这个技能闭环有几个关键点。一是你自己要理解业务和数据，二是提炼出关键信息，让需求方也能明白。这时就需要数据可视化，千万不要把 Python 脚本的输出结果，直接截图发给对方。

本周的课程 **《三天数据分析师名企 Offer 收割营》** ，就是帮初学者入门，掌握数据理解和数据可视化的基本技能。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111114.webp)

这个课程由国内 IT 培训的独角兽企业“开课吧”精心制作，**下周一到周三（11月15日到17日）三个晚上**的讲课，教授一些数据分析的基本概念、工具、模型，以及 Python 的初步用法，让非专业的学习者能够走上数据分析师的职业道路。

详细的课程大纲，请访问后面的二维码。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111116.webp)

它针对的听众是，想要成为数据分析师的同学，以及其他领域（比如测试或运维人员）想要掌握数据分析技能的同学。它是 **零基础的，不需要有 Python 基础，** 但如果你懂一点简单程序，听课就会轻松很多。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111112.jpg)

微信扫描上方二维码，或者点击[这个链接](https://wx.kaikeba.com/xiaoke/market/landing-page/v2/SCDejL0Bl20jAo6g8l9?kol_ad_code=ruhK86JsHoyx4q1xJmX)，就可以了解课程详情并报名，只象征性收取0.99元报名费。

报名后，记得填写报名表激活课程，助教老师就会发送下周一开始的上课链接，以及免费的数据分析资料礼包。报名人数比较多，请大家耐心等待。

## 科技动态

1、[露天煤矿无人驾驶项目](https://finance.sina.com.cn/tech/2021-09-15/doc-iktzqtyt6206453.shtml)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100313.jpg)

世界首个极寒露天煤矿 5G+ 无人驾驶项目，最近在内蒙古通过验收。极寒天气下（零下40度），人工在露天煤矿驾驶卡车运煤非常困难，也很危险，这个项目改用无人驾驶卡车运煤。

在验收现场，总重接近400吨的重型矿车编队行驶，完全无人驾驶，在矿区内穿梭自如，可以24小时作业不息，既提高了效率又提升了安全生产水平。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100316.jpg)

目前的无人驾驶卡车还带有驾驶室，实际上是不需要的，未来的卡车可能会去掉驾驶室，向更智能化的方向发展。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100315.jpg)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100317.jpg)

2、[进博会的金枪鱼王](https://www.sohu.com/a/499588872_161795)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110719.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110718.jpg)

正在上海举行的第四届中国进口博览会，展示了一条从西班牙进口的金枪鱼王。它体长近3米、重达353公斤，在地中海水域生长，据说是中国历史上进口的排名第二大的鱼。

为了保持新鲜，它每天需要换冰两次，每次要消耗近1吨的碎冰。当天向观众展示以后，来自日本的专业技师当场进行了分割和加工，并将一部分鱼肉做成了刺身。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110720.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110721.jpg)

3、[核动力俄罗斯方块](https://www.hackster.io/news/this-nuclear-powered-game-boy-will-run-for-a-century-d3c1cb3c53e9)

氢元素的同位素“氚”具有放射性，氚气会不断释放出少量的电子，使得荧光粉发出各种颜色的光，这就是夜光设备的原理。将氚气充入涂有含磷荧光粉的玻璃管，密封后就可以做成发光的氚管，对人体无害。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021071605.jpg)

一个美国发明家突发奇想，将氚管放在太阳能电池上面，用它发出的光进行光伏发电，接入一个俄罗斯方块游戏机。由于氚管的光实在太微弱，需要充电两个月，才能玩一个小时。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021071606.jpg)

由于这属于核能发电，所以它就是核动力俄罗斯方块。氚的半衰期是12.43年，供电可以持续几十年。

4、[天然调温的舞厅](https://www.fastcompany.com/90674380/this-nightclub-traps-dancers-body-heat-to-warm-and-cool-the-building)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091208.jpg)

今年11月，联合国气候大会 COP26 在苏格兰首府格拉斯哥召开。为了迎接会议，当地的一家舞厅进行了改造，取消空调，改用天然调温。

这个舞厅借鉴地源热泵的原理（地下常年保持10摄氏度），钻了17个大洞，深达地下200米，埋入充满导热液体的管道，将地面与地下连成一体。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091209.jpg)

夏天，管道会将室内热量传入地下，冷却后再传回地面。冬天，格拉斯哥只有零度左右，管道就可以为室内提升温度。

5、[虚拟网红](https://www.allkpop.com/article/2021/09/social-media-influencer-model-created-from-artificial-intelligence-lands-100-sponsorships)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091505.jpg)

韩国 Sidus Studio X 工作室使用人工智能，创建了一个名叫 Rozy 的虚拟女孩，年龄永远是22岁。从去年 12月以来，她一直以真人的身份活跃在网上，发照片、发视频、拍广告，已经有很多粉丝了。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091506.jpg)

照片看上去非常逼真，根本看不出来是虚拟人物。工作室负责人解释说：“如今，名人有时会因为丑闻而退出电视剧，虚拟网红完全无需担心有任何丑闻。” 

目前，她已经拿到了100多个产品合作，并有八个专属合约，估计到2021年底可以赚到超过10亿韩元（约500多万人民币）。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091507.jpg)

6、[USB-C 的新标志](https://www.pcworld.com/article/540033/new-usb-c-logos-to-ease-confusion-in-picking-cables-and-chargers.html)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100402.jpg)

USB Type-C 是目前通用的充电和数据传输接口，但是这个接口非常混乱，有多种版本。从外观上，根本无法分辨不同版本的充电器和线材。

为了解决这个问题，USB 论坛最近通过了新的 Type-C 接口标志，主要区分两个指标：一个是支持 40Gbps 传输速度，另一个是支持 240w 充电功率。以后，满足这些指标的充电器和线材，就会印上相应的标志。

## 文章

1、[8座最有创新的中国当代建筑](https://mp.weixin.qq.com/s/sjK4xT9Qb1gpG11myse6NA)（中文）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111204.jpg)

纽约当代艺术博物馆最近从160多个候选作品中，选出了外国专家眼中8个最有创新的中国当代建筑。上图是浙江松阳县的竹林剧场，下图是上海的池社画廊，墙面用砖块模拟起伏的曲面。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021101305.jpg)

2、[雷蛇的 RGB 面罩](https://www.ifanr.com/1452288)（中文）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111202.jpg)

雷蛇公司新发布的空气过滤面罩，两侧装了小风扇，风扇一转动就会亮起 RGB 灯光。

3、[iPhone 的微距镜头](https://lux.camera/iphone-macro-camera-a-big-day-for-small-things/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021101601.jpg)

iPhone 13 新增了微距镜头，本文用大量照片讲解这个镜头为 iPhone 带来的变化。

4、[声明式与命令式 UI](https://alexsidorenko.com/blog/react-is-declarative-what-does-it-mean/)（英文）

本文介绍 React 框架里面命令式（imperative）UI 与声明式（declarative） UI 的含义与差异。

5、[Cloudflare 的 DNS API](https://developers.cloudflare.com/1.1.1.1/other-ways-to-use-1.1.1.1/dns-in-google-sheets)（英文）

Cloudflare 提供一个 DNS API，可以通过 HTTP 请求获取任意域名的 DNS 信息，而且没有使用限制，不必注册，完全免费。本文是官方的一个使用示例。

6、[如何提高二维码的可用性](https://huonw.github.io/blog/2021/10/nsw-covid-qr/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021101302.jpg)

本文介绍二维码的原理，并举了一个例子，如何将一个高密集的二维码（上图左）重新编码成低密集的二维码（上图右），提高了可用性。

7、[财富创造机制的清单](https://blog.rongarret.info/2009/10/catalog-of-wealth-creation-mechanisms.html)（英文）

本文提出，所有的财富创造活动，都可以归类为九种模式。不管是什么新技术，都是使用这九种模式来创造财富。很有启发意义的一篇文章。

8、[使用 Telegram API 创建免费的个人通知系统](https://blog.hackertyper.net/post/creating-a-personal-notification-system-for-free/)（英文）

Telegram 提供一个 API，只需要发送一个 GET 请求，就能向指定账户推送通知。

9、[如何添加缩略图到静态网站](https://www.babbling.fish/cat-gallery/)（英文）

作者希望从 markdown 仓库生成静态网站，但是又不愿把图片存放在仓库里面。那么有没有办法，在生成静态网站的时候，实时生成外部图片的缩略图，放入页面？

## 工具

1、[Cloudcraft](https://www.cloudcraft.co/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092804.jpg)

一个网页工具，用来画网络架构图。

2、[3D 人体模型](https://fakeclients.com/mannequin/)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100602.jpg)

这个网页工具可以生成各种姿势的 3D 人体模型，并可以配上道具，用作艺术家、建模师的参考。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100603.jpg)

3、[SQLite Playground](https://sqlime.org/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092805.jpg)

用户可以在这个网页上加载任意 SQLite 数据库，然后使用 SQL 语句进行操作，就是一个网页版的 SQLite 浏览器。

4、[MistQL](https://www.mistql.com/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110505.jpg)

一个即可用于前端网页，又可以用于命令行的 JSON 数据查询库，用来从 JSON 里面提取指定数据。（[@chasays](https://github.com/ruanyf/weekly/issues/2040) 投稿）

5、[htpdate](https://github.com/bobwen-dev/htpdate/)

向服务器发出 HTTP 请求，服务器会返回请求时间。利用这个原理，这个工具向多个网站服务器发出请求，从中获取准确的当前时间，用于校准系统时间。它适用于无法使用 ntp 设置系统时间的场合。([@bobwen-dev](https://github.com/ruanyf/weekly/issues/2046) 投稿)

6、[Rclone](https://rclone.org/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092901.jpg)

一个管理云端储存的通用工具，支持几十个云存储服务。它可以将本地文件上传到不同的云服务商，也可以在云服务商之间同步文件。

7、[Windows 11 Web](https://github.com/PiyushSuthar/Windows-11-Web)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092902.jpg)

这个开源项目使用 Preact，将 Windows 11 的桌面做成了 Web 页面。

8、[wg-access-server](https://github.com/Place1/wg-access-server)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100209.jpg)

一套 WireGuard 解决方案，为它提供一个方便的 Web 管理界面。

9、[yoctocolors](https://github.com/sindresorhus/yoctocolors)

一个 JavaScript 的命令行颜色库，类似于 Chalk，优势是体积小、速度快。作者是著名的 Sindre Sorhus。

10、[tiny-sass-compiler](https://github.com/wizardpisces/tiny-sass-compiler)

一个网友自己写的 SASS 编译器，将 SASS 代码编译为 CSS，没有第三方依赖，基本上所有功能都支持，可以用来学习怎么写编译器。([@wizardpisces](https://github.com/ruanyf/weekly/issues/1917) 投稿)

## 资源

1、[Awesome Math](https://github.com/rossant/awesome-math)

这个仓库收集互联网上各种有用的数学资源。

2、[用汇编语言编写 Python 扩展](https://tonybaloney.github.io/posts/extending-python-with-assembly.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021093007.jpg)

一篇长篇教程，前半部分介绍的都是汇编语言基本知识，可以用来学习汇编语言。

3、[《计算机体系结构基础》教科书](https://foxsen.github.io/archbase/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110604.jpg)

龙芯团队胡伟武老师等人编写的中文教科书《计算机体系结构基础》（第三版）的开源版本，上图是第二版封面。作者从微处理器设计的角度出发，介绍了计算机体系结构。（[@Martins3](https://github.com/ruanyf/weekly/issues/2042) 投稿）

4、[Paul Graham 文集](https://github.com/evmn/Paul-Graham)（Kindle 版）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110603.jpg)

作者写了一个脚本，将 YC 创始人、创业导师 Paul Graham 官网上面的文章都抓下来，生成了 mobi 电子书，可以在 Kindle 阅读。（[@evmn](https://github.com/ruanyf/weekly/issues/2041) 投稿）

5、[理解 AWK](https://earthly.dev/blog/awk-examples/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021093008.jpg)

AWK 是 Linux 系统的文本文件的行数据处理工具，本文是一篇新的教程。

## 图片

1、[孤独想象](http://inagblog.com/2020/05/vasjen-katro/)

北欧警察为了防止驯鹿被夜间公路上的汽车撞死，为驯鹿角涂上荧光粉，让司机远远就能看到。

一个阿尔巴尼亚艺术家受到这件事启发，制作了一张合成照片，名为《孤独想象》。

![](https://cdn.beekka.com/blogimg/asset/202107/bg2021071208.jpg)

2、[移轴摄影拍出的世界](https://www.littlebigworld.de/)

一个德国摄影师专门使用移轴摄影，将真实世界拍成模型。他的所有作品都放在自己的官网上。

> 移轴摄影指的是使用移轴镜头拍摄的照片，效果就像是缩微模型一样，将真实世界拍成像假的一样，使照片能够充分表现“人造都市”的感觉。（摘自[《百度百科》](https://baike.baidu.com/item/%E7%A7%BB%E8%BD%B4%E6%91%84%E5%BD%B1/6745081)）

新加坡天空花园

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021090202.jpg)

奥地利哈尔施塔特小镇

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021090203.jpg)

埃及金字塔

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021090204.jpg)

桂林龙脊梯田

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021090205.jpg)

长城（[视频](https://v.qq.com/x/page/n327242v07p.html)）

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=n327242v07p" allowFullScreen="true" width="600" height="400"></iframe>

## 文摘

1、[杰文斯悖论](https://zh.wikipedia.org/wiki/Jevons%E6%82%96%E8%AB%96)

1865年，英国经济学家威廉·斯坦利·杰文斯（William Stanley Jevons）观察到，提高煤炭的使用效率，会导致煤炭消费量的增加。

他因而提出，**节省资源的技术，只会带来资源使用量的增加。** 由于这与人们的直觉相反，所以称为杰文斯悖论。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111006.jpg)

举例来说，家用电器越省电，其实不会导致用电量下降。因为省电一开始会让电费下降，人们就会使用更多的家用电器，结果反而导致用电量上升。

再比如，由于交通拥堵，政府新建更多、更宽的道路，希望疏通交通。结果，行车时间的减少，导致市民购买更多的车辆，交通最终并没有好转。这就是杰文斯悖论的一个著名推论：“如果不限制车辆增长，再多的道路都会被堵住。”

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111107.webp)

杰文斯悖论有时被认为意味着，节约能源的努力是徒劳的。提高化石能源的使用效率，反而会加快化石能源的耗尽速度。

这说明，可持续能源政策不能只依赖节能技术的进步，而必须配合其他类型的政府干预措施，限制能源的使用。

## 言论

1、

经常有人说：“学习 xx 语言会让你成为更好的程序员。” 我认为，这种说法有些误导。学习新的语言确实很有趣，而且非常有用，但是真正让我更擅长编程的是做大量的编程练习，尤其是那些挑战能力极限的问题。

-- [《我没有学到的东西》](https://scattered-thoughts.net/writing/things-unlearned/)

2、

NFT 项目只是技术精英的传销，1%的人拿走50%的钱，超过80%的人由于没有下线而亏钱。

-- [Evan Armstrong](https://every.to/napkin-math/nft-projects-are-just-mlms-for-tech-elites)

3、

20世纪前期，匈牙利诞生了很多优秀科学家，其中最著名的是冯·诺依曼。这些科学家的共同特征就是在富裕家庭中长大，父母重视教育和勤奋工作，欧美的教育制度也允许他们早早进入大学，尽早开始学术研究，在25岁之前（冯诺依曼甚至在18岁之前），就发表了高质量的研究成果。

--[《布达佩斯的火星人》](https://www.privatdozent.co/p/the-martians-of-budapest-03b)

4、

Windows 11 并没有令人信服地回答：为什么用户需要这个新版本？它感觉就像微软认定自己必须做点什么，也确实有一些非常好的理由，推出一个新版本，但实际上 Windows 11 还在摸索未来的道路。

-- [《Windows 11 是 Windows 10 不必要的替代品》](https://www.pcworld.com/article/539183/windows-11-review-an-unnecessary-replacement-for-windows-10.html)

5、

汽车不同于消费电子设备，它的使用寿命很长，车主往往希望可以使用10年以上，而消费电子设备通常5年后就被认为应该淘汰了。所以，汽车零件（包括车用芯片）首要考虑的不是新功能，而是稳定性，厂商通常会采用陈旧的、经过验证的技术，而不是最新的技术。

-- [《为什么汽车制造商不使用最新芯片》](https://jalopnik.com/i-asked-experts-why-carmakers-cant-just-transition-to-n-1847739665)

## 历史上的本周

2020年（第 132 期）：[快能力和慢能力](https://www.ruanyifeng.com/blog/2020/11/weekly-issue-132.html)

2019年（第 80 期）：[企业软件创业，为什么在中国不容易成功？](https://www.ruanyifeng.com/blog/2019/11/weekly-issue-80.html)

2018年（第 29 期）：[公司的组织架构，决定了软件的复杂性](https://www.ruanyifeng.com/blog/2018/11/weekly-issue-29.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
