# 科技爱好者周刊（第 187 期）：元宇宙会成功吗

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2092)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021113005.webp)

国际知名的建筑设计网站 Dezeen，每年评选各类的世界最佳建筑。今年的世界最佳文化建筑，授予了黑龙江亚布力国际会议中心，它位于群山之中的滑雪场，一个起伏的白色大屋顶盖住了会场。（[via](https://www.dezeen.com/2021/11/22/dezeen-awards-2021-architecture-category-winners/)）

## 本周话题：元宇宙会成功吗

前不久，脸书的老板扎克伯格接受专访。

记者提问，为啥你们公司要改名为 Meta（元宇宙）？

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120703.webp)

记者的言下之意是，元宇宙这么虚幻的东西，科幻小说家炮制出来的概念。改成这个名字，你们会不会是一时头脑发热，追求时髦，能做成功吗？

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120507.webp)

扎克伯格的回答很棒，没有说外交辞令，而是说了两个很实在的理由，表明他认真算计过成功的可能性。

他说，根据统计，大多数美国成年人每天看电视（包括流媒体）或者玩电子游戏的时间，长达几个小时。电视节目或电子游戏，本质上都是提供了一个虚拟世界，让观众和玩家脱离现实，感受到快乐。

这表明人们愿意在虚拟世界里面，每天待上几个小时，哪怕现在的体验还非常初级。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120704.webp)

第二个理由是，疫情期间，许多人都在家办公。以前，上班的目的地是办公室，现在变成了键盘和显示器。

这表明，人们可以在计算机前面工作8小时。如果能够提供更好的虚拟办公条件，这8小时完全可以在虚拟空间里面度过。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120705.webp)

扎克伯格的结论就是，**人们愿意待在虚拟世界，进行娱乐和工作。** 元宇宙的需求真实存在，而且这种需求很大，只要能够创造更好的体验，就会诞生一个空前的市场。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120505.webp)

我被扎克伯格说动了，突然意识到，虚拟世界真的很受欢迎，这是元宇宙可能成功的最大原因。

甚至可以这么说，如果我们把虚拟世界等同于元宇宙，那么可以发现，**元宇宙早就成功了。**

西游记是元宇宙。

星球大战是元宇宙。

哈利波特是元宇宙。

漫威超级英雄是元宇宙。

上面这些文艺作品，都构建了自己宏大的虚拟世界，结果都成为了世界上最受欢迎、有最多人喜欢的文艺作品。

电子游戏也是如此。世界销售量最高的电子游戏是 MineCraft，卖出了惊人的2.4亿份。它跟元宇宙非常相似，玩家可以在里面无限漫游、建造任意东西，跟遇到的人对话。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120706.webp)

**事实证明，人们非常喜欢虚拟世界。** 如果科技真能创造一个逼真又好玩的虚拟世界，我相信，一定会空前受欢迎。

人们喜欢虚拟世界的理由很简单，因为现实世界太沉重，生活太累了，太乏味，日复一日缺乏趣味。虚拟世界就是一个精神的寄托，也是一个避难所，让你暂时忘记现实的烦恼，让你有一个更美好、更有趣味的世界可去。

## 前端组件从0到1

同学曾经问我：“前端学到什么程度，算学好了，可以去应聘了？”

这没有固定答案，要看是什么项目，需要用到哪些知识。但是，我后来想了想，觉得大多数情况下，还是有一个参考指标的。

**这个指标就是，你能够独立使用某种框架，拼装组件，写好页面。** 今天的前端，常见需求都已经写成组件了，每个框架都有配套的组件库。你只要会用框架和组件，就已经可以去承担实际工作了。

做到这一点，你的前端就不需要再教了，以后靠自己在项目中学习和成长了。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120919.webp)

今晚就正好有一个线上视频课 **《开源组件库从0到1》**，大概两个小时左右，讲解在 Vue 3 框架下面，如何用 TypeScript 语言写一个组件，配合编译工具 Vite 进行快速开发。

Vue.js 3.0 + TS 组件 + Vite，这大概是国内目前最热门的技术栈了。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120914.webp)

该课程配合实战项目，讲解 Vue 的组件使用和开发，实用性很强，帮助大家尽快掌握从0到1的组件相关知识点。课程具体内容如下：

> 1. 快速搭建组件开发环境
> 2. 组件通信策略
> 3. 组件的内容分发机制
> 4. 使用 Composition API 构建组件逻辑
> 5. 利用 TS 写高可维护性代码
> 6. 组件工程 

它适合有一定 Vue.js 基础，或者对组件技术感兴趣的同学来听。主讲老师会帮助初学者理解难点，并且还有助教答疑和配套的学习交流群。

该课程由国内著名的 IT 培训平台“开课吧”制作。他们现正在搞活动，可以免费参加。时间是 **今晚（12月10日星期五）晚上8点**，大家想参加的话，现在就可以报名。听课结束后，录像在三天内都可以回放，周末还可以再看看，巩固复习。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120915.webp)

微信扫描上方二维码，或者点击[这个链接](https://wx.kaikeba.com/xiaoke/market/landing-page/v2/SD8WQn4sGKKP9LdS5cA?kol_ad_code=OFBWAFGVzANoXllFE7c)，就可以了解课程详情，并且免费报名。

现在报名，可以获赠两份学习资料：《前端工程化实战》和《前端面试要点思维脑图》。

## 科技动态

1、[候鸟飞行的世界纪录](https://www.audubon.org/news/these-mighty-shorebirds-keep-breaking-flight-records-and-you-can-follow-along)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111509.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111511.jpg)

9月18日在美国阿拉斯加州，科学家为一只斑尾鹬（Bar-tailed Godwits）（上图）加上了太阳能标签，追踪这种候鸟的迁移路线。

结果出乎所有人的意料，此后的每个小时，标签都传回不一样的方位坐标，直到9月28日这只斑尾鹬到达澳大利亚。也就是说，它不间断地飞行了239个小时，飞行距离超过13000公里，平均55公里/每小时。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111510.jpg)

239个小时里面还包括了觅食和休息的时间，这创造了鸟类连续飞行的世界纪录。很难想象，这种小鸟有这么强大的耐力。

2、[万米海底](https://www.jfdaily.com/news/detail?id=429954)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120606.webp)

上海交通大学的“四人深海科考团队”，结束了在西太平洋的科考任务。他们出海将近4个月，乘坐潜水艇多次到达万米海底，每次深潜需要在水下待13个小时以上。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120702.webp)

下面是他们在万米海底拍到的生物，有水母、海葵和海星等等。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120609.webp)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120610.webp)

他们也在那里看到了人类的垃圾。

此外，他们还用机械臂，抓取了海底的土壤样品。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120611.webp)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120612.webp)

3、[块头像](https://www.cnbc.com/2021/12/01/square-changes-corporate-name-to-block-.html)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120501.webp)

电子支付公司 Square 最近宣布，改名为 Block（方块），全力投入区块链科技。在它的介绍页上，所有团队成员的头像都变成方块状（上图）。

这引起了网友的兴趣，有人就写了一个[工具](https://blockify-xyz.glitch.me/)，只要上传人像照片，就会生成方块头像（下图）。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120502.webp)

4、[元宇宙大使馆](https://finance.sina.com.cn/tech/2021-11-17/doc-iktzqtyu7743212.shtml)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111803.jpg)

虚拟世界平台 [Decentraland](https://decentraland.org/) 发布消息，巴巴多斯政府将在这个虚拟世界里面设立一个大使馆，成为第一个这样做的主权国家。

巴巴多斯是一个加勒比海岛国，人口约30万。虚拟大使馆会有这个国家的介绍，可能还可以签发电子签证，目前正在施工，定于2022年1月开馆。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111804.jpg)

以后，官方机构在虚拟世界设置派出机构，估计会越来越常见，就像在微信、抖音设立官方账号一样。

5、[微软丑毛衣](https://www.ifanr.com/app/1457785)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120306.webp)

每年的圣诞节，微软都会在自家商店上架一款丑毛衣。今年的图案是扫雷，游戏的经典元素（比如得分、笑脸、炸弹数）都可以在毛衣上找到。

网友已经贴出了毛衣的试穿照片。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120307.webp)

去年圣诞节，丑毛衣的图案是 Windows XP（下图）。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120308.webp)

## 文章

1、[中国未来最大的挑战](https://mp.weixin.qq.com/s/eS2i1gY4mdNiM_0ugpkxbA)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120603.webp)

饶毅的署名文章，认为中国科学的根基还是很薄弱。

他说，中国真正开展科学研究的历史只有一百多年，很多人搞科学不是因为感兴趣，或者有好奇心，而是出于实用主义动机。

2、[比尔·盖茨的2021年总结](https://mp.weixin.qq.com/s/X8QI1zaligHxBcWB-Rrd8A)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120913.webp)

比尔·盖茨每年都会写一篇文章，回顾这一整年人类面对的挑战，以及他的基金会所做的工作。

这是今年的文章，开头是这样写的：

> “我和保罗创办微软时，有一个共同的愿景：个人电脑有一天会在人们的生活中扮演重要角色。但我们当年都没有预料到，未来某一天电脑会成为你与世界唯一的联系。像很多人一样，今年我时常一整天下来都只能通过屏幕与人交流。”

3、[AnimeGANv2 动漫头像生成器效果](https://www.shejipi.com/660746.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120710.webp)

AnimeGANv2 是一款基于机器学习的动漫头像生成器，只要在网页提交头像照片，它就会将照片转为动漫形象。本文展示了这个工具的效果。

4、[如何制作氯化钠晶体](https://crystalverse.com/sodium-chloride-crystals/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111809.jpg)

氯化钠（食盐）具有立方体的晶体结构。本文介绍如何在家中自己制作漂亮的食盐晶体，其实很容易，不需要特别的设备。

5、[印度加密货币之王](https://www.reuters.com/investigates/special-report/finance-crypto-sundaresan/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112302.jpg)

今年3月，有人出了6900万美元购买了一个 NFT，媒体后来发现，买家是1988年出生于贫民窟的印度人 MetaKovan，从加密货币中累积了巨额财富，外界对他知之甚少。本文就是一篇关于他的长篇报道。

6、[苹果 Monterey 系统占用的本机端口](https://developer.apple.com/forums/thread/682332)（英文）

很多网友升级到苹果 Mac 电脑的 Monterey 系统以后，发现本机端口5000和7000被占用了，只有关掉 AirPlay Receiver 以后才能释放。

大家都不理解，为什么苹果要占用这两个常用的本地端口。

7、[Intl.Segmenter API 可以分词](https://h3manth.com/posts/unicode-segmentation-in-javascript/)（英文）

浏览器原生的 Intl.Segmenter API 可以文本分词，支持[汉语](https://jsbin.com/lubujejoke/edit?js,console)。

8、[我给 Vue.js 生态贡献代码的这一年](https://zhuanlan.zhihu.com/p/441465938)（中文）
 
作者记录了自己向 Vue.js 提交 PR 的经历和感受。（[@webfansplz](https://github.com/ruanyf/weekly/issues/2100) 投稿）

## 工具

1、[Microsoft PowerToys](https://github.com/microsoft/PowerToys)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120909.webp)

微软推出的 Windows 扩展工具集，包含不少有用的小工具，比如颜色选择器、图像大小调整器、快捷键指南等等。（[@mzky](https://github.com/ruanyf/weekly/issues/2106) 投稿）

2、[cend.me](http://cend.me/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111508.jpg)

一个局域网内部分享文件的网站，特点是没有服务端，文件都在本地，选择文件后会给出链接和密码，让对方去下载，前提是对方也在同一个局域网内。

3、[AppFlowy](https://www.appflowy.io/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111601.jpg)

Notion 的开源替代品，可以自己架设一个多功能的在线编辑器。

4、[caffeine](https://github.com/rehacktive/caffeine)

一个极小化的 JSON 服务器，可以在本地快速起一个服务，提供 JSON 数据的 RESTful API。

5、[Firefox Relay](https://relay.firefox.com/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111802.jpg)

Firefox 的邮件别名服务，用来隐藏真实邮件地址，目的是注册不同的外部服务时，使用不同的邮箱。免费账户可以注册5个别名。

6、[MeterSphere](https://github.com/metersphere/metersphere)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120907.webp)

一个开源的测试平台，适合多人团队管理测试用例，完成接口测试及性能测试。（[@maninhill](https://github.com/ruanyf/weekly/issues/2099) 投稿）

7、[Youglish](https://youglish.com/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110303.jpg)

搜索英语单词或词组，该网站会用视频演示怎么发音，视频为相应的 Youtube 片段（根据字幕搜索）。

8、[HTML/URL To Markdown](https://devtool.tech/html-md)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120910.webp)

在线小工具，将网页转成 Markdown 代码。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/2107) 投稿）

9、[supabase](https://supabase.io/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021083002.jpg)

一个 Postgres 数据库的云服务，号称是 Firebase 的开源替代品。

## 资源

1、[字节跳动技术沙龙](https://www.bagevent.com/event/7906884?bag_track=TECHlover)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120605.webp)

字节跳动的官方活动，第一线工程师进行线上技术分享。下周六（12月18日）下午是第二期，主题为字节的后端架构，主要是云和容器应用。

一共有四位工程师分享，现场回答提问。免费报名，参与者可以获赠字节纪念品。

2、[国家行业标准信息服务平台](http://hbba.sacinfo.org.cn/)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120908.webp)

官方的各行业标准文档的查询网站，部分可以下载。（[@xcuYao](https://github.com/ruanyf/weekly/issues/2101) 投稿）

3、[乔布斯的20张 CD](http://nobi.com/entry-1239.html)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021103002.jpg)

2001年，苹果公司发布第一代 iPod。在给媒体试用的样品机里面，附带了乔布斯和 iPod 团队选中的20张专辑。本文给出了名单。

4、[战壕里面的 Git](http://cbx33.github.io/gitt/intro.html)（Git In The Trenches）

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021103003.jpg)

一本 Git 的英文入门教程，用讲故事的方式教授 Git。

5、[亚马逊直播](https://www.amazon.com/live/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110102.jpg)

亚马逊官网的直播卖货。但是不知为什么，首页推荐的频道，观看的人很少，多则几百人，少则几个人。

## 图片

1、[一缺三的牌局](https://twitter.com/tenka0807/status/1436665018896977928)

李白写过：“举杯邀明月，对影成三人。”意思是，一个人孤独地喝酒，只有影子和明月相伴。

一个日本网友最近贴出了照片，层次更高，一个人坐在两面成直角的镜子之间，就可以拍出四个人在打牌的样子。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092007.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092008.jpg)

2、[可视化地壳元素](https://www.visualcapitalist.com/visualizing-the-abundance-of-elements-in-the-earths-crust/)

人类使用的所有材料，都来自地壳，也就是地球的表面。

地球分成三层，最里面的是地核，占行星体积的15%；地核的外面是地幔，占行星体积的84%。剩下的最外面那一层薄薄的壳就是地壳，深度约为 5-70 公里，占行星体积的1%。

地壳主要由岩石组成，氧、硅、铝和铁四种元素占地壳质量的88.1%，下图就是地壳含量最多的前10种元素。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120912.webp)

1.	氧 (O)	46.1%
2.	硅 (Si)	28.2%
3.	铝 (Al)	8.2%
4.	铁（Fe）5.6%
5.	钙（Ca）4.1%
6.	钠 (Na)	2.3%
7.	镁 (Mg)	2.3%
8.	钾 (K)	2.0%
9.	钛 (Ti)	0.5%
10.	氢 (H)	0.1%

前10种元素共占95.5%，其他元素合在一起只占0.5%。

## 文摘

1、[图-144 超音速客机](https://edition.cnn.com/style/article/tupolev-tu-144-concordski/index.html)

历史上，前苏联为了与西方竞争，推出过一种超音速客机图-144。

上个世纪60年代，苏联得知西方正在研发超音速民航客机，于是抢在西方前面，开始制造图-144，并于1968年12月31日，比西方的协和式客机早两个月，进行了首飞。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082903.jpg)

它每小时最高速度将近2500公里，是普通客机的2到3倍。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082905.jpg)

1971年，图-144首次来到国外，在巴黎航空展亮相，它奇特的外形引起了轰动。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082904.jpg)

不幸的是，这种飞机的设计和制造都有缺陷。1973年，它再次来到巴黎航展，试飞时坠毁，飞机在半空中解体，并坠入一个村庄，机上六人遇难，地面八人遇难。不过，当时的结论是飞行员操作失误，而不是飞机本身的缺陷。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082906.jpg)

1977年，苏联正式将图-144投入载客运营，执行莫斯科和阿拉木图之间的两小时航线。但是，每周的航班大部分座位都是空的，运送的货物和邮件比人还多，而超音速飞机的成本又很高，所以一直严重亏损。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082907.jpg)

图-144有一个非常严重的缺点，就是飞行过程中，噪音极大。由于震耳欲聋的噪音，机舱里面的乘客互相说话都听不见，不得不写在纸上交流。

它降落时，还必须使用滑翔伞减速。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082908.jpg)

由于这些问题，以及飞机本身的小毛病不断。它在这条航线上，一共只飞了半年55个航班，就宣布取消了。

1978年5月23日，一架图-144在空中着火并紧急降落，导致两名飞行员遇难。这件事令苏联高层对这种飞机丧失了信心，禁止它再执行客运航班。

最终，图-144在1984年停飞。它的最后一次飞行发生在1999年，当时美国宇航局出钱用它进行超音速飞行研究。该计划在飞行几次后，由于缺乏资金而被取消。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082909.jpg)

图-144总共只生产了17架，目前大部分都报废了，只留下了几架在俄罗斯和德国的博物馆展出。

西方的超音速客机“协和式飞机”也由于事故不断，在2003年停飞了。目前，世界上已经没有超音速客机了，短期内也不会再有人进行尝试，毕竟在互联网和实时视频会议的时代，商业界对高速交通的需求并不是那么迫切。

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021082910.jpg)

## 言论

1、

我所能做的就是坐下来，惊讶地看着它。

-- 美国科幻小说家[尼尔·斯蒂芬森](https://www.cnbc.com/2021/11/14/neal-stephenson-on-termination-shock-geoengineering-metaverse-.html)（Neal Stephenson）是“元宇宙”这个词的发明者。记者问他如何看待 Facebook 改名为元宇宙公司，他说了上面的话。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111503.jpg)

2、

“软件供应链攻击”指的是攻击软件所依赖的代码库或服务，正以每年 4-5 倍的指数速度增加，去年有数千起。

最常见的供应链攻击有两种形式，一是起一个跟依赖库或域名很容易混淆的名字，二是向依赖库注入恶意代码。

--[《安全的软件供应链》](https://sysdig.com/blog/software-supply-chain-security/)

3、

我刚当德国总理的时候（2005年），中国的 GDP 是2.3万亿美元，略低于德国（2.8万亿美元）。今天我要离职了，中国的 GDP 是14.7万亿，而我们的GDP是3.8万亿。

尽管我们仍是一个相对富裕的国家，但我们在世界上的作用越来越小， 因为世界的平衡完全改变了。

-- 德国总理[默克尔](https://p.dw.com/p/42CbD)回答记者提问，为什么她任内每年都去中国。

4、

花了很长时间，新一代的文档编辑器终于不再像 Microsoft Word 了。

-- [《Notion 与 Word》](https://nimipatel.com/notion-and-coda-vs-word-and-google-docs/)

5、

21 世纪的物理学家，依然无法回答一些最基本的重大问题：时空的来源是什么？粒子为什么会自转？为什么强力那么强，而弱力那么弱？

-- [《物理模型无法解释的五个谜团》](https://www.symmetrymagazine.org/article/five-mysteries-the-standard-model-cant-explain)

## 历史上的本周

2020年（第 136 期）：[利特伍德奇迹定律](https://www.ruanyifeng.com/blog/2020/12/weekly-issue-136.html)

2019年（第 84 期）：[一次性工作招聘，用完你就丢](https://www.ruanyifeng.com/blog/2019/11/weekly-issue-84.html)

2018年（第 33 期）：[现场投票不如网络投票](https://www.ruanyifeng.com/blog/2018/11/weekly-issue-33.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
