# 科技爱好者周刊（第 189 期）：下一个内卷的行业

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2092)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122211.webp)

12月初，江西鄱阳湖进入枯水期，湖底的明代千眼古桥露出真容。古桥长达2公里多，有将近1000个桥洞。（[via](http://news.66wz.com/system/2021/12/06/105422662.shtml)）

## 本周话题：下一个内卷的行业

一年多以前，周刊[讨论过](https://www.ruanyifeng.com/blog/2020/09/weekly-issue-126.html)，“内卷”这个词到底是什么意思？

当时的结论是，内卷的原义是“向内发展”，因为向外发展受到了阻碍，就开始向内部要效益。结果往往是恶性竞争，因为 **蛋糕做不大了，大家只能争夺对方的份额。**

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122102.webp)

一年过去了，内卷已经成了常见词。

很多行业早就出现了内卷，比如培训业、电商、视频、直播等等。这样的行业，都有一个共同点：**市场没有扩张，利润没有增长，但是从业人员却越来越忙、越来越累，业务开展越来越难。**

下一个内卷的行业，会是谁？

我也不卖关子，直接说吧，很可能是游戏业。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122103.webp)

你可能不相信这个结论：游戏业非常赚钱，而且一直在高速增长，怎么会内卷呢？

我本来也不相信，但是上周发布的[《2021年中国游戏产业报告》](https://www.36kr.com/p/1529590053941640)，公布了中国游戏市场的两个增长率：

- 销售收入增长 6.40%，达到2965亿。
- 游戏用户增长 0.22%，达到6.66亿。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122104.webp)

这两个增长率都非常低。

销售收入虽然增长6.4%，但如果考虑到游戏业的投入，每年都在增加，就意味着，今年的行业利润没有增长，可能还有下跌。

更要命的是，用户总数只增长了0.22%。这是有史以来最低的增长率，以前每年游戏人口都要增长几千万，今年只增长了100多万，接近零增长了。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121901.webp)

这就是说，国内的游戏用户可能已经到天花板了，市场饱和了。玩游戏的人口大概就是这个数量了，**国内的游戏市场以后就没有增量用户了。**

虽然游戏行业还是会成长，因为每个用户的游戏支出会增加。但是，一个行业没有了增量用户，产品也没有变化，不就是将要发生内卷了吗？

这会给游戏行业带来很多深远的影响，竞争会进一步增强，游戏公司的利润率也会慢慢降下来，从业人员的工资也不容易增长了。

怎么才能摆脱内卷？其实很简单，就是全力向外发展，开拓新市场。我能想到的有两个方向：一是为国外市场开发游戏，赚外国人的钱可能更容易一些；二是开发 VR/AR/元宇宙这些新类型的游戏，吸引以前不玩游戏的新用户。

## Vue 3.0 框架实战视频教程

前端开发的学习路径，一般分成三阶段。

> - 第一阶段：学习 JavaScript 和 CSS 的基础语法，包括浏览器的 API。
> - 第二阶段：学习框架和周边工具，现在一般都学 Vue.js 或 React 框架。
> - 第三阶段：实际开发，积累经验。

很多同学卡在第二阶段，因为第一阶段啃语法书，可以熬过去，但到了第二阶段需要自己写代码，问题就全出来了。一方面，前期的语法基础不牢固，实际应用时，API 不会用，别人的代码也看不懂；另一方面，虽然跟着文档学了一遍框架，但不理解为什么这样做，遇到问题时，不知道怎么把框架套上去。

总之，第二阶段的框架和工具学习，非常磨人。但只有过了这个阶段，前端开发才算真正入门，后面才能去解决实际的开发任务。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092802.jpg)

本周的学习资料就是现在最热门的框架 **Vue.js 3.0 的一个视频辅导教程**，帮助你实现 Vue 的进阶，顺利通过第二阶段。

Vue 3.0 发布已经一年多了，普及率相当高，它的 Composition API 和钩子函数，是业内当前的两大热点技术。面试时往往会问到 Vue 技术栈和它的核心设计。

这次的辅导视频，内容包括三个部分：（1）Vue 原理和源码剖析，（2）认识 Composition API，（3）实现一个“飞机大战”游戏。

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123014.jpg)

![](https://cdn.beekka.com/blogimg/asset/202012/bg2020123016.jpg)

整个视频总计450分钟，重点是第三部分，主讲老师在讲解框架之后，带大家从头写一个飞机大战游戏，通过实战练习，快速上手 Vue 3.0。同时也让你有一个成果，可以写在简历中，为面试加分。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122214.jpg)

微信扫描上方二维码，或者访问[这个链接](https://wx.kaikeba.com/xiaoke/market/landing-page/v2/N3MIpFtF2DZ91C502gp?kol_ad_code=VqPwI4BeH5FMNofXUHk)，了解课程详情，**0 元** 领取这份资料。保证没有任何套路，先到先得。

## 科技动态

1、[全向轮](https://carbuzz.com/news/toyotas-radical-all-wheel-steering-will-let-you-turn-on-the-spot)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100306.jpg)

丰田公司获得了一项全向轮专利，最大特点是车轮本身可以朝向任意方向（上图），使得车辆可以360度任意移动。

现有的全向轮往往是麦卡纳姆轮（下图），它本身不能转向，是通过车轮表面的45度滚轴与地面的摩擦力，形成力的 X 分量与 Y 分量不同强度的合成，实现任意转向。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100305.jpg)

丰田公司的专利则是直接的车轮转向，看上去有点像螃蟹横着走。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100307.jpg)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100308.jpg)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100309.jpg)

2、[绿宝石外墙](https://www.cnbeta.com/articles/tech/1214189.htm)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122016.webp)

国际奢侈品牌宝格丽，在上海新开张的专卖店有一个绿色外墙（上图），看上去很华丽，像是镶嵌了绿宝石。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122017.webp)

实际上，它的材料是回收的啤酒瓶，经过加工变成特殊的绿色玻璃，增加反射面，会产生耀目的光芒，有宝石般的视觉效果。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122018.webp)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122019.webp)

3、[纳米雕塑](https://www.micromonument.com/)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100701.jpg)

为了庆祝人类纳米研究的丰硕成果，美国乔治亚理工学院制作了一个纳米雕塑：一面胜利的旗帜在旗杆上迎风飘扬。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100702.jpg)

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100703.jpg)

旗杆高度是122微米，宽度是44微米，大约是头发丝的一半。它放在一个晶圆底座上，肉眼可能看不见，只有通过显微镜才能看到。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100704.jpg)

4、[镜子阵列](https://github.com/bencbartlett/3D-printed-mirror-array)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111207.webp)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111208.jpg)

一位美国程序员将许多六边形的小镜子，放在 3D 打印出来的一个底盘上，用来求婚。每块镜子的反射角度都经过精心计算，放在一起就会反射出一行字“Marry me?”（嫁给我好吗？）。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111209.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111210.jpg)

他把 3D 打印的 STL 文件放在 GitHub 仓库里面，如果你有 3D 打印机，可以下载打印。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111211.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111212.jpg)

5、[机器人分身](https://cn.nikkei.com/industry/scienceatechnology/46857-2021-12-03-05-00-10.html)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120305.webp)

现在的大多数机器人，都是走人工智能的方向，程序控制机器人的一举一动。但是，日本大阪大学的一个教授，却一直在研究遥控机器人，让机器人充当人类的远程分身。

他的公司推出的第一个产品，是一个 3D 动画人物，她的一举一动都需要人类遥控。操作员坐在家中，通过摄像头，将自已的表情和动作映射到动画人物，并通过麦克风与外部用户交谈。

这个产品可以用在车站、码头、景点等处，提供咨询服务。下一步，教授打算推出真正的遥控机器人。操作员在家里，远程操作机器人的动作，充当超市店员搬运货物。由于日本人口萎缩，缺少劳动力，他很看好这种技术的前景。

## 文章

1、[便利蜂超市的选址方法](https://mp.weixin.qq.com/s/heRqYI-GFw5EX_0r_4Jh9g)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122012.webp)

《南方周末》报道，连锁超市“便利蜂”为了找到最佳的店址，招募大量信息采集员，将摄像头悄悄地放在了多个城市的居民楼、写字楼，甚至国家机关的门口，测算每个地点的人流。

2、[韩国为什么这么卷？](https://zhuanlan.zhihu.com/p/444286151)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121202.webp)

韩国人均 GDP 超过3万美元，是一个中等富裕的国家。但是，人口出生率超低，年轻人的教育和就业竞争激烈、老年人贫穷现象严重，为什么会变成这样？

上图是韩国的人口分布图，全国一半人口聚集在首尔都市圈，韩国的许多问题都与此有关。

3、[我被载入校史，因为差点炸了课堂](https://mp.weixin.qq.com/s/RmHjh4rpRupQtvm_le8YTQ)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121614.webp)

作者大学时进行化学实验，不小心出了一次爆炸事故，幸好危险物的量比较少，没有造成严重后果，此后就成了实验室的反面教材。

4、[2021年中国十大丑陋建筑评选结果](https://mp.weixin.qq.com/s/TN124SNg7wcWNxRElRdy2w)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121806.webp)

建筑畅言网每年评选当年的中国十大丑陋建筑，这是今年的结果。上图是广州的阿里巴巴华南运营中心。

5、[大开眼界的 Pegasus 间谍软件](https://m.facebook.com/story.php?story_fbid=10159084773734215&id=673654214&_rdr)（英文）

一家以色列公司开发的间谍软件 Pegasus，实现细节令人大开眼界。

只要你打开 iPhone 的通信软件 iMessage，查看包含病毒的消息，不用点击任何链接，就会中招。它是怎么做到的？

6、[2021年全球域名排行](https://blog.cloudflare.com/popular-domains-year-in-review-2021/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122212.webp)

CDN 服务提供商 Cloudflare 统计了今年访问量最大的前10个域名，Tiktok.com 登上首位，成了全世界访问量最大的网站，Google.com 首次被挤到了第二位。

7、[我写了一个 VR 游戏](http://blog.runevision.com/2021/11/launching-eye-of-temple-this-was-my.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120301.webp)

作者一个人写了一个 VR 游戏，放到 Steam 商店去卖。大家可以看看文章里面的游戏视频，还是很酷的。虽然没有大卖，他还是觉得很有收获。本文是他的感受。

8、[我的 Linux 开发环境](https://deepu.tech/my-beautiful-linux-development-environment/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120601.webp)

这是一组六篇的系列文章，作者详细介绍了他如何在自己的桌面电脑搭建 Linux 开发环境。各篇内容依次是硬件介绍、Gnome 配置、Zsh 配置、VS Code 配置、桌面环境、开发环境配置。

## 工具

1、[LazyDocker](https://github.com/jesseduffield/lazydocker)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120205.webp)

一个终端里面的 Docker 管理面板，可以同时操作多个容器，并且实时显示每个容器的运行状况。

2、[dog](https://github.com/ogham/dog)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120504.webp)

命令行的 DNS 查询工具，作用与 dig 类似，但是简化了用法和输出格式，更易于使用。

3、[Vizzu](https://github.com/vizzuhq/vizzu-lib)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120401.webp)

一个 JS 的数据可视化动画库，功能很强，可以用来制作数据图表的动画。

4、[TownScaper](http://oskarstalberg.com/Townscaper/)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120209.webp)

一个休闲小游戏，已经在主机平台上架，这里是它最近发布的浏览器版。只要随意点击，就能生成不可思议的美丽建筑物。

更妙的是，所有设置都保存在 URL 里面，可以分享给其他人。

5、[GitHub Web IDE](https://github.com/zvizvi/GitHub-Web-IDE)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111504.jpg)

一个浏览器插件，为 GitHub 和 Gitlab 的仓库主页加入“在 Web IDE 打开”的按钮。

6、[GitHub Wrapped](https://www.githubtrends.io/wrapped)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120602.webp)

这个网页工具将你过去一年的 GitHub 活动，创建成一张图表。

7、[知竹](https://www.yxsss.com/)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122106.webp)

一款在线的甘特图工具，可以直观地体现出成员、任务、时间之间的关系。（[@lizhichao](https://github.com/ruanyf/weekly/issues/2117) 投稿）

8、[PCB 名片](https://github.com/Hanqaqa/PCB_Business_Card)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120708.webp)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120709.webp)

作者用 PCB 电路板制作名片，并且分享了设计文件。只要在他的文件基础上进行修改，然后提交给 PCB 工厂就可以了。每张名片的成本大约为几块钱人民币。 

9、[Global Sequencer](https://globalsequencer.com/)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120805.webp)

这个项目的创意很好，用户打开电脑的麦克风，录制一段声音上传，网站就把它显示在世界地图上，你可以选择地球的某个地点听那里的声音。

## 资源

1、[中华古籍资源库](http://www.nlc.cn/pcab/zy/zhgj_zyk/)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121304.webp)

国家图书馆的项目，整理保存至今的中华古籍，做成数据库可以搜索，并且提供扫描版在线阅读。

2、[Netflix 分类代码](https://www.netflix-codes.com/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111801.jpg)

视频网站 Netflix 页面不提供节目的详细分类，但其实内部有一套视频分类。这个网站列出每个分类的编号，并提供进入链接。

3、[静态网站加入评论系统的方法](https://darekkay.com/blog/static-site-comments/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111808.jpg)

这篇文章总结了静态网站加入评论系统的方法，并列出了可用的服务和工具软件。

4、[Nona](https://www.nona.de/)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021111901.jpg)

德国的搜索引擎，可以搜索中文，搜索质量还可以。

5、[Web 开发者的 Rust 语言动手教程](https://codeamigo.dev/lessons/preview/161)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112201.jpg)

这个 Rust 语言的入门教程，是为网站开发者定制的，一共23个例子，每个例子都有讲解，需要你自己在网页上动手完成练习题。

## 图片

1、[月亮的颜色](https://greenflash.photo/greenflash-gallery/greenflash-gallery/portfolio/colors-of-the-moon/)

由于大气反射，月球会呈现不同的颜色。

一个意大利摄影师拍摄了许多满月的照片，他找出了48种颜色，将它们组合在一起。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092708.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092709.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092710.jpg)

2、[古埃及凳子](https://woodenfossils.wordpress.com/2021/09/21/building-a-theban-lattice-stool/)

大英博物馆收藏了一个3500年前的古埃及凳子。这个凳子是用木头做的，保存情况之良好，令人震惊。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092711.jpg)

凳子底部还有博物馆的藏品编号。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092712.jpg)

它是19世纪时在一个古埃及墓葬里面发掘出来的，由于木头外部涂了一层石膏，加上沙漠环境的干燥，所以才能保存到今天。

后来在其它墓葬里面，也发现过类似的凳子，甚至还有使用芦苇做的凳子。看来这种凳子在古埃及一定很常见。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092713.jpg)

仔细观察这个凳子，你会发现它有良好的做工，以及非常合理的受力设计。即使过了3500年，当代人如果不使用机器，做出来的凳子也就是这种水平。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092716.jpg)

## 文摘

1、[为什么双引擎飞机更容易发生事故](https://www.franklinfaraday.com/redundancy-is-life-except-when-its-death/)

最早的飞机都是单引擎。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122201.webp)

上图中，飞机的动力全来自机首的那个螺旋桨。

那时的引擎很不可靠，经常发生事故。为了减少伤亡，也为了增加飞机的负荷，设计师开始为飞机添加第二个引擎。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122202.webp)

双引擎确实提高了性能，但也带来了额外的复杂性，反而造成了更多的伤亡。这是因为在空中，如果坏掉一个引擎，只剩下另一个引擎，这时飞机的推力是不均衡的，很难控制重心去安全降落。

从概率的角度看，如果一台引擎的故障率为25%，增加一个引擎后，飞机的故障率（任何一个引擎出现故障）会上升到44%！这意味着，如果你不能控制好剩下的那个引擎安全降落，那么添加第二个引擎会让你更容易坠毁。

后来，飞机发动机越来越强大和可靠，单个引擎的故障率大大降低，而且飞行员和工程师也终于学会如何在损失部分动力的情况下，更好地控制双引擎飞机，飞行才变得安全。

这对于个人和企业有巨大的启示意义。如果你已经有了一个事业（或工作），不要冒然扩展到第二个事业（或工作）。因为在初始阶段，增加的引擎会给你带来更多的风险。只有降低单引擎的故障率，并确保你只靠剩下的引擎也能安全降落，双引擎才会给你带来更高的安全性。

不幸的是，就像战争经常推动高风险的飞机设计，人们也通常会在经济困难的时候从事两份工作。如果第一份工作是高负荷的，你再去从事第二份工作，那么很可能到头来，你连第一份工作也保不住。如果那时第二份工作不足以让你维持生计，你就有麻烦了。

不过，计算机时代使得情况有一点点变化。数字控制技术的进步，促成了多轴飞行器的诞生。它们都至少有四个微型引擎，每个引擎只负责总负载的一小部分。任何一个或两个失败，都很容易被其他人弥补。

![](https://cdn.beekka.com/blogimg/asset/202110/bg2021100302.jpg)

同样的，在计算机和互联网出现之前，一个人几乎不可能有4个收入来源，但今天，一个人可以有多种小金额的收入来源，比如下班后开网约车、将住宅的空房间作为民宿出租等等。即使每个收入来源都不多，可能也比只有一个主要的收入来源更好、更安全。这里的关键是每个收入来源要尽可能独立，不要相互干扰。

## 言论

1、

欧洲有很方便的火车系统，但是跨国旅游时，欧洲人更喜欢坐飞机，而不是火车。因为，欧洲大陆30多个国家，每一个都有自己独立的票务系统，你需要在不同的网站上，以多种语言跟多家火车运营商打交道，完全是一场噩梦。

-- [《为什么欧洲的跨国火车如此复杂？》](https://euobserver.com/investigations/153542)

2、

我投失过至少9000次投篮，输了近300场比赛，26次没有命中最后的关键球。在生活中，我一次又一次地失败，这就是我成功的原因。

-- [迈克尔·乔丹](https://news.ycombinator.com/item?id=29283402)

3、

我不认为苹果会造汽车。汽车业务的利润率很低，而且假如价格是5万美元一辆，市场容量只有几百万辆（特斯拉2021年销量不到100万辆），对于苹果来说，这个销量有点太小了。

如果是自动驾驶汽车，事情可能会不一样，但是在可预见的未来，真正的5级自动驾驶仍然无法做到。

--[《苹果的下一个十年》](https://mondaynote.com/apple-ten-years-forward-10dfabf00706)

4、

Youtube 有一个著名的数学视频制作者，叫做 3blue1brown。这个网名的来历，是因为他的右眼有四分之三的蓝色（blue）和四分之一的棕色（brown），他的头像也是同样的来历。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=29064621)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021110202.jpg)

5、

过去几十年，中国农民从农村迁移到城市的工厂。我一直不明白，城市工厂的条件并不好，有些相当差，为什么有这么多农民去？

后来，我看了一部美国纪录片，想明白了。很多美国年轻人搬到洛杉矶去当演员，其中99%年轻人的生活会变得更糟，但是有机会逃离他们原来的处境，对很多人来说依然是一个强大的吸引力。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=29341991)

## 历史上的本周

2020年（第 138 期）：[失业难以避免，重构人生规划](https://www.ruanyifeng.com/blog/2020/12/weekly-issue-138.html)

2019年（第 86 期）：[千万不要当完美主义者](https://www.ruanyifeng.com/blog/2019/12/weekly-issue-86.html)

2018年（第 35 期）：[“一人份”的服务越来越多](https://www.ruanyifeng.com/blog/2018/12/weekly-issue-35.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
