# 科技爱好者周刊（第 194 期）：悲观者正确，乐观者成功

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2188)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021008.webp)

春节期间，山东枣庄展出了一只机器老虎，身高3.6米，体重1.8吨，能够行走、捕食、吼叫。（[via](http://www.cnsdxinwen.com/html/keji/20220124/35737.html)）

## 本周话题：悲观者正确，乐观者成功

最近股市下跌，美国科技股大部分都是下图的走势。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020704.webp)

我看到一篇文章说，原因是大家悲观了。疫情第三年了，可能接近尾声了。美国后面的日子，物价上涨，利率上调，需求回归平淡，科技业的好日子就要结束了。

这不禁让我想到了，一个始终困扰我的问题：**未来到底是悲观的，还是乐观的？** 今天就来谈谈这个话题，如何面对不可知的未来。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020819.jpg)

我知道很多读者，尤其是还没毕业的读者，大概会嗤之以鼻：你怎么会怀疑，未来可能是悲观的？完全杞人忧天，未来当然是乐观的！人类社会的历史，难道不是越来越进步吗！

这个我知道，而且我还可以补充：**过去20年，乐观者简直是大获全胜。** 只要你坚定地看好互联网和手机，你就完全看对了。要是你再坚定看好房地产，妥妥就是人生赢家，任何看空的人，恐怕都输得要哭出来。

但是，乐观的日子会继续下去吗？经济和科技会一直这样高速发展吗？

我不太敢肯定，因为有五个负面因素，正在变得越来越严重。大家不妨看看下面五点，怎样才能解决。

> （1）熵的危机（气候危机）。经济发展需要消耗能源，只要能源消耗不下降，熵就会越来越多，直接导致气候灾难。
> 
> （2）技术越来越复杂，人类社会依赖技术的程度加深。迟早有一天，那些技术的复杂度，会引发难以预测和控制的连锁反应。
> 
> （3）失业增加。技术发展太快，导致很多人的劳动技能快速过时，一旦不再拥有高强度工作的体力，就会丧失就业竞争力，成为“无用的人”。
> 
> （4）贫富分化，财富日益集中于科技寡头，中产阶级萎缩乃至消失，底层的人越来越难改变命运，很多老人完全依靠政府的养老金生存。
> 
> （5）人口生育率下降。大多数人连自己的生活水平都无法维持，怎么有信心和能力去养育下一代。人类作为一种生物种族，是不是在走下坡路。

上面只是粗略地列出每一点，没有展开说。我其实想了很多，还因为这些写了一本书《未来世界的幸存者》，感兴趣的朋友看那本书就行了，里面有完整的讨论。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020821.webp)

我想说的是，**只要你仔细思考过上面的五点，就不太可能对未来那么充满信心，也许就会同意，未来可能是悲观的。** 我们对技术的正面作用谈得太多，对技术的负面作用谈得太少。

未来的高科技社会，大多数人恐怕都是技术弱势群体，没有太多机会，技术优势集中在少数人手里。这种事情可能已经发生了。我就看过一个[报道](https://www.theguardian.com/society/2016/jul/18/millennials-earn-8000-pounds-less-in-their-20s-than-predecessors)， 美国的这一代年轻人，也许将是二战后第一次，下一代人挣得比上一代人少（扣除通货膨胀）。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021016.webp)

回到开头那个问题，乐观者还会继续赢下去吗？

我想说，虽然我没有找到答案，但是这两年，我好像找到了一个说服自己的方法。国内出版过一本书，书名叫做 **《悲观者往往正确，乐观者往往成功》** 。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020820.webp)

这个书名启发了我，它其实在说：悲观者往往不会成功。根据书里的解释，原因是悲观者认定很多做法行不通，不会有结果，所以就不采取行动；乐观者相信未来的回报，所以会动手去做，而社会奖励那些动手去做的人。

**那么结论就是，成为一个“行动主义者”。** 你可以是悲观的，但还是要像乐观主义者一样去做事。

个人无法影响历史，未来根本不取决于你的看法，不管你乐观还是悲观，历史都会一样地发生。真正影响你的，是个人的成功和失败。个人的出路只能是积极动手去做，为自己创造一些改变，争取更好一点的处境。

上面就是我现在的想法。大家怎么想，你对未来感到乐观，还是悲观呢？虽然最终结果都是要拼命去做。

## LeetCode 算法训练营

[LeetCode](https://leetcode.com/) 是一个世界著名的在线题库，训练编程能力，其中的很多题目都是大公司的面试真题。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021009.webp)

许多同学坚持不懈“LeetCode 刷题”，至少要完成200道，有的甚至做到了500道，一些中高级程序员也经常用 LeetCode 练手。大家共同的体会是，它对编程能力的提升，尤其是对面试的帮助，是非常直接有效的。

LeetCode 不限制语言，使用各种语言都可以，它训练的重点是算法。因为各种计算机语言只要用一段时间，就能掌握它的语法，反而是算法能力很难提高。

大公司的招聘主要考察的就是算法，毕竟程序员水平的高低，主要体现在用正确算法解决难题。可以这样说，如果你能快速看出每道 LeetCode 题目的正确算法，并知道它的计算步骤，就能在大厂面试中脱颖而出。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021010.webp)

本周介绍的课程，就是一个 LeetCode 算法训练营 **《ACM 金牌大神带你刷 LeetCode》**。它用一周的时间，教你正确认识 LeetCode 题目，熟悉常用的解题算法。

主讲老师都有 ACM （国际程序设计竞赛）选手经验，取得过金牌或银牌。他们按照算法知识体系，精心筛选 LeetCode 的经典题目，讲解如何解题和相关知识点，让你快速提升算法能力。并且讲课中还会给出大厂面试经验，帮助大家拿到 Offer。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021013.webp)

课程为期一周，每天都会有一道题，先让大家自行思考，然后上课详细讲解。课程的一大特色，就是采用 **社群刷题** 的模式，让大家一起刷题，互相督促。学习群里有助教答疑，你有疑问随时可以提出来，防止被难点卡住，影响进度。

如果你想入门 LeetCode 刷题，或者单纯就是想提高算法能力，以及准备大厂招聘，都可以报名来听。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021011.webp)

（图片：算法训练的题目展示）

该课程由国内著名的职业教育平台“开课吧”制作，保证质量和教学投入。只要是周刊读者报名听课，并参加社群刷题活动，就可以免费领取五大到课礼包。

> - 11本经典算法思维提升学习书籍
> - 大厂内部面试资料每日一练
> - 5场大厂求职干货分享   
> - 2门开课吧精品视频课程《线程池》和《手撕红黑树》
> - 谷歌大神 LeetCode 刷题笔记

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021012.webp)

微信扫描上方二维码，或者点击[这个链接](https://wx.kaikeba.com/xiaoke/market/landing-page/v2/8JHIfydIvFa3fmafM3n?kol_ad_code=mfQkOTt4OetxqJll67M)，了解课程详情并且报名，整个课程仅象征性收取 0.99 元报名费。

## 科技动态

1、[A350 的中控台](https://www.thedrive.com/tech/36268/airbus-redesigns-a350-center-console-because-pilots-keep-spilling-coffee-on-critical-instruments)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120815.webp)

空中客车公司最近重新设计了 A350 的驾驶室中控台。很多飞行员习惯带一杯咖啡，进入驾驶舱，随手就放在中控台上。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120814.webp)

如果不小心碰翻，液体进入控制台，可能会导致发动机停机。这种事情2021年已经发生了两次，两次都不得不紧急迫降。

欧盟因此禁止将液体带入驾驶舱，空中客车公司也决定先在中控台外层加一层盖板，将其密封，防止液体进入。

2、[滑雪机器人](https://www.leiphone.com/category/robot/Nng1dfbGLbDR4hQ6.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020614.webp)

上海交通大学最近研发了六足滑雪机器人。它不仅能高速滑雪，还能自己规划最优路线，在人群中自如穿行（标题链接有[现场视频](https://www.leiphone.com/category/robot/Nng1dfbGLbDR4hQ6.html)）。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020615.webp)

它采用双滑雪板的设计，中间的四条腿分成两组，各自固定在一个滑雪板上，它们用于控制滑雪板的位置和姿态。两侧还有另外两条腿，加装了滑雪杖，用来模仿人的点杖功能。这样保证了它可以在雪上保持稳定，并且控制滑雪的速度、转弯和制动。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020616.webp)

滑雪机器人的用途，主要是在高山和冰雪环境中开展巡逻、实施救援，帮助人们规避风险地点，创造舒适安全的冰雪体验环境。

3、[新型脱发疗法](https://newatlas.com/medical/dnovos-baldness-treatment-direct-hair-regrowth/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020706.webp)

脱发是很多中年男子的苦恼，一家美国公司发明了一种全新的疗法，可以将头皮的普通细胞转化成头发干细胞，从而重新长出头发。

他们发布了一张惊人的照片（上图），一只脱毛的小鼠七个月后，只在干细胞转化的地方，长出了浓密的毛发。

4、[潮间带光伏电站](http://yhnews.zjol.com.cn/yuhuan/system/2021/12/19/033379806.shtml)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122009.webp)

中国首家潮间带光伏电站，最近在浙江玉环并网发电。所谓“潮间带”，指的是涨潮时被淹、退潮时才露出水面的土地。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122010.webp)

以前，潮间带是无法利用的，现在放置光伏板，就可以将这些土地利用起来，同时也解决了沿海地区缺乏光伏电站的场地问题。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122011.webp)

5、[鹿特丹的活动桥孔](https://nltimes.nl/2022/02/02/rotterdam-bridge-taken-apart-let-jeff-bezos-pleasure-yacht)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020303.webp)

荷兰港口城市鹿特丹有一座有名的大桥，中间一个桥孔可以向上抬升到40米的高度，供船只通过（上图）。

但是现在遇到一个问题，亚马逊公司的老板贝佐斯委托鹿特丹船厂，建造他的最新游轮。这艘游轮造得太大了（下图），即使有40米的空间，还是无法通过这个桥孔。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020508.webp)

船厂向鹿特丹市政府提出申请，希望拆除这个桥孔，让游轮通过，所有费用由贝佐斯和船厂来承担。市政府打算同意这个请求，否则游轮出不去。但是，很多市民反对，认为这座桥是历史遗产，不应该为了一艘富豪的游轮而破坏这座桥。

6、[Chrome 浏览器的新图标](https://twitter.com/elvin_not_11/status/1489647027789000714)

Chrome 浏览器最近重新设计了图标。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020610.webp)

左边是原来的图标，右边是现在的图标。你能看出差异吗？

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020608.webp)

看上去它们的差异很小。但是，设计师会告诉你，有很多不一样的地方，以及为什么现在的图标更好。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020609.webp)

我觉得，如果图标的精心修改，最后只能修改到这个样子，是不是说明谷歌的设计资源过剩啊。

## 文章

1、[硅谷传奇人物布莱特·泰勒](https://mp.weixin.qq.com/s/bibVR6X0kwbYgS8QSXUuTQ)（中文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122213.webp)

本文介绍硅谷创业者布莱特·泰勒（Bret Taylor）的传奇人生，他是谷歌地图、FriendFeed、Quip 的创始人，然后担任 Salesforce 的总裁兼首席运营官，现在是推特的董事长。

2、[中国新建筑地图 2021](https://mp.weixin.qq.com/s/wGpTLRn4B-Lc5dmHgAp_ng)（中文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020708.webp)

本文汇总了公号“有方空间”2021年重点介绍过的64个中国优秀新建筑，上图是浙江德清的[山村旅社“田畈里”](http://www.archiposition.com/items/04eb9e72f1)。

3、[Backblaze 2021年硬盘故障报告](https://blog.gslin.org/archives/2022/02/02/10524/backblaze-%E7%9A%84-2021-%E5%B9%B4%E7%A1%AC%E7%A2%9F%E6%AD%BB%E4%BA%A1%E5%A0%B1%E5%91%8A/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020509.webp)

Backblaze 是一家网络存储公司，使用了20多万个硬盘。它每年发布一次硬盘故障报告，分析各种品牌型号的硬盘的可靠程度。根据它的历年统计，Seagate 硬盘的故障率（上图的绿线）明显高于另外三家（东芝、HGST、西数）。

4、[程序员如何通过在 Medium.com 上写技术博客赚钱？](https://medium.com/%E5%86%99%E4%BD%9C%E4%B9%8B%E8%B7%AF/%E7%A8%8B%E5%BA%8F%E5%91%98%E5%A6%82%E4%BD%95%E5%9C%A8medium-com%E4%B8%8A%E9%80%9A%E8%BF%87%E5%86%99%E6%8A%80%E6%9C%AF%E5%8D%9A%E5%AE%A2%E8%B5%9A%E9%92%B1-6d47d82b03dd)（中文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020603.webp)

作者说，他把一篇中文的技术文章翻译成英文，发到 Medium.com 上面，为他带来几百美元的收益。（[@bitfishxyz](https://github.com/ruanyf/weekly/issues/2184) 投稿）

5、[双层茶壶的原理](https://www.engineerine.com/2021/12/the-assassins-teapot-how-it-works.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021123008.webp)

中国古代有一种双层茶壶，给敌人倒茶时，倒出的是毒液；给自己倒茶时，倒出的是正常的茶水。本文用插图解释原理。

6、[GitHub 的赞助者专享仓库](https://github.blog/2022-02-02-new-sponsors-only-repositories-custom-amounts-and-more/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020301.webp)

GitHub 推出只允许赞助者访问的仓库。我第一个想到的，就是可以做收费的邮件列表，付费者才能收到邮件，还能参加讨论。由于有仓库，还可以提供会员下载。

7、[史上最大 DDOS 攻击](https://arstechnica.com/information-technology/2022/01/microsoft-fends-off-record-breaking-3-47-tbps-ddos-attack/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020802.webp)

微软表示，它的一个 Azure 云客户去年11月遭遇了史上最大的 DDOS 攻击，吞吐量为 3.47 Tbps。本文是这件事的详细报道。

8、[esbuild 的一个使用注意点](https://jvns.ca/blog/2021/11/15/esbuild-vue/)（英文）

esbuild 是新一代的 JavaScript 打包工具，作者初次使用，发现它对 `import Vue from 'vue';` 这一行语句报错了。

## 工具

1、[nginx playground](https://nginx-playground.wizardzines.com/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092504.jpg)

一个线上的 nginx 游乐场。你可以在网页上填写 nginx 配置文件，然后在线启动一个 nginx 实例。接着，你输入各种 curl 命令，与这个实例互动。

2、[1History](https://github.com/1History/1History)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022013103.webp)

一个跨平台的命令行工具，能够同时备份本机不同浏览器的浏览记录，放进一个 SQLite 数据库，支持导出和可视化。（[@jiacai2050](https://github.com/ruanyf/weekly/issues/2182) 投稿）

3、[Denoflow](https://github.com/denoflow/denoflow)

一个自动化工作流工具，只要本地安装 Deno，然后使用 Yaml 格式写一个任务配置，就能执行，相当于一个轻量级的本地化 GitHub Actions 替代品。（[@theowenyoung](https://github.com/ruanyf/weekly/issues/2176) 投稿）

4、[腾讯柠檬清理](https://lemon.qq.com/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020602.webp)

腾讯官方发布的免费 macOS 系统的磁盘清理软件，一键释放磁盘空间。（[@ifrontend-xyz](https://github.com/ruanyf/weekly/issues/2178) 投稿）

5、[Perspec](https://github.com/feramhq/Perspec)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010314.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010315.webp)

这个软件可以将照片里面透视变形的物体自动拉正。

6、[微软数学求解器](https://mathsolver.microsoft.com/)（Microsoft Math Solver）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121116.webp)

微软推出的数学题求解网站。

7、[Code2Flow](https://github.com/scottrogowski/code2flow)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021121201.webp)

这个工具自动分析代码，生成函数调用的流程图，即可视化显示所有函数的调用路径，支持 Python、Javascript、Ruby 和 PHP 等语言。

8、[mdSilo](https://mdsilo.com/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020501.webp)

一个基于浏览器的笔记工具，特点是支持双向链接，可以视作一个简单的 Wiki 式的知识管理工具。在线使用，无需注册和安装，数据保留在本地。（[@danloh](https://github.com/ruanyf/weekly/issues/2186) 投稿）

9、[pystitcher](https://github.com/captn3m0/pystitcher)

一个命令行工具，可以很方便地合并 PDF 文件，自动生成书签。

## 资源

1、[掌握容器基础知识](https://iximiuz.com/en/posts/container-learning-path/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112416.jpg)

一篇长篇文章，介绍 Linux 容器到底是什么。

2、[misbrands](https://github.com/mkrl/misbrands)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122502.webp)

这个仓库提供 SVG 文件，让你可以打印上面这些贴纸。

3、[数据结构（C 语言）](https://lookcos.cn/archives/1120.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020601.webp)

一个大三同学原创的系列文章，逐一分析 C 语言的各种数据结构，并配上自己画的图片，以及从零实现的源码。（[@LookCos](https://github.com/ruanyf/weekly/issues/2174) 投稿）

4、[FFmpeg libav 教程](https://github.com/leandromoreira/ffmpeg-libav-tutorial/blob/master/README-cn.md)

一个如何调用 FFmpeg 视频库的教程，有中文翻译。

5、[使用 Emoji 解释函数式编程](https://ycombinator.chibicode.com/functional-programming-emojis)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122801.webp)

这个英文教程使用表情符号 Emoji，解释函数式编程的简单概念，形式上很有趣，但写得不算很好。

## 图片

1、[消防坦克](https://www.thedrive.com/news/43217/this-apocalyptic-tank-fights-giant-fires-with-twin-jet-engines)

1990年，伊拉克入侵科威特，海湾战争爆发。伊拉克军队被赶出科威特之前，点燃了科威特的油井。科威特政府尝试了多种方式灭火，收效甚微，最后只能呼吁国际援助。

一家匈牙利公司想出了一个办法，制造了世界最强大的消防车。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112108.jpg)

他们在一辆苏联坦克的底盘上面，加装了两个米格战斗机的喷气发动机，每秒可以产生130立方米的气体，然后使用六根消防水管供水，将水汽喷射到火焰，足以熄灭燃烧的油井。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112111.jpg)

最终，这一台装置熄灭了10口油井的大火。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112110.jpg)

2、[小车过沟](https://twitter.com/changelog/status/1462776810702262277)

项目迭代是怎么回事，可以看看下面的视频。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=v3310lxbsoa" allowFullScreen="true" width="600" height="400"></iframe>

## 文摘

1、[肉毒杆菌的历史](https://www.the-angry-chef.com/blog/the-worlds-deadliest-thing)

18 世纪后期，德国发生了好几起香肠中毒事件，所有中毒者都食用过腌制的香肠，然后就发病去世了。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021017.webp)

一个叫做贾斯汀努斯·克伯的医生，为了查清真相，冒着风险，将几滴香肠的蒸馏提取物滴在自己的舌头上。

他非常非常幸运，没有中毒死去，只是感到上颚干燥发痛。后来，他写了一篇论文记录这件事，成了历史上第一篇有关肉毒杆菌的论文。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021018.webp)

现在我们知道，那些香肠包含了肉毒杆菌，中毒者都是肉毒杆菌中毒。这种细菌最早在保存条件不好的加工肉制品内部发现，样子像是细长的杆子，所以被命名为肉毒杆菌。但是后来发现，它几乎无处不在，存在于土壤、蔬菜表面、动物粪便和河床中，并且可以在沸水、冷冻、和高酸性环境中存活下来。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021019.webp)

值得庆幸的是，正常情况下，肉毒杆菌对人体没有影响，如果摄入，通常会被排出体外，不会有什么后果。但是，某些情况下，它会被激活，产生致命的神经毒素。

肉毒杆菌产生的毒素是世界上毒性最高的蛋白质，也是最致命的毒素。只要极小量，就会导致身体麻痹、呼吸停止等严重后果，死亡率极高。

口服时，肉毒杆菌毒素的致死剂量约为10亿分之一克。只要6克纯晶体形式的肉毒杆菌毒素（大约一茶匙的份量），足以杀死2亿人。

由于罐头食品容易产生肉毒杆菌毒素，所以食品装罐之前，都必须高温消毒。而且，PH 值最好低于4.5，因为肉毒杆菌在酸性环境会失去活性。另外，亚硝酸盐也能抑制肉毒杆菌，这就是为什么加工肉制品会添加亚硝酸盐的原因。

二战时，美军和德军都曾研制过肉毒杆菌武器。为了防止中毒，盟军在诺曼底登陆之前准备了100万剂抗毒素。

但是，肉毒杆菌除了用作化学武器，还有一种奇妙的用途。

1960年代，一个化学家想试试看，肉毒杆菌对肌肉的麻痹作用在医学上是否有利用价值。肉毒杆菌毒素有8种类型，他用毒性最小的一种类型，以极小的量注射到斜视病人体内，发现非常有效，肌肉产生麻痹，眼睛不再斜视了。后来，这种肉毒杆菌疗法就被开发成了药物，用于治疗肌肉痉挛、膀胱过度活动症、脑瘫和偏头痛等。

但是，它的最大用途却是偶然发现的。一个病人在额头注射了肉毒杆菌以后，跟医生说，她的皮肤变得光滑和年轻。这个医生马上意识到，肉毒杆菌也许可以用于美容。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021020.webp)

肉毒杆菌在美容业，几乎立即获得了成功。小剂量的肉毒杆菌毒素，会去除皱纹，唯一的副作用是皮肤会僵硬，无法表达表情，偶尔还会出现眼睑下垂。它很快风靡全球。

成千上万的人们正在使用这种美容疗法，将地球上最致命的毒素注射到脸上。2017 年，全世界超过700万张面孔，注射了肉毒杆菌，比2000年增长了800%，年销售额达到23亿美元。

肉毒杆菌毒素的纯结晶体，如果按照美容业的价格计算，每公斤的价值可以达到100万亿美元。全世界那么多张脸，加在一起，一年也只用掉几毫克肉毒杆菌毒素而已。 

## 言论

1、

1980年，IBM 公司选择微软公司，作为自家 PC 的操作系统提供商，这是一笔改变历史的交易。

个人因素在其中起到了一定的作用。比尔·盖茨的母亲玛丽曾在 United Way 基金会的董事会任职，IBM 董事长约翰·欧宝也在那里任职。手下人向他汇报的时候，他说：“哦，那是玛丽·盖茨的儿子的公司吗？” 

-- [《IBM PC 背后的真实故事》](https://www.itpro.com/hardware/361331/the-true-story-behind-the-ibm-personal-computer)

2、

API 是新的动态链接库 (DLL)。

-- [wso2.com](https://wso2.com/choreo/resources/how-to-build-a-production-grade-api-kubernetes-serverless-or-ipaas/)

3、

如果一样东西，你能感到它想做成什么，并且也知道它可能很重要，但是它的制造商没有做对。技术人员就会产生一种强烈的愿望来修复它，把它做对，并向人们展示它应该是什么样。

-- [约翰·卡马克](https://sherief.fyi/post/arkham-quixote/)

4、

curl 将有一个新的参数`--json`，这是我为这个软件添加的第 245 个命令行参数。

-- [丹尼尔·斯坦伯格](https://daniel.haxx.se/blog/2022/02/02/curl-dash-dash-json/)，curl 的作者

5、

灵活的人让自己适应世界，不灵活的人坚持让世界适应自己。结果，一切进步都来自不灵活的人。

-- [萧伯纳](https://news.ycombinator.com/item?id=29598581)

## 历史上的本周

2021年（第 143 期）：[世界尽头与冷酷仙境](https://www.ruanyifeng.com/blog/2021/01/weekly-issue-143.html)

2020年（第 91 期）：[印度孟买的房价，为什么跟北京一样高？](https://www.ruanyifeng.com/blog/2020/01/weekly-issue-91.html)

2019年（第 40 期）：[手动咖啡不属于电子时代](https://www.ruanyifeng.com/blog/2019/01/weekly-issue-40.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
