# 科技爱好者周刊（第 197 期）：如果这个世界有快乐机

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2234)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022702.webp)

2021年4月29日，西安交响乐团在海南文昌的海滩上，举办“大国重器飞向太空”交响音乐会。他们背后就是火箭发射场，随着运送天宫空间站的火箭腾空而起，音乐会正式开始。（[via](https://www.sohu.com/a/464005807_120091004)）

## 本周话题：如果这个世界有快乐机

上个世纪70年代，哈佛大学的哲学教授诺齐克（Robert Nozick）提出一个问题， **如何证明享乐主义（追求快乐和满足）是人类的行为目的？**

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022607.webp)

当时，美国陷入越南战争的泥潭，社会弥漫着“享乐主义”的气氛，年轻人普遍觉得，人的行为就是为了追求快乐、满足、幸福感。只要能够获得快乐的事情，就值得去做。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022608.webp)

诺齐克不喜欢这种想法，质疑道：有何证据可以证明，人活着就是为了追求享乐？

他假设了一个场景，假如世界上有一种机器，叫做[“快乐机”](https://en.wikipedia.org/wiki/Experience_machine)，**只要插上插头，就能带给你源源不断的快乐。** 并且，你无法分辨，这种机器快乐与现实世界的快乐有何不同。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022609.webp)

如果人生的目标是体验尽可能多的快乐，那么没有理由不接入这台快乐机。一旦所有人都想接入，那就证明了人类真的是追求享乐主义。

这在哲学上称为“快乐机假设”。诺齐克相信，只要有人放弃接入快乐机，就说明享乐对这个人来说并不是最重要的，从而证明了人类还有其他的追求。

他在著作里面，提出了三种可能，会让人放弃快乐机。

> 1. 人们想亲身做某些事情，而不是单纯地体验快乐。
> 2. 人们希望能够真正成为某种类型的人，而不是虚拟地扮演角色。
> 3. 人们不希望被限制在人造现实中，还希望去接触更多的事物。

上面的三种可能，说实话，都没有说服力，都是无法证明的假设。因为现实中没有快乐机，所以关于这个问题的一切讨论，都是纸上谈兵，没有答案。

但是，现在的情况有所不同。50年过去了，VR 技术的进展和元宇宙的出现，使得快乐机不那么像科幻小说了。 **人类很可能在未来10年中，创造出很接近快乐机的设备。**

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022610.webp)

到了那时，你戴上 VR 头盔，就进入一个不同的世界，感受到无比的满足和快乐，而且会很真实，一点不像假的。这意味着，“快乐机假设”很快就能被验证了。

如果元宇宙很逼真、很梦幻，人们会争先恐后进入其中，流连忘返吗？还有多少人能抗拒不接入它的诱惑，宁愿放弃更多的快乐，留在充满了乏味、悲伤、灾难、战争的现实世界吗？

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022611.webp)

我猜想，大部分人一定会选择快乐机，因为那里的生活更容易、更快乐，更美好，也更便宜。少数人可能会放弃快乐机，宁愿面对现实，过一种快乐更少、痛苦更多的生活。[有一种理论](https://www.theguardian.com/lifeandstyle/2022/jan/23/hedonism-is-overrated-to-make-the-best-of-life-there-must-be-pain-says-yale-professor)解释这种信念，认为没有痛苦的人生是不完整的。那些痛苦、焦虑、挣扎和苦难的日子，可以塑造人，让你领悟人生意义。

总的来说，如果真的有那么一天，快乐像汽水一样，可以从机器上获得，为什么不接入呢？

## 自动驾驶概述公开课

近两年最热门的行业，大概非新能源汽车莫属，产值快速增长，新车型、新品牌层出不穷，明星公司备受关注。

它的一大卖点，就是自动驾驶系统，电脑控制汽车自动行驶。现在每一家车企，都在开发自己的自动驾驶系统。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030201.webp)

这项技术相当成熟了，只要有人监控，就已经可以上路。这次北京冬奥会，[投入了](https://www.163.com/dy/article/GVBQAKB10511G5FO.html)很多自动驾驶车辆，大出风头。

人工智能技术（AI）是自动驾驶的核心，像大数据处理、机器学习、神经网络等都落地了。自动驾驶应该是 AI 目前最大的商业应用领域。

可以这样说，AI 的招聘岗位现在主要就是 IT 公司和车企两大行业。由于这是新兴领域，还是一片蓝海，市场上这类人才屈指可数。

今晚正好有一个讲座 **《自动驾驶概述》公开课**，在这里发布消息。时间是 **今天晚上（3月4日）七点半**，为想要了解 AI 的落地应用、进入自动驾驶领域的同学引路。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030203.webp)

主讲老师 Jack 是知名大厂的研发人员，从业7年，开发过无人配送车、无人巡检机器人、无人接驳车等自动驾驶系统。

讲座内容分成三个部分。

> 1. 自动驾驶行业的整体情况，包括落地场景和发展趋势。
> 1. 技术概念，包括自动驾驶是如何实现的，用到哪些技术。
> 1. 能力需求，包括从业人员的知识储备和技能要求。

这个讲座可以帮助大家拓宽技术面，促进对自动驾驶行业的认知，增加后续的发展空间和竞争力。

对于 AI 的学习者，还能了解如何将常用算法，用于自动驾驶的实际项目，老师会分享他的经验和遇到的坑。讲座过程中，随时可以提问，课后可以在群里讨论，加深对相关技术的理解。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030204.webp)

所有听课者还会获赠免费的学习资料大礼包，包括4本 AI 好书和人工智能知识图谱。

> - **《Artificial Intelligence A Modern Approach 人工智能——一种现代方法》**：国外名校的人工智能教材首选。
> - **《深度学习：Deep Learning》**：从基本的统计学和微积分讲起，介绍深度学习技术。
> - **《动手学机器学习：Hands-On Machine Learning》**：纯代码驱动的机器学习教材。
> - **《流畅的Python：Fluent Python》**：适合掌握基础 Python 编程，希望进一步提供的同学。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030202.webp)

感兴趣的同学，微信扫描上方二维码，了解详情并报名。报名后，记得添加课程顾问，激活观看权限，并别忘了今晚7点半准时听讲座。

## 科技动态

1、[电动游轮](https://news.sina.com.cn/c/2022-01-19/doc-ikyamrmz6059048.shtml)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011901.webp)

今年1月，全球电量最大的纯电动游轮“长江三峡1号”在宜昌试航成功。该船长100米，高四层楼，可以载客1300人，搭载了7500千瓦时电池。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011902.webp)

它不仅是目前世界最大电动游轮，也是世界最大的纯电动船，采用1万伏的高压充电，每次充电续航100公里。试航成功后，该船计划在今年4月试运营，向游客提供三峡大坝的游览服务。

2、[冰塔供水](https://www.theguardian.com/environment/2017/apr/22/the-ice-stupas-of-ladakh-solving-water-crisis-in-the-high-desert-of-himalaya)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011805.webp)

印度北部的喜马拉雅山区严重缺水，居民用水全靠春天冰雪融化所形成的季节性溪流，但是水量不稳定，时有时无。

一位印度工程师想了一个聪明的办法，在入冬之前，将水引到背阴处，夜间使用高压水龙头，对着天空喷射。水落到地上，就会结冰。随着水龙头不断喷射，冰会越结越多，一层层堆积，形成一座高达30米的冰塔。第二年夏天，冰塔融化就可以为当地供水。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011806.webp)

3、[重力灯（GravityLight）](https://deciwatt.global/gravitylight)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011705.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011706.webp)

一家英国设计公司接受委托，为非洲缺电的国家设计一种不依赖外部供电的灯，取代煤油灯。

他们设计出了“重力灯”（GravityLight），只要灯下面挂上重物（比如石头和沙袋），然后用手上下拉动一分钟，就可以产生两小时的光照。LED 灯泡的亮度为15流明，灯的成本为5美元。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011707.webp)

该公司还推出了升级版，配上了光伏板和大电池，除了手动发电，还能用太阳能发电。灯泡也变得更亮，还能为手机充电，但价格提高到109美元。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011708.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011709.webp)

4、[快递电动小车](https://www.ithome.com/0/603/459.htm)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030302.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030305.webp)

五菱推出了一款快递电动小车，将快递员的送货车升级成了电动车。为了适应居民区，它的车身特别窄，只有1米左右，只能乘坐一个人。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030303.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030304.webp)

驾驶室配有 USB 充电口和空调，专为快递小哥遮风挡雨，以及给手机充电。续航还没有公布，可能在100公里。

5、[机器人租赁](https://www.wired.com/story/rent-robot-worker-less-paying-human/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011906.webp)

疫情期间，美国的很多工厂劳动力紧缺，一家芝加哥的金属加工厂不得不租赁机器人。这些机器手臂可以抓起金属，放到压力机中，然后开动压力机，将金属压制成形。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011907.webp)

这些设备由专门的机器人租赁公司提供，并负责安装调试，按照使用时间收费。工厂老板很快发现，机器人比真人更好用，24小时工作，不会出错，操作程序也不用自己操心，完全由租赁公司编写。而且机器人比真人便宜，每小时费用只要8美元，相比之下，真人的最低工资是15美元/小时。

老板最后决定，再租赁25个这样的机器人，取消后续的工人招聘计划。这很可能是一种未来的趋势，机器人租赁业前景看好。

## 文章

1、[走进迪拜未来博物馆](https://www.ifanr.com/1473634)（中文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030301.webp)

刚刚开幕的迪拜未来博物馆，是一家未来色彩浓厚的博物馆，本文进行介绍。此外，[这里](https://www.khaleejtimes.com/uae-attractions/dubai-museum-of-the-future-opens-tomorrow-7-experiences-you-will-find-inside)也有一些照片。

2、[Grid 用于布局，Flexbox 用于组件](https://ishadeed.com/article/grid-layout-flexbox-components/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011318.webp)

CSS 的 Grid 布局和 Flexbox 布局，作用相似，经常有人讨论，两者的适用场合是什么。作者提出，Grid 布局应该用于页面，Flexbox 布局应该用于组件。

3、[TypeScript 和 Python 类型系统的不同](https://medium.com/@Pilot-EPD-Blog/typescript-for-pythonistas-f90bbb297f0a)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030309.webp)

作者是一个 Python 程序员，最近转向 TypeScript，他发现这两种语言的类型系统有两个重大差异。

4、[从 Node.js 到 Rails](https://nikodunk.com/a-node-js-developer-discovers-rails/)（英文）

作者从 Node.js 转到了 Rails，谈谈自己的感想。

Node.js 几乎每件事，都需要自己来技术选型或者重新发明轮子，Rails 正好相反，框架帮你决定了每件事，程序员需要理解这两种不同的开发哲学。

5、[DNS 的查询过程](https://jvns.ca/blog/2022/01/11/how-to-find-a-domain-s-authoritative-nameserver/)（英文）

作者使用 dig 命令，一步步演示 DNS 查询背后是怎么进行的。

6、[Python 数值的三个知识点](https://davidamos.dev/three-things-you-might-not-know-about-numbers-in-python/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011801.webp)

一篇初学者教程，介绍 Python 的数值类型（number）。

7、[使用简单 Python 解决 Wordle 游戏](https://www.inspiredpython.com/article/solving-wordle-puzzles-with-basic-python)（英语）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011207.webp)

Wordle 是一个近期流行的猜单词游戏，每次它会告诉你猜中几个字母，让你接着往下猜。作者详细讲解如何使用简单的 Python 程序，来解这个游戏。

8、[如何指定 Git 提交说明的模板](https://gist.github.com/lisawolderiksen/a7b99d94c92c6671181611be1641c733)（英文）

Git 提交代码的时候，必须给出一段文字说明。有时候，会想要一个模板，提交时自动跳出来，只要填写一下就可以了。本文给出实现方法。

## 工具

1、[Rich](https://github.com/Textualize/rich)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011812.webp)

一个 Python 的终端样式库，可以用在脚本里面，在命令行显示颜色和样式。

另外，还有一个已经封装好的独立命令 [Rich Cli](https://github.com/Textualize/rich-cli)，可以通过参数指定样式，比如下图是居中显示边距为3的蓝色方块。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020101.webp)

2、[Deskreen](https://deskreen.com/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012501.webp)

一个屏幕分享软件，可以把桌面电脑的屏幕（Windows、macOS、Linux）分享到局域网内的任意设备，只要对方有浏览器就可以接收。

3、[数独求解](https://leetcode.com/problems/sudoku-solver/discuss/15796/Singapore-prime-minister-Lee-Hsien-Loong%27s-Sudoku-Solver-code-runs-in-1ms)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020201.webp)

新加坡总理李显龙多年前写的 C++ 数独求解程序。他毕业于剑桥大学，拥有数学学士和计算机硕士学位，参见他的 [Facebook 原帖](https://www.facebook.com/leehsienloong/photos/a.344710778924968.83425.125845680811480/905828379479869/?type=3&permPage=1)。

4、[iTab](https://www.itab.link/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030102.webp)

一个浏览器插件，提供大量选项，让你定制浏览器空白标签页。（[@SharingMan](https://github.com/ruanyf/weekly/issues/2220) 投稿）

5、[Pixels Chain](https://www.pixelschain.com/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030103.webp)

一个集体创作的像素画，用户通过连接自己的数字钱包，认领像素点，共同创造完成一幅画，然后做成 NFT。（[@blackrabbit944](https://github.com/ruanyf/weekly/issues/2223) 投稿）

6、[Base64 可视化转码](https://devtool.tech/base64)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030104.webp)

这个网页工具可视化展示了 Base64 内部的解码编码过程。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/2231) 投稿）

7、[Pixi Color Effects](https://github.com/PixiColorEffects/pixi-color-effects)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030105.webp)

一个 JS 库，提供各种图片滤镜。（[@carl-jin](https://github.com/ruanyf/weekly/issues/2237) 投稿）

8、[midis2jam2](https://midis2jam2.xyz/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012701.webp)

一个 3D MIDI 文件可视化工具，可以将 MIDI 文件转换成一段虚拟乐队的动画。

9、[CyberChef](https://gchq.github.io/CyberChef/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011904.webp)

一个开源网站，集合了上百种实用的小功能（比如 Base64 解码、提取 EXIF、生成 Hash 等等），都包括在一个网页里面。熟悉以后，非常好用。

10、[SingleFile](https://github.com/gildas-lormeau/SingleFile)

浏览器保存网页时，默认会生成一个 HTML 文件和一个文件夹。这个插件可以将网页的所有内容保存成单个 HTML 文件，把外部 JavaScript 和 CSS 文件变成页内脚本，并把图片都改成页内 Base64 字符串。（[@shenzhw](https://github.com/ruanyf/weekly/issues/2241) 投稿）

## 资源

1、[字节云数据库：设计与实战](https://www.bagevent.com/event/8049705?bag_track=database1)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030205.webp)

线上技术沙龙活动，字节跳动官方主办，时间是下周六（3月12日）下午。数据库工程师跟大家交流，头条和抖音的后台数据库是怎么做的。

报名免费，讲座后有 Q&A 环节，现场交流。还有抽奖环节，奖品有字节卫衣、加湿器等等。

2、[WcoFun.com](https://www.wcofun.com/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010701.webp)

该网站提供大量动漫，免费在线观看。

3、[MyNoise](https://mynoise.net)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010702.webp)

该网站收集了200多种环境音，可以当作工作时的背景声。

4、[CSS 中文入门教程](https://github.com/pengfeiw/css-tutorial/tree/master/chapters)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030310.webp)

作者学习 CSS 时整理的一份教程，参考了谷歌的 learn css。（[@pengfeiw](https://github.com/ruanyf/weekly/issues/2229) 投稿）

5、[Web Worker 中文播客](https://www.xiaoyuzhoufm.com/podcast/613753ef23c82a9a1ccfdf35)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030311.webp)

两个前端程序员闲聊的中文音频播客节目，半年时间做了九期。（[@Otto-J](https://github.com/ruanyf/weekly/issues/2228) 投稿）

6、[矩阵乘法](http://matrixmultiplication.xyz/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011803.webp)

这个网站使用动画，演示两个矩阵相乘的计算过程。制作得还不错，可惜动画过程太复杂，不直观。

## 图片

1、[埃尔阿尔托的建筑师](https://www.thisiscolossal.com/2019/03/freddy-mamanis-neo-andean-architecture/)

埃尔阿尔托是南美洲国家玻利维亚的第二大城市，当地有一个世界闻名的建筑师。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112701.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112705.jpg)

他的建筑大胆采用了印第安人传统，充满明亮的色彩和个性，让人联想到印加神话，为这个城市增添了很多光彩。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112703.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112704.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112706.jpg)

## 文摘

1、[清单的作用](https://www.lesswrong.com/posts/dtmmP4YdJEfK9y4Rc/book-review-the-checklist-manifesto)

第二次世界大战之前，美国陆军航空兵测试新的轰炸机，其中有一个机型是波音公司的299型轰炸机。

这种飞机在工程技术上非常领先，比现有的轰炸机可以多携带五倍的炸弹，而且飞得更快更远。 

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092415.jpg)

但是，1935年10月30日的首次试飞中，这架飞机坠毁了。

根据事后的调查，飞机的设备运行正常，但是由于控制仪表太多太复杂，飞行员出了差错，忘记了释放升降舵的锁定装置。调查报告的结论就是一句话：“一个人操作这架飞机太难了。”

美国军方不得已，要求波音公司更改设计，放弃部分性能，让操作变得更简单。 

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092416.jpg)

后来，随着战争局势日益紧张，军方心里还是念念不忘这架轰炸机的性能。他们又从波音公司找来最后几架库存机，交给一组试飞员试图找到一种方法，可以安全地驾驶这架飞机，不会出现事故。 

最后找到的方法，就是列出一个操作清单，要求所有飞行员严格按照清单，完成每一步操作：检查仪表、释放刹车、关闭门窗、解锁控制装置等等。

很奇怪，就是这么一个简单的清单，一切就变了。试飞员总共飞行了180万英里，没有发生任何事故，于是军方订购了数千架这种飞机，后来改称为 B-17 轰炸机，成为第二次世界大战之中美军的主力轰炸机。

一张卡片大小的清单，就这样让美国军队在二战中获得了决定性的空中优势。 

这告诉我们，如果遇到复杂的任务，不妨列出一张清单，按顺序列出每一个步骤，这会大大降低复杂性。

## 言论

1、

中国北方以种植小麦为主，南方以种植水稻为主。有一种理论，认为水稻需要稻农合作，解决灌溉和水灾，而小麦主要依靠雨水，不需要与其他人合作，所以北方人的个人主义倾向更强一些，南方人则是群体性倾向更强。

-- [《全球范围的南北方差异》](https://www.economist.com/christmas-specials/2021/12/18/north-south-antipathies-endure-around-the-globe)

2、

电子邮件是不同组织之间唯一可靠的通信方式。几乎每个大型企业都有一个内部通信系统（Slack、Microsoft Teams、Discord 等），它们在组织内部或封闭群体中工作得很好，各方面都强于电子邮件。

但是，当你想要进行组织之间的通信、或与外部人员合作时，这些通信系统都不理想，并且无法补救，因为它们都不支持对等网络的联合（federated）。

-- [《电子邮件是互联网的关键基础设施》](https://utcc.utoronto.ca/~cks/space/blog/tech/EmailCriticalInfrastructure)

3、

自由软件最好的部分是，它有时会产生你付钱也开发不出来的产品（比如 Linux），或者比你付钱得到的软件质量更好的软件（比如 SQLite）。

自由软件最糟糕的部分是，开发人员可能根本不理睬用户。

-- [apenwarr.ca](https://apenwarr.ca/log/20211229)

4、

英文单词 debt （债务）里面的 b 是不发音的，这个词念作 /det/。类似不发音的 b，还有 doubt（/dʌt/）、subtle（/sʌtl/）、plumber（/plʌmə/）。

-- [《为什么 debt 的 b 不发音》](https://www.merriam-webster.com/words-at-play/why-is-debt-spelled-like-that)

5、

随着在家办公的盛行，员工为了让经理看见自己，表演性质的行为也变得盛行，比如始终在通讯软件上显示在线、分享安排得满满的日历、电子邮件的发出时间经常在清晨或下班后。

-- [《表演行为的兴起》](https://www.economist.com/business/2022/01/08/the-rise-of-performative-work)

## 历史上的本周

2021年（第 146 期）：[网课应该怎么上？](https://www.ruanyifeng.com/blog/2021/02/weekly-issue-146.html)

2020年（第 94 期）：[既懂得制造，又懂得销售](https://www.ruanyifeng.com/blog/2020/02/weekly-issue-94.html)

2019年（第 43 期）：[一篇好玩的论文](https://www.ruanyifeng.com/blog/2019/02/weekly-issue-43.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）
