# 科技爱好者周刊（第 198 期）：美国制造是否可能

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2234)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030808.webp)

重庆两江新区美术馆的公交车站，采用了板凳造型。蓝色和红色两个大板凳，相当于乘客的休息亭，旁边紧紧围绕着17个色彩缤纷的小板凳。（[via](https://www.cbg.cn/show/4933-1839848.html)）

## 本周话题：美国制造是否可能

上周，美国总统拜登对国会发表[《国情咨文》](https://finance.sina.cn/7x24/2022-03-02/detail-imcwipih6180080.d.html)，提到了美国制造。他这样说：

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030705.webp)

> “与其依赖外国供应链，不如在美国制造。通过降低生产成本，而不是降低美国人的工资，让更多的车辆和半导体在美国生产，减少依赖外国供应链。”

听出来了吗，**拜登的药方是，工资不降，降低其他成本，让制造业重新回到美国。** 今天就来谈谈，这样做是否可能。

2015年，国内曾经有一个[研究](http://m.jrj.com.cn/madapter/usstock/2016/01/27030420489084.shtml)，逐项比较中国和美国的生产成本，结果发现每一项成本都是美国便宜。

> - 土地成本：中国是美国的9倍
> - 物流成本：中国是美国的2倍
> - 资金成本：中国是美国的2.4倍
> - 电力成本：中国是美国2倍
> - 税收成本：中国较高

上面还是2015年的数据，这些年物价上涨，倍数大概就更高了。

**只有[一项成本](https://www.sohu.com/a/367546108_618573)是中国便宜，大家恐怕都猜到了，那就是工资**，美国的劳动力时薪是中国的4.8倍。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030706.webp)

**所以，美国制造业的问题，根本不在于生产成本，而在于劳动力。** 美国的生产要素价格，在全世界都是很低的。拜登不去改变劳动力成本（也是不敢），而是想在其他成本上动脑筋，那是没用的，恐怕很难成功。

反过来看中国，问题也很大。中国的各种生产成本都高于美国，全靠劳动力优势弥补：一是工资低，二是劳动时间长，三是比美国人更勤奋、更能吃苦、更有纪律性，四是没有美国那种跟资方对抗的工会。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030707.webp)

但是，劳动力的成本优势是不长久的，工资总归要上升的，否则就失去了发展的意义。一旦中国工人的工资接近美国的一半，中国制造的成本优势就会开始丧失。

说来很讽刺，**拜登想要发展美国制造业，有效的方法不是遏制中国，而是让中国的工资上升**，那样制造业就会回到美国。

其实，人力投入较少的初级产品（比如农产品），美国已经有巨大的成本优势，大大低于中国。去过美国的人都知道，他们超市里面的食品很便宜。这也是为什么中国每年从美国进口大量农产品的原因。

人力投入较多的普通制成品，都是中国有成本优势。今后只要设法降低其他生产要素的价格，减轻企业的负担，就能保住优势。

真正竞争的是高科技制造业，比如芯片、机器人、生物医药。在这个领域，中美的工资差距不大。谁有独家技术，谁的产品更好，谁就赢。如果中国不加快知识创新，这部分制造业确实可能回到美国。

## 计算机双翼能力专场讲座

现在的就业形势严峻，很多同学都是两手准备。如果就业顺利，那就先就业；如果考研成功，那就先读研。

有些在职人士也有这种想法，职场生涯遇到瓶颈，希望通过学历提升改善现状，或者通过技术学习提升实力。

本周的课程就是为这些同学准备的，把学历提升和技能提升放到了一起，为你制定计算机硕士备考方案的同时，穿插专业技能指导，课程名称就叫做 **《计算机硕士学历 + 硬核技术 双翼提升训练营》**。

技能提升部分，有四个技术专场讲座。

> - 第一场：Java 专场
> - 第二场：人工智能 AI 专场
> - 第三场：Web 前端专场
> - 第四场：算法研发 CS 专场

主讲老师都是各自领域的技术专家，会结合行业发展趋势，深度剖析大厂相关岗位能力模型，介绍大厂筛选简历套路、面试拿 OFFER 技巧，让你的求职之路更畅通。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031018.webp)

学历提升部分，由前新东方优秀讲师刘硕、前阿里技术专家李超领衔授课，为你详细讲解考研招生流程和最新政策，分析报考趋势，以及公共课、专业课成绩提升技巧。

同时会配合开课吧自主研发的 AI 系统，根据历年数据（报考人数、分数线等），进行科学估分和排位，为你制定专属备考方案，精准择校择专业。

整个课程还有下面的特点：（1）讲解通俗易懂，照顾转行的在职人士，目标是让零基础的人也理解该怎么做、怎么学；（2）提供伴随式的编程环境，老师进行“1对1”的带练带背，帮你消化疑难知识点；（3）讲师、助教、班主任三位一体跟踪式服务，全程为你答疑解惑。

周刊读者可以不用花钱，**零元报名**。如果你还不确定，到底是就业还是考研，或对考试难度、考哪个方向、是否脱产等问题有疑惑，不妨到时直接咨询讲师，或许就会豁然开朗。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031019.webp)

微信扫描上方二维码，了解课程详情并报名。报名后，添加老师微信，领取课程和以下的到课福利。

> - AI 学习路径资料
> - Java 应聘简历范例 + 面试百题
> - 前端应聘简历范例
> - 百度内部面试评估表

## 科技动态

1、[世界最大飞机](https://v.qq.com/x/page/u33265mp283.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030704.webp)

世界最大飞机运输机 AN-225，已经证实被炮弹摧毁了。估计以后也不会有人造那么大的飞机了，利用率太低，经济上不划算。

这是它以前的样子。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030401.webp)

这是它现在的样子。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031101.webp)

国外网友贴出了手机拍的 AN-225 降落视频，太漂亮了，像一只白色的大鸟。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=u33265mp283" allowFullScreen="true" width="600" height="600"></iframe>

2、[氢气罐出口](https://www.abc.net.au/news/2022-01-21/world-first-hydrogen-tanker-docks-at-port-of-hastings/100769138)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012103.webp)

日本为了改变大量进口煤炭的局面，正在尝试在澳大利亚产煤地提炼氢气，然后进口液态氢。日本的运氢船已经抵达澳大利亚，正等着液态氢的球罐装船（上图）。这将是世界第一次海运液态氢球罐。

液态氢的体积小，只有原始氢气的0.125%（即千分之一），但是热量高，1克氢气包含的热量是1克汽油的3倍。如果这种方法证明可行，石油、天然气、煤炭未来都可以转成液态氢出口。

3、[纸笔写代码的程序员](http://www.ctdsb.net/topic/1784/202203/03/164789.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030505.webp)

3月3日，台湾发生大停电。一家软件公司为了不耽误工期，只得让程序员用纸笔撰写代码。

上午11时，只见公司6名程序员都在工位上，用手机打光，用纸笔撰写代码。问题是没有了桌面 IDE 和线上 API 手册，只能手写伪码吧。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030506.webp)

4、[观光潜水艇](https://newatlas.com/marine/uboat-worx-super-sub-fast-submarine/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011818.webp)

一家荷兰公司推出了两人座的观光潜水艇，最大特点就是速度非常快，可以达到每小时8节（14.8 公里/小时），远超普通的民用潜水艇，后者的速度最多只有3节或4节。

它的目的是，用来让游客跟鱼群一起前进。它的速度虽然不如大白鲨（56公里/小时）和剑鱼（130公里/小时），但可以跟上热带鱼和慢速前进的海豚，“与鱼群同行”预计会受到很多游客的欢迎。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011819.webp)

该潜水艇额定下潜深度300米，续航为8小时，2023年开始接受预订。

5、[刺客雇佣网站](https://www.theguardian.com/lifeandstyle/2021/dec/17/bob-innes-rent-a-hitman-assassin-services-website)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122601.webp)

2005年，一个美国大学生购买了 [rentahitman.com](https://rentahitman.com/) 这个域名，意为“雇佣刺客”，打算囤积起来，将来以更高的价格卖掉。

几年以后，他意外收到一个陌生女人的来信，要求帮忙干掉她的三个亲戚，防止他们夺取她父亲的遗产。他觉得太荒谬了，就没有回信。但是，那个女人又发来第二封电子邮件，还提供了姓名、地址等详细信息。他查了一下，发现这个女人正因为其他案件被通缉，就把这些信息提交给警方。

事后他想到，因为这个域名，他可能拯救了三个人的生命。这个网站因此是有意义的，值得认真运作，他就重新制作了网页，使它看上去就像一个真的能雇佣刺客的网站（上图），可以点进去访问。截止2021年，他已经把几百条线索转交警方，他说自己可能挽救了近150人。

## 文章

1、[印度成为世界人口第一大国](https://mp.weixin.qq.com/s/1ztbaqTOemVR0njkwRHkEA)（中文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031007.webp)

2022年3月4日，印度政府公布了2021年人口统计结果，印度人口达到14.1565亿人，正式超过中国政府2021年底公布的人口14.126亿人。印度领先中国约300万人左右，成为世界第一大人口大国，

2、[家用 3D 打印不完全入坑指南](https://www.gcores.com/articles/147983)（中文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030101.webp)

作者介绍新手入门 3D 打印需要知道的一些事情。

3、[奇特的厨房发明](https://mp.weixin.qq.com/s/dJgODWSTY3eafPc9BUYuVw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011903.webp)

一位日本收藏家专门收集奇特的厨房发明，其中很多非常巧妙，令人耳目一新，同时也很实用。比如，上图是手持电动洗碗机，既可以洗碗，也可以洗杯子。

4、[Node.js 逐行读取文件的四种方法](https://geshan.com.np/blog/2021/10/nodejs-read-file-line-by-line/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022013101.webp)

本文介绍了四种方法，使用 Node.js 逐行读取文本文件。

5、[如何在 GitHub 上托管 PWA 页面](https://christianheilmann.com/2022/01/13/turning-a-github-page-into-a-progressive-web-app/)（英文）

PWA 指的是离线也能使用的网页应用。本文给出简单的设置步骤，让托管在 GitHub 上面的页面变成 PWA，离线也能使用。

6、[npm audit 命令的作用和缺点](https://overreacted.io/npm-audit-broken-by-design/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012503.webp)

Redux 作者 Dan Abramov 的文章，通俗地解释了 `npm audit` 命令的作用，就是检查每个包的安全漏洞，这部分写得很好。但是他认为该命令作用有限，反而有时像一种骚扰。

7、[我们为什么不选择 Slack 和 Telegram](https://scribe.rip/@jimbk/why-we-chose-telegram-for-team-app-over-slack-and-microsoft-team-and-then-moved-away-from-it-2b87012d2095)（英文）

作者公司的产品要加入团队通信的功能，开始考虑的是集成 Slack 或 Telegram。但是最后都放弃了，改用开源软件 [mesibo](https://mesibo.com/)。本文解释为什么这是更好的选择。

8、[Linux 进程的生与死](https://natanyellin.com/posts/life-and-death-of-a-linux-process/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011811.webp)

本文是一篇科普文章，介绍 Linux 进程是怎么诞生（新建进程）的，又是怎么死亡（进程退出）的。

9、[iPhone 的隐藏触摸板](https://www.cnet.com/tech/mobile/edit-text-easily-on-iphone-with-its-hidden-trackpad-see-how-it-works/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011815.webp)

很多人或许还不知道，只要在 iPhone 的输入法里面，长按空格键，输入法区域就会变成一个触摸板。

## 工具

1、[Datawrapper](https://www.datawrapper.de/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020611.webp)

著名的数据可视化生成工具，只要在网页上提交数据，经过几步配置，就能生成杂志级的可视化图表。不需要注册就可以免费使用。

2、[Photoview](https://github.com/photoview/photoview)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020701.webp)

一个开源 Web 相册程序，Go 语言写的，使用 Docker 安装，可以用来快速架设个人相册。

3、[No-JS fingerprinting](https://noscriptfingerprint.com/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020702.webp)

一个用户指纹生成程序，最大特点是不依赖 JavaScript，即使用户禁止运行 JS 脚本，依然能够得到用户指纹。

4、[双精度浮点数的内部表示法](https://devtool.tech/double-type)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030913.webp)

这个网页工具可以显示64位双精度浮点数的内部二进制表示法，你可以输入一个数值，查看它的浮点数表示。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/2253) 投稿）

5、[BaseMap](https://github.com/bojue/BaseMap)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030905.webp)

一个开源的机房平面图（园区，楼栋，楼层，房间）绘制工具，也可用来生成办公室、工厂、园区的平面图。（[@bojue](https://github.com/ruanyf/weekly/issues/2243) 投稿）

6、[Orange](https://github.com/naaive/orange/blob/master/README_cn.md)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030906.webp)

一个开源的跨平台文件搜索软件，用于搜索本机文件，简单好用。（[@naaive](https://github.com/ruanyf/weekly/issues/2244) 投稿）

7、[程序员做饭指南](https://github.com/LeeJim/HowToCookOnMiniprogram)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030910.webp)

收集各种家常菜的菜谱，这是小程序版，另有 [Web 版](https://github.com/Anduin2017/HowToCook)。（[@LeeJim](https://github.com/ruanyf/weekly/issues/2245) 投稿）

8、[VCSLabel](https://github.com/pxzxj/VCSLabel)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030904.webp)

一款 Intellij IDEA 插件（也可用于WebStorm、PyCharm），显示每个文件的最后提交时间和提交人。（[@pxzxj](https://github.com/ruanyf/weekly/issues/2240) 投稿）

9、[Remind](https://github.com/luvsic3/remind)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030911.webp)

一个简单的网页版思维脑图实现，可以用在自己项目里面。（[@luvsic3](https://github.com/ruanyf/weekly/issues/2247) 投稿）

10、[React Paint](https://github.com/pengfeiw/react-paint)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030912.webp)

使用 React 实现的开源 Windows 画板。（[@pengfeiw](https://github.com/ruanyf/weekly/issues/2250) 投稿）

## 资源

1、[JustWatch](https://www.justwatch.com/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011312.webp)

这个网站可以查询某一部国外的影视作品在哪个平台（Netflix、Disney plus、Apple TV 等等）可以收看。

2、[GNU coreutils 解码](http://www.maizure.org/projects/decoded-gnu-coreutils/index.html)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011202.webp)

Linux 基本的命令行工具（ls、cp、rm 等等）都是 GNU coreutils 工具包提供的，这个网站是对该工具包的详细介绍，逐一分析其中近100个工具的内部实现。

3、[WebSocket 手册](https://ably.com/blog/introducing-the-websocket-handbook)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011206.webp)

一本免费的英文电子书，详细介绍 WebSocket 的概念和用法。

4、[Redis Launchpad](https://launchpad.redis.com/)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021092316.jpg)

Redis 官方的用户展示厅，展示各种使用 Redis 的网络应用，并有用法和架构的讲解。

5、[Illlustrations](https://illlustrations.co/)

![](https://cdn.beekka.com/blogimg/asset/202108/bg2021083110.jpg)

一个艺术家开放自己的100多幅插图作品，免费下载。

6、[寻找完美的 URL 验证正则表达式](https://mathiasbynens.be/demo/url-regex)（英文）

作者测试了12个正则表示式，看谁能最正确地验证 URL。

## 图片

1、[球形住宅](https://unusualplaces.org/bolwoningen-neighborhood-of-spherical-homes/)

1968年，荷兰政府决定资助一个廉价住宅实验，最后选中了“球形住宅”设计。

1980年，球形住宅区在登博斯市动工，最终造出了一个奇特的居民小区，好像外星人建筑。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091901.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091902.jpg)

每栋住宅就是一个水泥的球体，并用玻璃纤维加固，安装在圆柱体的底座上。每个球体的直径为5.5米，每栋建筑共有11个圆窗。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091903.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091904.jpg)

整个小区由50座球形住宅组成。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091905.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091910.jpg)

每栋住宅内部，有一间浴室和一间小卧室，客厅和厨房位于二楼。它的优势是可以完全拆卸，整体运输到其他地方，甚至可以放置在水上。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091907.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091908.jpg)

可以想象，当地人并不喜欢住在这种房子里面。但是，它吸引了很多游客来参观，成为当地的一个景点。游客甚至愿意付费体验一下，住在这种未来派房屋的感觉。

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091909.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091911.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091912.jpg)

![](https://cdn.beekka.com/blogimg/asset/202109/bg2021091913.jpg)

## 文摘

1、[拉里·沃尔特斯的气球飞行](https://en.wikipedia.org/wiki/Lawnchair_Larry_flight)

拉里·沃尔特斯（Larry Walters，1949－1993）是一位美国加州的年轻人。小时候，他经常梦想飞行，但由于视力不佳而无法成为飞行员。

13 岁时，他看到军用品商店里面有气象气球，想到了可以使用气象气球飞行。

成年后，他当上了卡车司机，但是没有放弃飞行梦想，决定尝试一下气球飞行。他一共购买了45个直径2.4米的气象气球，以及氦气罐。

1982年7月2日，他在自家后院的一把普通椅子上，绑了45个充满氦气的气球。然后，穿上降落伞，带着弹丸枪（用于在高空击破气球，从而降落）、收音机、三明治、啤酒和一台相机，坐上了椅子。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120810.webp)

他让朋友剪断系着气球的绳子，就起飞了。气球迅速上升到4,900米的高度，并被两架商业客机发现。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120811.webp)

由于他慢慢接近了机场的飞行通道，塔楼要求他降落。在空中飞行45分钟后，沃尔特斯就用弹丸枪，击破了几个气球，同时小心地保持着平衡。

落地的时候，气球挂在电线杆上，把电线扯断了，导致当地停电20分钟，而他安然无恙地落在了地上。

已经等在那里的警察，立即把他逮捕了，罪名是无证飞行。最后他被罚款4000美元，经过申诉又减少为1,500美元。

沃尔特斯接受采访说：“这是我必须要做的事情。我有这个梦想二十年了。”

10天后，他上了全国直播的电视访谈节目。后来，他还当过励志演说家，并辞去了卡车司机的工作，但他从未因此赚到很多钱。

这次飞行引起了全世界媒体的关注，并激发了艺术家和模仿者的灵感，其中包括迪斯尼的著名电影《飞屋环游记》。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120812.webp)

飞行中使用的椅子，被沃尔特斯送给了一位名叫杰瑞的男孩。二十年后，长大的男孩将这把椅子捐赠给了史密森学会博物馆。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120813.webp)

## 言论

1、

与某些人争论很像在泥泞中与一头猪摔跤；不需要很久，你就会意识到猪喜欢它。

-- [《争论文化》](https://www.kateheddleston.com/blog/argument-cultures-and-unregulated-aggression)

2、

由于难以降解，很多国家正在限制使用塑料。但是在我看来，这可能是塑料的一个优点。

因为塑料的主要成分是碳，难以降解意味着不会产生二氧化碳，所以是一种有效的长期碳储存方法。人类比较好的出路是，使用大气中的二氧化碳制造塑料用品，然后回收集中储存。

-- [《碳、塑料和温室气体》](https://therottenapple.substack.com/p/in-praise-of-plastic)

3、

Deno 其实比 Node.js 更易用。它没有 package.json，并且与浏览器使用同一套 API，原生支持 TypeScript 和 JSX 文件。它还可以让同一套代码，运行在前端和后端。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=29872829)

4、

文字很容易被误解，所以写作时，最好写得友好一点。

-- [《远程工作的三大挑战》](https://typeshare.co/matthewweeks/posts/the-top-3-challenges-of-remote-work-and-how-to-overcome-them)

5、

在我看来，技术公司的高管一旦有50%不是工程师，这家公司慢慢就不再是技术公司了，而向技术控股公司转变。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=29905415)

## 历史上的本周

2021年（第 147 期）：[寻找你愿意忍受的痛苦](https://www.ruanyifeng.com/blog/2021/02/weekly-issue-147.html)

2020年（第 95 期）：[远程办公暴露冗余岗位](https://www.ruanyifeng.com/blog/2020/02/weekly-issue-95.html)

2019年（第 44 期）：[高校“唯论文”导向的后果](https://www.ruanyifeng.com/blog/2019/02/weekly-issue-44.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

