# 科技爱好者周刊（第 202 期）：三个有启发的学习方法

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2309)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040401.webp)

贵州平坝有世界最大的樱花基地，面积超过万亩。今年三月开花期间，满山粉红。（[via](https://fashion.sina.cn/l/ds/2022-03-07/detail-imcwipih5777616.d.html)）

## 本周话题：三个有启发的学习方法

最近看到一些学习方法相关的内容，跟大家分享。

（一）

首先是一个国外开发者的小故事。

他刚入行时，在一家小公司工作。公司只有很少几个工程师，但是每个都很强，了解很多技术，前端、后端、系统维护都能上手。

而且，他们的开发效率极高，别的公司可能花一两个月才能做出的东西，他们几天就能搞出来。不了解内情的客户，很以为他们是一个很大的技术团队，但是其实不到10个人。

有一次，这位开发者跟同事单独相处，忍不住就问了，你们的开发效率怎么这么高？

同事解释说，团队的骨干工程师在一起合作多年了，彼此都很了解。他们以前都为军方的情报部门工作，开发军事软件。

军方的计算机是不能连网的，他们的开发环境完全不能上网，所以干活很痛苦。如果他们想在网上查一些软件资料，必须步行到军营外面的另一栋大楼。因此，上网查资料变成了一项成本很高的操作。

他们被逼无奈，只能仔细通读软件手册，把所有重要的内容都做了笔记，尽量记住。久而久之，上网查资料的次数越来越少，知识积累在脑海里，开发效率就这样提高上去了。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040613.webp)

这个小故事想讲的道理就是，**看似最笨的学习方法——笔记和记忆力——偏偏造就了最高的开发效率。**

现在写笔记的人并不多，愿意背诵的就更少了。网上搜索一下就有答案，为什么还要记录和背诵呢？但是别忘了，只有烂熟于心的东西，你才能真正做到运用自如、手到擒来。

更重要的是，互联网只提供查找知识的能力，不提供处理知识、提取结论的能力。当你需要分析、推理、判断的时候，脑海里记得的东西是最容易想到的。记得越深，就越容易投入应用、与新知识结合在一起。

这里的启示就是，笔记和记忆力远比我们认为的重要得多。它们不仅可以提高使用效率，还有助于将新知识集成进入我们现有的知识储备。

（二）

后面两个学习方法，都跟诺贝尔奖得主、传奇物理学家[理查德·费曼](https://piggsboson.medium.com/5-powerful-study-tips-from-richard-feynman-f7a94dbb35fd)有关。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040403.webp)

大部分物理学家只精通自己的领域，但是费曼几乎涉及所有物理学领域，而且能够很通俗地进行科普，他的讲义《费曼物理学讲座》是物理学入门名著，社会知名度很高。

有一次，别人问费曼，如何才能获得新的科学发现？

费曼说：“如果没有**对旧事物进行大量练习**，你不太可能发现新事物。”

费曼的意思是，新的科学发现都建立在前人研究的基础上，你越熟悉以前的研究，就越可能做出新的发现。

同理，新技术也是建立在旧技术的基础上。如果你想找到新的解法，或者真正掌握一门新技术，首先就应该多了解现有的技术方案。

（三）

那个人又问费曼，你懂那么多物理学知识，你的学习秘诀究竟是什么？

费曼说：“要想多学，就必须能在学习中得到快乐。做到这一点的唯一方法，就是**努力学习你最感兴趣的东西。**”

没有人有足够动力，长期学习自己不喜欢的东西。如果你不喜欢某个领域，就不可能不断投入时间钻研，也就不可能做到精通。

费曼就是在告诉我们，如果可以选择，一定要学习自己喜欢的东西，否则你不仅很可能失败，也许还会抑郁。

## 阿里云的专业技术证书

我遇到过很多在校生，还有一些刚入行的工程师。他们普遍对找工作有所担忧，不太有信心，因为项目经历太少，简历缺乏亮点。

如果真的没有像样的项目经历，**我的建议是，可以试试考证。** IT 行业有很多企业认证，对就业和增长技能有实际的帮助，并且拿得出手，国内和国外都认可。

阿里云证书就是一个比较好的选择，很适合国情，性价比也很高。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040615.webp)

这个证书用来证明你会使用阿里云产品。阿里云的国内市场占有率排名第一，其他大厂的云服务跟它的用法都差不多，因此有了这张证书，就能证明你的云服务开发能力，成为招聘的加分项。

阿里云的认证有很多方向，云计算、大数据、人工智能、物联网、云安全、云原生、企业级互联网架构等等，都是行业紧缺人才。招聘时在同等条件下，使用阿里云的企业，以及阿里云生态合作伙伴，通常都会优先录用拥有 ACP 认证的个人。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040617.webp)

那么，如何才能获得这个证书呢？

如果在阿里云官网报名，考试费是1200元，再购买官方的配套课程是900元。现在正好有一个机会，作为阿里云的战略合作伙伴，开课吧推出了 **“阿里云考证服务”**，只需要支付阿里云 ACP 考试的报名费（1200元），就会获赠配套课程。

并且，他们还提供考试模拟题库 + ACP 考前能力测试 + 实战项目能力测评 + 考前每日刷题社群。其中，实战项目测评是开课吧特别打造的，让同学们自己动手做一个项目，让大家在考证之外，还能增长实战经验。

如果考试没有通过，他们承诺，**一年内还可以免费补考一次。** 这是其他地方没有的待遇，确保大家可以拿到证书。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040616.webp)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040618.webp)

微信扫描上方二维码，或者访问[这个链接](https://wx.kaikeba.com/xiaoke/market/landing-page/v2/cKMyQS7VI4G4BfTUrCw?kol_ad_code=SJ40SbGB3rHH7uElahE)，免费咨询考试信息，并领取免费公开课，了解考试详情。

报名后，不要忘了添加课程顾问，获取观看公开课的网址。添加人数比较多，请大家耐心等待。

## 科技动态

1、[可拆卸口罩](https://www.odditycentral.com/news/kosk-south-koreas-controversial-nose-only-face-mask.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020503.webp)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020504.webp)

一家韩国公司发明了可拆卸口罩。这种口罩分成两部分，下半部分可以取下，露出嘴巴，但是鼻子依然被遮住。根据这家公司解释，这样既方便在餐厅吃饭，又能提供一定的保护，吃完以后再把下半部分戴上。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020505.webp)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020506.webp)

这样的设计有没有意义，在韩国引起了争论。有些人认为，这完全是商业噱头，根本没有意义；另一些人认为，鼻子是新冠病毒进入人体的主要途径，遮住鼻子总比不遮要好。

2、[汽车的远程拍照](https://finance.sina.com.cn/tech/2022-04-01/doc-imcwipii1900316.shtml)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040207.webp)

比亚迪和东风日产汽车，最近停用了车辆的远程拍照功能。根据2021年10月施行的《汽车数据安全管理若干规定（试行）》，汽车拍摄的车外视频、图像，如需向车外提供，应对人脸、车牌信息进行匿名化处理。现有的车载摄像头，大部分都不满足该规定。

但是老实说，这种规定的实际意义不大。就算车辆本身不提供远程拍照，车主完全可以自己实现，安装一个摄像头或行车记录仪就可以了，唯一的区别是厂家就没有法律责任了。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040208.webp)

3、[硬化木材](https://www.cbc.ca/radio/quirks/oct-23-vikings-in-newfoundland-new-rocks-from-the-moon-making-wood-better-and-more-1.6219865/scientists-have-found-a-way-to-harden-wood-to-make-a-knife-that-rivals-steel-1.6219874)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020811.webp)

美国马里兰大学发明了一种硬化木材工艺，可以让木材变得像钢材一样坚硬。他们已经用这种工艺制造了可与钢材相媲美的木刀、钉子等物品。 

科学家用这种木刀切牛肉，发现它比普通的不锈钢餐桌刀锋利三倍。甚至当它变钝时，还可以磨刀。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020812.webp)

这种工艺的核心是压缩木材内部的纤维素，使其变得紧密并去除水分，厚度减少到原始天然木材的20%左右。

4、[元宇宙招聘会](https://www.venu3d.com/hirect.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020711.webp)

一家美国软件公司举办了虚拟招聘会。雇主和求职者在约定的时间，戴上 VR 头盔，进入这家公司开设的虚拟会场。

软件里面就是一个模拟现实的人才招聘会，双方以虚拟分身的形式见面，还可以坐下来细谈。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020712.webp)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020713.webp)

该软件可以容纳大量用户同时进入，面试者在同一个会场，可以先后面试多家企业，企业也可以与多名候选人交谈。

5、[人工智能作画](https://openai.com/dall-e-2/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040701.webp)

著名人工智能公司 OpenAI 发布了自动绘画软件 DALL·E 2代，将人工智能作画的水平提升到了惊人的高度。

它可以根据文字描述，生成逼真的图片，比以前任何实现的效果都好，上图就是“骑马的宇航员”的生成结果。它还可以对现有图片进行修改，下图是“在3号位置添加两只火烈鸟”。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040702.webp)

最惊人的地方就是，它生成的图片细节丰富，分辨率高，很像人工作品，未来一定有广阔的应用空间。下图是“日出时，一只狐狸在田野里，采用莫奈风格”。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040703.webp)

## 文章

1、[从财报看华为2022年的现状](https://weibo.com/ttarticle/p/show?id=2309404754845360849115)（中文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040612.webp)

华为最近公布了2021年的财报，收入比去年下滑28.6%，但是利润增长75.9%。作者从财报分析华为的现状，以及将来的发展思路。

2、[了解字体的基础知识](https://sspai.com/post/71957)（中文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040405.webp)

设计师入门系列，介绍英文字体的基础知识，帮你认识各种字体名词。

3、[为什么国行 iPhone 不支持 5G 毫米波](http://www.xinhuanet.com/tech/2020-11/04/c_1126695031.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032413.webp)

一篇两年前的文章，写得挺好，通俗解释了 5G 通信的毫米波频率（24.25GHz—52.6GHz）和 Sub-6GHz 频率（450MHz—6GHz）的差异。

4、[毫米波雷达的巨大意义](https://www.joshhorne.com/mmwave-radar-and-ambient-computing/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020305.webp)

毫米波 60Ghz 是一个公共频率，就像 Wifi 的2.4Ghz 和 5Ghz 那样，可以自由使用。这个频率的波长短，导致穿透性差，但是它的带宽大，可以传送大量信息，适合当作近距离雷达使用，比如隔空感知手势（下图），有着巨大的应用前景。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020304.webp)

5、[Netflix 的发展之路](https://www.aakashg.com/2022/01/18/netflix-experimentation/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020311.webp)

本文总结了 Netflix 这家公司从1997年成立到2021年，每一年做出的各种尝试和改变，可以当作编年史来读。

6、[如何在 GitHub 伪造他人的代码](https://www.solidot.org/story?sid=70565)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020502.webp)

GitHub 有一个 bug，你可以在他人的仓库里面，显示他没有写过的代码。比如，Linux 内核仓库[显示](https://github.com/torvalds/linux/blob/ac632c504d0b881d7cfb44e3fdde3ec30eb548d9/Makefile#L6) Linus Torvalds 写过`I am Satoshi`（上图），其实他没有写过这一行。

7、[为什么圆角受欢迎](https://uxdesign.cc/why-do-we-round-corners-5145a90da6ed)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021501.webp)

本文解释了在产品设计中，圆角比直角受欢迎的几个原因。比如，圆角更容易引导视线，直角要求视线突然改变方向（上图）。

8、[浏览器的文件访问 API 入门](https://css-tricks.com/getting-started-with-the-file-system-access-api/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021502.webp)

浏览器现在提供了文件访问 API（File System Access API），允许网页 JS 脚本读写本地文件，本文是一个详细的介绍。另外，也可以参考 Webkit 官网对这个 API 的[介绍](https://webkit.org/blog/12257/the-file-system-access-api-with-origin-private-file-system/)。

## 工具

1、[Everything](https://www.voidtools.com/zh-cn/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020604.webp)

著名的 Windows 免费桌面软件，根据文件名，快速查找文件。

2、[SimpleLogin](https://simplelogin.io/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030501.webp)

一个开源的邮箱别名服务，提供真实邮箱的别名，可以接收和回复邮件，所有邮件都会转到你的真实邮箱。它的免费版允许15个别名，但是代码开源，可以自托管。

3、[Pkg](https://github.com/vercel/pkg)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030502.webp)

这个工具可以将 Node.js 应用打包成单个可执行文件，没有安装 Node.js 也能执行。

4、[Duck DNS](https://www.duckdns.org/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030503.webp)

一个免费的动态域名服务，允许用户注册 duckdns.org 的子域名，并且随时更新所指向的 IP 地址。

5、[OpenSearch](https://opensearch.org/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030701.webp)

亚马逊分叉的 Elasticsearch 分支，采用更开放的 Apache 许可证。

6、[Thredded](https://thredded.org/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030703.webp)

一个基于 Ruby on Rails 的论坛程序，看上去还不错，简洁明了。

7、[shot-scraper](https://simonwillison.net/2022/Mar/10/shot-scraper/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031002.webp)

一个 Python 写的网页截屏生成库，可以自己编写脚本，灵活性很高，比如在截屏中自动添加上图的箭头。

8、[Crontask](https://crontask.io/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031013.webp)

这个服务可以在他家的服务器上，定时运行 Python 和 Node.js 脚本，就像 Crontab 一样。不过是收费的，好在价格便宜，十几元人民币可以运行10000次。

9、[BeeWare](https://beeware.org/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020703.webp)

一个 Python 跨平台图形框架，号称只要写一次代码，就能编译出 iOS、Android、Windows、macOS、Linux、Web 等各种平台的图形界面应用程序。 

## 活动

1、[冰雪盛会的技术保障](https://live.juejin.cn/4354/bingxueshenghui?source=3)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040206.webp)

2022年北京的冰雪盛会已经过去，这次不仅是体育盛会，也是高科技盛会，涉及人工智能、8K + 360 直播、网络安全、协同办公等各方面应用。

明天下午（4月9日星期六）的稀土掘金技术沙龙，邀请参与盛会的大厂技术专家，直播聊聊大会的技术实现。现在就可以报名预约，主办单位和嘉宾提供了很多纪念品，参与直播即可抽奖。

## 资源

1、[免费编程书籍](https://ebookfoundation.github.io/free-programming-books/books/free-programming-books-langs.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021901.webp)

这是著名仓库 free-programming-books 的一个书单分类，列出各门语言的免费书籍。

2、[EmacsTalk](https://emacstalk.github.io/)

一档专注在 Emacs 社区的中文播客，已经发布十二期。最新一期邀请到了前 Deepin CTO 王勇。（[@jiacai2050](https://github.com/ruanyf/weekly/issues/2320) 投稿）

3、[2021年度错觉视频比赛](http://illusionoftheyear.com/cat/top-10-finalists/2021/)

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=b33166cnbsi" allowFullScreen="true" width="600" height="400"></iframe>

这个比赛专门评选引起错觉的视频，这里是2021年度的10个优胜者。上面视频为什么镜子里多了一个白皇后？

下面视频是静态时是一个个白点，动态却变成了一座星光城市，很奇妙。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=k33169m1ziz" allowFullScreen="true" width="600" height="400"></iframe>

4、[OAuth 指南](https://fusionauth.io/learn/expert-advice/oauth/modern-guide-to-oauth/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010202.webp)

一篇非常详尽的 OAuth 身份验证的英文指南，各种模式和参数都介绍了。

5、 [ImageMagick 脚本](http://www.fmwconcepts.com/imagemagick/index.php)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021903.webp)

这个网站将图像处理工具 ImageMagick 的常用操作，封装成脚本，方便下载使用，一共有200多个脚本。

## 图片

1、[汽车改摩托车](https://historygarage.com/emile-leray-survived-the-desert-by-building-a-motorcycle-from-his-broken-car/)

1993年，法国青年 Emile Leray，一个人开着一辆雪特龙小轿车，进入北非国家摩洛哥的腹地旅行。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010402.webp)

有一段路要经过撒哈拉沙漠，正好在修路。他就决定绕过该路段，越野开一段。

但是，开到一半，车在沙漠里面抛锚了。经过检查，车轴坏了。这个地方不可能找到零件，也不会有人路过。如果徒步求救，要走好几天，他的食物支持不了那么久。

他做了一个大胆的决定，现场把小轿车改装成了摩托车。还真的改装成功，并且驶出了沙漠。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010403.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010404.webp)

徒手将汽车改成摩托车，成了当年的一个传奇。除了电影情节，从前没人这么干过，以后也没有。后来，Emile Leray 一直保留着那辆改装摩托车。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010405.webp)

## 文摘

1、[外星人的棍子](http://www.spronck.net/sloot.html)

一个外星人来到地球，希望把地球所有书籍里面的知识带回家。

但是，他的飞船太小了，除了他之外，只能再携带一根小棍子。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040712.webp)

怎么才能把海量的书籍，装进飞船呢？外星人想出了一个聪明的办法。

他将每本书都数字化，转变成一个巨大的但有限的数字。然后，再把所有这些数字连起来，结果就是一个更巨大的但仍然是有限的数字。他在这个数字前面加上“0.”，将它变成大于0但小于1的一个小数。

接着，他将棍子的长度设为 1，在棍子上精确地切割了一刀，使得剩下的部分正好对应这个小数的长度。

当他回到自己的星球时，只需要测量切割的位置，就可以得到这个数字，从而将知识还原出来。

乍一看，他想出了一个天才的方法，但实际上，这种信息压缩当然是不可能实现的。

## 言论

1、

贝佐斯最近预测，未来的人类将生活在太空中，地球将成为一个度假胜地，就像一个国家公园。

这种预测本身很幼稚。但是，它的作用在于提供了一个未来的愿景，仿佛救生筏，当人们对现实世界感到厌倦和不满时，这一类太空旅行、加密货币社会、云中数字生活等等空洞的承诺，就可能成为人们唯一关注的事情被转发。

-- [《关于 TED 演讲的一点思考》](https://www.thedriftmag.com/what-was-the-ted-talk/)

2、

航空业使用的技术都很老，原因是为了保证安全，整个行业有极其严格的监管。设备和技术的更新，必须获得监管部门的批准，需要等待大量时间，投入大量资金。

-- [《航空业与 5G 的冲突》](https://fallows.substack.com/p/the-5g-airline-controversy-what-is)

3、

计算机使用能量进行计算，那么能不能反过来，使用计算来储存能量？ 

这是可以做到的，让信息变成电池。电力便宜时提前执行某些耗时的计算，并将结果缓存；电力昂贵时，再使用这些计算结果。

-- [《错时计算节省机房成本》](https://arstechnica.com/science/2022/02/time-shifted-computing-could-slash-data-center-energy-costs-by-up-to-30/)

4、

元宇宙并不遥远。美国人每天醒着的时间，有七个小时在看屏幕。对于他们来说，现实世界还有多少是无法放弃的？

-- [《当停滞的现实变为虚拟时》](https://palladiummag.com/2022/01/21/when-the-stagnation-goes-virtual/)

5、

在专业网球比赛中，大约80%的分数是赢得的；在业余网球比赛中，大约80%的分数是对手失误丢失的。

专业选手依靠比对手更强大，赢得比赛。业余选手几乎完全不同，依靠比对手更少的失误赢得比赛。

-- [《初级开发者和高级开发者的区别》](https://itnext.io/the-difference-between-junior-developers-and-senior-developers-c1d5841b7289)

## 历史上的本周

2021年（第 151 期）：[NFT 是什么，听说能赚钱](https://www.ruanyifeng.com/blog/2021/03/weekly-issue-151.html)

2020年（第 99 期）：[疫情导致的研究生扩招](https://www.ruanyifeng.com/blog/2020/03/weekly-issue-99.html)

2019年（第 48 期）：[著名程序员 Bill Joy 的人生启示](https://www.ruanyifeng.com/blog/2019/03/weekly-issue-48.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)
 
（完）
