# 科技爱好者周刊（第 205 期）：互联网风口过去了吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2356)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050410.webp)

美国毅力号火星漫游车拍到的“火星日食”照片，只见火卫一掠过太阳表面。火卫一比月球小157倍，因此日食比地球上短得多，只持续了40多秒。（[via](https://kottke.org/22/04/nasas-perseverance-rover-sees-solar-eclipse-on-mars)）

## 本周话题：互联网风口过去了吗？

疫情前，有人[问](https://news.iresearch.cn/content/201901/281567.shtml)马云，怎么看待互联网风口。马云说，风口来了猪都会飞，但风过去后摔死的一定都是猪。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050101.webp)

过去一年，堪称互联网行业的寒冬。国内大厂普遍都在收缩业务，裁减人员。股票也是大跌，就连腾讯、阿里的股价也没有逃脱腰斩。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050102.webp)

很多人在问，互联网风口过去了吗？猪要摔死了吗？我谈谈自己的想法。

首先要看到，这不是中国独有的现象，国外互联网公司日子也不好过。流媒体平台 [Netflix](https://www.visualcapitalist.com/why-investors-tuned-out-netflix/) 和[脸书](https://www.stcn.com/stock/djjd/202202/t20220209_4137613.html)的股价，最近都是暴跌。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050411.webp)

原因是这两家公司的用户数量，历史上第一次，没有任何增加，甚至还有小幅下降。

这才是现在的最大难题：**互联网用户的数量可能到头了**。

以智能手机为例，它是最重要的上网设备，但是销量不断下滑，2022年第一季度全世界同比[下滑了11%](https://wallstreetcn.com/articles/3657510)，中国大陆[下滑了14.4%](https://finance.sina.com.cn/stock/hkstock/hkstocknews/2022-04-25/doc-imcwiwst3914832.shtml)。这说明互联网可能没有新增用户了。

所以，总体上来看，互联网的爆发期确实是过去了。但是，也不能因此断定就没有风口了。因为互联网的范围太广泛，至少可以分成三个行业，各自情况非常不同。

>（1）<ins>消费互联网</ins>：争夺消费者的时间和金钱，电商、直播都属于这一类。这个行业已经告别了增量时代，进入存量时代。
>
>（2）<ins>企业互联网</ins>：为企业服务，公有云和 SaaS 工具属于这一类。据我所知，它们过去一年都活得很不错。就算宏观经济不好，如果云服务可以帮企业省钱，企业还是愿意买的。
>
>（3）<ins>产业互联网</ins>：针对某个垂直产业的互联网应用，比如华为去年成立五大军团（煤矿军团、港口军团、光伏军团、公路军团等），就属于这一类。

综合分析上面三个互联网行业，我认为，消费互联网目前遇到了瓶颈，用户的总数到头了，但是单个用户的消费金额还是会增长，所以最多就是行业增长速度变慢了、竞争更激烈了，向上的趋势并没有改变。后面如果元宇宙有突破，依然是一个风口。

至于企业互联网和产业互联网，才刚刚起步，根本不存在用户饱和，非常看好，风口不仅没有过去，可能才刚刚起风。

所以，大家还是应该坚定信心，**互联网依然大有可为**。没有其他技术像它一样，再小的产品也能面向全世界用户，边际成本几乎为零。如果它不行了，其他行业恐怕更不行了。

## 计算机双翼能力专场讲座

很多同学现在都是多手准备，既准备面试就业，也准备考研考公务员，尽量多一些出路。有些在职人士遇到职场瓶颈，也是这种打算。

本周课程就是为此而设计的，把考研准备和技术提升放到了一起。讲解如何准备考研的同时，穿插了编程技能培训，课程名称就叫做 **《计算机硕士学历 + 硬核技术 双翼提升训练营》**。

整个训练营分成四天直播课（含录播内容），包括学历提升和技术提升两个部分。**技术提升部分**设置了四个专场讲座，都是目前招聘需求最大的几个方向，你可以根据自己的情况，选听一门。

> <ins>第一门：人工智能 AI 专场</ins>。大厂算法岗招聘需求拆解，算法工程师的技能树。
> 
> <ins>第二门：Java 专场</ins>。Java 语言历史与现状，Java 程序员生存指南。
> 
> <ins>第三场：Web 前端专场</ins>。面试渠道和技巧分享，简历硬伤分析，前端进阶路线。
> 
> <ins>第四场：算法研发 CS 专场</ins>。CS 研发工程师能力模型，研发浪潮现状分析。

主讲老师都是各自领域的技术专家，结合行业发展趋势，剖析大厂相关岗位能力模型，介绍大厂筛选简历套路、面试拿 OFFER 技巧，让你的求职之路更畅通。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042601.webp)

**学历提升部分**，由前新东方优秀讲师刘硕、前阿里技术专家李超等领衔授课，详细讲解计算机考研招生流程和最新政策，分析报考趋势，以及公共课、专业课成绩提升技巧。

同时会配合开课吧自主研发的 AI 系统，根据历年数据（报考人数、分数线等），进行科学估分和排位，为你制定专属备考方案，精准择校择专业。

整个课程还有下面的特点：（1）讲解通俗易懂，照顾转行的在职人士，目标是让零基础的人也理解该怎么做、怎么学；（2）导师以多年实战经验总结，运用科学记忆法引导，帮你消化疑难知识点；（3）讲师、助教、班主任三位一体跟踪式服务，全程为你答疑解惑。

周刊读者可以不用花钱，<ins>零元报名</ins>。如果你还不确定，到底是就业还是考研，或对考试难度、考哪个方向、是否脱产等问题有疑惑，不妨到时直接咨询讲师，或许就会豁然开朗。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050524.webp)

微信扫描上方二维码，了解课程详情并报名。报名后，添加老师微信，领取课程和以下的**到课福利**。

> - AI 学习路径资料
> - Java 应聘简历范例 + 面试百题
> - 前端应聘简历范例
> - 百度内部面试评估表

## 科技动态

1、[隐身镜](https://www.odditycentral.com/news/uk-based-company-creates-functional-invisibility-shields.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032408.webp)

神话传说中经常有隐身衣，现在一家英国公司发明了隐身镜，只要躲在镜子后面就能隐身。

它的原理很简单，就是一组透镜，但是可以让投射的光线偏离镜子背后的人，好像拐弯一样，落在更远的地方，导致背后的人就隐身了。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032409.webp)

这种镜子完全依赖光学，不需要电源，使用树脂制作，厚度5厘米，重4公斤，便携性也不错。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032410.webp)

2、[动物讣告](https://mp.weixin.qq.com/s/qJsdUemQMwfQoYaQ1Qxjwg)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042707.webp)

南京红山森林动物园的一只獐子突发疾病去世，饲养员非常难过。经过领导同意，写了一张100字的讣告，概括了这只小獐子的一生，挂在笼子上告知游客。

> “獐子紫金（雄性）于2020年9月16日早上发现精神不振，不愿活动及采食，在工作人员对其检查救治中途离世（9:40左右）。紫金性格友善，沉稳，带头吃饭，是群中首领般的存在。我们很怀念它。感谢它陪伴我们的时光。R.I.P.”

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042708.webp)

这张讣告后来被传上了网，引起了一些小小的惊叹。以往，动物园的普通动物死亡，往往是隐形的、无声的，没有人会注意到。但是现在大家都知道了，这个动物园曾经生活过一只值得怀念的獐子。

3、[火箭回收](https://www.bbc.com/news/science-environment-61307512)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050405.webp)

美国的创业公司火箭实验室，本周完成了一项史无前例的实验，使用直升飞机回收火箭助推器。

此前，只有 SpaceX 公司回收过助推器，方案是让它自动降落到海中平台。火箭实验室的方案更简单，助推器下落时打开降落伞，直升飞机抓住降落伞即可（下图）。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050403.webp)

这样的技术难度低，有利于降低火箭发射成本。以后，火箭发射势必更加便宜和容易。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050404.webp)

4、[远程充电](https://newatlas.com/energy/us-navy-beams-1-6-kw-power-kilometer-microwaves/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042401.webp)

无线充电可以相隔多少距离？上个月，美国海军做了一个实验，相隔一公里进行无线充电，成功建立了1.6千瓦的能量传输。上图是微波发射器，下图是接收端的铁塔和整流天线。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042402.webp)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042403.webp)

它的原理很简单。发射端将电能转换成微波，当微波撞击接收端的整流天线时，就会产生直流电流。这次实验采用了 10GHz 的微波，这个频率不受雨水的影响，对鸟类、动物和人也是安全的。

该技术短期内不太可能投入日常使用，美国军方的目的是，将其用于为前方部队输送电力，从而减少燃料运输。

5、[传染性疫苗](https://www.iflscience.com/health-and-medicine/scientists-are-working-on-contagious-vaccines/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032801.webp)

病毒具有传染性，疫苗为什么不可以呢？美国爱达荷大学的一个团队正在研究传染性疫苗，这种疫苗可以传染给其他人，让被传染者获得免疫力。

该方法虽然可以快速达到群体免疫，但是有一定的风险，因为这种疫苗必然含有弱化病毒，存在病毒变异和激活的可能。如果能够保证安全性，它将很有前途。

## 文章

1、[如何使用 CSS 偷取用户信息](https://scotthelme.co.uk/can-you-get-pwned-with-css/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030306.webp)

本文介绍了几种只使用 CSS 获取用户信息（比如密码）的方法，以及对策。

2、[不需要 JavaScript 的5件事](https://lexoral.com/blog/you-dont-need-js/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030307.webp)

有一些网页互动，并不需要用 JavaScript 实现，本文介绍了5种这样的情况，比如折叠显示。

3、[如何了解用户的访问历史](https://varun.ch/history)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030702.webp)

浏览器不允许 JS 脚本获取用户的访问历史，作者想出了一个很聪明的方法，让用户自己确认是否访问过某个网站。文章只给出了思路，大家要看这个页面的源码。

4、[如何用 esbuild 替换 Create React App 中的 Webpack](https://devtails.xyz/how-to-replace-webpack-in-create-react-app-with-esbuild)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030801.webp)

Create React App 是 React 的官方工具，它的默认打包器是 Webpack，本文介绍如何将报告器更换为速度更快的 esbuild，把打包时间减少为原来的1%（6秒到60毫秒）。

5、[Mac 电脑的开发环境搭建指南（2022版）](https://www.robinwieruch.de/mac-setup-web-development/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022701.webp)

作者买了一部最新的 MacBook Pro，详细记录了搭建 Web 开发环境的所有步骤。

6、[无聊猿游艇俱乐部是什么](https://www.newbiescrypto.com/p/bored-ape-yacht-club-part-1)（英文）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050501.webp)

无聊猿原来只是几个朋友组成的兴趣团队，现在据说估值50亿美元，而且发生在一年之内。这篇文章解释了这是怎么回事，他们的 NFT 怎么发展成为一个会员俱乐部。

7、[银行支付系统的简单解释](https://gendal.me/2013/11/24/a-simple-explanation-of-how-money-moves-around-the-banking-system/)（英文）

本文通俗解释了银行转账是怎么回事，从 A 银行向 B 银行汇款是怎么实现的。内容写得不错，但是没有金融基础的同学，本文可能不好懂，需要耐心看。

8、[如何使用 GDB 调试 C 程序](https://felix-knorr.net/posts/2022-02-27-direct-gdb.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030308.webp)

本文是一篇入门教程，教你如何使用 GDB 调试 C 语言程序。

9、[使用 GitHub Actions 获得短信通知](https://ben.balter.com/2021/12/15/github-actions-website-api-change-notification/)（英文）

本文演示如何使用 GitHub Actions 监控服务状态，出现变化时，自动发短信到手机。

## 工具

1、[Noto emoji](https://developers.googleblog.com/2022/04/what-is-black-and-white-and-read-all.html)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050103.webp)

谷歌推出的一款单色的 Emoji 表情字体，共有3000多个符号，优点是体积小。如果希望表情符号在各平台都是同一个样子，可以用它。

2、[Fengari](https://fengari.io/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022202.webp)

浏览器的 Lua 虚拟机，可以让网页执行 Lua 语言脚本。

3、[Flmngr](https://index.php.flmngr.com/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022301.webp)

这个项目就是单个 index.php 文件，只要把该文件放在图片目录之中，就能作为图库访问。

4、[Spacedrive](https://www.spacedrive.app/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050518.webp)

跨平台的文件浏览器，可以挂载云盘，统一操作。（[@willshion](https://github.com/ruanyf/weekly/issues/2349) 投稿）

5、[bilibili2local](https://github.com/sansui-orz/bilibili2local)

bilibili 视频命令行下载工具。（[@sansui-orz](https://github.com/ruanyf/weekly/issues/2344) 投稿）

6、[GitHubX](https://github.com/riskers/github-plus-extension)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050516.webp)

一个浏览器插件，用来对你在 GitHub 上打星的项目，进行分类管理，因为 GitHub 官方不提供自定义分类，很难找某个收藏的项目。（[@riskers](https://github.com/ruanyf/weekly/issues/2347) 投稿）

7、[bookmark.style](https://www.bookmark.style/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050519.webp)

一个开源工具，可以将任意链接转换生成可分享的图片。（[@xiaoluoboding](https://github.com/ruanyf/weekly/issues/2354) 投稿）

8、[xfrpc](https://github.com/liudf0716/xfrpc)

frp 项目的 C 语言客户端，主要用于基于 Openwrt 的路由器上，进行内网穿透。（[@liudf0716](https://github.com/ruanyf/weekly/issues/2353) 投稿）

9、[CTFever 工具套件](https://ctfever.uniiem.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050522.webp)

为 CTF 黑客比赛参加者准备的常用工具套件。（[@HoshinoSuzumi](https://github.com/ruanyf/weekly/issues/2357) 投稿）

10、[Assembler Simulator](https://github.com/exuanbo/assembler-simulator)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050523.webp)

一个网页应用，提供了8位 CPU 模拟器，可以用来学习 x86 架构的原理。（[@exuanbo](https://github.com/ruanyf/weekly/issues/2358) 投稿）

## 资源

1、[计算机网络](https://gaia.cs.umass.edu/kurose_ross/wireshark.php)（Computer Networking: A Top-Down Approach）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030206.webp)

一本免费下载的英文教材，使用  Wireshark 软件讲授计算机网络。

2、[动画云图](https://earth2day.com/TheWall/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010903.webp)

该网站把气象云图的变化，以动画形式表现出来，并且可以按各个国家查看。

3、[前端工程化三十八讲](https://q.shanyue.tech/engineering/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050517.webp)

网友原创的前端工程化的三十八篇短文章，每篇大概五百字左右，涵盖了开发、打包、运维等众多内容。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/2348) 投稿）

4、[Iconoir](https://iconoir.com/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011001.webp)

开源的 SVG 图标搜索引擎，目前有1000多个图标。

5、[深度学习面试题合集](https://github.com/BoltzmannEntropy/interviews.ai)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011106.webp)

这是一本英文的正式出版物，收集了几百道深度学习面试题，每一道题都有解答。作者提供此书 PDF 文件的免费下载。

## 图片

1、[2021 MacBook Pro 拆解](https://www.ifixit.com/News/54122/macbook-pro-2021-teardown)

2021款 MacBook Pro 是第一款装备了 M1 Pro 芯片的苹果笔记本。

著名的 ifixit 网站拆解了这台电脑，发现它的主板相当美观，采用对称设计，CPU 位于主板中央。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011319.webp)

上图中，红框是 M1 Pro 芯片，黄框是三星 8GB 内存（共两块），绿框是铠侠的 128GB 闪存（共两块）。

下面是芯片的近景。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011320.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011321.webp)

2、[Java.com](https://java.com/en/)

Java 语言的官网主页，十五年来几乎没有变化。这在商业网站里面相当罕见，堪称一绝。

下图是[2008年12月16日](https://web.archive.org/web/20081216003508/http://www.java.com/en/)的样子。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022043005.webp)

下图是上周2022年4月30日的样子。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022043006.webp)

## 文摘

1、[俄克拉何马城音爆实验](https://en.wikipedia.org/wiki/Oklahoma_City_sonic_boom_tests)

超音速飞行会产生震耳欲聋的噪音，这称为“音爆”。

上世纪60年代，美国航空管理局 FAA 想知道民用超音速飞行是否可行，就在俄克拉何马城做一个实验，测试居民对音爆的忍耐程度。

俄克拉何马城之所以被选中，因为当地的经济依赖航空业，并且有一个大型的空军基地，居民对这类实验比较宽容。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010507.webp)

1964年2月3日早上七点，音爆实验开始。美国空军每天在城市上空，进行8次超音速飞行。

一开始，居民们还比较容易忍受。但是，很多人发现，音爆使得他们无法午休了。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050521.webp)

实验连续进行了三个月之后，该市最高的两座建筑，共有147扇窗户被震破。居民们开始要求停止实验了。

当年7月30日，实验进行了六个月之后，终于停止。截止此时，共有9,594起建筑物损坏投诉，主要是震碎了玻璃和石膏。

一位居民感叹：“整整六个月，我们都在接受音爆的惩罚。”

一份事后的调查报告称，73%的受访者表示可以在每天八次音爆的情况下无限期地生活，25%的人表示他们不能接无限期的音爆。大约3%的人表示严重抗议，俄克拉何马城有50万人口，3%代表了大约1万5000人受到严重影响。

最终结果就是，美国再也没有推动民用的超音速飞行。

## KK 70 岁感言

上周4月28日是《失控》的作者凯文·凯利老师（Kevin Kelly）的70大寿。

最近三年的生日，他都要给年轻人写一些建议，今年写了[103条](https://kk.org/thetechnium/103-bits-of-advice-i-wish-i-had-known/
)，下面选出几条。（[@ddiiiik](https://github.com/ruanyf/weekly/issues/2355) 投稿）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050520.webp)

1、永远不要为你不想成为的人工作。

2、不要犯同样的错误，尝试犯新的错误。

3、效率被高估了，休息被严重低估了。没有良好的休息，不可能有高效率。

4、不要追求更好的方法来尽快完成任务，而要追求更好的任务，让你做得不想停下来。

5、没有“准时”这回事，你要么迟到，要么早到。

6、回答“我要做什么？”，需要先回答“我要成为谁？”。

## 历史上的本周

2021年（第 157 期）：[KK 给年轻人的建议](https://www.ruanyifeng.com/blog/2021/05/weekly-issue-157.html)

2020年（第 106 期）：[数字游民](https://www.ruanyifeng.com/blog/2020/05/weekly-issue-106.html)

2019年（第 54 期）：[可扩展性最好的活动](https://www.ruanyifeng.com/blog/2019/05/weekly-issue-54.html)

2018年（第 3 期）：[周刊的风格](https://www.ruanyifeng.com/blog/2018/05/weekly-issue-3.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

