# 科技爱好者周刊（第 207 期）：汽车行业的顶峰可能过去了

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2356)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051601.webp)

5月15日凌晨，中国科学院在珠峰地区放飞“极目一号”浮空艇，了解高空大气状况。它最高到达9032米，超过了珠峰。（[via](http://cn.chinadaily.com.cn/a/202205/15/WS6280af02a3101c3ee7ad553a.html)）

## 本周话题：汽车行业的顶峰可能过去了

4月份的时候，小鹏汽车的董事长[何小鹏](https://finance.sina.cn/2022-04-14/detail-imcwipii4318205.d.html)说，如果上海和周边的供应链企业一直无法复工，五月份可能中国所有的整车厂都要停工停产了。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051613.webp)

现在已经快要5月底了，上海还没有恢复常态，中国汽车业今年大概很困难了。我看到的[最新统计](https://mp.weixin.qq.com/s/MWe8HHmjaD3jEPAB7SOIuA)是，四月份的中国汽车总产量和总销量，比去年同月接近腰斩。

虽然这是疫情造成的，但我觉得，就算疫情过去了，汽车行业恐怕也不会走向繁荣，**行业顶峰可能已经过去了。**

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051614.webp)

大家猜猜看，中国汽车销售最多的是哪一年？

答案是五年前的2017年，当年总共销售了近2900万辆，以后再也没有超过这个数字。2020年下降到2531万辆，去年2021年有所反弹，达到2627万辆。

中国经济一直在增长，为什么[汽车销量](https://m.21jingji.com/article/20220112/herald/1accb64f68d2d8a44bfe7008ab41707b.html)不增长了，2900万辆可能就到顶了？

参考西方国家的情况，汽车销量都是到了一定阶段后，就无法再增长了。[美国](https://www.statista.com/statistics/199983/us-vehicle-sales-since-1951/)在2000年销售了1700万辆汽车，以后就停滞不前了，去年的销量不到1500万辆。

而且，所有西方发达国家（美国、澳大利亚、比利时、德国、意大利、日本、新西兰等等）有[两个重要指标](https://bigthink.com/the-present/peak-car/)——每辆车每年的行驶里程数，以及人均每年开车出行距离——从2004年后都在不断下降。

这说明，**汽车拥有量达到一定程度以后，人们就不再增加汽车消费了。** 我觉得，中国很可能已经到了这个阶段。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051809.webp)

为什么人们最终会减少汽车消费？

<ins>首先，汽车是一种不划算、不环保的消费品。</ins>买来以后，大多数时间停着不用；使用时占一大块道路面积，乘客往往只有一个人；每年还有高额的折旧、停车、保险、维护费用。

<ins>其次，长时间开车的体验一点都不好。</ins>连续几个小时，封闭在一个狭小的金属空间里面，不能站立和走动。精神必须高度集中，防止突发情况。

<ins>最后，互联网减少了交通需求。</ins>交流和办公都可以网上解决，需要当面完成的事情越来越少。

由于以上几点，一旦有更便宜、更轻松的选择，人们就会放弃购买汽车。最近十年，公共交通、网约车、线上租车都在大发展，所以汽车销量的下滑几乎是必然的。

电动车的出现，也不会改变这种趋势，因为上面几点理由依然成立。所以，我不看好汽车这个行业，我认为，不管是传统车企，还是以特斯拉为代表的新兴车企，长期的增长潜力是有限的，除非它们转变成“无人驾驶服务”的提供商，但这应该是很遥远的事情。

而且，如果无人驾驶技术成熟，用车会极大方便，汽车的销售量将进一步下降。人类社会未来的交通解决方案，应该是公共轨道交通 + 无人驾驶的网约车网络。

## 非全日制计算机硕士

以前，考研录取率都在三分之一左右，三个人取一个。去年开始，下降到四分之一，今年是历年最低的24%。当然，这是全国总的统计，热门高校和热门专业的录取率远低于此。

尽管考研难度越来越高，但由于就业形势不好，估计今后几年，报考人数依然只增不降，不仅应届生，很多已经工作的在职人员也会报考。

但是，大家可能不知道，除了常规的全日制硕士，其实还有另一种选择，录取难度会低一些，那就是[非全日制硕士](https://baike.baidu.com/item/%E9%9D%9E%E5%85%A8%E6%97%A5%E5%88%B6%E7%A0%94%E7%A9%B6%E7%94%9F/2607200)。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051817.webp)

所谓“非全日制硕士”，属于两年制专业硕士的一种，一般不脱产，允许学生在有正常工作的情况下，攻读硕士学位，上课时间通常安排在周末。

你可以网上搜一下，非全日制硕士是国家正式承认的学历教育，入学也必须通过全国硕士研究生统一招生考试（全国统考），修完学分以后，可以拿到教育部认可的学历证书 + 学位证书。国家设立它的主要目的，就是为了推动在职人员培训，让那些已经在工作岗位上的人也有系统性进修的机会。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011303.webp)

根据网上的资料，不少知名高校已经招收非全日制计算机硕士了：山东大学	、浙江大学、福州大学、西安交通大学、中国海洋大学、华中科技大学等等。

这个学位很合适那些想要继续深造的在职人员，既可以获得更高学历，又不必脱产，不影响日常工作。对于应届同学，如果看重国家承认的硕士证书，但又担心考不上，也可以报考这个学位。

本周有一个 **《计算机硕士上岸集训营》**，就是专门为大家辅导和咨询非全日制计算机硕士考试。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011305.webp)

这个集训营采用视频讲课的形式，共四天，主要内容包括：（1）如何精准选择学校和专业；（2）AI 系统结合学员的自身情况，帮你制定备考方案；（3）参加全国统考需要知道的编程知识。讲师还会带练，伴随学员一起编程，消化知识点。

听课期间还有助教和班主任，随时为你答疑。课程用到的全部代码，都会免费开放，可用于课后自学和复习。

如果你有计算机考研的打算，对于具体的政策或者非全日制硕士有疑问，不知道如何择校和择专业，或者想巩固一下考研所需的编程知识，可以参加听听看。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051818.webp)

周刊读者报名有优惠，**只需 1 元就能听课。** 微信扫码上方二维码，了解集训营详情，并且报名。

报名后会弹出助教老师二维码，添加领取课程。到课同学还可以获得免费学习资料。

> - 23级计算机考研手册（独家资料）
> - 考研重点985词汇巧记口诀
> - 考研英语解题宝典
> - 考研政治客观题汇总
> - AI/Java/Web/CS能力提升秘籍

## 科技动态

1、[没有象牙的大象](https://www.nationalgeographic.com/animals/article/wildlife-watch-news-tuskless-elephants-behavior-change)

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122014.webp)

科学家在莫桑比克发现，当地的大象正在向没有象牙的方向进化。1977年到1992年，莫桑比克发生了15年内战，交战的双方都屠杀大象，用象牙去购买武器。该国4000多头大象估计被消灭了90%，剩下的都是一些没有象牙的大象。

正常情况下，大约2%~4%的雌性非洲象出生时，就没有象牙。内战结束后，有51%的雌性非洲象没有象牙，而她们生出的下一代小象，雌性有高达32%没有象牙。其它偷猎严重的非洲国家，无牙大象的比例也在急剧上升。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021122015.webp)

上图的大象就没有象牙。由于象牙可以帮助大象进食，科学家非常担心，没有象牙会影响这些大象的生存。

2、[弧形光伏建筑](https://m.ne21.com/news/show-170237.html)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051504.webp)

国内最大跨度的弧形光伏建筑，最近在江苏常熟落成。这是一个车间大棚，光伏板直接铺在防水支架上，替代传统彩钢瓦作为屋顶。远远看去，如同一个庞大的弧面镜。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051505.webp)

该项目用掉了6.8万块光伏板，覆盖屋顶面积达17.6万平方米，最大跨度223.7米，每天可以发电十多万度。

3、[月球土壤种植](https://www.tmtpost.com/6109686.html)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051408.webp)

美国佛罗里达大学的科学家，使用上个世纪阿波罗登月计划取回的月球土壤，在里面种出了阿拉伯草，证明了植物可以在月球土壤中发芽和生长，对未来的月球基地有重要意义。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051409.webp)

作为对照组，科学家同时还在地球火山灰中种植。上图左边是地球火山灰，右边是月球土壤，可以看到，月球土壤的植株明显个体较小，生长速度较慢，而且植物基因也发生了一些变化。

4、[地热发电](https://www.treehugger.com/geothermal-drilling-technology-quaise-energy-5219924)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022605.webp)

说到清洁能源，大家想到的都是水力、太阳能、风能、潮汐能等等，很少有人了解，地热也是一种清洁能源。因为地球本身就是一个巨大的核电站，我们只需要用管道，将地下的热量引导到地球表面，就能驱动涡轮机发电。

以前，只有在火山或地理板块的边缘，才能获得地热能，因为那里的地热埋藏较浅。麻省理工学院孵化的一家创业公司，正在开发一种技术，能够从20公里的地下获取地热能。这样的话，就能在任何地方使用地热发电。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022606.webp)

这需要一种前所未有的钻井技术，毕竟人类迄今最深的钻井也只有12公里深。而且，还需要价格足够便宜，低于风电和太阳能的成本。该公司宣称，他们能够做到这一点。

5、[火星山洞](https://tech.hindustantimes.com/tech/news/did-nasa-mars-rover-find-a-secret-alien-doorway-find-out-the-truth-behind-this-shocking-image-71652414296727.html)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051602.webp)

5月7日，美国好奇号火星车拍到了一个很奇怪的山洞。它看上去很像人工产物，但科学家还是相信，这是自然侵蚀产生的。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051603.webp)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051604.webp)

它的边缘非常平整，没有风化迹象，表明是最近产生的。考虑到5月4日火星发生过一次地震，科学家猜测可能是地震使得巨石裂开，产生了这个山洞。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051605.webp)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051606.webp)

## 文章

1、[我养活了一只没有腿的小螃蟹](https://mp.weixin.qq.com/s/9hK88V46-cACwOTxVJH5Mg)（中文）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050912.jpg)

作者发现了一只腿全断的小螃蟹，按理说，这只螃蟹肯定活不了。但是作者知道，螃蟹脱壳后会重新长出腿，就决定救它一次。

2、[中国第四家电信服务商来了](https://wallstreetcn.com/articles/3659441)（中文）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051701.webp)

中国广电是广电系统成立的三网融合公司，有 5G 牌照，是中国第四家基础电信运营商，5月17日开始向用户发放192号段。

3、[私有方法要写单元测试吗？](https://jesseduffield.com/Testing-Private-Methods/)（英文）

软件业一直有一个悬而未决的问题：编写单元测试时，私有方法需要写吗？本文总结了关于这个问题的各种意见，以及每一方的理由。

4、[我们分析了 425,909 个 Favicon](https://iconmap.io/blog)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031409.webp)

每个网站都有一个 Favicon 图标，作者分析了世界排名前10万位网站的425,909个 Favicon 文件，得到了很多神奇的发现。比如，最大的 Favicon 体积有 7mb，大小为 7087 x 5197。

5、[vscode.dev 介绍](https://code.visualstudio.com/blogs/2021/10/20/vscode-dev)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031410.webp)

官方介绍 VS Code 编辑器的线上版 [vscode.dev](https://vscode.dev/)。

6、[代码编辑器比较：Ace、CodeMirror 和 Monaco](https://blog.replit.com/code-editors)（英文）

replit 团队需要一个网页版的代码编辑器，先后试用了 Ace、Monaco 和 CodeMirror，比较了它们的优缺点。

7、[如何使用 GitHub Actions 网页截图](https://simonwillison.net/2022/Mar/14/shot-scraper-template/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031502.webp)

本文提供了一个 Action 模板，演示怎么使用它生成网页截图。

8、[iPhone 激光雷达的使用](https://opentopography.org/blog/iphone-lidar-applications-geosciences)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031709.webp)

iPhone 现在内置了激光雷达扫描仪，可以对5米内的物体进行 3D 建模，本文演示了如何使用这个功能。

## 工具

1、[SketchyBar](https://github.com/FelixKratz/SketchyBar)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033102.webp)

一个 Mac 电脑的菜单栏替换品。

2、[海绵乐队](https://apps.apple.com/cn/app/id1620738933)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051702.webp)

字节跳动最新发布的手机端音频编辑软件，号称音频的“剪映”，目前只有 iOS 版。“它在实现传统的录音、效果器同时，引入大量AI智能来协助创作，降低使用难度，提高创作趣味和效率。”

3、[DownKyi](https://github.com/leiurayer/downkyi)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051802.webp)

Windows 桌面软件，用来下载 B 站视频，支持批量下载，支持8K、HDR、杜比视界，提供工具箱（音视频提取、去水印等）。（[@Lucid1ty](https://github.com/ruanyf/weekly/issues/2387) 投稿）

4、[Regular Expression Tester and Visualizer](https://devtoolcafe.com/tools/regex)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051803.webp)

在线的正则表达式测试和可视化工具。（[@pccprint](https://github.com/ruanyf/weekly/issues/2388) 投稿）

5、[vue-dark-switch](https://github.com/dishait/vue-dark-switch)

多合一的开箱即用 vue3 暗黑模式开关组件。（[@markthree](https://github.com/ruanyf/weekly/issues/2390) 投稿）

6、[小舒同学](https://xiaoshu.app/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051805.webp)

浏览器插件，将收藏夹里面的书签，展示在浏览器默认主页上。（[@nexmoe](https://github.com/ruanyf/weekly/issues/2400) 投稿）

7、[云策文档](https://github.com/fantasticit/think)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051806.webp)

一款开源知识管理工具，可以自己部署。通过独立的知识库空间，结构化地组织在线协作文档，支持多人协作文档。（[@fantasticit](https://github.com/ruanyf/weekly/issues/2401) 投稿）

8、[code996](https://github.com/hellodigua/code996)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051808.webp)

一款开源的分析工具，统计 Git 项目的 commit 时间分布，推导出这个项目的编码工作强度。（[@hellodigua](https://github.com/ruanyf/weekly/issues/2403) 投稿）

9、[Cortex.js](https://cortexjs.io/mathlive/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033103.webp)

一个数学公式的 Web Component 组件。

10、[RedwoodJS](https://redwoodjs.com/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033117.webp)

一个前后端一体的 JS 框架，有点类似 Next.js，GitHub 超过一万颗星。它的 API 看上去很简洁优雅。

## 活动

1、[字节跳动的网安防御体系](https://www.bagevent.com/event/8174601?bag_track=002)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051905.webp)

互联网大厂每天都在遭受，各种稀奇古怪的网络攻击。下周六（5月28日）下午，字节跳动的官方沙龙特别邀请安全工程师，跟大家网上交流，字节怎么做网络防御。

本期主要有两个主题：（1）如何确保容器镜像的安全，防止漏洞和恶意镜像；（2）如何防止供应链攻击，确保外部依赖的安全。点击链接或扫描二维码报名，现场还有字节纪念品抽奖。

## 资源

1、[设计模式](https://refactoring.guru/design-patterns/catalog)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031503.webp)

这个网站讲解各种设计模式的含义和用法，有英文版和中文版，每一种设计模式都配上了插图讲解。

2、[开源青年](https://space.bilibili.com/501806297/video)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051801.webp)

B 站频道，主要介绍开源软件历史故事、开源合规知识、开源事件。（[@ichengxinxin](https://github.com/ruanyf/weekly/issues/2382) 投稿）

3、[趣味数据分析](https://read.douban.com/ebook/390859043/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051804.webp)

介绍数据分析的中文电子书，免费在线阅读。侧重趣味性，比如用图还是表，是阈值还是阀值。（[@jiezhao9](https://github.com/ruanyf/weekly/issues/2393) 投稿）

4、[前端部署十五章](https://q.shanyue.tech/deploy/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051807.webp)

一组系列文章，介绍如何部署前端项目。从最原始的部署方案过渡到 Docker 与 Kubernetes，逐步优化，另有配套的[视频讲解](https://www.bilibili.com/video/BV1AY4y1671e)。（[@shfshanyue](https://github.com/ruanyf/weekly/issues/2402) 投稿）

5、[费曼物理学讲座](https://feynmanlectures.caltech.edu/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032505.webp)

诺贝尔物理学奖得主理查德·费曼（Richard Feynman）1961年～1964年在加州理工学院，为本科生讲授物理学导论，后来根据录音带和讲义，就整理出了这本著名的物理学教材。这里是加州理工学院的官方版本，为在线阅读特别做了排版。

## 图片

1、[泄洪井](https://www.bbc.com/news/uk-england-derbyshire-59966942)

英国 Ladybower 水库非常奇特。水库大坝的泄洪孔，不是开在大坝上，而是坝身两侧的两个垂直的泄洪井。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012001.webp)

平时，水库的水位低，两个泄洪井都是空的。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012003.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012004.webp)

一旦遇到洪水期，水库的水位上涨，超过了泄洪井的围栏，水就会从井里垂直下泄。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012005.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012006.webp)

远远看去，好像水中两个巨大的天坑，非常壮观，成为当地的一道著名景观。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012007.webp)

2、[燃烧的铁轨](https://www.popularmechanics.com/science/a35405652/chicago-lighting-railroads-on-fire-switch-heaters-winter/)

美国芝加哥火车站，冬季严寒，铁轨会结冰。这对火车行驶很不安全。

为了除冰，铁路公司在铁轨上装了燃气管道。一旦有列车通过，就会自动打开燃气喷头，并且点燃。火车就会在火焰中前进（[现场视频](https://twitter.com/SorenSpicknall/status/1485701188955914242)）。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020605.webp)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020607.webp)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020606.webp)

## 文摘

1、[代码优先与产品优先](https://thezbook.com/code-first-vs-product-first/)

程序员可以分成两种：一种程序员更关心代码，另一种程序员更关心产品。

我称前者为“代码优先”程序员，后者为“产品优先”程序员。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051906.webp)

“代码优先”程序员痴迷于代码的架构、关注使用什么工具、库和语言，有多少测试覆盖率，诸如此类的问题。

如果达到完美的代码抽象，或者使用了最新的语言功能，再或者删除了用不到的代码，“代码优先”程序员就会很兴奋。他们真的喜欢他们编写的代码，在他们眼里，代码本身就是目的。

“产品优先”程序员也关心代码，但只是把它作为达到目的的一种手段。对于他们来说，代码是建筑物的脚手架和钢梁，而不是最终产品。最终产品是产品本身，而不是代码。

他们认为，重要的是，产品是不是真正解决了问题？每样东西是否正常工作？人们喜欢用这个产品吗？“产品优先”程序员喜欢构建和发布，喜欢看到用户使用他们构建的东西。在他们眼中，产品才是目的。

大型软件公司里面，你会遇到很多“代码优先”程序员。他们看重代码是否合乎规范，有没有拼写错误，是不是意大利面条式的代码，会不会带来技术债务。如果达不到代码审核的严谨标准，就会要求重构代码。

我总是很惊讶地发现，有那么多程序员认为，“代码优先”就是他们追求的目标。对于项目原型，他们会问：“单元测试覆盖率怎么样？” 、“有没有用到热门的新技术 X？”、“会带来很多技术债务吗？”。

可是，我们现在做的只是项目的原型，迟早会重写所有代码，所以上面的这些问题，在这个阶段是无关紧要的。因为我们甚至还没有认定，现在的代码就是解决问题的正确方法。

“代码优先”程序员对编程有一个根本的误解。要知道，编程是为用户解决问题，而不是为了编写出漂亮的代码。重要的是代码能够工作，而不是代码的外观。

这是否意味着，我鼓励大家编写糟糕的代码？不在乎使用什么技术或软件？

绝对不是。

我很在乎代码！我只是认为，我们先要保证方向正确，因为我相信，只要保证代码能够解决问题，那么通过更好的产品，最终可以获得更好的代码。反过来就不成立，更好的代码未必会获得更好的产品。

我对代码的评判标准是： **如果产品不好用，代码也不会好。** 好的代码只有在它产生了一个行得通的产品时才存在。

## 言论

1、

有一句古老的工程格言：工期短、质量好、价格便宜，这三项里面你最多只能同时做到两项。

-- [Daring Fireball](https://daringfireball.net/2004/04/spray_on_usability)

2、

如果一个人习惯了轻松成功，可能就无法培养处理真正困难的问题所必需的耐心。

-- [陶哲轩](https://terrytao.wordpress.com/career-advice/does-one-have-to-be-a-genius-to-do-maths/)《做数学必须是天才吗》

3、

一项日本调查发现，越会用 Excel 的职员加班时间越长，加班最长的是那些会用 sumif() 函数的人。

-- [某日本 IT 网站](https://news.mynavi.jp/techplus/article/20220511-2342976/)

4、

1879年，一个美国人问道：“为什么所有这些新的经济发展和工业化技术，都没有消除贫困和压迫？” 那个人就是亨利·乔治，后来他写了一本名为《进步与贫困》的书。

-- [《<进步与贫困>书评》](http://gameofrent.com/content/progress-and-poverty-review)

5、

Python 曾经是一种可以在几天内学会的语言，但这已经是很多年前的事了。最近，我相隔11年后重新用这门语言开发产品时，有点不知所措，它添加了太多的新功能。如果你不了解所有这些新功能，理解现代 Python 代码将是多么困难的一件事。

-- [《失控的 Python3 类型》](https://neverworkintheory.org/2022/03/18/python-3-types-in-the-wild.html)

## 历史上的本周

2021年（第 159 期）：[游戏开发者的年薪](https://www.ruanyifeng.com/blog/2021/05/weekly-issue-159.html)

2020年（第 108 期）：[阵地战与奇袭战](https://www.ruanyifeng.com/blog/2020/05/weekly-issue-108.html)

2019年（第 56 期）：[文科生为什么不容易就业？](https://www.ruanyifeng.com/blog/2019/05/weekly-issue-56.html)

2018年（第 5 期）：[互联网时代，做一个好人是划算的](https://www.ruanyifeng.com/blog/2018/05/weekly-issue-5.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

