# 科技爱好者周刊（第 211 期）：虚拟商品可以拉动 GDP

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2426)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062216.webp)

6月21日，河南濮阳市到达 40℃ 高温。为了降温，某小区开启人工降雨，大楼楼顶的喷淋系统向楼身喷水，相当于为整个小区浇一个凉水澡。据报道，喷淋一次的成本为6000元左右。（[via](http://www.ctdsb.net/channel/1476/202206/21/1431935.html)）

## 本周话题：虚拟商品可以拉动 GDP

本周，脸书宣布[推出](https://finance.sina.com.cn/roll/2022-06-22/doc-imizirau9930686.shtml)线上的虚拟服装商店，里面有很多名牌服装（比如 Prada），用户买来在虚拟世界穿。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062208.webp)

我看到这个新闻，不禁想到以前就思考过的一个观点：**虚拟商品的交易，可以拉动 GDP 增长**，与实物商品的效果是一样的。

虚拟服装、游戏道具、表情包……这些纯数字的虚拟商品，交易金额都是 GDP 的一部分，用户买得越多，GDP 就越高。不夸张地说，购买一个游戏道具，也是在为 GDP 做贡献。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062113.webp)

有些朋友不了解经济学，我简单解释一下。GDP 有一种计算方法，就是统计一段时间内的消费总金额。消费金额越大，就表示经济总量越大，GDP 越高。至于消费的是什么，实体商品还是虚拟商品，并不区分。

这里的关键是必须消费，才会计入 GDP。有一个经典例子，你付钱在餐馆吃饭，就会增加 GDP；你自己在家做饭，就不会，因为这样没有发生交易。

这个原则也适用于虚拟物品。比如，微信打赏就不计入 GDP，因为它本质上是一种赠与，不是消费，也没有发生交易。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062114.webp)

如果腾讯改变打赏规则，规定只能用 Q 币打赏，那就会计入 GDP。因为用户必须先购买 Q 币，这就会发生交易。

同理，直播时给主播送礼物，是增加 GDP 的。以抖音直播为例，它使用“抖币”打赏，1元人民币可以购买10个“抖币”。用户将抖币换成礼物，送给主播。一束数字鲜花，需要10个抖币，抖音跟主播五五分成。抖音因此获得销售收入和利润，还必须为这些打赏交税。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062115.webp)

总之，**虚拟商品只要发生了交易，就会计入 GDP。**

但是，虚拟商品与实物商品有一个重大区别：它不受资源约束，生产不消耗资源。举例来说，汽车的生产受到钢材、电力、土地、工人等许多资源的约束，不可能一下子增长太快；游戏道具就没有这个问题，想生产多少就有多少，根本就是零消耗。

这意味着什么？

**虚拟商品可以在零消耗的情况下，增加 GDP。** 消费者购买的虚拟商品越多，GDP 就越高，而且不会增加对矿石、能源、粮食、交通运输等实物资源的消耗。

这就为 GDP 增长提供了一种思路。当资源供应紧张或价格上涨时，实物商品的生产受到了约束；这时推动虚拟商品的交易，也能增加 GDP，促进国民经济的增长。

最近，[游戏版号恢复发放](http://www.xinhuanet.com/finance/2022-04/12/c_1128551710.htm)，可能就有这方面的考虑。国家以后刺激经济的时候，也可以考虑刺激虚拟商品的消费，这完全不会增加实体经济的负担。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062116.webp)

未来，人类社会进一步搬到互联网上，甚至出现元宇宙。那时，虚拟商品一定会越来越多，大部分 GDP 可能都来自虚拟商品的消费。

## Go 语言学习资料包

前些天，一个朋友找我诉苦：“Go 工程师太难找了。”招聘广告挂了一个月，应聘者寥寥无几。

他感到不理解，Go 的学习收益其实很高，为什么想招个合适的人却不容易呢。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120101.webp)

要知道，Go 的势头这些年很好，国内应该已经是后端的第二大开发语言，仅次于 Java。

越来越多的公司，整个后端都是用 Go 开发的，比如 B 站和七牛云。除了网络服务，Go 也是容器和微服务的首选语言，Docker 就是用 Go 写的。

总之，Go 的招聘岗位一直在增加。虽然比不了 Java 和前端，但是关键一点是，后两者的学习者远多于 Go，就业竞争激烈，而 Go 工程师就没有竞争问题，更容易找到满意的工作。

所以，学习 Go 的回报是很高的。何况 Go 语言入门其实不难，有 Java 和 C 语言基础的话，转 Go 是很容易的。

本周有一个 Go 语言学习资料包，专门为想要进阶学习这门语言的开发者准备的。<ins>它包括了“极客时间”内部制作的三份学习材料。</ins>

（1）**Go 语言讲座视频**，内容有《Go 工程师必备技能指南》、《Go 工程化实践》、《Go 语言高并发场景》、《Go 项目实战之 API 设计》、《Go 语言微服务实战》等讲座。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062306.webp)

（2）**Go 高频面试真题**，收录了今年面试中出现过的 Go 语言题目，一共134页，按照学习顺序进行了分类编排，每道题都包括答案解析。下面就是目录页的截图。

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120102.webp)

它除了作为面试准备，由于题目多数考察基础知识，所以也可以作为初学者学习指南，帮助大家快速上手 Go 语言。

（3）**Go 实战训练营**，这是极客时间全新的 Go 语言系统课程，并有以前讲师分享过的精华内容，学员评价还不错。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062307.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062305.webp)

微信扫码上方二维码，添加工作人员，就可以 **免费领取** 这份 Go 语言学习资料包。因为是手动通过，人数多的话，还请耐心等待。

注意，Go 语言需要有一定的编程基础，<ins>这些学习资料不适合毫无经验的学生，最好有相关的编程经验。</ins>

## 科技动态

1、[星巴克充电站](https://www.fastcompany.com/90730929/starbucks-wants-to-become-the-gas-station-of-the-future-for-evs)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033114.webp)

星巴克正在美国做实验，将咖啡馆与充电站结合起来。它与沃尔沃汽车合作，沿着丹佛到西雅图的2200公里高速公路，每隔160公里，就开设一家带有充电桩的咖啡馆。

如果实验成功，星巴克就会正式进入充电站市场，从面向行人的咖啡馆，变成面向司机的咖啡馆。咖啡馆自带充电桩，其实非常合理，因为司机在充电时无事可做，也没有地方可去。

2、[人类中耳源自鱼腮](http://digitalpaper.stdaily.com/http_www.kjrb.com/kjwzb/html/2022-06/03/content_536486.htm)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062222.webp)

中科院团队根据一块4亿多年前的云南曲靖宽甲鱼化石，首次发现人类中耳最早是从鱼鳃演变而来的实物证据。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062223.webp)

这个发现解释了，为何人的耳朵与口腔相通，却不具备呼吸能力。动物离开海洋、上岸以后，鱼腮的喷水孔就失去了呼吸功能，逐渐演化成中耳，进而转变成传递声音的器官。

3、[超低频 OLED 屏幕](https://www.laoyaoba.com/n/822981)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062302.webp)

TCL 华星公司发布全球首款刷新率 0.016Hz（每分钟刷新一次）的 OLED 显示屏，而且亮度、色彩、可视角都没有损失，在强光下也可做到完全无闪烁。

现在的手机屏幕一般是 60Hz 或 120Hz，即每秒刷新60次或120次。如果每分钟才刷新一次，将极为省电。这种新屏幕主要用于智能手表和其他可穿戴设备。

4、[云养蜂](https://www.timesofisrael.com/israeli-bee-tech-startup-beewise-pulls-in-80m-investment-for-robotic-beehives/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040103.webp)

一家以色列公司推出了 AI 蜂箱，外观像一个小号集装箱，里面可以放置24个蜂架，还配置了摄像头和计算机设备。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040105.webp)

这个蜂箱可以放到田野中，养蜂人在云端操控各种设备，实时查看蜂箱的内部状态。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040104.webp)

人工智能会分析蜜蜂的状况，生成各种图表，还会控制温度和湿度，并且自动收集蜂蜜。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040106.webp)

这家公司称，这种蜂箱可以实现远程管理、云端养蜂。但是，它需要电力和网络，而且每月租金是400美元，市场恐怕并不大。

5、[香水喇叭](https://robbreport.com/gear/gadgets/byredo-ojas-room-diffuser-speaker-design-1234659357/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050702.webp)

一家瑞典奢侈品公司推出了香水喇叭，播放音乐的同时，会散播香水。你可以根据不同的音乐，选择不同的香水。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050703.webp)

它将听觉设备与嗅觉设备结合了起来，使得音乐不再像娱乐，更像一种仪式。这不是第一款这样的设备，此前市场上就有可以播放音乐的香水蜡烛。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050704.webp)

6、[AirTag 的新用途](https://9to5mac.com/2022/04/25/man-uses-airtags-and-powerpoint-presentation-to-ask-airline-for-his-lost-bags/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050908.webp)

一对英国夫妻发现了 AirTag 的新用途。他们坐飞机从南非回英国，中途要在阿布扎比和法兰克福转机。结果回到英国，航空公司告诉他们，行李找不到了，让他们申报赔偿。

他们想到行李里面有 AirTag，一查发现行李还在法兰克福。他们把方位告知航空公司，第二天行李就送回来了。这确实是 AirTag 的好用途，如果你也要转机托运行李，不妨在里面放一个 AirTag。

## 文章

1、[视频播放器还有前途吗](https://finance.sina.cn/tech/2022-06-18/detail-imizirau9109321.d.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062221.webp)

腾讯 QQ 影音最新关闭了下载，这个产品应该是要被取消了。本文回顾桌面软件的视频播放器的兴起和没落。

2、[毒蘑菇如何识别](https://mp.weixin.qq.com/s/8pPXUUoam6WbpiyTuk5aiw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062212.webp)

B 站有一位视频作者，拍各种视频，教大家识别毒蘑菇。本文介绍一些这方面的知识。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062213.webp)

3、[如何在用户离开页面时可靠地发送 HTTP 请求](https://css-tricks.com/send-an-http-request-on-page-exit/)（英文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041005.webp)

用户关闭页面，或者点击链接离开，这时如何保证 HTTP 请求还能发送出去？本文分析了你能使用的几种方法。

4、[如何使用蒙特卡罗模拟计算圆周率 pi](https://vitomirj.medium.com/good-beginner-exercise-for-improving-programming-monte-carlo-simulation-of-the-approximation-of-838dc17eb6bc)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022010204.webp)

作者解释蒙特卡罗方法，使用 Python 语言写了一个小程序，计算圆周率，图文并茂，很容易懂。

5、[Linux 的四个查找命令](https://www.madebygps.com/an-intro-to-finding-things-in-linux/)（英文）

Linux 有四个常用的查找命令：locate、whereis、which 和 find。本文介绍它们的区别和简单用法。

6、[Flatpak 安装包有什么问题？](https://ludocode.com/blog/flatpak-is-not-the-future)（英文）

Flatpak 是 Linux 系统常见的安装包格式。它是二进制文件，不用自己编译，大大简化了不同发行版的安装和兼容问题。但是，本文详细讨论了这种格式，认为它的发展方向是不对的。

7、[U+202E 骗术](https://galogetlatorre.blogspot.com/2013/07/how-can-you-be-fooled-by-u202e-trick.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022021911.webp)

U+202E 是一个特殊的 Unicode 字符，可以这个字符后面的字符串从右到左显示。很多病毒软件就利用这个特性，诱骗用户点击，比如 foofdp.exe 这个文件名，只要在`foo`后面插入该字符，就会显示成 fooexe.pdf。

8、[Docker 架设静态网站的最小解决方案](https://lipanski.com/posts/smallest-docker-image-static-website)（英文）

作者想通过 Docker，提供静态网站服务。最后找到了一个解决方案，只需要在静态文件之外，加入一个 186KB 服务器就可以了。

## 工具

1、[Kia instrument](https://www.kia.com/us/en/movement/our-instrument)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022043002.webp)

起亚汽车公司推出的一款音乐软件，提供了8种背景音（水声、风声、雨声等），可以加入音乐文件，合成后输出新的音乐。

这款软件看起来跟汽车没关系，但是汽车公司能这么发布软件，还是很不错的。

2、[Fugu](https://github.com/shafy/fugu)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050301.webp)

一款开源的网站访问统计服务，需要自己在服务器上架设。

3、[Dufs](https://github.com/sigoden/dufs)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062304.webp)

一个简单的文件服务器，可以提供静态文件服务，支持上传、下载、搜索、访问控制、webdav 等功能。（[@sigoden](https://github.com/ruanyf/weekly/issues/2461) 投稿）

4、[Quickbuild](https://github.com/codecat/qb)

C/C++ 项目的构建工具，类似于 GCC，号称是零配置，直接运行就能构建出项目。

5、[Keytap3](https://keytap3.ggerganov.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050401.webp)

一个概念性项目。手机打开这个网页，然后使用麦克风，监听键盘打字（最好是机械键盘，打字声音比较大）。经过一段时间的训练，它可以从击键声还原出输入内容。

6、[Wolvic](https://wolvic.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050402.webp)

适用于 VR 头盔的浏览器，代码基于已经终止开发的 Firefox Reality。

7、[地球时钟](https://earthclock.cwandt.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050409.webp)

这个网站使用卫星照片，显示当前的数字时间（上图是 13:04），还提供 Mac 屏保程序下载。

8、[Tailscale](https://tailscale.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050510.webp)

这服务可以将不同的设备（电脑和手机），组成一个虚拟网络，通过它的网关提供外部访问，而不管那些设备原来是否在同一个局域网，即提供虚拟组网服务。这是收费服务，但是有免费账户。

9、[Cardboard](https://www.ctrl.blog/entry/cardboardwm.html)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022005.webp)

Linux 系统的窗口管理器，特点是采用滚动式窗口，屏幕垂直分成几个窗口，可以水平滚动，好像走马灯一样，参考这篇[介绍](https://www.ctrl.blog/entry/cardboardwm.html)。

## 活动

1、[稀土开发者大会](https://conf.juejin.cn/xdc2022/wap/?utm_source=ruanyfblogjiangshi)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062323.webp)

掘金社区筹办的稀土开发者大会，开始报名了。这次邀请到了尤雨溪，来做主论坛演讲。

大会的技术专题里面，有四个跟前端开发息息相关：①大前端工程架构与性能优化、②低代码探索和实践、③大前端技术探索、④现代Web开发。报名和听演讲都是免费开放的，欢迎大家报名参会。

## 资源

1、[黑客技巧](https://book.hacktricks.xyz/)（HackTricks）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041003.webp)

免费的英文电子书，介绍一些破解计算机系统的黑客方法。

2、[合同示范文本库](https://cont.12315.cn/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062301.webp)

国家市场监管总局开发的一个数据库，面向社会免费开放，提供常见合同的示范文本。

3、[100个 numpy 练习](https://github.com/rougier/numpy-100)

numpy 是一个很常用的 Python 库，这个网站从面试题、邮件列表和文档里面，选出了100个常见问题，并配上答案，供大家练习。

4、[Airbnb 比赛](https://zh.airbnb.com/d/omgfund)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062209.webp)

Airbnb 推出了一个比赛，向全世界征集最疯狂的建筑物改造的点子。最终评选出100位获奖者，每人可以得到10万美元资助，去实现自己的想法。报名截止期是7月22日。

5、[Patterns.dev](https://www.patterns.dev/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041705.webp)

一本英文的原创教程，免费在线阅读和下载。它使用 JavaScript 语言为例，详细介绍每一种设计模式。最后演示如何将这些设计模式运用于 React 框架，搭建 Web 应用。

## 图片

1、[最奇特的旗帜](https://blog.kobadoo.com/2022/02/the-only-flag-of-world-that-is-shredded.html)

西班牙萨莫拉省（Zamora）的旗帜，堪称世界上最奇特的旗帜，因为它由9根布条组成。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022313.webp)

一根绿色布条在最上方，下面是八根红色布条。

红色布条象征着公元前二世纪，当地人与罗马人作战取得的8次胜利。绿色布条是公元15世纪西班牙国王赏赐给这个省的。

由于这个旗帜制作起来太麻烦，所以现在往往用一整块布代替，做成下面这样。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022314.webp)

2、[中华巨马](https://finance.ifeng.com/c/7zyQLyHEp3Q)

一家大连研发了巨型机器马，叫做“中华巨马”，高8.4米、长9米、加上马车总长14.5米、自重47吨。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020808.webp)

它可以实现连贯的行走、跃起、昂首、尾巴摆动、腹腔及五官运动等动作，跃起时高度可达12米，拥有嘶鸣、喷烟、喷火、喷水雾等特效，犹如活生生的巨大神兽。

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020809.webp)

它全身有100多个液压钢体，通过程序控制，需要4个人同时操作。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=w33224j6q53" allowFullScreen="true" width="600" height="400"></iframe>

## 文摘

1、[西福特计划](https://zh.wikipedia.org/wiki/%E8%A5%BF%E7%A6%8F%E7%89%B9%E8%AE%A1%E5%88%92)

冷战时期，国际通信主要依靠海底电缆，以及大气的电离层反射无线电信号。

美军非常担心，苏联会切断海底电缆，那就只有依靠不稳定的电离层，来联络海外部队了。美军就开始寻求，能稳定进行全球无线通信的方法。

他们最终想出了一个异想天开的计划。马萨诸塞州西福特镇有一个卫星天线，美军决定在这个天线上方的电离层里面，散布4.3亿根铜针，每根长1.78厘米。所有铜针形成一个环绕地球的金属云圆环，以增强无线信号的发射，辅助远程通信。

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112113.jpg)

![](https://cdn.beekka.com/blogimg/asset/202111/bg2021112112.jpg)

第一次散布铜针，发生在1961年10月21日，但是没有成功。很多铜针没有散布开，反而结成块，变成了太空垃圾。第二次散布发生在1963年5月9日，这次获得了成功，形成了一个由金属针组成的环状云轨道，并成功进行了通信。

外界知道这件事情后，爆发了强烈的批评。另一个原因是通信卫星在这段时间发明了，所以铜针计划就没有再推进，最终被废弃。

今天，它留下的铜针分布在高度为3500公里到3800公里之间的地球轨道上，偶然会有一些返回大气层。

## 言论

1、

如果你的项目调用谷歌地图，会付出很高的成本。谷歌对每个请求都收费：方向、搜索自动补全、地点详细信息、地点照片、街景照片、静态地图、动态地图和时区查找……所有 API 没有一个是免费的。

而且，谷歌禁止你将它的数据与其他地图服务结合，所以没法某一个 API用它的，其他 API 用别家的。

-- [《谷歌地图遭遇反垄断调查》](https://arstechnica.com/gadgets/2022/03/googles-next-us-antitrust-issue-google-maps/)

2、

如果你有强烈的好奇心，祝贺你，你的智力胃口很好！

-- [Hacker News 读者](https://news.ycombinator.com/item?id=30928948)

3、

一个人必须专攻一些事情才能赚钱。我总是告诉我的孩子：你需要学会某种技能，而且这种技能要强于别人，这样才会有人付钱给你。然后你再付钱请人，帮你做那些你觉得无聊或困难的事情。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=30929422)

4、

英国科学家研究，什么因素会导致人类感到无聊。最后发现，世界上最无聊的人具有以下特征：职业是宗教数据录入，爱好是看电视，居住地是偏僻小镇。

-- [《研究人员发现世界上最无聊的人》](https://www.essex.ac.uk/news/2022/03/18/the-most-boring-person-in-the-world-discovered-by-researchers)

5、

我曾经使用一个 App，在苹果手机上编写 Python 程序。手机打字速度有点慢，但我发现，它有一个地方是革命性的。

我先是坐在沙发上，边看电视边写，然后躺在床上继续写剩下的代码。这与坐在办公桌前写代码相比，真令人感到轻松，我喜欢这样写代码。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=30956271)

## 历史上的本周

2021年（第 163 期）：[你的城市有多少张病床？](https://www.ruanyifeng.com/blog/2021/06/weekly-issue-163.html)

2020年（第 112 期）：[如何培养领导力](https://www.ruanyifeng.com/blog/2020/06/weekly-issue-112.html)

2019年（第 61 期）：[转行前端越来越难](https://www.ruanyifeng.com/blog/2019/06/weekly-issue-61.html)

2018年（第 10 期）：[30岁以后谨慎转行前端](https://www.ruanyifeng.com/blog/2018/06/weekly-issue-10.html)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](https://cdn.beekka.com/blogimg/asset/202103/bg2021030402.jpg)

（完）

