# 科技爱好者周刊（第 214 期）：你的地图是错的

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2483)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070401.webp)

美国德州的一个 3D 打印住宅区的工地。现场工人很少，建房不再需要脚手架，而是使用龙门吊一样的 3D 打印机，沿着滑轨不断来回，一厘米一厘米地整体向上打印，一两天就能打印出来一栋楼。（[via](https://www.lennar.com/new-homes/texas/austin/promo/auslen_3d_homes)）

## 本周话题：你的地图是错的

2010年，美国旧金山举行 [Web 2.0 峰会](https://p2p.ai/2022/06/27/your-map-is-wrong/)。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070913.webp)

主办方在会上发布了一张[《互联网地图》](https://www.blendinteractive.com/work/web-2.0-summit-interactive-map/)。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070914.webp)

这张地图把互联网划分成不同的势力范围，比如，谷歌是搜索王国，脸书是社交王国，电商王国则是亚马逊和 EBay 双雄鼎立。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070915.webp)

当时，脸书的创始人扎克伯格就坐在台上。他一看这张地图，就对主持人说：“你的地图错了”。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070916.webp)

他说：

> “地图的最大部分一定是未知领域。现在的这张地图让互联网世界看起来像零和游戏，但事实并非如此。我们正在开拓新疆域，创造价值，而不是从别人那里夺走它们。”

我觉得，这段话说得特别好。所有的地图都是描绘已知的世界，但是，**更大的世界是那些还没有画出来的部分**，那里才是最大的机会。

如果你只盯着地图画出来的部分，那就意味着，你把自己局限在这些疆域。当你发展壮大，就势必要侵入其他人的领域，对方一定会殊死反抗。

但是，如果你把目光放到地图以外，那里其实是更大的世界，有更多的机会，你可以从零开始建立自己的王国。你的时间和精力，用来解决前人没有遇到的问题，而不跟对手进行零和竞争。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071301.webp)

现在的这些互联网巨头，我印象中，好像没有一家是通过占领别人的地盘，而成为巨头的。每一家都是因为开创了新领域，而发展壮大。比如，微软建立了桌面操作系统，亚马逊开创了 AWS 云服务，Youtube 创造了流媒体平台，Netflix 建立了视频点播服务，抖音是竖屏短视频再创作。

乔布斯说过一句名言：问消费者他们需要什么是没有意义的，因为他们不知道，只有当你把新事物拿到他们眼前，他们才会意识到自己需要它。他的意思就是开发未知领域，再把消费者领进去，他们会惊叹新世界是多么美妙，而你就成为这里的王者。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071302.webp)

马斯克为什么在短短几年中，成为世界首富？因为他做的都是前无古人的事情：第一个大规模生产电动车、第一个建造可重复使用的火箭、第一个卫星上网服务，第一个要把人类移民到火星……他的每一个新领域都有巨大的成长空间，一旦做出成果，他就独享这些地图上新多出来的面积。

**下一次当你查看地图时，请寻找地图以外的未知领域**，那才是建功立业、发展壮大的地方。否则，你只看到现有的世界，你的人生就被局限在那里，为了赢得零和游戏，与对手拼死竞争一点点空间。

## 活动

1、[云原生数据库的设计与实践](https://conf.juejin.cn/xdc2022/wap/?utm_source=ruanyfblogjiangshi)

数据库作为互联网核心软件，正在与云基础设施进一步整合，从“数据库上云”（On Cloud）转变成“云原生数据库”（In Cloud）。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071306.webp)

7月22日举办的2022稀土开发者大会上，有一个专题活动[《新一代云原生数据库》](https://conf.juejin.cn/xdc2022/speaker?id=8&utm_source=ruanyfblogjiangshi)，由字节跳动数据库技术负责人张雷作为出品人，邀请字节、英特尔、美团、谷歌云的数据库专家，带来各自的云原生数据库使用经验分享。

扫描下方海报二维码，就可以免费报名，参与演讲直播和现场交流，以及大会的其他活动。报名参会的开发者还有机会抽奖，赢取丰厚大奖。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070610.webp)

## 科技动态

1、[基因编辑错误](https://www.dailymail.co.uk/news/article-10884147/Vicious-hamsters-bred-lab-accident.html)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060502.webp)

人类现在已经可以编辑基因，但这是有风险的。万一编辑错误，后果难以预料。美国佐治亚州立大学的科学家编辑仓鼠的基因，希望增加它的社交性，更容易与同类相处，结果就编辑错误了。

基因编辑过的新一代仓鼠，不但没变得更友善，反而具有异常的攻击性，行为狂野。在笼子里，与同类发生激烈战斗，撕咬和追逐（下图）。科学家无法解释，为什么会出现这种结果。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060503.webp)

这个失败的实验充分揭示了基因编辑的危险。如果在人类身上进行基因编辑，谁能保证不出错，万一导致异常的人类，这可怎么办。

2、[阳光普照的时刻](https://www.timeanddate.com/news/astronomy/99-percent-sunlight-july-8)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070904.webp)

有人在网上提问，有没有某一个时刻，阳光可以照到最多的人类？经过计算，每年还真有这样一个时刻，世界99%的人口都可以看见阳光。

这个时刻就是7月8日格林尼治标准时11:15，相当于北京时间19:15。这时，美州、欧洲、非洲和亚洲都是天亮的，虽然中国沿海地区已经是黄昏了（太阳在地平线以下0度到12度），只有大洋洲是天黑的。

这时，看到阳光的人口总共有77亿人，其中超过64亿人在白天，超过12亿人在黄昏。他们相当于地球总人口的99%，只有不到8000万人处于夜间。

3、[星链的海洋上网](https://www.starlink.com/maritime)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070803.webp)

马斯克的星链项目（StarLink）正式推出了海洋上网。只要安装了他们的天线（下图），就能在海中上网，据说网速可以达到 350Mbps。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070804.webp)

目前，海洋上网只能通过海事卫星，网速很慢，费用非常贵。星链的这项业务，将彻底解决海洋上网问题，使得用户在海中也能宽带上网。

由于第一期要通过地面的卫星站中转，所以只有欧美的近海能上网（下图的浅蓝色部分）。据说，年底可以实现卫星之间的直接通信，到时候地球的大部分海域，都将可以上网。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070805.webp)

它的费用并不便宜，天线安装10000美元，每个月的使用费5000美元。由于星链可能不会进入国内，中国有必要开发自己的卫星上网服务，彻底解决偏远地区和海洋上网问题。

4、[猪心脏移植试验](https://www.usatoday.com/story/news/health/2022/03/09/human-pig-heart-transplant-patient-dies/9437650002/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071414.webp)

今年1月，美国曾经做过首例猪心脏移植手术，将一颗猪的心脏移植进入人体。术后，病人起初一切正常，但是两个月后还是出现了各种症状而死亡。（上图是医生运送猪心脏，走向手术室。）

经过解剖，医生在那颗猪心脏里面发现了一种巨细胞病毒，怀疑是这种病毒导致了患者的死亡。

为了验证这种假设，医生本周又为两位脑死亡的患者移植了猪心脏。这两位患者的身体还有生理机能，但大脑在法律上已经死亡，经过家属同意，将遗体捐赠做实验。猪心脏移植进入他们的身体，在72小时观察期内，都一切正常。这又朝着人体的猪器官移植推进了一步。

5、[自动驾驶的法律责任](https://www.roadandtrack.com/news/a39481699/what-happens-if-mercedes-drivepilot-causes-a-crash/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032303.webp)

奔驰汽车公司承诺，只要使用它的辅助驾驶系统，发生交通事故，它会承担法律责任，不会让司机承担责任。

这跟特斯拉公司形成鲜明对比，特斯拉的立场是，目前的自动驾驶只能辅助用户驾驶，所以用户对交通事故有责任。

不过，奔驰公司虽然愿意承担责任，但是有苛刻的前提条件。

> 1. 行驶速度不超过60公里/小时；
> 1. 道路上不得有红绿灯、环形交叉路口或其他交通控制系统，也没有施工区域，也就是说主要是高速公路；
> 1. 该道路必须是奔驰系统里认可的道路；
> 1. 行驶时间必须是白天、天气晴朗、没有头顶障碍物（隧道）；
> 1. 坐在驾驶座上的人不能闭上眼睛或睡觉。

## 文章

1、[银行人脸识别被破解](https://finance.sina.com.cn/money/bank/gsdt/2022-07-06/doc-imizmscv0377623.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071424.webp)

本文报道了一个真实案例，银行使用人脸识别 + 短信进行身份验证，结果被犯罪分子破解，多名用户的存款被转走。

2、[在游戏《刺客信条》逛希腊](https://web.archive.org/web/20211010121826/https://www.douban.com/note/814326492/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070708.webp)

游戏《刺客信条：奥德赛》忠实还原了古希腊，本文进行了整理，将游戏里面的场景与真实场景一一对照。上图是游戏里面的雅典卫城，下图是真实的雅典卫城。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070709.webp)

3、[韦伯望远镜与哈勃望远镜的图像比较](https://johnedchristensen.github.io/WebbCompare/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071304.jpg)

本周，美国宇航局发布了韦伯望远镜拍摄的第一批照片。作者将这些照片与30年前发射的哈勃望远镜做了比较，看看影像改进了多少。这里还有一篇详细的[韦伯望远镜介绍](https://weibo.com/ttarticle/p/show?id=2309404790688712622283)。

4、[如何写一个 React 路由组件](https://github.com/ashok-khanna/react-snippets/blob/main/Router.js)（英文）

这是一个带有详细注释的脚本，讲解每一行的含义，不到100行代码，实现了 React 的路由。

5、[.Net 技术的六个误解](https://blog.devgenius.io/6-net-myths-dispelled-celebrating-21-years-of-net-652795c2ea27)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031006.webp)

本文为 .Net 正名，逐一解释常见的6个误解，比如认为 .Net 只能用于 Windows 系统。

6、[如何为静态网页添加 OAuth 登录](https://abyteofcoding.com/blog/oauth-with-cloudflare-workers-on-a-statically-generated-site/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202112/bg2021120809.webp)

本文使用 Cloudflare 的云函数，演示如何没有后端服务器，也能实现 OAuth 登录，并附有[示例库](https://github.com/vonadz/newsletter-oauth-registration-cfw)。

7、[Postgres 索引入门](https://blog.crunchydata.com/blog/postgres-indexes-for-newbies)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012008.webp)

本文简单介绍了 Postgres 数据库的各种不同索引，及其简单用法。

8、[NixOS 的包管理设计](https://blog.wesleyac.com/posts/the-curse-of-nixos)（英文）

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012507.webp)

NixOS 是一个 Linux 发行版，具有独一无二的包管理机制，彻底解决了版本冲突问题，不同版本的软件可以同时运行，新版本也可以无痛回滚到任意老版本。

## 工具

1、[Bud](https://github.com/livebud/bud)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051406.webp)

一个 Go 语言的全栈 Web 框架，用它来写网站的前端和后端，编译成一个二进制可执行文件，放到服务器上就能直接运行，不需要其他文件。

2、[Aspect](https://dev.aspect.app/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051407.webp)

一个 Web 应用，以可视化方式创建 React 组件，快速生成组件代码。

3、[Vexip UI](https://www.vexipui.com/zh-CN)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071415.webp)

个人打造的 Vue 组件库，没有大厂背景，目前有70多个组件。（[@qmhc](https://github.com/ruanyf/weekly/issues/2493) 投稿）

4、[gacm](https://github.com/alqmc/gacm)

一个极简的 Git 帐号管理工具，可以用它方便地切换和管理 Git 用户。（[@alqmc](https://github.com/ruanyf/weekly/issues/2496) 投稿）

5、[DBER](https://dber.tech/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071417.webp)

数据库 ER 图的可视化设计工具，用来设计数据库结构，拖拽生成模型引用关系，可以一键导出 SQL 语句。（[@findyourmagic](https://github.com/ruanyf/weekly/issues/2501) 投稿）

6、[EnvKey](https://envkey.com/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033118.webp)

一个服务器密钥和配置的管理软件。

7、[Bing Wallpaper](https://github.com/niumoo/bing-wallpaper)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022013102.webp)

这个仓库使用 GitHub Actions，每天自动抓取必应首页的壁纸图片。

8、[C2Rust](https://c2rust.com/)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022020310.webp)

这个工具可以将 C/C++ 代码转换成 Rust 代码，除了命令行工具，还提供在线转换。

9、[Paperless-ngx](https://github.com/paperless-ngx/paperless-ngx)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040102.webp)

一个用来管理个人文档的开源软件，可以把 PDF、Office、图片文件等都放在里面，需要自己架设服务。

## 资源

1、[Bash-Oneliner](https://github.com/onceupon/Bash-Oneliner)

该仓库收集各种一行的 Bash 命令，用来完成各种不同的任务。

2、[Dracula](https://draculatheme.com/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071416.webp)

这个网站收集了266个应用的暗色主题，比如 Zsh、Xcode、Vim、Figma 等。（[@fish-404](https://github.com/ruanyf/weekly/issues/2495) 投稿）

3、[Tiny Python Projects](http://tinypythonprojects.com/Tiny_Python_Projects.pdf)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071006.webp)

Python 教学书籍，PDF 免费下载，教初学者动手做22个 Python 小项目。

4、[汇编语言的艺术](http://www.phatcode.net/res/223/files/html/toc.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030806.webp)

在线阅读的免费电子书《The art of assembly language programming》，面向初学者的汇编语言教程，从最基本的二进制开始教起。

5、[place.dog](https://place.dog/)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031004.webp)

该网站提供狗照片作为各种大小的占位符图片，跟[猫照片占位符](https://placekitten.com/)类似。

## 图片

1、[工位监控](https://www.qbitai.com/2022/07/36029.html)

网上流传的照片，据说是深圳某公司，每个工位上方都安装了监控探头。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071411.webp)

监控探头可以看到每台电脑的显示屏。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071413.webp)

2、[印度人口](https://ourworldindata.org/world-population-update-2022)

本周发布的《联合国人口报告》，不仅预测印度人口明年会超过中国，成为世界第一；还预测到本世纪末，印度人口是中国的两倍之多（15.3亿 vs 7.67亿）。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071307.webp)

虽然印度的内部问题远远多于中国，但是人口数量放在那里，将来肯定是世界上举足轻重的大国。

3、[零元纸币](https://karthika2006.wordpress.com/2015/05/13/zero-rupee-note/)

2015年，印度的一个非政府组织印制了0卢比的纸币，样子跟法定的50卢比纸币一样，但是面值为0。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022030805.webp)

原因是该国官员的贪污非常严重，甚至会公然索贿。该组织在0元纸币正面印上“我承诺不接受贿赂，也不行贿”，还附有举报电话和举报邮箱。

该组织说，如果官员索贿，你就把这张纸币给他，他可能因此感到害怕，从而放弃索贿。不过，这种方法是否有用，很令人怀疑。

## 文摘

1、[程序员的常见健康问题](https://web.archive.org/web/20100815083705/http://sheddingbikes.com/posts/1281257293.html)

编程其实是一种有害健康的职业，而且不知不觉就造成了你的身体伤害。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071412.webp)

下面是程序员最常遇到的9种生理健康问题，希望引起大家的警惕。

（1）大量的击键造成的肌肉劳损 (RSI)，最终导致手腕疼痛。

（2）长时间盯着屏幕，使得眼睛出现问题。

（3）不良的坐姿导致背部肌肉紧张，最终出现背部疼痛，尤其是下背部和上肩部。

（4）久坐憋尿导致的肠道和泌尿问题。

（5）久坐导致痔疮和前列腺问题。

（6）喝太多咖啡，导致出现身体脱水。

（7）喝太多咖啡和熬夜，还导致睡眠障碍。

（8）缺乏阳光导致维生素 D 缺乏。

（9）缺乏运动导致的身体僵硬和酸痛。

## 言论

1、

这个星球有将近80亿人，可能有一万人与你非常相似、心灵相通。互联网是你找到他们、并发生联系的最可能方式。

-- [《在互联网上交朋友》](https://jon.bo/posts/making-friends-online/)

2、

喜马拉雅山脉的冰川是众多河流的发源地，滋养了从巴基斯坦到越南许多国家。这些国家本该一起保护冰川，但是现实是各国只扫门前雪，印度拥有印度的冰川，巴基斯坦拥有巴基斯坦的冰川。

-- [《地球是一个气候孤儿》](https://www.noemamag.com/the-planet-is-a-political-orphan/)

3、

我真的厌倦人们争论 React 类和钩子，哪一种更好。它们都可以完成工作，也都可以写出难以理解和维护的代码。

我最困扰的是，有些人并不理解钩子是如何工作的，但声称用了钩子以后，代码更快了，只是因为他们在某处读到函数式编程是更好的方法。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=28968166)

4、

SpaceX 是加州最后一家大型制造业公司，加州曾经有十多家汽车厂，现在都没了，甚至我们现在都考虑搬到德克萨斯州。

-- [马斯克](https://www.complex.com/life/elon-musk-says-hes-creating-a-town-in-texas-called-starbase)抱怨加州的税太高

5、

我曾经遇过一个面试者，一个问题都答不上来，甚至最简单的问题也不行。他只会说“我不知道，换一个问题吧”。

几周后，我意识到他可能是被派来收集面试问题的。因为后来我们雇了一个女生，她完美地回答了所有的面试问题，但是正式入职后，写代码却写得非常糟糕。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=30157986)

## 历史上的本周

2021年（第 166 期）：[视频学习胜过读书吗？](https://www.ruanyifeng.com/blog/2021/07/weekly-issue-166.html)

2020年（第 115 期）：[保护你的 DNA，不要泄漏](https://www.ruanyifeng.com/blog/2020/07/weekly-issue-115.html)

2019年（第 64 期）：[新人如何进入互联网行业？](https://www.ruanyifeng.com/blog/2019/07/weekly-issue-64.html)

2018年（第 13 期）：[周刊为什么只谈技术？](https://www.ruanyifeng.com/blog/2018/07/weekly-issue-13.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071305.webp)

（完）

