# 科技爱好者周刊（第 215 期）：互联网最喜欢的行为模式

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2483)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070112.webp)

6月30日，四川凉山的金阳河特大桥正式通车。这座桥长度不到800米，但是桥墩高达196米，是亚洲最高的桥墩。（[via](https://www.163.com/dy/article/HB70DR810514R9KQ.html)）

## 本周话题：互联网最喜欢的行为模式

巴菲特说，他考察候选人，就看[三个“i”](https://www.inc.com/marcel-schwantes/warren-buffett-hiring-top-talent-characteristics.html)。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071611.webp)

> - integrity（正直）
> - intelligence（智力）
> - initiative（主动）

“正直”（integrity）和“智力”（intelligence）比较容易想到，大多数人会忽视第三点“主动”（initiative）。可是，**主动恰恰是互联网最喜欢的行为模式。**

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071612.webp)

现实世界往往有很多约束，你想做什么事，需要各种条件具备，才有办法去做。所以，很多时候不得不被动等待。

但是，线上世界不是这样，限制条件比较少。**只要技术可行，一般来说，就可以去做。如果你还在等待条件成熟，就会错失机会。** 所以，想到就去做，在互联网上特别重要，这就叫主动。

举例来说，找工作，大多数人想到的是下面两种方式。

> - 方式一：看到招聘广告，投递简历。
> - 方式二：认识某个内部人员，请他内推。

这两种方式都有一个前提，就是你碰巧知道这家公司要招人了，然后再去应聘。

但是互联网找工作，有另一种方式，完全可以主动出击。

> - 第一步：你看到了一个心仪的产品。
> - 第二步：你写下自己可以帮助改进这个产品的10个地方。
> - 第三步：你找到 CEO 的信箱或社交账号，把想法发给他，就说你可以帮到这个产品。

这就是主动的行为方式。你不必等公司发布招聘岗位，如果想去那里工作，就找上门，展示自己的价值。在互联网上，没人禁止这么做，成本又这么低，那为什么不做呢？

主动和被动，很多时候说到底，就是对待机会的心态不一样。被动的心态是“机会来了，我追上去，抓住机会”，主动的心态是“我先亮相，创造机会”。

“亮相”在互联网上特别重要，你不亮相，没人知道，你一亮相，大家都会知道。英语叫做“show”，先把自己或产品 show 出来，其他事情后面再说。

美国导演[伍迪艾伦](https://tompeters.com/2008/06/eighty-percent-of-success-is-showing-up/)说过：“成功的80%来自于亮相”（80 percent of success is just showing up）。如果真的是一个好产品，只要一亮相，就等于成功了80%。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071906.webp)

被动的心态特别不适合互联网，除了互联网的限制少，被动会延误机会以外，还有一个原因。那就是互联网是一个全新领域，变动极快，你认定可以跟随的模式，可能根本不可靠。

还是以求职为例，被动的心态是先得到一份工作，然后再变得优秀。问题是，等到你变得优秀了，你的这个领域可能已经过时，毫无吸引力了。相比之下，主动的心态则是先做出优秀的成果，吸引企业和其他人，为自己创造更多的机会。 

不可否认，主动出击的风险比较大，被动跟随比较安全。因为被动跟随时，需求是确认存在的，主动出击时，外部需求并不确定，很可能是你的幻觉，你做的一切也许都是盲目的。

如果你想在互联网领域发展，在我看来，最好的、风险最小的行为模式，就是**做出更多的代表作品和提升自己的手艺，主动去做，先亮相再说。** 你的成果越多、越优秀，盲目的可能性就越小，主动出击的风险也越小。

## 平价学习平台 ApeClass

一个小调查：你在网上买过课程吗？上一次购买的课程多少钱？

我这么问，是有感于国内培训业这些年的“高价化”趋势，动辄就1万～2万元一门课。大家可以说说，是不是这样。

价格这么高，即使物有所值，也有很多副作用。一方面，培训机构为了高额利润，不择手段，甚至鼓动学生贷款买课；另一方面，学生买了以后，一旦后悔要求退款，极易发生矛盾和纠纷。

最近，一个老朋友来找我，我们多年没联系了。他告诉我，他从业多年，早有这种看法，所以做了一个全新的尝试，看看能不能改变大环境。

今天就把他的这个项目介绍给大家：一个新的 IT 学习平台 [Apeclass](http://www.apeclass.com?did=13)。它跟国内其他的培训网站都不一样，**我觉得它走在一条正确的路上，** 大家值得关注这个新的尝试。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072101.webp)

首先，作为一个学习平台，它提供完整的课程。第一期已经上线的有《前端》、《Python》、《JAVA》、《云计算》等，后续还会上线 C 语言、PHP、Go、Linux 运维、APP 开发等主流课程。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072102.webp)

其次，每门课都由短视频组成，每个视频长度几分钟。一门完整的课程包含了几百个视频。目前，原创视频总数已经超过了3000。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072103.webp)

最后，就是它不一样的地方，**你不必注册会员，也不必付费，每门课点开就可以开始学习**，比如[《Python 课程》](https://www.apeclass.com/course/1?did=13&moduleId=29)。只有当你学完免费章节，还想接着往下学，才需要开通付费会员。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072104.webp)

它的会员是永久性的，一次性付费299.5元，就可以<ins>永久学习平台上的所有课程，包括后续上线的各种课程</ins>。折算下来，每门课只有30多元。

考虑到课程的量和内容，这个价格对其他机构会产生很大杀伤力，我那位朋友因此也受到了不少责难和攻击。

总之，**ApeClass 的定位就是一个 IT 廉价课程超市**，提供各种课程，同时价格低廉，告别“高价化”路线，让大家自由学习，平台又能有一定的收入，可以持续发展。

我认为，这个模式完全正确，国内的培训行业应该走这条路。ApeClass 的课程质量，大家可以自行听课判断，单单它有勇气打破行业规则，做出这个平台，就值得肯定。

据朋友说，[ApeClass](http://www.apeclass.com?did=13) 目前是亏损的，课程制作成本、服务器、视频点播、带宽等等都需要大量投入。所以，欢迎大家访问网站，或者扫描下方二维码，试听各种课程，也欢迎购买会员支持，毕竟会员不会过期，购买以后就可以永久解锁所有内容。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072105.webp)

## 科技动态

1、[带轮子的遥控商店](https://www.axios.com/the-first-remote-controlled-store-on-wheels-bc3137f7-9002-47f2-bbe8-778ce11634c3.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032407.webp)

一家硅谷创业公司推出了遥控的售货机器人。它基本上就是一个自动售货机，但是装上了轮子，可以在街道上遥控行驶。

它方便的地方就是可以遥控移动，白天在办公区，下班后开到夜市，晚上再回到仓库，进行补货和维护。

2、[英国的跨海输电](https://xlinks.co/morocco-uk-power-project/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042505.webp)

为了减少对化石能源的依赖，英国发起了一个疯狂的项目。它跟非洲的摩洛哥达成协议，在撒哈拉沙漠边缘圈了1500平方公里的地，进行太阳能和风能发电，然后通过海底电缆向英国输送电力。

这个项目将会沿着非洲海岸，铺设四根长达3800公里的电缆，再沿着西班牙和法国的海岸，一直通到英国（上图）。这应该是世界最长的海底电缆。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042506.webp)

该项目计划2030年投入使用，可以向英国每天提供1万兆瓦的电力，相当于英国8%的用电需求。

3、[太阳能无人机](https://www.bbc.com/news/technology-62123819)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072010.webp)

空中客车公司的一架太阳能无人机，6月15日从美国起飞，然后一直在空中，直到现在已经一个多月了，没有着陆过，正在创造飞行器不间断飞行的世界记录。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072011.webp)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072012.webp)

它采用太阳能供电，总重量62公斤，可以载重5公斤的设备，设计目的是作为一个可移动的卫星，对地面进行高空监视，或者向农村地区提供 4G 通信，可以在全世界任何地点对其进行控制，有很大的军用价值。

4、[肠道呼吸](https://www.science.org/content/article/mammals-can-breathe-through-their-intestines)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022061404.webp)

美国辛辛那提儿童医院做了一个实验，科学家让小鼠和猪短暂缺氧、呼吸困难，然后通过肛门，向它们的肠道输氧。结果，在缺氧环境下，肠道输氧的动物比对照组，多活了一个小时。

这个实验证明，哺乳动物可以通过肠道吸收氧气。也就是说，肠道也具有一定的呼吸功能，可以将氧气输送到肺。

虽然没有进行过人体实验，但是科学家设想在紧急情况下，没有其他办法可用时，通过肛门注射含氧液体可能可以挽救人类生命。

5、[机器山羊](https://www.notebookcheck.net/Kawasaki-unveils-a-bizarre-ridable-robot-goat-instead-of-a-new-electric-motorcycle.608603.0.html)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032411.webp)

日本川崎公司以摩托车而闻名，但是最近它很奇怪地推出了一种电动的机器山羊，用户可以骑在上面，缓慢地前进。

这种机器山羊配备了摩托车的车把，还可以跪下，让用户更方便地“上下羊”，山羊的角就是 LED 头灯。除了载人，它还可以载货。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032412.webp)

川崎公司没有说，为什么要开发这种机器羊。但是，人们未来不骑自行车、摩托车，改骑机器羊、机器马，也是完全有可能的。

## 文章

1、[B 站2021年7月13日事故剖析](https://www.bilibili.com/read/cv17521097)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072004.webp)

B 站官方回顾和剖析了去年7月13日停服的原因和处理过程。（[@moreant](https://github.com/ruanyf/weekly/issues/2504) 投稿）

2、[国家植物园巨魔芋开花](http://www.bjnews.com.cn/detail/165821990514497.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072106.webp)

巨魔芋是世界珍稀濒危植物，也是世界最臭的植物，很难得开花，人工环境下全世界总共只发生100多次。

7月19日，北京国家植物园的温室内一株巨魔芋开花了，而且它旁边那朵可能马上也要开了，这种群体开花，属于世界首次。这里还有[图集](https://www.bjnews.com.cn/detail/165823103314665.html)。

3、[韦伯望远镜使用 68GB SSD](https://www.toutiao.com/article/7119734164881998336/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072107.webp)

美国宇航局披露，韦伯望远镜使用的硬盘是 68GB SSD 固态硬盘。这令人难以置信，100亿美元的大项目，为什么会用这么小的硬盘呢？一天的数据就能装满，而且 SSD 并不是很可靠的存储介质。

4、[5 种限流算法，7 种限流方式](https://www.wdbyte.com/java/rate-limiter.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072006.webp)

本文总结了 Java 服务器端挡住突发流量的一些限流措施。（[@niumoo](https://github.com/ruanyf/weekly/issues/2506) 投稿）

5、[我两年里面做过的小项目](https://tinyprojects.dev/posts/i_spent_two_years_launching_tiny_projects)（英文）

作者回顾了他在两年里面做过的8个小项目，每个项目的构思，以及有没有赚钱，还是有所启发的。

6、[CPU 散热器的罩子](https://pubby.games/papermod.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033007.webp)

作者注意到，英特尔 i9 CPU 的原装散热器（右图）在风扇周围有一个蓝色塑料罩，而 i5 的散热器（左图）只有一些零星的散热片。

他很好奇，这个罩子有什么用，就自己动手用硬纸板为 i5 做了一个罩子，看看有何不同。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033008.webp)

7、[用户通知的推送指南](https://www.smashingmagazine.com/2022/04/guide-push-notifications-developers/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052809.webp)

2009年，苹果首先在 iPhone 推送用户通知（push notification）。这个功能很快就普及到安卓、浏览器和桌面系统。本文对它进行全面介绍，不涉及代码实现。

8、[神奇的 H.264](https://sidbala.com/h-264-is-magic/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031911.webp)

一篇很有名的长文，写于2016年，介绍 H.264 算法为什么这么神奇，可以将高清视频压缩得这么小。

## 工具

1、[joshuto](https://github.com/kamiyaa/joshuto)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052107.webp)

Linux 命令行下使用的文件管理器。类似的软件还有 [nnn](https://github.com/jarun/nnn)。

2、[QCAD](https://www.qcad.org/en/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052201.webp)

一个 Windows 开源的 CAD（2D）做图软件。 

3、[Adaptive Cards](https://adaptivecards.io/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052301.webp)

微软推出的一套组件框架，使用 JSON 文件进行描述，因此任何平台都可以加载。也就是说，同一个组件可以用于手机、网页、.Net 应用等各种 UI。

4、[code-server](https://github.com/coder/code-server)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040901.webp)

一个 VS Code 远程服务的封装，可以安装在任意机器上面，然后就能在浏览器使用 VS Code。你还能使用 [Blink](https://docs.blink.sh/advanced/code) 作为 iOS 客户端，在 iPhone/iPad 上编码（下图）。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022040902.webp)

5、[Logto](https://logto.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072005.webp)

一个开源的用户身份认证和登录注册软件。（[@gao-sun](https://github.com/ruanyf/weekly/issues/2507) 投稿）

6、[bore](https://github.com/ekzhang/bore)

一个非常简单的命令行工具，让你轻松将内网端口暴露到互联网上。

7、[r3DPhoto](https://www.r3dphoto.app/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041006.webp)

一个免费的 iPhone 应用，将平面照片转为 3D 模型文件。

另有一个 Windows 文件管理器的插件 [Space Thumbnails](https://github.com/EYHN/space-thumbnails)，提供 3D 模型文件的缩略图预览。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041007.webp)

8、[Pinry](https://docs.getpinry.com/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041102.webp)

一个 Pinterest 的开源克隆，可以用来保存收藏的图片和网址，以“瀑布墙”的形式展示。

9、[musikcube](https://github.com/clangen/musikcube)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052701.webp)

一个基于终端的跨平台音乐播放器，同时也是一个流媒体音频服务器，可以在手机上连接它收听音乐。

## 活动

1、[第二届稀土开发者大会](https://juejin.cn/live/xdc202201)

本次大会今天开幕，今明两天（7月22日和23日）全程线上直播，免费观看，标题就是直播间网址。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070610.webp)

大会由稀土掘金技术社区主办，包含了18个技术专场（大前端、云原生、微服务、低代码、数据库、人工智能等），均由国内外大厂的技术专家出品。

今天上午的主论坛，还会有 Vue 创始人尤雨溪的演讲，感兴趣的朋友不要错过。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072013.webp)

## 资源

1、[Python 设计模式](https://github.com/brandon-rhodes/python-patterns)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031405.webp)

免费的英语电子书，介绍 Python 语言如何使用各种设计模式（design patterns）。这是在线阅读，另有[源码仓库](https://github.com/brandon-rhodes/python-patterns)。

2、[HowToStartOpenSource](https://github.com/eryajf/HowToStartOpenSource)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072007.webp)

一份作者自己整理的 GitHub 中文使用指南，初学者可以用来学习怎么使用 GitHub。（[@eryajf](https://github.com/ruanyf/weekly/issues/2510) 投稿）

3、[世界建筑大赛2022](https://www.worldarchitecturefestival.com/live/en/page/2022-shortlist)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072008.webp)

这是2022世界建筑奖的投票网页，介绍了今年全世界值得注意的几百个新建筑。

4、[cssbuttons](https://github.com/eludadev/css-buttons)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051607.webp)

这个仓库收集各种按钮的 CSS 代码，大部分都带有动画效果。

5、[Python 网页抓取详尽指南](https://www.scrapingbee.com/blog/web-scraping-101-with-python/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051608.webp)

这篇英语长文详细介绍如何使用 Python 进行网页抓取。

## 图片

1、[路灯的颜色](https://nofilmschool.com/2014/02/why-hollywood-will-never-look-the-same-again-on-film-leds-in-la-ny)

传统的路灯一般是[高压纳灯](https://finance.sina.com.cn/jjxw/2022-05-17/doc-imcwiwst7869042.shtml)，发出黄光，所以很多文学作品和电影描绘城市的夜晚，都是“昏黄的路灯”。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071603.webp)

但是，现在的路灯纷纷替换成了更节能的 LED 灯，发出白光。因此，城市的夜晚不再发黄，而是变得“白亮”。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071604.webp)

上图左侧是传统路灯的街道，右侧是 LED 路灯的街道。

有报道称，电影公司对此很头痛。白光会让街道看上去更像白天，失去夜晚的氛围，因此不得不通过后期加工，将路灯改成黄光。

2、[Chiphell 桌面 Show 活动](https://www.chiphell.com/article-25725-1.html)

Chiphell 网站正在举办[第四届桌面 Show 活动](https://www.chiphell.com/forum-290-1.html)，请网友上传照片，展示他们的上网环境。

下面是去年第三届的一些获奖照片。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031014.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031015.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031016.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031017.webp)

## 文摘

1、[我如何丢失1.25亿美元的交易](https://threadreaderapp.com/thread/1449858706750033921.html)

1998年，我25岁，怀揣着梦想，与几个朋友一起创办了一家公司，经营互联网广告业务。

当时第一名的搜索引擎是雅虎，我的梦想是与它合作。我向雅虎提出了“关键词广告”的概念：根据用户输入的搜索关键词，展示相应的文字广告。我试图说服雅虎，这会比他们现有的横幅广告更好。

经过一年多的游说，雅虎终于表示有兴趣收购我们。

当时，我还有一个备用计划。万一雅虎的收购没有实现，我们将与另一家电子商务的创业公司 Viaweb 联手，通过他们的网站实现“搜索广告化”。

我跟 Viaweb 的创始人有过多次交谈，我们两家都想被 Yahoo 收购。但是我跟他说，我们可以合并成一家公司。他们似乎很感兴趣，我们讨论了粗略的条款。

就在我们与 Viaweb 的合并谈判即将取得成果时，雅虎出价1.25亿美元收购我们。这比我们想象的金额要多得多。我们立刻同意了雅虎的报价，雅虎的一个条件是要求我们切断所有其他谈判（包括与 Viaweb 的合并谈判）。

雅虎的收购可能需要一个月的时间。我无法抑制自己的兴奋，跟合伙人日夜讨论，我们幻想着用雅虎制作搜索广告。我还幻想着为父母买房。

同时，我希望跟 Viaweb 的合并不要终止，万一后面有变化，还能继续推行。这并不容易，我不能把被雅虎收购的事情告诉他们，同时也不能回应他们提出的要求，并且闭口不谈为什么。

在签署最终协议前夕，我与雅虎创始人杨致远会面，一起喝酒。

我告诉杨致远，我对于加入雅虎是多么兴奋。我兴奋地告诉他，我们还应该一起收购另一家规模较小的创业公司 Viaweb。他们有令人难以置信的技术和团队，我们一起可以让 Yahoo Search 成为强大的搜索引擎。

杨致远的反应不冷不热。首先，他对搜索业务的热情并不高。其次，他已经听说过 Viaweb：“我们的人看过他们，印象不是很深。”事后看来，这应该是让我闭嘴的暗示。

我鬼使神差地继续滔滔不拒地说下去，大概是我自以为自己已经在杨致远的团队中，并且急切地想帮助雅虎。也可能因为我知道 Viaweb 的员工非常棒，想要纠正杨致远。另一个原因是我喝多了。

“你们错了，Viaweb 团队很棒。他们的工程师可能比你的更好，”然后，我愚蠢地补充说：“他们比我们好。” 

“这很有趣，”杨致远回答道。“也许我们应该再看看 Viaweb。”

几天后，雅虎以会计问题为由取消了收购我的创业公司。我难以置信地一遍又一遍地阅读他们的拒绝信。是不是另有隐情？不管怎样，我的1.25亿美元，再见了。

这件事是毁灭性的。我们所有的员工都得知了，这让我们丧失了前进的动力。我把整个故事告诉了我的室友，他们一致认为我是个白痴。沮丧的我开始尝试联系 Viaweb，重新启动我们的后备计划。

我给 Viaweb 的 CEO 发了消息，他没有回复。无奈之下，我又发了一封，还是没有回复，感觉他在躲我。

几周后，我们看到新闻：雅虎收购了 Viaweb。我立刻明白这是怎么回事了。这两家公司都曾是我们的合作伙伴，但我现在都失去了。

我用了几个月的时间，才从打击中恢复过来。我学到了一个教训：在最终完成前，交易都是不确定的。不管你多么想和对方在一起，在交易结束之前不要亮出你的牌。

另一个教训是：要有耐心，学会什么时候闭嘴。

不过，有些事情我觉得自己还是对的。至少我的意图是好的，帮助了 Yahoo 和 Viaweb。生意不只是赢，也是帮助他人，只是我有些天真。

最终，我们关于搜索广告的想法，证明是对的。6个月后，当微软以2.65亿美元收购了我们。上一笔失败的收购证明很有帮助，我们不想失去另一笔交易。为了避免他们改变主意，我们特意给微软准备了一些惊喜，让他们在尽职调查中发现。

后来，Viaweb 的团队在雅虎待得不是很开心，合同期一到，他们就辞职离开了。再后来，谷歌出现了，永久取代了雅虎搜索。

## 言论

1、

工业革命之前，一个农民最多养活四个人，这意味着大部分人都必须是农民。现在21世纪，一个美国农民平均可以养活130人，所以农民占人口比例很小。

科技使得农业生产大大集中了，其他行业也大致如此。人类历史是一个日益集中化的趋势，去中心化只是海市蜃楼般的幻想。

-- [《去中心化是一种海市蜃楼》](https://secondbreakfast.co/decentralization-is-a-narrative-mirage)

2、

人们一直说，学习编程语言会让你成为更好的程序员，不是这样的。它在一定程度上让你变得更好，但是接着它会让你感到痛苦和对自己不满意，因为仅仅入门一种编程语言，你是无法将产生的新想法在日常工作中实现的。

-- [Aditya Sriram](https://typesanitizer.com/blog/go-experience-report.html)

3、

抽水蓄能电站并不是一种可以推广的能量储存方式。要获得一节五号电池的电能，必须将100公斤的水抬升10米。简而言之，它的致命缺点就是需要大量的水。

-- [《抽水蓄能不是储能的灵丹妙药》](https://energynews.us/2011/11/22/pumped-hydro-not-a-magic-bullet-for-energy-storage/)

4、

Go 语言只报告编译错误，从不发出警告。因为我们认为，如果值得警告，那就值得在代码中修复。如果不值得修复，那就不值得一提。

-- [Go 官方文档](https://go.dev/doc/faq#unused_variables_and_imports)

5、

得知马斯克有了第9个孩子，我给他发短信：“恭喜你，你打算生多少个孩子啊？”

他回了一条短信：“火星上需要人类。”

-- [马克・库班](https://www.ithome.com/0/630/100.htm)（Mark Cuban）

## 历史上的本周

2021年（第 167 期）：[广告拦截器太过分了](https://www.ruanyifeng.com/blog/2021/07/weekly-issue-167.html)

2020年（第 116 期）：[世界的未来就是一个火药桶](https://www.ruanyifeng.com/blog/2020/07/weekly-issue-116.html)

2019年（第 65 期）：[周刊开设"谁在招人"的招聘服务](https://www.ruanyifeng.com/blog/2019/07/weekly-issue-65.html)

2018年（第 14 期）：[马斯克的人生才是梦想家的人生](https://www.ruanyifeng.com/blog/2018/07/weekly-issue-14.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

