# 科技爱好者周刊（第 216 期）：极简主义的胜利

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2483)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072501.webp)

7月23日，国家版本馆同时在北京、杭州、西安、广州落成，用来永久保存文化传承的物品。上图是西安分馆文济阁。（[via](http://www.news.cn/politics/2022-07/24/c_1128859823.htm)）

## 本周话题：极简主义的胜利

你可能听说过，[极简主义](https://baike.baidu.com/item/%E6%9E%81%E7%AE%80%E4%B8%BB%E4%B9%89/6588186)（minimalism）这个词。

它指的是一种美学风格，只保留最必不可少的成分，其他都省略，追求简约。比如，极简主义的网页设计，就只有标题、正文等主要内容，其他都是空白。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072109.webp)

极简主义的室内装潢，简单空旷，只有必要的家具和电器。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072110.webp)

我一向以为，极简主义是一种非常小众的审美，能接受的人并不多。如果你喜欢奢华、享受、体面、炫耀、热烈、富足等等特性，就不太可能喜欢极简主义。

但是，我最近读到[一个老外的观点](https://threadreaderapp.com/thread/1538211892707086338.html)，才意识到，**极简主义不知不觉已经是社会的主流了。**

他举了很多例子。第一个就是人行道的地桩对比，以前的地桩 vs 现在的地桩，你看是不是向着极简主义演化。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072111.webp)

不仅是地桩，日常生活中每样东西的设计，其实都渐渐采用了极简主义，变得越来越简约实用。

河道的护栏

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072112.webp)

电话亭

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072113.webp)

长椅

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072114.webp)

门铃

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072115.webp)

咖啡馆

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072116.webp)

宜家的书柜

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072117.webp)

楼宇

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072118.webp)

公司的 logo

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072119.webp)

上面所有这些对比，都体现了一个共同点：**现代设计舍去了多余的细节，只保留了最必不可少的结构**，这不就是极简主义的理念吗？

为什么现代设计师最终都选择了极简主义？

原因很简单，**当代社会是商业社会，重视功能、效率、降低成本**，因此必然会舍弃多余的细节和用不到的部分，这就导致了设计趋向极简主义。

可以预期，极简主义会继续大行其道。只要某个领域采用商业规则，那么就会采用极简主义的设计。

只有当你不在意效率和成本时，才可能选择其他的设计风格。什么时候你会不在意效率和成本？大概只剩下那些纯粹的个人领域吧。

## 科技动态

1、[灯泡芯片运行 Doom](https://uk.pcmag.com/games/133930/you-can-run-doom-on-a-chip-from-a-15-ikea-smart-lamp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062101.webp)

Doom 是1993年发行的电脑游戏，后来代码开源了。它的硬件要求很低，所以被移植到了各种平台。

最近，一个匈牙利程序员成功在智能灯泡的芯片上，让 Doom 运行起来。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062102.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062103.webp)

他在宜家购买了一款 14.95 美元的智能灯泡，里面有基于 ARM 的 Cortex M33 处理器和约 108KB 的内存。他将芯片取出来，配上一个单独的主板，以及 8MB 闪存（作为硬盘）、电源连接器、音频和键盘接口，然后连上显示器和一个8键键盘，游戏就可以运行了。 

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062104.webp)

2、[双层飞机座椅](https://edition.cnn.com/travel/article/chaise-longue-double-decker-airplane-seat/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062217.webp)

一个21岁的美国女大学生，设计了一款双层的飞机座椅，在设计比赛中获奖，得到了航空公司的关注。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062219.webp)

这种座椅的第二层，加在第一层的背后，因此不需要对现有的飞机进行大幅改造，就可以放进波音 747、空客 A330 等大型宽体飞机的客舱。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062220.webp)

它的缺点是，第二层的乘客无法站直，腿也伸不直，可能比较适合儿童坐。

3、[碎玻璃混凝土](https://www.ifanr.com/1485208)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050919.webp)

新加坡南洋理工大学的一个研究团队提出，使用碎玻璃替代混凝土里面的沙子。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050918.webp)

混凝土需要掺入河砂，提高强度，但是地球上的河砂是有限的，大量开采不仅破坏环境，而且无法持续。

碎玻璃与河砂的成分都是二氧化硅，如果可以用玻璃替代河砂，不仅解决了沙子的来源，还解决了废玻璃回收的难题。

4、[拟人语音](https://www.npr.org/2022/06/23/1107079194/amazon-alexa-dead-relatives-voice)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062401.webp)

亚马逊公司为它的智能音箱 Alexa 推出了一项新功能，只要提供某人一分钟的语音，这个音箱就能模拟这个声音说话。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062402.webp)

亚马逊设想的场景是模拟已故亲人的声音，用他们的声音说话，让你可以跟他们虚拟对话。新闻稿说：“虽然 AI 无法消除失去亲人的痛苦，但它绝对可以让他们的记忆持久。”

网上对此的评论两极化，有人认为这个功能很好，另一些人则认为，它“令人毛骨悚然”，是一种“病态”的功能。

## 视频

1、[六架 C919 同框](https://www.163.com/dy/article/HD1O47LI051481US.html)

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=v33492d04xo" allowFullScreen="true" width="600" height="400"></iframe>

中国国产的首个大型客机机型 C919 完成了所有试飞任务，首批一共6架，在陕西渭南机场集体亮相。[上面视频](https://v.qq.com/x/page/v33492d04xo.html)就是6架 C919 的编队。

C919 属于单通道飞机（一个走道），标配168个座位，接下来就会交付航空公司，执行客运任务了。

2、[80度转向的车轮](https://interestingengineering.com/axle-steering-angles-80-degrees)

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=r3349fxy0gl" allowFullScreen="true" width="600" height="400"></iframe>

一家德国汽车零件公司开发了80度转向的车轮，实现了在很窄的空间里面360度调头，用它停车入位也变得非常简单。上面是该公司的[官方宣传视频](https://v.qq.com/x/page/r3349fxy0gl.html)，用一辆宝马汽车演示。

## 文章

1、[甲醇汽车的前景如何？](https://nev.ofweek.com/2022-03/ART-71008-8460-30554960.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072305.webp)

吉利是国内唯一始终在推动甲醇汽车的公司，本文讨论甲醇汽车的利弊。

甲醇容易制造，没有技术难点，成本低，污染小。它的热量值约为汽油的一半，意味着配备同样大小的油箱，汽车行驶里程会打对折。此外，甲醇易挥发，有毒性，而且也会排放二氧化碳。

2、[国家云正式上线](https://finance.sina.com.cn/tech/tele/2022-07-25/doc-imizirav5387357.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072608.webp)

中国电信牵头打造的国家云，正式对外亮相。以后，国资企业的云应用，可能逐步向“国资云”平台迁移。

3、[谷歌等科技公司要求取消闰秒](https://www.cnbeta.com/articles/tech/1296709.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072609.webp)

某些年份会增加或减少一秒钟，这就叫闰秒。这对计算机系统造成很大困扰，意味着一分钟可能有61秒或59秒。因此，谷歌、微软、Meta和亚马逊联合发声明，建议取消闰秒，参见 [Meta 的原文](https://engineering.fb.com/2022/07/25/production-engineering/its-time-to-leave-the-leap-second-in-the-past/)。

4、[谷歌为什么要推出 Carbon 语言？](https://thenewstack.io/google-launches-carbon-an-experimental-replacement-for-c/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072614.webp)

最近几年，越来越多的公司尝试发明新语言，比如使用 TypeScript 更新 JavaScript，使用 Kotlin 更新 Java。

本月，谷歌宣布推出 C++ 的替代品 Carbon 语言，因为谷歌认为 C++ 的发展太慢，希望设计出一种由社区推动而不是委员会控制的新语言。

5、[如何将 Chrome 用作代码编辑器和调试器](https://blog.openreplay.com/how-to-use-chrome-as-a-code-editor-and-debugger)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060702.webp)

Chrome 浏览器自带的开发者工具有很多功能，本文详细介绍如何用它来编辑和调试 JS 脚本。

6、[最好的无损图像格式是什么？](https://siipo.la/blog/whats-the-best-lossless-image-format-comparing-png-webp-avif-and-jpeg-xl)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060802.webp)

作者比较了四种无损的图像格式，评论它们的表现：PNG、WebP、AVIF 和 JPEG XL。

7、[超声波支付](https://charliegerard.dev/blog/ultrasonic-payments/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060902.webp)

很早以前，支付宝推出过超声波支付，就是用超声波发送支付请求，不需要网络连接就能付款。而且，人耳听不见超声波，用户不会感到被打扰。

作者自己动手实现一个简单的演示，使用 quite.js 在网页上用超声波发送和接收数据（需要麦克风和喇叭）。 

8、[我怎么会想写 Ruby 解析器](https://mpov.timmorgan.org/i-built-a-ruby-parser/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060804.webp)

本文不涉及技术，作者讲述自己怎么会一个人去做一个 Ruby 解析器，可以当作故事读，了解一个人的大型项目是怎么做出来的。

## 工具

1、[PPZ.vscode](https://marketplace.visualstudio.com/items?itemName=ppz.ppz)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072818.webp)

一个 VSCode 插件，提供操作数据库的图形界面，支持多种数据库。（[@daGaiGuanYu](https://github.com/ruanyf/weekly/issues/2537) 投稿）

2、[浏览器 ADB](https://github.com/yume-chan/ya-webadb)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072817.webp)

在浏览器里面实现的 ADB（Android Debug Bridge），可以直接在 Chrome 浏览器中调试安卓设备。（[@LuRcX](https://github.com/ruanyf/weekly/issues/2536) 投稿）

3、[Sunmao](https://sunmao-ui.com/dev.html)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072802.webp)

开发低代码工具的[开源框架](https://github.com/smartxworks/sunmao-ui)，内置图形化编辑器，允许开发者封装任何 React 组件，放到编辑器里面使用，参见[介绍文章](https://juejin.cn/post/7122368174808367141)。（[@tanbowensg](https://github.com/ruanyf/weekly/issues/2515) 投稿）

4、[Auto Clipboard](https://github.com/wangmeijian/auto_clipboard)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072803.webp)

开源的 Chrome 浏览器插件，只要选中文本，就自动复制到系统粘贴板。（[@wangmeijian](https://github.com/ruanyf/weekly/issues/2517) 投稿）

5、[Hakuba](https://github.com/YeungKC/Hakuba)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071801.webp)

这个工具可以把 GitHub 讨论区（GitHub Discussion）转变成一个静态的博客网站。并且配置了自动构建，只要论坛发生变动，就会重新构建网站。（[@YeungKC](https://github.com/ruanyf/weekly/issues/2524) 投稿）

6、[tlops](https://github.com/iamtsm/tl-ops-manage)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072804.webp)

一个基于 openresty 的轻量级 API网关，方便 Web 应用的搭建，支持负载均衡、健康检查、服务熔断、服务限流、可视化管理等众多功能。（[@iamtsm](https://github.com/ruanyf/weekly/issues/2523) 投稿）

7、[JSONT](https://www.jsont.run/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072806.webp)

在线的 JSON 格式化工具，方便展示、查看、编辑 JSON 数据。类似工具还有 [JSON Hero](https://jsonhero.io/)。（[@bimohxh](https://github.com/ruanyf/weekly/issues/2531) 投稿）

8、[Vue Color Avatar](https://vue-color-avatar.vercel.app/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072807.webp)

一个纯前端的矢量风格头像生成网站，可以搭配不同的素材组件，生成自己的个性化头像，参见[源码仓库](https://github.com/Codennnn/vue-color-avatar)。（[@Codennnn](https://github.com/ruanyf/weekly/issues/2532) 投稿）

9、[Xmake](https://xmake.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072808.webp)

一个轻量级的跨平台构建工具，可以用它构建 C/C++、Go、Rust 等许多语言的项目。（[@waruqi](https://github.com/ruanyf/weekly/issues/2533) 投稿）

10、[veinmind-tools](https://github.com/chaitin/veinmind-tools)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072809.webp)

这个工具可以检查 Docker 镜像文件是否存在安全问题。（[@Trc0g](https://github.com/ruanyf/weekly/issues/2535) 投稿）

## 资源

1、[二维码生成详细图解](https://www.nayuki.io/page/creating-a-qr-code-step-by-step)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052101.webp)

这个网页详细解释字符串转成二维码的过程，每一步都有图示。

2、[React 技术揭秘](https://react.iamkasong.com/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072801.webp)

原创的中文电子书，解读 React 源码，并有[配套的代码仓库](https://github.com/BetaSu/big-react)，自己从零实现 React 18。（[@BetaSu](https://github.com/ruanyf/weekly/issues/2514) 投稿）

3、[Java 学习 + 面试指南](https://javaguide.cn/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072805.webp)

一个收集 Java 核心知识和面试指南的网站，有[开源仓库](https://github.com/Snailclimb/JavaGuide)。（[@Snailclimb](https://github.com/ruanyf/weekly/issues/2525) 投稿）

4、[3D 动画揭秘](https://www.khanacademy.org/computing/pixar)（Pixar in a Box）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052103.webp)

这是 Pixar 动画公司与可汗学院的一个合作教程，通过几十个视频短片，每个大约两三分钟，介绍 3D 动画电影的制作过程。

5、[lofi.co](https://lofi.co/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052302.webp)

一个用于放松的背景音乐网站，网页背景是一个咖啡馆，配有各种动画效果（比如驶过的汽车、飘下的落叶、雨点等等），还可以进入咖啡馆室内。

## 图片

1、[键盘柜](https://www.reddit.com/r/MechanicalKeyboards/comments/6axqgq/my_new_keyboard_containment_apparatus/)

一个国外的键盘爱好者，为了展示自己收藏的机械键盘，特意做了一个储藏柜。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071907.webp)

2、[世界第一台 Web 服务器](https://blog.neocities.org/blog/2015/09/08/its-time-for-the-distributed-web.html)

互联网的 Web 服务是欧洲核子研究中心的研究员蒂姆·伯纳斯-李发明的，时间是1989年。

他当时用的是一台 NeXT 计算机，这就是世界上第一台 Web 服务器。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022031905.webp)

这台机器上贴着一张贴纸：“本机是服务器，不要断电！！”

它现在收藏在伦敦科学博物馆。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072702.webp)

3、[232层的闪存芯片](https://spectrum.ieee.org/micron-is-first-to-deliver-3d-flash-chips-with-more-than-200-layers)

美国内存大厂美光，世界第一个推出了232层的闪存芯片，一层层叠在一起，像高楼一样。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072703.webp)

但是，它封装在闪存块里面，也就几毫米的高度，闪存块的边长不超过1厘米。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072704.webp)

这个芯片的单个闪存块容量，可以做到前所未有的 2TB。这意味着，高端手机的存储容量很快普遍是 TB 级别。

## 文摘

1、[一加仑汽油需要89吨植物](https://www.eurekalert.org/news-releases/654287)

在美国，汽油的单位是加仑，1加仑等于3.785升。普通小汽车的油箱通常是15加仑，可以行驶500到600公里。

一个生态学家经过估算，发现形成1加仑汽油，需要89吨的植物。他是这样计算的：

> 1加仑汽油 = 4.87公斤原油。
>
> 原油含有85%的碳，所以1加仑汽油需要4.14公斤碳（4.87公斤 * 85%）。
> 
> 1公斤碳需要约10.75吨有机物，所以1加仑汽油需要44.5吨的有机物（4.14公斤 * 10.75）。
>
> 植物大约有一半重量是有机物，所以1加仑汽油需要89吨植物（44.5 * 2）。

这样的结果是非常惊人的。89吨植物足以组成一个小树林，但是最终只能形成1加仑汽油，体积相当于两大瓶可乐。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072819.webp)

2021年，美国消耗了1348.3亿加仑的汽油，这需要多少吨古代植物才能生产这些汽油啊？

这些经过亿万年才被固定下来的碳，最终在很短的时间内，以二氧化碳的形式重新释放到大气里面。这就是为什么应该尽快淘汰油车。

## 言论

1、

世界上最值得肯定的行为是，你创造了一些东西，然后你销售它们。

世界上第二值得肯定的行为是，别人创造出你一直想要的东西，然后别人销售它们。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=31354675)

2、

一家公司被收购时，每个人看起来都非常高兴。但我认为这是一个悲伤的日子，表示真正关心某事并致力于它的人放弃了。

他们也许累了，这也不算坏事，但可能并不值得庆祝。

-- [《我们应该庆祝公司收购吗？》](https://nutcroft.com/blog/should-we-celebrate-acquisitions/)

3、

所有值得做的事情，做得一团糟也值得做，因为做得糟总比不做好。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=31409481)

4、

普通人每天接触多达1万条广告，它们遍布商店、广告牌、公共汽车站、网站、电视、报纸和邮箱中。

广告已经渗透到我们生活的方方面面，现在广告商们正在研究，如何才能攻克最后一块没有广告的净地——梦境。

-- [《广告会出现在梦里吗？》](https://thehustle.co/are-advertisers-going-to-infiltrate-our-dreams/)

5、

我仰慕的大多数程序员都有一个很少被谈论的特质：无所畏惧。

他们无所畏惧地面对未知的代码库和未知的任务，尽管不知道如何完成，毅然开始着手做某事。让自己变得无所畏惧，是我发现的最好的学习加速器之一。

-- [《成为专业程序员10周年的感悟》](https://thorstenball.com/blog/2022/05/17/professional-programming-the-first-10-years/)

## 历史上的本周

2021年（第 168 期）：[游戏《底特律：变人》](https://www.ruanyifeng.com/blog/2021/07/weekly-issue-168.html)

2020年（第 117 期）：[我不想让你记住我的脸](https://www.ruanyifeng.com/blog/2020/07/weekly-issue-117.html)

2019年（第 66 期）：[创业不是零和游戏](https://www.ruanyifeng.com/blog/2019/07/weekly-issue-66.html)

2018年（第 15 期）：[周刊的内容从何而来？](https://www.ruanyifeng.com/blog/2018/07/weekly-issue-15.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

