# 科技爱好者周刊（第 218 期）：葡萄酒，樱花，全球变暖

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2542)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080705.webp)

美国新泽西州的一个露天停车场，全部架设了太阳能大棚，既可以用光伏板发电，又防止车辆被暴晒。这种做法值得推广。（[via](https://e360.yale.edu/features/putting-solar-panels-atop-parking-lots-a-green-energy-solution)）

## 本周话题：葡萄酒，樱花，全球变暖

今年夏天，气温[创了历史纪录](http://www.xhby.net/index/202207/t20220717_7618836.shtml)，很多地方超过40度。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080805.webp)

高温的日子非常难熬，白天根本无法户外活动。而且，一想到将来，就更让人沮丧：以后的每年夏天，难道都要在这么炎热的天气中度过吗？

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080806.webp)

本周，我看到两个很有趣、也很沉重的气候分析，想跟大家分享。**葡萄酒和樱花，可以证明地球真的在变暖。**

古代没有气温纪录，但是法国有一个葡萄酒产区，保存着1354年以来，每一年开始采摘葡萄的日期。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080807.webp)

葡萄通常在8月底9月初成熟，然后就开始采摘。如果夏天越热，葡萄就熟得越早，采摘日期也就越早。

[有一个学者](https://tamino.wordpress.com/2022/08/02/french-heat/)就从这些日期，倒推历史上每年夏天的平均气温，结果就是下图的红线。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080808.webp)

可以看到，该地区的夏季气温以前基本稳定，到了20世纪晚期以后，就开始一路上升，目前处于历史最高点。

另一个类似的研究是[樱花的盛开日期](https://www.washingtonpost.com/weather/2021/03/29/japan-kyoto-cherry-blossoms-record/)。京都是古代日本的首都，史书记载了每年樱花的盛开日期，可以追溯到公元812年。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080809.webp)

气温越高，樱花就开得越早。历史上的京都樱花都是四月中旬到五月盛开，19世纪的开花日期平均是4月17日。

但是进入20世纪，樱花开得越来越早，平均日期已经提前到了4月5日。2021年更是创了早樱的纪录，3月26日就盛开了，2022年也是这个日期。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080810.webp)

樱花盛开日期的提前，跟京都平均气温的上升是同步的。从19世纪有气象记录以来，京都的平均气温上升了3.4摄氏度。

我觉得，这两个研究很有说服力，**当前的气温明显高于过去几百年的平均气温**。更糟糕的是，它们显示，气温还没有停止上升的迹象。

[联合国估计](https://news.un.org/zh/story/2021/08/1089172)，全球平均气温现在比工业革命前高了1.2度，到本世纪末，很可能会高出2度。到了那时，后人看到2022年的夏天气温是40度，会不会觉得那是一个“凉爽”的夏天呢。

## 科技动态

1、[西班牙香肠](https://edition.cnn.com/2022/08/05/europe/scientist-space-image-chorizo-intl-scli-scn/index.html)

上周，一位著名的法国物理学家在推特发布一张照片，声称是韦伯望远镜最新拍摄的比邻星，那是距离太阳最近的恒星，大约4.2光年。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080601.webp)

成千上万的用户转发了这张照片。

第二天，物理学家向大家道歉，这根本不是恒星，而是西班牙香肠在黑色背景下的特写。他觉得很像恒星，就跟大家开个玩笑，没想到那么多人上当。说实话，还真的挺像，要是他不说，会不会没人看出来。

2、[月球熔岩管](https://www.universetoday.com/156932/lava-tubes-on-the-moon-maintain-comfortable-room-temperatures-inside/)

科学家确认，月球存在熔岩管，即熔岩冷却后形成的地下山洞。下图据信就是月球熔岩管的入口，看上去像一个深坑。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080407.webp)

这些月球山洞里面，温度总是保持在17摄氏度，不管外面的温度是多少。月球表面白天温度可以到127摄氏度，夜晚到零下173摄氏度。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080406.webp)

17摄氏度很适合人类生存，科学家认为，可以考虑在熔岩管里面建立月球基地。上图是地球上的熔岩管。

3、[掰手腕辅助器](https://www.cnbeta.com/articles/tech/1302007.htm)

掰手腕需要双方都是右撇子或左撇子，如果是一个人是右撇子，另一个人是左撇子，就无法掰手腕。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080803.webp)

为了解决这个问题，视频博主手工耿发明了“掰手腕辅助器”，双方通过对一个假手发力，进行比赛。两只假手之间通过齿轮衔接，将原本相同方向的力转换成相对方向的力。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080804.webp)

为了保持装置的稳定性，还加上了两个把手，这样也更有助于动用整个上半身的力气，真正实现全力对抗。网友还提供思路，如果一方明显力气较大，可以通过调节齿轮大小或假手的距离，让出一部分优势。

4、[亚洲最深钻井](http://www.dzwww.com/xinwen/guoneixinwen/202208/t20220810_10655028.htm)

中国石化宣布，在塔里木盆地的顺北油田，钻了亚洲最深的钻井，深度为9300米。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081102.webp)

该油田属于超深油田，垂直深度超过8000米的钻井目前共有41口，已经顺利产油。世界最深钻井是前苏联打的，深度为12.2公里。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081103.webp)

5、[世界最高木结构建筑](https://www.dezeen.com/2022/08/03/ascent-tower-milwaukee-worlds-tallest-timber-building/)

今年7月份，美国威斯康星州的 Ascent 大楼落成，成为世界最高的木结构建筑，高度为86.6米。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081104.webp)

这栋楼除了混凝土底座、电梯和楼梯，其他都是木结构。每层楼的地板和天花板，全部使用木材。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081105.webp)

下图是施工时的照片，可以看到它的完整木结构。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081106.webp)

如果可以解决防火和强度问题，木材真的可以取代砖块建筑，容易施工，对环境友好，还能固碳。

## 文章

1、[雷军2022年度演讲](https://www.sohu.com/a/576060273_358836)（中文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081120.webp)

2022年8月11日，雷军主题演讲《永远相信美好的事情即将发生》的全文。

2、[拆解一根快充线](https://www.cnbeta.com/articles/tech/1300733.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080606.webp)

作者拆解了一根 65W 的 Type-C 快充线，里面的结构还是挺复杂的。

3、[10个实用写作技巧](https://threadreaderapp.com/thread/1554667451203276801.html)（中文）

作者学到的10个写好文章的实用技巧。原文是[推特长推](https://twitter.com/coolXiao/status/1554667451203276801)，属于对英文资料的一些总结。（[@zonemeen](https://github.com/ruanyf/weekly/issues/2553) 投稿）

4、[Web Component 死了吗？](https://levelup.gitconnected.com/are-web-components-dead-12e404e0f4b0)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063023.webp)

Web Component 是浏览器原生支持的组件规范，谷歌一直在推。它已经诞生10年了，本文回顾了历史，讨论这种技术的前景。

5、[扩展 SaaS 业务的方法](https://staysaasy.com/product/2022/03/23/expanding-saas-business.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041101.webp)

这篇不是技术文章，而是写给 SaaS 创业者的商业文章，介绍应该怎么定位和扩张业务。给出的建议很实在，可操作性比较强。

6、[Chrome 的实时字幕](https://support.google.com/chrome/answer/10538231?hl=en)（英文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041704.webp)

Chrome 浏览器内置了实时字幕功能，同步将语音转成文字，显示在网页上，对于看英文视频、听英文播客很有用。

菜单“设置/高级/Accessibility/Captions”可以打开这个功能，详见标题链接的官方文档。

7、[旧安卓手机用作 Web 服务器](https://lbrito1.github.io/blog/2020/02/repurposing-android.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062404.webp)

很多人家里都有旧的安卓手机，本文演示如何将这些手机变成 Web 服务器，架设内网服务。

8、[我错了，CRDT 是未来](https://josephg.com/blog/crdts-are-the-future/)（英文）

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022041703.webp)

这篇文章解释和比较了 CRDT 和 OT 这两种多人的实时同步算法，它们主要用来实现多人同时编辑文档。

## 新兴搜索引擎

谷歌搜索多年来一直没有改进，广告越来越多，并且保存大量用户信息，搜索体验变差。

于是最近几年，一些新兴搜索引擎诞生了，并且获得了不错的成绩。[DuckDuckGo](https://duckduckgo.com/) 就是其中最知名的。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080508.webp)

今年，又出现了三个新的搜索引擎，值得关注。

1、[Kagi](https://kagi.com/) 

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060510.webp)

它提供收费搜索服务，免费账户可以每月搜索50次。保证没有广告、不保存用户信息，搜索质量很不错，不仅是英文搜索，中文搜索的结果也比较准确。

2、[yep](https://yep.com/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060511.webp)

这个搜索引擎的特点是，保证广告收入的90%会返回给内容的创作者。它的英文搜索质量还可以，中文不行。

3、[Neeva](https://neeva.com/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080510.webp)

没有广告，承诺不保存用户信息，由前谷歌工程师创建，搜索质量相当好。

## 工具

1、[StemRoller](https://www.stemroller.com/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080605.webp)

这个工具可以将歌曲的人声和伴奏分离，生成单独的清唱音轨和伴奏音轨。我试用的效果很好。

但是，它只支持处理 Youtube 的视频。另外，CPU 占用很高，一首歌要处理10分钟到15分钟，GitHub 有[源码](https://github.com/stemrollerapp/stemroller)。

2、[Diffsound](http://dongchaoyang.top/text-to-sound-synthesis-demo/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080802.webp)

腾讯和北大合作的一个模型，根据文本生成声音，比如输入“鸟儿和昆虫在白天鸣叫”，就会生成对应的声音。

3、[TWINT](https://github.com/twintproject/twint)

一个开源的推特数据抓取分析工具，不需要注册即可使用。另有 Instagram 的数据抓取分析工具 [Osintgram](https://github.com/Datalux/Osintgram)。

4、[Shottr](https://shottr.cc/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022061901.webp)

一款 Mac 电脑的免费截屏软件，性能非常好，支持滚动截屏，还可以像素级修补图像。

5、[infinite](https://github.com/fzdwx/infinite)

Go 语言的交互式命令行组件库，提供 progress、group、mulit select、input text、confirm 等常用组件。（[@fzdwx](https://github.com/ruanyf/weekly/issues/2555) 投稿）

6、[Temir](https://github.com/webfansplz/temir)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081108.webp)

使用 Vue.js 开发命令行工具的框架。（[@webfansplz](https://github.com/ruanyf/weekly/issues/2559) 投稿）

7、[vdoing-template](https://github.com/eryajf/vdoing-template)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081004.webp)

Vuepress 的一个模板库，通过 GitHub Actions，直接构建出一个静态博客。（[@eryajf](https://github.com/ruanyf/weekly/issues/2550) 投稿）

8、[Melody](https://github.com/foamzou/melody)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081109.webp)

个人用户的音乐管理工具，可以在网上搜索歌曲，然后一键下载或者上传到云盘。（[@foamzou](https://github.com/ruanyf/weekly/issues/2562) 投稿）

9、[crypto-js-wasm](https://github.com/originjs/crypto-js-wasm)

哈希和加密算法库 crypto-js 的 wasm 版本。（[@PeterAlfredLee](https://github.com/ruanyf/weekly/issues/2563) 投稿）

10、[Rainbond](https://www.rainbond.com/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081006.webp)

云应用管理平台，快速架设、使用、管理容器和 K8S 集群。（[@yangkaa](https://github.com/ruanyf/weekly/issues/2552) 投稿）

## 资源

1、[Knots 3D](https://knots3d.com/knots/en_us/ALL)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052802.webp)

这个网站使用 3D 动画，一步步演示如何打各种绳结。

2、[多邻国粤语课程](https://zh-cn.duolingo.com/course/zh-HK/zh/%E5%AD%A6%E4%B9%A0-%E4%B8%AD%E6%96%87%EF%BC%88%E7%B2%A4%E8%AF%AD%EF%BC%89)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080811.webp)

多邻国最新推出的免费粤语课程。

3、[UISET](https://uiset.com/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081005.webp)

收集免费 UI 资源（插图、图标、颜色等）的网站，可以通过 [GitHub 仓库](https://github.com/uiset-com/uiset)提交新资源。（[@bimohxh](https://github.com/ruanyf/weekly/issues/2551) 投稿）

4、[折纸地球仪](http://joachimesque.com/globe/index.html.en)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081201.webp)

这个网站提供 A4 的模板下载，打印出来，可以自己粘成地球仪。

## 图片

1、[隐形屋](https://www.odditycentral.com/architecture/londons-invisible-house-is-covered-in-mirrors.html)

伦敦有一座房屋，靠街的一面全部装上了镜子。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032806.webp)

巨大的镜子反射街景，让人很难意识到里面是一间房子。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080702.webp)

镜子是单向的，路人看不到里面，但屋主可以看到外面，有时就会看到有人对着镜子整理头发或衣服。

2、[巨大的桌面环境](https://twitter.com/johncoogan/status/1507777821992632320)

外国网友在推特上，展示一些巨大的桌面环境。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032808.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032809.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032810.webp)

有一个网友说，再大的桌面也比不过 VR 桌面。

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032811.webp)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032812.webp)

3、[盘古中央山脉](https://vividmaps.com/central-pangean-mountains/)

远古的时候，地球的陆地都在同一块大陆。

今天的英国苏格兰山脉、美国阿巴拉契亚山脉、非洲摩洛哥的小阿特拉斯山脉、格陵兰山脉，曾经是同一条山脉，称为[盘古中央山脉](https://en.wikipedia.org/wiki/Central_Pangean_Mountains)。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080703.webp)

## 文摘

1、[如何让电梯变快](https://news.ycombinator.com/item?id=30764970)

一座漂亮的新办公大楼在市中心开业了，很快就卖光了所有楼层的办公空间。

租户们进驻以后，对其他都很满意，只对一个地方有意见：电梯太慢了。

他们抱怨，花了那么多钱租办公室，但是每次乘坐电梯到高楼层，都要浪费很长时间。他们要求电梯提速。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081121.webp)

大楼业主赶紧联系了电梯公司，希望尽快升级电梯。但是电梯公司说，只有换一个电梯型号才可以，那样需要拆开了楼重新施工，费用不低于1亿美元。其他电梯公司也是同样的报价。

然而有一天，一位独立的建筑承包商出现了，他说只需1000万美元就可以解决这个问题。绝望的业主决定让他试一下。

这个承包商花了50万美元，在电梯的每一面墙上都安装了大镜子，那些地方原本只铺了装饰板和大理石。

神奇的事情发生了，租户的投诉从此停止了，不再有人抱怨电梯慢了。于是，承包商就获得了950万美元的巨额利润。

这里的奥秘就在于，承包商正确地意识到，问题不在于电梯很慢，而在于人们在乘坐过程中感到厌烦（那时智能手机还没有出现）。

既然我没有办法让电梯变快，那就只有想办法减少人们的厌倦感。什么事情是人们永远不会厌倦的？那就是看着镜子里的自己。

## 言论

1、

有时候，我坐在电脑前，想写一些东西。面对着空白的文本编辑器，坐了一个小时，什么也写不出来，非常有挫折感。

后来，我想通了，提醒自己写不出来没关系，这是为好作品的发生创造时间和空间。

-- [《盯着空白页》](https://daydreamsinruby.com/staring-at-a-blank-page/)

2、

制定一个计划，就是为了实施。计划的唯一目的是确保得到更好的结果。

如果不去实施，计划本身并没有价值。如果你清楚如何得到结果，完全可以没有计划。

-- [《计划是为了做》](https://biggestfish.substack.com/p/planning-is-for-doing)

3、

很多年前，Drupal 是世界最流行的内容管理系统，你可以用它做任何事情，总有一个插件可以提供你需要的功能。

但是，正是这一点成为它的致命伤。几年后，基于它的每一个项目都变得过于复杂且维护成本高昂。

-- [《Drupal 快死了》](https://medium.com/@maximetopolov/drupal-is-dying-6129b4bd3d22)

4、

未来几十年将是一个无序时代：超级大国相互冲突、社会不平等加剧、经济发展缓慢、世代争吵、生态系统恶化、大量人口生活艰难。

-- 德意志银行2020年的研究报告，转引自[《与宇宙玩骰子》](https://www.artnews.com/art-in-america/features/tauba-auerbach-s-v-z-sfmoma-1234612921/)

5、

20年前，数据库只有一个选择，就是关系数据库。现在，大型企业平均会用到七种不同的数据库。

比如，Snowflake 用于数据仓库，Clickhouse 用于临时分析，Timescale 用于时间序列数据，Elastic 用于搜索数据，Postgres 用于事务, Redis 用于缓存，Cassandra 用于复杂工作负载，Dgraph 用于关系数据。

-- [《欢迎来到新的数据库时代》](https://ethanjb.medium.com/welcome-to-the-new-database-era-f4f8c8c407e1)


## 历史上的本周

2021年（第 170 期）：[软件订阅制的胜利](https://www.ruanyifeng.com/blog/2021/08/weekly-issue-170.html)

2020年（第 119 期）：[降雨量和保险博弈](https://www.ruanyifeng.com/blog/2020/08/weekly-issue-119.html)

2019年（第 68 期）：[关注能力的成长，胜于关注待遇](https://www.ruanyifeng.com/blog/2019/08/weekly-issue-68.html)

2018年（第 17 期）：[全球变暖，在劫难逃](https://www.ruanyifeng.com/blog/2018/08/weekly-issue-17.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

