# 科技爱好者周刊（第 221 期）：全世界最繁荣的行业

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2599)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090103.webp)

很多高校开始学生报到了，浙大城市学院租用云梯，为学生运送行李。（[via](https://mkan.china.com/article/1617869.html)）

## 本周话题：全世界最繁荣的行业

前不久，我读到一篇[老外的文章](https://medium.com/javarevisited/develop-a-live-video-streaming-app-key-highlights-of-its-features-costs-and-teck-stack-cda1f8ea9c02)。

他说，**全世界最繁荣的行业是视频业，视频业里面最繁荣的是直播。** 我很有感触，今天就来谈谈直播。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083005.webp)

他举了[研究报告](https://www.statista.com/topics/8906/live-streaming/)的几个数字，证明这个行业多么繁荣。

> - 全球视频直播市场：2020年为302.9亿美元，2025年预计为1061.9亿美元。
> - 中国视频直播观众：2020年约为6.17亿人。

用户这么多，市场这么大，还在加速增长，产值两三年翻一倍，全世界还能找出第二个这样的行业吗？

个别行业可能增长得更快，但是它远没有直播那样的社会影响力和参与人口。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083006.webp)

我认为，**直播的繁荣就表现在，它是一个全民行业。**

直播的消费是全民的，不管什么人都可以看直播。事实上，全社会正在把看电视、看电影、读书的时间，转移到视频和直播，所以这个行业才会变得这么大。

直播的生产也是全民的，根本没有门槛，拿起手机就能播。现在，很多行业不景气，导致大量的人开始从事直播，极大丰富了节目内容。

正是因为消费和生产都是全民的，这注定了直播会成为一个空前繁荣的行业。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083007.webp)

但是，更重要的是，直播很吸引人。**你看了一次以后，还会想看更多，甚至上瘾。** 这才是直播繁荣的根本原因。

以我为例，我以为自己不会爱看直播，因为主流的游戏直播、歌舞直播、商品直播，我都没有很大兴趣。可是有一天，我发现了各大景点和城市，都有风景直播和街景直播，这个很合我胃口。

有时候过了半夜，我还在写东西，为了打发寂寞，就会去直播平台搜索“泰山”或者“夜爬泰山”。每天半夜，泰山上面大概都有几千人，中天门那里一直有人直播。我一边干活，一边看着络绎不绝的人群半夜爬山，感觉非常奇妙。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083008.webp)

这就是直播吸引人之处。（1）题材广泛，可选择性高，凡是能直播的内容，几乎都有人直播。（2）现场感，所有内容都是实时的，带有一定的悬念。（3）互动性，观众可以跟主播文字聊天，甚至语音对话。（4）随意性，随时可以进去看，不需要知道前因后果，只看一分钟也可以。（5）免费。

我现在甚至考虑，买一个竖屏电视机，用来投屏播放直播。这样的话，电视机的利用率还高一些，我看得也爽一些。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083009.webp)

直播行业既然这么繁荣，肯定会带来很多机会。我建议可以关注这个领域，考虑怎么利用直播，为个人或公司扩大影响、创造机会。

当然，不是每个人都适合做主播，但至少可以考虑，拍一些短视频宣传自己。视频（尤其是短视频）已经成为接触大众的最佳方式了。

顺便说一句，很多朋友建议，周刊也出一个视频版，观众肯定比文字版多得多。这是好建议，要是我有足够资源，真的会考虑。

## Apipost 7 发布

周刊介绍过一款国产软件开发工具 [Apipost](https://www.apipost.cn/?utm_source=10031)，不知道大家有没有印象。

今年8月，他们发布了7.0版，引入好几个国内首发的新功能，值得介绍一下。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090104.webp)

如果你还不知道，Apipost 的定位是“一体化研发协作平台”，围绕 API 开发，把文档、调试、测试都做进去了，相当于 **Postman + Swagger + Mock + Jmeter**。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090105.webp)

它的界面和基本操作跟 Postman 很像（上图），但是完全本土化了，国内开发者更容易上手。同时，它强化了[团队管理](https://v7-wiki.apipost.cn/docs/46)和[项目管理](https://v7-wiki.apipost.cn/docs/47)，有很强的协作功能。团队的所有人（前端开发、后端开发、测试、项目经理）都可以用它进行协同。

国内已经有很多企业选择它，作为主要的开发工具。但是，上一次周刊介绍的时候，它支持的接口协议只有 HTTP 一种，后来增加了 WebSocket 协议，这两个协议主要用于前端接口。

**7.0版新增了用户期盼已久的后端协议 gRPC**，
使得它也能用于调试后端服务器之间的接口。[gRPC 接口](https://v7-wiki.apipost.cn/docs/13/?utm_source=10031)的用法很简单，只要导入服务定义文件`.proto`，再填写一下参数和服务器地址，就可以调试接口了。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090106.webp)

所以，Apipost 现在支持三种接口协议：HTTP、gRPC、WebSocket。使用时先选择，你要新建哪种接口（上图）。

7.0版同时完善了 [Websocket 接口](https://v7-wiki.apipost.cn/docs/14)，支持 Raw、Socket.io、SockJs 三种调用格式，不用加载后两个库，就可以直接调用。

7.0版还优化了用户体验，占用资源少，特别强调**不需要登录账号，直接使用**。并且，主要功能都支持[离线使用](https://wiki.apipost.cn/document/00091641-1e36-490d-9caf-3e47cd38bcde/4e4f35dc-10d7-4c23-b8b5-e2cf2713978f?utm_source=10031)，这对于团队开发非常有意义，可以在没有外网的情况下，完全在局域网环境开发（下图）。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082904.webp)

[自动化测试](https://v7-wiki.apipost.cn/docs/38)只需要填写 API 返回值需要符合的条件，不需要编写代码就能跑（下图），并且做到了多场景支持，支持同一个项目的多种环境。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090107.webp)

最后，[Mock 数据](https://v7-wiki.apipost.cn/docs/34)更加智能化和可视化，支持 json-schema 和 mockjs 两种 mock 方式，只要有接口文档，就可以自动模拟生成接口数据。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090108.png)

Apipost 7 有[桌面版](https://www.apipost.cn/download.html?utm_source=10031)和 [Web 版](https://console.apipost.cn/login?utm_source=10031)两个版本，**都是免费使用**。只有[私有化部署](https://www.apipost.cn/private/)和技术支持，才需要付费。

欢迎大家[试用](https://apipost.cn/?utm_source=10031)，也可以访问[官方社区](https://qa.apipost.cn/?utm_source=10031)，进一步了解。

## 科技动态

1、[星链的手机连网](https://www.cnbc.com/2022/08/25/spacex-and-t-mobile-team-up-to-use-starlink-satellites.html)

上周马斯克宣布，星链项目将与美国第三大无线通信公司 T-mobile 合作，让手机通过卫星接入移动网络。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082601.webp)

这个功能可以让手机在没有信号塔的地方，连上 StarLink 卫星进行通信，相当于信号塔在头顶500公里处。

但是信号塔这么远，注定了带宽非常小，只能发短信，语音通话和访问互联网都非常困难，而且这一点点带宽都是共享的。另外，手机不能在室内用，头顶必须是没有遮挡的天空，阴雨天气也会影响效果。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082907.webp)

马斯克说，普通手机就能使用该功能。明年发射的第二代 Starlink 卫星会有5到6米的大天线，能够把信号直接传输到手机上。这些信号会使用 T-mobile 拥有的频段，因此普通手机能够收到，而 T-mobile 公司也借此宣传，任何地方都不用担心没信号。

2、[无人机飞越珠峰](https://dronexl.co/2022/08/22/dji-mavic-3-flies-over-mount-everest/)

大疆最近发布了无人机 Mavic 3 飞越珠穆朗玛峰的视频。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083104.webp)

这个视频的制作难度很高，无人机必须经过改装。（1）加快螺旋桨的转速，才能在空气那么稀薄的地方飞起来。（2）电池加大，弥补低温掉电。（3）防止螺旋桨叶片结冰。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083103.webp)

万一历经磨难把无人机背到峰顶，出现故障没飞成功，那就前功尽弃，而且没有下一次机会。好在拍出来的视频非常壮观，可以看到世界最高点其实面积非常小，只是一道突起的棱线。

下面就是这段视频（[Youtube](https://www.youtube.com/watch?v=Zz9oI3B6v4c)，[腾讯视频](https://v.qq.com/x/page/s3354ebhx2a.html)）。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=s3354ebhx2a" allowFullScreen="true" width="600" height="400"></iframe>

3、[出卖用户信息](https://www.bbc.com/news/business-61603624)

很多软件都在偷偷收集用户信息，用来牟利。既然如此，为什么用户不自己出售个人信息，换取金钱呢？

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060703.webp)

一家加拿大公司就开发了一款浏览器插件，用户可以授权该公司出售自己的浏览记录，公司会把获利兑换成礼品券，分给用户。

开通插件时，它会询问你的年龄、性别和所在的地区，但是这些具体的个人信息它不对外提供。它只是让广告商查询它的数据库，比如洛杉矶地区18至24岁男性最受欢迎的网站、最经常浏览的商品等等。

4、[潜艇追踪机器人](https://spectrum.ieee.org/nuclear-submarine)

核潜艇可以在海底埋伏几个月不上浮，为了追踪这些潜艇，各国军方都在研发机器人。国外媒体整理了一些这样的机器人（无人机）。

北京某公司制造的2.2米长的鱼形潜水器，通过摆动尾鳍，以每秒5米速度移动。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071708.webp)

波音公司生产的 Orca 是美军最大的无人潜艇，可以用来反潜。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071710.webp)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071711.webp)

美军的无人直升机，主要监视海面目标，也可以用于反潜。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071709.webp)

## 文章

1、[iPhone 的 Safari 浏览器插件](https://www.ifanr.com/app/1445597)（中文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082514.webp)

iPhone 手机和 iPad 平板的 Safari 浏览器，可以安装插件。本文介绍14个常用插件。

2、[Javascript 混淆技术](https://www.trickster.dev/post/javascript-obfuscation-techniques-by-example/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071803.webp)

本文介绍 JavaScript 的一些代码混淆的方法，让代码变得尽量难以辨识和阅读。

3、[Facebook 加密了 URL 的查询字符串](https://www.ghacks.net/2022/07/17/facebook-has-started-to-encrypt-links-to-counter-privacy-improving-url-stripping/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071804.webp)

有一些 URL 的查询字符串用来追踪用户，Firefox 现在可以自动剥离这些查询字符串。结果，Facebook 居然修改了自己的 URL，把查询字符串加密了，让你无法剥离，真是叹为观止。

4、[什么发行版属于 GNU/Linux？](https://ariadne.space/2022/03/30/it-is-correct-to-refer-to-gnu/linux-as-gnu/linux/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071905.webp)

并不是所有的 Linux 发行版都是 GNU/Linux，作者提出只有使用了 GNU C 库（通常称为 glibc）和 GNU coreutils 软件包，才属于 GNU/Linux。

按照这个标准， Alpine、OpenWrt 和 Android 都不是 GNU/Linux。

5、[DNS TXT 记录](https://allagora.wordpress.com/2022/03/22/use-dns-txt-lookup-to-gain-quick-insights-which-services-companies-are-using/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032302.webp)

本文举例解释 DNS 的 TXT 记录是什么，读起来可能有点费劲，但解释得挺好。

6、[Apple M1 如何安装 qemu 虚拟机](https://www.sevarg.net/2021/01/09/arm-mac-mini-and-boinc/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052401.webp)

本文一步步介绍如何在 Apple M1 机器上，通过 qemu 虚拟机，安装基于 x86 架构的 Linux 系统。

7、[MacBook 的触摸栏设置成 git 操作](https://refruity.xyz/macbook-touch-bar-in-iterm2/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032805.webp)

本文介绍如何在 MacBook 触摸栏上放置按钮，只要点一下，就能在命令行执行 git 命令。

8、[Unix 时间戳还是 ISO-8601？](https://nickb.dev/blog/designing-a-rest-api-unix-time-vs-iso-8601)（英文）

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022033104.webp)

数据库的时间记录，到底是保存成 Unix 时间戳，还是 ISO-8601 格式的`yyyy-MM-dd HH:mm:ssZ`时间？ 

## 工具

1、[u](https://github.com/ananthakumaran/u)

一个 JS 库，用于 JSON 数据的序列化。特点是需要定义数据的规格（spec），所以序列化后的字符串非常小。

2、[Flipper Zero](https://flipperzero.one/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022051405.webp)

一个硬件小工具，将各种物联网协议（NFC、红外线、RFID、蓝牙等）做在一个设备里面，还能编程，方便进行各种实验，看上去很好玩。

3、[Astrofox](https://astrofox.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070802.webp)

这个软件基于音频生成可视化的视频，也就是让音频变成视频，可以添加各种图层，有多个参数可以调整。

4、[Mutant Standard](https://mutant.tech/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070902.webp)

一套有点另类的 Emoji 图案，将近1000个符号。如果你想要不一样的 Emoji，可以试试。

5、[PocketBase](https://github.com/pocketbase/pocketbase)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070903.webp)

单文件的数据库软件，使用 Go 编写，把数据库（SQLite）、后台 UI、数据管理、用户管理等，都做在一个文件里面。

6、[Piano Trainer](https://github.com/ZaneH/piano-trainer)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071001.webp)

一个跨平台的钢琴训练软件，通过一个个小练习，帮助初学者学会弹钢琴。目前好像不支持电脑键盘，必须使用 MIDI 键盘。

7、[Aspect](https://sample-code.aspect.app/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071005.webp)

一个浏览器插件，允许从网页里面拷贝任意 UI 组件，把它的代码还原出来，相当于从 UI 的逆向工程。

8、[Markdeep](https://casual-effects.com/markdeep/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071011.webp)

一种扩展的 Markdown 格式，添加了很多功能，同时还是一个 JS 脚本，只要放入网页，就能自动把这种格式的文本文件渲染成 HTML 页面。

9、[AutoRegex](https://www.autoregex.xyz/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071012.webp)

这个网站将正则表达式“翻译”成英语解释。你填入一个正则表达式，它返回一段英文解释。

## 资源

1、[Stable Diffusion 资源](https://github.com/Maks-s/sd-akashic)

上周的一件大事是 [Stable Diffusion 模型](https://github.com/CompVis/stable-diffusion)发布了。

它是一个“文本到图像”的开源引擎，功能跟闭源的 DALL·E 引擎类似，但代码是公开的。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090110.webp)

已经有很多人基于它开发各种应用，标题链接是一个仓库，收集各种相关链接。

它还可以从草图生成详图，这里有一篇大开眼界的[使用案例](https://andys.page/posts/how-to-draw/)。下面是作者手绘的草图。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083101.webp)

下面是 Stable Diffusion 给出的详图。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022083102.webp)

2、[陕西博物馆360度实景浏览](https://720yun.com/vr/3e22dasfmlw)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082515.webp)

线上参观陕西博物馆，360度展示，共有五个展厅100多个场景。可以网页浏览，也可以 VR 头盔浏览。

3、[Web3 不是 Web](https://www.xiaoyuzhoufm.com/episode/62d93b1cfa15142e17251e05)

百姓网创始人王建硕的一个播客访谈，解释他理解的 Web3。

他认为，Web3 是一个很糟糕的名字，虽然基于 Web，却有本质不同，不是 Web 的下一个版本，更像一张全球共享的大表。另外，可以参考他在 Youtube 上面的[讲座视频](https://www.youtube.com/watch?v=1QKbm3Sv2Uw)。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090109.webp)

4、[编程语言数据库 PLDB](https://pldb.com/docs/columns.html)

这个数据库专门收入各种编程语言，任何人都可以提交新语言，已经收入了4044种，还在快速增加中。

5、[WebAuthn 指南](https://webauthn.guide/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062405.webp)

这个网站提供最新的用户认证技术 WebAuthn API 的介绍。

## 图片

1、[芯片杯垫](https://www.evilgeniuslabs.org/macrochips)

一个国外程序员使用激光雕刻机，将芯片标志打印在薄石片上，做成杯垫。

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011002.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011003.webp)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022011004.webp)

他放出了源文件，如果你也有激光雕刻机，可以试试看。

2、[落叶画](https://mymodernmet.com/raku-inoue-plant-arrangements/)

一位加拿大艺术家收集落叶，制作成各种生动的画作。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042003.webp)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042004.webp)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042005.webp)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042006.webp)

## 文摘

1、[学习外语为什么需要那么长时间？](https://theamericanscholar.org/the-new-old-way-of-learning-languages/)

1949年，哈佛语言学家齐夫（George Kingsley Zipf）做了长篇小说《尤利西斯》的词频统计。该书的长度是260,430字，总共用到了29,899个单词。它是单词量最大的文学作品之一。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090111.webp)

他发现，单词的出现频率有规律地下降。词频第二名的单词的出现频率，是第一名的二分之一，第三名的出现频率是第一名的三分之一，第四名是四分之一，第十名是十分之一，第1,000名是千分之一，以此类推。

这被称为 Zipf 定律，即任何单词的词频，与该单词在词频表中的排名保持一个固定比例。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090112.webp)

这个定律有两个重要推论。

（1）一种语言的常用词汇只包含少数单词。例如，在英语中，单词 the 占所有文本的7%，最常见的10个英语单词占到了所有文本的23%。

对于当今世界的大多数语言来说，仅仅100到150个常用单词，就占所有文本的一半左右。在希腊语的《圣经新约》中，319个单词占全书近80%的内容。

（2）当你掌握了这些高频常用词以后，遇到的所有词汇几乎都是低频词。

还是以希腊语的《圣经新约》为例，319个单词占文本的近80%，但剩下的20%包含了5118个不常用的单词，其中大部分单词只使用了一次。

推论二注定了精通一种外语是一件麻烦事。学习者入门以后，就不得不花大量时间，记住那些出现频率很低的词汇。以布朗大学语料库为例，该语料库一共包含了53,076个单词，其中36,135个单词在语料库的所有文献中出现次数不超过三次，它们占了词汇量的68%，但是仅仅在5%的场合使用。

更麻烦的是，这些不常见的词往往很重要，能够提供句子的关键信息。越少见的词对于了解句子含义越重要。

学习者遇到不认识的单词，可以通过上下文去猜测含义。但是，一项研究表明，如果要从上下文中正确猜中单词含义，阅读者必须能够理解文本中至少95%的内容。

对于布朗语料库来说，15,851个单词可以覆盖语料库97.8%的内容。这差不多就是英美大学生掌握的单词数量。这意味着，如果你记住了15000个单词，再遇到不认识的单词，就可以较有把握得猜出它的含义。

但是，对于外国人来说，想要通过几年学习，掌握15000个左右的英语单词，绝非易事。

## 言论

1、

畜牧业是能量效率很低的产业，100卡路里的谷物饲料，只能转换成3卡路的牛肉。全世界只有13%的玉米是人类食用的，其他大部分都做成了饲料。此外，畜牧业还会占用大量本来生产人类食物的土地。

--[《世界大部分粮食不是被人类吃掉的》](https://www.economist.com/graphic-detail/2022/06/23/most-of-the-worlds-grain-is-not-eaten-by-humans)

2、

我在 LinkedIn 上看到同事有很多证书。我不知道他们是如何拿到证书的，这是一个谜，因为团队中最弱的人通常有证书，最优秀的人倒没有。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=31874990)

3、

当你的职业生涯迎来第四个 JavaScript 构建工具时，你就知道自己老了。

最早是 Grunt，然后是 Gulp，再后来我们挥手告别 Gulp 复杂配置的地狱，迎来了 Webpack。但是五年后，Webpack 同样是一团糟，变得缓慢、臃肿和混乱。现在，我们的项目又切换到了 esbuild，构建时间从7分钟变为1秒，太棒了，让我们希望这一次会成功。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=28862499)

4、

技术进步有多快，只要记住这个事实就可以了：1900年，家庭是没有电的。

当时，即使在最发达的美国，也只向一些特殊部门供电，比如路灯和电报局。

-- [《创新的障碍》](https://florentcrivello.com/index.php/2022/09/01/the-dictatorship-of-the-articulate/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090101.webp)

5、

1930年，英国经济学家凯恩斯预言：20世纪末，技术发展足以让发达国家的工人，每周工作15小时。

在技​​术方面，他说对了，我们完全有能力做到这一点。但是，现实是人们的工作时间并没有减少，工作压力还更大了。这意味着，很多人的工作岗位实际上是毫无意义的，消除这些岗位，产出并不会减少。我把这些工作称为“垃圾工作”。

-- [《垃圾工作》](https://www.strike.coop/bullshit-jobs/)

## 历史上的本周

2021年（第 173 期）：[网络收音机的设计](https://www.ruanyifeng.com/blog/2021/08/weekly-issue-173.html)

2020年（第 122 期）：[谈谈互联网公司的高估值](https://www.ruanyifeng.com/blog/2020/08/weekly-issue-122.html)

2019年（第 71 期）：[名校毕业，不容易创业](https://www.ruanyifeng.com/blog/2019/08/weekly-issue-71.html)

2018年（第 20 期）：[不读大学的替代方案](https://www.ruanyifeng.com/blog/2018/08/weekly-issue-20.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

