# 科技爱好者周刊（第 223 期）：程序员需要担心裁员吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐科技内容。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2599)，提供大量程序员就业信息，欢迎访问或发布工作/实习岗位。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091507.webp)

成都太古里的熊猫候车亭。（[via](http://m.cntgol.com/pcarticle/257119)）

## 本周话题：程序员需要担心裁员吗？

Hacker News 论坛上面，[一个欧洲程序员](https://news.ycombinator.com/item?id=32798377)问大家：欧洲经济不景气，公司可能把他裁掉，他应该怎么办？

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091405.webp)

很多人发表看法，我觉得很有参考价值。不少国内程序员大概也有类似担心，今天就结合国外网友的看法，说说程序员裁员这件事。

首先，**程序员不需要过分担心裁员**，这有以下几个原因。

<u>（1）称职的程序员很难招聘。</u>公司实际上会尽可能避免解雇程序员。

<u>（2）已经上线的系统需要维护。</u>如果你参与线上系统，除非公司打算放弃该系统，否则不太会考虑解雇你。

（3）就算公司真的解雇你，<u>你属于有多年项目经验的程序员</u>，这种人在市场上是抢手的，不难找到下一份工作，而且工资很可能会增加。

<u>（4）很多公司不是真的要裁员，而是在调整雇员结构。</u>它解雇4个人，同时新招4个人，经济形势不好只是一个借口。所以，就算离开现在的公司，其他正在招人的公司还有很多。

（5）<u>如果你不喜欢现在的工作，被解雇其实是一件好事</u>，让你有机会去找一份让自己兴奋的新工作。

由于上面这些原因，比起其他行业，程序员裁员不算很严重的状况。

但是为了预防万一，你可以做两方面的准备。

> - 预留一些现金，至少够应付三个月的支出。
> - 强化一些方便求职的技能。

不过，这两件事是平时就应该做到的，不管你会不会遇到裁员。

那个帖子的所有回答里面，我最喜欢下面这个回答。

> “与其担心宏观经济，不如关注自己。**你对自己生活的影响，往往比宏观经济对你的影响大得多。**”

公司裁员肯定会对一个人产生影响，但是它决定不了你的未来，你自己才是最大的影响因素。

如果公司确实要裁员，这件事的决定权就不在你了，你已经影响不了结局了。与其为自己决定不了的事情烦恼，不如多想想，怎么面对挑战，为未来的自己找到更好的发展。另一方面，如果公司已经处于下坡路，就算你能留下来，也是没有前途，最终还是要走。**这样说吧，你影响不了裁员这件事，但是你可以影响自己的未来。**

回到开头的那个问题：程序员需要担心裁员吗？

世界最大对冲基金“桥水基金”创始人达里奥，说过一句话，可以用在这里：“如果你忧心忡忡，那是不必要的；如果你毫不担心，那么你需要担心。”

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091406.webp)

## 字节内部课

本周有一个消息，[字节跳动的内部培训课程](https://juejin.cn/course/bytetech?utm_source=ruanyifeng&utm_medium=OM&utm_campaign=vip_activity_kxj)对外公开了，就放在稀土掘金上面。

第一批上线了7门课，都是后端入门培训材料，包含了《数据结构和算法》、《Go 语言原理与框架》和《存储与数据库》等内容。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091509.webp)

这些课程本身是免费的，但是只对[掘金会员](https://juejin.cn/vip?utm_source=ruanyifeng&utm_medium=OM&utm_campaign=vip_activity_kxj)开放。只要加入会员，就能解锁字节内部课，并可以限时免费学习掘金网站上的其他课程。

为了配合《字节内部课》上线，从9月15日开始为期一周，只要5折就能加入会员，详见[活动页面](https://juejin.cn/post/7143435263472041998?utm_source=ruanyifeng&utm_medium=OM&utm_campaign=vip_activity_kxj)。还可以抽奖，赢取各种掘金周边纪念品和优惠券，感兴趣的朋友不要错过。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091510.webp)

## 科技动态

1、[婴儿 DNA](https://www.theverge.com/2022/7/29/23283837/nj-police-baby-dna-crimes-lawsuit-public-defender)

美国新泽西州警方为了查清一桩25年前的案件，偷偷从医院拿到了一个新生婴儿的血样，获取了 DNA，分析婴儿父亲是否与案件有关。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072906.webp)

此事在美国引起轩然大波，因为婴儿的 DNA 现在只用于筛查遗传病，并没有授权给警方使用。

如果警方对每个婴儿的 DNA 存档，就等于可以追踪每个人的生物特征。这在美国是大忌，涉及到个人隐私。

2、[赏月航班](https://m.cnbeta.com/view/1314711.htm)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091107.webp)

今年中秋节，多家航空公司推出了“赏月航班”。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091108.webp)

用户只要加价，就能选择飞机上最佳赏月的座位，一般是靠窗、无机翼、靠近月亮的一边座位。

以西部航空为例，他们的公众号就宣传“+79元即可享高空揽月专座”。按照这种思路，能看特殊景色（比如日出日落）的座位，其实都可以加价卖。

3、[手机的卫星通话](https://skyandtelescope.org/astronomy-news/as-bluewalker-satellites-join-a-brightening-sky-heres-how-you-can-help/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091409.webp)

最近，苹果、华为、SpaceX 都宣布了手机的卫星通信功能。但是，这个功能很弱，只能发短信。

一家美国创业公司 AST SpaceMobile 计划创建一个全新的卫星通信网，普通手机通过卫星，不仅可以发短信，还可以进行正常通话。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091408.webp)

只有具有巨大天线的卫星，才能提供这样的带宽。所以，这家公司的卫星具有空前的64平方米的天线（上图）。

第一颗这种卫星已经在9月10日发射上天，该公司计划总共发射110颗。这令天文学家非常担心，它可能具有前所未有的亮度，比亮度最高的金星还要亮，这对天文观察是大灾难。

4、[时速200公里的高速公路](https://www.xhby.net/index/202209/t20220906_7687393.shtml)

江苏高宣高速公路日前进行了一次时速200公里的现场测试。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091005.webp)

我国高速公路的时速，目前不得超过120公里，而德国的高速公路是不限速的。这次测试就探索能否把时速上限放宽到200公里。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091009.webp)

测试中，检查了配套的电子显示牌和探头，是否能够良好地协同。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091007.webp)

还有一个更大的新闻是，现场还亮相了磁悬浮汽车。

研究人员在高速公路上铺设了导体轨道，为汽车加装了磁铁阵列，使它可以在磁悬浮状态下前进。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091006.webp)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091008.webp)

本次测试中，实现了2.8吨的汽车在地面上悬浮35毫米，但是新闻没有披露，这种磁悬浮汽车的时速能够达到多少。

## 文章

1、[高德地图的隐秘群聊](https://mp.weixin.qq.com/s/NdTQrx8VoUrhlSe_J4rQCw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091505.webp)

高德地图有一个功能，如果某条道路发生严重堵塞，它会为堵在这条路上的人，自动建一个聊天群。

2、[中国推动“饲料粮替代”](https://www.yicai.com/news/101534070.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091404.webp)

今年饲料价格大幅上涨，主要是玉米和豆粕，对肉蛋奶等畜产品的生产极不利。国内开始推动工业化合成生物蛋白，然后添加酶制剂，做成“人工饲料”。

3、[提问的智慧中国版](https://mp.weixin.qq.com/s/q461so9lWk4FKJGZ-p7Vcg)（中文）

作者对英文原版的[《提问的智慧》](http://www.catb.org/~esr/faqs/smart-questions.html)做了大量的删减和本土化改造，介绍如何在网上求助，更贴近中国程序员的实际情况。（[@dingjs](https://github.com/ruanyf/weekly/issues/2619) 投稿）

4、[我如何实现一个 CDN](https://www.v2ex.com/t/877718)（中文）

为了降低流量费，作者找了一些流量便宜的机房，然后自己写了一个调度服务器，架设了 CDN。（[@star7th](https://github.com/ruanyf/weekly/issues/2620) 投稿）

5、[如何破解浏览器的右键劫持？](https://news.ycombinator.com/item?id=32285459)（英文）

这是 Hacker News 论坛的一个帖子，讨论遇到禁止鼠标右键菜单的网站，应该如何破解。

6、[如何提高 TypeScript 编译速度](https://effectivetypescript.com/2022/07/30/treemap-for-source-files/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080205.webp)

大型 TypeScript 项目的编译速度，通常是很慢的。作者介绍了一个技巧，通过 webtreemap 找出速度瓶颈在哪里。 

7、[Node.js 项目依然有工具问题](https://maxleiter.com/blog/node-has-tooling-problems)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022073104.webp)

作者写了一个 Node.js 小项目，结果发现需要做 TS 配置、Vue 配置、Vite 配置、npm 配置……大量的项目细节不是写在代码里面，而是写在各种配置文件里面。

8、[Windows Terminal 支持自定义主题](https://www.bleepingcomputer.com/news/microsoft/windows-terminal-gets-support-for-creating-custom-themes/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091401.webp)

Windows Terminal 是 Windows 的默认终端模拟器，本周宣布了新版本，可以使用自定义主题了。

9、[停止引用 TIOBE](https://blog.nindalf.com/posts/stop-citing-tiobe/)（英文）

TIOBE 是一个编程语言流行度的排名网站，比如 Python 排在第一位，C 排在第二位。作者认为该排名毫无价值，不值得关注。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080302.webp)

## 工具

1、[websocat](https://github.com/vi/websocat)

一个命令行的 WebSocket 工具，用来跟 websocket 服务器互动，以及在本地架设 WebSocket 服务。

2、[memlab](https://facebookincubator.github.io/memlab/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091403.webp)

Facebook 公司开源的一个工具，用来检测 JavaScript 应用是否存在内存泄漏，参见[介绍文章](https://engineering.fb.com/2022/09/12/open-source/memlab/)。

3、[坐姿守护 App](https://apps.apple.com/cn/app/id1629577265)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091407.webp)

一款 iOS App，使用手机摄像头检测坐姿是否正确，可与 Apple watch 手表联动，参考[介绍文章](https://zhuanlan.zhihu.com/p/563941565)。（[@haozes](https://github.com/ruanyf/weekly/issues/2625) 投稿）

4、[Rocket.Chat](https://github.com/RocketChat/Rocket.Chat)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091503.webp)

一款开源的聊天软件，服务端、桌面端、手机 App 都提供。（[@cross-hello](https://github.com/ruanyf/weekly/issues/2617) 投稿）

5、[QWER](https://github.com/kwchang0831/svelte-QWER)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091504.webp)

用 SvelteKit 打造的一个静态博客系统。（[@kwchang0831](https://github.com/ruanyf/weekly/issues/2618) 投稿）

6、[OSS Insight](https://ossinsight.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071802.webp)

GitHub 开源动态观察，使用这个网站，可以获得某个 GitHub 仓库或者某个开发者的详细统计数据和趋势。

7、[zwfp](https://github.com/vedhavyas/zwfp)

一个利用零宽度字符，在 TXT 文本文件里面插入加密文本的工具，别人根本不会察觉有加密内容。

8、[mpv](https://mpv.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071904.webp)

一个跨平台的命令行视频播放器。

9、[PimEyes](https://pimeyes.com)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052801.webp)

一个人脸反向搜索引擎。你上传一张人像，它返回该人的其他照片。

10、[Virtual Graph paper](https://virtual-graph-paper.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052805.webp)

一个在线画板，可以方便地用鼠标做图。

## 资源

1、[Storj](https://www.storj.io/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070703.webp)

这个网站提供分布式云存储服务，可以用作文件备份，免费账户有每月 150GB 的存储空间和流量。

2、[中国铁路地图](http://cnrail.geogv.org/zhcn/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091502.webp)

这个网站可以查看全国铁路的路线图，另有[全世界的铁路地图](https://www.openrailwaymap.org/)。

3、[GTA V 猜猜看](https://gta-geoguesser.com/index.html/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070705.webp)

一个很有创意的小游戏，它显示一张游戏《GTA V》的截图，让你在游戏地图上标出，这是哪个地点的截图。

4、[学习 Python 内置函数](https://sadh.life/post/builtins/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070707.webp)

一篇英语长文，逐一介绍 Python 的所有内置函数。

5、[Proof 维基](https://proofwiki.org/wiki/Main_Page)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050801.webp)

一个收集数学证明的维基网站，目前收集了2万多个数学定理的证明。

## 金斯伯格法官模型

金斯伯格是美国最高法院的一位著名女法官，2020年逝世了，享年87岁。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091508.webp)

最近，网上出现了一个很有趣的网站 [ask-rbg.ai](https://ask-rbg.ai/)，名字叫做“金斯伯格法官会怎么说？”。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071402.webp)

它将金斯伯格的各种判决输入了 AI 模型，用户可以输入自己的问题，模型就会告诉你，金斯博格可能会怎么判决。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071403.webp)

出了运行速度的考虑，这个模型目前有两个限制。一是，用户的问题描述不能超过150个（英文）字符，二是问题必须可以 Yes/No 来回答。

我出于好奇，就提了一个问题：

> “特朗普让美国再次伟大了吗？”（Did Donald Trump make America great again?）

模型回答：

> “（笑）我不这么认为。
> 
> 我认为他是一个有趣的人，但仅此而已。我认为他说话太大声了，说了太多虚假陈述，我希望他最终明白他不能表现出傲慢，他需要冷静下来。”

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071404.webp)

哈哈，计算机生成的这个回答，很像真的啊。

## 图片

1、[区块链空气月饼](https://m.nbd.com.cn/articles/2022-09-08/2459052.html)

中秋节前夕，一家北京设计工作室发布了一件行为艺术品，叫做“区块链空气月饼”。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091106.webp)

包装袋上写着“0糖0脂0卡，无饱腹感。”

打开月饼铁盒，里面除了空气，什么也没有。而且，空气是韭菜味的。

为了这个味道，制作方特意把装月饼的盒子和韭菜放在一起很多天，才让空盒子有了韭菜味。

2、[废弃农舍](https://www.thisiscolossal.com/2022/04/heather-benning-dollhouse/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050503.webp)

一个加拿大艺术家在公路旁，找到了一座废弃农舍，拆除了北面的所有墙壁，用落地玻璃窗取而代之，这样人们就能看到房屋的内部。

她还把房间布置得色彩鲜艳，放入老式家具和物品，就像舞台布景一样。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050505.webp)

夜晚还会亮灯。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050504.webp)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050506.webp)

她想让路过的人们感受到家的温暖，以及家与社区和土地的联系。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050507.webp)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050508.webp)

## 文摘

1、[为什么当代人的睡眠时间短](https://knowablemagazine.org/article/society/2022/why-people-sleep-less-than-primate-relatives)

根据统计，工业社会的成年人，每天的平均睡眠时间不到7个小时。

这比所有的灵长类动物都要短，黑猩猩每天睡大约9.5个小时，狨猴睡13个小时左右，有些懒猴每天甚至睡17个小时。 

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050104.webp)

为什么人类睡得这么少？

生物学家还没有答案，但是猜测这与生活方式有关。

数百万年前，人类的祖先与其他灵长类动物一样，在树上生活，很可能睡觉也在树上。今天的黑猩猩和其他猿猴就睡在树上，用弯曲的树枝搭建一个碗形的床，不过它们偶尔也会到地面睡觉。

人类不断进化，从树上来到地面生活，并且在某个时候也开始在地面睡觉。这意味着放弃树栖睡眠的所有好处（比如免受狮子老虎等捕食者的进攻）。

为了安全，人类必须保持警惕，因此不得不缩短睡眠时间。根据调查，今天非洲和南美洲的土著人，睡眠平均时间只有5.7到7.1个小时。而且，动物学家也证实，动物园或实验室中的动物，由于压力，睡眠时间比自然状态要少。

这说明，睡眠时间少，很可能跟压力有关。压力越大，睡眠越少。

因此，如果你想要时间更长、质量更好的睡眠，要做的第一件事就是尽量放松，减少自己的压力。

## 言论

1、

我认为，人工智能不会取代人类。因为计算机只会计算，它们做不了任何不能表示为计算的事情。

-- [罗伯特 J. 马克斯](https://mindmatters.ai/2022/07/marks-forget-the-hype-thinking-machines-cant-replace-humans/)，美国贝勒大学（Baylor University）计算机教授

2、

有一个公式：幸运 = 你做的事情 x 知道的人数。

你做的事情越多，知道的人越多，就越可能幸运。

-- [《发表作品会增加你的幸运》](https://github.com/readme/guides/publishing-your-work)

3、

很多商家的营销活动，是让顾客将商家信息分享给更多好友。但是，汉堡王曾经举办过一次别出心裁的营销活动，承诺只要参与者安装它的 App，并删除10个 Facebook 好友，将获得免费汉堡包。

活动取得了巨大的成功，它的 App 几天内安装了近 60,000 次。

-- [《汉堡王的营销活动》](https://www.cnet.com/news/the-dark-secrets-of-whopper-sacrifice/)

4、

音乐家的退休，不是因为年龄，而是因为他们发现自己写不出音乐了。

-- [路易斯·阿姆斯特朗](https://www.brainyquote.com/quotes/louis_armstrong_100265)，美国音乐家

5、

你的脑海中，必须始终记着十几个你最喜欢的问题，平时它们处于休眠状态。每次你听到或读到一个新发现时，就针对这十几个问题中的每一个进行测试，看看对解答问题是否有帮助，很多突破就是这样产生的。

-- [理查德·费曼](https://alumni.media.mit.edu/~cahn/life/gian-carlo-rota-10-lessons.html)，著名物理学家

## 历史上的本周

2021年（第 175 期）：[知识广度 vs 知识深度](https://www.ruanyifeng.com/blog/2021/09/weekly-issue-175.html)

2020年（第 124 期）：[华为如何考核员工](https://www.ruanyifeng.com/blog/2020/09/weekly-issue-124.html)

2019年（第 73 期）：[数据统计的威力](https://www.ruanyifeng.com/blog/2019/09/weekly-issue-73.html)

2018年（第 22 期）：[猴子自拍，版权归谁](https://www.ruanyifeng.com/blog/2018/09/weekly-issue-22.html)

## 鸣谢

国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 提供个人专栏服务（查看[周刊专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)），集成了“文档+表格+网盘”，适合知识库、数据管理、文件存储多种用途。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

