# 科技爱好者周刊（第 228 期）：人类和人生的意义

这里记录每周值得分享的科技内容，周五发布。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102605.webp)

今年中秋，敦煌月牙泉旁出现了一个人造的月圆装置，通过水面反射，映照出一轮人间圆月，象征团圆。（[via](https://www.designboom.com/design/celestial-moon-installation-chinese-desert-oasis-mid-autumn-festival-weijun-lin-10-19-2022/)）

## 本周话题：人类和人生的意义

这几天睡觉前，我在读《季羡林文集》。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102302.webp)

季羡林先生2009年就去世了，出版社请了他儿子季承写序言。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102303.webp)

> 季承（1935-2018），中国科学院高能物理所高级工程师，曾任李政道先生主持的中国高等科学技术中心顾问，与李政道有着长达三十年的紧密合作。（摘自[百度百科](https://baike.baidu.com/item/%E5%AD%A3%E6%89%BF/7308045)）

网上一查就知道了，季承跟他老爹[关系不太好](https://www.163.com/dy/article/H533IIGD0543L395.html)，十多年不相往来。

这种情况下，他其实不想写他老爹，但是出版社一定要他写。万般无奈之下，他找了一篇自己不相干的文章作为序言。

> “我并不敢为先父的著作写序，但青岛出版社的盛情难却，只好写点不是序的序，以应所求。正好前些时，我胡乱写了一篇短文《也谈人生》，这篇短文抄在下面，就算交卷了吧。”

他用作序言的这篇《也谈人生》很短，只有600字，但是谈了一个终极问题：人生的意义是什么？

我惊奇地发现，这篇序言写得很好，解开了我一直没有想通的一个疑惑。读完整本书，最难忘的还是这篇不相干的文章。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102503.webp)

我把这篇短文的主要部分贴在下面。

> 人生有没有意义？人类又有什么意义？
> 
> 我说，**人生是有意义的，而人类则是没有意义的。** 
> 
> 询问人类的存在有没有意义，就等于询问地球或宇宙的存在有没有意义一样，是得不到答案的。
> 
> 人生的意义是什么呢？它的意义就在于为没有意义的人类工作、服务等等，其目的不外乎是使人类生活得更好并得以延续。
> 
> 反正人类是现实的存在，你又是其中一员，你有义务使它发展延续。你只要这样做了，你的人生就具有了意义，或者说价值，并不一定要去理会人类存在的意义。

大家看明白，他的意思吗？

他的意思是，要想通人生的意义，就要先想通人类的意义。但是他认为，人类作为一个物种，是没有意义的，就像你问恐龙的意义是什么一样。

但是，人类既然存在了，你就没有选择。你的人生意义就是帮助其他人、乃至人类这个物种的生存和发展。

因此，实现人生意义的最好方法，就是做对社会有益的事情，让社会和人类延续。最低限度上，只要正常的劳动和工作，你的人生就有意义了。

大家同意他的这个说法吗？

我觉得对我很有启发，让我想通了，一件事可以在宏观上没有意义，但是在微观上有意义。

西方哲学有一个流派，叫做“存在主义”，认为世界是荒谬的。我也有这种感觉，经常产生无力感，一方面觉得徒劳，不可能逃脱，另一方面又觉得必须做点什么。

这篇短文更让我确信，不能停下来，你唯一的出路（或者说对抗方法），就是保持工作，做一点有益于社会的事情，只有这样才能在没有意义的世界里找到一点意义。

## 10.24 程序员节活动

国内大型技术社区[“稀土掘金”](https://juejin.cn/)配合10.24程序员节，正在举办多项活动。

今年的活动跟以往不一样，特别注重可参与性和技术性。我觉得，值得跟大家说一下。

**1、[掘金未来大会](http://conf.juejin.cn/future2022?utm_source=ryf)**

现在的各种技术大会，往往聚焦于热点技术和开发实务。你有没有想过，<u>专门有一个大会，关注“未来的技术”</u>？

掘金这一次就办了一个这样的大会，叫做“掘金未来大会”。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102401.webp)

他们请来上游的技术提供商和下游的技术消费厂商，为开发者分析，未来市场可能会有怎样的技术需求，以及会流行什么技术。他们的想法就是，让开发者和技术团队负责人，不仅关注技术细节，也关注社会经济发展所需要的技术方向，以及带来的机会。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102402.webp)

大会是今年12月2日（星期五），[点击这里](http://conf.juejin.cn/future2022?utm_source=ryf)或者扫描上面二维码，了解大会讲座详情，并报名预约直播，以及参与其他活动和领取会议资料。

**2、[“码上掘金”首届全国编程挑战赛](https://juejin.cn/challenge/1?utm_source=ryf)**

掘金还举办了首届全国编程挑战赛，这是国内少有的前端编程比赛，欢迎大家提交自己的作品。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102103.webp)

各种原创作品（网页游戏、网页动画、UI 特效、3D 建模等皆可）都能参赛，只要可以在[“码上掘金”](https://code.juejin.cn/)平台运行即可。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102101.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102010.webp)

作品提交的截止时间是11月22日。一旦入围，掘金会在他们网站推广你的作品，并有丰厚的奖金和奖品，而且只要报名就可抽奖。访问[这个链接](https://juejin.cn/challenge/1?utm_source=ryf)，或者扫描上方二维码，了解详情并报名。

**3、[中国开发者生态调查](https://wj.ictr.com.cn/answer/s/8iw15u3Met)**

为了了解中国开发者的现状（年龄、行业、技术方向、使用的工具等等），掘金发起了一次大型问卷调查，欢迎广大开发者参与。

他们的目标是收集足够的有效问卷，最终完成 **《2022中国开发者生态报告》** ，用真实的数据呈现中国开发者的整体状况。点击[这里](https://wj.ictr.com.cn/answer/s/8iw15u3Met)或者扫描下方二维码，就可以进入问卷，一共约60个问题，需要10分钟左右，欢迎大家参与，提供你的开发信息，完成问卷后有纪念品。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102403.webp)

## 科技动态

1、[太阳能围栏](https://techcrunch.com/2022/07/18/look-out-putin-ukrainian-woman-invents-solar-for-balconies-to-wean-europe-off-russian-gas/)

一家德国公司推出了太阳能围栏，只要装在家庭阳台上，就能太阳能发电。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071901.webp)

它的最大优点就是不占空间，可以跟建筑物很自然地结合。阳台本来就需要装围栏，太阳能板放在这里很合理。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071902.webp)

它的缺点是价格贵，发电量不高，除非政府有补贴，否则不易推广。

2、[AI 合影](https://petapixel.com/2022/10/14/photographer-creates-ai-girlfriend-to-stave-off-nosy-relatives/)

一个印度摄影师发现了 AI 图片引擎的新用途。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022101903.webp)

他一个人旅游，拍的都是单人照。有一天突然灵机一动，他告诉 AI 引擎“在我身旁加一个漂亮姑娘”，就这样得到了男女合影。

这些照片里面的女伴都是不存在的，AI 加上去的。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022101904.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022101905.webp)

这个功能很适合风景区的摄影亭，“单人照变男女合照”肯定受欢迎。

3、[手术萨克斯](https://www.iflscience.com/watch-a-man-play-the-sax-while-surgeons-operate-on-his-brain-65840)

一个美国音乐家患了脑瘤，需要开颅手术。肿瘤位于大脑的一个非常复杂的区域，周围有很多神经，医生要求进行清醒开颅手术，即手术过程中病人是清醒的。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102613.webp)

保持清醒的目的是，医生可以时刻知道病人的大脑在正常工作，防止弄伤神经。

医生知道这个音乐家会吹萨克斯风，就递给他一把萨克斯，让他一边在手术，一边吹萨克斯，只要音乐不停，医生就知道他的大脑是正常的。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102614.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102615.webp)

4、[月球摩托车](https://kottke.org/22/04/a-custom-built-moon-motorcycle)

一家摩托车公司设计了第一款月球使用的电动两轮摩托车。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050406.webp)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050407.webp)

它的材料是铝和碳纤维，特别轻，全车只有136公斤。

这么轻的重量，一方面省电，另一方面月球的重力只有地球的六分之一，只要稍有颠簸就会跳起来。这辆车的设计，充分考虑了跳跃前进。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050408.webp)

## 文章与视频

1、[中国科学论文三大指标跃居世界第一](https://cn.nikkei.com/industry/scienceatechnology/49484-2022-08-10-01-58-20.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102601.webp)

日本媒体报道，自然科学领域研究论文的三个重要指标——论文总数，引用次数排名前10%的论文、排名前1%的论文——中国全都排名2019年的世界第一，超过美国。

2、[为 Chromium 实现 HEVC 硬解](https://zhuanlan.zhihu.com/p/541082191)（中文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102602.webp)

字节跳动工程师和 Intel 工程师合作，为 Chrome 浏览器加上 HEVC 支持，也就是支持 H.265 视频编码，该功能已经发布在最新的 Chrome 107。

Chrome 之所以一直不加这个功能，是因为 H.265 解码器需要付费。这次的实现很聪明，调用了系统的解码能力，不涉及付费问题。

3、[Pico 4 真实体验](https://www.bilibili.com/video/BV1ZN4y1w7Br/)（视频）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102007.webp)

字节新出的 VR 头盔 Pico 4，规格很诱人，作者亲身体验后，却发现存在诸多问题。这个是 B 站视频，另有 [Youtube 网址](https://www.youtube.com/watch?v=9JcNZHrVO8w)。

4、[JavaScript 的月份为什么从 0 开始](https://www.jefftk.com/p/history-of-zero-based-months)（英文）

JavaScript 的月份是从0开始计数。本文追溯这种做法的源头，谁第一个用0代表1月份。另可参考这篇[长推文](https://twitter.com/hillelogram/status/1329228419628998665)。

5、[禁止 Cookie 会发生什么](https://blog.tomayac.com/2022/08/30/things-not-available-when-someone-blocks-all-cookies/)（英文）

如果禁止 Chrome 浏览器保存 Cookie，很多相关 API 都将一起关闭，比如 localStorage 和 IndexedDB，导致很多网站根本无法使用。

6、[用 JavaScript 追踪飞机信号](https://charliegerard.dev/blog/aircraft-radar-system-rtl-sdr-web-usb/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090301.webp)

本文介绍使用 Web USB API，让浏览器读取 USB 设备，接收飞机发出 ADS-B 信号。

7、[安卓 Firefox 浏览器如何安装插件](https://www.ghacks.net/2022/10/20/firefox-beta-for-android-now-supports-custom-add-on-collections/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102012.webp)

Firefox 的安卓版现在有一个功能，可以在电脑上选定一组插件，然后在手机上一次性安装。

8、[一张图表，一个信息](https://datadino.substack.com/p/one-idea-per-chart)（英文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082910.webp)

可视化图表的一个问题就是太复杂，不容易看懂（上图）。本文用实例解释，一张图表只适合表达一个信息，如果信息太多，就应该拆分图表。

9、[macOS 开启 sudo 的指纹认证](https://it.digitaino.com/use-touchid-to-authenticate-sudo-on-macos/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082701.webp)

sudo 命令需要输入根用户的密码，macOS 支持用指纹替代 sudo 密码。

## 工具

1、[Turbopack](https://turbo.build/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102603.webp)

Vercel 公司发布新一代打包器 Turbopack，号称比 Webpack 快700倍，比 Vite 快10倍。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102604.webp)

而且，它还出自 Webpack 作者之手，Vercel 聘请了他来领导这个项目。

Turopack 可以看作是 Rust 语言重写的 Webpack，目前还处于初期，后面有计划支持兼容 Webpack 插件。看来 Webpack 真的要退出历史舞台了。 ​​​

2、[Lyrebird](https://github.com/lyrebird-voice-changer/lyrebird)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050707.webp)

Linux 平台的一个变声器软件，可以把你的声音变成男声、女声、播音员等等。

3、[HyperUI](https://www.hyperui.dev/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050711.webp)

一个 Tailwind CSS 组件库。如果你不清楚 Tailwind CSS 的那些类名应该怎么搭配，可以看看这个库。

4、[OneMark](https://onemark.neuxlab.cn/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102701.webp)

微软的免费笔记软件 OneNote 的 Markdown 插件，可以用 Markdown 语法输入笔记，参见[介绍文章](https://sspai.com/post/76228)。（[@WeiXinLee](https://github.com/ruanyf/weekly/issues/2699) 投稿）

5、[base2048](https://github.com/qntm/base2048)

一个 JS 库，将 Base64 扩展到了2048个字符，从而使得二进制数据，可以转成非常短的字符串。

6、**积木头像**

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102706.webp)

一个微信小程序（搜索“积木头像”），可以生成 notion 风格头像，支持各个部位的定制和背景色。([@bimohxh](https://github.com/ruanyf/weekly/issues/2705) 投稿)

7、[checkmake](https://github.com/mrtazz/checkmake)

一个检查 Makefile 文件有没有错误的工具。

8、[Criterion](https://github.com/Snaipe/Criterion)

![](https://cdn.beekka.com/blogimg/asset/202202/bg2022022312.webp)

C/C++ 的单元测试框架。

9、[DaRemote](https://play.google.com/store/apps/details?id=com.deskangel.daremote&hl=en_US&gl=US)

![](https://cdn.beekka.com/blogimg/asset/202203/bg2022032012.webp)

一个安卓应用，内置 SSH 客户端，可以登陆服务器，以图形展示服务器的实时状态。

10、[craiyon](https://www.craiyon.com/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102707.webp)

开源 AI 绘图引擎 [DALL·E mini](https://github.com/borisdayma/dalle-mini) 改名后的样子，根据文本生成图像，免费使用。特点是速度比较快（不超过2分钟），效果也不错。

## 资源

1、[折纸教程](https://origami.kosmulski.org/blog/2022-10-23-fujimoto-books-public-domain)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102404.webp)

日本折纸大师藤本修三（1922–2015）写的五本折纸教程，现在由他后人放入公共领域，全部可以免费下载。

下面就是藤本修三的一些折纸作品。如果家里有小朋友，可以用作手工教材。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102405.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102406.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102407.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102408.webp)

2、[AI 自拍](https://www.strmr.com/)

用户向该网站上传5～10张自拍照，它就会用 AI 模型生成一张很帅的自拍。下图是原始素材和模型生成的自拍。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102606.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102607.webp)

3、[TLS 1.3 图解](https://tls13.xargs.org/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022080405.webp)

作者使用图片，详细解释新版本的 TLS 1.3 协议的每个步骤和每个字节的含义。

4、[Quick Reference](https://wangchujiang.com/reference/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102705.webp)

该网站收集了各种编程语言和工具的速查表，带有[源码仓库](https://github.com/jaywcjlove/reference)。（[@jaywcjlove](https://github.com/ruanyf/weekly/issues/2704) 投稿）

5、[图形和游戏开发的 3D 数学入门](https://gamemath.com/book/intro.html)（3D Math Primer for Graphics and Game Development）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052306.webp)

免费阅读的英文教程，介绍 3D 图形软件开发所需要的数学知识。

## 图片

1、[五台发动机的飞机](https://www.flightradar24.com/blog/how-qantas-ferried-an-engine-on-the-wing-of-a-747/)

普通飞机最多只有四个发动机，但是一架澳大利亚客机曾经临时“装过”第五个发动机。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060907.webp)

2011年，澳大利亚航空公司的一架波音747客机，飞到南非约翰内斯堡以后，一个发动机突发故障，飞不回来了。

澳航研究了各种选项以后，决定紧急从澳大利亚向南非空运一台发动机。

作为最快的方法，他们把这台备用发动机，装在下一架飞往南非的波音747的机翼下方。那架飞机就成了一架有5个发动机的飞机。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060908.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060909.webp)

2、[OpenSSL 的图形界面](https://smallstep.com/blog/if-openssl-were-a-gui/)

OpenSSL 是一个命令行工具，主要用于加密通信。

它带有大量参数，如果做成图形界面，会是什么样子？

有人就设计了一个，因为参数实在太多，最后就是下面这种恐怖的样子。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022061102.webp)

由此可见，对于带有大量参数的工具软件，命令行界面的易用性其实远胜于图形界面。

## 文摘

1、[TikTok 对唱片公司的影响](https://tedgioia.substack.com/p/record-labels-dig-their-own-grave)

TikTok 已经在欧美成为音乐传播的主渠道。

美国的唱片公司现在要求歌手，新歌只有在 TikTok 走红以后，才能发专辑。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102702.webp)

哈尔希（Halsey）是一位已经成名的女歌手，也被要求在 TikTok 发新歌。她发了很多视频，没有一首走红。

最后，她实在忍不住了，发了一个痛哭的视频。

“我想出专辑，但是公司不同意，因为我没有一首歌在 TikTok 走红。我已经卖出的专辑超过1.65亿张，但是现在我没有办法出新专辑。”

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060301.webp)

出乎意料，这个视频走红了。唱片公司看到她有人气了，终于同意出专辑了。

这件事在美国音乐引起了议论，很多人认为，唱片公司太短视了，这样下去，整个唱片业岌岌可危。

只为走红的歌发专辑，虽然可以降低风险，确保能够赚钱。但是，一旦音乐家自己在 TikTok 打开市场，就会建立属于自己的渠道，这时他们就不再需要唱片公司了，而且会有更多的办法赚钱。

唱片公司为了保住利润，放弃了培养歌手、发掘音乐的作用，只想收割现成的成果，就等于是自掘坟墓。

## 言论

1、

2010年，中央情报局发现，拉登可能藏身在巴基斯坦农村的一座神秘三层小楼，但是无法确定。

他们就开始监视楼外的晾衣绳，通过晾晒衣服的种类和数量，判断楼里住了什么人和多少人。

-- [《追杀奥萨马·本·拉登》](https://www.politico.com/news/magazine/2021/04/30/osama-bin-laden-death-white-house-oral-history-484793)

2、

现在是成为 Linux 用户的好时机。这个系统已经很成熟，对普通用户有很好的可用性。

硬件基本上开箱即用，而且你免费拥有丰富且最新的驱动程序、bug 的快速修复、接近企业级的大型社区维护更新。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=32453995)

3、

软件的可观察性有三大支柱：指标、跟踪和日志。

-- [《可观察性的三大支柱》](https://www.datadoghq.com/three-pillars-of-observability/)

4、

电子游戏是现在还在学校的这一代人接触的主要媒体。对他们来说，电子游戏不仅是一项活动，还是社交生活的主要部分。

明天的世界将会建立在电子游戏的设计和习惯之上。

-- [《电子游戏研究》](http://togelius.blogspot.com/2022/08/apology-for-video-games-research.html)

5、

开源项目的作者有一个真正的特权，那就是你是唯一决定软件设计的人，可以体验一把主宰一切的感觉。只要你觉得别人的建议或设计与你的目标不相符，就有权拒绝他们。

-- [《开源悖论》](http://antirez.com/news/134)


## 历史上的本周

2021年（第180期）：[你想住在中国哪里？](https://www.ruanyifeng.com/blog/2021/10/weekly-issue-180.html)

2020年（第130期）：[低龄化的互联网](https://www.ruanyifeng.com/blog/2020/10/weekly-issue-130.html)

2019年（第78期）：[下一个风口是什么行业？](https://www.ruanyifeng.com/blog/2019/10/weekly-issue-78.html)

2018年（第27期）：[乔布斯的“热情假设”对不对？](https://www.ruanyifeng.com/blog/2018/10/weekly-issue-27.html)

## 说明

周刊每周五发布在[我的个人网站](http://www.ruanyifeng.com/blog)和微信公众号《阮一峰的网络日志》，欢迎订阅。

周刊内容开源，自由使用，仓库在 GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)，欢迎提交 issue 投稿。另有[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2666)服务，提供程序员就业信息。

商业合作或产品推广，请邮件联系（Email： yifeng.ruan@gmail.com ）。

## 鸣谢

感谢国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 支持周刊。

FlowUS 是一个知识管理与协作的 SaaS 产品，集成了“文档+表格+网盘”，具有写文档、制作主页、管理数据、存储文件等多种用途。

周刊的[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎访问。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

