# 科技爱好者周刊（第 231 期）：互联网公司需要多少员工？

这里记录每周值得分享的科技内容，周五发布。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111601.webp)

卡塔尔正在建造的 Qetaifan 人工岛，上面有一个世界最大的滑水道，高达86米。（[via](https://www.themeparx.com/aquatar-water-park-qetaifan-island/?p=29337#post29337)）

## 本周话题：互联网公司需要多少员工？

马斯克收购推特之前，[放话](https://cn.wsj.com/articles/%E6%8A%A5%E9%81%93-%E9%A9%AC%E6%96%AF%E5%85%8B%E8%AE%A1%E5%88%92%E6%94%B6%E8%B4%ADtwitter%E5%90%8E%E8%A3%81%E6%8E%8975-%E5%91%98%E5%B7%A5-11666310405)要解雇75%的员工。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111301.webp)

等到真的入主推特，他大刀一挥，第一个周末解雇了3700人。推特的员工总数现在是7500人，所以实际解雇了50%。

这就引出了一个有点残酷的问题：**互联网公司到底需要多少员工？**

如果推特少了50%、甚至75%的员工，还能正常运作，那些员工原来是在干什么呢？或者有没有另外一种可能，一半的岗位已经没人了，推特这个公司还能正常运作吗，会不会完蛋？

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111302.webp)

今天，我就想谈这件事。我觉得，**50%和75%这两个解雇比例，不是马斯克随意设定的**，而是经过计算的，他相信公司少了这些员工，还能正常运作。

我查了推特的每月活跃用户数（MAU），就是下面[这张柱状图](https://www.statista.com/statistics/282087/number-of-monthly-active-twitter-users/)。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111303.webp)

可以看到，活跃用户的增长速度，明显分成两个阶段，以2014年底的3亿为界。此前是高速增长，此后是平缓增长。

推特现在不公布活跃用户数量了，但是[外界估计](https://www.statista.com/statistics/303681/twitter-users-worldwide/)依然是3亿多人，[有的资料](https://backlinko.com/twitter-users)说接近4亿。

也就是说，**2014年底的推特员工可以支持的用户数量，跟现在基本是同一个数量级。**

可以[查到](https://www.statista.com/statistics/272140/employees-of-twitter/)，2014年底的推特员工有3638人（下图的红圈），接近本次裁员后的员工数量。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111304.webp)

因此我猜想，马斯克决定裁一半人，是参考了高速增长结束前的员工规模。这也意味着，即使推特少了一半员工，肯定还能正常运作，因为以前就是这么多人。

如果再往前推，2010年初，推特只有130个员工，活跃用户是3000万。现在，用户数是那时的十多倍，而130个员工的十多倍，正好接近7500人裁员75%。这是巧合吗？

事实上，即使裁员75%，跟其他一些公司相比，推特的员工还是偏多的。一个极端的例子是，脸书收购 Instagram 时，后者的用户数量已经到了3亿，但只有13个员工。Telegram 有[7亿活跃用户](https://telegram.org/blog/700-million-and-premium)，员工人数在500人至1000人之间。WhatsApp 有20亿用户，[员工数量](https://webtribunal.net/blog/whatsapp-statistics/)是50个工程师 + 55个其他人员。

这告诉我们，**互联网软件开发不需要很多员工，一个精干的工程师团队就可以维护了。** 

但是，现实却恰恰相反，每一家大型科技公司都有大量员工。GitHub 的前 CEO [公开说](https://twitter.com/natfriedman/status/1585399067906932736)，**技术公司基本上都有2到10倍的冗员，这是人尽皆知的行业秘密。**

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111305.webp)

为什么公司会雇佣多于实际需要的员工？他在[下一条推文](https://twitter.com/natfriedman/status/1585414650291965954)给出了自己的解释。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111306.webp)

他说，**只要业务还在賺錢，那么雇佣更多的人，总是比摆脱低绩效的员工更容易。** 如果你在大公司待过，就知道这句话千真万确，每当新技术或新业务出现时，公司一定会招聘更多的新员工，冗员是避免不了的。

所以，大家不要因为最近裁员的公司比较多，而感到灰心。等到这一波调整期过去，科技公司就会重新开始大量招人，人员肯定会扩编。

你要相信，互联网的扩张期远没有结束，依然会创造大量的就业，尤其是企业互联网和产业互联网才刚刚起步（参见[周刊第 205 期](https://www.ruanyifeng.com/blog/2022/05/weekly-issue-205.html)的分析）。大家不妨趁着这段时间，静下心，埋头学习一点新技术，将来一定会派上用处。

写到这里，插播一条最新新闻。马斯克刚刚发了一张[照片](https://mobile.twitter.com/elonmusk/status/1592618665933156352)，他跟两个先被解雇、后发现解雇错了又重新召回的推特员工合影，下面写着：“欢迎回来，利格玛和约翰逊！”（[更正] 这两个人不是推特员工，而是演员，曾经到推特总部门口扮演被解雇员工。马斯克找他们合影，其实是恶搞。）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111609.webp)

大概在老板心里，员工就像快递员，叫来就来，叫走就走。

## Vite 和 React 开发实战

字节跳动的前端工程师，正在主讲一个 Vite + React 课程，内容挺不错的。如果你在学习前端，可以关注一下。

这门课讲解如何使用这两个流行的开发工具，从 0 到 1 写一个类似 VitePress 的静态站点生成器。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111606.webp)

<u>基础部分是免费的，教你 Vite 的基础知识，动手搭建开发环境，快速实现项目原型。</u>内容包括视频讲解 + 文字梳理，一共4节，时长大概一个小时。

如果听完以后，你还想学下去，彻底学会这两个工具，那么可以考虑购买后面的部分。**这门课是字节旗下的掘金社区制作的**，课程质量和服务完全有保障。周刊读者现在还有优惠，可以使用**五折码**【Luy5WFUo】（限前100个），并享受“双十一”满赠活动。

点击[这个链接](https://juejin.cn/video/7163857336258265102?utm_source=ruanyifeng&utm_medium=wechatpyq&utm_campaign=xiaoce_SSG_202211)，或者扫描海报二维码，详细了解课程，开始学习。

## 科技动态

1、[双重计算器](https://mainichi.jp/english/articles/20220916/p2a/00m/0sc/017000c)

一位63岁的日本退休工程师，退休后自学 Swift 语言，写出了一个“双重计算器”的手机 App，已经在苹果商店上架，叫做 Twin-Calc。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092011.webp)

这个 App 的特点就是，两个计算器并排显示（手机需要横屏），计算出来的结果只要按一下，就会转移到另一个计算器。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092010.webp)

很多人使用计算器，会先计算出中间结果，但是不知道如何暂时保存这个结果（其实按 M+ 就可以）。这个 App 就解决这个问题，把中间结果传到另一个计算器。另外，它也方便查看上一步的计算过程。

2、[摆脱噩梦的手表](https://www.apple.com/newsroom/2022/11/veterans-find-relief-from-nightmares-with-nightware-and-apple-watch/)

苹果手表有一款软件 NightWare，可以帮你摆脱噩梦。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022110907.webp)

有些人有精神创伤，每天晚上做噩梦。现在，你只要戴着苹果手表入睡，并且打开这款软件，就可以“告别噩梦，夜夜好眠”。

它使用心率传感器、加速度计和陀螺仪的数据，实时监控身体数据，并且结合你的睡眠模式，判断你是否在做噩梦。

一旦确认，手表就发出逐渐增强的脉冲，柔和地震动手腕，直到你退出噩梦，同时又没有完全醒来时停止。它是目前唯一一个美国食药局 FDA 批准的噩梦数字疗法。

3、[球衣二维码](https://www.si.com/college/2022/04/15/ucf-football-spring-game-jerseys-qr-codes-nil-merchandise)

体育比赛的球衣，背后都印着球员号码，用来分辨谁是谁。佛罗里达大学橄榄球队最近放弃了这种做法，球衣背后改成二维码。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042007.webp)

电视转播时，观众可以对着屏幕，扫描二维码，就会跳转到球员主页，查看球员资料，还能留言和购买纪念品。以后的球场可能会二维码满场飞。

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042008.webp)

4、[iPhone 卫星电话的背后](https://www.apple.com/newsroom/2022/11/emergency-sos-via-satellite-made-possible-by-450m-apple-investment/)

iPhone 14 的卫星电话功能，最近投入使用。苹果官网披露了一些背后的细节。

为了这个功能，苹果向卫星通信公司 Globalstar 投资了4.5亿美元，更新了卫星和地面站。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111104.webp)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111105.webp)

目前，一共有24颗低轨卫星，负责接收 iPhone 信号，再把信号传回地面站（上图）。

考虑到用户可能比较多，地面站的卫星天线都是特别加大的。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111106.webp)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111107.webp)

目前一共有300多人，负责维护世界各地的地面站。

## 文章

1、[900MHz 频段重新用于 5G 系统](https://finance.sina.cn/tech/2022-11-11/detail-imqmmthc4136481.d.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111404.webp)

工信部批准，原用于 2G/3G/4G 系统的 900MHz 频段，重新分配给联通的 5G 系统。这篇报道介绍相关情况，为什么 900MHz 是 5G 的黄金频段。

2、[马斯克与员工争论 RPC](https://www.toutiao.com/article/7166200511144821261/)（中文）

马斯克公开说，推特速度慢是因为有1000多个 RPC 请求。一个推特员工回复说，你错了。两人就争论起来了。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111605.webp)

本文（还有[另一篇](https://www.oschina.net/news/217749/musk-confuses-how-graphql-works)）分析马斯克说得到底对不对。不幸的是，马斯克已经把那位与他争论的工程师解雇了。

3、[CSS 中`<html>`与`<body>`](https://css-tricks.com/html-vs-body-in-css/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092601.webp)

CSS 属性如果要对整张页面生效，可以定义在`<html>`，也可以定义在`<body>`，本文介绍两者的区别。

4、[100字节的基本 CSS 设置](https://www.swyx.io/css-100-bytes)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092602.webp)

作者逐行介绍一个网页样式的基本 CSS 设置，只要100字节。

5、[Node.js 19 的新功能](https://blog.appsignal.com/2022/11/15/nodejs-19-release-whats-new.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111602.webp)

本文介绍刚发布的 Node.js 新引入的一些功能。

6、[Xcode 14如何增大了 iOS App 的体积](https://www.emergetools.com/blog/posts/how-xcode14-unintentionally-increases-app-size)（英文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111103.webp)

苹果最新版的开发工具 Xcode 14 有一个问题，使用默认设置打包 iOS App，会显著增加 App 的体积（增加30%以上）。

7、[什么是 WebAuthn](https://fusionauth.io/blog/2022/09/13/what-is-webauthn-why-do-you-care)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092401.webp)

本文较通俗地介绍了账户登录的 WebAuthn 标准，不涉及实现细节，你可以大致理解它是怎么回事。

8、[我如何拿到7万美元谷歌奖金](https://bugs.xdavidhu.me/google/2022/11/10/accidental-70k-google-pixel-lock-screen-bypass/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111111.webp)

作者发现了安卓手机的一个大 Bug，可以破解任意手机的锁屏，最终得到谷歌7万美元奖金。本文讲述这件事的曲折过程，谷歌拖了四个月才解决。

## 工具

1、[VOCALOID 6](https://www.vocaloid.com/en/) 

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111108.webp)

雅马哈公司发布的一个 AI 工具，会根据配乐和歌词自动演唱，也就是说，不需要歌手了。

官方目前支持日文和英文，但是国内的公司已经开发出了中文声库，比如“星尘 infinity”声库。

下面就是这个软件演唱的中文歌曲（[B 站](https://www.bilibili.com/video/BV1uP4y1g7c3/)，[Youtube](https://www.youtube.com/watch?v=GYSJYs7Blp0)），根本听不出是软件在唱歌。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=u336353v8te" allowFullScreen="true" width="600" height="400"></iframe>

2、[Aerial](https://aerialscreensaver.github.io/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090512.webp)

一款免费的开源 Mac 屏幕保护程序，可以在电脑上播放 Apple tvOS 的屏保视频。

3、[Sapling](https://sapling-scm.com/docs/introduction/getting-started/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111710.webp)

Facebook（现在叫 Meta）内部使用的版本管理工具，最近[开源](https://engineering.fb.com/2022/11/15/open-source/sapling-source-control-scalable/)了。它兼容 Git 协议，可以替代 git 的命令行客户端，用起来更简单和合理。

4、[Draw Things: AI Generation](https://apps.apple.com/us/app/draw-things-ai-generation/id6444050820)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111112.webp)

一个 iOS App，在苹果手机上（最好是最新型号）运行 Stable Diffusion 模型，根据文本描述生成图像，参见作者的[说明文章](https://liuliu.me/eyes/stretch-iphone-to-its-limit-a-2gib-model-that-can-draw-everything-in-your-pocket/)。

5、[AutoCut](https://github.com/mli/autocut)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111727.webp)

这是一个视频编辑软件，通过编辑字幕文件，完成视频剪切，适合课程/讲座类视频的编辑。如果视频没有字幕，也可以自动生成。（[@jerrylususu](https://github.com/ruanyf/weekly/issues/2743) 投稿）

6、[Aurora](https://github.com/linhaojun857/aurora)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111724.webp)

一个在校大学生开源的博客系统，后端基于 Java 的 Spring Boot，前端基于 Vue，自带管理后台。（[@linhaojun857](https://github.com/ruanyf/weekly/issues/2737) 投稿）

7、[MindShow.fun](https://www.mindshow.fun/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111728.webp)

免费的 Web 服务，根据大纲笔记的层级，自动生成幻灯片。可以选择主题和模板，直接在浏览器演示，也可以导出成 PDF。（[@huansixie6rj](https://github.com/ruanyf/weekly/issues/2744) 投稿）

8、[xfrpc](https://github.com/liudf0716/xfrpc)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111729.webp)

内网穿透工具 frp 的 C 语言客户端。原本的 frp 客户端使用 Go 语言，可执行文件较大，无法安装在路由器上，用 C 语言实现就可以了。（[@liudf0716](https://github.com/ruanyf/weekly/issues/2745) 投稿）

9、[Metaphor](https://metaphor.systems/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111110.webp)

一个搜索引擎，特点是使用 AI 的方式处理问题，所以可以搜索一些很奇怪的问题，比如“19世纪有什么类似马斯克那样的人物”。

10、[Notesnook](https://notesnook.com/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090518.webp)

一个开源的端对端加密的笔记服务，保证内容完全私密，即使泄漏也无法破解。它有 Web 端、桌面端、手机端。你可以用官方服务器，也可以自己架设服务器。

11、**人生报告**

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111725.webp)

一个微信小程序（微信搜索“人生报告”），将周刊224期介绍的 life-stats 改造成中文版。用户输入生日，它返回一些统计数字，比如心跳了多少次，睡了多少小时。（[@jonsonox](https://github.com/ruanyf/weekly/issues/2740) 投稿）

## 资源

1、[QUIC 协议图解](https://quic.ulfheim.net/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062201.webp)

前不久，HTTP/3 协议正式定案，基本就是照搬了谷歌的 QUIC 协议。本文使用图解，详细解释了 QUIC 的每一步、每个字节的含义。

2、[Effective Shell](https://effective-shell.com/)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062211.webp)

一本免费的英文电子书，讲解命令行 Shell 的用法。

3、[开源面对面](https://osf2f.net/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111726.webp)

一档介绍开源软件的播客访谈节目。（[@LinuxSuRen](https://github.com/ruanyf/weekly/issues/2742) 投稿）

4、[90年代鼠标效果](https://tholman.com/cursor-effects/)

这个仓库收集上个世纪90年代的各种鼠标效果，比如鼠标后面跟着一串小星星。

## 图片

1、[橡皮擦](https://mp.weixin.qq.com/s/itV_n0iIMD_k2Mal70DVyg)

日本有一种橡皮擦，造型是一个有头发的和尚，擦着擦着就变成了光头了。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062214.webp)

还有另一款，造型是有头发的老板，这似乎就有点恶意了。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062215.webp)

2、[电视手表](https://sabukaru.online/articles/the-watch-for-which-james-bond-gave-up-his-rolex-the-seiko-tv-watch)

1982年，日本精工手表推出了一款电视手表。

连上信号接收器以后，手表就会变成屏幕，可以看电视。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062703.webp)

精工公司投资了数百万美元开发这款手表，希望将来每个人的口袋里，都有一个随身携带的电视机。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062704.webp)

电视手表发布后，引起了轰动，被吉尼斯认证为世界最小的电视机。甚至1983年的007电影里面，邦德也佩戴这款手表。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111730.webp)

1983年，它在美国上市的售价为500美元，可惜此后就再也没有新型号了。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022062705.webp)

## 文摘

1、[建造就是活着](https://kk.org/thetechnium/construction-is-life/)

作者：凯文·凯利

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111731.webp)

我是在纽约郊区长大的，城里一年到头都有很多建筑工地，让少年的我非常困扰。

每次进城，到处都是封闭的道路，起重机、水泥卡车让交通堵塞，手提钻不停地响，街道被挖开，建筑物在维修或拆除。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111732.webp)

整个城市给人一种喧嚣、破坏和混乱的感觉。而且，修完这栋楼，又去修那栋楼，永远不知道何时才能完全结束。

所以，我一直认为，建筑工地是很糟糕的事情。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111733.webp)

成年以后，我有机会访问世界各地，包括那些不那么发达的地区。

我逐渐意识到，建筑工地是一个地区的生命力的标志。如果一个地区、一座城镇，甚至一座建筑，没有任何升级、维修和新建，那就意味着它正在死亡。

持续不断的工作和喧嚣，是一种生命脉搏。手提钻的噪音，其实是城市新陈代谢的声音。有建筑工地，表示这个地区还活着，没有就表示这个地区生病了。

一个地方需要不断升级和修复，才能长期保持健康。从未搭建维修脚手架的建筑物，终将被拆除或倒塌。现在，我认为建造就是繁荣的标志，表示新陈代谢的健康状态。

如今，当我在街上看到起重机，我感到很放心，这个地方还活着，而且很健康。当我看到街边停着卡车，社区正在改造和维修，我就感觉很好。

建造就是活着。

## 言论

1、

人与人有冲突，就会去法院。国与国有冲突，最终是看谁的力量大。

-- [雷·达里奥](https://thehustle.co/ray-dalio-chat/)（Ray Dalio），世界最大对冲基金桥水投资创始人

2、

一个人很难擅长整个技术堆栈。我建议初学者专注于堆栈的一个部分：前端，或后端，或底层架构。随着你不断深入自己的领域，你将获得涉足所有领域的信心。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=31958516)

3、

USB2.0、USB3.0、USB4.0 这种混乱的命名应该改掉，改成 USB 0.5Gbps、USB 5Gbps、USB 80Gbps。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=32696451)

4、

提高房价的最简单方法，就是将穷人赶出社区，并且人为限制住房供应。这就是为什么美国的富裕社区非常排斥在社区新建公共设施。

-- [诺亚·史密斯](https://noahpinion.substack.com/p/yes-your-house-is-wealth)（Noah Smith）

5、

我认识的那些不知道自己热衷什么的人，都努力得不够。他们只是坐在那里，等待事业的灵感来袭。

他们不应该等待，应该去创造，然后就会知道自己的激情在哪里。

-- David Perell

## 历史上的本周

2021年（第183期）：[腾讯的员工退休福利](https://www.ruanyifeng.com/blog/2021/11/weekly-issue-183.html)

2020年（第133期）：[贵州变瑞士，有没有可能？](https://www.ruanyifeng.com/blog/2020/11/weekly-issue-133.html)

2019年（第81期）：[子辈能大幅超越父辈吗？](https://www.ruanyifeng.com/blog/2019/11/weekly-issue-81.html)

2018年（第30期）：[为什么谷歌做不好社交软件？](https://www.ruanyifeng.com/blog/2018/11/weekly-issue-30.html)

## 说明

周刊每周五发布在[我的个人网站](http://www.ruanyifeng.com/blog)和微信公众号《阮一峰的网络日志》，欢迎订阅。

周刊内容开源，自由使用，仓库在 GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)，欢迎提交 issue 投稿。另有[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2715)服务，提供程序员就业信息。

商业合作或产品推广，请邮件联系（Email： yifeng.ruan@gmail.com ）。

## 鸣谢

感谢国产软件 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 支持周刊。

FlowUS 是一个知识管理与协作的 SaaS 产品，集成了“文档+表格+网盘”，具有写文档、制作主页、管理数据、存储文件等多种用途。

周刊的[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎访问。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

