# 科技爱好者周刊（第 234 期）：AI 聊天有多强？

这里记录每周值得分享的科技内容，周五发布。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120702.webp)

荷兰乌特勒支市的图书馆，读者如果想要为电子设备充电，必须自己骑自行车发电。（[via](https://www.facebook.com/photo/?fbid=694269942053486)）

## 本周话题：AI 聊天有多强？

上周最大的技术新闻是，OpenAI 公司[发布](https://openai.com/blog/chatgpt/)了一款 AI 聊天软件 [ChatGPT](https://chat.openai.com/)。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120602.webp)

它其实不能算聊天软件，更像是一个“问不倒先生”，不管什么问题，都能告诉你答案。

它的回答质量之高，令人震惊，完全不像机器人，更像百科全书。

网友问它：“大家都說租房就是帮房东缴房贷，所以买房才是更好的选择。你怎么看？

它回答如下：

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120403.webp)

> “是的，有人认为租房只会帮助房东偿还房贷，而购买房屋才是更好的选择。但这只是一种看法，并不是绝对正确的。
> 
> 实际上，租房也有许多优点。例如，租房可以让您在短期内拥有住所，并且可以更容易地搬迁。此外，您还不必担心房屋维修和维护的问题，因为这些费用通常由房东承担。此外，如果您租房，您还可以将更多的资金放在其他投资项目上，以获得更高的收益。所以，租房也有许多优点，并不仅仅是帮助房东偿还房贷。”

你能相信吗，这是软件的回答？真是绝了，我都总结不出这样一番话。它的层次已经不是像人那样说话（即“图灵测试”的层次），而是超出了一般人的表达，像一个学者在说话。

它的回答能力远远超出了一般的问答，你问它一个知识点，它会给出一段解说或教程，就像老师上课一样。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120603.webp)

一个物理学家试用了20分钟，问了它一些现代物理学的历史，不禁[发出感叹](https://twitter.com/pwang/status/1599520310466080771)（上图）：

> “如果高中和大学时期，我能遇到这样的导师，那该多好……我觉得，大规模教育的方法被我们重新发明了。现在的大学模式将不复存在。”

也就是说，他认为 ChatGPT 将引发教育革命，部分取代老师，**以后完全可能是 AI 来给人们上课**。

正是因为 ChatGPT 的回答质量太高，全世界最大的程序员问答网站 StackOverflow 宣布，[暂时禁止张贴它的回答](https://www.theverge.com/2022/12/5/23493932/chatgpt-ai-generated-answers-temporarily-banned-stack-overflow-llms-dangers)，理由是它的错误率比较高。

但是，人的回答也会出错啊。而且，它的正确率跟训练材料有关，如果提供更多的材料给它训练，就能提高正确率。何况它现在只是1.0版，几个月后升级到2.0或3.0版，表现会更出色。

我觉得，StackOverflow 禁止它真正的原因是，**如果让 AI 和人类在同一个网站上，一起回答问题，我们不知道会发生什么事。** 如果 AI 回答得太出色，用户可能觉得不需要问答网站了，直接去问 AI 就行了。

事实上，有人已经提出，搜索引擎的重要性将要下降，问题可以直接问 AI。网上甚至有一个 [Chrome 浏览器的插件](https://github.com/wong2/chat-gpt-google-extension)，在谷歌的搜索结果页插入 ChatGPT 的回答（下图），让用户比较谁回答得更好。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120504.webp)

类似的还有一个[知乎插件](https://github.com/no13bus/chat-gpt-zhihu-extension)，在知乎页面上插入 ChatGPT 的回答。

ChatGPT 的新用途，现在每天都在增加。有人让它解释代码，有人让它写程序和找 Bug，甚至有人让它[扮演虚拟机](https://www.engraved.blog/building-a-virtual-machine-inside/)，我说一条命令，你把执行结果告诉我。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120604.webp)

看着它无所不能的样子，我在想，以后是否可以我就不写周刊了，让它来写？我只需要筛选出本周的材料，它负责进行总结和介绍。

ChatGPT 加上此前出现的 AI 绘图引擎，我有一个感觉：**2022年将是 AI 应用的元年**，人工智能对人类社会的重大改造，就从今年开始了。

此前，AI 模型更像是玩具和学术产品，但是**从2022年开始，它可以真正替代（并超越）人类的智力劳动。** 我们根本无法预测，当这种技术大规模使用以后，将会如何改变人类社会。

## ChatGPT 应用

ChatGPT 可以免费使用，但需要手机注册。它不支持中国大陆的手机号，如果想玩的话，你需要一个境外的手机号，或者使用境外的[接码平台](https://sms-activate.org/cn)，再或者在电商平台买一个 OpenAI 账号。

另外，这几天，基于 ChatGPT 的应用层出不穷，下面再列举一些。

1、[Talk - GPT-2](https://whisper.ggerganov.com/talk/)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120811.webp)

这个项目让你跟 AI 语音聊天，网页先识别你的语音，然后 AI 生成文本回答，再用机器语音说出来。它甚至可以让两个网页互相聊天，参见[作者说明](https://github.com/ggerganov/whisper.cpp/discussions/167)。

2、[ChatGPT ProBot](https://github.com/oceanlvr/ChatGPT-ProBot)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120809.webp)

一个 GitHub 机器人，可以让 ChatGPT 帮你审核代码和重构代码，也可以在 GitHub 页面上与它聊天。（[@oceanlvr](https://github.com/ruanyf/weekly/issues/2784) 投稿）

3、[ChatGPT 桌面应用](https://github.com/lencx/ChatGPT)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120810.webp)

这个软件把 ChatGPT 包装成了跨平台的桌面应用，让你在桌面上与它聊天。（[@lencx](https://github.com/ruanyf/weekly/issues/2787) 投稿）

## 双十二小册活动

经常有人问我，国内程序员怎么知识变现？

我觉得，写一本“掘金小册”是比较简单的方法。它是稀土掘金的课程平台，在那里可以上架自己写的教程，定价从十几块从一百多块。如果卖得好，收入不少的。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120704.webp)

[双十二马上就要到了，“掘金小册”正在办年终促销。](https://sourl.co/zviXbN)大家可以去看看，有没有自己需要的教程，也参考一下别人的教程怎么写。

这次活动力度很大：**所有小册六折，还有30位免单名额；** 只要达到指定金额，都会赠送绿植/周边/足球小玩具；转发朋友圈，集赞可以抽腾讯视频 VIP；别人通过你分享的链接购买，你可以得到返现。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120705.webp)

点击[这个链接](https://sourl.co/zviXbN)，或者扫描上面海报二维码，就可以进入“掘金小册”，参加活动。感兴趣的朋友，不要错过这次优惠。

## 科技动态

1、[大气二氧化碳浓度](https://www.sandiegouniontribune.com/news/environment/story/2022-11-29/famed-keeling-curve-co2-tracker-shuts-down-after-mauna-loa-eruption-in-hawaii)

11月27日，世界最大的活火山夏威夷的茂纳洛亚火山爆发，造成附近的莫纳罗亚天文台停电。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120813.webp)

天文台里有一个很重要的仪器，从1958年开始一直在统计大气二氧化碳浓度。由于停电，不得不停止统计。预计修复电力设备，至少要几个月，这段时间将没有监测数据。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120814.webp)

大气二氧化碳浓度，是地球变暖最重要的指标之一，浓度越高，气温就会越高。过去几十年来，这个指标一直在上升，目前处于最高点。

2、[火星种植](https://www.independent.co.uk/space/mars-first-plant-grown-alfalfa-b2149910.html)

美国科学家提出，紫苜蓿非常适合在火星土壤生长。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082502.webp)

火星土壤的特点是养分低和盐度高。科学家发现，紫苜蓿可以在模拟火星土壤中健康生长，无需额外的肥料。

虽然紫苜蓿对人类用处不大，但是成熟后可以当作肥料。科学家相信，经过肥料改善的火星土壤，能够成功种植萝卜和莴苣。

3、[不需要充电桩的特斯拉](https://interestingengineering.com/innovation/mod-tesla-travelled-1600-miles-without-charger)

电动汽车的最大痛点，就是寻找充电桩。美国有一个特斯拉车主突发奇想，怎样才能让特斯拉免于充电之苦？车上自带一个发电机不就行了吗。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102001.webp)

他买了一个汽油发电机，然后自己改装特斯拉，车上自备汽油，然后把发电机接上充电口。不用车时，发电机就会启动，给特斯拉充电。

他用这种方法行驶了2600公里，完全不需要充电桩，任何地方只要能停车，就能充电。他能想出这种方法，还能动手实现，堪称奇才。

4、[体外骨骼](https://www.defensenews.com/air/2022/10/17/us-air-force-tests-exoskeleton-to-give-cargo-loading-porters-a-boost/)

美国空军正在试验一种“体外骨骼”，士兵穿上这种机械装置以后，会拥有更大的力量，完成各种任务。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102005.webp)

目前的版本主要是一个气动的腿部支架，用来增强腿部力量。机场搬运工穿上它以后，两个人可以搬动1.6吨的设备，通常需要四五个人才能搬动。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102006.webp)

这种“体外骨骼”很可能是将来重物搬运的一种解决方案。

## 文章

1、[我在卡塔尔建世界杯足球场](https://www.guancha.cn/huqinwang/2022_12_07_670087_s.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120812.webp)

作者作为参建者，披露本次世界杯主体育场的建造内幕。

2、[如何使用手表作为指南针](https://www.citizenwatch-global.com/support/exterior/direction_sc.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102002.webp)

西铁城手表的官网有一个页面，教你怎么用手表作为指南针，（在北半球）找到南方，很实用的小知识。

3、[树莓派搭建一个自己的音乐服务器](https://www.wdbyte.com/music-server.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120807.webp)

很多音乐服务现在都是收费的，作者使用树莓派，搭建一个自己的音乐服务器，实现随时随地的听歌自由。（[@niumoo](https://github.com/ruanyf/weekly/issues/2779) 投稿）

4、[NestJS 介绍](https://amplication.com/blog/why-choose-nestjs-as-your-backend-framework-amplication)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102204.webp)

作者推荐使用 NestJS 作为后端框架，本文介绍他眼中这个框架的几大优点。

5、[如何写一个 TypeScript 库](https://www.tsmean.com/articles/how-to-write-a-typescript-library/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102301.webp)

一个简单教程，介绍如何写一个 TypeScript 库发布到 NPM 上面。

6、[JavaScript 如何验证 URL](https://snyk.io/blog/secure-javascript-url-validation/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102409.webp)

本文介绍如何使用 JavaScript 验证一个 URL 是否合法。

7、[如何使用 Backblaze 和 Cloudflare 搭建免费 CDN](https://gist.github.com/charlesroper/f2da6152d6789fa6f25e9d194a42b889)（英文）

Backblaze 是一个存储服务商，Cloudflare 是 CDN 服务商，两者都提供免费服务。将它们结合起来，就能获得免费的存储 + CDN。

8、[开源云原生平台 KubeSphere 与 Rainbond 对比](https://mp.weixin.qq.com/s/VIxJNlJHQu91T7ASXg7sAQ)（中文）

作者需要找一个功能完善的云原生应用平台，经过自己筛选和朋友推荐，剩下 KubeSphere 和 Rainbond 这两个产品。（[@zzzhangqi](https://github.com/ruanyf/weekly/issues/2782) 投稿）

## 工具

1、[WordPress WASM](https://github.com/adamziel/wordpress-wasm)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092606.webp)

一个很有趣的项目，把 PHP 编译成 WASM 文件，然后让 WordPress 运行在里面。

也就是说，WordPress 完全运行在前端，没有 PHP 服务器。

2、[Djot](https://djot.net/)

这是 Markdown 格式的升级版，修正了一些不合理和难用的地方。我很喜欢这个格式，但愿能够推广开来。

作者 John MacFarlane 是加州大学的哲学教授，也是程序员。他的主要项目是文档工具 Pandoc，他还参与了 CommonMark 标准的制定。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120601.webp)

3、[Translate Web Pages](https://github.com/FilipePS/Traduzir-paginas-web)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092607.webp)

一个替代 Chrome 内置翻译功能的浏览器插件，调用 Google 或者 Yandex 的翻译 API。

4、[Halo](https://halo.run/)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120804.webp)

一款好用强大的开源建站工具，基于 Spring，最近发布了2.0版，在 GitHub 有 24k+ 星，查看 [Demo](https://demo.halo.run/)。（[@wan92hen](https://github.com/ruanyf/weekly/issues/2773) 投稿）

5、[Apache Superset](https://superset.apache.org/)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120805.webp)

一个数据探索和数据可视化工具，可以与各种数据源很好地集成。（[@jerrylususu](https://github.com/ruanyf/weekly/issues/2775) 投稿）

6、[vtui-repl](https://github.com/webfansplz/vtui-repl)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120806.webp)

一个 Node.js 工具，在命令行显示两个方框，一个输入代码，一个显示结果。（[@webfansplz](https://github.com/ruanyf/weekly/issues/2776) 投稿）

7、[Enhance](https://enhance.dev/docs/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092701.webp)

一个 Node.js 网站框架，特点是结构简单，一个 HTML 页面就是一个路由。

## 资源

1、[Canva 中文字体](https://mp.weixin.qq.com/s/dDCQxLhxj3tciMWEW2JeqQ)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120703.webp)

平面设计软件 Canva 推出了四款中文字体，可以免费使用（包括商用）。

2、[LeetCode 解题指南](https://github.com/doocs/leetcode)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120808.webp)

这个仓库收集整理了各种算法题的解题指南，包含多种语言的实现。（[@acbin](https://github.com/ruanyf/weekly/issues/2780) 投稿）

3、[函数式编程术语](https://github.com/hemanth/functional-programming-jargon#point-free-style)

函数式编程有很多术语，这个仓库收集这些术语，一一配上 JavaScript 示例，给予解释。它是英文版的，但是有[中译](https://github.com/shfshanyue/fp-jargon-zh)。

4、[Defensive CSS](https://defensivecss.dev/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022070611.webp)

这个网站收集各种防御性的 CSS 技巧，防止客户端出现各种破坏 CSS 显示的情况。

## 图片

1、[推特过夜房间](https://www.theguardian.com/technology/2022/dec/07/twitter-san-francisco-investigating-offices-converted-bedrooms)

马斯克推行“奋斗者”政策，在推特总部大楼里面，为加班的工程师准备过夜房间。

下面是 BBC 拿到的房间照片。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120816.webp)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120817.webp)

你还别说，这样的房间在旧金山市中心，如果是旅馆的话，价格肯定不低于1000元人民币。

2、[无印良品小屋](https://www.ignant.com/2017/12/12/tiny-huts-by-muji/)

无印良品是日本著名品牌，生产各种生活用品。2017年，它在日本推出了无印良品小屋。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071008.webp)

这是一间9平方米的小屋，售价300万日元（约15万人民币），包含安装。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071009.webp)

它的底座是钢筋混凝土，上部都是木质的。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071010.webp)

由于需要外接水电，而且没有卫生间，所以它不能用来居住，只适合有钱人家放在后院。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071007.webp)

## 文摘

1、[你在呼吸谁的呼吸？](https://www.rnz.co.nz/news/in-depth/470690/whose-breath-are-you-breathing)

我们呼吸的空气中，有多少是别人呼出的空气？

早上的公共汽车上，挤满了上班的人们，所有人挤在一起。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120820.webp)

根据新西兰的一项研究，由于没有打开窗户，公共汽车内部充满了乘客呼出的二氧化碳。空车的时候，二氧化碳浓度是百万分之516，即 516 ppm；乘满乘客20分钟以后，二氧化碳浓度就上升到了 5737 ppm，上升了十多倍。

当上升到这个浓度时，就意味着你在公共汽车上每七次呼吸，就有一次是吸入其他人呼出的空气。

除了感觉不好以外，这件事最糟糕的部分是，其他人呼出的空气可能带有病毒和细菌。你吸入他们呼出的二氧化碳，就会接触到这些病毒和细菌。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071104.webp)

因此，二氧化碳浓度可用作感染新冠病毒风险的指标。二氧化碳浓度越高，就意味着人越多，空气中潜在的病毒颗粒就越多。

室外的二氧化碳浓度约为 420 ppm，室内比较安全的浓度应低于 800 ppm。这也是美国疾病控制中心建议的室内二氧化碳浓度，代表具有良好的通风。

当室内二氧化碳浓度超过 1000 ppm 时，一旦房间中存在感染者，病毒传播的风险就很高。

如果超过 2000 ppm，就表示很危险，通风严重不良，空气里面的颗粒物多。当然，这不意味着，你一定会感染，只是表明风险很高。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071105.webp)

最糟糕的是，人无法感知二氧化碳浓度。二氧化碳无色无味，如果处于高二氧化碳环境，自己是无法知道的。另外，空气颗粒物太小，肉眼无法看到。

所以，如果你进入密闭空间，最好随身携带迷你的二氧化碳监测仪。它们只有一副纸牌大小，可以告诉你空气的新鲜程度。密闭空间内部（比如公共汽车和地铁）最好也配有显示屏，实时显示当前的二氧化碳浓度。

以后，当你看到二氧化碳浓度超过 800，你就应该打开窗户，让空气清新一点。

## 言论

1、

软件工程师和项目主管每周都必须发布代码，否则就要走人。

项目分析、开发文档、帮助队友……这些都是工作的基础部分，但不能替代编写代码。

-- [马斯克](https://www.firstpost.com/tech/news-analysis/musks-latest-twitter-dictum-engineers-to-send-weekly-reports-managers-to-fire-weak-performers-every-week-11725821.html)发给推特员工的邮件

2、

21世纪的头几年是 Web 开发的黄金时代，当时技术和工具快速发展，即使是最没有才能的程序员，也可以非常容易地快速做出各种好玩的网页效果。

AI 的内容生成，目前就处在这个阶段。为模型搭建一个基本的 Web 前端，调用一些新的 API，就可以推出一个非常令人惊叹的新功能。

-- [《现阶段的人工智能》](https://www.jonstokes.com/p/good-news-ai-is-now-in-its-midwit)

3、

如果从10岁开始，一直到80岁，你每天浏览90个网页，每个网页的加载需要4秒，你一共会花费103.66天等待网页加载。

如果网页加载时间减少1秒，你会多出来27天的生命！

-- [《我们浪费了多少时间等待网站加载？》](https://www.datafantic.com/how-much-time-do-we-waste-waiting-for-websites-to-load/)

4、

程序员分成两派，一派是“如果东西没有损坏，就不要去修它”，另一派是“尽早更新，并经常发布”。

我的想法是，即使“东西没有坏”，你仍然可以改进它。你的客户会喜欢这样，你的竞争对手不会。永远不要停止挑战自己。

-- [《“不坏不修”和“尽早更新”之间的平衡》](https://www.redhat.com/en/blog/balancing-if-it-aint-broke-dont-fix-it-vs-release-early-and-often)

5、

容易内疚的人可能更具有领导潜力，因为具有内疚感倾向的人往往对他人抱有强烈的责任感，这种责任感让其他人信任他们。

-- [《为什么内疚感可能预示着领导潜力》](https://www.gsb.stanford.edu/insights/why-feelings-guilt-may-signal-leadership-potential)

## 历史上的本周

2021年（第186期）：[低纬度，高海拔，气候优势](https://www.ruanyifeng.com/blog/2021/12/weekly-issue-186.html)

2020年（第136期）：[利特伍德奇轨迹定律](https://www.ruanyifeng.com/blog/2020/12/weekly-issue-136.html)

2019年（第84期）：[一次性工作招聘，用完你就丢](https://www.ruanyifeng.com/blog/2019/11/weekly-issue-84.html)

2018年（第33期）：[现场投票不如网络投票](https://www.ruanyifeng.com/blog/2018/11/weekly-issue-33.html)

## 说明

周刊每周五发布在[我的个人网站](http://www.ruanyifeng.com/blog)和微信公众号《阮一峰的网络日志》，欢迎订阅。

周刊是开源的，自由使用，仓库在 GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)，投稿请到仓库提交 issue。我们还开设了[《谁在招人？》](https://github.com/ruanyf/weekly/issues/2771)服务，欢迎发布或查看程序员招聘信息。

商业合作和产品推广，请邮件联系我（Email： yifeng.ruan@gmail.com ）。

## 鸣谢

文档和笔记服务 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 对周刊提供支持，非常感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01) 是新一代知识管理与协作平台，集成了“文档+表格+网盘”，具有写文档、制作主页、管理数据、存储文件等多种用途。

周刊开设了[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开设自己的专栏和页面。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

