# 科技爱好者周刊（第 240 期）：教育年限可以缩短吗？

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。周刊另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/2827)服务，发布程序员招聘信息。合作事宜请[邮件联系](mailto:yifeng.ruan@gmail.com)。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023013001.webp)

陕西汉中的龙头山景区，在接近山顶处，安装了长达180米的高山电梯，重新定义了爬山。（[via](https://baike.baidu.com/item/%E9%BE%99%E5%A4%B4%E5%B1%B1/57070795)）

## 本周话题：教育年限可以缩短吗？

春节前有一条大新闻，六十多年来第一次，国家统计局宣布[中国人口下降了](https://finance.sina.com.cn/tech/roll/2023-01-17/doc-imyanfvs5748585.shtml)，比上年末减少了85万人。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012113.webp)

这件事对国家、对我们每个人、对下一代，都会产生深远影响。今天，我就想谈谈这个话题。

进入正题前，让我们明确一点，这应该不是偶然的波动。根据其他国家的先例，人口一旦下降，就很难回升。所以，**中国人口的顶峰很可能就是现在的14.1亿人，以后大概率不会增加了，而是不断下降。**

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023013002.webp)

新生儿的减少，意味着国民的平均年龄将越来越大（老龄化），这对经济非常不利，原因如下。

**（1）整个国家的消费力减弱。** 老年人的消费意愿降低，很少购买新衣服、新电器、新房子。老年人也不愿意承担风险，投资意愿保守。研究发现，老年人主要购买的不是物品，而是服务，这对制造业不利。

**（2）全社会的养老支出越来越大。** 老年人需要照顾，政府要承担养老金和医保，能够投入其他方面的资源就减少了。

**（3）劳工的负担加重了。** 退休人口比重上升，对应的就是劳动力的比重下降，越来越少的工人必须养活越来越多的退休人员。

由于上面这些原因，世界各国想出了各种方法，应对人口下降。

> - 提高出生率，鼓励多生孩子。
> - 降低移民门槛，引入外国劳工。
> - 发展机器人，弥补劳动力不足。
> - 推迟退休年龄，延缓劳动力不足。

这些方法，要么实施起来很困难，要么短期内不易见效。

我有一个点子，可以快速见效，而且实施起来相对容易，阻力不大。上面提到推迟退休年龄，那么能不能反过来，**缩短年轻人的教育年限，让他们更早进入社会，参加工作。**

学生的教育年限，现在实在太长了，而且越来越长。6岁入学，本科毕业22岁，硕士毕业就是24岁了，如果还要读博士，最快也要26岁或27岁才毕业。

整个过程需要16年～20+年，这太漫长了。人生精力最丰沛、创造力最强的年纪，都在校园里度过了。

更糟糕的是，那么漫长的教育年限，成效却不高。问题主要是高等教育，很多学生的大学四年收获有限，要么玩掉了，要么被强制学习一些以后用不到的知识。

缩短教育年限，让学生早点完成培养计划，离开校园进入社会，对学生和社会都有好处。

对个人，可以早点了解生产实践，明白什么知识是有用的，明确人生方向，也可以早点拿到工资，实现经济独立；对社会，可以有更年轻的新生血液投入，增加经济活力，减缓人口下降带来的劳动力不足的压力。

具体做法有很多，我来提几条。

> （1）提早入学年龄（5岁入学？）。
> 
> （2）推行五年制小学。
> 
> （3）提高大学四年的学习效率，加强知识密度，压缩过时的课程，增加职业类课程。
> 
> （4）取消全日制硕士，要么全职读博士，要么利用网络和双休日的业余时间，兼职读硕士。

我重点说说最后一条：取消全日制硕士。

现在每年有几百万人考研，这真的是人力的巨大浪费。硕士学位的原意，是作为博士的预备阶段，但目前变成了就业的缓冲池。找不到好工作？那就先去读个硕士吧。

问题是，理论型学科的硕士偏学术，跟生产实践关系不大，毕业后工作恐怕更难找，只好去考公务员。而应用型学科的硕士偏应用，最好是在工作岗位上，边实践边学习。总之，全日制硕士这种低不成、高不就的制度设计，意义实在不大。

**缩短教育年限的最简单、最立竿见影的方法之一，就是鼓励年轻人不要全职读硕士。**

你要读硕士，可以的，就在工作中兼职读。如果以后，你发现自己对学术有兴趣，那就选择再回学校读博，专职走学术道路，也是没问题的。

## 科技动态

1、[360度钢琴](https://articles.roland.com/soaring-sound-meet-the-piano-of-the-future/)

Roland 是世界著名的电子乐器公司，为了庆祝公司成立50周年，推出了一款概念钢琴。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010611.webp)

传统的钢琴表演，对于听众来说，琴声都是从正前方传来。Roland 公司就想发明一款钢琴，让你感觉琴声从四面八方360度传来。

他们想出的办法就是使用无人机，一共有14架无人机，分布在听众的前后左右。钢琴会实时把琴声传到无人机携带的扬声器上。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010612.webp)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010613.webp)

但是，令人疑惑的是，无人机的马达和螺旋桨有很大的噪音，不可能不影响钢琴表演，不知道他们怎么解决这个问题。

2、[操纵闪电](https://www.science.org/content/article/playing-zeus-scientists-use-laser-beam-control-lightning-bolts)

传统的避雷针只能保护很有限的一块区域，日内瓦大学的物理学家成功做了一个实验，操纵大范围的闪电，落在避雷针上。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012003.webp)

他们选了一座山顶，上面有一个信号塔。他们在塔底向天空发射激光。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012004.webp)

激光每秒脉冲4000次，在天空中形成了一个电子通道，从而可以吸引附近的闪电。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012005.webp)

上图清楚显示，闪电被吸引进入激光路径，从而落在避雷针上面。实验期间，避雷针共被击中了四次。

实验证明该技术是可行的，也许可以用来保护一些露天的大型场所，比如火箭发射场。

3、[波塞冬核鱼雷](https://www.popularmechanics.com/military/navy-ships/a42537023/russia-poseidon-torpedo/)

塔斯社报道，俄罗斯海军已经部署了第一批波塞冬核鱼雷。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011903.webp)

这种鱼雷的特殊之处是，里面不仅有核弹头，还有一个核反应堆，为鱼雷提供动力，使得它更像一个水下无人机，拥有几乎无限的航程，可以在几千公里以外发射，然后在水下航行几天才到达目标，敌方就很难防御。

这种鱼雷长达20米，是普通鱼雷的好几倍。它的设计很早就提出了，但多年来一直没有做出实物，西方有人认为，这次也是俄罗斯放出的假消息。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011904.webp)

4、[AI 作品能参加人类比赛吗？](https://www.smithsonianmag.com/smart-news/artificial-intelligence-art-wins-colorado-state-fair-180980703/)

美国科罗拉多州最近举办了一次“数字艺术竞赛”，要求参赛者使用电脑完成一幅创意画作。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112602.webp)

第一名是一个叫做《太空歌剧院》的作品（上图），看上去像在宇宙飞船上举办歌剧演出。

新闻媒体事后披露，这个作品不是作者画出来的，而是 AI 模型根据描述自动生成的。这引起了很大争议，虽然组委会没有明文禁止，但是 AI 作品是否可以参加人类的比赛？

AI 现在不仅能够画画，还能够写作、谱曲、唱歌等等，以后这些比赛可能都需要禁止 AI 参赛。

## 文章

1、[生产锗-76](https://www.toutiao.com/article/7187615517694312975/)（中文） 

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011604.webp)

本文介绍中核集团首次国产化一种锗同位素的过程。

2、[热泵的原理](https://knowablemagazine.org/article/technology/2023/heat-pumps-becoming-technology-future)（英文）

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011701.jpg)

热泵取暖正变得越来越流行，取代电暖或烧煤/天然气，因为它比较省电。

本文通俗介绍热泵的原理，即冷媒气化后，气体膨胀导致（冬季）放热。写得还算清晰，谈到了空气热泵、地源热泵和水源热泵。

3、[GitHub Copilot 有多神奇](https://christianheilmann.com/2022/12/13/code-brushes-for-github-copilot/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011503.webp)

GitHub Copilot 是一个 AI 编程辅助工具，会自动生成代码。

最近，它推出了“代码刷”功能（code brush），用户可以选择不同的刷子处理代码，本文演示这个功能多么神奇。

4、[不要再写提交说明了](https://zura.wiki/post/never-write-a-commit-message-again-with-the-help-of-gpt-3/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012002.webp)

作者介绍怎么让 AI 模型来写 commit message，你自己就再也不用写了。

5、[React 条件渲染实例](https://www.lloydatkinson.net/posts/2022/react-conditional-rendering-with-type-safety-and-exhaustive-checking/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112705.webp)

React 组件如何根据不同的状态，进行不同的渲染？作者给出了一种非常干净的写法。

6、[Tailwind CSS 不是好的抽象](https://jakelazaroff.com/words/tailwind-is-a-leaky-abstraction/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120102.webp)

Tailwind 是目前很流行的 CSS 框架，但是作者认为这个框架并不可取。

7、[Unix 已死，Unix 万岁](https://www.theregister.com/2023/01/17/unix_is_dead/)（英文）

IBM 公司 的 AIX 系统，是最后一个还在开发的 Unix 正统分支，来自当年 AT&T 公司的授权。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012106.webp)

最近有报道称，它的开发被转移到印度了。这等于说，IBM 放弃它了。这也不奇怪，毕竟前面花了大钱收购 RedHat。所以，官方 Unix 大概真的死掉了，以后只剩下它的衍生后代 BSD 和 Linux 两派了。

8、[如何将正在运行的进程移入 tmux](https://xai.sh/2020/10/16/Move-running-process-into-tmux-session.html)（英文）

tmux 是一个终端会话（session）管理器，它可以新建会话。本文介绍如何将一个正在运行的外部程序，移到 tmux 里面去。

## 工具

1、[Open Props](https://open-props.style/)

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071107.webp)

一个 CSS 自定义属性（CSS 变量）的库，提供了许多设置好的自定义属性，方便使用。

2、[ChatRWKV](https://github.com/BlinkDL/ChatRWKV)

AI 聊天软件 ChatGPT 的一个开源替代品，家用电脑就能跑。

3、[TDesign 小程序组件库](https://github.com/Tencent/tdesign-miniprogram)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012111.webp)

腾讯的设计系统 TDesign 适配微信小程序的组件库。（[@LeeJim](https://github.com/ruanyf/weekly/issues/2846) 投稿）

4、[JSON Crack](https://jsoncrack.com/)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022082911.webp)

可视化展示 JSON 数据的开源软件。

5、[dns-detector](https://github.com/sun0day/dns-detector)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012112.webp)

一个基于 Node.js 的命令行工具，从 DNS 服务器获取某个网站的所有 IP 地址，逐一进行延迟测试。（[@sun0day](https://github.com/ruanyf/weekly/issues/2852) 投稿）

6、[imglib](https://github.com/nackily/imglib)

一个轻量级的 JAVA 图像处理库，简化对图像的常见处理。（[@nackily](https://github.com/ruanyf/weekly/issues/2851) 投稿）

7、[arti](https://blog.torproject.org/arti_100_released/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090302.webp)

Tor 协议的 Rust 语言实现，希望替代原来的 C 语言实现。目前发布了1.0版，已经可以投入使用了。

8、[Space](https://www.jetbrains.com/space/)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022090401.webp)

JetBrains 公司推出的一款的 GitHub 竞品，具有托管代码、项目管理、文件存储、持续集成、IDE 融合等功能。

9、[Scifi Terminals](https://github.com/ldodds/scifi-terminals)

这是 [VHS 工具](https://github.com/charmbracelet/vhs)的脚本仓库，用它创建 GIF 动画图片，可以模拟科幻电影的命令行操作效果，参见[教程](https://blog.ldodds.com/2022/11/08/recreating-sci-fi-terminals-using-vhs/)。

10、[Podman Desktop](https://podman-desktop.io/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111001.webp)

一个跨平台桌面应用，可以使用图形界面进行 Docker 容器管理。

11、[GrapheneOS](https://grapheneos.org/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022111102.webp)

一个特别注重隐私的手机操作系统，基于安卓修改的。如果你不想被追踪，可以考虑这个系统，参见这篇[介绍文章](https://マリウス.com/reclaiming-mobile-privacy-with-grapheneos/)。

## 资源

1、[大金字塔内部漫游](https://giza.mused.org/en/guided/266/inside-the-great-pyramid)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102803.webp)

谷歌做的 3D 网站，对埃及大金字塔内部进行 3D 数字建模，用户可以用鼠标导航，一路在金字塔内部漫游，好像亲临现场一样。 

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102804.webp)

2、[Diode](https://www.withdiode.com/)

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022110308.webp)

这个网站可以模拟面包板的电路实验，用户可以可视化放置各种电子元件，查看模拟效果。

3、[加密数字货币新手指南](https://helpthisbook.com/sunny/the-newbies-guide-to-crypto)（The newbies guide to crypto）

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022060704.webp)

一本通俗小册子，介绍加密数字货币的基本知识。

4、[人工智能的编程范式](https://github.com/norvig/paip-lisp)（Paradigms of Artificial Intelligence Programming）

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081505.webp)

谷歌研究总监 Peter Norvig 的著名作品，出版于1992年，现在开源了。它的 AI 跟现在的 AI 实现不太一样，可以当作解决编程难题的读物。

5、[Webfollow](https://webfollow.cc/)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023012110.webp)

一个国产的 RSS 订阅服务，每天将你订阅的 RSS 自动整理后，把内容发送到你的邮箱。（[@weekend-project-space](https://github.com/ruanyf/weekly/issues/2849) 投稿）

## 图片

1、[AI 风景照](https://petapixel.com/2022/08/16/these-are-not-photos-beautiful-landscapes-created-by-new-ai/)

下面都是 AI 模型 Stable Diffusion 生成的风景照。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081806.webp)

这些风景都是不存在的，但又是那么逼真。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081807.webp)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081808.webp)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081809.webp)

看着这些美丽的照片，不禁让人感叹，图片社和风景摄影师这两个行业，以后恐怕很难生存了。

2、[兵马俑复原](https://www.cnbeta.com/articles/tech/1296989.htm)

外国博主 Panagiotis Constantinou 使用 AI 软件复原了秦代兵马俑的真人样子。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081817.webp)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081818.webp)

## 文摘

1、[敏捷与内向](https://event-driven.io/en/agile_vs_introverts/)

我始终有一种想法，那些所谓的“敏捷开发方法”都是性格外向的人发明的。

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023020101.webp)

我是一个性格内向的人，虽然能够公开发言和发表文章，但是并不善于人际交往。我只要参与社交，过了没多久，就会耗尽能量，感到筋疲力尽和烦躁，需要休息。

但是，敏捷开发提倡站立会议和结对编程，这让我感觉不舒服。我理解这是为了强调人与人之间的合作和沟通，但是性格内向的人经过一天的这种活动，就会身心俱疲。

我的感觉是，敏捷开发根本没有考虑到性格内向的人的需求。

我曾经听到一个故事。一个程序员开会时一言不发，后来团队遇到了无法解决严重的问题时，大家一筹莫展时，他才说出自己对解决问题的想法。这说明，敏捷开发对他根本不适用，只会引发性格内向者的沉默和防御态度。

## 言论

1、

费曼最大的特点之一，就是拥有永不满足的好奇心。从玛雅象形文字到非洲鼓，再到猫的解剖，他什么都学。而且，每当发现一个感兴趣的主题时，他从不等待老师出现，而是决心自己掌握它。

-- [《费曼的微积分笔记本》](https://physicstoday.scitation.org/do/10.1063/PT.5.9099/full/)

2、

创业公司死亡只有两个原因：创始人放弃，或者现金用完了。

-- [《创业公司重组101》](https://cyrilgrislain.substack.com/p/startup-restructuring-101)

3、

对于整整一代精英工程师来说，大型互联网公司提供了终极的职业退出策略。如果你的创业公司失败了，或者你不喜欢学术界，或者你只是在寻找人生的下一个阶段，并且对 IT 技术很在行，那么大型互联网公司会在那里等着你，提供一份可以让你在美丽的沿海地区找到一所漂亮房子的工作机会，一群才华横溢且友好的同事，以及舒适的退休生活。

现在，随着这些公司开始裁员，这种日子或多或少结束了。

-- [《大科技公司裁员是一个转折点》](https://noahpinion.substack.com/p/the-big-tech-layoffs-are-a-turning)

4、

通用汽车公司告诉车主，电动车最好不要停在屋子旁边，因为任何能量集中的东西，或多或少都是炸弹。

同样原因，如果使用大容量蓄电池为家庭供电，最好为电池建一个专用的混凝土棚，而且远离屋子。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=33757709)

5、

美国社会追求个人的物质成功，通俗地说，就是鼓励尽可能快地获得尽可能多的东西，不惜一切代价赢得胜利。

这种文化使得美国变成，一个大量生产精神病患者和孤独者的国家。

-- [《关于美国的孤独者》](https://walkingtheworld.substack.com/p/happy-thanksgiving)

## 历史上的本周

[前端与后端，谁更难？](https://www.ruanyifeng.com/blog/2022/01/weekly-issue-193.html)（2022 No.193）

[世界尽头与冷酷仙境](https://www.ruanyifeng.com/blog/2021/01/weekly-issue-143.html)（2021 No.143）

[印度孟买的房价，为什么跟北京一样高？](https://www.ruanyifeng.com/blog/2020/01/weekly-issue-91.html)（2020  No.91）

[如何看待互联网公司裁员？](https://www.ruanyifeng.com/blog/2019/01/weekly-issue-41.html)（2019 No.41）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072108.webp)

（完）

