# 科技爱好者周刊（第 245 期）：摩天大楼是反人类的

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。周刊另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/2960)服务，发布程序员招聘信息。合作推广请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030709.jpeg)

河南安阳的太行山景区，在接近山顶处，安装了一个钢制的螺旋楼梯，高达88米。由于是在半空中螺旋上爬，据游客说心理非常不适，有惊恐的感觉。（[via](https://k.sina.cn/article_6429034437_17f3347c500100sf14.html)）

## 本周话题：摩天大楼是反人类的

上周四（3月2日）晚上，香港尖沙咀一座42层摩天大楼[起火](https://finance.sina.com.cn/wm/2023-03-03/doc-imyiqnky4817370.shtml)，宛如一根火柱。火势凶猛，所幸大楼正在改建，没有人员伤亡。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030401.webp)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030402.webp)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030403.webp)

这条新闻不禁让我想起，一个一直想说的观点：**摩天大楼（即超高层建筑）的缺点很多，完全不应该推广。**

中国是名符其实的“摩天大楼王国”，[据相关统计](https://www.chartr.co/stories/2022-07-20-1-china-skyscraper-capital-of-the-world)，中国的摩天大楼总数超过世界其他地方的总和。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030901.webp)

中国各个城市，不管大城市或小城市，都热衷于建造摩天大楼。这是多种原因促成的。

> （1）超高层建筑比普通建筑的楼价更高，出售的面积更多，房产商可以赚取高额利润。
> 
> （2）超高层建筑带来大量投资，有利于财政收入和城市知名度，政府支持建造。
> 
> （3）超高层建筑可以迅速改变城市老旧面貌，带动旧区改造，市民往往也欢迎。

但是，很少有人提到摩天大楼的致命缺点：**它根本不宜居，造成许多环境问题、经济问题、社会问题。**

以色列 Isaac Meir 教授（下图右）曾经写过[文章](https://www.israel21c.org/skyscrapers-are-huge-mistakes-warns-engineering-expert/)，系统地总结摩天大楼的各种缺点，下面我就引用他的文章。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030404.webp)

**（1）耗能巨大。** 摩天大楼往往采用全玻璃的钢架结构，这意味着它是一个大型温室。

晴天时，太阳辐射使得大楼内部留存巨大的热量。再加上，内部的大量人员、电气设备和照明，发热量惊人。

因此，摩天大楼必须配备大型空调来排热。它的每平方米耗能，比普通高楼多得多。

如果改成双层玻璃的外墙，就会大大减少制冷和供暖需求（因为多了一个空气隔热层），但是会增加建筑成本，以及建筑物的占地面积。

另一方面，全封闭的摩天大楼需要与外界保持通风，维持内部的清洁空气，这也非常耗费能量。

**（2）环境成本。** 超高层建筑遇到风，会产生高速的下沉气流，使得地面产生强风，让行人深受其害。所以，摩天大楼底下往往是一大片行人稀少的空地，形成不了热闹的街区。

另一方面，楼越高，上部的风速就越大，空气温度也越低。所以，摩天大楼不适合有阳台，即使有，也往往无法使用，甚至很危险。

此外，摩天大楼的玻璃幕墙会产生巨大的阳光反射，造成光污染。

**（3）工程问题。** 一栋300米高楼的建造成本，比10栋30米大楼要高得多，因为要解决很多不必要的工程问题。

> - 地基需要挖多深，才能支撑这么高的楼？
> - 排污管需要多大，才能容纳数千人产生的污水？
> - 水泵需要多大，才能产生足够的水压，确保60层或70层以上的供水？

**（4）安全隐患。** 如果发生紧急事件，无法使用电梯，怎样才能让高层的人们快速撤离到地面？

**（5）社会问题。** 超高层建筑的居民，出门都必须乘坐电梯，而且楼下步行范围内，往往没有可去的地方，只能选择从地库开车出行。这会使得人们不轻易出门，对健康和社交都不利。

现实生活中，居住在高层建筑中的老年人往往变得与社会隔绝，导致生活质量下降。

**摩天大楼的以上这些缺点，与节能城市、绿色城市、宜居城市的目标完全相背。** 一个遍布摩天大楼的社区，是不适合居住的。中国人对摩天大楼的热衷，真的可以休矣了。

中央政府显然意识到这个问题，已经[颁布法令](https://www.163.com/dy/article/HF9HT8CM0552EZ9J.html)，禁止建造超过500米的建筑，严格控制超过250米的建筑。

按我说，超过100米的大楼都太高了，几十米高足够了，毕竟城市是用来住的，不是用来展示的。

## 科技动态

1、[机器狗时装秀](https://www.highsnobiety.com/p/coperni-fw23/)

美国最近的一场时装表演，由波士顿动力公司的机器狗开场。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030703.webp)

它们先在音乐伴奏中，在舞台上走来走去。然后，它们举起机器臂，展示一款最新手袋。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030702.webp)

最后，它们与人类模特互动，用机器臂拽下模特的披肩，让藏在里面的最新时装亮相。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030704.webp)

2、[阿斯巴甜与焦虑](https://medicalxpress.com/news/2022-12-links-common-sweetener-anxiety.html)

阿斯巴甜是常用的甜味剂，我们吃的很多食品都有它，比如饮料和口香糖。由于它不会升高血糖，糖尿病人往往选择它，作为糖的替代品。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120907.webp)

美国科学家做了一个实验，给小鼠大量喂食阿斯巴甜。结果发现，老鼠都出现了焦虑症状。

科学家因此认为，阿斯巴甜可能会导致焦虑。如果你有焦虑症状，建议少吃甜食。

3、[办公桌传感器](https://news.techworkerscoalition.org/2022/11/29/issue-19/)

美国东北大学的一个研究中心，被发现办公桌下面安装了热传感器，可以感知是否有人在使用办公桌，什么时候使用。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121407.webp)

由于这些办公桌主要是研究生使用，引发了众怒。学生认为，这是研究中心在监控他们，偷偷考察工作量和出勤率。

学生把传感器全拆了，还向学校写了公开信，要求做出解释。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121409.webp)

研究中心则说，这是为了统计办公设施的使用率，避免浪费。

4、[远程传输触摸](https://www.allaboutcircuits.com/news/on-skin-telehaptic-device-allows-users-transmit-touch-remotely/)

韩国科研人员发明了一种皮肤贴片，可以远程传输触觉。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121410.webp)

它采用蓝牙传输，可以把一个用户的触摸感觉传给另一个用户，贴片会模拟相同模式的震动和纹理。

下图是一个用户在抚摸爱犬，他把抚摸的触感隔空传给另一个用户。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121411.webp)

这种贴片可以用在 AR/XR 设备，让虚拟世界有真实的触觉。

## 文章

1、[ChatGPT 发明的游戏](https://puzzledpenguin.substack.com/p/chatgpt-invented-its-own-puzzle-game)（英文）

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030710.webp)

作者让 ChatGPT 发明一个小游戏，它不仅做到了，还给出了[网页实现](https://sumplete.com/)，直接可以玩。

2、[高通希望用 iSIM 取代 eSIM](https://arstechnica.com/gadgets/2023/03/qualcomm-wants-to-replace-esims-with-isims-has-the-first-certified-soc/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030801.webp)

eSIM 是一块独立芯片，用来取代物理 SIM 卡。高通现在将其内置到 Snapdragon 8 Gen 2，取名为  iSIM。

3、[React Native 应该怎么用？](https://standardnotes.com/blog/react-native-is-not-the-future)（英文）

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010506.webp)

作者谈了他们公司的 React Native 的使用体会，认为传统的用法不对，最好只把它当作 WebView 的容器用。

4、[如何在 URL 存储状态](https://www.scottantipa.com/store-app-state-in-urls)（英文）

网页应用程序的整个状态，都保存在 URL 里面，作者介绍了这样做的好处，以及具体的做法。

5、[汇编语言的基本概念](https://www.timdbg.com/posts/fakers-guide-to-assembly/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010404.webp)

本文用相对通俗的语言，向初学者介绍汇编语言的一些基本概念。

6、[小团队](https://stevepulec.com/posts/small/)（英文）

这篇文章收集了一些例子，团队很小，但是公司的估值很高。

7、[ARM 的历史：第一个 ARM 芯片](https://arstechnica.com/gadgets/2022/09/a-history-of-arm-part-1-building-the-first-chip/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092605.webp)

本文详细介绍 ARM 是怎么诞生的，对芯片感兴趣的朋友可以读。

8、[SQL 的 CTE 功能](https://misfra.me/2023/ctes-as-lookup-tables/)（英文）

这篇短文介绍 SQL 的一个小技巧 CTE，适用于替换表的内容，比如将`CN`替换为`China`。

## 工具

1、[Catppuccin](https://github.com/catppuccin/catppuccin)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121404.webp)

一套配色主题，特点是色彩柔和缤纷，不太亮不太暗，对于各种主要的应用软件都进行了适配。

2、[SkyDroid](https://skydroid.app/)

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022121406.webp)

一个分布式的安卓应用商店，发布应用就是自己架一个服务器，把应用放上去，一个小时之内就会被全球索引。它的好处就是没人能下架你的应用。

3、[Astro Air Blog](https://github.com/austin2035/astro-air-blog)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030601.webp)

一个基于 Astro 的静态博客生成器，查看 [Demo](astro.yufengbiji.com)。（[@austin2035](https://github.com/ruanyf/weekly/issues/2967) 投稿）

4、[nrm](https://github.com/Pana/nrm)

一个命令行小工具，用来管理和切换 npm 仓库地址，类似的工具还有 [prm-cli](https://github.com/wangrongding/prm-cli)。（[@hqzh](https://github.com/ruanyf/weekly/issues/2964) 投稿）

5、[image-flow](https://github.com/one-piece-official/ImageFlow)

一个网页图片的动画特效的 React 组件，特效通过OpenGL ES 编写，在 GPU 执行。（[@csj5588](https://github.com/ruanyf/weekly/issues/2971) 投稿）

6、[cloudping.info](https://www.cloudping.info/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022100204.webp)

这个网站可以测试你的机器 ping 世界各地的亚马逊云服务器的速度。

7、[Seer](https://github.com/epasveer/seer)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022100205.webp)

调试工具 gdb 的图形界面。

8、[室内装潢 AI](https://interiorai.com/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022100404.webp)

你在这个网站上传一张房间照片，再选择一种装潢风格，AI 就会将房间修改成这种风格的装潢。虽然生成效果不算好，但是这个想法可取。

9、[Sharing](https://github.com/parvardegr/sharing)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022100705.webp)

一个命令行工具，生成一个二维码，可以把本机文件分享给局域网内的手机。

10、[Castopod](https://castopod.org/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022100706.webp)

一个开源的播客网站程序，你可以架设个人的 podcast 网站。

## 资源

1、[世界互联网基础设施地图](https://www.infrapedia.com/app)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022091501.webp)

这个网站可以查看全世界的主干光纤线路和机房位置。

2、[JavaScript 引擎列表](https://notes.eatonphil.com/javascript-implementations.html)

这个网页做了一个 JavaScript 引擎的不完整列表。最著名的当然是下面三家，此外还有40多种引擎。

> - Chrome 的 V8
> - Safari 的 JavaScriptCore
> - Firefox 的 SpiderMonkey

3、[Dash Dash](https://dashdash.io/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050802.webp)

这个网站将 Linux 文档（man 文档）重新格式化和排版，方便查找和阅读。

4、[Perplexity](https://www.perplexity.ai/)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030708.webp)

人工智能引擎，你向它提问，它告诉你答案，支持中文。

## 免费音乐搜索引擎

哪里去找没有版权的音乐素材？

[pixabay](https://pixabay.com/music/) 原本是免费图片搜索引擎，现在还提供免费音乐和视频下载，可以用于商业用途，适合作为视频的背景音乐和素材。

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022050902.webp)

下面是另外一些免费音乐的下载引擎。

- [openverse](https://wordpress.org/openverse/)
- [NCS](https://ncs.io/)
- [dova-s](https://dova-s.jp/EN/)
- [incompetech](https://incompetech.com/music/royalty-free/music.html)
- [Music Communities](https://creativecommons.org/about/program-areas/arts-culture/arts-culture-resources/music-communities/)

## 图片

1、[世界第一只鼠标](https://www.vintag.es/2017/01/did-you-know-first-computer-mouse-was.html)

鼠标伴随着图形界面一起发明。

1964年，施乐公司 Palo Alto 研究中心的工程师，想要一个可以在图形界面随意移动光标的工具，就发明了鼠标。

第一只鼠标就是一个木壳，里面装着电路板和两个跟桌面接触的金属轮。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092801.webp)

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092802.webp)

它后面拖着一根电线，看起来像尾巴，发明者就把它叫做鼠标。

第一只正式的鼠标产品是1967年制造的，第二年向世界展示了这个产品。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092803.webp)

2、[2023年度水下摄影奖](https://nicenews.com/animals/2023-underwater-photographer-of-the-year/)

英国举办的2023年水下摄影比赛，最近宣布了获奖者，里面有很多令人难忘的精彩照片。

一只濒临灭绝的粉红色河豚，在夕阳下从亚马逊河里探出鼻子。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030705.webp)

一只正在河里喝水的泰国大象的大鼻子。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030706.webp)

一条睁大眼睛的热带鱼。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030707.webp)

## 文摘

1、[压力测试](https://johnpublic.mataroa.blog/blog/the-asshole-test/)

几年前，我参加 IBM 的面试，有一个其他地方没有见过的特殊测试。

面试当天，20多个面试者来 IBM 办公室接受各种测试。面试官说要进行“小组测试”，我们大约8个人一组被带到一个房间，被要求一起解决一个难题。

我们都拿到一张纸，上面写着问题的相关信息，每个人得到的信息都不一样，还有一块白板，以及一个60分钟的计时器。

起初，我们所有人看着纸，一片寂静。然后，有人开口说：“让我们汇集信息吧”，站在白板旁边，拿着一支记号笔。大家都在沉默，不清楚应该如何分析自己拿到的信息。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030701.webp)

一个人开始逐字朗读他拿到的信息。过了一会，有人打断他。再不久，负责写白板的人被罢免了，另一个人夺过记号笔，然后有人站起来争夺记号笔。

时间一分一秒过去，我们依然没有进展，大家开始感到焦虑。

60分钟很快到了，问题仍然没有解决。困惑和筋疲力尽的我们前往下一个测试。

等到一天的面试结束，所有人被分成两个房间，我所在的房间收到了好消息，通过了今天的面试。

六个月后，我遇到了一位“小组测试”的同事。我问他是否见过某个小组完成了这种测试？

他说：“哦，那个不是为了测试是否解决了问题，而是一个压力测试，看谁在压力下变成行为失常。那些举止失措的人，不会进入下一轮。”

## 言论

1、

人是由他们的经历和生活环境塑造的。如果不发生一些疯狂的事情，就不可能迅速改变一个人。

--[《从最难塑造的开始》](https://devpoga.org/blog/2023-01-02_start_with_the_least_malleable/)

2、

狂热和不宽容的主要来源，或者来源之一，就是有些人坚信自己的宗教是终极真理，比其他宗教更正确。

人类的悲剧之一，就是变得傲慢比变得谦虚更容易。

-- [《狂热与傲慢》](https://www.louayfatoohi.com/religion/fanaticism-is-a-problem-of-arrogant-self-belief-not-of-faith/)

3、

生命太短暂，不能花在那些不值得阅读的内容上面。

就算你是一个很爱读书的人，活到70岁最多大概能阅读15000本书，这只占世界最大图书馆美国国会图书馆3800万册藏书的0.04%。

我们一生中能够阅读的书籍其实很少。因此，关键技能不是多读，而是跳过那些不值得读的内容。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=34310318)

4、

有些领域变化非常快，在有人写书之前，博客有时是唯一的信息来源。Stable diffusion 模型出现后的第二天，人们就已经在写博客了，书籍永远不会那么快。

而且，博客往往是免费的，而书籍和论文则被锁定在付费墙之后。因此，你可以这么认为，博客获取灵感，书籍获取知识。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=34310109)

5、

比特币的原始设想，只是提出了一个有趣的去中心化实验，但是等到有人发现可以从中获利，事情就变质了。

这原本只是一群程序员在玩加密游戏，后来有人创建了纯粹的营利性企业，比特币从此就变了。

-- [《加密货币与皇帝的新衣》](https://robinwinslow.uk/crypto-house-of-cards)

## 历史上的本周

[美国制造是否可能](http://www.ruanyifeng.com/blog/2022/03/weekly-issue-198.html)（2022 #198）

[微增长时代](http://www.ruanyifeng.com/blog/2021/03/weekly-issue-148.html)（2021 #148）

[在线教育不等于录制视频](http://www.ruanyifeng.com/blog/2020/02/weekly-issue-96.html)（2020 #96）

[推荐算法的副作用](http://www.ruanyifeng.com/blog/2019/03/weekly-issue-46.html)（2019 #46）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每一期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030205.webp)

（完）

