# 科技爱好者周刊（第 248 期）：不要夸大 ChatGPT

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。周刊另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3022)服务，发布程序员招聘信息。合作推广请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032108.webp)

上图是2022年世界自然摄影奖的获奖作品，保加利亚中部城市旧扎戈拉的一只红隼，在一盏生锈的路灯里安家，彷佛很多人在大都市的处境。（[via](https://nicenews.com/environment/2022-world-nature-photography-awards/)）

## 本周话题：不要夸大 ChatGPT

ChatGPT 问世只有几个月，大家有没有发现，舆论的调门越来越高。

人们最初的震惊和赞叹，逐渐变成了非理性的鼓吹，很多人言之凿凿，断定 ChatGPT 将重塑人类社会。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032804.webp)

举例来说，[《经济学人》杂志](https://redian.news/wxnews/269433)称它会“翻天覆地”。

> “GPT 也完全可以是 general-purpose technology（通用技术）的缩写：一种翻天覆地的创新，可以像汽机、电力和计算机一样提升各行各业的生产率。”

一个国内的作者则[说](https://www.163.com/dy/article/I0OFPKOV05561KQ6.html)，它会“席卷一切”。

> “ChatGPT 带来的这场风暴，正在席卷一切。
> 
> 随着不断的技术提升，可以预见，GPT类型的 AI，未来能替代的，也许是全行业！”

还有人担心它会淘汰人类，有的文章标题堪称惊悚，《[AI 狂飙的时代，人还有价值吗？](https://www.bohaishibei.com/post/81415/)》。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032802.webp)

[微博的“热门文章”](https://s.weibo.com/article?q=chatgpt%20%E6%9C%AA%E6%9D%A5)列表，也是满满的生存焦虑。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032801.webp)

这种情绪反映在金融市场，就是“ChatGPT 概念股”被狂炒。一直微利 + 亏损的“汉王科技”，就在 ChatGPT 问世后，股价从11元炒到了40元。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032803.webp)

我有一种感觉，ChatGPT 已经神化了，仿佛无所不能。

今天就来谈谈这件事，我要说，**ChatGPT 确实很神奇，是划时代的技术创新，但是不应该无限夸大。**

ChatGPT 有其局限，很多事情它做不到。[有人说](https://36kr.com/p/2149318642305545)，ChatGPT 标志着机器取代人类的“奇点时刻”，这是不对的。

他们忽略了最关键的一点：**ChatGPT 不是“通用人工智能”，而是一个语言模型。**

“通用人类智能”（artificial general intelligence，简写 AGI）是 AI 的终极目标，就是造出可以像人类那样全方位的推理、思考、分析的机器。如果能实现，人类就真的危险了。

但是，ChatGPT 不是 AGI，而是一个 LLM（Large Language Models，大规模语言模型）。所谓“语言模型”，就是只用来处理语言文字（或者符号体系）的 AI 模型，发现其中的规律，可以根据提示（prompt），自动生成符合这些规律的内容。

这就是说，**ChatGPT 只适用于有成文符号的领域。** 这带来两个局限。

（1）如果某个领域是非成文的，不能用符号记录表达，那么 ChatGPT 就无能为力。比如，人类的很多心理活动、潜意识、灵感、顿悟等等，ChatGPT 就没法模拟生成。

（2）第二个局限更致命，ChatGPT 要用现有的文字材料进行训练，发现的是那些材料包含的规律。这意味着，它不能生成超出人类已知规律的东西。

举例来说，**它不能证明未解决的数学猜想，也不能提出没有人发现过的科学发现。**

即使我们把历史上所有的数学论文，都用来训练 ChatGPT，它也无法证明黎曼猜想。因为那些论文只会教它现有的证明方法，而黎曼猜想需要新方法。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032805.webp)

ChatGPT 的底层技术是 GPT，全称为“生成式预训练转换器”（Generative pre-trained transformer），凡是使用该技术的 AI 模型都有同样的问题：**它们只能掌握已知的模式，无法生成未知的模式。**

所以，真正“前无古人”的创新，这一类 AI 模型做不到，还是必须依靠人类的智慧。

另外，这里还有一个逻辑悖论。如果 ChatGPT 真的强大到“席卷一切”，将来绝大多数文档都用它来生成，其实反而会带来它的衰亡。大家这么想，到了那个时候我们拿什么材料训练 AI 呢？毕竟 AI 只有拿人类的作品训练，才能模拟人类智能。

总之，ChatGPT 是一个划时代的工具，所有模式化的人类工作，都面临空前的挑战。

但是，人类生活还有很多非模式化的部分，尤其是人类的创新能力，ChatGPT 触及不了这个部分，所以它对社会的改变，不宜过分夸大。

## 活动

周刊不定期发布技术活动消息，面向全国程序员，欢迎参与。

**1、AIGC 技术探索与应用创新**

“掘金城市沙龙·北京站”邀请了来自字节、英特尔、谷歌、清华大学等著名机构的 AI 工程师和专家，与大家线下交流 AIGC（人工智能生成内容）的一些学术性热点问题，包括工作原理、模型训练、后续变革等。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023033003.webp)

时间是4月13日下午，地点是方恒时尚中心（北京大钟寺地铁站旁）。现场座位有限，扫描上方二维码，了解详情并报名参加。不能到场的同学，可以扫码预约线上直播。

**2、[抖音 Android 基础技术大揭秘](https://www.bagevent.com/event/8426971?bag_track=001)**

字节技术沙龙邀请了抖音 Android 团队的5位架构师，与社区交流抖音 Android 客户端的一些开发实践，分享内容如下。

> 1. 抖音 Android 包大小代码优化实践
> 1. 抖音启动性能监控平台建设实践
> 1. 抖音流畅度优化探索和实践
> 1. 静态代码分析在体验优化中的探索实践
> 1. 抖音性能防劣化平台极致演绎之路

时间是4月15日下午，扫描下方二维码或者[点击链接](https://www.bagevent.com/event/8426971?bag_track=001)，了解详情并且免费报名预约直播。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023033001.webp)

以上两个活动，除了技术分享，还为参与者安排了精美的礼品抽奖环节，大家不要错过。

## 科技动态

1、[子宫工厂](https://thenextweb.com/news/berlin-scientist-solution-population-decline-artificial-wombs)

欧洲的人口出生率不断下降，一位科学家提出一个设想，在欧洲建立世界上第一个子宫工厂。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122002.webp)

根据他的设想，这个厂有75个实验室，每个实验室最多容纳400个生长仓，每年可以培养30,000个婴儿。 

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122003.webp)

胚胎放入生长仓后，就会有传感器24小时监控，并将生命体征、身体特征等数据实时发送到父母手机。父母还可以查看婴儿发育的高清图像，并通过扬声器与其交谈，或者穿上触觉背心感受婴儿的踢动。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122004.webp)

每个生长仓都有两个管道，一个将营养物质和氧气泵入人造脐带，另一个排出废物。 

一旦婴儿发育成熟，就可以从生长仓取出，交给父母养育。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122005.webp)

2、[不再冬眠的熊](https://www.tahoedailytribune.com/news/with-food-available-many-bears-at-tahoe-forgo-hibernation/)

美国太浩湖地区是一个风景区，也是黑熊的栖息地。今年冬天，许多居民意外发现，当地的黑熊居然没有冬眠，还在四处乱窜。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122011.webp)

黑熊之所以冬眠，是因为冬天找不到食物，需要以静止的方式减少消耗。但是如果冬天能够找到食物，理论上，黑熊就没必要冬眠了。

太浩湖正在开发中，越来越多的居民移入，导致黑熊能够在人类聚居地的垃圾箱找到食物，这就是黑熊不再冬眠的头号原因。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122012.webp)

3、[流行歌曲越来越短](https://www.billboard.com/pro/songs-getting-shorter-tiktok-streaming/)

一项研究发现，从2000年开始，流行歌曲的长度越来越短。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122001.webp)

一首歌的平均长度，从以前的4分10秒下降到大约3分30秒。2021年美国前50首最流行的歌曲，平均时长更短，仅为3分07秒，其中38%的歌曲甚至不到3分钟。

研究者认为，这表明人们的关注周期越来越短，如果不能很快听到精彩部分，就会感到不耐烦，不再听下去。另外，Tiktok 短视频的流行，也加剧了这种趋势。

4、[哺乳动物的起源](https://www.australiangeographic.com.au/news/2022/12/discovery-identifies-australia-as-birthplace-of-all-modern-mammals/)

澳大利亚科学家提出，哺乳动物可能起源于南半球。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122006.webp)

传统的看法是，哺乳动物起源于北半球，因为北半球的陆地面积大，是大部分动物的栖息地。

但是，这些科学家认为，哺乳动物可以分成三类：有袋类（比如袋鼠）、胎盘类（比如人类）和单孔类（比如鸭嘴兽）。它们在澳大利亚都有分布，而且其中两类仅存于大洋洲。

这说明，大洋洲很可能是所有哺乳动物的起源地。而且，澳大利亚也确实发现了一些非常早期的哺乳动物化石。

5、[防雾镜片](https://gizmodo.com/glasses-fog-anti-no-fog-without-spray-heating-gold-laye-1849887511)

近视患者最不方便的事情之一，就是眼镜起雾。为了解决这个问题,瑞士科学家发明了一种防雾镜片。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122101.webp)

上图左侧是普通镜片，右侧是防雾镜片。

眼镜起雾的原因是，潮湿的空气接触到温度更低的镜片时，会发生冷凝。这种防雾镜片设法加热镜片，从而避免了冷凝。

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022122102.webp)

加热方法是在镜片涂上一层极薄的、透明的金属涂层。这个涂层会吸收太阳的红外线，使得镜片升温8摄氏度，缺点是在没有灯光的夜间，它就不起作用。

## 文章

1、[维基百科的声音 Logo](https://wikimediafoundation.org/news/2023/03/28/wikipedias-new-sound-logo-winner/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032907.webp)

维基百科本周发布了一个声音 Logo，作为音视频产品的标志。

2、[为什么我们要与 CSS-in-JS 分手](https://dev.to/srmagura/why-were-breaking-up-wiht-css-in-js-4g9b)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102410.webp)

作者认为，网页样式写在脚本里面的 CSS-in-JS 有重大缺陷，应该避免使用。

3、[新的 CSS 视口单位 lvh 和 svh](https://web.dev/viewport-units/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202212/bg2022120202.webp)

本文介绍 CSS 视口的新引入的长度单位，专为适配移动设备的动态工具栏而设计。

4、[Cloudflare R2 与 AWS S3 的比较](https://www.vantage.sh/blog/cloudflare-r2-aws-s3-comparison)（英文）

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071601.webp)

Cloudflare R2 是一个新推出的对象存储服务，比起老牌的 AWS S3，最大优势就是价格便宜。本文对两者的价格和功能进行详细比较。

5、[苹果官网主页的历史回顾](https://webflow.com/blog/apple-homepage-history)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102201.webp)

本文回顾了苹果官网的变化，从最早的样子一直到现在，可以勾起很多回忆。上图是1997年乔布斯回到苹果之前的主页，怪不得当时濒临破产。

6、[AV1 视频编码支持情况（2022版）](https://bitmovin.com/av1-playback-support/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102205.webp)

AV1 是最新的视频编码格式，可以节省流量。本文介绍了它目前的支持情况，结论是只有苹果设备不支持。

7、[C 语言学习注意点](https://tmewett.com/c-tips/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112904.webp)

作者整理了自己学习 C 语言过程的一些笔记，相当于列出了 C 语言一些的学习难点。

8、[老项目是否应该推倒重写？](https://herbcaudill.com/words/20190219-rewrite-refactor-reinvent)（英文）

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023020502.webp)

接手一个很难维护的老项目，到底是继续改进原有代码，还是彻底重写？作者举了六个案例，讨论这个问题，值得一读。

## 工具

1、[Microsoft Loop](https://loop.microsoft.com)

上周五，微软发布协作工具 Loop，可以免费使用。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032401.webp)

它属于 Microsoft 365 套件的一种，允许用户将各种 Office 组件（Word、Excel、PPT 等）插在一个文档里，进行协作，跟 Notion 很像，参见[官网介绍](https://www.microsoft.com/en-us/microsoft-365/blog/2023/03/22/new-microsoft-loop-app-is-built-for-modern-co-creation/)。

2、[Mafs](https://mafs.dev/)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010301.webp)

一个基于 React 的互动式数学图形组件库。

3、[ChatGPT-Desktop](https://github.com/ChatGPT-Desktop/ChatGPT-Desktop)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032903.webp)

开源的跨平台 ChatGPT 桌面应用程序，使用 Tauri + Vue3 开发。（[@orangelckc](https://github.com/ruanyf/weekly/issues/3010) 投稿）

4、[Tartelet](https://github.com/shapehq/tartelet)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032917.webp)

一个在本机运行 GitHub Actions 的工具，通过虚拟机来执行任务，只支持 macOS 系统，详见[介绍文章](https://shape.dk/news/tartelet)。

5、[RSS.cafe](https://rss.cafe/)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032901.webp)

一个国产 RSS 阅读器，增加了知识管理、期刊订阅等特色功能。（[@zhi-wenzheng](https://github.com/ruanyf/weekly/issues/3007) 投稿）

6、[PodFind](https://github.com/mazzzystar/PodFind)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032904.webp)

一个开源的播客文本搜索引擎，所有代码都是 GPT-4 生成的。（[@mazzzystar](https://github.com/ruanyf/weekly/issues/3015) 投稿）

7、[SQL Chat](https://www.sqlchat.ai/)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032906.webp)

一个 Web 应用，使用自然语言查询数据库，底层使用 OpenAI 的 API 将自然语言转成 SQL，支持 MySQL 和 PostgreSQL，[代码开源](https://github.com/bytebase/sqlchat)。（[@tianzhou](https://github.com/ruanyf/weekly/issues/3017) 投稿）

8、[FeatureProbe](https://github.com/FeatureProbe/FeatureProbe)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032905.webp)

一个开源的软件功能（feature）管理平台，支持灰度放量、AB 实验、实时配置变更等操作。（[@nanxijms](https://github.com/ruanyf/weekly/issues/3016) 投稿）

9、[CubeTrek](https://cubetrek.com/static/join.html)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010402.webp)

这个网站可以导入 GPS 轨迹，在地形图上显示，特别适合生成山地路线图。

10、[ov](https://noborus.github.io/ov/)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010405.webp)

一个命令行的文本阅读器，用来替代`less`或`more`。

## 资源

1、[3D in CSS](https://garden.bradwoods.io/notes/css/3d)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011001.webp)

这个网页提供互动演示，帮助理解 CSS 里面与 3D 有关的各项属性。

2、[AI 研究所](https://www.aiyjs.com/)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032902.webp)

一个中文网站，收录 AI 相关工具。（[@xlys997](https://github.com/ruanyf/weekly/issues/3011) 投稿）

3、[深度学习自己学](https://dataflowr.github.io/website/)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032918.webp)

该英文网站是一个原创的深度学习的自学教程站。

4、[Web 应用 101](https://www.robinwieruch.de/web-applications/)

这篇长文详细介绍 Web 应用是什么，理清各种概念，比如 SPA（单页应用）、SSR（服务器端渲染）、SSG（静态网站生成）。

## 图片

1、[奇怪形状的树雕](https://hyperallergic.com/769762/tree-sculptures-monsieur-plant-christophe-guinet/)

一个法国艺术家专门制作奇形怪状的树雕。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102609.webp)

你看上去以为它们是树枝，其实都是石膏做的，外面覆盖了松树皮，非常逼真，几乎看不出来是人造的。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102610.webp)

艺术家说，他经常去树林中寻找灵感。他希望，人们在树林中遇到这些雕塑时，会产生惊奇和好奇的感觉，思考树木是多么不可思议。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102611.webp)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102612.webp)

如果不知情，在树林中看到这种东西，真的会吓一跳。

## 文摘

1、[为什么学习微积分](https://flavoracle.tumblr.com/post/167150535757/its-sad-how-much-of-what-is-taught-in-school-is)

高中的最后一年，我的学校开设了微积分课。

第一堂课就有学生提问：“老师，日常生活哪里会用到微积分？”

老师回答：“用不到，你永远不会在日常生活中使用微积分。事实上，你们中不少人，在未来的职业中也用不到微积分。”

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032912.webp)

他看着学生迷惑不解的表情，又说：“你们想知道为什么要学微积分吗？”

我们几个学生点了点头。

他指着班里的一位校足球队的同学问道：“你们经常练习足球，是吗？”

“是的，”学生回答道。“差不多每天都练。”

“教练给你们安排举重练习吗？”

“是的。每周二和周四，我们都要去举重室练习。”

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023032913.webp)

“这是为什么？” 老师问。“为什么足球运动员要练举重？难道是为了在球场上推倒别人吗？”

“不，当然不是。”

“那为什么要举重？”

“因为它让我们变得更强大，”同学说。

“答对了！” 老师说。“微积分也是如此。你学习微积分，不是因为要在日常生活中使用，而是因为它让你的思维变得更强大。”

我从来没有忘记这堂课。

## 言论

1、

一旦你有足够的原子，你就开始搞化学。一旦你有足够的分子，你就开始搞生物学。一旦你有足够的算力，你就开始搞 AI。

-- [《AI 就是我们》](https://metastable.org/alien.html)

2、

我这一辈子都在大公司工作，对它们的运作太熟悉了。很多人即使公司会破产，也不愿挑战由层级远高于自己的上级制定的内部政策。

事实上，他们作为公司的员工，完全不了解也不关心政策会有怎样的后果，只是按照上级吩咐的去做。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=34602736)

3、

衡量一个人的领导能力的最好方法，就是看如果这个人休假了，他的下属在做什么。

优秀的产品经理和工程师可以休假一周，他管理的工作不发生任何问题。优秀的主管和技术负责人可以休假一个月。领导能力越优秀，休假的时间就越长。

-- [Andrew Bosworth](https://boz.com/articles/take-longer-vacations)，Facebook 的 CEO

4、

阅读不会过时，除非写作过时了。写作不会过时，除非思考过时了。（Reading won't be obsolete till writing is, and writing won't be obsolete till thinking is.）

-- [Paul Graham](https://mobile.twitter.com/paulg/status/1618747829975130115)

5、

简洁的写作需要勇气。让事物变小是一种深思熟虑的、困难的和有价值的行为。

大多数书籍本应是一篇博客文章。大多数博客文章本应是一条微博。大多数微博本应不写。

-- [《发布 Newsletter 35年的35条教训》](https://www.cjchilvers.com/blog/35-lessons-from-35-years-of-newsletter-publishing/)

## 历史上的本周

[中国需要成立半导体部](http://www.ruanyifeng.com/blog/2022/04/weekly-issue-201.html)（2022 #201）

[NFT 是什么，听说能赚钱](http://www.ruanyifeng.com/blog/2021/03/weekly-issue-151.html)（2021 #151）

[互联网不再稀缺](http://www.ruanyifeng.com/blog/2020/04/weekly-issue-101.html)（2020 #101）

[为什么过去10年，笔记本硬件发展缓慢？](http://www.ruanyifeng.com/blog/2019/04/weekly-issue-51.html)（2019 #51）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每一期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030205.webp)

（完）

