# 科技爱好者周刊（第 254 期）：人生是一个长板问题

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。周刊另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3091)服务，发布程序员招聘信息。合作推广请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051012.jpg)

昆明市教场中路罕见地采用蓝花楹作为行道树，四月底进入了开花期，道路变成了一片紫色花海。（[via](http://pic.people.com.cn/n1/2023/0428/c1016-32675661.html)）

## 本周话题：人生是一个长板问题

大家可能听说过“[水桶原理](https://baike.baidu.com/item/%E6%B0%B4%E6%A1%B6%E6%95%88%E5%BA%94/10942611)”：水桶的容量由最短的那块木板决定。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050704.webp)

它的意思是，某些系统的关键，不在于发展最强点，而在于避免最弱点。99%的地方都没有问题，只要1%的地方出现问题，整个系统就会失败。

人体健康就是这样，有一个器官出现严重问题，哪怕其他器官完全正常，生活甚至生命就会受到影响。

这类由短板决定的问题，统称为“**短板问题**”。日常生活有很多这样的例子，除了人体健康，还有食品安全，只要有一样成份不干净，你可能就会食物中毒。

汽车、电视机、手机等消费品也是这样，只要有一个部件不合格，这个产品就有质量问题。

但是，这不是今天的主题。我最近读到[一篇文章](https://www.experimental-history.com/p/science-is-a-strong-link-problem)，才意识到除了短板问题，还有长板问题。

**“长板问题”指的是，问题的关键不在于最弱点，而在于最强点。** 只要有一个点特别出色，这件事情就成功了，其他点的好坏无所谓。

文艺作品就属于这种情况。你购买了一张专辑，其他的歌曲都不爱听，但是有一首歌你特别喜欢，这张专辑就值得了。电影和小说只要有一个角色或情节特别打动人，作品就成功了。

风险投资也是这样，只要投了一个特别成功的项目，就能把所有损失补回来。

最重要的是，**人生就是一个“长板问题”。** 一生中，失败和挫折其实不重要，多少次都不重要，只要有一次大的成功，人生就成功了。

最大的那一次成功，决定了你一生的成就和高度。很多诺贝尔奖得主，一生就做出了一个重要的科学发现，就足够成为伟大科学家了。

程序员写过多少代码不重要，只要创造过一个重大影响力的软件，职业生涯就成功了。

**我们必须学会区分“短板问题”和“长板问题”，它们的解决方法完全不同。** 短板问题的解决，需要盯着薄弱环节，补齐最短的那块板；长板问题的解决，只需要推进最强的环节，不要在乎别的。

人生不必在乎那些不重要的事情，没必要为了挫折和拒绝而沮丧，都会过去的。你要做的是向前看，拼命争取一次大的成功，让它足够大、更大，只要一次就够了。

## 亮数据

大家可能听说过，以色列的软件水平很高，但是感觉离我们很远，平时在国内接触不到。

谁能想到，五一节之前，一家以色列公司联系我。他们的软件进入了中国市场，想在周刊上向中国程序员介绍一下自己。

这家公司叫做 Bright Data（[英文官网](https://brightdata.com/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)），中文名字是“亮数据”（[中文官网](https://www.bright.cn/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)），成立于2014年。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050103.webp)

他们的产品是**互联网数据服务**，首页赫然写着“世界排名第一的互联网数据平台”。看上去业务做得很大，不少世界500强公司和欧美名校，都是他们的客户。

根据他们的说法，只要互联网可以公开访问的数据，都能提供。不管电子商务，还是 AI 训练，你想要什么样的大规模数据集，他们帮你解决。

我看了一下，其实说白了，他们做的就是数据采集生意（俗称“爬虫”），但是做到了顶级。大家可以看看，顶级的爬虫是什么样子。

他们进入中国的产品，分成三个层次，满足不同的需求。

**（1）自助服务：** 你在他们的基础设施上，自己跑爬虫。他们为你提供下面的能力。

> - 超过7200万的 IP 地址，随意切换国家城市。
> - 覆盖全球195个国家地区、不同运营商的基础设施。
> - CAPTCHA 解锁器，绕过网站的真人验证，99.99%成功率，不成功不收费。

你可以自己写脚本，调用他们的 API，也可以使用他们的网络数据抓取工具 [Web Scraper IDE](https://www.bright.cn/products/web-scraper/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)，只要填几个设置，就能大规模抓取数据。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050104.webp)

他们还提供[亮数据爬虫浏览器](https://www.bright.cn/products/scraping-browser/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)，封装了上面的各种功能，内置自动解锁，让你在浏览器里面大规模批量数据抓取。

**（2）[数据集](https://www.bright.cn/products/datasets/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)**：对于不想自己抓数据的用户，他们提供已经抓取好的最新数据。

下面是他们现成的数据集产品（部分），你也可以指定参数，他们帮你按需筛选出子集。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050105.webp)

**（3）[亮数据洞察](https://www.bright.cn/products/insights/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)：** 你甚至不用自己处理数据，他们的机器算法帮你处理，提供实时商品情报，以及动态跟踪。比如，自家商品的数据分析、对手公司/竞品的数据分析、买家数据分析等等。

上面就是他们的产品介绍。需要说明的是，他们主要面向公司用户。个人程序员如果有需求，也可以使用。

如果你感兴趣，想要什么数据集或者使用他们的基础设施，欢迎访问[中文官网](https://www.bright.cn/?utm_source=organic-social-cn&utm_campaign=influencer_yuanyifeng&cam=tb_yuanyifeng)，也可以扫描下方二维码，了解详情并注册，新用户有**7天免费试用期**。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050202.webp)

## 科技动态

1、[木制晶体管](https://newatlas.com/electronics/worlds-first-working-wooden-transistor-ewaste-biodegradable-tech/)

电子元件难以回收利用，对环境造成污染。瑞典林雪平大学为此发明了一种环保的电子元件。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050203.webp)

听上去难以置信，他们发明的是木制晶体管，就是脱水的中空木纤维里面，注入一种叫做 PEDOT:PSS 的导电聚合物，使其导电并可以控制电流。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050204.webp)

由于性能和体积，这种晶体管目前没有实用价值，但是证明了环保电路可行。也许有一天，这种电路还可以植入活的生物体。

2、[NBA 无人机直播](https://petapixel.com/2023/05/04/drone-camera-at-nba-game-is-lambasted-by-basketball-fans/)

本月的波士顿凯尔特人和费城76人的 NBA 比赛中，出现了无人机直播。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050907.webp)

无人机飞在篮球场上，将画面传回电视台。球迷普遍很反感，认为分散了看球的注意力。

电视台则认为，这样可以拍到以前没有的镜头，提高直播效果。其他的体育比赛，比如 F1 赛车、高尔夫和极限运动，都已经使用无人机直播了。

3、[地球的结局](https://www.sciencenews.org/article/first-time-astrophysicists-star-eating-planet)

最近，天文学家首次观察到，一颗垂死的恒星吞噬掉它的行星。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050908.webp)

这颗恒星距离地球12,000光年，已经进入了生命周期的晚期，体积急剧膨胀了1000倍以上，变成一颗红巨星（red-giant），吞噬了靠近它的行星。

天文学家认为，地球的结局也是这样。当太阳终结的时候，地球也将随之终结。

4、[亚马逊仓库监控](https://www.theverge.com/2022/11/21/23466219/amazon-warehouse-surveillance-camera-offshore-workers-india-costa-rica)

美国媒体透露，亚马逊仓库的工人搬运货物时，都有摄像头监控，机器学习算法会判断工人是否放错了地方。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112301.webp)

问题是这个模型的准确率只有95%，很多时候会判断错误。于是，亚马逊又在印度和哥斯达黎加，雇佣了很多外包工人，对把握不大的监控视频进行二次审核，提供模型准确率。

于是就出现了非常科幻的场景：一群工人在仓库干活，另一群工人通过摄像头远程监控他们。软件模型用于判断，这两群工人是否都在尽职工作。高科技时代的劳动力处境，大概就是这样。

5、[无电池水下相机](https://news.mit.edu/2022/battery-free-wireless-underwater-camera-0926)

传统的水下相机都需要电池，无法长时间工作。麻省理工学院发明了一种全新的水下相机，不需要电池，就能拍照和传输。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092703.webp)

它创造性地使用声波作为能源，利用过往的船只或海洋生物发出的声音。声波撞击传感器，会产生电信号，从而驱动摄像头。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092702.webp)

由于海底没有光线，为了省电，它使用红绿蓝三颗 LED 作为照明，每次亮一颗，共拍摄三张单色底片，后期再进行合成。最后，它通过反射声波，将数码照片一位一位（bit）地传送到接收器。

## 文章

1、[Midjourney 5.1 更新](https://mp.weixin.qq.com/s/wxX-R6VAL3W8zEF74gVGBg)（中文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050804.webp)

图像生成模型 Midjourney 在5月7日发布了5.1版，效果惊人，本文进行详细介绍。

2、[Redis 与作者 antirez 的故事](https://blog.brachiosoft.com/redis)（繁体中文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051101.webp)

Redis 是最常用的键值对数据库，它是意大利程序员 antirez 的作品。本文介绍他的故事，antirez 本人也看到了这篇文章，并给出了[一些订正](https://news.ycombinator.com/item?id=35893871)。

3、[我对 Svelte 的看法](https://tyhopp.com/notes/thoughts-on-svelte)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023040203.webp)

Svelte 是目前国外比较流行的一种前端框架，作者详细谈了自己的使用感受，正面和负面的都有，比较客观。

4、[甚至亚马逊也无法理解微服务](https://world.hey.com/dhh/even-amazon-can-t-make-sense-of-serverless-or-microservices-59625580)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050406.webp)

亚马逊 Prime Video 团队宣布放弃微服务架构，改成单体应用，主要原因是太贵。Rails 框架的创始人 DHH 对此事发表了评论。

5、[.dev 域名的限制](https://ergomake.dev/blog/hsts-introduction/)（英文）

作者讲述遇到的一个奇怪问题，最后发现原因是使用了 .dev 域名。

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023040105.webp)

该域名由谷歌管理，谷歌硬性规定，所有 .dev 域名只能用 HTTPS 协议访问。谷歌管理的其他域名 .app、.day、.dev、.page 和 .new 都是如此。

6、[自托管项目的选择](https://tedium.co/2023/03/04/self-hosted-saas-app-alternatives/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030712.webp)

作者决定自托管几项服务：访客统计、邮件列表、无代码工具、日历。他逐一分析了这几项服务可用的开源产品。

7、[HTTP Multipart 简介](https://blog.adamchalmers.com/multipart/)（英文）

本文解释文件上传的“multipart/form-data”模式是怎么回事。

8、[AI 的硬件瓶颈](https://asianometry.substack.com/p/ais-hardware-problem)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050805.webp)

作者详细解释了 AI 模型很难做大的一个重要原因，就是硬件（主要是内存）存在瓶颈，导致很难处理特别大的模型。

## 工具

1、[Instant Logo Design](https://instantlogodesign.com/)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102206.webp)

输入产品或公司的英文名称，这个网站可以自动生成几十款 Logo，供你选择。

2、[Accessibility](https://github.com/ranbuch/accessibility)

一个 JS 库，用来增强网页的可用性。只要插入这个库，网页就会出现一个工具栏，让用户自己选择增大字体、加深对比色、增大间隔、朗读文本等等。

3、[沉浸式翻译](https://immersive-translate.owenyoung.com/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051007.webp)

浏览器的双语翻译插件，可以指定翻译引擎（10多种可选），并可以翻译 pdf、epub 电子书。（[@theowenyoung](https://github.com/ruanyf/weekly/issues/3100) 投稿）

4、[ChatLLM-Web](https://github.com/Ryan-yang125/ChatLLM-Web)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051001.webp)

开源的浏览器 LLM 模型，只要访问作者已经部署的网页，就能使用，所有数据都在本地训练。（[@Ryan-yang125](https://github.com/ruanyf/weekly/issues/3104) 投稿）

注意，用户需要满足三个使用条件。

> - Chrome 113 以上浏览器。 
> - 下载训练数据约 4GB（只需下载一次）。
> - 显卡最好有 6.4GB 以上显存。

5、[1Panel](https://1panel.cn/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051005.webp)

开源的 Linux 服务器运维面板。（[@maninhill](https://github.com/ruanyf/weekly/issues/3098) 投稿）

6、[PyQt-Fluent-Widgets](https://github.com/zhiyiYo/PyQt-Fluent-Widgets)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051004.webp)

Python 图形界面框架 PyQt 的组件库。（[@zhiyiYo](https://github.com/ruanyf/weekly/issues/3097) 投稿）

7、[VizGPT](https://github.com/ObservedObserver/viz-gpt)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051010.webp)

一个对话式的可视化图表生成工具，用户使用自然语言告诉 AI 生成什么样的图表，可以多轮调整。（[@ObservedObserver](https://github.com/ruanyf/weekly/issues/3108) 投稿）

8、[Vue DevTools](https://github.com/webfansplz/vite-plugin-vue-devtools)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051009.webp)

网友实现的 Vue 开发者工具。（[@webfansplz](https://github.com/ruanyf/weekly/issues/3107) 投稿）

9、[Dify.AI](https://dify.ai/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051011.webp)

一个开发者工具，帮你快速生成基于 AI 的应用。（[@Panmuse](https://github.com/ruanyf/weekly/issues/3110) 投稿）

10、[dnrm](https://github.com/markthree/dnrm)

deno 实现的 npm 镜像源切换工具，每次切换都在 100ms 内，速度超级快。（[@markthree](https://github.com/ruanyf/weekly/issues/3111) 投稿）

## 资源

1、[鸟巢大战](https://twitter.com/AntrimLens/status/1653399062001905666)

一位国外网友在自家谷仓，架设了一个鸟巢，立刻就有一对寒鸦住了进来。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050702.webp)

过了几年，一对猫头鹰把寒鸦撵了出来，占了鸟巢，还在里面产了鸟蛋。寒鸦决心报复，双方展开了一场大战。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050703.webp)

这个网友在鸟巢内外都放了摄像头，图文解说这场“鸟巢大战”，很精彩。

2、[AI 工具网址导航站](https://ai.nancheng.fun/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051006.webp)

网友收集的 AI 工具合集。（[@Jordonwang](https://github.com/ruanyf/weekly/issues/3102) 投稿）

3、[机器学习图解](https://illustrated-machine-learning.github.io/index.html)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010609.webp)

这个英文网站提供机器学习的图解教程，内容还挺多的。

4、[HTML with Superpowers](https://htmlwithsuperpowers.netlify.app/)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011101.webp)

Web Components 的英文入门教程，源码[开源](https://github.com/davatron5000/htmlwithsuperpowers)。

5、[电路课程](https://www.allaboutcircuits.com/textbook/)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011106.webp)

这个网站提供免费的电子学教程，英文的。

## 图片与视频

1、[艺术鸟巢](https://www.thisiscolossal.com/2022/06/bird-houses-brooklyn-botanic-gardens/)

美国纽约布鲁克林植物园，举办了一次鸟巢设计展，邀请了33位艺术家，请他们设计具有艺术气息的鸟巢。

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063007.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063008.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063009.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063010.webp)

![](https://cdn.beekka.com/blogimg/asset/202206/bg2022063011.webp)

2、[AI 机器人踢足球](https://twitter.com/haarnoja/status/1651577815836270596)

谷歌 DeepMind 发布了一段视频，两个 AI 训练的机器人踢足球。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=a3512usv5qh" allowFullScreen="true" width="600" height="400"></iframe>

它们会根据对方的动作，调整自己的动作，从而形成对抗，真是太惊人了！机器人时代大概真的要来了。

## 文摘

1、[我为什么不喜欢大城市](https://rohit.blog/towns/)

我最近从家乡搬到了印度的首都德里。当我在家乡时，我想去德里。当我真的来到德里，又变得想念家乡。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051103.webp)

我发现自己不喜欢大城市，主要有下面三个原因。

（1）城市越大，生活节奏就越快。

（2）你会身处大量同行之中，不断感受到越来越多的竞争。

（3）大城市有大人物。权势越大，他们的吸引力就越大。我在德里的朋友们都忙于他们自己的大目标，我自愿或不情愿地陷入那些事情。

最终，我希望搬回小镇，那里更接近自然，让我可以更接近自己而不是更接近其他人。

2、[过早优化的迹象](https://www.jeremybrown.tech/8-kubernetes-is-a-red-flag-signalling-premature-optimisation/)

有一句软件开发的名言：“过早优化是万恶之源”。

下面就是我在创业公司中，见过一些过早优化的例子。

（1）Web 应用的后端是 Kubernetes。

（2）一个应用程序使用多种语言开发。后端同时用了 Golang、Ruby、PHP，或者前端同时用了 React、Vue 等框架。

（3）不使用云服务（比如 Heroku、Vercel、Netlify 和 Fly.io）来托管应用程序，而是拥有一个运维或基础架构团队，使用他们维护的基础设施。

一般来说，如果你有自己的基础架构团队，就会过度设计解决方案。

上面这些例子，就好像你真正开始某项爱好之前，就开始花费大量时间和金钱，为这个爱好挑选最好的装备。

## 言论

1、

一项研究发现，小团体比单独交往，更容易建立友谊，也更持久。

因为小团体经常有定期活动，容易产生更多的接触机会。因此，如果你想交朋友，加入一些小团体吧。

--[《成年后交朋友太难了》](https://www.wbur.org/hereandnow/2021/11/10/making-friends-adults)

2、

为什么 AI 最终将取代人类工作？因为当你是生产链条中最慢的那个部分时，取代你将提高整个链条的生产力。

-- [《为什么“提示工程师”是无稽之谈》](https://pavkam.dev/2023-04-19-work-with-ai-nonsense/)

3、

金钱就像疫苗，它可以避免很多痛苦，但不一定会让你快乐。

-- [《世界运作的几种方式》](https://collabfund.com/blog/one-big-web-a-few-ways-the-world-works/)

4、

AI 发展到最后，无非就是两种结果。一种是人类灵魂被证明只是一种基于概率算法的预测机制，另一种是 AI 发生了质变，产生了自主意识，拥有了与人类相似的灵魂。

-- [推特网友](https://twitter.com/landgren/status/1650054767987548160)

## 历史上的本周

[汽车行业的顶峰可能过去了](http://www.ruanyifeng.com/blog/2022/05/weekly-issue-207.html)（2022 #207）

[KK 给年轻人的建议](http://www.ruanyifeng.com/blog/2021/05/weekly-issue-157.html)（2021 #157）

[致富与杠杆](http://www.ruanyifeng.com/blog/2020/05/weekly-issue-107.html)（2020 #107）

[分享知识是否违反人性？](http://www.ruanyifeng.com/blog/2019/05/weekly-issue-57.html)（2019 #57）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每一期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030205.webp)

（完）

