# 科技爱好者周刊（第 255 期）：对待 AI 的正确态度

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3091)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051818.webp)

武汉光谷空轨4月26日试运行，总长10.5km，这是国内首列商用的悬挂式轨道列车。虽然知道不会掉下来，看着还是觉得有点惊险。（[via](http://www.news.cn/local/2023-05/11/c_1129607613.htm)） 

## 本周话题：对待 AI 的正确态度

这些天，总有人问我，对于“[前端已死](https://www.baidu.com/s?wd=%E5%89%8D%E7%AB%AF%E5%B7%B2%E6%AD%BB)”这个话题怎么看。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051607.webp)

我的第一反应是，前端没死啊，很多企业还在招聘呢。

后来了解了，他们的意思是，前端正在降温，变得萧条，具体表现是**技术发展放慢，没有大的热点，业务重要性下降，就业机会减少。**

更让人担心的是，AI 已经能够直接生成页面了，将来会不会替代前端程序员？

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051303.webp)

我的看法没有这么悲观。现在的情况确实不好，但等过了低谷期，经济恢复了，前端程序员的需求就会上升。

至于 AI 会不会杀死前端，这个就说不准了，完全取决于 AI 的发展，尽管我是不太相信 AI 能做出复杂页面。

今天，我就想谈谈，**作为程序员怎么面对不确定的未来。** AI 是不确定的，发展完全不受我们的控制。它使得程序员的职业和未来都变得不确定，这种情况下，我们怎么办？

我正好看到一篇[印度程序员的文章](https://github.com/ixaxaar/VardaGPT/blob/master/STORY.md)，他也在思考这个问题，就决定亲自测试一下，AI 发展到了什么程度。

他让 ChatGPT 写一个他想要的程序，结果整整花了三个周末不断调整，才勉强写出来，代码可以运行了。

下面就是他对 AI 的评价。

> “有时我对 ChatGPT 的理解能力感到惊讶，但是更多时候，我不得不拼命推动它，朝着我想要的方向前进。它有时会产生意料之外的结果，让我感到非常沮丧。”
> 
> “它像一个吸收了所有人类知识、但需要别人帮忙才能把这些知识串起来的应届毕业生。”
> 
> **“看来我今年的工作是安全的。但是，我需要好好学习 ChatGPT，精通它的使用，让我明年也是安全的。”**

我非常欣赏上面的最后一句话，觉得这种心态值得我们借鉴。

AI 未来会怎样，没有办法预知，但是可以确定，它目前的编码水平不会威胁到程序员。

你的工作今年是安全的。如果你努力的话，明年也是安全的，而且很可能从此都是安全的。因为如果一直不断学习 AI，你会越来越熟练地掌握它，让它为你工作，达到你的目的。也就是说，它会放大你的生产力。

这就是最关键的地方，**AI 与人类不是竞争关系，它未必会减少机会，反而可能带来更多的机会。** 

一位英国企业家曾经总结了[对 AI 的5点看法](https://adamcohenhillel.substack.com/p/new-layer-of-abstraction-not-the)，我觉得这才是对待 AI 的正确态度。

> 1、AI 会大大增强程序员的生产力，并创造过去不可能的产品。
> 
> 2、AI 本质是生产力工具，跟高级语言、云服务、开源代码等是一个性质。
> 
> 3、写代码的门槛会降低，更多的人会进入 IT 行业，软件市场将变大。
>
> 4、AI 推动行业发展，将为所有人带来更多的增长、产品和机会。
> 
> 5、我们要成为这个过程的一部分，需要让自己积极主动，不断更新技能，接受新工具。

## 科技动态

1、[免费电视机](https://www.theverge.com/2023/5/15/23721674/telly-free-tv-streaming-ilya-pozin-ads)

一家美国流媒体公司宣布，只要在[官网](https://www.freetelly.com/)登记一下，就能免费获得55吋液晶电视机。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051603.webp)

之所以免费，是因为在主屏幕下方，它还有第二个屏幕，专门用来不间断播放广告。用户只要使用电视机，就会看到广告。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051605.webp)

而且，它还要收集你观看节目的内容和时长信息。如果你不同意数据收集，就必须退还电视机。

你愿意用广告和个人信息，换取一台电视机吗？

2、[汽车盗窃案](https://www.thebaltimorebanner.com/community/criminal-justice/baltimore-lawsuit-hyundai-kia-thefts-WQ74KXUXTBGB3JOTHQHEGIPT6M/)

美国巴尔的摩市政府起诉了韩国起亚汽车，理由居然是这家公司的车太容易被偷。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051301.webp)

该市的汽车盗窃案最近激增，而且偷的主要是起亚汽车。因为特别容易，TikTok 上面都有教学视频，有几百万浏览量。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051302.webp)

汽车盗窃案增加了警察的工作量，而且小偷开着偷来的车鲁莽驾驶，造成了很多交通事故，然后弃车逃跑，市政府头痛不已。

这件事的教训就是，如果采用旧技术，又不修 Bug，就有被告的风险。

3、[无线充电公路](http://tech.ce.cn/news/202209/27/t20220927_38129413.shtml)

《日经亚洲》报道，日本东京建筑公司建造了一条实验道路，内置无线充电。

![](https://cdn.beekka.com/blogimg/asset/202209/bg2022092908.webp)

这种公路在地面下埋设了电子线圈，电动汽车内部也安装了线圈，利用磁场感应，就能行车充电，让汽车行驶更多里程。

一想到这种公路造在一排线圈上面，就觉得设计者很大胆。走在这种道路上，是不是手机也可以无线充电？

4、[声音授权](https://hypebeast.com/2023/5/grimes-ai-software-elf-tech-voice-music)

AI 模型可以生成一模一样的声音，很多名人不允许 AI 使用自己的声音，但也有人反其道行之。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051205.webp)

马斯克的前女友、加拿大歌手格莱姆斯（Grimes）宣布，大家可以随便用她的声音，但是有一个前提。

你自己演唱的歌曲，必须上传到她的网站，由她来生成 AI 版本，变成她的声音在演唱。

你可以随便用这首歌，但是如果用来盈利，必须分50%给她。

## 文章

1、[陈皓2021年直播访谈摘录](https://mp.weixin.qq.com/s/bOnW8gDJ-dXp4KbAjhDw9A)（中文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051803.webp)

陈皓（左耳朵耗子）前年做过一次直播访谈，谈到了技术、行业、创业的各个方面。本文是访谈内容的文字整理，以此纪念他。

2、[Midjourney 中国版使用指南](https://mp.weixin.qq.com/s/4NefHvl7A-o-hVm1PZr5Gw)（中文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051820.webp)

上周，AI 图片生成引擎 Midjourney 正式发布中国版了，本文介绍怎么使用。

3、[88岁 MIT 教授的最后一堂线性代数课](https://www.jiqizhixin.com/articles/2023-05-16-2)（中文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051821.webp)

麻省理工学院教授吉尔伯特・斯特朗（Gilbert Strang）的线性代数课非常著名，他已经88岁，5月15日站上讲台，讲了最后一次课，并在网上直播。

4、[Bun.js 打包器测评](https://shaneosullivan.wordpress.com/2023/05/17/using-bun-js-as-a-bundler/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051811.webp)

Bun.js 是 Node.js 的替代品，最近内置了打包器，号称比 Webpack、Esbuild 都要快。

5、[数据库分片是怎么回事](https://planetscale.com/blog/how-does-database-sharding-work)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023040703.webp)

本文介绍数据库分片的基本知识。

6、[如何关闭失去响应的 SSH 连接](https://davidisaksson.dev/posts/closing-stale-ssh-connections/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023041001.webp)

SSH 连接服务器后，如果长时间没有操作，就会失去响应。本文教你怎么退出失去响应的 SSH 连接。

7、[黑客新闻的排名算法](https://vigneshwarar.substack.com/p/hackernews-ranking-algorithm-how)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023041005.webp)

本文讨论黑客新闻怎么根据读者的投票，算出新闻的排名。作者还通俗解释了他自己的算法。

8、[IP 地址的书写方法不止一种](https://ma.ttias.be/theres-more-than-one-way-to-write-an-ip-address/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042905.webp)

IP 地址一般都写成 127.0.0.1 这种形式，但是你知道吗，还存在其他形式，比如 127.1。

## 工具

1、[Astrodon](https://github.com/astrodon/astrodon)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081606.webp)

一个使用 Deno 的跨平台桌面应用开发工具，类似于 Electron，但底层是移植到 JavaScript 环境的 Tauri 框架。

2、[HuggingChat](https://huggingface.co/chat)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051202.webp)

AI 平台 HuggingFace 自家的 AI 聊天页面，底层可以配置不同模型，免费使用。

3、[Chat with any PDF](https://damngood.tools/tools/chat-pdf)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051207.webp)

上传一个 PDF 文件，就能跟该文件交谈，让它回答相关问题。

目前好像不支持中文 PDF 文件，但是支持用中文提问和回答。类似工具还有 [ScholarTurbo](https://scholarturbo.com/)。

4、[Nature 编程语言](https://github.com/nature-lang/nature)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051801.webp)

网友发明的一种编程语言，语法追求简洁优雅、符合直觉。（[@weiwenhao](https://github.com/ruanyf/weekly/issues/3117) 投稿）

5、[LaWGPT](https://github.com/pengxiao-song/LawGPT)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051813.webp)

基于中文法律知识的开源大语言模型，很适合用于司法考试。（[@pengxiao-song](https://github.com/ruanyf/weekly/issues/3116) 投稿）

6、[mblog](https://github.com/kingwrcy/mblog-backend)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051814.webp)

网友开发的基于 Java + MySQL 的多用户微博系统。（[@kingwrcy](https://github.com/ruanyf/weekly/issues/3121) 投稿）

7、[wallpaper-box](https://github.com/wangrongding/wallpaper-box)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051815.webp)

一个基于 Electron 的桌面壁纸客户端，支持壁纸管理、动态壁纸、动态托盘图标等功能。（[@wangrongding](https://github.com/ruanyf/weekly/issues/3118) 投稿）

8、[Pho](https://github.com/fregie/pho)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051816.webp)

一个开源的安卓相册应用，可以将照片同步到多种协议（smb、webdav、nfs）的网络储存。（[@fregie](https://github.com/ruanyf/weekly/issues/3122) 投稿）

9、[哔哩哔哩字幕列表](https://github.com/IndieKKY/bilibili-subtitle)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051817.webp)

一个浏览器扩展，列出 BiliBili 视频字幕内容，用户点击就可以跳转到相应的视频位置。（[@IndieKKY](https://github.com/ruanyf/weekly/issues/3123) 投稿）

10、[stitching](https://github.com/lukasalexanderweber/stitching)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081607.webp)

一个 Python 软件包，用于将多幅照片合成一幅。

## 资源

1、[Data Viz Project](https://datavizproject.com/)

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022053106.webp)

这个网站收集数据可视化的各种图形，给出详细的解释和示例。

2、[Awesome ChatGPT](https://github.com/sindresorhus/awesome-chatgpt) 

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051606.webp)

这个 awesome 仓库收集 ChatGPT 的各种资源。

3、[Spring 中文文档](https://springdoc.cn/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051802.webp)

网友整理的 Spring 框架中文文档。（[@KevinBlandy](https://github.com/ruanyf/weekly/issues/3112) 投稿）

4、[维基大学](https://en.wikiversity.org/wiki/Wikiversity:Main_Page)

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022102716.webp)

维基百科的官方项目，志愿者在这个网站制作各种主题的开放课程，已经有很多课程了。

5、[PrintableSearch](https://www.printablesearch.com/)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023041704.webp)

一个搜索引擎，查找最热门的免费 3D 打印模型。

## 图片

1、[跨国外卖](https://restofworld.org/2023/migrants-us-mexico-border-food-delivery-apps/)

美国和墨西哥的边境墙聚集了很多等待过境的难民，他们又饿又渴，但又不愿离开。

有人拿出手机，在墨西哥网上点餐，让美国的送餐员隔着边境墙送餐。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051208.webp)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051209.webp)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051210.webp)

2、[蜘蛛臂](https://interestingengineering.com/innovation/ai-arms-controlled-by-humans)

一家名为 Jizai Arms 的日本机器人公司，发明了一个机器手臂系统，可以在人体背后安装多个机器手臂，最多可以安装六个。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051806.webp)

这些手臂完全由佩戴它们的用户控制，目前主要用途是帮助残疾人，增加灵活性和行动便利。

## 文摘

1、[P2P 视频传输](https://news.ycombinator.com/item?id=30540589)

P2P（点对点）是一种节省带宽的下载方法。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051822.webp)

国外一般只把 P2P 用于下载，很少用于观看视频。因为体验不好，往往看一会就要缓冲几秒，有时还会等很久。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023051823.webp)

但是，中国所有主要的视频公司，几乎都使用 P2P 技术来节省带宽。

一方面因为这样省钱，另一方面也因为在中国 P2P 可能没有那么慢。

这些视频网站的业务，分成视频直播和视频点播两类。

对于直播，头部前1%的直播主会占据大部分带宽，直播房间很轻松就会有大量观看者，这时 P2P 的效果就很好。因为 P2P 的特点是看的人越多，下载速度越快。

对于点播，如果同时观看同一个节目的人比较少， P2P 的效果会很差。中国视频网站就发明了家用“种子盒”，它基本上是一个带硬盘的路由器，用户买了它放在家里当作普通的无线路由器使用，但在后台它会自动连接视频网站的服务器，缓存视频用作 P2P 节点，提供带宽给其他用户，以加快下载速度。它的使用者可能会从中获得一些奖励（主要是数字积分）。本质上，这类“种子盒”是使用用户的家庭互联网，作为 CDN 边缘节点。

但是，那些观众很少的视频，P2P 的效果几乎肯定很差，所以除了“种子盒”，这时还必须使用传统的 CDN 作为后备。

总的来说，P2P 技术在中国受欢迎的根本原因，还是因为中国的用户多，加速效果较好，使得它的缺点有时不那么明显。

## 言论

1、

人类已经处于与 AI 共同进化的阶段：AI 影响和感染了我们，然后我们又改进了 AI，让它更像人类。

-- [Sam Altman](https://blog.samaltman.com/the-merge)，OpenAI 的 CEO

2、

时间和注意力是不一样的。正确的说法不是“我没有时间”，事实上挤出时间并不难，我无法挤出的是注意力。

我每天有8小时用于工作，但真正能够专注的时间可能只有4小时。我不能再把这点时间分出来了。

-- [《时间和注意力的区别》](https://world.hey.com/jason/the-difference-between-time-and-attention-bdd955eb)

3、

越来越多的年轻人认为，AI 是他们的朋友。一位17岁年轻人告诉我，“我与机器人聊天的次数超过了与大多数朋友聊天的次数。”

人是孤独的，AI 提供了不变的陪伴。

-- [《AI 界面革命》](https://digitalnative.substack.com/p/ais-interface-revolution)

4、

创业公司有一个准则，叫做“最小可行产品”，意思是产品只要做到最简单的可运行程度，就可以发布，让市场来检验是否可行。

我想提一个相反的概念，叫做“最大可行产品”，意思是产品的主要功能完备以后，就到此为止了，不再添加新功能。我见过太多的优秀软件不断膨胀，功能越来越多，直到变得无比难用。

-- [《最大可行产品》](https://debugger.medium.com/its-time-for-maximum-viable-product-eec9d5211156)

## 历史上的本周

[晋升制度的问题](http://www.ruanyifeng.com/blog/2022/05/weekly-issue-208.html)（2022 #208）

[内容渠道的贬值](http://www.ruanyifeng.com/blog/2021/05/weekly-issue-158.html)（2021 #158）

[阵地战与奇袭战](http://www.ruanyifeng.com/blog/2020/05/weekly-issue-108.html)（2020 #108）

[软件推广可以像化妆品那样吗？](http://www.ruanyifeng.com/blog/2019/05/weekly-issue-58.html)（2019 #58）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每一期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030205.webp)

（完）

