# 科技爱好者周刊（第 259 期）：如何免费使用 ChatGPT

这里记录每周值得分享的科技内容，周五发布。（**[公告]下周端午节假期，周刊暂停一次。**）

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3157)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061302.webp)

广东韶关的云门山景区，有一个人工瀑布，高达168米。如果它的水源引自山泉，那倒还好，如果是水泵从地面抽水，未免有点浪费能源。（[via](https://k.sina.cn/article_1789187543_p6aa4d5d702700vwsr.html)）

## 如何免费使用 ChatGPT

国内媒体每天大量报道 ChatGPT，但是只字不提，它不对中国大陆用户开放。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061401.webp)

OpenAI 要求验证手机号，国内的手机都通不过。也就是说，它不希望国内用户使用这个服务。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061303.webp)

我们不揣测，它为什么这么做。但是我觉得，媒体不应该隐讳，也不要自嗨，应该直说，**ChatGPT 不欢迎中国大陆用户**。

当然，不欢迎使用，不等于不能使用。找一个境外手机号码，或者买一个别人的账号，就可以使用 ChatGPT 了。

而且，实际上不必这么麻烦，有很多变通方法，用起来更简单。**我的态度一贯是实用主义**，不在乎 OpenAI 的政策，只要想用，那就去用，多多了解国外的最新科技，打破技术封锁。

这种想法的程序员，大概很多，否则为什么 ChatGPT 的变通访问方法，像雨后春笋那样冒出来。下面，我来总结一下这些方法，方便大家。

**（1）使用替代网站**。国外网友搭建了著名的 [FreeGPT](https://freegpt.one/)，向全世界免费开放，不需要账号就能使用。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061402.webp)

类似的网站还有 [Chat GPT Demo](https://chatgptdemo.net/zh-hans)。国内也有很多，搜索“ChatGPT源”就能找到。GitHub 有好几个仓库（[1](https://github.com/LiLittleCat/awesome-free-chatgpt)，[2](https://github.com/lzwme/chatgpt-sites)，[3](https://github.com/xxxily/hello-ai/blob/main/home/FreeChatGPTSiteList.md)），收集了几百个中介网址。

**（2）使用 Bing Chat**。微软的 Edge 浏览器推出了 Bing Chat 功能，集成了 ChatGPT，可以免费聊天，甚至还能生成图片。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061403.webp)

麻烦的是它只向美国用户开放。国内用户要使用这个服务，必须全程从美国 IP 地址访问，另外还需要注册一个全新用户，参考[这篇教程](https://kerrynotes.com/bing-keeps-prompting-to-login-to-continue-chat/)。

此外，微软旗下的 [Skype](https://www.skype.com/en/blogs/2023-02-bing-bot-in-skype/) 也集成了 Bing Chat。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061404.webp)

大家可能都忘了 Skype 吧，这个软件还活着。而且，它有几乎所有平台的客户端。安装后，将 Bing [添加为联系人](https://www.gizmochina.com/2023/03/04/how-to-add-bing-chatgpt-in-skype/)即可。

最后，再说一件搞笑的事情。

第三方手机浏览器 Vivaldi，长期被当作二等公民对待，实在忍不下去了，最近决定把自己的 User Agent 伪装成 Edge 浏览器。于是，只要你的手机安装了 Vivaldi，莫名其妙也能[免费使用 Bing Chat](https://vivaldi.com/blog/vivaldi-on-android-6-1/)。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061521.webp)

## 稀土开发者大会

前两周，我预告了，今年国内规模最大的开发者活动之一的“[2023稀土开发者大会](https://conf.juejin.cn/xdc2023/?utm_source=ryf0616)”，周刊也是媒体协办单位。

它的时间马上到了，就是**6月30日～7月1日**的那个周末，只剩两周了。

大会安排了12个技术专场，邀请了60多位大厂第一线程序员（[完整名单](https://mp.weixin.qq.com/s/T-cJh_0bJD8l--WAnfebiw)），分享技术实践和观点，涵盖了前端、低代码、云原生、分布式和边缘计算、架构设计、音视频技术等前沿领域。

下面是现在最热门的 AIGC 专场（人工智能内容生成）。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061518.webp)

这只是当天上午的一个活动。没有其他安排的同学，可以考虑参加，学习一下别人的想法。

线上直播是免费的，但需要预约。如果你在北京，可以线下参会，面对面沟通，两天的个人线下票是199元（不含餐），这个价格相当优惠了。如果是企业，建议购买含餐票，**午餐时，有更多机会与嘉宾深度交流**。如果需要团购，请加微信 @bigeyehan。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061523.webp)

点击[这个链接](https://conf.juejin.cn/xdc2023/?utm_source=ryf0616)，或者扫描上方二维码，详细了解大会安排，预约直播或购票。报名者还能抽奖，奖品有 Sony 耳机、极米投影仪等。

## 科技动态

1、[防溅小便池](https://arstechnica.com/science/2022/11/the-angle-at-which-dogs-pee-inspired-optimal-design-for-splash-free-urinal/)

加拿大滑铁卢大学的科学家，收集了各种男用小便池，研究什么样的形状最能防止溅出。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112901.webp)

经过流体力学模拟，他们提出，小便池的最佳设计是上图右起第二个，即高大、细长的那个结构。

他们还提出，小便池底部最好放置强力吸水材料，形成一种黑洞的效果。

2、[培养肉上市](https://www.npr.org/sections/health-shots/2022/11/14/1136186819/cultivated-cultured-meat-heathy-climate-change)

美国食药局 FDA 最近批准，一种动物细胞的培养肉可以在美国上市。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112902.webp)

这种培养肉不是动物身上长出来的，而是在实验里面培养出来的。

科学家们提取动物细胞，将它们放入培养箱，提供细胞增殖所需的营养（脂肪、糖、氨基酸和维生素等），通过细胞分裂得到大量肉类。

上图的工厂每年可以生产22吨培养肉，营养物质通过管道输入细胞培养的钢罐，产出的就是生肉。

![](https://cdn.beekka.com/blogimg/asset/202211/bg2022112903.webp)

培养肉有很多优点：土地占用少，污染小，对环境友好。第一批上市的是用鸡肉细胞培养的鸡肉，据说口味非常好。

3、[AI 教堂](https://apnews.com/article/germany-church-protestants-chatgpt-ai-sermon-651f21c24cfb47e3122e987a7263d348)

6月9日，一家德国教堂举行了完全由 AI 主持的礼拜，人们倾听 AI 布道。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061202.webp)

讲坛上方挂着一个大屏幕，AI 化身为一个留着胡子的黑人男子，向现场的300多人布道，内容完全是 ChatGPT 生成的。

整个过程持续了40分钟，包括布道、祈祷和音乐部分。很多参加者表示很有趣，效果超出预期。但也有人表示恶心，“这是没有情感和灵魂的照本宣科。”

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061203.webp)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061204.webp)

如果 AI 可以胜任宗教活动，那它也完全可以替代心理医生，倾听病人诉说，跟病人对话。

4、[风琴大门](https://www.windmusik.com/html/turharfe.htm#T)

一位德国音乐爱好者，为自家大门装上了琴弦，将其变成了风琴大门。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081803.webp)

他在门上挖了一个通风口，使得风可以通过。通风口上装了琴弦，风吹过时，琴弦就会振动发声。

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081805.webp)

![](https://cdn.beekka.com/blogimg/asset/202208/bg2022081804.webp)

经过精心调试，琴弦发出的声音非常和谐悦耳，不会让人感到烦躁，仿佛大自然的声音，而且从不单调，每次都不一样。

## 文章

1、[当 ChatGPT 参加高考](https://mp.weixin.qq.com/s/HG_Axf38ljcaQTfi9pyJvA)（中文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061522.webp)

如果让 ChatGPT 参加2023年数学高考，它可以得几分？

2、[当人类数据用完，AI 或将越来越笨](https://m.thepaper.cn/newsDetail_forward_23467960)（中文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061509.webp)

机器生成的数据，能用来训练 AI 吗？英国科研人员发现这种情况下，模型将会崩溃。

3、[高效计算三角函数的 CORDIC 算法](http://www.longluo.me/blog/2023/06/07/CORDIC-algorithm/)（中文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061508.webp)

本文介绍一种简化的三角函数计算方法，不必使用泰勒公式逼近。（[@longluo](https://github.com/ruanyf/weekly/issues/3183) 投稿）

4、[通过 Cloudflare 穿透防火墙](https://iq.thc.org/tunnel-via-cloudflare-to-any-tcp-service)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052005.webp)

本文是一篇教程，介绍如何通过 Cloudflare 隧道，让 SSH 连接防火墙或内网里面，正常情况下无法连接的电脑。

5、[AI 自动生成字幕](https://www.spapas.net/2023/05/22/ai-auto-subtitling/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052208.webp)

本文介绍使用 Whisper 模型，自动将视频语音转成文字，并生成字幕。

6、[你不一定需要数据库索引](https://www.jefftk.com/p/you-dont-always-need-indexes)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052601.webp)

教科书总是说，数据库检索需要建立索引。但是，如果数据库不大，完全可以不建索引，不会影响检索速度。

7、[如何让二维码变成图像](https://stable-diffusion-art.com/qr-code/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061301.webp)

本文是一篇教程，教你如何使用 Stable Diffusion，将二维码变成一幅图像。另有一篇[类似的教程](https://old.reddit.com/r/StableDiffusion/comments/1436nqv/my_attempt_on_qr_code/)。

8、[视觉信息论](https://colah.github.io/posts/2015-09-Visual-Information/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052501.webp)

这篇长文用大量例子，讲解怎么用可视化表示信息。

9、[空气过滤机与正压新风系统的比较](https://www.airgradient.com/open-airgradient/blog/air-purifier-vs-positive-pressure-fresh-air-system-an-unfair-battle/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060905.webp)

保持室内空气干净，有两种做法，一种是使用空气过滤器，另一种是使用正压新风系统，让室内空气压力大于室外，从而室外的脏空气无法进入。本文比较哪一种方法更好。

## 工具

1、[Mosh](https://mosh.org/)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042008.webp)

SSH 替代品，用来登陆服务器。最大特点是会话不会因为丢线而中断。下次连接或者换台机器连接，还能进入前一次会话。

2、[Ezno](https://github.com/kaleidawave/ezno)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060906.webp)

一个用 Rust 语言写的 TypeScript 编译器，目标是作为官方 tsc 的替代品。

3、[Bark](https://github.com/suno-ai/bark)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042101.webp)

一个语音生成引擎，效果不错，可以在朗读的同时，发出大笑、叹息和哭泣，还可以生成音乐。

4、[trzsz-ssh](https://github.com/trzsz/trzsz-ssh)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061506.webp)

用 Go 实现的 ssh 客户端，可以记住登陆过的服务器，内置支持上传和下载文件。（[@lonnywong](https://github.com/ruanyf/weekly/issues/3180) 投稿）

5、[STDF](https://github.com/dufu1991/stdf)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061503.webp)

基于 Svelte 与 Tailwind 的移动页面组件库。（[@dufu1991](https://github.com/ruanyf/weekly/issues/3175) 投稿）

6、[code-inspector](https://github.com/zh-lx/code-inspector)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061504.webp)

一个 Vue 的开发者工具，点击页面上的某个元素，它自动打开代码编辑器，定位到对应的代码位置。（[@zh-lx](https://github.com/ruanyf/weekly/issues/3178) 投稿）

7、[Tiny Player](https://tiny-player.vercel.app/)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061505.webp)

极简的网页视频播放器，支持硬解/软解，可以自定义各种控件样式。（[@wangrongding](https://github.com/ruanyf/weekly/issues/3174) 投稿）

8、[BrutalityExtractor](https://github.com/hxz393/BrutalityExtractor)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061507.webp)

Windows 解压软件，针对多核 CPU 和高速固态硬盘优化，实现多进程同时解压，比普通解压软件速度快。（[@hxz393](https://github.com/ruanyf/weekly/issues/3181) 投稿）

9、[highlight.io](https://github.com/highlight/highlight)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042201.webp)

一个前端页面报错的监控平台，需要自己搭建，类似于 sentry，但是功能更强大一些。

10、[Keyv](https://keyvhq.js.org/)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042404.webp)

一个键值对存储的操作库，提供简单的操作方法，支持多种数据库（MySQL、PostgreSQL、SQLite、Redis等等）作为后端。

11、[Jellylade](https://app.jellylade.com/)

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023042602.webp)

一个美化网页截图的 Web 工具。

## 资源

1、[中国高等院校三千所](https://laosheng.top/fuwu/yuanxiao)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061502.webp)

这个网站收集中国大专院校名单和网址，按照中管、部本、省本、专科的顺序形成中国高校层级图谱。（[@DiamonWoo](https://github.com/ruanyf/weekly/issues/3173) 投稿）

2、[提示工程入门](https://www.promptingguide.ai/)（Prompt Engineering Guide）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060301.webp)

一本人工智能和提示工程的入门电子书。

3、[GitHub Actions 示例教程](https://www.actionsbyexample.com/)

![](https://cdn.beekka.com/blogimg/asset/202201/bg2022012504.webp)

通过10个详细注释的示例，解释怎么使用 GitHub Actions。

4、[编译器设计入门](https://www3.nd.edu/~dthain/compilerbook/)（Introduction to Compilers and Language Design）

![](https://cdn.beekka.com/blogimg/asset/202205/bg2022052305.webp)

一本免费阅读的英文教科书，介绍编译器设计的基本知识。内容很新，2021年才完稿。

## 图片

1、[颜色变少了](https://twitter.com/culturaltutor/status/1551976051860963333)

一个推特用户提出他的观察，我们周围的颜色现在似乎比以前少了。

这是以前的停车场。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072811.webp)

现在的停车场。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072812.webp)

这是以前的房间。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072813.webp)

这是现在的房间。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022072814.webp)

他的观点是：现在的用色越来越集中在几种主要颜色，不如以前那样丰富鲜艳。你是否同意呢？

2、[毒枭潜艇](http://www.hisutton.com/Narco%20Subs%20101.html)

哥伦比亚贩毒集团使用潜艇，向国外运送毒品。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010601.webp)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010602.webp)

这些“潜艇”实际上并没有完全潜入水中，在水面上露出很少一截，但是难以被发现。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010603.webp)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010604.webp)

最惊人的是，这些潜艇是贩毒集团在哥伦比亚丛林工厂里面，自己建造的。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010605.webp)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010606.webp)

这些工厂能够建造远洋航行的潜艇，规模肯定小不了，可见贩毒集团有多庞大。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010607.webp)

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023010608.webp)

## 文摘

1、[未来如何记住我们的过去？](https://www.datagubbe.se/fleeting/)

曾几何时，瑞典人家里只有一本书，那就是《圣经》，而且还要传给后代。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061512.webp)

你打开这本书，会想起你的爷爷和爸爸也打开过它，而且书里可能会掉出一些小物品：信件、剪报、结婚照等等。

后来，电脑出现了，照片保存在磁盘和光盘上。虽然过了30年，你还是能打开这些照片。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061513.webp)

再后来，智能手机出现了，云也出现了，事情发生了根本的变化。

现在，网络带宽和云存储都非常廉价，人们开始在云上存储大量数据，数百 GB 甚至几个 TB 的照片都放到云上。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061514.webp)

我们正在使用前所未有的细节记录我们的生活，轻松生成成千上万张照片，将个人记忆外化成存储狂热，自以为那些数字化存储是持久的。

你记录了日常生活的方方面面：如此多的食物、日常服装、日落、树木、啤酒、鞋子、面孔、汽车和城市。但是，你几乎从不抽出时间浏览，只是将它们全部委托给你无法控制的公司和平台，存储在你没有管理权的服务器上。这些存储服务明天可能就会消失，就算不消失，50年后 Youtube 还会存在吗？Instagram 和 Dropbox 还存在吗？

**我很好奇，未来的人们如何回忆过去？** 即使这一切都以数字化的形式保存下来，你要浏览的东西实在太多了，而有形的物品又实在太少了。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061516.webp)

我的祖母得了老年痴呆症，不得不去养老院，减轻她的痛苦一件事就是翻看旧照片。那些相册放在旧雪茄盒中，许多已经过了几十年，充满了褪色和磨损。

等到我们年老时，我们不会有这样的老相册，我们又拿什么怀念过去呢？

## 言论

1、

这个世界日以继夜、竭尽全力让你成为其他人，如果你想做你自己，就意味着要打一场最艰难的仗。

-- [E·E·卡明斯](https://www.themarginalian.org/2017/09/25/e-e-cummings-advice/)（E. E. Cummings），20世纪美国著名诗人

2、

人们依靠机器，希望这能带给他们更多自由，但这只会让拥有机器的人奴役他们。

-- [弗兰克·赫伯特](https://futo.org/)，科幻小说《沙丘》的作者

3、

作为管理者，你的角色不是自己完成工作，即使你非常擅长干这些事。你的角色是改善团队目标、团队人员和工作流程，尽可能让团队产生乘数效应，放大你的资源。

-- [Julie Zhuo](https://thetechthinker.substack.com/p/pilot)，Facebook 前产品副总裁

4、

我的20年软件开发生涯，构建的东西现在要么是技术债，要么已经弃用。

这是免不了的。新技术来来去去，程序员不愿意学习用不到的技能，而且技术栈的变化速度很快，大家总是希望简历上有热门的新事物。

-- [《我20年的职业生涯》](https://blog.visionarycto.com/p/my-20-year-career-is-technical-debt)

## 历史上的本周

[人生不短](http://www.ruanyifeng.com/blog/2022/07/weekly-issue-212.html)（2022 #212）

[生活就像《吃豆人》游戏](http://www.ruanyifeng.com/blog/2021/06/weekly-issue-162.html)（2021 #162）

[如何培养领导力](http://www.ruanyifeng.com/blog/2020/06/weekly-issue-112.html)（2020 #112）

[日本电影《编舟记》](http://www.ruanyifeng.com/blog/2019/06/weekly-issue-62.html)（2019 #62）

## 鸣谢

周刊得到国内新一代知识管理与协作平台 [FlowUs](https://flowus.cn?promotionChannel=GW_RYF_01) 的帮助，深表感谢。

[FlowUS](https://flowus.cn?promotionChannel=GW_RYF_01)  = 文档 + 表格 + 网盘。你可以用它写文档、做主页、管理数据、存储文件等等。

每一期周刊同时发布在[ FlowUs 专栏](https://ruanyf-weekly.flowus.cn/?code=FLOWUS&promotionChannel=WX_RYF_00)，欢迎大家也去开通自己的专栏和主页。

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023030205.webp)

（完）

