# 科技爱好者周刊（第 271 期）：非线性的世界，线性的你

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3425)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091205.webp)

五菱汽车有一款概念车型，将“宏光 mini EV”改成了六轮的小货车，配备一个非常迷你的车斗。虽然不一定实用，但是看上去相当可爱，可惜只有样车，不确定是否投产。（[via](https://www.sohu.com/a/679911689_121645910)）

## 非线性的世界，线性的你

纳瓦尔（Naval Ravikant）是一位美国风险投资家，写过一组系列文章《如何致富》（How to get rich），非常出名。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091207.webp)

他的文章后来结集出版，成了畅销书。国内引进了，中文书名叫做《纳瓦尔宝典：财富与幸福指南》，在豆瓣被列为“2022年度商业经管图书第一名”。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091208.webp)

周刊摘录过他的很多言论，很有启发。我把它们放在一起，大家再看看。

> 既懂得制造，又懂得销售，你就是无敌的。(第 94 期)

> 小心，尝到自由的滋味，可能会让你失业。（第 105 期）
 
> 致富关键是找到“个人-市场-产品”这三者交叉的那个点。（第 107 期）

> 做你喜欢的事，直到你喜欢去做。（第 184 期）
 
> 如果你有原创性，就可以避开竞争。基本上，如果你与别人发生竞争，那是因为你们在做同样的事情。（第 258 期）

今天我想分享，他去年的一个访谈，与美国最红的播客主持人 Joe Rogan 对谈。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091209.webp)

他说了一段话，发人深思。

> “新人企业家的常见错误，就是认为结果是可预测的。如果我长期努力工作，就应该会得到某种成果。”
>
> “实际上，你的成果是不可预测的。你工作多么努力并不重要，重要的是你在做什么、与谁一起工作、以及在哪里工作。 ”

他的意思是，很多人有一个思维误区：**他们认为“努力”与“成果”是正比例关系**，工作越努力，越可能获得好成果。

实际上根本不是这样，努力与成果之间，没有必然关系。

> “你每天都会看到，那些赚最多钱的人，工作时间根本不长。而淘金者和商铺老板，努力工作一天，赚不到什么钱。 ”
 
原因在于，**现实世界是非线性的、非因果的**，而人的思维是线性的、因果关系的，会不知不觉从单一的线性因素，去解读非线性关系。

举例来说，银行存款是线性的，存款越多，利息越多；股票是非线性的，投资多，可能回报多，也可能亏得多。我们不应该把存款的逻辑，用在股票市场这样的非线性系统。

你不断加大努力的程度，长时间工作、长期加班、没有个人生活，会带来成功吗？很可能不会，因为两者之间没有因果关系。

纳瓦尔的建议是：

> “重要的不在于你的努力程度，而在于仔细选择工作、人员和项目。”
> 
> “真正有效的工作方式，不是铁人三项或马拉松，比拼谁坚持的时间长，而是短跑，当机会来临的时候冲刺，平时注意健康和休息。”
>
> “你要像狮子一样，看到猎物一跃而起，而不要像牛一样，从早到晚劳作。”

## 科技动态

1、[风力发电世界纪录](https://electrek.co/2023/09/05/worlds-largest-wind-turbine-record-typhoon/)

金风科技的 GWH252-16MW 是世界最大的海上风力发电机，叶片长度123米，轮毂高度近50层楼。

它安装在福建平潭外海，最近创造了发电量的世界纪录。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090707.webp)

9月1日，台风“海葵”靠近福建，这使得该风力发电机在一天之内发电38.41万度，够为17万个家庭供电，创造了单台风力发电机的世界之最。

这提醒我们，台风虽然造成巨大破坏，但也带来巨大能量，如果都能用来风力发电，那该多好。

2、[可种植棺材](https://apnews.com/article/nature-burial-mushrooms-netherlands-sustainable-coffin-5b211105cc5566c9ada430f2e2e8e3a0)

一家荷兰创业公司发明了“可种植棺材”，可以像种子一样种在地里，对环境非常友好。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052503.webp)

这种棺材的外壳是植物纤维，里面铺满了蘑菇的菌丝体。埋入地下一个半月以后，就会降解发芽。

它的售价目前是995欧元。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052504.webp)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052505.webp)

3、[行人和自行车补贴](https://electrek.co/2022/05/17/norway-rolls-back-ev-incentives-while-boosting-walking-and-cycling/)

挪威是世界上电动车比例最高的国家，每年新售车辆超过65%是电动车。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090705.webp)

购买电动车以前有很多补贴，比如免税和免停车费。现在，挪威政府宣布，这些补贴全部取消，改为补贴行人和自行车。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090706.webp)

以后，如果你不开车，选择骑车或步行，政府会提供奖励。因为越来越多人认识到，保护环境的做法不是开电动车，而是少开车。

4、[自助付款小费](https://www.foxbusiness.com/retail/self-checkout-machines-ask-tips-latest-squeeze-customers)

美国的很多服务性场所，比如面包店、咖啡店和健身房，需要支付小费，用来奖励服务员或者店家。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061801.webp)

这些店家改成自助付款以后，就没有了小费收入了。店家觉得有损失，于是在自助付款机上加了一个页面，用户付款后就会跳出来，问你讨要小费（上图）。

这件事引起了媒体讨论，如果是自助服务，小费是否合理？自动化的时代，小费也许就应该消失了吧。

## 文章

1、[马斯克的 AI 之路](https://finance.sina.cn/2023-09-08/detail-imzkzkea2108254.d.html)（中文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090908.webp)

马斯克的官方传记本周上市，作者是《乔布斯传》的作者沃尔特·艾萨克森。《时代周刊》摘录了其中跟 AI 相关的部分，这是中文翻译。 

2、[《OpenAI 真正想要什么》](https://www.wired.com/story/what-openai-really-wants/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090906.webp)

《在线》杂志著名作家史蒂文·利维的长文，介绍 OpenAI 公司的内幕，对这家公司感兴趣的人可以看。上图是 OpenAI 公司的四个核心高管。

3、[腾讯 13 年，我所总结的 Code Review 终极大法](https://mp.weixin.qq.com/s/HoFSNCd1U3eoUqYaQiEgwQ)（中文）

腾讯云官方公号的文章，腾讯的技术 Leader 谈他们怎么做 Code Review。

4、[2023年编程语言流行排名](https://spectrum.ieee.org/the-top-programming-languages-2023)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091206.webp)

IEEE Spectrum 杂志发布了编程语言流行度排名（2023版），感觉还是比较符合实际的。不过，它采用技能维度，把 SQL、HTML 都算作一门语言。

5、[iPhone 15 为什么是 USB 2.0？](https://www.pcgamer.com/apple-finally-put-usb-c-in-the-new-iphone-but-its-inexplicably-limited-to-23-year-old-usb-20-speeds/)（英文） 

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091405.webp)

iPhone 15 全系列改成了 USB-C 接口，但只有高级版用的是 USB 3.0，普通版还是 USB 2.0。这恐怕不是商业考量，而是苹果受到了一些技术限制。

6、[为什么 SQLite 如此适合边缘计算](https://blog.turso.tech/why-sqlite-is-so-great-for-the-edge-ee00a3a9a55f)（英文）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060702.webp)

作者逐一分析 SQLite 数据库的优点，分析为什么它特别适合 Serverless 环境，比如边缘计算。

7、[Meta 公司的隐私问题](https://growth.design/case-studies/apple-privacy-policy)（英文）

Meta 公司最近发布了 Threads 应用，跟推特竞争。这篇文章告诉你，这个 App 怎么对待用户隐私。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090903.webp)

最棒的地方是，本文做成了连环画，每一页都有插图和动画。

8、[声音能通过真空传播吗](https://finance.sina.com.cn/tech/roll/2023-09-05/doc-imzkrvvf8319091.shtml)（中文）

一篇科普文章。声波是机械波，不能在真空中传播，但如果两个物体靠得特别近（纳米级），就能接收对方的声波。

## 工具

1、[echoserver](https://echoserver.dev/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023052101.webp)

一个免费服务，你可以定制这台服务器返回的 HTTP 数据头，适合用来测试。

2、[DocuSeal](https://github.com/docusealco/docuseal)

![](https://cdn.beekka.com/blogimg/asset/202307/bg2023072101.webp)

创建、填写、签名数字文档的在线工具，代码开源。

3、[g](https://github.com/Equationzhao/g)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090907.webp)

Go 语言写的 ls 命令替代品，跨平台。（[@Equationzhao](https://github.com/ruanyf/weekly/issues/3465) 投稿）

4、[Github Old Feed](https://github.com/wangrongding/github-old-feed)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091301.webp)

一个油猴脚本，恢复 GitHub 首页的旧版 feed，查看自己关注的人的动态。（[@wangrongding](https://github.com/ruanyf/weekly/issues/3478) 投稿）

5、[LoremGenie](https://loremgenie.com)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091105.webp)

Figma 插件，快速生成用来占位的数据文字，插入设计稿。（[@guojiangnian](https://github.com/ruanyf/weekly/issues/3473) 投稿）

6、[NoteAI](https://noteai.com/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091404.webp)

用户在该网站输入问题，它会用 AI 从搜索引擎返回的网页结果里面，总结出答案。

7、[Idify](https://github.com/zhbhun/idify)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091409.webp)

一个开源软件，将用户上传的人像照，转成证件照，全部使用前端代码，数据不会上传。（[@zhbhun](https://github.com/ruanyf/weekly/issues/3481) 投稿）

8、[Plane](https://github.com/makeplane/plane)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023053103.webp)

一个基于 Web 的开源项目管理工具，JIRA 的替代品。

9、[Octos](https://github.com/underpig1/octos)

![](https://cdn.beekka.com/blogimg/asset/202307/bg2023072303.webp)

一个开源的 Windows 桌面软件，用来创建和管理 HTML、CSS 和 JS 做的实时交互式壁纸。

10、[作文批改](https://www.essay.art/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091411.webp)

使用 GPT4 对雅思作文和托福作文判分和批改。（[@zengdamo](https://github.com/ruanyf/weekly/issues/3483) 投稿）

11、[RustRover](https://www.jetbrains.com/rust/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091410.webp)

JetBrains 公司最新推出的 Rust 语言 IDE，目前免费使用。

## 资源

1、[permission.site](https://permission.site/)

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080203.webp)

该网站演示各种 Web API 的用户授权。

2、[Prisma 数据库教程](https://www.prisma.io/dataguide)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091106.webp)

JS 语言著名的数据库工具包 Prisma，官网上面有一个数据库教程（英文），讲解数据库基本概念和 ORM 关系模型的用法，内容不错。

3、[现代 CSS 解决方案](https://moderncss.dev/)（Modern CSS Solutions）

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061802.webp)

CSS 高级教程，讲解新的 CSS 语法如何解决一些传统问题，一共有30多课。

4、[EarTrainX](https://www.eartrainx.com/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091102.webp)

该网站提供音乐初学者的各种听音练习，训练辨识旋律的能力。（[@xzzxy0413](https://github.com/ruanyf/weekly/issues/3467) 投稿）

5、[写作只能塑造真实的自己](https://github.com/Macin20/why-we-write)

网友做的一本小册子，收录了著名作家谈写作的文章。他用 LaTex 排版，然后编译成 PDF 文件。（[@Macin20](https://github.com/ruanyf/weekly/issues/3459) 投稿）

## 图片

1、[海上火箭发射](https://www.chinadaily.com.cn/a/202309/06/WS64f7bb27a310d2dce4bb41a6.html)

9月5日，北京的民营火箭公司星河动力，成功在山东海阳附近海域发射火箭，创下了中国民营企业海上发射火箭成功的记录。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091406.webp)

海阳已经建成了海上火箭发射基地，观看火箭发射成了当地的一个旅游节目。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091407.webp)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091408.webp)

2、[红海大坝](https://en.wikipedia.org/wiki/Red_Sea_Dam)

红海是一个夹在阿拉伯半岛与非洲之间的狭长海湾，北端是苏伊士运河，南端连接亚丁湾的出口特别狭窄，只有29公里。

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023040901.webp)

有人提出了一个疯狂计划：在红海的南端出口，建造一座大坝，称为“红海大坝”，不让印度洋的海水流入红海。

由于当地是沙漠气候，气温非常高，自然蒸发会迅速降低大坝内侧的红海水位。根据计算，水平面每年下降约2.1米。

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023040902.webp)

这就使得大坝内外产生了水位差，外部亚丁湾的海水涌入红海，就会驱动涡轮机发电，有可能产生50吉瓦的水力发电。相比之下，美国最大的核电站的输出功率为3.2吉瓦。

因此，这座大坝将为沿岸国家带来源源不断的绿色能源。不过，很多专家认为这个设想是荒谬的。

## 文摘

1、[为什么我要写博客？](https://www.dannyguo.com/blog/why-i-blog)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091303.webp)

人们总是问我，为什么我那么重视写博客。

我有几个理由。

**（1）写作可以整理想法。**

我不擅长现场思考，更喜欢事后琢磨。写作强迫我以连贯的方式组织想法，并发现哪些是没意义的。

写作就像过滤器，消除了思想中的废话。

如果以前问我写作的目的是什么，我会回答，写作让想法变成文字。但是，我现在会回答，写作本身就可以发展和改变你的想法。写作不仅仅是记录，也是一种更清晰的思考和产生想法的方式。

即使写作没有让我产生新的想法，仍然让我能够用更好的语言表达自己。

**（2）写作可以分享知识和想法。**

博客比微博提供了更多的细节，比书籍的阅读时间少得多。博客文章很容易按照自己的节奏阅读，不像视频要按拍摄者的节奏观看，而且博客文章很容易链接和参考。

我写的文章可能对其他人有用，这可以激励我，让我感到欣慰。

**（3）写作让我学到新东西。**

我有时把写博客作为学习新东西的一种方式，通过写作一个我不了解的主题，深入学习一些细节。

即使当我写一些自己很了解的事情时，我也会在这个过程中学到新的细节。

**（4）博客让我练习写作。**

博客是一种写作练习，而且很自由，可以写任何我真正想写的东西。这意味着我可以写得更多。

写博客还意味着我可以获得全球受众的反馈，这激励我更加努力地写好它。

**（5）博客让我发现错误。** 将博客发布到网上是快速了解我的错误的绝佳方式。读者往往会留言指出文章里面的错误。

**（6）博客能够提供链接。** 如果我经常遇到其他人向我询问某件事，我就会写一篇博客，然后把博客的链接告诉他们，这样就很省事。

**（7）博客满足我的虚荣心。** 当我的文章获得很多点击，或在其他地方被别人提到，我会感觉很好。而且，这会短时间带来巨大的流量。

**（8）博客能够提供意想不到的机会。** 某人因为读到我的文章，邀请我为他们的网站写一个付费材料。

**（9）赚钱。** 我通过在博客放置广告或推广产品，得到一些收入。

## 言论

1、

不要在疲劳的时候写代码。敬业和专业精神，更多地体现在你的纪律性，而不是体现在投入的时间。

-- [Robert C. Martin](https://medium.com/@Fcmam5/trying-to-become-a-better-developer-by-learning-more-about-aviation-5241e7092f7e)（鲍勃大叔），《Clean Coder》的作者

2、

2022年11月，OpenAI 发布了 ChatGPT，突然之间就引发了人们从未见过的技术爆炸，图灵测试成为历史，搜索引擎成为濒临灭绝的物种，任何大学论文都不再可信，没有工作是安全的，没有什么科学问题是一成不变的。

-- [《OpenAI 真正想要什么》](https://www.wired.com/story/what-openai-really-wants/)

3、

网页设计师的一个巨大错误，就是以为用户会仔细阅读页面。但是实际上，用户不阅读，只是扫描页面。

因为大多数用户只想完成某件事，而且是快速完成，不想了解任何不必要的内容。

-- [《10 个最昂贵的设计错误》](https://adplist.substack.com/p/10-most-expensive-design-mistakes)

4、

长期计划属于臆测，没有人能够未卜先知。篇幅庞大的计划书最终都会成为文件柜里的化石。

你只需要决定这周要做什么，找出下一项最重要的任务，然后去做，不必去管全年计划。

无计划地工作看上去挺悬，但是盲目遵循不切实际的计划，后果更糟糕。

-- 《Rework》

## 往年回顾

[Figma 为什么赢了 Sketch](http://www.ruanyifeng.com/blog/2022/09/weekly-issue-224.html)（2022 #224）

[全能程序员 vs 特长程序员](http://www.ruanyifeng.com/blog/2021/09/weekly-issue-174.html)（2021 #174）

[华为如何考核员工](http://www.ruanyifeng.com/blog/2020/09/weekly-issue-124.html)（2020 #124）

[信息的商业模式为什么不是收费](http://www.ruanyifeng.com/blog/2019/09/weekly-issue-74.html)（2019 #74）

（完）

