# 科技爱好者周刊（第 275 期）：彼得·蒂尔的实验

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3529)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102101.webp)

令人意想不到，上图这栋看上去很时尚的建筑，竟然是印度的第三个南极考察站—— Bharathi 站，建于2012年。（[via](https://inhabitat.com/photos-self-sufficient-antarctic-indian-research-station-in-134-shipping-containers/)）

## 彼得·蒂尔的实验

彼得·蒂尔（Peter Thiel，1967-）是美国著名的风险投资家。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102005.webp)

他有两件事，非常有名。第一件，1998年参与创办 PayPal，四年后以15亿美元被收购，他获利5500万美元。

第二件，他是 Facebook 的第一个投资人。2004年，Facebook 还没成立，他就给了扎克伯格50万美元。八年后，这笔投资价值20亿美元。

他还出过一本畅销书，书名叫《从0到1》。这是2012年他的斯坦福大学创业课的讲义。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102006.webp)

今天不谈这些事情，我只想谈谈，他的一个离经叛道的实验，让我有极大的共鸣。

这个实验就是验证，创业者到底要不要读（完）大学。

彼得·蒂尔一直认为，**很多有才华的年轻人，都被大学耽误了。** 虽然他本人是斯坦福大学的文学学士和法学博士，但是他公开说，自己读完学位，只是因为不知道还能干什么。

> ”我看到那些与我一样的年轻人，而感到内疚。
> 
> 你不知道自己的人生该做什么，所以你拿到了本科学位。你不知道本科学位可以做什么，所以你又拿到了研究生学位。
> 
> 我就是这样选择了法学院，那是一个人不知道还能做什么时的安全选择。我对自己的大学生活没有什么大遗憾，但如果重来一次，我会思考更多的选择。”

他的言下之意就是，如果当年有人指点，告诉他怎么创业，他可能也会退学。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102208.webp)

2010年，他做了一个空前大胆的决定，成立“[蒂尔奖学金](https://www.thielfellowship.org/)”（Thiel Fellowship），每年资助20名左右的大学生，**一人10万美元，条件是你必须退学创业。**

舆论一片哗然，指责他极其不负责任，进行错误诱导，会害了学生。哈佛大学校长公开表示：“这是最误导的慈善项目，他实际是在贿赂学生，让他们退学。“

但是，彼得·蒂尔不为所动，坚持要把奖学金办下去，帮助那些想创业的学生，同时也是一个实验，向社会证明大学教育有局限性。

现在，十三年过去了，这个实验怎么样了？

前不久，彭博社盘点了一下所有的奖学金得主，[结果令人震惊](https://www.bloomberg.com/opinion/articles/2023-10-19/thiel-s-unicorn-success-is-awkward-for-colleges)。这些年，一共有271个人得到了奖学金，也就是说，他让271个学生从大学退学创业。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102209.webp)

这些创业公司之中，迄今为止，已经诞生了11家“独角兽”，即估值超过10亿美元，其中不乏明星公司。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102411.webp)

271个学生出了11家独角兽，这个比例真是高得吓人。如果这些学生没有退学，还能取得这样的成绩吗？

无论从哪个角度看，这个实验结果都证明了他的主张：对于那些有创业想法和能力的学生，大学的作用不大，早点去追求自己的梦想，可能是更好的选择。

除了拖延创业时机、分散精力，**大学还可能消磨一个人的创业意愿。** 等到读完大学、拿到学位，大多数人的心态是，已经投入了多年的时间和金钱成本，不再愿意冒险，宁愿选择收入稳定、风险小的职业，所以金融、咨询、公务员才这么吃香。

彼得·蒂尔的实验，并不是否定大学教育，提倡退学创业，而是向社会表明，应该建立一种机制，识别有企业家潜质的学生，帮助他们追求自己的梦想，创造一些世界上还不存在的东西，而不是要求他们读完大学。

至于那些不具备企业家潜质，不知道自己想干什么的大多数学生，读完大学才是更好的选择。只是不要局限在大学为你安排的教育，而要找到自己想为社会创造的东西。

## [周末活动] 稀土掘金创新论坛

前两周，周刊已经发布了活动预告。

明天（10月28日），将在北京的新云南皇冠假日酒店，举办“稀土掘金创新论坛”。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023101813.webp)

活动主办方是“稀土掘金社区”，它是国内最大的技术社区之一。明天的活动是它们的“年度大戏”，已经准备了很久。

现在，最终的活动安排终于出来了，我再贴一下。明天有空的同学，不要错过。

### 亮点1：重量级嘉宾坐阵

本次活动主题是《AI 时代下的管理变革》，重点关注 LLM 等新技术和开源新模式带来的管理挑战，与技术决策者们共探应对之道。

以下是主会场的主讲嘉宾。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102605.webp)

### 亮点2：三大专题闭门会

除了主会场，还安排了三场闭门讨论会，让参会者更深入对一个主题，进行探讨和交流

> - 主题1：《AI 时代的研发效能提升》
> - 主题2：《LLM 的工程化落地挑战》
> - 主题3：《大模型的创新与创业机遇》

### 亮点3：合作共创 激发创新

AMD 是本次活动的战略合作伙伴，将为各位开发者带来超多干货内容。

此外，国内的众多开发者社区、组织与企业也给予了大力支持。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102606.webp)

### 亮点4：主会场免费体验券

这个活动面向技术管理者，主会场对外售票是3999元，周刊读者可以申请免费体验券。

点击[这个网址](https://www.bagevent.com/event/8047254?bag_track=ruanyifeng)，或者扫描第一张图片的二维码，了解活动详细介绍，并**免费申请体验券，明天就可以去主会场参加活动了，还有精美伴手礼相赠！**

外地或者明天没法到场的朋友，也可以在这个网址预约直播。

## 科技动态

1、[武装机器狗](https://www.dvidshub.net/news/456001/marines-test-emerging-technologies-combat-center)

美国海军陆战队最近发布了一张照片，一条机器狗正在测试安装反坦克火箭筒。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102001.webp)

从照片上看，这款机器狗是中国制造的 Unitree Go1，国内售价是1.6万～2万元人民币。

机器狗身上绑着很粗的 WiFi 天线，用来传回影像，一旦操作员确认目标，就远程遥控发射火箭弹。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102002.webp)

一辆坦克的造价，最少也要上千万人民币。如果10条机器狗，可以打掉一辆坦克，就非常划算，还没有己方人员伤亡。未来的战争一定是机器人（包括无人机）在交战。

2、[全息动物园](https://www.bbc.com/news/business-67080941)

澳大利亚布里斯班，新开了一家全息动物园，里面有50多种动物。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102003.webp)

游客参观全息动物园，就是看动物的全息影像，还可以跟这些影像互动。

它的很多体验是实体动物园没有的，比如30米长的蓝鲸缓缓游过游戏面前。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102004.webp)

相比实体动物园，全息动物园的成本更低，也有利于保护动物，但是不知道游客能不能接受这种形式，政府可能应该扶持。

3、[太阳能汽车](https://www.cnn.com/travel/stella-terra-off-road-solar-powered-suv-morocco-hnk-spc/index.html)

荷兰埃因霍温理工大学的一个团队宣布，他们建造了一辆太阳能汽车，只使用太阳能充电，顺利穿越了摩洛哥，行程1000多公里。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102202.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102205.webp)

按理说，这是不太可能的。车辆上方的太阳能板，面积有限，难以产生大量电能，而且需要长时间停车发电。

开发团队只透露，他们尽可能减轻了车辆的重量，目前整车重1.2吨，比普通的 SUV 轻了25%。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102204.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102206.webp)

另外，为了减少风阻，行车时车辆是流线型。停车后，后轿箱可以升顶展开，增加太阳能板的面积。

4、[体外子宫试验](https://www.nature.com/articles/d41586-023-02901-1)

早产的婴儿非常虚弱，必须精心照顾。美国费城儿童医院正在进行一项试验，营造一个人造的体外子宫环境，让早产儿在母体外继续发育。

他们用早产的羔羊做试验，把她放入一个透明袋子，里面都是营养液，尽量模拟子宫环境。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091506.webp)

这个装置配有一个体外的血液泵，连接羔羊的动脉和静脉，用来泵入氧气和去除代谢废物。整个过程，都有大量仪器监控。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091507.webp)

这个试验从2017年开始，已经进行过多轮。目前，美国食药局正在评估，是否将其推进到下一个阶段的“人体试验”。

## 机房的中间人攻击

俄罗斯即时通信服务 jabber.ru，上周报告了一起骇人听闻的[安全事件](http://notes.valdikss.org.ru/jabber.ru-mitm/)。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102102.webp)

他们的服务器托管在德国 Hetzner 和 Linode 机房，但是用户连接服务器时，得到的域名证书是伪造的。

也就是说，有人在机房对他们做了“中间人攻击”，冒充身份以拦截俄罗斯用户的聊天，记录后再将其转给原始服务器。机房管理员一定是知情的，因为需要机房网关配合。

很难想象，为什么 Hetzner 和 Linode 要去偷听自己的客户？唯一的解释是政府要求他们这么做。

这件事提醒我们，机密的聊天一定要选择“端对端”加密的聊天软件，除了当事人，谁也无法解密。

## 文章

1、[如何让 SSH 连接保持活动状态](https://linuxiac.com/how-to-keep-ssh-session-alive/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081102.webp)

SSH 连接服务器后，长时间不活动会自动断开，本文教你怎么让它不断开。

2、[如何访问树莓派的远程桌面](https://pinggy.io/blog/iot_remote_desktop_raspberry_pi/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081315.webp)

本文以树莓派为例，讲解如何远程访问内网设备的桌面。

3、[Flutter 与 React Native 的开发体验比较](https://stackoverflow.blog/2022/10/31/comparing-frameworks-for-cross-platform-apps-flutter-vs-react-native/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081401.webp)

作者分别使用 Flutter 和 React Native 开发手机 App，总结了自己的感受。

4、[如何不使用缓存构建 Docker 镜像](https://depot.dev/blog/docker-build-no-cache)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081011.webp)

构建 Docker 镜像，默认会使用上一次的缓存，加快速度。本文教你某些情况下，如何跳过整个或部分缓存，完成构建。

5、[巧用 curl 查看连接时间](https://susam.net/blog/timing-with-curl.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081605.webp)

本文介绍了一个小技巧，可以用 curl 查看网站连接的各种时间指标。

6、[Linux 的早期回忆](https://lwn.net/SubscriberLink/928581/841b747332791ac4/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202304/bg2023041501.webp)

Linus 的大学同班同学写的回忆文章，挺有意思的，对技术史感兴趣的朋友可以看看。

## 工具

1、[oxc](https://github.com/web-infra-dev/oxc/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102201.webp)

一个 JavaScript 工具包，包含了多个工具（解析器、代码压缩、格式美化、类型检查等），使用 Rust 语言开发，运行速度快。

2、[TinaCMS](https://tina.io/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102404.webp)

一个网站 CMS（内容管理系统），特别之处是它的内容不放在数据库，而是放在 Git 仓库，也可以用于 Git 仓库的网页编辑器。 

3、[Writerside](https://www.jetbrains.com/writerside/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102405.webp)

JetBrains 公司新推出的桌面软件，用来编写代码文档，写出来的文档保存在 Git 仓库。

4、[EuBackend](https://gitee.com/zhaoeryu/eu-backend)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102302.webp)

一套开源的 Java SpringBoot + Vue 网站开发平台，可以基于它的前端和后端开发网站。（[@zhaoeryu](https://github.com/ruanyf/weekly/issues/3579) 投稿）

5、[EmuDeck](https://www.emudeck.com/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050102.webp)

Steam Deck 掌机的游戏模拟器工具，让你在这个掌机上模拟其他平台，玩那些平台的游戏，后面还会适配安卓、Windows。

6、[Secretive](https://github.com/maxgoedjen/secretive)

![](https://cdn.beekka.com/blogimg/asset/202303/bg2023031408.webp)

Mac 电脑的 SSH 密钥管理工具，支持使用 Touch ID 或 Apple Watch 进行身份验证，通过后才能访问密钥。

7、[tRPC](https://github.com/trpc-group/trpc)

腾讯内部使用的一款程序远程通信框架，类似于谷歌的 gRPC，首期开源 Go 和 C++ 实现，参见[介绍文章](https://mp.weixin.qq.com/s/ODEBU6fSTZ0ixgnQxeamTg)。（[@ryantang1991](https://github.com/ruanyf/weekly/issues/3584) 投稿）

8、[Atuin](https://atuin.sh/)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050609.webp)

命令行工具，将 Shell 操作历史写入 SQLite 数据库，方便统计和复用。

9、[BackgroundRemover](https://github.com/nadermx/backgroundremover)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050611.webp)

去除图像和视频的背景，它是命令行工具，方便批量处理和脚本编程。

10、[pear-rec](https://github.com/027xiguapi/pear-rec/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102607.webp)

一个开源的 Electron 应用，可以截图、录屏、录音等。（[@027xiguapi](https://github.com/ruanyf/weekly/issues/3587) 投稿）

11、[TwitterShots](https://twittershots.com/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102608.webp)

一个网页工具，生成推文的截图。（[@0xinhua](https://github.com/ruanyf/weekly/issues/3588) 投稿）

## 资源

1、[特殊 HTTP 标头字段](https://book.hacktricks.xyz/network-services-pentesting/pentesting-web/special-http-headers)

![](https://cdn.beekka.com/blogimg/asset/202307/bg2023073101.webp)

这个页面介绍一些不常见的 HTTP 标头字段。

2、[瑞安航空（Roblox 版）](https://www.robloxryanair.com/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102401.webp)

虚拟空间 Roblox 里面的瑞安航空官网，看上去跟现实世界的版本一样，让玩家在游戏里面访问。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102402.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102403.webp)

3、[PyFlo](https://pyflo.net/)

![](https://cdn.beekka.com/blogimg/asset/202307/bg2023073102.webp)

Python 初学者教程（英文），教程的目录就是一张流程图，每个节点是一个章节。

4、[BASIC 计算机游戏的重新实现](https://github.com/coding-horror/basic-computer-games)

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080106.webp)

这个仓库将上个世纪的一些经典 BASIC 游戏，使用其他语言实现，适合作为趣味的编程练习。

5、[CSS Loaders](https://css-loaders.com/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090701.webp)

该网站收集各种 CSS 的页面加载特效。

## 图片

1、[科斯凯尔溶洞](https://en.wikipedia.org/wiki/Cosquer_Cave)

科斯凯尔溶洞（Cosquer Cave）是法国马赛的一个溶洞。

几万年以前，该洞有原始人居住。后来，海平面上升，把洞口淹没了。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050603.webp)

现在，洞口就在下图水面以下37米处。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050607.webp)

1985年，一个潜水员发现了洞穴的入口，潜水进洞探索。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050608.webp)

随着通道不断上升，他发现洞穴的尽头变成了地下湖，可以上岸。

1991年，其他潜水员意外发现，洞穴墙壁上有手印，这才意识到这个洞可能是文物。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050604.webp)

经过考察，文物部门发现了大量的原始人壁画。

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050605.webp)

![](https://cdn.beekka.com/blogimg/asset/202305/bg2023050606.webp)

## 文摘

1、[青蛙尽头的光明](https://www.patreon.com/posts/91410900)

上周末，成都举行的2023世界科幻大会，宣布了今年雨果奖的得主。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102407.webp)

美国女作家乌苏拉·弗农（Ursula Vernon）的《荨麻与骨头》（Nettle & Bone），获得了雨果奖最佳小说奖。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102408.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102409.webp)

下面是当天她的自述。

成都比我们早12个小时，我们黎明时分就起床，进行 Zoom 视频连线。

我们都穿着睡衣，喝着饮料看直播。视频信号断断续续，我们不得不找些其他事情自娱自乐。这就是为什么当我得知自己获奖时，我正在向其他人大声朗读，一本关于用公鸡粪便治疗中毒的中世纪手稿。 

编辑在现场，朗读了我事先写好的获奖感言。

大家好！我真的很遗憾，不能到场领奖，这既因为雨果奖，也因为中国拥有我去过的所有国家中最好的食物。我在那里吃过足以让最严肃的人也落泪的串串。

我没想到会获奖，这是我一生的荣幸，我才46岁！非常感谢那些认为《荨麻与骨头》值得获得雨果奖的读者。

没有一本书是单独写成的。感谢我的编辑、出版社、经纪人海伦和我的丈夫凯文，他们确保我有美味的饭菜和干净的内衣等等。

我现在可以说很多严肃而沉重的事情，也许我应该这样说，但其他人说得比我更好、更感人。因此，我想分享一些精彩而又令人厌恶的事情，也许还有一些启发。

2020年，日本学者研究过一种水生甲虫的生存之道。这种甲虫经常被青蛙整个吞掉。虽然甲虫可以采取很多措施，防止被吃掉，但一旦进入青蛙体内，你的选择就非常有限。一般情况下你都会被消化掉。

但是，这种特殊的甲虫说：“你知道，肯定还有另一种方法。”它真的有办法。事实上，它穿过青蛙的消化道，完整地从肛门出来了。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102410.webp)

这不是我编出来的，你们可以[查看论文](https://www.sciencedirect.com/science/article/pii/S0960982220308423)。20只甲虫中有19只，毫发无伤地从青蛙体内出来。它们通常需要大约一个小时，但有一只甲虫只用了五分钟就出来了，我确信青蛙肯定感到如释重负。

这个故事如果有寓意的话，大概就是无论情况多么黑暗，总有一条出路。青蛙的尽头总有光明。

## 言论

1、

人们表达对其他人的感激之情，有一种方式就是创造一些美好的东西。在你精心制作这个东西的过程中，你会把爱包含在里面，不知不觉传递出去。

-- [乔布斯](https://thenewstack.io/vim-creator-bram-moolenaars-forgotten-programming-language-zimbu/)

2、

美国德克萨斯州的荒漠地带，七年没有下雨，人们甚至没有水来洗盘子。那里的沙尘暴和热浪，让你什么都干不成，生活陷入停滞。

我们的未来就会面临这种干旱。

-- [《我们无法战胜气候危机》](https://www.okdoomer.io/youre-not-going-to-make-it/)

3、

我做出创业产品后，最大的错误是在 Twitter、LinkedIn 和 Instagram 上发布演示，来寻找用户。

这好比在街道中央尖叫，以引起人们的关注。有时人们可能会停下来参与其中，但大多数情况下，这是没有效果的。

-- [《六周内用户数量从0增加到600》](https://janvikalra.substack.com/p/going-from-zero-to-600-users)

4、

我经常看到人们不断寻找最好的笔记 App、最好的 Linux 发行版、提高生产力的最佳 AI 软件、最好的游戏引擎……

这样做并不会提高你的效率，你永远找不到最好或最完美的设置。我的建议是，只要一样东西足够好、能完成工作，你就不妨坚持用下去。不要盯着工具，而要盯着你要完成的工作。

-- [《停止沉迷于工具》](https://plug-world.com/posts/stop-obsessing-over-tools/)

## 往年回顾

[人类和人生的意义](http://www.ruanyifeng.com/blog/2022/10/weekly-issue-228.html)（2022 #228）

[家庭太阳能发电的春天](http://www.ruanyifeng.com/blog/2021/10/weekly-issue-178.html)（2021 #178）

[这个社会是否正在变成"赛博朋克"？](http://www.ruanyifeng.com/blog/2020/10/weekly-issue-128.html)（2020 #128）

[下一个风口是什么行业？](http://www.ruanyifeng.com/blog/2019/10/weekly-issue-78.html)（2019 #78）

（完）

