# 科技爱好者周刊（第 276 期）：内容行业的衰落

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3599)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102901.webp)

山西平陆县有一条大裂缝，非常笔直，长约10公里，当地称为“划沟”。它的形成原因未知，可能与地震有关。（[via](https://www.toutiao.com/w/1733600916925507/)）

## 内容行业的衰落

现在的 AI 技术，每天都在进化。我有一种感觉，普通人大概没意识到，它**马上**就要改变人类社会了。

历史上，这种事一再发生。在你不知不觉中，某些大事件悄悄酝酿，突然就冲击到了你的生活，将你的人生全部打乱，你却毫无准备。

**首当其冲，受到 AI 冲击的将是内容行业**。我们以后消费的内容，绝大部分将都是 AI 参与生成的。

文字、图像、声音这三个内容领域，我就不举例了，相关报道太多了。我们来看看，难度最高的视频生成，AI 现在到了什么程度。

上个月，日本有一条[饮料广告](https://www.sohu.com/a/730122312_506163)（[B 站](https://www.bilibili.com/video/BV1WC4y1G774/)，[Youtube](https://www.youtube.com/watch?v=DEoG1NCdmdY)）。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102807.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102808.webp)

看上去，这条广告很普通，模特拿着饮料又唱又跳。但是，这个模特不是真人，而是 AI 生成的。

她的动作、表情、嘴型如此自然，毫无破绽。以后我们还需要真人模特吗？

不仅模特没有了用武之地，而且明星偶像也可以被 AI 取代。今年上半年，韩国就成立了 [AI 女团 MAVE](https://k.sina.cn/article_7808249420_1d1686e4c001019zl5.html)。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102809.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102810.webp)

四个成员都是 AI 生成的，还有自己的单曲和 MV，大家可以去看一下（ [B 站](https://www.bilibili.com/video/BV1s84y177NF/)，[Youtube](https://www.youtube.com/watch?v=1wGOHbcQKIc)）。你看了以后，大概会觉得，真人偶像以后不好当了。

事实上，迪斯尼已经在公映的电影里面，加入了 [AI 演员](https://futurism.com/the-byte/disney-mocked-fake-cgi-actors-crowd-scene)。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102811.webp)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102812.webp)

上面是今年的新片《舞会契约》（Prom Pact）的截图，里面有一个镜头一晃而过。网友注意到，第二排的观众明显是 AI 生成的。制片公司为了省钱，不用群众演员，就用 AI 把人加上去了。

好莱坞的演员工会最近正在罢工，他们的主要诉求就是，制片公司不能使用 AI 演员，不能剥夺真人演员的演出机会。可见这些专业人士，已经意识到了 AI 的竞争力有多强。

但是，就算制片公司做了让步，互联网上的 AI 视频是挡不住的。

《宋飞正传》（Seinfield）是上个世纪很红的美国肥皂剧，有100多集。网友就把这部电视剧作为训练材料，做出了一个 AI 生成器。

AI 自动生成这部电视剧的新剧集，不过里面的角色不是真人，而是卡通形象。它们通过合成语音，说着 AI 生成的剧本台词。这部“AI 电视剧”就在视频网站 Twitch 的 [WatchMeForever](https://www.twitch.tv/watchmeforever) 频道，一天24小时不间断地播放，已经半年了，任何时间进去看，都是不一样的内容。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110108.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110109.webp)

上面这些例子，只是今年上半年的 AI 水平，而明年的模型会比今年强十倍，甚至百倍。难以想象，到了明年这个时候，AI 生成视频会是怎样的质量，真人还能不能匹敌。

总之，**AI 已经不是实验室产品，而是处于工业化的前夜，今后一到两年内，就会完全颠覆内容行业**。

由于 AI 可以低成本地、大量地、源源不断地生成内容，**内容很快就会贬值，因为有越来越多的 AI 生成的内容可供消费**。

内容从业者（作家、记者、摄影师、歌手、音乐家、演员、导演等等）都将不得不与 AI 竞争。但只要你是依靠人力来创造内容，就会发现越来越难以赢得观众，只有少数头部创作者可以赚到钱。

顺便说一句，这个周刊也属于内容行业，也是在生产内容，而且目前还是人力生产。如果周刊还想办下去，势必就要摆脱人工模式，改成自动化模式或者 AI 模式，这样才能更多、更快地生产内容。

## 科技动态

1、[护眼显示器](https://www.fastcompany.com/90971739/this-18-year-old-built-a-better-computer-monitor-that-doesnt-strain-your-eyes)

使用电脑显示器时，你会不会觉得，屏幕太亮太伤眼睛？

一位美国的18岁高中生，因为受不了显示屏的眩光，发明了一款护眼显示器。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102802.webp)

他的想法很简单，去掉显示器的发光模块，在屏幕后面加一块反光板，利用环境光来照亮屏幕。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102803.webp)

这样的设计确实更护眼，成本也低，也更省电。发明者说，它在日光下与传统显示器差异不大。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102805.webp)

但是低光环境，屏幕就会变得黯淡，难以展现鲜艳的颜色。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102804.webp)

上图中，右侧的反光屏明显更黯淡。

目前，该显示器正在众筹，建议零售价是1099美元。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102806.webp)

2、[.ing 域名](https://www.theverge.com/2023/10/31/23940533/google-ing-top-level-domain)

.ing 域名开始预售了，目前是抢注期间，价格比较贵。Godaddy 上面，think.ing 是3.9万美元，buy.ing 和 do.ing 都是13万美元。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110101.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110102.webp)

其他普通的 .ing 域名的价格会每日下降，直到12月5日，该域名正式启用，对所有人开放，价格恢复正常。

目前，design.ing、draw.ing、edit.ing、sign.ing、go.ing、giv.ing、surf.ing 都已经被注册了。

3、[负电价](https://www.abc.net.au/news/2023-09-23/rooftop-solar-cannibalising-australian-power-market/102889710)

澳大利亚发生了一件前所未闻的事情：电价变成负的了。

负电价出现在部分地区的批发电价，电网收购电厂发的电，电厂还要付钱给前者。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092406.webp)

主要原因是澳大利亚日照充分，非常适合太阳能发电。大部分居民住宅已经安装了太阳能板，导致电厂的电白天根本用不完。

电厂为了维持机器运转，只好付钱让电网收购这些电。当然，这是在白天，晚上的电费还是正的。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092407.webp)

（上图：许多屋顶都有太阳能板。）

随着屋顶太阳能进一步普及，这种情况以后会越来越多。这就要求进一步发展储能设施，以及更动态灵活的电力调度系统。

4、[《城市天际线 II》的性能问题](https://colossalorder.fi/?p=2049)

《城市天际线 II》是一款最近发布的 3D 游戏，主要内容是城市规划。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110201.webp)

但是，它有性能问题，高清渲染时，即使顶级的硬件也会出现卡顿。

[一位玩家](https://twitter.com/tombomp/status/1717641500891238536)经过深入挖掘，终于发现了原因。游戏里面的行人 NPC，建模时不知何故选择了高精度模型，要求大量渲染资源。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110202.webp)

这个模型里面，每颗牙齿都是单独渲染的，而且即使天空视角时，行人只有一个背影，它却还在渲染牙齿。这时，如果画面里面的行人比较多，就出现了性能问题。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110203.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110204.webp)

## 文章

1、[“苹果皮”复活](https://i.ifeng.com/c/8UMiWPZTz6l)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110207.webp)

美版的 iPhone 只支持 eSIM，不支持实体 SIM 卡。国内现在出现了一款手机壳，让美版 iPhone 可以使用实体 SIM 卡。

2、[你的文件位于 Git 仓库哪里？](https://jvns.ca/blog/2023/09/14/in-a-git-repository--where-do-your-files-live-/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091504.webp)

作者通过找出某个文件在`.git`目录的位置，介绍 Git 的原理。

3、[我如何在网上保持匿名](https://tmp.bearblog.dev/how-i-stay-reasonably-anonymous-online/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091503.webp)

作者介绍自己在网上防止被追踪而采取的各种措施。

4、[Remix、Next.js 和 Gatsby 的比较](https://www.flexmonster.com/blog/react-based-frameworks-comparison-remix-nextjs-gatsby/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091505.webp)

标题里面的三个框架都基于 React，自带后端，本文比较了它们的特点。

5、[Instagram 的早期架构](https://engineercodex.substack.com/p/how-instagram-scaled-to-14-million)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091603.webp)

Instagram 在2010年10月发布，一年之内就拥有了1400万用户。它那时只有3个工程师，他们怎么设计后端架构，支持这么多用户。

6、[如何查看 Linux 系统的安装时间](https://linuxiac.com/how-to-find-linux-os-installation-date/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091901.webp)

本文教你使用几个简单的命令，查看本机的 Linux 系统是什么时候安装的。

7、[64位整数够放货币吗？](https://tigerbeetle.com/blog/2023-09-19-64-bit-bank-balances-ought-to-be-enough-for-anybody/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092002.webp)

这篇文章讨论一个有趣的问题：货币该用什么类型的数据来储存。

## [本周软件] 雷池：国产免费 Web 安全网关

本周向大家介绍一个 Web 网站防护项目，中文名为“[雷池](https://waf-ce.chaitin.cn/)”。

它可以灵活地设定各种规则，过滤网络请求，防止黑客攻击你的网站，相当于一层自定义的软件防火墙。

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102604.webp)

它基于 Nginx，以反向代理的形式，架设在网站前面，自带图形操作界面，简单好用。

自从半年前在 [GitHub 开源](https://github.com/chaitin/SafeLine)，它已经收获了5000 star，目前是全球排名第二的开源 WAF 项目。

它的最大特点，就是采用智能语义分析算法，判断可疑请求，不让黑客越雷池半步，很适合个人和小企业使用。

## 工具

1、[Alexandria](https://github.com/btpf/Alexandria)

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023083004.webp)

一个开源的 Windows/Linux 的桌面软件，用来阅读各种电子书籍。

2、[YouTube Dubbing](https://www.youtube-dubbing.com/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023103101.webp)

一个 Chrome 插件，可以将 YouTube 视频的英文语音，转成中文语音。（[@dyc87112](https://github.com/ruanyf/weekly/issues/3592) 投稿）

3、[pyvideotrans](https://github.com/jianchang512/pyvideotrans)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110205.webp)

一个 Windows 应用，跟上一个软件作用相似，可以将本地视频文件的语音，翻译成另一种语言，比如英文旁白改成机器语音合成的中文。

该工具只用了 CPU，没有用到 GPU，也没有用到任何商业接口，无需付费。（[@jianchang512](https://github.com/ruanyf/weekly/issues/3600) 投稿）

4、[tailspin](https://github.com/bensadeh/tailspin)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110215.webp)

一个命令行工具，实时高亮显示日志文件。

5、[WO Mic](https://wolicheng.com/womic/index.html)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110206.webp)

这个 App 可以将旧手机变成麦克风，把音频信号传入电脑或其他设备，无线、USB 线传输皆可。（[@GXY2017](https://github.com/ruanyf/weekly/issues/3602) 投稿）

6、[Olive](https://olivevideoeditor.org/)

![](https://cdn.beekka.com/blogimg/asset/220204/bg2022042504.webp)

一个跨平台的视频编辑器，据说简单好用，适合快速编辑生成短视频。类似的视频编辑器还有 [Shotcut](https://shotcut.org/)、[Pitivi](https://pitivi.org/)，主要适合 Linux 平台。

7、[tldraw](https://www.tldraw.com/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110103.webp)

一个 Web 白板工具，支持多人实时协作。

8、[Rspack](https://www.rspack.dev/zh/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023103103.webp)

一个 Rust 语言写的 JS 脚本打包器，速度很快，支持从 Webpack 移植。（[@hardfist](https://github.com/ruanyf/weekly/issues/3596) 投稿）

9、[Fantastic-admin](https://github.com/fantastic-admin/basic)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023103102.webp)

一款开箱即用的 Vue3 中后台管理系统框架。（[@hooray](https://github.com/ruanyf/weekly/issues/3595) 投稿）

10、[ScratchCard](https://github.com/1587315093/scratch-card)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023103104.webp)

一个刮刮卡的 React 组件。（[@1587315093](https://github.com/1587315093/scratch-card) 投稿）

## 资源

1、[伦敦的树](https://apps.london.gov.uk/street-trees/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023090712.webp)

伦敦市政府的官方网站，在地图上标出了该市的每一棵树。点击后，显示这棵树的详细数据和谷歌地图照片。

2、[颈椎病腰突康复指南](https://github.com/AnsonZnl/RehabilitationGuide)

作者患有颈椎病和腰椎间盘突出，现在已经康复。他收集康复资料，做成这个资料仓库。（[@AnsonZnl](https://github.com/ruanyf/weekly/issues/3598) 投稿）

3、[深入架构原理与实践](https://www.thebyte.com.cn/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023102702.webp)

中文原创书籍，介绍互联网服务架构，集中在网络、集群以及服务治理、FinOps 这三个主题。（[@isno](https://github.com/ruanyf/weekly/issues/3589) 投稿）

4、[Html 和 CSS 教程](https://internetingishard.netlify.app/html-and-css/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091107.webp)

针对初学者的网页开发入门教程（英文），特点是有大量图解。

5、[MAC 地址查询](https://maclookup.app/)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023091203.webp)

该网站通过网卡 MAC 地址，可以查到厂商和网卡信息。

## 图片

1、[最流行的单幅漫画](https://news.artnet.com/market/new-yorker-cartoon-highest-price-auction-2381602)

1993年是互联网诞生的初期，Facebook 要到10年才诞生，Instagram 则要到17年后诞生。

当年7月份的《纽约人》杂志，发表了一张漫画。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110107.webp)

一条狗正在上网，它扭头对另一条旁观的狗说：“互联网上，没人知道你是一条狗。”

这张漫画比喻互联网的匿名性，以及它是一个独立的平行世界。现实世界的小人物，在互联网上可能是一个极受欢迎的网红。

这张漫画受到了巨大的欢迎，有着无数引用和转载，被认为是最流行的单幅漫画。原稿最近在拍卖会上以 175,000 美元的高价售出，这也是单幅漫画的最高价格。

2、[WordStar](https://en.wikipedia.org/wiki/WordStar)

WordStar 是上个世纪80年度最流行的文字编辑器，只有终端界面，没有图形界面。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110104.webp)

你可能想不到，现在还有人用它，而且是很著名的人。

那就是奇幻小说家乔治·RR·马丁，他的巨著《冰与火之歌》就是在 DOS 系统的 WordStar 上写的，写了5000多页。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110105.webp)

## 文摘

1、[视频电话的历史](https://hackaday.com/2022/07/11/where-are-our-video-phones/)

很早以前，人类就幻想有可以看见对方的电话。1870年代的一篇科幻小说，就提到了这种电话。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071406.jpg)

（图片说明：19世纪人们幻想的视频电话。）

电话发明人亚历山大·贝尔，认为这种“可视电话”是可能的，并且正确地预测，可能会有一种方法，让机器感知到光，将其转化为电能，并且这种机器的体积应该非常小。

最早的视频电话出现在1930年代，由一家美国公司发明。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071408.webp)

这种电话需要专用的电话线，两端都配备了扫描仪和阴极射线管。它实际上是一个专线的双向电视直播。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071409.webp)

它可以实现每秒25帧，分辨率为150行。但是，这个系统在二战期间被放弃了。

1950年代中期，信号压缩技术发明了，电话线可以传输大量数据了，因此有可能在电话线上传输图片。

真正的可视电话就这样诞生了，可以在打电话时看到对方的图像。但是，原型产品都很贵。1964年的可视电话，三分钟的通话费用高达27美元，相当于今天的250美元。

1992年，AT&T 公司制造了一款商用视频电话，以每秒10帧的速度显示黑白图像。这确实可以算作不流畅的视频了。

![](https://cdn.beekka.com/blogimg/asset/202207/bg2022071410.webp)

它采用电话的音频线来发送图像，本质上就是传真的画质，而且速度非常慢，6到8秒的延迟后，才会看到对方的图片。

这个视频电话售价为1,500美元，售出了大约30,000台，根本无法弥补投资。 

其他公司也有类似的尝试，但都遇到了同样的问题：电话线传输模拟信号的带宽太小，根本无法实现视频直播。

真正的视频电话，只有等到数字网络和数字技术成熟以后才出现。使用数字技术压缩视频，在高带宽的网络线路上传输，才能真正实现视频电话。

近年来，压缩技术的进步和带宽的增加，多人实时的视频会议也成为了现实。

## 言论

1、

有一次，古希腊哲学家皮浪乘船时，遇到了巨大的暴风雨。他看到有些乘客非常害怕，就以自己携带的猪还在专心进食，来安慰他们不要担心。

这件事让我们思考，人类引以为傲的理性，是不是在折磨我们，让我们失去平静？

-- [蒙田](https://www.futilitycloset.com/2023/09/01/pyrrhos-pig/)，法国哲学家

2、

19世纪一个叫做诺亚·韦伯斯特的美国人，想编一本词典。他一共花了26年才完成，收入了7万个单词。为了编好词典，他自学了28种语言，而且为了筹措资金，不得不抵押自己的房子。

最可悲的是，等到词典编出来，销量却不佳，几乎没人认可这项工作。反倒是他死后，这本词典逐渐成为美国最畅销的词典。直到今天，最权威的词典都要借用他的名字，称自己为《韦伯斯特词典》。

-- [《你可能用错了词典》](https://jsomers.net/blog/dictionary)

3、

电影公司为了票房，让电影从独立的故事，转变为互相交叉和联系的系列电影，这样做的风险不断增加，因为故事变得如此复杂，以至于看电影从一种娱乐变成了需要事前做一些家庭作业。

-- [《超级英雄故事的生命周期》](https://kottke.org/23/09/the-life-cycle-of-superhero-storytelling)

4、

创业者有一个谬误，叫做“下一个功能谬误”，指的是一种错误想法，认为自家产品的下一个新功能会突然让人们使用该产品。

-- [@andrewchen](https://andrewchen.com/the-next-feature-fallacy-the-fallacy-that-the-next-new-feature-will-suddenly-make-people-use-your-product/)

## 往年回顾

[手机充电问题的解决](http://www.ruanyifeng.com/blog/2022/11/weekly-issue-229.html)（2022 #229）

[AR 技术的打开方式](http://www.ruanyifeng.com/blog/2021/10/weekly-issue-179.html)（2021 #179）

[创业的凸函数与凹函数](http://www.ruanyifeng.com/blog/2020/10/weekly-issue-129.html)（2020 #129）

[我们的生活越来越依赖机器](http://www.ruanyifeng.com/blog/2019/10/weekly-issue-79.html)（2019 #79）

（完）

