# 科技爱好者周刊（第 279 期）：网络社区的悲剧

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3599)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112007.webp)

日本静冈县的两位旧书店主，每周二拉着重达300公斤的旧书，绕城区一周，方便市民购买。这简直是行为艺术：拉着一车知识，负重前行，寻找买家。（[via](https://www.nhk.or.jp/shizuoka/lreport/article/004/19/?fbclid=IwAR3TZwrGaafrpbA2wz0cwlTPurPb0Ti_xV88Zf15Z9cIFAal5L-1RB1zFqo)）

## 网络社区的悲剧

今年上半年，国内知名的[“天涯社区”宣布关闭](https://finance.sina.com.cn/tech/roll/2023-04-26/doc-imyrswtm4170903.shtml)。

当时，我看了新闻，很想写一篇文章：**为什么网络社区搞不下去？**

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111805.webp)

这么多年，我看着一个个社区关门倒闭，包括我自己早年架设的论坛。长期繁荣的社区，几乎没有。

也没有任何一家互联网大厂，把社区当成核心业务。百度的“贴吧”是中国最大的社区，但是[现状惨淡](https://m.jiemian.com/article/6796047.html)，属于鸡肋业务。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111804.webp)

因此，我就有一个观点：**网络社区这种模式有问题，最好不要涉足**。但是那个时候，我没有足够论据，就没写文章。

前两天，我正好读到[一篇老外的文章](https://lcamtuf.substack.com/p/the-evolution-of-expert-communities)，他跟我的观点完全一样，并指出**网络社区的致命伤是“专家社区”**，凡是这种模式的社区，必死无疑。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112008.webp)

所谓“专家社区”，就是指社区依赖于少数核心用户。所以，一旦这些人离开或者不愿发言，社区人气就直线下降，走向衰落。

那个老外说，大多数社区都是这种模式，都会经历五个生命阶段，然后走向死亡。我觉得，他描述得非常精辟，我分享出来，大家看看是不是这样。

> **第一阶段：社区成长期**。
> 
> 共同的兴趣爱好让一小群用户聚在一起，所有人充满热情，在网上交换意见、分享知识。新人受到热烈欢迎，并得到耐心指点。

> **第二阶段：社区流行期**。
> 
> 加入社区的新成员快速增长，总是提一些相同的初级问题。老成员不断回答同样的问题，感到疲惫不堪，也非常无趣。有些人开始离开。

> **第三阶段：社区规范期**。
> 
> 为了避免讨论质量的下降，老成员开始制定一套详细的社区规范，以及冗长的常见问题解答。
>
> 但是，新人从不认真阅读，有些人还认为这些规范令人不满或难以理解。于是，成员之间的冲突发生了，管理社区的核心成员对异议的容忍度下降，不同意见的人往往被赶走，社区发生分裂。

> **第四阶段：社区滑坡期**。
> 
> 新成员开始变少，社区逐渐冷清，大家热烈参与的话题越来越罕见，一些长期成员开始流失。

> **第五阶段：社区终结期**。
> 
> 社区陷入停滞，新成员和新内容都停止了增长，显得非常萧条，所用的软件平台也过时了。最后，只有少数彼此认识已久的成员还在，偶尔冒泡，聊一些无关的生活感想。

上面这五个阶段，大家认同吗？

我是深有体会，很多都是亲身经历。国内那些曾经最热门的社区——天涯社区、泡网、凯迪社区——都是这样没落的。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112304.webp)

今年五月份，天涯社区关闭以后，还有人[直播众筹](https://36kr.com/p/2273179232487040)，希望募集300万元让它复活，结果根本筹不到钱。

其实，就算筹到了，天涯也回不来，依赖少数核心用户的“专家社区”是救不活的，注定要衰亡。

我今天写这个话题，就是想告诉大家，**最好不要做社区，包括论坛、粉丝群、问答网站等等，这些都不要做**。它们的模式有先天不足。

这几年，一直有网友来问，周刊有没有读者群。我总是回答没有，原因就在这里。如果没有办法持续投入，最终都会变成闲聊群，那还不如不搞。

网络社区想要成功，只有一种可能，那就是一直有源源不断的新成员加入，愿意留下来，顶替老成员的角色。这种人员更新的自动机制，除了高校 BBS，真是太难做到了。

## 科技动态

1、[机窗玻璃丢失](https://www.flightradar24.com/blog/aaib-says-film-lights-caused-window-damage-on-titan-a321neo/)

一家英国飞机上天后，机组人员惊恐地发现，两扇机窗的玻璃不知什么时候没了，相当于机身多了两个大洞。飞机只能紧急返航。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111702.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111703.webp)

事后调查发现，前一天这架飞机在拍电影，在停机坪上，高功率的聚光灯长时间照射机窗，产生的高温使得机窗的密封条熔化，玻璃就掉了。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111704.webp)

下图是旁边的另一扇窗户，可以看到它的泡沫密封材料已经融化了，但玻璃还没掉。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111701.webp)

这件事提醒我们，飞机暴露在极端高温中，也是有安全风险的。

2、[律师资格考试](https://www.reuters.com/legal/government/no-bar-exam-required-practice-law-oregon-starting-next-year-2023-11-07/)

美国俄勒冈州宣布，从2024年5月开始，在该州当律师，不需要参加资格考试。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111014.webp)

法学院的毕业生只要在律师事务所工作满675个小时，并有自己的法律作品，就可以获得律师资格。

这基本上跟当程序员一样了。程序员不需要参加资格考试，只要你有编程经历，并有自己的作品，别人就认可你是程序员。

那么为什么律师要有资格考试呢？行业资历才是更好的认证方法。

3、[高龄飞行员](https://www.flyingmag.com/house-committee-votes-to-push-back-pilot-retirement-age-2-years/)

美国的民用航班飞行员短缺，政府不得不延长飞行员的退休年龄，从65岁延长到67岁。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061901.webp)

以后你在美国看到，白胡子大爷在开飞机，也不要感到惊讶。2007年，美国飞行员的退休年龄，已经从60岁延长到65岁。即使这样还是不够，只能继续推迟。

值得指出的是，美国的驾照没有年龄上限，任何年龄的人都可以开车。只是80岁以上的人，必须定期检查视力。

4、[大炮发射火箭](https://newatlas.com/space/longshot-kinetic-launch/)

美国创业公司 Longshot，正在开发一种19世纪科幻小说里面的技术，那就是大炮发射火箭。

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080506.webp)

他们打算造一座6英里（9.65公里）长的混凝土大炮，像发射炮弹一样发射火箭，当然不是大火箭，是那种比较小的火箭。

它的原理是通过炮管，压缩爆炸产生的气体，从而产生推力。期间会有多次爆炸，从而产生多级加速。该公司说，可以1秒内达到30马赫。下图是该公司做的大炮的实验室原型。

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080505.webp)

这样的优点是价格便宜，远期的目标价格是10美元/公斤。但是问题是，这么大的大炮，很难架高炮口，可能只能平射，那么炮口大概只能对着大海或沙漠了。

## 文章

1、[Starship 火箭第二次轨道级飞行情况分析](https://mp.weixin.qq.com/s/N1akMdMZrolD-DzikHnY_Q)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112104.webp)

上周，美国的登月飞行器 Starship 进行了第二次发射，结果在空中爆炸。北京星际荣耀团队写了万字长文，对这次发射进行分析。

2、[《中国企业家》专访 Sam Altman](https://weibo.com/ttarticle/x/m/show/id/2309404969066262823141)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112002.webp)

Sam Altman 被 OpenAI 董事会赶下台前几天，接受了《中国企业家》杂志的专访，不过内容比较普通。（[@Lyeragain](https://github.com/ruanyf/weekly/issues/3643) 投稿）

3、[ChatGPT 使用入门](https://blog.warmplace.cn/post/chatgpt)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112302.webp)

作者结合自己的使用感受，详细介绍了ChatGPT 注册、开通、使用技巧和原理。（[@guojingwen](https://github.com/ruanyf/weekly/issues/3656) 投稿）

4、[Linux 命名管道简介](https://goodyduru.github.io/os/2023/09/26/ipc-named-pipes.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023101001.webp)

本文是“Linux 进程间通信”的系列文章之一，作为初级教程，介绍命名管道的概念，写得简洁清晰。同系列的[《套接字》](https://goodyduru.github.io/os/2023/10/03/ipc-unix-domain-sockets.html)和[《Unix 信号》](https://goodyduru.github.io/os/2023/10/05/ipc-unix-signals.html)也可以看一下。

5、[Target="_Blank" 属性的安全漏洞](https://blog.bolajiayodeji.com/the-security-vulnerabilities-of-the-target-blank-attribute)（中文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023083003.webp)

一篇老文章，介绍网页`<a>`标签的`target="_blank"`属性打开新窗口时，会使得新窗口可以引用原始窗口，因此可能有安全风险。

6、[高空照片的投影处理](https://leifgehrmann.com/2021/09/05/photogrammetry-on-a-plane/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023083101.webp)

我们在飞机上拍的高空照片，怎么把它跟地图对应起来，完成梯形校正，作者介绍了一种简单方法。

7、[React 服务器组件的体会](https://www.mux.com/blog/what-are-react-server-components)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023083113.webp)

React 框架最早是客户端渲染（CSR），后来增加了服务器渲染（SSR），现在又开始推广服务器组件（RSC）。

作者最近迁移到服务器组件，这篇长文就是他的感想，并给出了使用建议。

8、[curl 支持 IPFS 协议](https://daniel.haxx.se/blog/2022/08/10/ipfs-and-their-gateways/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092503.webp)

老牌工具 curl 最近开始支持抓取 IPFS 协议的网页，本文介绍一些背后的考虑，具体用法参考[文档](https://github.com/curl/curl/blob/master/docs/IPFS.md)。

## 翻译软件

本期介绍几个翻译软件。

1、[Easydict](https://github.com/tisfeng/Easydict)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112210.webp)

一个 macOS 平台的桌面应用，能够查找单词和翻译文本，并支持划词翻译和 OCR 截图翻译，可以配置后台词典和翻译服务，代码开源。（[@tisfeng](https://github.com/ruanyf/weekly/issues/3648) 投稿）

2、[简约翻译](https://github.com/fishjar/kiss-translator)（KISS Translator）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112208.webp)

一个浏览器扩展 + 油猴脚本，可以实现网页的双语对照翻译。（[@fishjar](https://github.com/ruanyf/weekly/issues/3651) 投稿）

3、[Pot (Translator of Pylogmon)](https://github.com/pot-app/pot-desktop)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060201.webp)

一个开源的跨平台桌面软件，用于划词翻译，可以配置多个翻译引擎。

4、[百词斩网页助手](https://github.com/marmot-z/baicizhan-helper)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112301.webp)

一个浏览器扩展，支持取词翻译、收藏单词等操作，可以与背单词 App“百词斩”配合使用，建立自己的单词本。（[@marmot-z](https://github.com/ruanyf/weekly/issues/3655) 投稿）

## 工具

1、[vectorious](https://github.com/mateogianolio/vectorious)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023060303.webp)

一个用于矩阵计算的 JS 库。

2、[EpubPress](https://github.com/sunxen/EpubPressX)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112001.webp)

Chrome 浏览器插件，可以将打开的多个网页制作成一本 epub 电子书。（[@sunxen](https://github.com/ruanyf/weekly/issues/3642) 投稿）

3、[CV 声音克隆工具](https://github.com/jianchang512/clone-voice)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112209.webp)

该开源工具可以提取人类音色，将一段文字或另一个语音转成该音色的语音，相当于克隆了他人的声音。

支持中文、英文、日语、韩语4种语言，可在线从麦克风录制声音。（[@jianchang512](https://github.com/ruanyf/weekly/issues/3652) 投稿）

4、[Elog](https://github.com/LetTTGACO/elog)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112003.webp)

该工具可以将写作平台（语雀/飞书/Notion/FlowUs）的内容，发布到博客平台（Hexo/Vitepress/Confluence/WordPress）等。（[@LetTTGACO](https://github.com/ruanyf/weekly/issues/3644) 投稿）

5、[ConfigCenterComparer](https://github.com/hxz393/ConfigCenterComparer)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112004.webp)

一款配置中心对比工具，可以比较不同配置中心的配置数据，只支持 Windows 平台。（[@hxz393](https://github.com/ruanyf/weekly/issues/3645) 投稿）

6、[GPTs URL](https://github.com/CH563/gtps-url)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112207.webp)

一个开源的 Web 应用，用来搭建网络资源的分类网站，基于 Astro 框架，参见 [Demo](https://www.gptsurl.com/)。（[@CH563](https://github.com/ruanyf/weekly/issues/3646) 投稿）

7、[PPz's chrome filter](https://github.com/ppz-pro/chrome-filter)

一个极简的 Chrome 插件，让页面变为暗模式，只有11行 JS，可以用作入门示例。（[@daGaiGuanYu](https://github.com/ruanyf/weekly/issues/3654) 投稿）

## 资源

1、[Deno 全指南](https://medium.com/deno-the-complete-reference/an-ultimate-guide-to-deno-bc02535754f0)（英文）

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092601.webp)

一组系列文章，介绍 Deno 的基本用法，一共几十篇。

2、[VAVE BG](https://vavebg.com/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112101.webp)

一个壁纸仓库网站，所有壁纸都是 AI 生成的。

3、[谷歌编程风格指南](https://google.github.io/styleguide/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111607.webp)

谷歌内部对各种语言的编程风格的要求。

4、[最好的讲座视频](https://news.ycombinator.com/item?id=34591291)

Hacker News 论坛的一个讨论帖，请网友列举最好的讲座视频，不过都是英文的。

## 图片

1、[柏林室内泳池](https://www.bbc.com/travel/article/20231116-the-hidden-beauty-of-berlins-indoor-pools)

德国首都柏林有一个传统，就是建造非常华丽的公共泳池。

现在，柏林有60多个室内公共游泳池，许多都令人惊叹，感觉就像在宫殿里游泳一样。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111901.webp)

柏林每年有600万游客，很多人专门去这些泳池游玩。有些旅游书籍，专门有一个章节，介绍这些泳池。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111902.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111903.webp)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111904.webp)

2、[盲人地图集](https://www.davidrumsey.com/blog/2012/5/21/atlas-for-the-blind-1837)

1837年，美国出版了一本盲人地图集，所有线条都是凸起的。

这可以让我们了解，盲人要理解地图，是一件多么不容易的事情。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061406.webp)

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061407.webp)

文字页也是凸起的。

![](https://cdn.beekka.com/blogimg/asset/202306/bg2023061408.webp)

不过，这些盲文不是现在通用的六个点的布莱叶盲文系统。布莱叶盲文是1824年在法国发明的，当时还没有被美国接受，后来证明，它比这种凸起的普通字母对盲人更友好。

## 文摘

1、[文档第一，会议第二](https://vadimkravcenko.com/shorts/proper-documentation/)

“开会文化”对公司是有害的，创业公司尤其要避免大量的会议。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112303.webp)

**创业公司应该少开会，多写文档**。文档第一，会议第二。

（1）创业公司争分夺秒，会议非常浪费时间。当然，并非所有的会议都是不必要的，但是原则上，会议应该尽量不开，参加人员也应该尽量精简。

（2）不断开会恰恰表明一个更深层次的问题：缺乏清晰、可访问和可靠的文档。

如果每个流程都有文档，就不需要一个小时的会议来澄清。如果每个决定都有文档，就不需要满屋子的人来理解它的理由。如果每个团队都有文档，就不需要在新成员加入团队时进行小组讨论。

（3）会议创造了生产力的幻觉。你以为，开会提高了生产力，实际上它们正在阻碍它。

每一次不必要的会议都是一种浪费。那些时间本可以用来改进算法，哪怕用来学习或者休息也很好啊。从本质上看，减少会议不仅仅可以节省时间，还可以让大家更专注、更多创新和创造，这恰恰是创业公司的命脉。

（4）会议往往会自动膨胀。你召集了半小时的会议，快速讨论一个小问题。结果，在会议中发现一个意想不到的问题非常重要，你们的争论就一口气持续了两个小时。

（5）会议不容易确定细节。你提到了一些别的事情，或者说话含糊不清，再或者双方沟通不畅，会议就会变得不那么清晰。解决方法到头来还是要写下来。

（6）**会议往往偏向声音最大的人，而不一定偏向那些有最好想法的人**。这会扼杀创新和思想的多样性。作为对比，文档提供了公平的竞争环境，每个团队成员都可以表达他们的想法和见解，它促进了一种深思熟虑和反思的文化，而不是草率的判断和冲动的决定。

（7）结论：你的时间和资源最好花在记录上，而不是花在会议上。大多数会议很容易被一份精心起草的、提供相关数据和建议、并征求反馈意见的文件所取代。

## 言论

1、

真是难以置信，我们距离第一款智能手机发布，只有区区15年，而现在已经到了这样的阶段：新发布的智能手机，已经没有太大的改进，增加的都是一些微不足道的“创新”。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=37770695)

2、

当你成为某个领域的专家，遇到的问题就会非常具体，很可能只有少数人遇到过。再想进一步前进，互联网也不是很有用，只能靠自己摸索、应用、实验和协作。这些都相当慢，这就是为什么专家再要提升自己，往往要花费数年时间。

-- [《像旅行者一样学习》](https://ratrey.substack.com/p/psychology-of-learning-learn-like)

3、

TMT 指的是科技（Technology）、媒体（Media）和电信（Telecom）这三个产业。它们有一个共同点，就是边际成本非常低，增加一个新用户，几乎不带来额外的成本。

正是由于这个经济共性，这三个产业逐渐融合发展在一起是毫不奇怪的。

-- [《TMT 为何存在？》](https://capitalgains.thediff.co/p/tmt)

4、

遥远的事物总是对我有一种永恒的吸引。（I am tormented with an everlasting itch for things remote.）

-- [《白鲸》](https://erikwernquist.com/wanderers)，美国经典小说

## 往年回顾

[好用的平面设计软件](http://www.ruanyifeng.com/blog/2022/11/weekly-issue-232.html)（2022 #232）

[新人优惠的风险](http://www.ruanyifeng.com/blog/2021/11/weekly-issue-182.html)（2021 #182）

[快能力和慢能力](http://www.ruanyifeng.com/blog/2020/11/weekly-issue-132.html)（2020 #132）

[就业要选发展最快的行业](http://www.ruanyifeng.com/blog/2019/11/weekly-issue-81.html)（2019 #82）

（完）

