# 科技爱好者周刊（第 280 期）：机器点餐与宅文化

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3684)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112005.webp)

四川德阳的“凯州新城规划展览馆”，设计了一条穿过建筑物的走廊，从荷塘直到背后的山顶。为此，建筑物中间还开了一个大尺度的洞口，以此强调人与自然的对话。（[via](https://www.archiposition.com/items/20201123014453)）

## 机器点餐与宅文化

现在的快餐店，都有点餐机。

你可以去柜台点餐，也可以机器点餐。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112404.webp)

假设两者同样方便（都不用排队），**你会选择哪一种，柜台点餐 vs 机器点餐？**

这个问题是[一个荷兰程序员](https://willem.com/blog/2023-10-13_hello-stranger/)提出的。有一天，他在阿姆斯特丹的一家餐馆吃午餐，突然注意到，新进来的顾客更喜欢机器点餐。

明明再走两步就是柜台，可以跟店员面对面点餐，但是这些人还是选择机器点餐。

这个老外不禁陷入了沉思：**这是普遍现象吗，人们更喜欢与机器互动，而不是与人互动？**

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112406.webp)

最终，他得出结论：机器点餐有很多优点，所以人们更愿意选择这种方式。

> **（1）流程标准化**。点餐机的每一步，都已经设计好了，你不会无从下手，并且所有商品都有详细介绍。
>
> **（2）效率更高**。人工点餐要跟店员沟通，为了避免出错，通常需要强调和重复，这样就比较慢。更不要提，有时候还听不清对方的话。
>
>**（3）体验更好**。机器点餐时，你有时间思考和犹豫，不会有人催促你；即使点了奇怪的东西，也不会有人用异样的眼神看着你；如果点错了，可以无限次从头再来；就算不想要了，也不会尴尬。

因为上面这些原因，人们更愿意机器点餐，而不是找店员点餐，这是毫不奇怪的。

**用户的这种心态，再加上信息技术的配合，使得人际交流迅速减少**，人机互动大量取代人与人的互动：快递员变成快递柜，餐馆变成外卖 App，课堂教学变成视频点播……

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112711.webp)

**人际交流减少的一个重要表现，就是“宅文化”的兴起**。

越来越多的年轻人，长时间呆在家里，当宅男宅女，不与外界互动。一个很大原因就是，互联网提供了这种可能，让你不必与其他人交流，通过电脑就能完成各种事情，解决生活的基本需要。

这是全世界的普遍现象，人们的外出都在减少。我看到一个[美国的统计](https://axios.com/2023/11/16/walking-americans-declines-map)，美国人每天步行次数（一次不少于250米）正在快速下降，2022年比2019年下降了36%。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112712.webp)

这说明大家呆在家里的时间在增加，也意味着，人际互动在减少。

展望未来，“宅文化”肯定会进一步发展。需要当面沟通才能完成的事情，将越来越少。

我不知道，这对人类社会意味着什么，每个人都减少了与他人的直接接触，将会怎样？但是，这是技术发展的必然结果，我们只能适应这种趋势。

那些增加人际交往的服务，未来会变得很时尚和受欢迎。比如，组织一群人面对面的沙龙、读书会、分享会等，以后会非常流行。另外，AI 伴侣大概也会流行。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112503.webp)

## 科技动态

1、[汤加的报废汽车](https://www.abc.net.au/news/science/2023-09-19/how-tonga-plans-to-recycle-its-mountain-of-scrap-cars/102614772)

太平洋岛国汤加，面积很小，只有260平方公里，跟北京四环内差不多大小。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092102.webp)

它现在面临报废汽车难题。报废汽车已超过3万辆，再也找不到地方放置了。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092103.webp)

现有的旧车场，已经有几层楼高了，新来的旧车只能堆在最上面。

一旦下雨，生锈的金属、剥落的油漆、残余的汽油都被冲入地下，污染饮用水。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092104.webp)

由于没有地方处理旧车，汤加街头行驶的车辆都很老旧，每辆车都要使用很长年限，坏了也要继续用下去。

汤加自身无法解决这个问题，正在跟日本谈判，希望把报废车辆运到日本，让其回收。

2、[无人气象船](https://www.eworldship.com/html/2023/new_ship_type_1122/198244.html)

国内最近成功进行了一次无人气象船试验。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112510.webp)

一艘12米的无人船，在海上航行了16个小时，累计行程110海里，收集各种气象数据。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112511.webp)

有了无人船以后，就解决了远海气象数据不足的问题。海上有什么情况，可以很方便地派船查看。

3、[AI 版权官司](https://www.hollywoodreporter.com/business/business-news/sarah-silverman-lawsuit-ai-meta-1235669403/)

一位美国女作家（下图）起诉 Meta 公司，未经允许就将她的作品用于训练 Llama 模型。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112806.webp)

法院最近判决她败诉，理由是她未能证明，模型对她的作品进行了改编或复制。

这就是说，法院认为，**除非 AI 模型的运行结果，明显拷贝了版权作品，才构成侵权**。只用来训练，是没问题的。

因此，AI 模型在美国可以合法使用版权作品进行训练。中国应该也会采取类似法律立场，否则中国的模型就无法跟美国竞争。

4、[海底数据中心](https://www.hinews.cn/news/system/2023/11/24/033078392.shtml)

11月24日，世界首个商用的海底数据中心，在海南下水。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112512.webp)

1300吨重的数据中心，被放入35米深的海底，里面包含了100台服务器。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112513.webp)

海底机房可以节省建设用地，以及冷却所需的淡水，能够减少40%到60%的耗能。

微软公司曾经试验过海底机房，但没有投入实际使用。中国这次放入海底的机房，会真的交付给客户。如果效果好，后续会在多个省份推广。

5、[AI 数学奖](https://aimoprize.com/)

国际数学奥林匹克是一项面向中学生的数学比赛，题目很难。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113017.webp)

一家美国公司最近设立了一个奖项（上图），只要哪一个开源的 AI 模型，能够首先赢得国际数学奥林匹克金奖，就能获得1000万美元。

这是一个指标意义的奖项。目前的 AI 只是大规模语言模型，本质上属于统计预测。如果有一天 AI 能够证明数学难题，就表明它具有推理分析能力，“奇点”大概也就来临了。

## 文章

1、[龙芯 3A6000 发布](https://www.ithome.com/0/735/479.htm)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113010.webp)

本周，国产 CPU 龙芯 3A6000 发布。B 站有测试视频，它设置在 2.5GHz 时，性能跟 i5-14600K 接近，并可超频到 3GHz。国产芯片能达到这样的水平，让人刮目相看。

2、[我在谷歌的18年](https://finance.sina.com.cn/stock/usstock/c/2023-11-24/doc-imzvsncv7037099.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112505.webp)

作者在谷歌工作了18年，本月辞职。他写了这篇文章，痛批谷歌已经蜕变，不再有公司创立时的理想主义，成了一家充满官僚主义的平庸大公司。

本文是对此事的中文报道，另有[英文原文](https://ln.hixie.ch/?start=1700627373)和[中文译文](https://icloudnative.io/posts/reflecting-on-18-years-at-google/)。（[@yangchuansheng](https://github.com/ruanyf/weekly/issues/3660) 投稿）

3、[我对中国电动汽车的热爱](https://electrek.co/2023/11/21/my-love-of-weird-electric-vehicles-landed-me-on-china-state-tv/)（英文）

作者是美国的一个电池专家，最初只是猎奇，不料发现阿里巴巴上面，都是又奇怪又便宜的电动车。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112403.webp)

他忍不住就买了一辆，托运到美国，从此一发不可收，写了很多中国低价电动车的介绍文章，在美国出名了。

4、[大多数 AI 创业公司注定失败](https://weightythoughts.com/p/most-ai-startups-are-doomed)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112901.webp)

作者是一个风险投资家，看好 AI，但不看好 AI 创业公司。本文是他的理由，其中一条是“如果你在周末构建了它，其他人也可以”。

5、[为什么 Web Components 不流行](https://daverupert.com/2023/07/why-not-webcomponents/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080302.webp)

Web Component 技术诞生已经10年了，至今没有流行。为什么这样一种浏览器原生支持的技术，发展不起来？作者分析了它的一些设计失误。

6、[Deno Cron 发布](https://deno.com/blog/cron)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113002.webp)

JS 云服务 Deno Depoly 宣布，推出定时运行功能 Deno Cron。如果需要定时执行 JS 脚本，以后多一个选项。 

7、[六大平台的游戏开发评价](https://ruoyusun.com/2023/10/12/one-game-six-platforms.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023101402.webp)

作者是一个游戏开发者，比较了六大平台（Web、Windows、Mac、Linux、Android、iOS）的开发优劣。

8、[Dobb·E 家务机器人](https://dobb-e.com/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113011.webp)

纽约大学的研究团队设计了一个家务机器人，专门供家庭使用，设计目标是“便宜 + 通用”，通过观看人类动作，实现模仿。他们现在公开了设计。

## [本周软件] 集算器

[周刊（第273期）](https://www.ruanyifeng.com/blog/2023/10/weekly-issue-273.html)介绍过一个国产数据计算引擎 SPL。

当时忘了提，虽然这是一项底层技术，但为了让更多人使用它，开发团队做了一个非常好用的工具，中文叫做“[集算器](https://c.raqsoft.com.cn/article/1595816810031)”。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112903.webp)

它的外观和[用法](http://d.raqsoft.com.cn:6999/esproc/tutorial/azysy.html)类似于 Excel，不懂编程的用户也能快速上手。但是，编程和计算能力要强得多，其实是一种**基于单元格的编程语言**。

单元格编号就是变量名，比如上图的`A1 + 5`就等于17。这样引用上一步就很简单，整个流程写在一组单元格里，非常直观。

这里有一个[例子](https://c.raqsoft.com.cn/article/1536756719594)，依靠大数据计算和丰富的内置函数，10行代码实现一个“[古诗机器人](https://c.raqsoft.com.cn/article/1536756719594)”，还挺好玩。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112904.webp)

“集算器”是开源的，支持 Win/Mac/Linux，还有 Java 的 jar 包，源码仓库就放在 [GitHub](https://github.com/SPLware/esProc)，已经有 3400 star，欢迎大家访问。

## 工具

1、[Biome](https://biomejs.dev/)

JS 语言格式化工具 Prettier，提出谁能用 Rust 语言重新实现它，并通过所有测试用例，就能获得2万美元，因为它们自己没有资源做这件事。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112804.webp)

结果，只过了两个星期，Biome 就[赢得了这场比赛](https://prettier.io/blog/2023/11/27/20k-bounty-was-claimed.html)。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112805.webp)

Biome 是一个 JS 工具箱，零配置就能实现 JS 脚本的格式化和 Lint，性能出众。

2、[IP Guide](https://ip.guide/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112502.webp)

该网站提供免费 API，查询 IP 的地理位置。

3、[Chrome-macOS-Screen-Saver-Tab](https://github.com/jason5ng32/macOS-Screen-Saver-as-Chrome-New-Tab)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113015.webp)

Chrome/Edge 浏览器插件，让空白标签页显示 macOS 的 4K 航拍屏保视频，就像真屏保一样。（[@Y024](https://github.com/ruanyf/weekly/issues) 投稿）

4、[streamlit-shadcn-ui](https://github.com/ObservedObserver/streamlit-shadcn-ui)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113005.webp)

Python 的 Web 框架 streamlit 的一个组件库。（[@ObservedObserver](https://github.com/ruanyf/weekly/issues/3668) 投稿）

5、[miniPaint](https://zaixianps.net/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113003.webp)

一个中文版在线绘图工具，基于英文的[原始开源项目](https://github.com/viliusle/miniPaint)进行中文化。（[@geeeeeeeek](https://github.com/ruanyf/weekly/issues/3665) 投稿）

6、[Rsbuild](https://github.com/web-infra-dev/rsbuild)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112709.webp)

一个 Web 构建工具，可以取代 Webpack，减少 90% 的配置并获得 10 倍的构建速度。（[@chenjiahan](https://github.com/ruanyf/weekly/issues/3662) 投稿）

7、[Chatfairy](https://github.com/yuxiaoy1/chatfairy)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112504.webp)

一个极简的 Python 脚本，只用115行，实现一个网页聊天室，使用 SSE 进行后端消息推送，对 Python 全栈开发感兴趣的朋友可以参考。（[@yuxiaoy1](https://github.com/ruanyf/weekly/issues/3659) 投稿）

8、[Gmeek](https://github.com/Meekdai/Gmeek)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113006.webp)

超轻量级个人博客模板，将 GitHub 的 issue 转成博客网站。（[@Meekdai](https://github.com/ruanyf/weekly/issues/3669) 投稿）

9、[TQUIC](https://github.com/Tencent/tquic)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113009.webp)

腾讯对 QUIC 协议的实现，新开源的 QUIC 库，参考[介绍文章](https://mp.weixin.qq.com/s/9wgVtK7wBeEHIAaguOydJA)。（[@ryantang1991](https://github.com/ruanyf/weekly/issues/3671) 投稿）

10、[ai-teacher](https://github.com/guojingwen/ai-teacher)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113004.webp)

一个 ChatGPT 的前端开发示例，可以当作代码参考。（[@guojingwen](https://github.com/ruanyf/weekly/issues/3667) 投稿）

11、[DevOpsGPT](https://github.com/kuafuai/DevOpsGPT)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112710.webp)

一个 LLM 应用，根据需求生成开发文档，然后生成软件代码。（[@qinwanglsm](https://github.com/ruanyf/weekly/issues/3664) 投稿）

## 资源

1、[SDXL Turbo 体验站](https://sdxlturbo.ai/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113008.webp)

免费使用 SDXL Turbo 模型，快速文生图，基本没有等待。（[@zengdamo](https://github.com/ruanyf/weekly/issues/3680) 投稿）

2、[技术播客节](https://podfest.tech/zh-CN)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113007.webp)

12月4日~12月8日，在主要的中文博客网站，每天会集中上架一批不同技术主题的中文博客。（[@le0zh0u](https://github.com/ruanyf/weekly/issues/3683) 投稿）

3、[ataiva.com](https://ataiva.com/archives/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023100101.webp)

一个英文的个人网站，里面有作者写的 Docker 和机器学习的系列教程。

4、[生成式 AI 初学者教程](https://github.com/Microsoft/generative-ai-for-beginners)（Generative AI for Beginners）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112501.webp)

微软推出的入门课程，介绍生成式 AI，一共12课。

## 图片

1、[自相关](https://economicsfromthetopdown.com/2022/04/08/the-dunning-kruger-effect-is-autocorrelation/)

很多论文都犯了“自相关”（autocorrelation）的错误，它们提出两个现象之间存在相关关系，但其实是自相关，即变量与自身相关。

举例来说，x 和 y 是两个不相关的变量，散点图如下。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112601.webp)

现在，构造第三个变量 z = x + y，那么 x 与 z 之间的散点图如下。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023112602.webp)

从图形上看，x 与 z 存在强烈的相关关系，但其实这只是 x 的自相关，y 的作用不过是增加了一些统计噪音。

但是，不知道的人看到这张图，就会得出结论： x 和 z 有相关关系。

2、[金丝雀报警器](https://museumcrush.org/this-device-was-used-to-resuscitate-canaries-in-coal-mines/)

1896年，一个英国工程师确认，煤矿爆炸是由于一氧化碳聚集造成的，需要找到一种方法，能够快速发现地下煤矿的一氧化碳泄漏。

他想到了金丝雀，一氧化碳也会造成金丝雀中毒死亡，但是金丝雀比人类敏感，只要少量气体就有反应。人类看到金丝雀不行了，就知道一氧化碳泄漏了。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011004.webp)

他就制造了金丝雀报警器，那是一个玻璃和金属做的笼子，笼子的一面是通气孔，里面关着一只金丝雀。

笼子上方自带一个氧气罐。一旦矿工发现金丝雀出现一氧化碳中毒的迹象，就会关闭通气孔，打开氧气罐的阀门，输入的氧气就会让金丝雀复活，同时矿工可以撤离危险区域。

![](https://cdn.beekka.com/blogimg/asset/202301/bg2023011005.webp)

## 文摘

1、[知识错觉](https://www.bbc.com/worklife/article/20220812-the-illusion-of-knowledge-that-makes-people-overconfident)

“知识错觉”（the illusion of knowledge）指的是，你自以为懂得或掌握了某种知识和技能，但是实际上并不懂。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023113016.webp)

最近的一项研究表明，互联网可能会助长人们的“知识错觉”，过度自信自己的技能水平。

研究人员让实验的参与者，重复观看某种技能的视频，例如投飞镖或者跳霹雳舞的视频，最多可以看20次。

看完以后，参与者需要预估一下，自己对这项技能的掌握程度。

大多数人表示，通过观看视频，他们已经一定程度上掌握了该项技能。而且，观看视频次数越多的人，回答越确定，自信心越强。

然后，每个人需要当众展示该项技能。结果令人非常失望，他们显然都没有掌握。研究人员说“他们的实际表现没有显示出任何学会的迹象。”

程序员尤其要小心这种错觉，千万不要看完教材或文档，就认为自己掌握了某项技能，一定要自己动手用它做过项目，才算学会。

## 言论

1、

每当你认为别人毁了你的生活时，实际上是你自己毁了你的生活。受害者心态是一种非常有害的心态。

如果你换一种心态：无论情况多糟糕，这始终是你自己的问题，并且你尽力来解决它。我认为这更有效。

-- [查理·芒格](https://www.butwhatfor.com/p/takeaway-tuesday-facing-adversity-charlie-munger)，美国著名投资家，本周去世，享年99岁

2、

三年前，我辞去了银行的工作，由于没有收入来源，我决定开发一个游戏。

写了三天代码后，我不禁想“我是开玩笑吗？我能卖掉这个赚钱吗？” 于是，我又去找工作了，并找到了我今天的工作。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=37863642)

3、

我和我的电脑一起住在俄勒冈州的荒野。鹿比人更常来访。在我的池塘里，一只乌龟似乎发现了另一只乌龟，我打算仔细观察这一进展。

-- [Paul Lutus](https://www.atariarchives.org/deli/cottage_computer_programming.php)，一个隐居的程序员，开发了苹果电脑早期最畅销的文字处理软件

4、

很少有公司能够支持充满激情的员工，即使公司声称需要他们。

这是因为工业革命从一开始，就是为了发展生产力。员工的价值是以生产力来衡量的。激情很难量化，充满激情的员工相信有比生产线更重要的事情，他们对打卡不感兴趣，有时还会违反规则。

-- [《创意者与官僚》](https://www.hottakes.space/p/creatives-vs-bureaucrats)

5、

不要追随你的激情，追随你的努力。

-- [马克·库班](https://mrsteinberg.com/how-to-find-out-what-you-want-to-do-creatively/)，美国企业家

## 往年回顾

[生活就像一个鱼缸](https://www.ruanyifeng.com/blog/2022/12/weekly-issue-233.html)（2022 #233）

[腾讯的员工退休福利](https://www.ruanyifeng.com/blog/2021/11/weekly-issue-183.html)（2021 #183）

[贵州变瑞士，有没有可能？](https://www.ruanyifeng.com/blog/2020/11/weekly-issue-133.html)（2020 #133）

[技术解决不了人类的对立](https://www.ruanyifeng.com/blog/2019/11/weekly-issue-83.html)（2019 #83）

（完）

