# 科技爱好者周刊（第 285 期）：为什么 PPT 不如备忘录

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/3814)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010316.webp)

西安某小区正在新建的儿童游乐园。（[via](https://www.instagram.com/p/C0iKVDtry1c/?img_index=6)）

## 为什么 PPT 不如备忘录

莱克斯·弗里德曼（Lex Fridman）是一个非常有名的美国主持人，他的播客节目影响很大，很多名人都愿意上他的节目，接受专访。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122209.webp)

12月15日的节目嘉宾，是亚马逊公司的创始人贝佐斯。他们一共谈了两个多小时。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122210.webp)

贝佐斯已经不担任亚马逊 CEO，只留任董事会，算是半退休了，主要精力都放在他的太空旅游公司“蓝色起源”（Blue Origin）。从现场照片看，他退休后显得更年轻健壮，精力旺盛。

这个采访有很多有意思的内容，YouTube 有[完整的视频](https://www.youtube.com/watch?v=DcWqzZ3I2cY)。

我想分享其中一段，贝佐斯谈[亚马逊是怎么开会的](https://www.facebook.com/watch/?ref=saved&v=1007951996967519)。

主持人问贝佐斯：“我听说**亚马逊开会时，不准使用 PPT，发言人必须提交一份六页的备忘录**。这是真的吗？”

这个事情一直是传闻，但这一次，贝佐斯亲口承认确实如此。“新来的人可能会大吃一惊，我们的开会方式与众不同。”

“会议的前30分钟，我们是不说话的。大家在会议室中安静地坐在一起，阅读这份六页的备忘录，在空白处做笔记，过了30分钟才开始讨论。”

这真的很奇怪，你见过半个小时没人说话的会议吗？

贝佐斯解释：“你可以说，更好的做法是，大家都提前阅读这些备忘录。但问题是，人们没有时间这样做，他们参加会议只是因为必须出席。”

“我们索性在会议上留出时间，让大家现场阅读材料，然后就可以进行真正高层次的讨论了，所有人都跟得上讨论的主题，不会搞不清一些基本的事实。“ 

那么，为什么一定要当事人提交六页的备忘录，而不是现场主讲 PPT 呢？

贝佐斯说，**书面的备忘录要比 PPT 演示，效果好得多**，主要有以下几点原因。

（1）PPT 的设计目的是说服，这是一种销售工具。但是在公司内部，你想要的是真相，而不是业务主管的推销。

（2）PPT 的缺点是，它对作者相对容易，对观众来说却很难抓住要点。备忘录正好相反，写好一份六页的备忘录，对于作者是很难的。

你可能需要两周的时间，先写出初稿，然后再重写，不断加工，确保你的文字是准确和可靠的。所以，备忘录对作者非常困难，但对观众就好多了，半小时的阅读就能搞清楚事情的来龙去脉，也看得出作者对这个问题的熟悉程度。

（3）备忘录可以节省会议时间。如果是 PPT 演示，高管们会不停地打断提问，结果发现答案就在下一张幻灯片。

但是，阅读备忘录时，你必须先把所有问题写在空白处，当你读到最后一页时，发现很多问题已经得到了解答，这就节省了当众提问的时间。

（4）PPT 演示过程中，主讲人也许会根据现场情况，临时决定隐藏或修改一些讲法。备忘录就没有这个问题，主讲人必须事先给出完整描述，你更能了解他的真实想法。

（5）PPT 通常只是一些要点，不是完整的句子，有利于隐藏很多草率的想法。而备忘录是完整的段落，必须有主题句，有动词和名词，你很难隐藏自己的草率思维。

备忘录迫使作者处于最佳状态，你能得到一个人真正最好的想法。如果 PPT 演示，你们可能要讨论很久，发言人才能进入最佳状态。从长远来看，备忘录节省了你的时间。

以上就是贝佐斯不允许使用 PPT 的五点理由。

我觉得这些理由很有说服力。PPT 在国内已经泛滥成灾，大家好像默认，它是开会的标准方式，缺了还不行。这真的要改一下，学习亚马逊的“备忘录开会法”——**先写成文档，再进行讨论**——可能是更好更正确的做法。

## 掘金年度技术演讲

每年年底，很多科技媒体、厂商、分析公司等等，都会发布各种科技趋势预测。

作为国内重量级的技术社区，稀土掘金每年也会发起“年终技术盘点”活动，邀请技术大咖对刚刚过去的一年进行总结，同时展望未来。这项活动受到了诸多开发者的关注。

今年，掘金将在“年终技术盘点”活动基础上，发起**一场面向技术的跨年演讲**，时间就是下下周的周末（1月20日），地点在深圳。目前，已经邀请到了6位主论坛嘉宾和8位闭门分论坛主理人。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010314.webp)

> - 掘金年度技术演讲：与开发者同行
> - 活动时间：1月20日
> - 活动地点：深圳·深圳湾万丽酒店
> - 活动详情：[juejin.com](https://juejin.cn/meetings/talk2023?utm_source=ryf0105)

**主论坛的分享嘉宾（部分）**

> - 张雷，字节跳动数据库负责人
> - 刘群，华为诺亚方舟实验室语音语义首席科学家
> - 堵俊平，Datastrato Founder & CEO
> - 王楠，Jina AI 联合创始人 & CTO
> - 黄玄，字节跨端与 Web 架构师，前 Meta React 核心成员
> - NVIDIA 神秘嘉宾

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010401.webp)

**分论坛安排**：除了精彩的主论坛，本次活动还安排了三个分论坛，涵盖了备受开发者关注的问题，方便大家互相交流。

> **分论坛一：开发者生态**
>
> 主理人：刘道全 wisemodel 创始人、罗广明 CloundWeGo 开源负责人、苏鹏 Datawhale 上海负责人
>
> 开发者不是消耗品，而是技术专家和社会变革的推动者。如何才能构建更广泛的开发者关系，建立良性的开发者社区，更好地服务于业务和技术创新。

> **分论坛二：开发者机遇**
> 
> 主理人：郭炜 白鲸开源 CEO、宜博 宜创科技创始人
> 
> 2023年我们经历了诸多宕机事件，公司推行降本增效，技术人的价值是不是被低估了？AI 时代，什么都值得被 AI 重做一遍吗？我们应该如何适应并利用新技术？各家都在出海，是不是有新的机会？开发者的新机遇在哪里。

> **分论坛三：掘金茶话会**
> 
> 主理人：张文 稀土掘金平台运营负责人、张斌 稀土掘金创作者运营、狼叔 Node.js布道者 《狼书》系列作者
> 
> 掘金创作者相聚一起，共话未来，分享自己的专业知识和独特见解，探索未知。

活动现场还设置了企业展台，大家聆听干货满满的分享之余，还可以近距离与企业交流技术心得。

**活动门票申请指南**

主论坛门票：扫描上面海报的二维码，即可报名领取主会场门票。

分论坛门票：因为分论坛形式、场地限制，名额有限。点击[报名链接](https://juejin.cn/meetings/talk2023?utm_source=ryf0105)申请，审核成功后即可参与。

## [活动消息] 抖音基础技术分享会

抖音作为日活用户数亿的“国民 App”，背后用到了哪些技术？

下周有一个难得的机会，**字节官方举办技术沙龙**，抖音工程师与大家见面，分享并交流抖音客户端的底层技术。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010202.webp)

本次《**抖音客户端基础技术大揭秘**》技术沙龙，采用网上直播，**时间是下周末（2024年1月13日～14日）**，有 iOS 和 Android 两场技术分享会。

1月13日（下周六）是 iOS 专场（[直播间链接](https://live.byteoc.com/9281/2083745))，1月14日（下周日）是 Android 专场（[直播间链接](https://live.byteoc.com/9281/1379960)）。每一场都安排五个讲座，以及 QA 环节，有很多精彩的抖音开发实战分享。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010313.webp)

现在点击[这个链接](https://www.bagevent.com/event/sales/mvmcif93ug33f4rnsj63dlk2pdlbblnz)，或者扫描上方报名二维码，了解活动详情并免费报名。报名的同学都有机会获得，主办方准备的大量精美的字节纪念品。

## 科技动态

1、[VR 鞋](https://www.freeaim.com/consumer)

为了让玩家在虚拟空间里面，可以真实地走动，一家英国创业公司发明了“VR 鞋”。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123101.webp)

这种鞋子底部有履带，玩家往前走时，履带向后滚动，可以让你停留在原地。它跟跑步机的原理是一样的。

穿上这种鞋，你既在走动，又能基本停留在原地，再配合传感器将动作传入 VR 世界，就真的在虚拟空间里走动。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123102.webp)

虽然这种鞋子有很多问题，比如不能走得太快，而且旁边最好有人看着，防止出事，另外还经常需要充电。但是它表明，技术正在一步步让 VR 世界变得越来越像真实世界。

2、[飞机 WiFi](https://twitter.com/erratarob/status/1739132876732674539)

一位美国程序员乘坐飞机时，准备使用机上 WiFi，结果发现无法连接。

他很奇怪，为什么其他乘客可以？他就查看了一下报错详情，结果发现是飞机路由器无法分配给他 IP 地址。并且他发现，分配 IP 地址的 DHCP 协议，有效期为8小时（下图）。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122605.webp)

短途航班一般就是两三个小时，这意味着，分配给上一个航班乘客的 IP 地址还没有释放，所以没有多余地址了。

他就扫描了一下局域网的客户端数量，果然最多只能容纳255个客户端，已经被全部占满了（下图）。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122606.webp)

他跟空姐反映了这个问题，空姐熟练地在机舱前部，按下一个“互联网重置”的按钮，让 DHCP 释放所有 IP 地址，他就成功连上 WiFi 了。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122607.webp)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122608.webp)

他很惊奇，飞机上居然有现成的重置 DHCP 的物理按钮。看来网络服务商早就预料到了，飞机 WiFi 的 IP 地址不能及时释放的问题。

3、[碳水化合物的加速作用](https://velo.outsideonline.com/road/road-training/a-massive-change-how-a-carbohydrate-revolution-is-speeding-up-pro-cycling/)

一项研究指出，长距离的耐力比赛中，如果你一边吃东西，一边比赛，更可能取得好成绩。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110516.webp)

一个例子就是各种世界级的自行车耐力赛，一路上的补给点越来越多。运动员在比赛过程中不断进食碳水化合物，结果比赛的最好成绩不断提高。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110518.webp)

研究人员指出，现在各大车队都鼓励，运动员在比赛过程中多补充葡萄糖、果糖、淀粉等碳水化合物（上图）。

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110519.webp)

上图中，运动员就在吸食一个食品包。以后，自行车、马拉松、铁人三项等耐力比赛，可能出现运动员“一路吃”的情景。

## 文章

1、[争夺太空的拉格朗日点](https://www.sciencealert.com/unique-locations-in-space-could-trigger-a-fierce-new-space-race)（英文）

“拉格朗日点”指的是受到地球和太阳引力相等的位置。处于这个位置的飞行器，不需要耗费能源，就可以长期停留。这样的位置一共有五个。

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122604.webp)

本文是一家美国媒体的报道。“拉格朗日点”并没有军事价值，而且每个点其实都是一个巨大的区域，但是美国国会议员要求，美国要抢在中国前面，占据所有的拉格朗日点。

2、[Wi-Fi 7 解决了什么问题](https://spectrum.ieee.org/wi-fi-7)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123008.webp)

本文介绍了 Wi-Fi 7 的几个主要特点，相比前一个版本的优势在哪里。

3、[负数的取模问题](https://torstencurdt.com/tech/posts/modulo-of-negative-numbers/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111802.webp)

计算机编程有取模运算（mod），获取整除的余数。问题是负数的模怎么算？比如-13除以3的余数，一些编程语言是1，另一些编程语言是-2。

4、[Python 变快的9个技巧](https://medium.com/techtofreedom/9-subtle-tricks-to-make-your-python-code-much-faster-50be6dd69a30)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123005.webp)

本文介绍9个让 Python 代码变得更快的小技巧。（[@ZhouYang1993](https://github.com/ruanyf/weekly/issues/3823) 投稿）

5、[Podman 与 Docker 的比较](https://www.linode.com/docs/guides/podman-vs-docker/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111907.webp)

Docker 和 Podman 都是容器工具，很多功能是重合的。本文介绍它们各自的优缺点。

6、[近似值的一个取值技巧](https://www.johndcook.com/blog/2023/02/07/mediant-approximation-trick/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111908.webp)

如果知道一个数值变量的上限和下限，那么有一种快速的方法，快速获取该变量更准确的近似值。

比如，已知变量`e`的大小范围是`19/7 < e < 87/32`，就可以快速得到它的近似值。

## 工具

1、[vx.dev](https://github.com/Yuyz0112/vx.dev)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123001.webp)

Vercel 的 [v0.dev](https://v0.dev/) 可以通过输入需求，直接生成网站。这里是它的一个开源仿制品，通过逆向工程进行模仿，详见[介绍文章](https://step-saga-examples.pages.dev/v0-dev-reverse-engineer/)。([@Yuyz0112](https://github.com/ruanyf/weekly/issues/3813) 投稿)

2、[Triangle Patterns](https://sinqi.tools/triangle)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123002.webp)

三角渐变图案的生成工具。（[@zerosoul](https://github.com/ruanyf/weekly/issues/3815) 投稿）

3、[Copilot-GPT4-service](https://github.com/aaamoon/copilot-gpt4-service)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123003.webp)

作者发现 Github Copilot Chat 的底层是调用 ChatGPT 接口，因此做了这个工具。

它可以将 ChatGPT 请求转换为 Github Copilot Chat 的请求。只要拥有 Github Copilot 账号，就能无限制使用 ChatGPT 的 GPT-4 模型。（[@aaamoon](https://github.com/ruanyf/weekly/issues/3820) 投稿）

4、[Bluestone Markdown](https://www.bluemd.me/)（青石）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023123004.webp)

一个所见即所得的 Markdown 桌面编辑器，集成了 Mermaid 图形与 Katex 公式，支持明亮和暗黑风格。（[@1943time](https://github.com/ruanyf/weekly/issues/3821) 投稿）

5、[resume-json-pdf](https://github.com/RylanBot/resume-json-pdf)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010301.webp)

通过 JSON 文件，在线生成 PDF 简历。（[@RylanBot](https://github.com/ruanyf/weekly/issues/3826) 投稿）

这里还有一个类似的工具 [Faultier-CV](https://github.com/i5heu/Faultier-CV)，通过 Markdown 格式编写简历，并能[实时预览](https://i5heu.github.io/Faultier-CV/dist/index.html)。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010302.webp)

6、[schedule-x](https://schedule-x.dev/demos/calendar)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010303.webp)

谷歌日历的[开源](https://github.com/schedule-x/schedule-x)模仿品。

7、[fabritor](https://github.com/sleepy-zone/fabritor-web)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010308.webp)

一款基于 fabric.js 的创意图片编辑器，支持自己部署。（[@sleepy-zone](https://github.com/ruanyf/weekly/issues/3831) 投稿）

8、[Nostalgist.js](https://github.com/arianrhodsandlot/nostalgist)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010310.webp)

一个在浏览器中运行怀旧游戏主机模拟器的 JavaScript 库，比如运行任天堂FC 模拟器、世嘉 MD 模拟器、街机模拟器等等。（[@arianrhodsandlot](https://github.com/ruanyf/weekly/issues/3830) 投稿）

9、[stt](https://github.com/jianchang512/stt)

离线运行的本地语音识别转文字工具，基于 fast-whisper 模型。（[@jianchang512](https://github.com/ruanyf/weekly/issues/3829) 投稿）

10、[Vue TSX Admin](https://github.com/manyuemeiquqi/vue-tsx-admin)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010311.webp)

一款开源的后台管理系统的前端模版，基于 Vue3 + TSX。（[@manyuemeiquqi](https://github.com/ruanyf/weekly/issues/3833) 投稿）

11、[HTTPS Certification generator](https://selfcertificationhub.github.io/selfcertificationhub/generate)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010317.webp)

这个在线工具可以一键生成 IP 地址的自签名 HTTPS 证书，适合用于开发环境。（[@selfcertificationhub](https://github.com/ruanyf/weekly/issues/3839) 投稿）

12、[cmd-wrapped](https://github.com/YiNNx/cmd-wrapped)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010318.webp)

这个工具可以读取你的命令行操作的历史记录，生成一份年度总结。支持 Zsh 和 Bash，并可指定年份。（[@YiNNx](https://github.com/ruanyf/weekly/issues/3840) 投稿）

13、[mainonly](https://github.com/jerrylususu/mainonly)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010320.webp)

一个浏览器 Bookmarklet（书签工具），用户选中一个页面元素，它可以隐藏其他元素，适合用来专注阅读。（[@jerrylususu](https://github.com/ruanyf/weekly/issues/3845) 投稿）

## 资源

1、[中国历朝代视频讲解](https://www.historyline.online/)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010309.webp)

一个[开源](https://github.com/liujuntao123/chines-history-video)网站，将 BiliBili 上面综合数据最高的一些中国历史视频，以时间轴的方式呈现。（[@liujuntao123](https://github.com/ruanyf/weekly/issues/3836) 投稿）

2、[YUERGS](https://hougiser.gitee.io/music-score/)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010312.webp)

作者为了解决自学吉他过程遇到的痛点，开发了这个网站，支持吉他谱滚动播放、吉他调音、查和弦、节拍器、扒歌等相关功能。（[@ly15927086342](https://github.com/ruanyf/weekly/issues/3834) 投稿）

3、[文本编辑器实时协同的原理和实现](https://www.aadhav.me/posts/collaborative-editor)（英文）

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023081302.webp)

文本编辑器如何支持多人实时编辑？本文以示例讲解原理。

4、[世界上最大的纽约市照片](https://www.earthcam.net/projects/empirestatebuilding/gigapixelpanorama/2021/)

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111314.webp)

360 度的纽约全景照片，达到了800亿像素，支持移动和缩放。

5、[Beej 的网络概念指南](https://beej.us/guide/bgnet0/html/split/)（Beej's Guide to Network Concepts）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023110901.webp)

著名技术作者 Beej 新发布的计算机网络底层概念的英文教程。

## 图片

1、[减速白线](https://www.euronews.com/next/2023/07/26/inventive-or-stupid-french-village-disorients-drivers-with-crisscrossed-white-lines)

一个法国小城市的十字路口，经常有超速导致的车祸。

市长想了各种办法，让司机减速，都失败了。

他树立了减速的大字标牌，根本没人看。他在马路上安装减速带，结果造成很大的噪音，影响居民生活。

最后，他想了一个绝招，在地面画了很多杂乱的白线，吸引司机的注意力，干扰视线，司机为了看清路线，就会放慢速度。

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080207.webp)

这件事在法国引起了热议。赞成者认为，让司机不容易看清道路，确实有减速效果。反对者认为这样破坏市容，而且让人困惑。

下图就是该路口现在的样子。

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080208.webp)

2、[冰冻鲜花雕塑](https://www.thisiscolossal.com/2023/02/azuma-makoto-temporary-frozen-sculptures/)

一位日本艺术家在北海道的结冰湖面上，制作了一个冰冻鲜花雕塑。

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023022702.webp)

入夜后，他把一束束颜色各异的鲜花，放到架子上，在上面浇上水，天亮后就冻成了冰柱。

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023022703.webp)

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023022704.webp)

太阳升起后，在阳光的照耀下，这件作品为白雪覆盖的荒原带来生气和景观。

![](https://cdn.beekka.com/blogimg/asset/202302/bg2023022705.webp)

## 文摘

1、[解决团队分歧的四种方式](https://www.businessweekly.com.tw/management/blog/3014278)

团队成员之间，经常会因为不同意见发生分歧。

有些分歧，最终会达成一致意见；另一些分歧，谁也无法说服谁，难以达成一致。

团队内部无法达成一致时，可能会出现四种决策方式。

**方式一：我不同意，但一旦决策定了，我就会一起努力。**

亚马逊创始人贝佐斯说：“当我跟一个主管反复讨论后，他不同意我的看法。虽然我不认为他正确，但我愿意陪他赌一把。我们认识几十年了，我觉得他可能比我更接近真相。其实我也不知道自己的决定是否正确，干脆照着下属的想法走。”

这样有几个好处：

- 至少产生了一个大家同意的决策。
- 事后不会互相埋怨。
- 有利于形成真正的团队精神。
 
**方式二：双方各退一步，互相“妥协”（Compromise）。**

这种做法是在双方立场之间，找一个中间点作为决策。这个房间我认为12尺高，你认为11尺高，最后大家同意把它的高度定为11.5尺。

这种决策方式很糟糕，因为11.5尺根本不是真相，只是因为找出真相需要耗费太多的能量，“妥协”让大家以一种节省能量的方式达成共识。

真正可取的做法是，凡是可以找到真相的事情，都不应该妥协。

**方式三：比谁更固执。**

争论的双方进行持久战，最先坚持不下去的人就会投降。

这种决策方式既没有得到真相，又大伤团队元气。所以，必须禁止这种方式，不允许用消耗对方的方式达成协议。

**方式四：提供给上级，由上级决定。**

这种方式可以外包决策过程，也不会伤害团队成员之间的感情。缺点是大家没有去尽力找寻真相，团队思想也没有真正达成统一。

总结：建议采用第一种决策方式“不同意、但尽力去做”。

这种方式不一定是正确决策，但是对于企业来说，有一个速度问题：决策速度必须要快，不能拖延，团队要始终保持高速度。第一种决策方式，至少可以保证决策会在短时间内产生，把事情向前推进。

## 言论

1、

我使用 ChatGPT 的感觉，就像在使用某个电话自动应答系统，到了某些时候我不得不大声尖叫，要求与人类交谈。

-- [cogdogblog.com](https://cogdogblog.com/2023/11/training-vs-sources-60000/)

2、

我不知道多久，“计算机科学”这个专业的名字会改为“机器学习”。

-- [Donald Knuth](https://thenewstack.io/donald-knuth-on-machine-learning-and-the-meaning-of-life/)，著名计算机科学教授

3、

如果金钱统治世界，那么谁统治金钱？

答案是 **那些有能力制造通货膨胀的人统治着金钱**。他们首先借钱购买实物资产，通货膨胀之后，再用贬值的钱来还债。

-- [Hacker News 读者](https://news.ycombinator.com/item?id=37707208)

4、

一项研究发现，魔术师比较少患有精神病，原因未知。可能的解释是，精神病很大程度上与臆想幻觉有关，而魔术师不容易产生幻觉。

-- [《卫报》](https://www.theguardian.com/science/2023/nov/15/magicians-less-prone-to-mental-disorders-than-other-artists-finds-research)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024010319.webp)

## 往年回顾

[停止寻找的最佳时间](https://www.ruanyifeng.com/blog/2023/01/weekly-issue-238.html)（2023 #238）

[音乐是反社交](https://www.ruanyifeng.com/blog/2021/12/weekly-issue-188.html)（2021 #188）

[失业难以避免，重构人生规划](https://www.ruanyifeng.com/blog/2020/12/weekly-issue-138.html)（2020 #138）

[如果你遇到一条蛇](https://www.ruanyifeng.com/blog/2019/12/weekly-issue-88.html)（2019 #88）

（完）

