# 科技爱好者周刊（第 291 期）：AI 没有护城河

这里记录每周值得分享的科技内容，周五发布。

本杂志[开源](https://github.com/ruanyf/weekly)，欢迎[投稿](https://github.com/ruanyf/weekly/issues)。另有[《谁在招人》](https://github.com/ruanyf/weekly/issues/4075)服务，发布程序员招聘信息。合作请[邮件联系](mailto:yifeng.ruan@gmail.com)（yifeng.ruan@gmail.com）。

## 封面图

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022901.webp)

2022年完工的宁波惠贞高级中学，将学校与公园融为一体，在体育场看台上方，设计了一个几层楼高的开放式空间。（[via](https://www.azut.cn/product/showproduct.php?id=451)）

## AI 没有护城河

上周，魅族手机[突然宣布](https://www.antutu.com/doc/131018.htm)，停止传统的智能手机新项目，All in AI。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022902.webp)

魅族董事长沈子瑜[公开说](https://www.36kr.com/p/2665449485379335)，“给魅族的智能手机时代一个完美的句号”，以后推出的将全部是 AI 设备。

看上去，魅族觉得，AI 比手机更有前途，所以决定停止老本行，改做 AI 设备。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022904.webp)

（图片说明：最新的“魅族 21 PRO”手机，大概没有下一代了。）

最近，AI 如日中天，动心的企业恐怕不在少数，大家都想趁早加入，分一杯羹。

但是，我想泼一点冷水。AI 更有前途是不假，但是**改做 AI 真的更容易活下去吗**？

去年上半年，一份谷歌内部报告泄漏，据说是某个研究员写给谷歌高管的，看上去可信度很高。

当时，谷歌内部正在讨论，如何应对 OpenAI 公司的 ChatGPT。这个研究员提出自己的看法，题目就叫做[《AI 没有护城河》](https://www.semianalysis.com/p/google-we-have-no-moat-and-neither)（[中文译文](https://juejin.cn/post/7229593695653314597)）。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022905.webp)

他的核心观点是，**即使谷歌全力投入，可能也赢不了这场 AI 竞赛**。不仅谷歌赢不了，OpenAI 也赢不了。

原因倒不是谷歌的能力不行，而是 AI 行业有一些特点，导致这是一个完全竞争行业，“没有护城河”，想要获得领先优势和垄断利润，极其困难。

**（1）生成式 AI 的核心技术是开源的，任何人都可以获取。**

某些公司可能有独家技术，但不是关键部分。AI 的架构和原理都是公开的，不同的只是各家的实现。

网上有 AI 的开源模型，功能越来越强。只要按照教程操作，即使是家用电脑，也能很快架设一个可用的 AI 服务。

**（2）AI 模型的替代性很强。**

各公司的模型有强有弱，但是核心功能都是类似的，很容易被替代。模型之间的差异，目前来看不是决定性的。

一家公司推出的新功能，其他公司很快就能赶上。

**（3）AI 的核心竞争力在于算力和训练语料。**

谁的算力更多，训练语料更丰富，谁的模型就表现更好。

算力依赖于 GPU 和机房规模，训练语料需要自己收集。说到底，两者都取决于经济实力。

另外，训练材料不存在版权问题，大家都能用。欧美的判例目前是，只要生成结果不构成复制，就没有侵权。也就是说，可以自由使用版权材料进行训练，只要不生成一模一样的结果。

**（4）AI 的研究人员是流动的。**

AI 科学家跳槽很常见。另外，大部分 AI 研究人员来自学术界，没有竞业问题，可以自由发表成果。

**综上所述，AI 行业的各个方面都没有护城河，最后活下来的公司，一定是资源最多的公司**。

这就是为什么美国股市这一轮 [AI 概念的上涨](https://m.thepaper.cn/newsDetail_forward_26394543)，主要涨的是那七家最大的 IT 公司的原因。

雇佣更多 AI 工程师、收集更大的语料集、支付更多训练费用，才能成为行业赢家。但问题是，别人只要钱包够深，就有机会超过你。

所以，那位研究员才会说，谷歌 AI 获得领先会很困难。

我觉得，他的分析有道理。既然谷歌都没获胜的把握，更不要说那些匆忙入局的小公司了。

上面的分析针对 AI 软件，不针对 AI 硬件。但是，AI 硬件也很难，因为核心技术都掌握在 Nvidia 手中，普通的创业公司恐怕只能做一些外围设备或者应用设备，那就跟软件创业区别不大了。

最后，如果以后看到某家公司声明“All-in AI”，我们就祝福他好运，希望他的 AI 生涯会比老本行，更成功一些。

## 科技动态

1、[浮动泳池](https://mossandfog.com/pool-is-a-huge-floating-swim-destination-opening-in-new-york-city-this-year/)

随着全球气候变暖，游泳运动越来越受欢迎。但是，很多城市没有足够的游泳池，许多人会选择不够卫生和安全的天然河道。

一个美国设计师想出一个聪明的点子：在天然河道里面架设“浮动泳池”。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024011008.webp)

“浮动泳池”浮在水面上，直接使用河道里面的水，但会过滤和消毒，确保达到卫生标准。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024011011.webp)

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024011009.webp)

纽约市已经批准了这个设计，最快的情况下，今年就可以建造出来，并在纽约投入使用。

![](https://cdn.beekka.com/blogimg/asset/202401/bg2024011010.webp)

2、**食堂的自助付款**

最近，我去一个小城市的医院食堂就餐，意外发现那里使用自助付款。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022701.webp)

拿取饭菜以后，你把托盘放到自助付款机上，它通过摄像头自动识别出是哪些品种，从而给出价格，你进行扫码付款。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022702.webp)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022703.webp)

我还是第一次看到这种设备，太方便了。有了它，就可以建立大型食堂，进一步降低用餐成本。

3、[电池水泥](https://www.science.org/content/article/electrified-cement-could-turn-houses-and-roads-nearly-limitless-batteries)

家庭如果使用蓄电池储存电力，价格非常昂贵，而且电池很占空间。

麻省理工学院的科学家，想出了一个解决办法，把电池放进了水泥，让电力储存在水泥里面，从而房子本身就能蓄能。

![](https://cdn.beekka.com/blogimg/asset/202308/bg2023080209.webp)

他们在水泥中掺入导电的炭黑，形成两个导电层，从而组成了一个超级电容，可以快速充电。

研究团队的实验结果是，45立方米的混凝土可以储存10度电，足够普通家庭一天的使用。

4、[轮胎污染](https://dynomight.net/tires/)

电动车总体上是一种更清洁的交通工具，但是有一个方面，它比燃油车的污染更严重。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022917.webp)

那就是轮胎。汽车行驶时，轮胎与地面摩擦产生磨损，（轮胎和路面的）微粒散布在环境中，造成污染。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022704.webp)

电动车的重量普遍比同级别燃油车重20%，原因是电池很重。举例来说，特斯拉 Model Y 单单是电池，就重770公斤，相比之下，一辆大众甲壳虫燃油车的整体重量也只有820公斤，而后者的续航还要大于前者。

电动车多出来的重量，会造成轮胎更快的磨损，导致更大的污染。

5、[透明笔记本](https://www.dezeen.com/2024/02/28/lenovo-transparent-laptop-thinkbook-mwc/)

联想在世界移动通信大会（MCW）上，展示了一款透明笔记本。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022910.webp)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022911.webp)

该笔记本有一块透明的 LED 屏幕，灯珠都是透明的。当它发光时，跟普通的 LED 灯珠没有差别，调到最大亮度时，就会变得不透明。

它的特别之处在于，键盘也是一块透明玻璃，没有物理按键，而是投射产生的按键。这样的好处，键盘可以变成一整块的手写板。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022912.webp)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022913.webp)

联想表示，这是一款概念产品，不会上市。老实说，透明屏幕可能没什么用，小米早在2020年就推出了透明电视机，后来也不了了之。

## 文章

1、[AI 核心圈的第三位华人](https://finance.sina.com.cn/jjxw/2024-02-24/doc-inakcmnm4323477.shtml)（中文）

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022403.webp)

本文介绍超微电脑（Super Micro Computer）创始人梁见后（Charles Liang）。他的公司主要生产 AI 服务器，最近股价暴涨，成为黄仁勋、苏姿丰之后，AI 核心圈的又一风云人物。

2、[MacOS 的图片处理工具 sips](https://til.simonwillison.net/macos/sips)（英文）

![](https://cdn.beekka.com/blogimg/asset/202311/bg2023111317.webp)

很多人不知道，MacOS 自带一个命令行工具 sips，可以进行各种图片处理，还支持 JS 编写的脚本。

3、[structuredClone() 详解](https://www.builder.io/blog/structured-clone)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122202.webp)

JS 新增的全局方法`structuredClone()`可以实现对象的深拷贝。本文详细介绍该方法相比其他方法的优点，以及局限。

4、[B 树原理解释](https://blog.allegro.tech/2023/11/how-does-btree-make-your-queries-fast.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122402.webp)

数据库使用 B 树作为数据结构，能够加快查询速度，本文介绍它的原理。

5、[6个工程师如何支撑每月1100万用户](https://read.engineerscodex.com/p/how-pinterest-scaled-to-11-million)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122403.webp)

2012年，Pinterest 成立不到两年，每月用户就达到了1100万，这时它只有6个工程师。本文介绍 Pinterest 的早期架构，如何用最少的人力支撑大量用户。

6、[一些有用的 Bash 别名](https://chuck.is/alias/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122613.webp)

Bash 的 alias 命令可以为常用操作设置别名，作者介绍自己常用的一些别名，挺有借鉴意义。

7、[如何通过网页完成 SSH 登录](https://linuxiac.com/how-to-set-up-web-based-ssh/)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122404.webp)

SSH 登录是命令行下完成的，但是可以让用户在网页上操作命令行窗口，本文介绍详细步骤。

8、[我开发 macOS 应用的获利](https://notes.alinpanaitiu.com/Costs-of-running-a-macOS-app-studio-business)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122502.webp)

作者是一个罗马尼亚开发者，依靠出售自己开发的 macOS 应用谋生。本文透露他2023年的运营情况，总收入10万美元，获利近7万美元。

## 工具

1、[Spacedrive](https://www.spacedrive.com/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023101106.webp)

一个跨桌面平台的文件管理器，将不同设备、云端的文件放在一个窗口里面管理。

2、[LightMirrors](https://github.com/NoCLin/LightMirrors)

一个开源的软件包缓存镜像站工具，用于在内网加速软件包下载和镜像拉取，目前支持 DockerHub、PyPI、PyTorch、NPM 等镜像缓存服务，需要自己架设。（[@NoCLin](https://github.com/ruanyf/weekly/issues/4059) 投稿）

3、[捕风记录仪](https://github.com/yuka-friends/Windrecorder)（Windrecorder）

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022706.webp)

一款开源的 Windows 应用，自动在后台以小尺寸记录出现过的所有屏幕内容，并对文本或图像描述进行 OCR，以便查询。（[@Antonoko](https://github.com/ruanyf/weekly/issues/4067) 投稿）

4、[ApFree WiFiDog](https://github.com/liudf0716/apfree-wifidog)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022707.webp)

路由器操作系统 OpenWRT 的一个模块，用来为自己架设的 WiFi 服务提供认证。（[@liudf0716](https://github.com/ruanyf/weekly/issues/4074) 投稿）

5、[AI 图像音乐生成器](https://imagetomusic.top/)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022705.webp)

这个 Web 服务可以将上传的图像，转换为一段音乐，适合为图文视频配背景音乐。（[@lesliele](https://github.com/ruanyf/weekly/issues/4055) 投稿）

6、[WeWe RSS](https://github.com/cooderl/wewe-rss)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022909.webp)

全文订阅微信公众号的一个本地服务，可以生成公众号的 RSS，基于微信读书。（[@cooderl](https://github.com/ruanyf/weekly/issues/4076) 投稿）

7、[Marker](https://github.com/VikParuchuri/marker)

一个命令行工具，将 PDF、EPUB、MOBI 文档转成 Markdown 文件，必要时会进行 OCR（文字识别）。 

8、[Omnivore](https://github.com/omnivore-app/omnivore)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023120206.webp)

一个开源的“稍后阅读”（read-it-later）解决方案，可以收藏网址、RSS 和邮件列表的文章，提供 Web 和手机客户端。

9、[Kysely](https://kysely.dev/)

![](https://cdn.beekka.com/blogimg/asset/202310/bg2023101002.webp)

一个 TypeScript 的 SQL 查询生成库。

10、[chasquid](https://blitiri.com.ar/p/chasquid/)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023120401.webp)

一个简单的、主要供个人使用的 SMTP 软件，用来发送电子邮件。

11、[TSDiagram](https://tsdiagram.com/)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023120514.webp)

一个在线工具，让你用 TypeScript 写类型关系，自动生成图表。

12、[How I get there](https://how-did-i-get-here.net/)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023120603.webp)

这个页面可以显示，你的 IP 地址到该网站所经过的路由。

## 资源

1、[3Blue1Brown](https://www.3blue1brown.com/topics/calculus)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023121913.webp)

著名数字科普作者 3Blue1Brown 写的微积分系列教程。

2、[TS Docs](https://tsdocs.dev/)

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122001.webp)

这个网站可以查看 npm 模块的 TS 类型声明。

3、[DevOps 的 Ansible 指南](https://github.com/geerlingguy/ansible-for-devops-manuscript)（英文）

![](https://cdn.beekka.com/blogimg/asset/202312/bg2023122008.webp)

一本开源的英文电子书，介绍自动化运维工具 Ansible 的基本知识。

4、[京华老宋体](https://zhuanlan.zhihu.com/p/637491623)

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022916.webp)

一款可以免费商用的原创中文字体。（[@WFANG12719](https://github.com/ruanyf/weekly/issues/4078) 投稿）

## 图片

1、[双曲面输电塔](https://en.wikipedia.org/wiki/Shukhov_Tower_on_the_Oka_River)

俄罗斯的舒霍夫塔是世界唯一的斜方格双曲面输电塔。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022103004.webp)

它建于1929年，于1989年停止使用，并拆除了其中的一座。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022103005.webp)

与直线结构相比，双曲面结构在抵抗外力方面的稳定性更好，常用来支撑大质量的塔型建筑物，同时也很美观。它的缺点是浪费大量空间，空间利用效率低，并且需要更多钢材。

![](https://cdn.beekka.com/blogimg/asset/202210/bg2022103006.webp)

2、[英国的灯塔](https://fosstodon.org/@terence/111132852910410221)

下图是英国所有的灯塔，每一个发光的点，就是一个灯塔。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092801.webp)

3、[自动变速箱阀体](https://twitter.com/DotSledge/status/1706693564267172093)

汽车的自动变速箱的最重要组成部分是阀体，它相当于变速箱的“大脑”，控制着各个档位的油路。

阀体内部非常复杂，就像迷宫一样。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092802.webp)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092803.webp)

不过，电动汽车没有这种装置，所以将来它应该就会消失。

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092804.webp)

![](https://cdn.beekka.com/blogimg/asset/202309/bg2023092805.webp)

## 文摘

1、[康威定律](https://martinfowler.com/bliki/ConwaysLaw.html)

几乎所有我喜欢的软件架构师，都认同康威定律（Conway Law），认为这个定律非常重要，足以影响到所有系统。而且，你没法与之抗争，想要抗拒康威定律注定要失败。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022906.webp)

康威定律的最好表述是：“**任何系统的构成，都反映了设计这个系统的组织结构。**”

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022908.webp)

它的出处是 Melvin Conway 在1968年写的一篇文章。后来，弗雷德·布鲁克斯（Fred Brooks）在著名的《人月神话》（The Mythical Man-Month）引用了这条定律。

Melvin Conway 观察到，**软件系统的架构看起来与构建它的开发团队的组织结构非常相似。**

最初的描述是，如果一个团队编写一个编译器，那么它将是一个单通道编译器；但是，如果两个团队共同开发，那么它将是一个双通道编译器。这个描述后来被发现，广泛适用于大量系统。

![](https://cdn.beekka.com/blogimg/asset/202402/bg2024022907.webp)

正如我的同事 Chris Ford 对我说的：“软件耦合是由人类交流促成的。” 如果我可以轻松与代码作者交谈，那么我就更容易对代码有更深入的了解，因此我的代码更容易耦合到该代码。

应对康威定律的第一步是不要与之抗争。我仍然记得一位技术主管，他刚刚被任命为​​一个大型新项目的架构师，该项目由分布在世界各地不同城市的六个团队组成。“我做出了第一个架构决定”，他告诉我：“就是这个系统将有六个主要的子系统。我不知道它们会是什么子系统，但肯定会有六个。”

为了适应康威定律，现在有一种策略，就是一旦定下软件架构，就相应改变组织结构，让紧密耦合模块的开发者更容易沟通。

## 言论

1、

纽约市最古老的脚手架搭建于2002年，当时是为了翻新一栋百年大楼，可是由于各种原因（资金短缺、找不到供应商等等），一直没有完工。直到2023年底，这个搭建了21年的脚手架终于开始拆除了。

-- [《华尔街日报》](https://www.wsj.com/us-news/new-york-city-cant-fix-sidewalk-shed-problem-5f46aef3)

2、

W3C 规范的数量平均每年增长200个，约400万个单词。

我觉得，这使得构建一个新的浏览器已经不可能，没有人能够把这些规范都从头实现一遍。

现有的浏览器不应该再把重点放在添加新功能了，而应该专注于性能和稳定性的提高。

-- [《网络浏览器鲁莽的无限范围》](https://drewdevault.com/2020/03/18/Reckless-limitless-scope.html)

3、

人类历史上从未有过如此孤独的时期。在西方各国，独居人数不断增加，创了历史新高。

这在一定程度上是医疗技术延长人类寿命的结果，但这也是自由主义的结果，个人对自己的生活安排有了更多的选择，比如延迟结婚和高离婚率。孤独是个人自由主义不可避免的结果。

-- [《我们都会变得无聊》](https://www.louiseperry.co.uk/p/we-will-all-become-boring)

4、

互联网购物已经娱乐化了。人们购物不完全是出于生活需要，而是忍不住想做点什么，为了消磨时间。

-- [《快时尚赌场》](https://dirt.fyi/article/2023/11/fast-fashion-casino)

## 往年回顾

[大数据已死](https://www.ruanyifeng.com/blog/2023/03/weekly-issue-244.html)（2023 #244）

[悲观者正确，乐观者成功](https://www.ruanyifeng.com/blog/2022/02/weekly-issue-194.html)（2022 #194）

[提高收入的根本途径](https://www.ruanyifeng.com/blog/2021/01/weekly-issue-144.html)（2021 #144）

[既懂得制造，又懂得销售](https://www.ruanyifeng.com/blog/2020/02/weekly-issue-94.html)（2020 #94）

（完）

