# 科技爱好者周刊：第 74 期

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091910.jpg)

封面图：篮球世界杯，上海东方体育中心，2019

## 刊首语

大家有没有感觉，互联网上免费的东西越来越少了。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091908.jpg)

打开很多网站或 App，都要求你付费：听歌要钱，视频要钱，下载要钱，读一篇文章也要钱。这当然无可厚非，但是我总觉得，**纯粹的信息收费不是一个好的商业模式，除非有增值服务。** 这有两个原因。

第一个原因是，信息与实体商品不同。实体商品具有排他性，我吃了这只苹果，别人就吃不到，但是信息可以无数次消费。

而且，信息有一个奇怪的特征：消费的人越多，它的价值越高。一篇文章只有二三十人看，很快就会被忘记；但有一百万人看，就是全国的热点。 **收费会阻止信息的这种零成本的自我增值。**

第二个原因是，信息收费很难扩展。80%的用户都是看一眼就走了， **收费会阻止这些轻度使用的用户。** 比如，《纽约时报》网站是收费的，但是我一个月就看几篇文章，不太可能为这几篇文章成为付费用户。信息收费的前提是，用户会深入地、长期地使用这个服务，这种深度用户很难找，因此收费很难扩展。

所以，我认为， **信息的商业模式，不应该是收费，而是应该鼓励更多的人消费它。** 越多人消费，信息的价值越高，这时就可以开发增值服务，从服务赚钱。

开源软件就是很好的例子。Linux 原来是一个大学生的作品，可以免费用，结果成了行业标准。基于 Linux 的 Red Hat 公司，所有产品都是开源的，只对服务收费，最终被 IBM 以 340亿美元的价格收购。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091909.jpg)

就像上图的那句话：**“Open is smart. Smart is open”** 。我们不要做 closed 的产品，而要做 open 的产品。Open 一定会带来更大的价值。

## 60天攻克数据结构与算法

算法和数据结构是编程的内功，对于编程能力的提高和职场道路的进阶至关重要，能让学习编程语言和框架事半功倍。而且，它们也是互联网公司面试的必考知识点。

很多人自学算法，往往不成体系、不得要领，缺乏结果反馈，难以评估效果；刷题缓慢，难以坚持；做过的题目总是忘记，面对面试题不知从何入手。

**极客时间与前 Facebook 工程师覃超联合推出了“算法训练营”** ，用 60 天高强度训练营，带你攻克数据结构与算法，目前已经开设第 4 期。

课程采用视频、直播方式教学，结合线下社交讨论，并由班主任和教研组倾力提供全方位线上学习服务，包括助教答疑、作业、期中总结、考试、毕业等环节。

内容从低到高，由浅入深，从链表数组讲到动态规划、并查集、字典树、红黑树和 AVL 树、位运算、布隆过滤器和 LRU Cache，适合不同基础的软件工程师精进算法能力、构建知识体系。下面是详细的课程大纲：

> - 预习周：数据结构和算法总览
> - 第一周：数组与链表、栈与队列
> - 第二周：哈希表、映射、集合
> - 第二周：树、二叉数和图
> - 第三周：递归、分治和回溯
> - 第四周：深度、广度优先搜索与剪枝
> - 第四周：贪心算法与二分查找
> - 第五周：动态规划
> - 第六周：并查集、字典树、红黑树和 AVL 树
> - 第七周：位运算、布隆过滤器和 LRU Cache
> - 第七周：排序、字符串操作串讲
> - 毕业周：整体知识总结

原价 ¥2499，优惠价 ¥1499，使用口令：RUANYFENG，还可以再省100元。微信扫描下方二维码，可以查看训练营详情并报名。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091808.jpg)

## 资讯

1、[北极河流干涸](http://siberiantimes.com/other/others/news/worlds-largest-permafrost-river-dries-to-a-record-low/)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019083012.jpg)

今年夏天，北极异常的高温，导致俄罗斯西伯利亚北极圈内的主要河流 Lena 河，水位下降了2.5米，近乎干涸。船只已经无法通航，导致了严重的问题，因为河流沿线有一些居民点，不通公路，都靠水运补给。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019083013.jpg)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019083014.jpg)

2、[最快的四轮车女性](https://www.techbang.com/posts/72477-jessi-combs-the-fastest-woman-in-four-rounds-dies-at-36)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090102.jpg)

Jessica Combs 是美国女子职业赛车手。8月27日，她在美国俄勒冈州的沙漠企图挑战世界最快的四轮车速度纪录时，驾驶的赛车不幸撞毁，她因此身亡，享年39岁。

2013年，她创下女子四轮车速度记录，平均速度632公里/小时，最高速度为709公里/小时。2016年，她将最高速度提升到768.61公里/小时。她驾驶的都是叫做“北美之鹰”的喷气引擎汽车，这次撞毁的也是这辆车。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090103.jpg)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090104.jpg)

3、[最黑的黑色汽车](https://www.dezeen.com/2019/08/27/bmw-vbx6-vantablack-car-design/)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090105.jpg)

宝马发布了 Vantablack 版本的 X6 轿车。Vantablack 是世界最黑的黑色颜料，可以吸收99％以上的光线。这使得宝马 VBX6 是目前世界上最黑的黑色汽车，几乎完全消除了所有反光。理论上，如果一个物体不反射任何光线，本身又不发光，那么视觉上就是一个黑洞。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090106.jpg)

4、[竹子学校十周年](https://theconversation.com/bamboo-architecture-balis-green-school-inspires-a-global-renaissance-121248)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090301.jpg)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090302.jpg)

印尼巴厘岛的绿色学校庆祝十周年，该学校完全用竹子建造，具有国际知名度。竹子通常用于廉价的棚屋、摊位、围栏、脚手架等，极易受到火灾的影响，而且因为含有水和淀粉，会被昆虫和真菌吞噬。建筑师对竹子做了特殊处理，才使之可以用于持久性的大型建筑。

研究人员正在开发由竹纤维和树脂制成的防火耐用竹板，将竹子建筑进一步推广。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090303.jpg)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090304.jpg)

5、[USA-224 侦察卫星](https://www.universetoday.com/143298/thanks-to-trump-weve-got-a-better-idea-of-the-capabilities-of-us-surveillance-satellites/)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090503.jpg)

8月29日，伊朗的萨菲尔火箭发生事故，发射失败。第二天，美国总统特朗普发了一条推文，附上一张高清卫星照片（上图），声称火箭事故与美国无关。

天文学家根据照片上面阴影的方向和大小，推算出拍照的时间。这个时间经过伊朗上空的美国侦察卫星只有 USA-224 一颗，因此这张照片极可能是这颗卫星拍的。该卫星专门拍摄地面的高清照片，是美国的军事项目，高度保密。特朗普发的照片，是该卫星流出的第一张照片，他是不应该发这张军用级别的照片的。

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090504.jpg)

6、[自愈水泥](https://www.thestructuralengineer.info/news-center/news/item/589-using-bacteria-to-make-self-healing-cement)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082707.jpg)

传统的混凝土出现裂缝是一种普遍现象。荷兰一所大学的微生物学教授发明了一种添加细菌的生物混凝土。这种细菌会产生乳酸钙，进而形成石灰石，导致混凝土的裂缝自然愈合。

这种细菌平时处于休眠状态，只有出现裂缝时，外部的空气和水分才能唤醒。该技术目前能够愈合任何长度的裂缝，但是最大宽度不能超过0.8毫米，而且成本是普通混凝土的两倍。

下图是该种混凝土刚刚破裂的情景。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082708.jpg)

下图是28天后。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082709.jpg)

下图是56天后。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082710.jpg)

7、[沙特石油袭击](https://www.thedrive.com/the-war-zone/29874/the-strike-on-saudi-oil-facilities-was-unprecedented-and-it-underscores-far-greater-issues)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091701.jpg)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019091702.jpg)

9月14日，沙特的一处石油设施遭到袭击。现场照片公布以后，可以看到完全是精确袭击，不攻击人，只攻击设施，17枚炸弹都不偏不倚命中目标，见上图的红框处。目前还不知道这是怎么发动的，这么精确的袭击最大的可能就是无人机。

8、**一句话消息**

> - [《自然》杂志](https://tech.163.com/19/0819/10/EMUE8JPV000999LD.html)发表文章称，目前河沙采掘速度，已经超过了自然恢复的速度，将对生态造成不可恢复的伤害。建筑业需要大量沙子，但是沙漠的沙和海沙太细，只有河沙才能用，全世界每年大约会使用320亿吨至500亿吨河沙，主要用来制造水泥和玻璃，都要从河流中挖掘。

> - [加州](https://www.nytimes.com/2019/09/11/technology/california-gig-economy-bill.html)通过法律，规定在 uber 接活的司机是雇员，而不是合同工，因此可以享受最低工资和加班费。uber 公司已经提起上诉。

> - [印度](https://www.ndtv.com/india-news/pm-narendra-modi-says-at-un-climate-meet-that-like-india-even-world-should-say-goodbye-to-single-use-2097878)宣布，10月2日起在全国禁止六种一次性塑料制品：塑料袋、杯子、盘子、小瓶子、吸管和小塑料包。

> - [美国一家创业公司](https://blog.leavemealone.app/clean-your-inbox-save-the-planet/)提出，全球每天有2460亿封电子邮件，消耗的能量相当于排放98.6万吨碳。其中很多邮件都是不必要的，因此提倡及时退订你不需要的邮件列表。

> - [美国 5G 网络](https://www.engadget.com/2019/08/26/samsung-galaxy-s10-5g-vs-s10-4g-uk-vodafone/)的峰值下载速度，经测试只比 4G 网络的峰值高三倍，这还是在信号最好的情况下。5G 带来的提升，并没有宣传的那么好。

> - [Buzzfeed](https://moodfeed.buzzfeed.com/mood/curious) 试验新的用户界面，用户进入主页以后，在六种心情里面选一个：“好奇，压力，无聊，怀旧，快乐，饥饿”，然后网站根据你的心情，向你展示内容。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082603.jpg)

> - [美国阿肯色州的钻石州立公园](https://gizmodo.com/woman-finds-3-72-carat-yellow-diamond-while-watching-yo-1837415139)，上个世纪曾经发现过很多钻石，后来开辟成公园。最近，一位游客在阴凉处观看如何寻找钻石的 YouTube 视频，结果一低头发现沙子中有一颗巨大的3.72克拉钻石。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082604.jpg)

## 文章

1、[安卓的三层结构和鸿蒙 OS](https://raccoon.onyxbits.de/blog/harmony-os-the-android-killer/)（英文）

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082404.png)

安卓实际是一个三层结构：Linux 内核、安卓中间层和谷歌服务框架。华为的鸿蒙 OS 比较可行的选择是，依然使用底下两层，只取代谷歌服务框架的部分。

2、[生物识别安全平台的数据泄露](https://www.vpnmentor.com/blog/report-biostar2-leak/)（英文）

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082405.jpg)

一个安全团队披露，他们破解了一个广泛使用的用户数据库，获得了100多万条指纹和面部识别信息。他们认为，生物特征作为密码是不安全的，一旦数据泄露，用户不可能更改指纹和面部特征。

3、[使用 Backblaze B2 和 Cloudflare Workers 搭建免费图床](https://blog.jross.me/free-personal-image-hosting-with-backblaze-b2-and-cloudflare-workers/)（英文）

开发者通常都有图片托管的需求，本文介绍一个免费的搭建个人图床的方案。

4、[motd 功能解释](http://blog.bityard.net/articles/2019/August/rabbit-holes-the-secret-to-technical-expertise.html)（英文）

类 Unix 系统的`/etc/motd`服务，可以对所有用户显示登陆时的通知信息。本文介绍怎么使用这个服务。

5、[抗癌史上的华人传奇](http://m.biodiscover.com/news/celebrity/652998.html)（中文）

世界上第一个使用化疗治疗癌症的医生，是中国人李敏求。

6、[静态博客的技术方案](https://news.ycombinator.com/item?id=20796729)（英文）

这是 Hacker News 的讨论帖，讨论当前自己搭建博客的最佳技术方案。

7、[ncdu 命令的用法](https://www.myrandomtips.com/linux/linux-directory-size/)（英文）

`du`命令是类 Unix 系统查看文件和目录大小的命令，`ncdu`是`du`的替代品

8、[Cherry MX 机械键盘的类型](https://www.keymouse.com/cherry-mx-switches)（英文）

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019082701.jpg)

本文给出机械键盘几种类型的参数和内部构造动画。

9、[如何使用图像预览加速图像加载](https://www.smashingmagazine.com/2019/08/faster-image-loading-embedded-previews/)（英文）

网页图像可以先加载预览图像，然后再自动加载完整图像，这样有助于提高网页性能。本文总结了图像预览的几种方案。

10、[我的周末项目](https://tannerchristensen.com/blog/2018/12/30/oh-shit-my-weekend-project-turned-into-an-app-store-best-new-app)（英文）

本文记述作者一个周末写的项目，结果意外变成了苹果应用商店的最佳新应用，赚到了4000美元。作者谈了他的一些感想。

## 工具

1、[Unison](https://www.cis.upenn.edu/~bcpierce/unison/)

一个桌面软件，可以让 OSX、Unix 和 Windows 系统的文件同步。

2、[QR Code Scanner](https://github.com/leyan95/qrcode_scanner)

Flutter 的二维码扫描插件。（@[leyan95](https://github.com/ruanyf/weekly/issues/766) 投稿）

3、[Dadroit JSON Viewer](https://viewer.dadroit.com/)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081107.jpg)

一个浏览大型 JSON 数据文件专用的桌面 JSON 查看器。

4、[Node.js 爬虫示例](https://github.com/ZY2071/Crawler-for-GitHub-Trending)

一个 Node.js 爬虫的示例项目，帮助感兴趣的同学了解爬虫的实现。（@[ZY2071](https://github.com/ruanyf/weekly/issues/773) 投稿）

5、[wallace-cli](https://github.com/bartveneman/wallace-cli)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081404.jpg)

一个 CSS 样式表的命令行分析工具，显示有多少条规则、选择器，压缩前后的文件大小等等。

6、[Anime4K](https://github.com/bloc97/Anime4K)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081503.jpg)

实时提升卡通动画的分辨率，使其成为高清动画的工具。

7、[翻译侠](https://github.com/magic-FE/translate-man)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081704.jpg)

浏览器翻译插件，支持 Chrome 和 Firefox，鼠标点击或选择触发翻译，可以翻译多种语言，底层为 Google translate API。（@[cloudfroster](https://github.com/ruanyf/weekly/issues/777) 投稿）

8、[Hexo theme cold stone](https://github.com/xrr2016/hexo-theme-cold-stone)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081705.jpg)

Hexo 博客框架的一套样式主题。（@[xrr2016](https://github.com/ruanyf/weekly/issues/781) 投稿）

9、[DarkDarkGo](https://github.com/Bennington-Distributed-Systems-2017/DarkDarkGo)

开源的暗网搜索引擎工具。

10、[cve-search](http://cve-search.github.io/cve-search/)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081802.jpg)

一个 CVE 漏洞的本地搜索引擎，上图是漏洞的分类排行。

11、[majestic](https://github.com/Raathigesh/majestic)

![](https://cdn.beekka.com/blogimg/asset/201909/bg2019090403.jpg)

一款好用的 Jest 测试框架的图形界面。（@[ifrontend-xyz](https://github.com/ruanyf/weekly/issues/831)  投稿）

## 资源

1、[版本博物馆](https://www.versionmuseum.com/)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019081801.jpg)

该网站收集世界主要网站和应用程序的页面变迁。

2、[算法](http://jeffe.cs.illinois.edu/teaching/algorithms/)

英文免费电子书，伊利诺伊大学计算机科学课程的讲义。

3、[GIF cities](https://gifcities.org)

该网站收集各种 GIF 动画图片。

4、[Python 语法笔记](https://thomas-cokelaer.info/tutorials/python/index.html)

一个比较完整的 Python 教程，主要是语法方面的笔记。（@[nosarthur](https://github.com/ruanyf/weekly/issues/792) 投稿）

5、[现代 Web 开发](https://fullstackopen.com/en)

一个在线的 Nodejs + React 的互动教程。

6、[CPU 原理导论](http://www.gamezero.com/team-0/articles/math_magic/micro/index.html)

一篇使用通俗语言讲解 CPU 原理的教程。

7、[No CS Degree](https://www.nocsdegree.com/)

该网站专门采访自学成才的程序员，每个采访对象都会问他们怎么学会编程，怎么找到工作。（@[nosarthur](https://github.com/ruanyf/weekly/issues/802) 投稿）

## 图片

1、[敌对建筑](https://en.wikipedia.org/wiki/Hostile_architecture)

敌对建筑是一种建筑设计策略，设计师故意让公用建筑使用起来不友好，防止滥用。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080601.jpg)

长椅故意不做平，让人无法躺下。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080602.jpg)

突出的墙角，防止有人小便。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080603.jpg)

花坛的矮墙装上铁扳手，防止有人在上面玩滑板。

2、[海岸边的美国](https://www.hakaimagazine.com/videos-visuals/what-the-seas-will-swallow/)

美国很多大城市和重要设施都在海岸边，海平面上升对美国会产生重大影响。本文提供很多航拍图片，展示美国城市距离大海有多近。

下图的后方是大西洋城，前方是城市的污水处理厂。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080605.jpg)

下图是纽约肯尼迪机场。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080606.jpg)

3、[自然界的二叉树](https://www.reddit.com/r/mildlyinteresting/comments/cnq4zm/this_plant_that_has_exactly_two_branches_at_each/)

下面的植物，每个节点都有两个分支。

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080901.jpg)

## 文摘

1、[暗物质开发者](https://www.hanselman.com/blog/DarkMatterDevelopersTheUnseen99.aspx)

天文学中，暗物质是一种未知的物质，据说宇宙的大部分是暗物质。它既不发光也不反射光，因此望远镜不能直接看到。

你看不到暗物质，但我们很确定它在那里。我们知道它，但无法看到它。它永远不会露面。

有些开发者不是我们经常遇到的那种开发者，就像暗物质一样，可以称之为暗物质开发者。他们不会大量阅读网上的文章，也从不写文章，不去讨论区发言，也不发推文，很少在大型会议上露面。

他们依然在使用老旧的技术，解决各种问题。比如，在小公司的办公室里使用着 ASP，或者在墨西哥写着 VB6，或者在大型芯片制造商内部编写 PHP 日历应用程序。

他们使用众所周知的、经过充分测试并且易于理解的成熟产品。他们不追逐最新的测试版，也不太感兴趣，他们只是让软件可以工作。

暗物质开发者永远不会阅读这篇文章。

2、[任正非《我的父亲母亲》](https://baike.baidu.com/item/%E6%88%91%E7%9A%84%E7%88%B6%E4%BA%B2%E6%AF%8D%E4%BA%B2/6610022)

![](https://cdn.beekka.com/blogimg/asset/201908/bg2019080401.jpg)

（图片：军队时期的任正非）

1978年3月，我出席了全国科学大会，6000人的代表中，仅有150多人在35岁以下，我33 岁，是军队代表中少有的非党人士。

我有幸在罗瑞卿同志逝世前三个月，聆听了他为全国科学大会军队代表的讲话，说未来十几年是一个难得的和平时期，我们要抓紧全力投入经济建设。我那时年轻，缺少政治头脑，并不明白其含意。过了两、三年大裁军，我们整个兵种全部被裁掉，我才理解了什么叫预见性的领导。

转入地方后，不适应商品经济，也无驾驭它的能力，一开始我在一个电子公司当经理也栽过跟斗，被人骗过。后来也是无处可以就业，才被迫创建华为的。

华为的前几年是在十分艰难困苦的条件下起步的。这时父母、侄子与我住在（深圳）一间十几平方米的小房里，在阳台上做饭。他们处处为我担心，生活也十分节省，攒一些钱说是为了将来救我。

听妹妹说，母亲去世前两个月，还与妹妹说，她存有几万元，以后留着救哥哥，他总不会永远都好。母亲在被车撞时，她身上只装了几十元钱，又未带任何证件，是作为无名氏被110抢救的。中午吃饭时，妹妹、妹夫才发现她未回来，四处寻找，才知道遇车祸。可怜天下父母心，一个母亲的心有多纯。

当时在广东卖鱼虾，一死就十分便宜，父母他们专门买死鱼、死虾吃，说这比内地还新鲜呢！晚上出去买菜与西瓜，因为卖不掉的菜，便宜一些。我也无暇顾及他们的生活，以致母亲糖尿病严重我还不知道，是邻居告诉我的。华为有了规模发展后，管理转换的压力十分巨大，我不仅照顾不了父母，而且连自己也照顾不了，我的身体也是那一段时间累垮的。

我父母这时才转去昆明我妹妹处定居。我也因此理解了要奋斗就会有牺牲，华为的成功，使我失去了孝敬父母的机会与责任，也消蚀了自己的健康。

回顾我自己已走过的历史，唯一有愧的是对不起父母，没条件时没有照顾他们，有条件时也没有照顾他们。爸爸妈妈，千声万声呼唤您们，千声万声唤不回。

## 言论和数据

1、

食品应该标注两个日期：最佳质量日期和丢弃日期。

-- [《华尔街日报》](https://www.wsj.com/articles/easy-fix-to-cut-food-waste-cleaning-up-date-labels-11567157400)

2、

人类正在充分利用元素周期表。20世纪80年代的第一代手机，包含25到30种化学元素。今天的手机包含大约75种化学元素，几乎是周期表的四分之三，其中可能包括卢旺达的钽、白俄罗斯的钾、墨西哥的银、缅甸的锡、印度的碳和中国的锗。

-- [《元素周期表150周年》](https://www.bloomberg.com/news/features/2019-08-28/the-modern-triumph-of-the-periodic-table-of-elements)

3、

Pixar 最初是一家图形计算公司，为了显示自己的技术实力，他们制作了一部 CGI 短片，结果得到了奥斯卡最佳动画短片。于是，他们就改行成了电脑动画公司。

-- [《乔布斯签名的 Pixar 海报》](https://www.cnet.com/news/toy-story-poster-signed-by-steve-jobs-sells-for-31000/)

4、

2010年3月，一个比特币的价格是0.003美元，2017年12月17日是19,783.06美元。

-- [《投资比特币之前要考虑的事情》](https://medium.com/@janithkasun/thing-you-need-to-consider-before-investing-in-bitcoins-1b3261f009a7)

5、

每一天很长，但几十年很短。

-- Sam Altman，[《我的30岁感想》](https://blog.samaltman.com/the-days-are-long-but-the-decades-are-short)

## 招聘信息

周刊讨论区的[《谁在招人？》](https://github.com/ruanyf/weekly/issues/798)，有大量工作/实习岗位，欢迎查看。

如果你的团队需要招人，可以免费在那里张贴招聘信息。如果希望发在周刊上，请联系我（Email:  yifeng.ruan@gmail.com ），每条价格 300 元。

1、**熵简科技**  
 
国内领先的数据中台服务商，帮助企业打造一站式数据智能服务平台，已完成B轮融资，客户包括嘉实基金、睿远基金、淡水泉投资、波士顿咨询等顶级金融资管及咨询机构。工作地点北京。  
  
以下岗位开放招聘：高级产品经理、NLP算法工程师、后端工程师、前端工程师、运维工程师、测试工程师。详细要求看[这里](https://github.com/ruanyf/weekly/issues/798#issuecomment-532968882)。

2、**秘猿科技**

秘猿科技是区块链创业公司，为加密经济提供区块链基础设施和服务。工作地点：杭州或 remote。

本公司招聘区块链工程师、高级后端工程师、安全和测试工程师。详细要求看[这里](https://github.com/ruanyf/weekly/issues/798#issuecomment-524289916)。

## 回顾

去年的本周：[《周刊第 22 期》](http://www.ruanyifeng.com/blog/2018/09/weekly-issue-22.html)

![](https://cdn.beekka.com/blogimg/asset/201809/bg2018091401.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)、[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)和[语雀](https://yuque.com/ruanyf/share/)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
