# 科技爱好者周刊：第 94 期

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/983)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

![](https://cdn.beekka.com/blogimg/asset/201911/bg2019113001.jpg)

封面图：真空垃圾箱，自动打包垃圾，通过地下管道发往收集站，出处[维基百科](https://en.wikipedia.org/wiki/Automated_vacuum_collection)。

## 刊首语

硅谷著名的风险投资家 [Naval](https://nav.al/build-sell) ，在推特说了一句金句，一万多人点赞。

**他说：“既懂得制造，又懂得销售，你就是无敌的。”**

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121301.jpg)

他的意思是，一家成功的公司，必须同时具备两种能力：优秀的制造能力和优秀的销售能力。 成功的公司，不仅要懂得如何创造出优秀的产品，还要懂得如何把产品卖出去。

这就是为什么公司会设置 CEO 和 CTO 两个角色。一般来说，CEO 负责销售（包括融资）和管理，CTO 负责制造。这两个角色里面，只要有一个没做好，公司就成功不了。

Naval 接着说， **这个世界上，最厉害的人就是既懂得制造，又懂得销售的人。** 这样的人可以创造出一个行业。举例来说，马斯克（Elon Musk）就是这样的人，他懂得技术，可以让工程师为他造出想要的东西，他也懂得销售，能让整个世界为特斯拉汽车疯狂。乔布斯也是这样的人，懂得顾客想要什么，以及苹果公司能造出什么，几乎凭一己之力让苹果公司变成世界市值最高的公司。

如果我们把自己的人生看成是一个项目，人生成功也是如此，既要有真才实学，也要懂得推销自己。

Naval 说，通常情况下，Maker（制造者）学习 sales（销售）比较容易，Sales 学习 make 比较难。比如，程序员学习运营，要比运营人员学习编程容易。所以，我的想法是，大学最好主修一些跟 make 相关的课程（比如计算机），然后辅修一些跟 sales 相关的课程（比如经济），这样的搭配比较合理。

## 面试专题课《三步吃透浏览器原理》

2020年对于很多人来说，会是不易的一年。在这个非常时期，为了帮助那些还在自学前端开发的同学，应对疫情结束后的面试季，本周有一个面试专题课消息： **《面试必备：三步吃透浏览器原理》** 。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021202.jpg)

浏览器是前端开发的宿主环境，只有熟悉浏览器的各种特性，了解原理，才能实现各种网页效果。本次专题课针对浏览器的底层，重点介绍网页引擎的执行机制，下面就是课程大纲。

> （1）浏览器架构及原理：多进程架构，TCP/UDP 处理，HTTP 请求流程，网页渲染流程。   
> 
> （2）JS 执行机制及 V8 原理：变量提升、调用栈、原型链、编译及解释执行过程、垃圾回收机制、EventLoop、promise、async/await。
>    
> （3）浏览器页面及安全知识要点：虚拟 DOM、渲染流水线、性能优化、同源策略、XSS 攻击、XSRF 攻击。

讲师是现任某大厂高级前端开发工程师的董老师，他本身就是面试官。除课程本身的知识点指导之外，他还会拓展讲解一些经典大厂面试题，以及大家感兴趣的面试经验。

本次专题课由北京的京程一灯主办。他们是腾讯课堂前端培训 TOP 机构之一，目前与腾讯课堂联合运营，专注培养年薪40万的高级前端工程师，毕业生平均薪水可以达到25.5K。

专题课的开始时间是下周二（2月18日），原价98元，扫描下图二维码进群领取优惠券，  **前88名进群报名仅需1元。** 感兴趣的同学，欢迎抓紧报名，毕竟疫情一过去，面试季就会马上开始了。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021201.jpg)

（扫码进群即可领取优惠券）

## 资讯

1、[VR 建模去世的女儿](https://news.sina.com.cn/w/2020-02-11/doc-iimxxstf0411866.shtml?cre=tianyi&mod=pchp&loc=3&r=0&rfunc=21&tj=none&tr=12)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021115.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021116.jpg)

韩国 MBC 电视台播出纪录片《与你相见》，讲述了一个技术团队利用8个月打造的VR（虚拟现实）系统，帮助一位母亲与已去世女儿重逢的故事，场面十分感人。

3年前的一天，张智星7岁的女儿娜燕得了血癌去世，她从此无法走出悲伤。韩国一家VR 制作公司得知此事后，便派出公司最优秀的技术人员，与张智星合作，使母女二人在虚拟世界得以重逢，母亲给娜燕补上了一场生日。结尾，张智星哄着女儿入睡，并目送她变成一束光离开。下面就是这段9分半钟的纪录片。

<iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=k3064j6003j" allowFullScreen="true" width="100%" height="500px"></iframe>

2、[还原3000年前的声音](https://www.standard.co.uk/news/uk/scientists-recreate-voice-of-ancient-egyptian-priest-3000-years-after-his-death-using-ct-scans-of-a4343156.html)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012604.jpg)

Nesyamun 是一个古埃及的祭司和抄写员，死亡时间大约是公元前1100年。他的木乃伊在19世纪被发现，然后运到了英国。

最近，英国研究人员对木乃伊进行 CT 扫描后，对他的声道进行了 3D 建模，然后 3D 打印了出来。他的发声器官结合当代的语音合成系统，我们就可以听到他3000年前说话是什么声音。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012605.jpg)

这项技术原来用于为事故或癌症后，失去声带或喉部语音功能的人，提供语音重建。科学家说，本次尝试使得以后我们可以听到早已死去的人的声音。

3、[无气轮胎](https://jalopnik.com/bridgestone-says-airless-tires-are-coming-soon-to-bicyc-1841140591)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012406.jpg)

日本轮胎巨头普利司通开发了一种无气轮胎。这种轮胎不需要充气，内部填充的是热塑纤维，可以承受约2.2吨的重量，能够用于卡车。

无气轮胎不会漏气，不会爆胎，也不怕刺穿，主要缺点是弹性不如充气轮胎，会更颠簸。虽然这种轮胎价格较贵，但是普利司通认为，它的维护成本低，寿命更长，因此还是值得的。普利司通同时也推出使用这种轮胎的自行车。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012407.jpg)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012408.jpg)

4、[无人驾驶的空中客车飞机](https://www.businessinsider.com/airbus-test-flight-brings-self-flying-planes-closer-to-reality-2020-1#autonomous-landings-are-nothing-new-with-autoland-being-a-feature-on-some-of-the-worlds-most-prolific-passenger-planes-and-even-private-jets-6)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011904.jpg)

2019年12月，空中客车公司在法国图卢兹机场试验了无人驾驶的 A350 飞机起飞。当飞机进入直飞跑道，自动驾驶仪就会接手，让飞机向前滑行，在起飞加速时将飞机的机头抬高。飞机上有三个摄像头，自动识别跑道的中心线，防止飞机偏离方向。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011906.jpg)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011905.jpg)

飞机驾驶员坐在驾驶室，但是手不碰操作杆。他只是一名观察员，作用是出现问题时接管飞机。由于空中的自动飞行、下降时的自动着陆，都是成熟的技术，所以只要无人起飞能够实现，实现完全无人驾驶的民航客机就可以做到了。

5、[藤壶罚款器](https://www.bbc.com/news/technology-51133807)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011801.jpg)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011802.jpg)

美国俄克拉荷马大学的停车场引入了一个新的装置，叫做藤壶罚款器。这是一家创业公司专为非法停车或未支付停车费设计的产品。

学生停车逾期时，就把这个大塑料板放在车辆的挡风玻璃上。它的吸盘会牢牢吸住玻璃，只有交钱以后才能拿下来。如果强制把车开走，藤壶罚款器会发出峰鸣声。停车场认为，这比直接拖走车辆更方便。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011803.jpg)

6、**一句话消息**

> - [欧洲专利局](https://www.ipwatchdog.com/2020/01/07/epo-ukipo-refuse-ai-invented-patent-applications/id=117648/)拒绝一项人工智能产生的塑料容器设计，理由是专利的发明者必须是人，不能是机器。 

> - [沃兹尼亚克](https://www.businessinsider.com/steve-wozniaks-crazy-vacuum-tube-watch-2015-2)是苹果公司创始人之一，最近展示了他戴的电子管手表。这种手表非常耗电，只能抬腕点亮，如果一直点亮，会在一分钟内耗完电池。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010103.jpg)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010104.jpg)

> - [英国](https://www.theguardian.com/games/2020/jan/07/worms-tomb-raider-classic-uk-video-games-stamps)发行电子游戏《古墓丽影》的邮票，该游戏是英国公司开发的。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010707.jpg)

> - [挪威首都奥斯陆](https://www.strongtowns.org/journal/2020/1/6/why-do-americans-view-zero-road-deaths-as-an-impossible-goal) 2019年没有任何一个行人或骑自行车者，死于交通事故。原因是该市的主要路段禁止机动车，没有禁的地方车速也不得超过30公里/小时。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010801.jpg)

## 文章

1、[过去十年的十大科学发现](https://www.newscientist.com/article/mg24432613-200-new-scientist-ranks-the-top-10-discoveries-of-the-decade/)（英文）

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122901.jpg)

《新科学家》杂志评选的2010年到2019年的科学发现，排在第一位的是，欧洲核子研究中心（上图）发现希格斯玻色子。

2、[提早退休](https://en.wikipedia.org/wiki/FIRE_movement)（英文）

这是维基百科的条目，介绍正在兴起的一种社会运动，能否通过高度储蓄，实现提前退休？具体做法是，年收入的50%以上都储蓄，目标是把每年的消费压低到你个人财富总额的4%。

3、[程序员工资高的原因](https://www.jefftk.com/p/programmers-should-plan-for-lower-pay)（英文）

律师和医生需要多年训练，才能拿到高薪，相比之下，程序员年纪轻轻就能拿到高薪，原因是什么？他分析了几个原因，并提出程序员应该做好低收入的准备，不会一直拿这种薪水。

我觉得，他忽略了一个事实，律师和医生可以做到退休，而且越到后面，薪水越高。程序员很难做到退休。如果计算整个职业生涯的收入，程序员可能一点都不高。

4、[如何扫描二维码连入 WiFi](https://feeding.cloud.geek.nz/posts/encoding-wifi-access-point-passwords-qr-code/)（英文）

安卓和 iOS 现在都允许扫描二维码，然后连入 Wifi。因此，可以将 WiFi 密码设得非常长，提高安全性。本文介绍如何通过 qrencode 这个工具，生成二维码。这里还有一个 [Web 工具](https://modemly.com/qrcode)，可以在线生成 WiFi 的登录二维码。

5、[如何生成非矩形的视频画面](https://dragonquest64.blogspot.com/2019/11/non-rectangular-video-cropping.html)（英文）

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122905.jpg)

本文是一篇简单的教程，讲解使用 ffmpeg 命令行工具，利用遮罩生成上图那样的非矩形的视频画面。

6、[我亲身经历的东莞 3D 打印](https://www.zhihu.com/question/50594957/answer/949100875)（中文）

一篇知乎的帖子。公司自己采购一台工业级光固化 3D 打印机，综合成本为1元/克，比深圳/东莞的外包采购价格还要贵50%，难道珠三角都在做亏本买卖吗？可怕的是，这样计算出的成本，还没考虑固定资产折旧。更可怕的是：他们不仅成本低，而且质量高、服务好。这到底是为什么？（@[Ouroboros725](https://github.com/ruanyf/weekly/issues/1028) 投稿）

7、[GitHub 用户 Dash O'Pepper](https://filipeherculano.dev/blog/dash-o-pepper/)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019123109.jpg)

作者使用 GitHub API 时，意外发现有一个用户 Dash O'Pepper 的用户名是连词线（`-`），这个用户名无法在 Web 界面显示，但是他居然有13个 followers。

8、[11款开源数据库简介](https://geekflare.com/open-source-database/)（英文）

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019123111.jpg)

这篇文章介绍11种主要的开源数据库，每一种的特点和适用场景。但是不包括 MySQL，因为作者假设你在寻找 MySQL 的替代品。

9、[我的十年回顾](https://overreacted.io/my-decade-in-review/)（英文）

著名 JavaScript 程序员、Redux 作者 Dan Abramov 回顾自己的过去十年，从一个没有上大学的俄罗斯高中毕业生，到 Facebook 公司 React 团队的重要成员。

10、[令人困惑的时间和时区](https://www.worldtimezone.com/faq.html)（英文）

这个网页收集了许多关于时间和时区的有趣事实，比如尼泊尔时间是国际标准时加上5小时45分，再比如日本在海参崴东面，但是日本的时间晚于海参崴。

## 工具

1、[Snip](https://mathpix.com/)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122701.jpg)

将打印的数学公式转成 LaTex 代码的工具。

2、[Gmail 分析器](https://github.com/0xbsec/gmail_analyzer)

命令行工具，可以显示你的 Gmail 邮箱的统计数据。

3、[age](https://github.com/FiloSottile/age)

一个命令行工具，使用公钥/私钥对文件进行解密和加密，用法很简单。

4、[蚁阅](https://github.com/anyant/rssant)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019123101.jpg)

开源的 Web 端 RSS 阅读器，基于 Python。（@[guyskk](https://github.com/ruanyf/weekly/issues/1027) 投稿）

5、[stpyv8](https://github.com/area1/stpyv8)

一个引入 V8 引擎的 Python 模块，使得 Python 程序里面可以写 JavaScript 代码。

6、[NodeTube](https://github.com/mayeaux/nodetube)

一个可以自己架设的 Youtube 替代品，可以上传视频在网页观看，基于 Node.js。

7、[tauri](https://github.com/tauri-apps/tauri)

一个使用各平台的 WebView 控件，构建跨平台桌面应用的 JavaScript 框架。（@[mantou132](https://github.com/ruanyf/weekly/issues/1033) 投稿）

8、[GitHub-Chart](https://chrome.google.com/webstore/detail/github-chart/apaldppjjcjgjddfobajdclccgkbkkje)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010207.jpg)

Chrome 浏览器插件，可以三维显示 GitHub 的提交统计。（@[ryuzheng](https://github.com/ruanyf/weekly/issues/1035) 投稿）

9、[Generative Placeholders](https://generative-placeholders.glitch.me/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010214.jpg)

获取占位图像的网站，所有生成的图像都是艺术化的几何图形。

10、[Terrastruct](https://terrastruct.com/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010501.jpg)

一个在线的架构图、流程图工具。

## 资源

1、[技术大会演讲指南](https://www.cfpland.com/guides/speaking/)

一组英文系列文章，教你怎么准备技术大会的演讲。

2、[Waking-Up](https://github.com/wolverinn/Waking-Up)

一个应届生整理的仓库，收集后端校招面试的准备材料。（@[wolverinn](https://github.com/ruanyf/weekly/issues/1031) 投稿）

3、[深入深度学习](https://d2l.ai/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010414.jpg)

免费英文电子书，介绍深度学习。

4、[神经网络原理简介](https://github.com/gokadin/ai-simplest-network)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010502.jpg)

一个分成三个部分的神经网络简介，主要介绍数学原理，使用最简单的例子。

5、[实时极光照片](https://spaceweathergallery.com/aurora_gallery.html)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020010802.jpg)

世界各地的用户将自己拍到的极光照片，上传到该网站。上图是2020年1月6日芬兰的极光。

## 图片

1、[悬浮天桥](https://bicycledutch.wordpress.com/2012/08/23/spectacular-new-floating-cycle-roundabout/)

荷兰城市埃因霍温的高速公路上，有一座天桥，看上去好像悬浮在空中。车辆都从桥下过，桥上供行人和自行车使用。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121007.jpg)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121008.jpg)

2、[世界最脆弱的书](https://www.atlasobscura.com/articles/gandhara-scroll-library-of-congress)

1990年，考古人员在阿富汗北部的佛塔里面，发现了一个陶罐。它已经封闭了2000年，打开以后，里面是一卷佛经。高海拔的干旱气候使得它没有腐烂，但是特别脆弱，人类的呼吸气流都有可能让它破裂。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121316.jpg)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121317.jpg)

佛经的发现地点，位于古代的丝绸之路。佛经正是经过这条路，从印度传入了中国的中原地区。考古学家想要解读这卷佛经，把它送到了美国国会图书馆，希望图书馆可以展开这卷脆弱的纸。

古书保管专家确认它抄写在白桦树皮上，为了解开它，先在卷烟纸反复练习。然后，将它移到一间加湿的房间，软化了桦树皮，使其不太因为太脆而破裂。2006年6月，他们开始解开这卷佛经。每一口呼吸都小心翼翼，轻轻将树皮展平。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121318.jpg)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121319.jpg)

最后，经过翻译，原始文本的75％至80％都被解读了，但是标题和结尾部分都没有保存下来。内容是关于释迦牟尼时代的15位佛教信徒的生平。现在，整个卷轴都已经数字化，你可以在国会图书馆的网站上看到[它的照片](https://www.loc.gov/resource/asianscd.2018305008/?st=gallery)。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121320.jpg)

## 文摘

1、[人类与生物灭绝](https://theconversation.com/were-other-humans-the-first-victims-of-the-sixth-mass-extinction-126638)

30万年前，地球上至少有九种人类：欧洲的尼安德特人，亚洲的丹尼索瓦人，印度尼西亚的直立人，非洲中部的罗德西亚人，南非的纳雷迪人，菲律宾的吕宋人，印度尼西亚的弗洛雷斯人，中国的[马鹿洞人](https://baike.baidu.com/item/%E9%A9%AC%E9%B9%BF%E6%B4%9E%E4%BA%BA/5749804?noadapt=1)，以及非洲南部的智人。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021204.jpg)

一万年前，其中八种人类都消失了，类似于生物的大规模灭绝。但是这个时期并没有明显的环境灾难，火山爆发、气候变化、小行星撞击都没有。造成这种灾难的唯一原因，就是智人走出了非洲，向全世界扩散，导致了第六次生物大规模灭绝。

智人是独特的危险物种。他们猎杀了猛玛象和树懒直至灭绝，破坏了平原、沼泽和森林以供耕种，改变了地球一半以上的土地面貌，还改变了地球的气候。

DNA 证据显示，智人跟尼安德特人见过面，并有杂交。丹尼索瓦人的 DNA 也保留在现在的许多亚洲人中。许多证据证明，其他古老的人类只有在遇到智人后才消失。

那么，为什么我们的祖先“智人”会消灭其他的亲戚，导致大规模灭绝呢？

答案在于人口增长。人类像所有物种一样以指数方式繁殖。一旦智人互相合作，我们就没有天敌。由于没有天敌控制智人的人数，所以智人开始利用所有可用的资源。智人为了自己的进一步增长，将不可避免地导致与其他部落在粮食和领地方面发生冲突。

智人消灭其他人类，可能不是有计划的进行，而是不断的遭遇战。但是，最终结果还是一样，智人消灭了敌人，并占领了对方的土地。欧洲的考古记录表明，尼安德特人的消失过程持续了几千年。这表明，尽管尼安德特人输掉了战争，但要坚持这么长时间，他们肯定赢得了许多场与智人的战役。

今天，我们抬头仰望星空，想知道茫茫宇宙中，是否还存在其他智能生物。但是实际上，地球上就存在过其他智能生物，但是他们都被我们消灭了。

2、[谁从大学骗局中受益？](https://unherd.com/2019/12/who-gains-from-the-great-university-scam/)

高等教育是一桩大生意。现在，超过一半的英国年轻人上大学，如果计算一下学生投入的金钱（大部分是借来的），高等教育为英国经济带来了大约950亿英镑的收入，比法律业、广告业、航空业对经济的贡献都要高。

仅仅是利物浦大学一家，在2015/16年度就为利物浦市贡献了6.52亿英镑的产值，当地每57个工作岗位之中，就有一个是利物浦大学带来的。利物浦大学还只是利物浦市5家高等院校之一。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021205.jpg)

大学除了创造就业机会、带来学生经济（夜总会、咖啡馆、房屋出租等等）以外，还能带来大量资金，比如政府对高等教育的直接补贴，或者政府支持的学生贷款。

根据一份研究报告，英国目前的高等教育贷款余额大约有200亿英镑，其中只有大约一半会偿还，剩下的（准确估计为47%）都将成为坏账，最终由政府承担。而且，随着政府对高等教育的拨款减少，永远无法偿还的学生债务将会相应增加。

有人也许会说，只要高等教育能为学生创造价值，政府债务的增加就是值得的。但在2018年，英国国家统计局的报告称，只有57％的大学毕业生在从事高技能工作，其他毕业生的工作根本不需要大学教育。这个比例是有史以来最低的，国家统计局认为这是因为“年轻人可获得的高技能就业机会数量有限，难以找到相关工作”。

目前的情况就是，毕业的学生数量越来越多，学位的价值却越来越低。高等教育的主要受益者，实际上是通过那些学生借来的钱在进行重建的城市。

这种情况下，受害者是学生，他们已经成年了，梦想获得一份不错的工作，所以来读大学。他们或多或少被迫离开家人，并承担巨大的债务负担（平均每人超过50,000英镑），他们必须这样做才能获得一个学位。但是，高等教育的作用实际上已经变得越来越小。

更糟糕的是，政府完全知道这一切，它首先使年轻人背负了贷款，然后贬低了他们的教育价值，最后那些无法偿还的学生贷款会全民承担，现在的年轻人正是未来的纳税人，从而对年轻人进行了惩罚。

## 言论与数字

1、

SQLite 的代码托管在 Fossil 上，永远不会迁移到 Git。Fossil 专为支持 SQLite 开发而设计，并且做得非常好。与 Git / GitHub 相比，Fossil 填补了不同的市场。

-- [drh](https://fossil-scm.org/forum/forumpost/536ce98d85)，SQLite 和 Fossile 的创始人

2、

互联网就像一个坑坑洼洼的道路系统，路上到处都有修路工人。

上路时，你的车辆可能被劫持，也可能有黑手伸入车窗偷走你的东西，甚至你不知不觉时，车辆就被卖掉了，供他人使用。你都没有注意到那些犯罪的人，压根不会指责和追究他们的责任。

-- [GNU:net](https://gnunet.org/en/)

3、

胜利者永远不会被问，他是否讲了真话。

-- [希特勒](https://www.goodreads.com/quotes/153536-the-victor-will-never-be-asked-if-he-told-the)

4、

一张网页的大小，目前通常是50MB，而不是5KB。

-- [HN 读者](https://news.ycombinator.com/item?id=21725893)

5、

世界正变得越来越自动化。因此我认为，并非每个人都需要学习编程，而是每个人都需要学习和理解如何实现自动化。

-- [《不学习编码，学习自动化》](https://daedtech.com/dont-learn-to-code-learn-to-automate/)

6、

你消费得越多，就需要消费更多。一旦停止消费，你就会感到无聊。

-- [《我无聊，怎么办？》](https://idiallo.com/blog/im-bored-what-do-i-do)

## 回顾

去年的本周：[《周刊第 43 期》](http://www.ruanyifeng.com/blog/2019/02/weekly-issue-43.html)

![](https://cdn.beekka.com/blogimg/asset/201902/bg2019021501.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
