# 科技爱好者周刊：第 96 期

这里记录每周值得分享的科技内容，周五发布。

本杂志开源（GitHub: [ruanyf/weekly](https://github.com/ruanyf/weekly)），欢迎提交 issue，投稿或推荐你的项目。

周刊讨论区的帖子[《谁在招人？》](https://github.com/ruanyf/weekly/issues/1106)，提供大量就业信息，欢迎访问或发布工作/实习岗位。

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011804.jpg)

封面图：东非发生蝗灾，2020年1月9日埃塞俄比亚一架波音 737-700 飞机，降落时撞到了一群飞蝗（[出处](https://avherald.com/h?article=4d1de8cc&opt=1)）。

## 刊首语

上海市教委[通知](https://m.yicai.com/news/100510391.html)，本市中小学3月2日开学，但是不到校，在家收看线上课程。

这些课程都是由教委[统一录制](https://mp.weixin.qq.com/s/DegoMgMA6AEenxC9yY4y3Q)，动员“全市各学科一千多名优秀骨干教师，共分为12个频道，涵盖小学一年级到高中三年级。”

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022613.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022614.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022615.jpg)

上面是录制现场的照片。看上去跟平时讲课没有区别，就是单纯的课堂录像。大家觉得，这样的听课效果会好吗？依我看，现场讲课效果都未必很好，何况在家看录像呢！

教育类的视频，一般都要带有一点趣味性，最好加入大量的动画、图片或短视频，才能吸引人，否则就太枯燥了。干巴巴的讲解课本，一张张展示幻灯片，成年人都看不进去，小朋友的听课效果就可想而知了。

我觉得，网课肯定是未来的趋势，大多数知识将来都是线上学，这样才能做到随时随地学习，而且成本也足够低。但是，前提是 **不能把课堂教学拍成录像放上网，而是要做到知识性与娱乐性的结合，才能成功。**

我心目中的范例有两个，都是国外的视频作者，一个是 [3Brown1Blue](https://www.3blue1brown.com/)，专拍数学视频；另一个是 [Kurzgesagt](https://www.youtube.com/user/Kurzgesagt/)，专拍科普短视频。他们都做得非常棒，可以当作榜样。下面是 Kurzgesagt 的[《世界最危险的药是什么》](https://v.qq.com/x/page/b06577jvtnj.html)，大家感受一下吸引人的网课是什么风格。

<p><iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=b06577jvtnj" allowFullScreen="true" width="600px" height="400px"></iframe></p>

## 前端面试专题课

今年受到新冠肺炎的影响，以往三四月份的面试黄金季节受到了耽误，很多求职前端的同学误以为招聘季还没有来，但是其实相当一部分公司已经在远程面试了。

如果你还在等疫情结束后再开始面试准备，可能就已经晚了，会错失很多好的工作机会。你应该抓紧这段特殊时期，做一些针对性的准备，比如充实前端基础知识，熟悉主流框架的API和解决方案，了解一些边界案例。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022602.jpg)

国内最大的在线教育平台之一的腾讯课堂，发布了一个前端面试专题课，在这里介绍给大家。这门课帮你直击三大面试难关，着眼于当前大厂每一轮面试，精细化到一面、二面、三面、从技术点到面试技巧， 面面俱到，带你直达offer。

> **第一关：面试基础问题要点总结**  
> 
> 大厂面试常问基础知识剖析；JS、CSS 面试问题精华总结、脉络解析；HTTP 及 HTTPS 等协议的底层思维深入解析；底层编译原理等要点总结，助你直达二面。
> 
> **第二关：面试框架层面深度剖析**  
> 
> Vue2 源码逻辑浅析及相关特性处理，全面剖析 Vue2 周边面试问题；Vue3 核心双向数据绑定的实现解析，深入学习Proxy及元编程。进一步拔高框架层面的理解；React改版后新特性 Provider、hooks等原理讲解；React周边面试题剖析讲解。
> 
> **第三关：面试最难关，攻破工程及性能优化**   
> 
> 结合项目攻破性能优化关卡，全方面讲解性能指标的各种优化逻辑；全方位讲解babel构建AST,词法分析、语法分析等原理；结合项目剖析性能缺点并优化，深度解析工程化打包原理及构建过程；结合工程化讲解资源构建及打包等底层逻辑，攻破性能瓶颈，助你直达offer。

主讲是曾就职机锋、腾讯等公司担任高级工程师及前端架构的陈老师，本身也是一名大厂面试官。除课程本身的手把手指导之外，他还将拓展一些经典大厂面试题，以及面试经验。

专题课于下周一（3月2日）开课，课程原价98元，扫描下图二维码，添加好友领取优惠券， 前100名加好友报名 **仅需1元** 。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022601.jpg)

## 资讯

1、[激光智能眼镜](https://spectrum.ieee.org/tech-talk/consumer-electronics/gadgets/bosch-ar-smartglasses-tiny-eyeball-lasers)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020704.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020705.jpg)

德国博世公司新推出了一种智能眼镜，能够直接在视野中叠加一层完全透明的显示屏，用来跟软件互动。具体的演示，请看下面的宣传视频。

这种技术最大特点是，这个显示屏不是通过投影显示，而是使用微电镜阵列，将三束激光（红，绿和蓝）对准嵌入在镜片中的透明全息元件，然后将光线反射到眼球中，直接在视网膜上成像，因此其他人看不到镜片上叠加的信息。不过，由此带来的问题是，每一副眼镜都必须定制，适合佩戴者的脸型，保证激光可以正确地反射到瞳孔中，因此成本较高。

<p><iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=k30625i5gtf" allowFullScreen="true" width="600px" height="400px"></iframe></p>

2、[SpaceX 开放卫星发射服务](https://techcrunch.com/2020/02/05/spacex-will-now-let-you-book-a-rocket-launch-online-starting-at-1-million/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020703.jpg)

SpaceX 开放卫星发射服务，个人可以在他们的官网交钱发卫星。目前，最早可以发射的日期是2020年6月，收费最低为100万美元，卫星重量在200公斤以下，每增加一公斤，就会增加5000美元费用。

用户需要提供卫星的轨道参数，提交请求时，支付5000美元押金，剩余款项在发射前支付。该服务主要针对预算不足的小型卫星客户，利用 SpaceX 的一箭多星技术，通过火箭上的多余空间，搭载客户的卫星，为 SpaceX 占领卫星发射市场。虽然对个人来说，这笔钱并不便宜，但已经是发射卫星的最低价最简单的途径了。

3、[Xbox 美景指南](https://www.creativereview.co.uk/plan-your-next-trip-inside-xbox/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020701.jpg)

旅游指南 Rough Guides 丛书，最近出版了[《Xbox 美景指南》](https://www.roughguides.com/article/introduction-to-the-rough-guide-to-xbox/)，专门收入出现在 Xbox 游戏的各种美丽景点，供游戏爱好者前往体验。该书定价20英镑，在微软商店出售。

游戏创造的虚拟世界越来越精美，值得人们专程前往观赏，并且还能在其中漫游，不用购买飞机票，只需打开游戏机的按钮。下图是游戏《刺客信条：奥德赛》里面的吉萨金字塔场景。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020702.jpg)

4、[《火车进站》4K 版](https://arstechnica.com/science/2020/02/someone-used-neural-networks-to-upscale-a-famous-1896-video-to-4k-quality/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020501.jpg)

法国卢米埃尔兄弟1895年拍摄的50秒短片《火车进站》，是人类的第一部电影，展现了一辆火车在蒸汽机车的牵引下，驶进法国沿海小镇拉西奥塔一处火车站的情景。

原始电影的影像非常模糊，有严重的颗粒感。最近，有人使用神经网络，将这部1895年的视频提升到了 4K 分辨率，效果非常好，逼真地还原了100多年前的情景，火车、衣服和乘客面部的细节清晰可见。

下面就是这段 4K 视频，是采用商业软件在家用电脑上完成的。

<p><iframe frameborder="0" src="https://v.qq.com/txp/iframe/player.html?vid=t306162fbkj" allowFullScreen="true" width="600px" height="400px"></iframe></p>

5、[疯狂迈克](https://www.nbcnews.com/news/us-news/daredevil-mad-mike-hughes-dies-homemade-rocket-launch-filmed-tv-n1141286)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022410.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022411.jpg)

一位外号叫做“疯狂迈克”的美国冒险家，2月22日死于一次火箭发射事故，享年64岁。当时，他正在为发现频道拍摄节目，乘坐自制的火箭，飞上5000英尺（约1500米）的高空，结果火箭升空以后，直线坠地，导致他的身亡。

他使用的是蒸汽火箭，利用水蒸汽的高压作为推力。2018年的试验中，他乘坐同样的火箭，达到了1,875英尺的高度。在那次发射中，他说：“这件事可能会有10种可能杀死你，但真正杀死你的是那种心跳的感觉。”

6、 **一句话消息**

> - [非洲蝗灾](https://tech.sina.com.cn/d/a/2020-02-15/doc-iimxxstf1670769.shtml)蔓延到了巴基斯坦，该国政府表示蝗虫目前每天破坏约为3.5万人的口粮，如任其发展，国家将会无粮可收。巴基斯坦已经宣布进入了紧急状态，动用了数百架飞机进行喷洒农药和驱赶。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021703.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020021704.jpg)

> - [德国科学家](https://www.theguardian.com/science/2019/oct/16/fastest-ants-in-world-northern-sahara)在撒哈拉沙漠发现，世界上速度最快的蚂蚁，每秒可以前进近1米，相当于体长的108倍。

![](https://cdn.beekka.com/blogimg/asset/201910/bg2019101906.jpg)

> - [美国](https://nypost.com/2020/02/22/flying-coronavirus-class-photos-of-americans-flight-from-hell/)2月17日派出两架货运飞机，将钻石公主号的329名美国乘客接回，有一个乘客拍摄了货机的内部照片。14名确诊受病毒感染的乘客，全部装在一个隔离箱里面。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022403.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022402.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022401.jpg)

- [德国经济](https://www.ccn.com/tesla-is-slowly-pushing-germany-into-recession/)在上个季度增长放缓至零之后，正处于衰退的边缘。据说原因是，特斯拉公司使得德国汽车业创下22年新低。

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020022404.jpg)

## 文章

1、[如何成功](https://threadreaderapp.com/thread/1214274038933020672.html)（英文）

这是 YC 总裁 Sam Altman 的推特长发言，摘录几条。

> - 一份无关紧要的工作是一个危险的陷阱，很多人都会掉进去。 
> - 想让别人帮你，最好的办法就是你先帮他们，或者去做一些有趣的事。
> - 致富靠的是权益，而不是工资。

2、[如何关闭一个 Node.js Web 应用](https://yvonnickfrin.dev/shutdown-correctly-nodejs-apps)（英文）

按下 Ctrl + C，退出一个 Node.js 服务进程时，怎样才能保证处理完所有清理工作，然后进程才会退出？

3、[我如何管理知识？](https://tkainrad.dev/posts/managing-my-personal-knowledge-base/)（英文）

一个程序员介绍他管理网址、笔记、代码的方法，以及所使用的工具。这里还有一篇其他人写的[类似文章](https://dev.to/brpaz/how-do-i-organize-my-knowledge-as-a-software-engineer-4387)。

4、[如何打造一个 serverless 的微信小程序](https://www.smilingleo.net/2020/how-to-build-a-serverless-wechat-mini-program/)（中文）

作者使用 AWS Lambda 作为后端，开发了一个背单词的微信小程序《世凝听记》。（@[smilingleo](https://github.com/ruanyf/weekly/issues/1050)  投稿）

5、[HTTP 接口设计方案](https://www.jitao.tech/blog/2020/01/java-http-api/)（中文）

作者作为架构师参与多个移动应用的前后端开发，经过多年积累，渐渐稳定下一套后端 HTTP 接口设计方案。随方案提供了一个基于 Spring Boot 的简单实现。（@[flmn](https://github.com/ruanyf/weekly/issues/1052) 投稿）

6、[如何阅读科研论文](https://blog.csdn.net/qianlong4526888/article/details/11269129)（中文）

有效地阅读论文，是每个研究生都必须掌握的技能。本文作者介绍一个简单的“三步法”，快速阅读科研论文。（@[E-Tsai](https://github.com/ruanyf/weekly/issues/1062) 投稿）

7、[GOTO 语句被认为有害](https://www.emon100.me/goto-translation/)（中文）

Dijkstra 的《GOTO 有害论》在网上只有两个不太好的翻译版本。于是我花了15天翻译了此文。希望能对想用中文了解原文，历史，评价的人能有所帮助吧。（@[emon100](https://github.com/ruanyf/weekly/issues/1103) 投稿）

8、[Mac 笔记本的低功耗模式](https://marco.org/2020/01/13/macos-low-power-mode-redux)（英文）

作者发现关闭 Mac 笔记本的 Turbo Boost 功能，可以有效降低功耗，大大延长电池的使用时间，而且性能没有明显下降。

9、[lit-html 模板库用法](https://terodox.tech/handling-web-component-markup-with-lit-html/)（英文）

lit-html 是谷歌推出的一个网页模板库，使用了 ES6 的模板字符串语法。我认为这是目前最好的 JavaScript 网页模板方案。

10、[我如何在 Udemy 卖课程？](https://codewithandrea.com/videos/2020-01-13-2019-retrospective-udemy-youtube/)（英文）

作者介绍自己如何在 Udemy 出售和推销自制的 Flutter 视频课程，2019年销售金额为1.5万美元。

## 工具

1、[GayHub](https://github.com/jawil/GayHub)

Chrome 浏览器插件，优化 GitHub 使用体验，提供项目目录树、文内目录导航、图片全屏预览等功能。（@[yanyue404](https://github.com/ruanyf/weekly/issues/1043) 投稿）

2、[Spotify-Lyrics](https://github.com/mantou132/Spotify-Lyrics)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011006.jpg)

Chrome 浏览器插件，可以在 Spotify Web Player 里面显示歌词，歌词来自网易音乐的接口。（@[mantou132](https://github.com/ruanyf/weekly/issues/1046) 投稿）

3、[memo](https://usememo.com/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020011007.jpg)

一个笔记软件，数据可以储存在 GitHub Gist。有 Web 版和桌面版，可惜没有手机 App。

4、[MojoJson](https://github.com/scottcgi/MojoJson)

一个通用的 JSON 解析算法，简单高效快速，提供 C# 和 C 的实现，也可以轻松用其它编程语言实现。（@[scottcgi](https://github.com/ruanyf/weekly/issues/1048) 投稿）

5、[craft.js](https://github.com/prevwong/craft.js)

一个可以通过拖拽生成 React 应用的可视化框架。（@[ifrontend-xyz](https://github.com/ruanyf/weekly/issues/1049) 投稿）

6、[onedev](https://github.com/theonedev/onedev)

一个 GitLab 的替代品，DevOps 平台，带有 Git 版本管理、issue 追踪、Pull Request、持续集成等功能。

7、[qier-player](https://github.com/vortesnail/qier-player)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012403.jpg)

一个 H5 视频播放器的 React 组件。（@[vortesnail](https://github.com/ruanyf/weekly/issues/1064) 投稿）

8、[写作猫](https://xiezuocat.com/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012405.jpg)

AI 写作助手，可以给出文章中的语言错误。（@[iiismile](https://github.com/ruanyf/weekly/issues/1065) 投稿）

9、[MojoJS-Animation](https://github.com/scottcgi/MojoJS-Animation)

一个轻量级的 JS 网页动画引擎。（@[scottcgi](https://github.com/ruanyf/weekly/issues/1069) 投稿）

10、[Rust JVM](https://github.com/douchuan/jvm)

一个示例项目，使用 Rust 语言写的 JVM 虚拟机。（@[douchuan](https://github.com/ruanyf/weekly/issues/1088) 投稿）

## 资源

1、[动手学深度学习](https://zh.d2l.ai/)

![](https://cdn.beekka.com/blogimg/asset/202001/bg2020012402.jpg)

《Dive into Deep Learning》英文教材的中文翻译。（@[Wonderdch](https://github.com/ruanyf/weekly/issues/1063) 投稿）

2、[云原生技术公开课](https://edu.aliyun.com/roadmap/cloudnative?from=timeline)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020601.jpg)

本课程由阿里云和CNCF联合开发，课程全程免费且无需注册，主要介绍容器和 kubernetes。（@[xianyuLuo](https://github.com/ruanyf/weekly/issues/1077) 投稿）

3、[Kubernetes 中文指南](https://jimmysong.io/kubernetes-handbook/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020602.jpg)

本书是第一本系统整理的开源中文版 Kubernetes 参考资料，记录了本人从零开始学习和使用 Kubernetes 的历程，着重于总结和资料分享，同时也会有相关的概念解析。（@[xianyuLuo](https://github.com/ruanyf/weekly/issues/1077) 投稿）

4、[如何制作树莓派 NAS](https://www.instructables.com/id/PiNAS-the-Raspberry-Pi-NAS/)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020603.jpg)

![](https://cdn.beekka.com/blogimg/asset/202002/bg2020020604.jpg)

一个详细的图片教程，介绍如何自己从头制作一个基于树莓派的 NAS 网络硬盘。

5、[7天用 Go 从零实现系列](https://github.com/geektutu/7days-golang)

使用 Go 语言，从零开发一些常用 App 的代码示例。（@[geektutu](https://github.com/ruanyf/weekly/issues/1085) 投稿）

## 图片

1、[世界最老的野生鸟类](https://en.wikipedia.org/wiki/Wisdom_%28albatross%29)

1956年，鸟类学家钱德勒·罗宾斯在中途岛，抓到了一只5岁的信天翁，取名为“智慧”，并为它装上了脚环，然后放生。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122904.jpg)

现在，这只鸟还活着，已经达到了69岁的高龄，成为已知寿命最长的野生鸟类。它的脚环因为寿命到期，已经更换了6次。它很幸运在2011年日本海地震和海啸中幸存下来，当时死了2000多只信天翁。

它每年都会回到中途岛，产下一枚蛋，最近一次是2018年11月。美国地质调查局一直追踪着这只鸟，确认她从1956年至今，飞行了超过300万公里，相当于绕地球120圈。鸟类学家表示，这只鸟60岁以后还能不断生育后代，令人感到震惊。

2、[安乐死过山车](https://en.wikipedia.org/wiki/Euthanasia_Coaster)

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019123102.jpg)

2010年，立陶宛艺术家 Julijonas Urbonas 设计了一个帮助晚期病人安乐死的过山车。他曾在游乐园工作，有一天听到别人说：“有一种终极过山车，上面有24个乘客，停下来的时候，他们全部死了”，受到启发而做了这个设计。

这种过山车会快速上升到510米，然后从那里下降500米，达到每小时360公里的速度，接着进入一段旋转轨道，直径一个比一个小，达到10个重力加速度，持续60秒。乘客会由于大脑缺氧供血不足，先陷入昏迷，然后死亡。

## 文摘

1、[AirPods 成为平台](https://www.aboveavalon.com/notes/2019/11/19/airpods-are-becoming-a-platform)

苹果公司的 AirPods 无线耳机正在迅速占领市场，竞争对手发现自己岌岌可危。短短三年内，AirPods 就从 iPhone 的配件发展成一个早期的独立平台，重塑可穿戴设备行业。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122623.jpg)

一件有趣的事是 AirPods Pro 的发布方式。它没有获得大型产品盛会上的曝光待遇，而是通过新闻发布稿宣布推向市场。它因此可能最终成为，仅通过新闻发布的最畅销的苹果产品。

2019年早些时候，带有无线充电盒的 AirPods 也是通过新闻稿发布的。 

再早的时候，AirPods 也没有像 Apple Watch 一样有红地毯的发布待遇，而是在旧金山的 Apple iPhone 和 Apple Watch 活动上仅用五分钟的时间，就向全球推出了。当时，AirPods 仅仅被定位为 iPhone 7 和 7 Plus 的一种配件，是消费者从专用耳机插孔转移过来的一种选择。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019122622.jpg)

苹果公司现在拥​​有三种不同的 AirPods 型号，价格分别是159美元、199美元、249美元，每种型号针对的一个不同的价格段。可以肯定的是，苹果在未来几年内会继续推行这一战略，AirPods 产品线的价格可能从较低的99美元，一直到较高的500美元。

在2019财年，苹果售出3500万对 AirPods，收入为60亿美元，增长了一倍。过去三年中，苹果累计销售了6100万对 AirPods，相比之下 iPhone 诞生的前三年，卖出了6000万部。

现在，AirPods 的单季度销售额超过1000万对。未来，人们可能购买和使用一对以上的 AirPods，这将有助于进一步提高销量。蒂姆·库克说，消费者会拥有一对普通的 AirPods，然后再拥有一对消噪的 AirPods Pro。事实上，我们已经开始看到了这种趋势的苗头，人们升级 AirPods，但保留旧的 AirPods 作为备份。

AirPods Pro 有降噪和透明两种模式，让用户有不同的声音体验。苹果正在将 AirPods 变成一个平台，继 Apple Watch 之后的第二个可穿戴设备平台，通过智能处理声音让用户使用这个平台。未来的开发人员可以通过增强人们的听觉体验，来参与这个平台。比如，可以根据 Apple Watch 获得的用户心律调整 AirPods 音乐的节奏和氛围。也可以让同一个地点的用户，通过 AirPods 听到的声音不一样。

AirPods 是用于耳朵的计算机。多年来，苹果学习如何制造21亿部iPhone和iPad的经验，现在正在帮助它每年制造近7,000万部可穿戴设备。

一个设备成为平台，前提是大规模采用。目前，有4,500万人佩戴 AirPods。以这个速度，到2021年某个时候，将有超过1亿人佩戴 AirPods。

2、[我们会用尽氦气吗？](https://www.thoughtco.com/will-we-run-out-of-helium-3975959)

氦是元素周期表的第二个元素，仅次于氢，是第二轻的元素。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121708.jpg)

它太轻了，足以逃离地球的引力场，流失到太空，所以在地球上含量不高，属于非常少见的元素。在化学性质上，它属于惰性气体，很难发生化学反应，所以有着广泛的用途，可以用于电弧焊、潜水、硅晶体生长，以及在MRI（磁共振成像） 扫描仪中用作冷却剂。

正是由于氦气的含量少，用途广，所以人类有可能在几十年内用尽现有的氦气。

地球的氦气是由岩石的放射性衰变产生的，在亿万年的时间里，衰变产物的氦气进入了地下的天然气。现有的氦气都是从天然气里面提取，这比从大气里面提取要便宜得多。

市场上大部分的氦气供应，都来自美国的国家氦气储备。1996年颁布的《氦气私有化法》要求政府尽快把氦气储备私有化，所以大量的氦气以极低的价格出售。

![](https://cdn.beekka.com/blogimg/asset/201912/bg2019121709.jpg)

氦气一旦释放到大气中，就流失了。按照人类现在的使用速度，30年内就会用尽现在的储备氦气，以后就必须从天然气和地下水中提取，这将使得氦气的价格火箭般的上涨。

虽然氦是宇宙中最丰富的元素之一，但人类也不可能从附近的行星获得氦气，因为这些行星也没有太大的重力来留住这种气体。

你可能会问，氢气比氦气更轻，更容易逃离地球的引力，为什么我们不会用尽氢气？这是因为氢的化学性质活泼，容易与其他元素形成化合物，可以通过化合物的形式大量保留在地球上。相比之下，氦的外层电子结构是满的，很难形成任何形式的化合物。

## 言论与数字

1、

如果我要分发文本文件，首选的格式是 RTF。因为它包含 TXT 格式所没有的元数据，还能设置斜体、粗体和特殊字符，可以使用 Word 轻松转换为其他格式，同时不能包含宏，所以不会有病毒，并且是一种开放格式。

-- [《一个制作盗版数字书籍的人》](https://themillions.com/2010/01/confessions-of-a-book-pirate.html)

2、

人的一生中，职业（包括通勤和思考工作的时间）将占去50,000至150,000个小时。目前，人类的寿命大约为750,000小时。当您减去童年（约175,000小时）和成年生活中睡眠、进食、锻炼和其他个人生活的时间（约325,000小时），那么剩下250,000个“有意义的成人小时” 。因此，职业将占用其中20％到60％之间的时间。

-- [《如何选择职业》](https://waitbutwhy.com/2018/04/picking-career.html)

3、

目前预测，北极可能在2040年，出现第一个无冰的夏天。

-- [《科学家北冰洋的漂流实验》](https://www.npr.org/2019/12/04/784691513/polar-bears-ice-cracks-and-isolation-scientists-drift-across-the-arctic-ocean)

4、

2018年，世界卫生组织的报告称，5-29岁人口的主要死因是交通事故，全世界估计每年有135万人死于车祸。其中，94％的情况是驾驶员有过错。

解决此问题的方法：不要让人类开车。

-- [《无人驾驶汽车兴起的原因》](https://medium.com/@sarveshmathi/what-drives-a-driverless-car-5a5f43367354)

5、

我发现，报纸的阅读体验极好。一切都是静态的，加载时间为零（基本上就是翻页的时间）。

与之形成鲜明对比的是，当今的新闻网站已经变得臃肿不堪，每页需要加载50种静态资源，即使是宽带，速度也非常缓慢。

-- [《难以忍受的新闻网站》](https://zainamro.com/notes/unbearable-news)

6、

如果你经营酒店，退房时间放宽30分钟。如果你经营餐馆，给客人提供免费的小点心。如果你经营面包店，柜台上放一些额外的饼干。

这些短期成本会创造顾客长期的忠诚度。

-- David Perell

## 回顾

去年的本周：[《周刊第 45 期》](http://www.ruanyifeng.com/blog/2019/03/weekly-issue-45.html)

![](https://cdn.beekka.com/blogimg/asset/201903/bg2019030101.jpg)

## 订阅

这个周刊每周五发布，同步更新在[阮一峰的网络日志](http://www.ruanyifeng.com/blog)和[微信公众号](http://weixin.sogou.com/weixin?query=%E9%98%AE%E4%B8%80%E5%B3%B0%E7%9A%84%E7%BD%91%E7%BB%9C%E6%97%A5%E5%BF%97)。

微信搜索“阮一峰的网络日志”或者扫描二维码，即可订阅。

![](http://www.ruanyifeng.com/blogimg/asset/2018/bg2018042311.jpg)

（完）
